# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-03-09 07:51
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('seqr', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SampleBatch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('guid', models.CharField(db_index=True, max_length=30, unique=True)),
                ('created_date', models.DateTimeField(db_index=True, default=django.utils.timezone.now)),
                ('last_modified_date', models.DateTimeField(blank=True, db_index=True, null=True)),
                ('name', models.TextField()),
                ('description', models.TextField(blank=True, null=True)),
                ('sequencing_type', models.CharField(choices=[(b'WES', b'Exome'), (b'WGS', b'Whole Genome'), (b'RNA', b'RNA')], max_length=3)),
                ('genome_build_id', models.CharField(choices=[(b'b37', b'b37'), (b'b38', b'b38')], default=b'b37', max_length=5)),
                ('variant_callset_is_loaded', models.BooleanField(default=False)),
                ('variant_callset_loaded_date', models.DateTimeField(blank=True, null=True)),
                ('variant_callset_path', models.TextField(blank=True, null=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': (('can_view', 'can_view'), ('can_edit', 'can_edit'), ('is_owner', 'is_owner')),
            },
        ),
        migrations.RemoveField(
            model_name='dataset',
            name='created_by',
        ),
        migrations.AlterUniqueTogether(
            name='sequencingsample',
            unique_together=set([]),
        ),
        migrations.RemoveField(
            model_name='sequencingsample',
            name='dataset',
        ),
        migrations.AddField(
            model_name='sequencingsample',
            name='sample_batch',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='seqr.SampleBatch'),
        ),
        migrations.DeleteModel(
            name='Dataset',
        ),
    ]
