# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-05-17 22:22
from __future__ import unicode_literals

from django.db import migrations, models


def populate_case_review_status_accepted_for(apps, schema_editor):
    # We get the model from the versioned app registry;
    # if we directly import it, it'll be the wrong version
    # see https://docs.djangoproject.com/en/1.11/ref/migration-operations/#django.db.migrations.operations.RunPython
    Individual = apps.get_model("seqr", "Individual")
    db_alias = schema_editor.connection.alias
    for i in Individual.objects.using(db_alias).all():
        if i.case_review_status in ['E', 'G', '3']:
            if i.case_review_status == 'E':
                i.case_review_status_accepted_for = 'E'
            elif i.case_review_status == 'G':
                i.case_review_status_accepted_for = 'G'
            elif i.case_review_status == '3':
                i.case_review_status_accepted_for = 'R'
            print("%s - %s - changing case_review_status from '%s' to 'A', and setting case_review_status_accepted_for = '%s'" % (
                i.family.project.deprecated_project_id, i.individual_id, i.case_review_status, i.case_review_status_accepted_for))
            i.case_review_status = 'A'
        i.save()


class Migration(migrations.Migration):

    dependencies = [
        ('seqr', '0010_auto_20170516_0735'),
    ]


    operations = [
        migrations.AddField(
            model_name='individual',
            name='notes',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='individual',
            name='case_review_status_accepted_for',
            field=models.CharField(blank=True, max_length=10, null=True),
        ),
        migrations.RunPython(populate_case_review_status_accepted_for, reverse_code=migrations.RunPython.noop),
        migrations.AlterField(
            model_name='individual',
            name='case_review_status',
            field=models.CharField(blank=True, choices=[(b'I', b'In Review'), (b'U', b'Uncertain'), (b'A', b'Accepted'), (b'R', b'Not Accepted'), (b'H', b'Hold'), (b'Q', b'More Info Needed')], max_length=1, null=True),
        ),
    ]
