# -*- coding: utf-8 -*-
# Generated by Django 1.9.5 on 2016-05-11 23:38
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('gene_lists', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AnalysisStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_saved', models.DateTimeField(null=True)),
                ('status', models.CharField(choices=[(b'S', (b'Solved', b'fa-check-square-o')), (b'S_kgfp', (b'Solved - known gene for phenotype', b'fa-check-square-o')), (b'S_kgdp', (b'Solved - gene linked to different phenotype', b'fa-check-square-o')), (b'S_ng', (b'Solved - novel gene', b'fa-check-square-o')), (b'Sc_kgfp', (b'Strong candidate - known gene for phenotype', b'fa-check-square-o')), (b'Sc_kgdp', (b'Strong candidate - gene linked to different phenotype', b'fa-check-square-o')), (b'Sc_ng', (b'Strong candidate - novel gene', b'fa-check-square-o')), (b'Rncc', (b'Reviewed, no clear candidate', b'fa-check-square-o')), (b'I', (b'Analysis in Progress', b'fa-square-o')), (b'Q', (b'Waiting for data', b'fa-clock-o'))], default=b'I', max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='CausalVariant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('variant_type', models.CharField(default=b'', max_length=10)),
                ('xpos', models.BigIntegerField(null=True)),
                ('ref', models.TextField(null=True)),
                ('alt', models.TextField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Cohort',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cohort_id', models.CharField(blank=True, default=b'', max_length=140)),
                ('display_name', models.CharField(blank=True, default=b'', max_length=140)),
                ('short_description', models.CharField(blank=True, default=b'', max_length=140)),
                ('variant_stats_json', models.TextField(blank=True, default=b'')),
            ],
        ),
        migrations.CreateModel(
            name='Family',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('family_id', models.CharField(blank=True, default=b'', max_length=140)),
                ('family_name', models.CharField(blank=True, default=b'', max_length=140)),
                ('short_description', models.CharField(blank=True, default=b'', max_length=500)),
                ('about_family_content', models.TextField(blank=True, default=b'')),
                ('analysis_summary_content', models.TextField(blank=True, default=b'')),
                ('pedigree_image', models.ImageField(blank=True, height_field=b'pedigree_image_height', null=True, upload_to=b'pedigree_images', width_field=b'pedigree_image_width')),
                ('pedigree_image_height', models.IntegerField(blank=True, default=0, null=True)),
                ('pedigree_image_width', models.IntegerField(blank=True, default=0, null=True)),
                ('analysis_status', models.CharField(choices=[(b'S', (b'Solved', b'fa-check-square-o')), (b'S_kgfp', (b'Solved - known gene for phenotype', b'fa-check-square-o')), (b'S_kgdp', (b'Solved - gene linked to different phenotype', b'fa-check-square-o')), (b'S_ng', (b'Solved - novel gene', b'fa-check-square-o')), (b'Sc_kgfp', (b'Strong candidate - known gene for phenotype', b'fa-check-square-o')), (b'Sc_kgdp', (b'Strong candidate - gene linked to different phenotype', b'fa-check-square-o')), (b'Sc_ng', (b'Strong candidate - novel gene', b'fa-check-square-o')), (b'Rncc', (b'Reviewed, no clear candidate', b'fa-check-square-o')), (b'I', (b'Analysis in Progress', b'fa-square-o')), (b'Q', (b'Waiting for data', b'fa-clock-o'))], default=b'I', max_length=10)),
                ('analysis_status_date_saved', models.DateTimeField(null=True)),
                ('causal_inheritance_mode', models.CharField(default=b'unknown', max_length=20)),
                ('relatedness_matrix_json', models.TextField(blank=True, default=b'')),
                ('variant_stats_json', models.TextField(blank=True, default=b'')),
                ('has_before_load_qc_error', models.BooleanField(default=False)),
                ('before_load_qc_json', models.TextField(blank=True, default=b'')),
                ('has_after_load_qc_error', models.BooleanField(default=False)),
                ('after_load_qc_json', models.TextField(blank=True, default=b'')),
                ('analysis_status_saved_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='FamilyGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(max_length=100)),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField()),
                ('families', models.ManyToManyField(to='base.Family')),
            ],
        ),
        migrations.CreateModel(
            name='FamilyImageSlide',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, null=True, upload_to=b'family_image_slides')),
                ('order', models.FloatField(default=0.0)),
                ('caption', models.CharField(blank=True, default=b'', max_length=300)),
                ('family', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Family')),
            ],
        ),
        migrations.CreateModel(
            name='FamilySearchFlag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('xpos', models.BigIntegerField()),
                ('ref', models.TextField()),
                ('alt', models.TextField()),
                ('flag_type', models.CharField(choices=[(b'C', b'Likely causal'), (b'R', b'Flag for review'), (b'N', b'Other note')], max_length=1)),
                ('suggested_inheritance', models.SlugField(default=b'', max_length=40)),
                ('search_spec_json', models.TextField(blank=True, default=b'')),
                ('date_saved', models.DateTimeField()),
                ('note', models.TextField(blank=True, default=b'')),
                ('family', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='base.Family')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Individual',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('indiv_id', models.SlugField(blank=True, default=b'', max_length=140)),
                ('nickname', models.CharField(blank=True, default=b'', max_length=140)),
                ('gender', models.CharField(choices=[(b'M', b'Male'), (b'F', b'Female'), (b'U', b'Unknown')], default=b'U', max_length=1)),
                ('affected', models.CharField(choices=[(b'A', b'Affected'), (b'N', b'Unaffected'), (b'U', b'Unknown')], default=b'U', max_length=1)),
                ('maternal_id', models.SlugField(blank=True, default=b'', max_length=140)),
                ('paternal_id', models.SlugField(blank=True, default=b'', max_length=140)),
                ('other_notes', models.TextField(blank=True, default=b'', null=True)),
                ('coverage_file', models.CharField(blank=True, default=b'', max_length=200)),
                ('exome_depth_file', models.CharField(blank=True, default=b'', max_length=200)),
                ('bam_file_path', models.CharField(blank=True, default=b'', max_length=1000)),
                ('vcf_id', models.CharField(blank=True, default=b'', max_length=40)),
                ('family', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='base.Family')),
            ],
        ),
        migrations.CreateModel(
            name='IndividualPhenotype',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('boolean_val', models.NullBooleanField()),
                ('float_val', models.FloatField(blank=True, null=True)),
                ('individual', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Individual')),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('project_id', models.SlugField(blank=True, default=b'', max_length=140, unique=True)),
                ('project_name', models.CharField(blank=True, default=b'', max_length=140)),
                ('description', models.TextField(blank=True, default=b'')),
                ('is_public', models.BooleanField(default=False)),
                ('created_date', models.DateTimeField(blank=True, null=True)),
                ('last_accessed_date', models.DateTimeField(blank=True, null=True)),
                ('category', models.CharField(max_length=20, null=True)),
                ('status', models.CharField(choices=[(b'draft', b'draft'), (b'submitted', b'submitted'), (b'accepted', b'accepted')], max_length=20, null=True)),
                ('default_control_cohort', models.CharField(blank=True, default=b'', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='ProjectCollaborator',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('collaborator_type', models.CharField(choices=[(b'manager', b'Manager'), (b'collaborator', b'Collaborator')], default=b'collaborator', max_length=20)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Project')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ProjectGeneList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gene_list', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gene_lists.GeneList')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Project')),
            ],
        ),
        migrations.CreateModel(
            name='ProjectPhenotype',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(default=b'pheno', max_length=140)),
                ('name', models.CharField(default=b'', max_length=140)),
                ('category', models.CharField(choices=[(b'disease', b'Disease'), (b'clinial_observation', b'Clinical Observation'), (b'other', b'Other')], max_length=20)),
                ('datatype', models.CharField(choices=[(b'bool', b'Boolean'), (b'number', b'Number')], max_length=20)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Project')),
            ],
        ),
        migrations.CreateModel(
            name='ProjectTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tag', models.SlugField()),
                ('title', models.CharField(default=b'', max_length=300)),
                ('color', models.CharField(default=b'', max_length=10)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Project')),
            ],
        ),
        migrations.CreateModel(
            name='ReferencePopulation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(default=b'')),
                ('name', models.CharField(default=b'', max_length=100)),
                ('file_type', models.CharField(default=b'', max_length=50)),
                ('file_path', models.CharField(default=b'', max_length=500)),
                ('is_public', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('display_name', models.CharField(blank=True, default=b'', max_length=100)),
                ('set_password_token', models.CharField(blank=True, default=b'', max_length=40)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='VariantNote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_saved', models.DateTimeField()),
                ('note', models.TextField(blank=True, default=b'')),
                ('xpos', models.BigIntegerField()),
                ('ref', models.TextField()),
                ('alt', models.TextField()),
                ('family', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='base.Family')),
                ('individual', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='base.Individual')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Project')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='VariantTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_saved', models.DateTimeField(null=True)),
                ('xpos', models.BigIntegerField()),
                ('ref', models.TextField()),
                ('alt', models.TextField()),
                ('family', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='base.Family')),
                ('project_tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.ProjectTag')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='VCFFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file_path', models.CharField(blank=True, default=b'', max_length=500)),
                ('needs_reannotate', models.BooleanField(default=False)),
            ],
        ),
        migrations.AddField(
            model_name='project',
            name='collaborators',
            field=models.ManyToManyField(blank=True, through='base.ProjectCollaborator', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='project',
            name='gene_lists',
            field=models.ManyToManyField(through='base.ProjectGeneList', to='gene_lists.GeneList'),
        ),
        migrations.AddField(
            model_name='project',
            name='private_reference_populations',
            field=models.ManyToManyField(blank=True, to='base.ReferencePopulation'),
        ),
        migrations.AddField(
            model_name='individualphenotype',
            name='phenotype',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.ProjectPhenotype'),
        ),
        migrations.AddField(
            model_name='individual',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='base.Project'),
        ),
        migrations.AddField(
            model_name='individual',
            name='vcf_files',
            field=models.ManyToManyField(blank=True, to='base.VCFFile'),
        ),
        migrations.AddField(
            model_name='familygroup',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Project'),
        ),
        migrations.AddField(
            model_name='family',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='base.Project'),
        ),
        migrations.AddField(
            model_name='cohort',
            name='individuals',
            field=models.ManyToManyField(to='base.Individual'),
        ),
        migrations.AddField(
            model_name='cohort',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='base.Project'),
        ),
        migrations.AddField(
            model_name='causalvariant',
            name='family',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='base.Family'),
        ),
        migrations.AddField(
            model_name='analysisstatus',
            name='family',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Family'),
        ),
        migrations.AddField(
            model_name='analysisstatus',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
    ]
