--
-- PostgreSQL database dump
--

-- Dumped from database version 9.6.2
-- Dumped by pg_dump version 9.6.2

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: feeds_aggregatorgroup; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE feeds_aggregatorgroup (
    agg_id integer NOT NULL,
    agg_name character varying(255)
);


ALTER TABLE feeds_aggregatorgroup OWNER TO xwiki;

--
-- Name: feeds_aggregatorurl; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE feeds_aggregatorurl (
    agg_id bigint NOT NULL,
    agg_name text,
    agg_url text,
    agg_date timestamp without time zone,
    agg_nb integer
);


ALTER TABLE feeds_aggregatorurl OWNER TO xwiki;

--
-- Name: feeds_aggregatorurlgroups; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE feeds_aggregatorurlgroups (
    agl_id bigint NOT NULL,
    agl_value character varying(255),
    agl_number integer NOT NULL
);


ALTER TABLE feeds_aggregatorurlgroups OWNER TO xwiki;

--
-- Name: feeds_feedentry; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE feeds_feedentry (
    fee_id bigint NOT NULL,
    fee_title text,
    fee_author text,
    fee_feedurl text,
    fee_feedname text,
    fee_url text,
    fee_category text,
    fee_content text,
    fee_fullcontent text,
    fee_xml text,
    fee_date timestamp without time zone,
    fee_flag integer DEFAULT 0,
    fee_read integer DEFAULT 0
);


ALTER TABLE feeds_feedentry OWNER TO xwiki;

--
-- Name: feeds_feedentrytags; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE feeds_feedentrytags (
    fet_id bigint NOT NULL,
    fet_value character varying(255),
    fet_number integer NOT NULL
);


ALTER TABLE feeds_feedentrytags OWNER TO xwiki;

--
-- Name: feeds_keyword; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE feeds_keyword (
    key_id integer NOT NULL,
    key_name character varying(255),
    key_group character varying(255)
);


ALTER TABLE feeds_keyword OWNER TO xwiki;

--
-- Name: hibernate_sequence; Type: SEQUENCE; Schema: public; Owner: xwiki
--

CREATE SEQUENCE hibernate_sequence
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE hibernate_sequence OWNER TO xwiki;

--
-- Name: locallogintoken; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE locallogintoken (
    id bigint NOT NULL,
    localusername character varying(255) NOT NULL,
    logintoken character varying(255) NOT NULL,
    sourceservername character varying(255) NOT NULL,
    timetokencreated timestamp without time zone NOT NULL
);


ALTER TABLE locallogintoken OWNER TO xwiki;

--
-- Name: mailsender_events; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE mailsender_events (
    mail_id character varying(255) NOT NULL,
    mail_batchid character varying(255) NOT NULL,
    mail_state character varying(255) NOT NULL,
    mail_date timestamp without time zone NOT NULL,
    mail_recipients character varying(2000) NOT NULL,
    mail_type character varying(255),
    mail_errorsummary character varying(2000),
    mail_errordescription text,
    mail_wiki character varying(255)
);


ALTER TABLE mailsender_events OWNER TO xwiki;

--
-- Name: patientpushedtoinfo; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE patientpushedtoinfo (
    id bigint NOT NULL,
    lasttimepushed timestamp without time zone NOT NULL,
    localpatientid character varying(255) NOT NULL,
    remotepatientguid character varying(255),
    remotepatientid character varying(255) NOT NULL,
    remotepatienturl character varying(255),
    remoteservername character varying(255) NOT NULL
);


ALTER TABLE patientpushedtoinfo OWNER TO xwiki;

--
-- Name: patientsourceserverinfo; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE patientsourceserverinfo (
    id bigint NOT NULL,
    patientguid character varying(255) NOT NULL,
    sourceservername character varying(255) NOT NULL
);


ALTER TABLE patientsourceserverinfo OWNER TO xwiki;

--
-- Name: remotelogindata; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE remotelogindata (
    id bigint NOT NULL,
    localusername character varying(255) NOT NULL,
    logintoken character varying(255),
    remoteusername character varying(255) NOT NULL,
    servername character varying(255) NOT NULL
);


ALTER TABLE remotelogindata OWNER TO xwiki;

--
-- Name: xwikiattachment; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikiattachment (
    xwa_id bigint NOT NULL,
    xwa_doc_id bigint,
    xwa_filename character varying(255) NOT NULL,
    xwa_size integer,
    xwa_mimetype character varying(255),
    xwa_date timestamp without time zone NOT NULL,
    xwa_author character varying(255),
    xwa_version character varying(255) NOT NULL,
    xwa_comment character varying(1023)
);


ALTER TABLE xwikiattachment OWNER TO xwiki;

--
-- Name: xwikiattachment_archive; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikiattachment_archive (
    xwa_id bigint NOT NULL,
    xwa_archive oid
);


ALTER TABLE xwikiattachment_archive OWNER TO xwiki;

--
-- Name: xwikiattachment_content; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikiattachment_content (
    xwa_id bigint NOT NULL,
    xwa_content oid NOT NULL
);


ALTER TABLE xwikiattachment_content OWNER TO xwiki;

--
-- Name: xwikiattrecyclebin; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikiattrecyclebin (
    xda_id bigint NOT NULL,
    xda_docid bigint NOT NULL,
    xda_filename character varying(255) NOT NULL,
    xda_date timestamp without time zone NOT NULL,
    xda_doc_name character varying(255),
    xda_deleter character varying(255),
    xda_xml text NOT NULL
);


ALTER TABLE xwikiattrecyclebin OWNER TO xwiki;

--
-- Name: xwikicomments; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikicomments (
    xwc_id bigint NOT NULL,
    xwc_author character varying(255),
    xwc_highlight text,
    xwc_comment text,
    xwp_replyto integer,
    xwp_date timestamp without time zone
);


ALTER TABLE xwikicomments OWNER TO xwiki;

--
-- Name: xwikidates; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikidates (
    xws_id bigint NOT NULL,
    xws_name character varying(255) NOT NULL,
    xws_value timestamp without time zone
);


ALTER TABLE xwikidates OWNER TO xwiki;

--
-- Name: xwikidbversion; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikidbversion (
    xwv_version integer NOT NULL
);


ALTER TABLE xwikidbversion OWNER TO xwiki;

--
-- Name: xwikidoc; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikidoc (
    xwd_id bigint NOT NULL,
    xwd_fullname character varying(255) NOT NULL,
    xwd_name character varying(255) NOT NULL,
    xwd_title character varying(255) NOT NULL,
    xwd_language character varying(5),
    xwd_default_language character varying(5),
    xwd_translation integer NOT NULL,
    xwd_date timestamp without time zone NOT NULL,
    xwd_content_update_date timestamp without time zone NOT NULL,
    xwd_creation_date timestamp without time zone NOT NULL,
    xwd_author character varying(255) NOT NULL,
    xwd_content_author character varying(255) NOT NULL,
    xwd_creator character varying(255) NOT NULL,
    xwd_web character varying(255) NOT NULL,
    xwd_content text NOT NULL,
    xwd_version character varying(255) NOT NULL,
    xwd_custom_class character varying(255) NOT NULL,
    xwd_parent character varying(511) NOT NULL,
    xwd_class_xml text,
    xwd_elements integer NOT NULL,
    xwd_default_template character varying(255) NOT NULL,
    xwd_validation_script character varying(255) NOT NULL,
    xwd_comment character varying(1023) NOT NULL,
    xwd_minoredit boolean NOT NULL,
    xwd_syntax_id character varying(50),
    xwd_hidden boolean NOT NULL
);


ALTER TABLE xwikidoc OWNER TO xwiki;

--
-- Name: xwikidoubles; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikidoubles (
    xwd_id bigint NOT NULL,
    xwd_name character varying(255) NOT NULL,
    xwd_value double precision
);


ALTER TABLE xwikidoubles OWNER TO xwiki;

--
-- Name: xwikifloats; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikifloats (
    xwf_id bigint NOT NULL,
    xwf_name character varying(255) NOT NULL,
    xwf_value real
);


ALTER TABLE xwikifloats OWNER TO xwiki;

--
-- Name: xwikiintegers; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikiintegers (
    xwi_id bigint NOT NULL,
    xwi_name character varying(255) NOT NULL,
    xwi_value integer
);


ALTER TABLE xwikiintegers OWNER TO xwiki;

--
-- Name: xwikilargestrings; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikilargestrings (
    xwl_id bigint NOT NULL,
    xwl_name character varying(255) NOT NULL,
    xwl_value text
);


ALTER TABLE xwikilargestrings OWNER TO xwiki;

--
-- Name: xwikilinks; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikilinks (
    xwl_doc_id bigint NOT NULL,
    xwl_link character varying(255) NOT NULL,
    xwl_fullname character varying(255)
);


ALTER TABLE xwikilinks OWNER TO xwiki;

--
-- Name: xwikilistitems; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikilistitems (
    xwl_id bigint NOT NULL,
    xwl_name character varying(255) NOT NULL,
    xwl_value character varying(255),
    xwl_number integer NOT NULL
);


ALTER TABLE xwikilistitems OWNER TO xwiki;

--
-- Name: xwikilists; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikilists (
    xwl_id bigint NOT NULL,
    xwl_name character varying(255) NOT NULL
);


ALTER TABLE xwikilists OWNER TO xwiki;

--
-- Name: xwikilock; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikilock (
    xwl_doc_id bigint NOT NULL,
    xwl_author character varying(255),
    xwl_date timestamp without time zone NOT NULL
);


ALTER TABLE xwikilock OWNER TO xwiki;

--
-- Name: xwikilongs; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikilongs (
    xwl_id bigint NOT NULL,
    xwl_name character varying(255) NOT NULL,
    xwl_value bigint
);


ALTER TABLE xwikilongs OWNER TO xwiki;

--
-- Name: xwikiobjects; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikiobjects (
    xwo_id bigint NOT NULL,
    xwo_number integer,
    xwo_name character varying(255) NOT NULL,
    xwo_classname character varying(255) NOT NULL,
    xwo_guid character varying(255)
);


ALTER TABLE xwikiobjects OWNER TO xwiki;

--
-- Name: xwikipreferences; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikipreferences (
    xwp_id bigint NOT NULL,
    xwp_language character varying(255),
    xwp_default_language character varying(255),
    xwp_multi_lingual integer,
    xwp_authenticate_edit integer,
    xwp_authenticate_view integer,
    xwp_auth_active_check integer,
    xwp_backlinks integer,
    xwp_skin character varying(255),
    xwp_stylesheet character varying(255),
    xwp_stylesheets character varying(255),
    xwp_editor character varying(255),
    xwp_webcopyright character varying(255),
    xwp_title character varying(255),
    xwp_version character varying(255),
    xwp_meta text,
    xwp_use_email_verification integer,
    xwp_smtp_server character varying(255),
    xwp_admin_email character varying(255),
    xwp_validation_email_content text,
    xwp_confirmation_email_content text,
    xwp_invitation_email_content text,
    xwp_left_panels character varying(2000),
    xwp_right_panels character varying(2000),
    xwp_show_left_panels integer,
    xwp_show_right_panels integer,
    xwp_languages character varying(255),
    xwp_registration_anonymous character varying(255),
    xwp_registration_registered character varying(255),
    xwp_edit_anonymous character varying(255),
    xwp_edit_registered character varying(255),
    xwp_comment_anonymous character varying(255),
    xwp_comment_registered character varying(255),
    xwp_document_bundles character varying(2000)
);


ALTER TABLE xwikipreferences OWNER TO xwiki;

--
-- Name: xwikiproperties; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikiproperties (
    xwp_id bigint NOT NULL,
    xwp_name character varying(255) NOT NULL,
    xwp_classtype character varying(255)
);


ALTER TABLE xwikiproperties OWNER TO xwiki;

--
-- Name: xwikircs; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikircs (
    xwr_docid bigint NOT NULL,
    xwr_version1 integer NOT NULL,
    xwr_version2 integer NOT NULL,
    xwr_date timestamp without time zone NOT NULL,
    xwr_comment character varying(1023) NOT NULL,
    xwr_author character varying(255) NOT NULL,
    xwr_isdiff boolean,
    xwr_patch text
);


ALTER TABLE xwikircs OWNER TO xwiki;

--
-- Name: xwikirecyclebin; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikirecyclebin (
    xdd_id bigint NOT NULL,
    xdd_fullname character varying(255) NOT NULL,
    xdd_language character varying(5) NOT NULL,
    xdd_date timestamp without time zone NOT NULL,
    xdd_deleter character varying(255),
    xdd_xml text NOT NULL
);


ALTER TABLE xwikirecyclebin OWNER TO xwiki;

--
-- Name: xwikistatsdoc; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikistatsdoc (
    xws_id bigint NOT NULL,
    xws_number integer,
    xws_name character varying(255) NOT NULL,
    xws_classname character varying(255),
    xws_action character varying(255) NOT NULL,
    xws_page_views integer,
    xws_unique_visitors integer,
    xws_period integer,
    xws_visits integer
);


ALTER TABLE xwikistatsdoc OWNER TO xwiki;

--
-- Name: xwikistatsreferer; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikistatsreferer (
    xwr_id bigint NOT NULL,
    xwr_number integer,
    xwr_name character varying(255) NOT NULL,
    xwr_classname character varying(255),
    xwr_referer character varying(8192) NOT NULL,
    xwr_page_views integer,
    xwr_period integer
);


ALTER TABLE xwikistatsreferer OWNER TO xwiki;

--
-- Name: xwikistatsvisit; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikistatsvisit (
    xwv_id bigint NOT NULL,
    xwv_number integer,
    xwv_name character varying(255) NOT NULL,
    xwv_classname character varying(255),
    xwv_ip character varying(255) NOT NULL,
    xwv_user_agent character varying(8192) NOT NULL,
    xwv_cookie character varying(8192) NOT NULL,
    xwv_unique_id character varying(255) NOT NULL,
    xwv_page_views integer,
    xwv_page_saves integer,
    xwv_downloads integer,
    xwv_start_date timestamp without time zone,
    xwv_end_date timestamp without time zone
);


ALTER TABLE xwikistatsvisit OWNER TO xwiki;

--
-- Name: xwikistrings; Type: TABLE; Schema: public; Owner: xwiki
--

CREATE TABLE xwikistrings (
    xws_id bigint NOT NULL,
    xws_name character varying(255) NOT NULL,
    xws_value character varying(255)
);


ALTER TABLE xwikistrings OWNER TO xwiki;

--
-- Data for Name: feeds_aggregatorgroup; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY feeds_aggregatorgroup (agg_id, agg_name) FROM stdin;
\.


--
-- Data for Name: feeds_aggregatorurl; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY feeds_aggregatorurl (agg_id, agg_name, agg_url, agg_date, agg_nb) FROM stdin;
\.


--
-- Data for Name: feeds_aggregatorurlgroups; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY feeds_aggregatorurlgroups (agl_id, agl_value, agl_number) FROM stdin;
\.


--
-- Data for Name: feeds_feedentry; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY feeds_feedentry (fee_id, fee_title, fee_author, fee_feedurl, fee_feedname, fee_url, fee_category, fee_content, fee_fullcontent, fee_xml, fee_date, fee_flag, fee_read) FROM stdin;
\.


--
-- Data for Name: feeds_feedentrytags; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY feeds_feedentrytags (fet_id, fet_value, fet_number) FROM stdin;
\.


--
-- Data for Name: feeds_keyword; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY feeds_keyword (key_id, key_name, key_group) FROM stdin;
\.


--
-- Name: hibernate_sequence; Type: SEQUENCE SET; Schema: public; Owner: xwiki
--

SELECT pg_catalog.setval('hibernate_sequence', 1, false);


--
-- Data for Name: locallogintoken; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY locallogintoken (id, localusername, logintoken, sourceservername, timetokencreated) FROM stdin;
\.


--
-- Data for Name: mailsender_events; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY mailsender_events (mail_id, mail_batchid, mail_state, mail_date, mail_recipients, mail_type, mail_errorsummary, mail_errordescription, mail_wiki) FROM stdin;
\.


--
-- Data for Name: patientpushedtoinfo; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY patientpushedtoinfo (id, lasttimepushed, localpatientid, remotepatientguid, remotepatientid, remotepatienturl, remoteservername) FROM stdin;
\.


--
-- Data for Name: patientsourceserverinfo; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY patientsourceserverinfo (id, patientguid, sourceservername) FROM stdin;
\.


--
-- Data for Name: remotelogindata; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY remotelogindata (id, localusername, logintoken, remoteusername, servername) FROM stdin;
\.


--
-- Data for Name: xwikiattachment; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikiattachment (xwa_id, xwa_doc_id, xwa_filename, xwa_size, xwa_mimetype, xwa_date, xwa_author, xwa_version, xwa_comment) FROM stdin;
-1034981658	-1641249689881546433	analytics.png	10176	\N	2017-05-12 15:43:29	xwiki:XWiki.Admin	1.1	
926504219	6884771197862039151	icon.png	8443	\N	2017-05-12 15:43:31	xwiki:XWiki.Admin	1.1	
-1344151350	-1600638843437778041	icon.png	8627	\N	2017-05-12 15:43:31	xwiki:XWiki.Admin	1.1	
-464360013	-4648258660478158687	icon.png	9332	\N	2017-05-12 15:43:31	xwiki:XWiki.Admin	1.1	
-1535463148	2712967020895974595	icon.png	8529	\N	2017-05-12 15:43:31	xwiki:XWiki.Admin	1.1	
-1028843758	6888561346923736117	logo.png	2228	\N	2017-05-12 15:43:31	xwiki:XWiki.Admin	1.1	
-660621324	6888561346923736117	header.png	27167	\N	2017-05-12 15:43:31	xwiki:XWiki.Admin	1.1	
394268105	-2600009163857461086	header.png	31799	\N	2017-05-12 15:43:31	xwiki:XWiki.Admin	1.1	
2011356711	-2600009163857461086	logo.png	2228	\N	2017-05-12 15:43:31	xwiki:XWiki.Admin	1.1	
-1449214131	-7092167269817579749	header.png	31199	\N	2017-05-12 15:43:31	xwiki:XWiki.Admin	1.1	
239607979	-7092167269817579749	logo.png	2228	\N	2017-05-12 15:43:31	xwiki:XWiki.Admin	1.1	
1855489528	361299506791820685	email.png	8309	\N	2017-05-12 15:43:32	xwiki:XWiki.Admin	1.1	
1242275323	5380970307048909325	body-icon-left-s.png	573	\N	2017-05-12 15:43:32	xwiki:XWiki.Admin	1.1	
867564682	5380970307048909325	body-icon-right-s.png	568	\N	2017-05-12 15:43:32	xwiki:XWiki.Admin	1.1	
98134331	5380970307048909325	body-icon-s.png	546	\N	2017-05-12 15:43:32	xwiki:XWiki.Admin	1.1	
721293122	5380970307048909325	eye.png	699	\N	2017-05-12 15:43:32	xwiki:XWiki.Admin	1.1	
-516398531	5380970307048909325	head-icon-s.png	235	\N	2017-05-12 15:43:32	xwiki:XWiki.Admin	1.1	
30241744	5380970307048909325	logo.png	1782	\N	2017-05-12 15:43:32	xwiki:XWiki.Admin	1.1	
827965397	5380970307048909325	ratios-icon-s.png	549	\N	2017-05-12 15:43:32	xwiki:XWiki.Admin	1.1	
853672678	1160353948684402343	header.png	27167	\N	2017-05-12 15:43:33	xwiki:XWiki.Admin	1.1	
-1391844632	5535268348243340484	header.png	31199	\N	2017-05-12 15:43:33	xwiki:XWiki.Admin	1.1	
368679367	8754155596405016767	header.png	47512	\N	2017-05-12 15:43:33	xwiki:XWiki.Admin	1.1	
109474426	8754155596405016767	logo-b.png	2249	\N	2017-05-12 15:43:33	xwiki:XWiki.Admin	1.1	
2042405357	-3360037916034797650	header.png	55994	\N	2017-05-12 15:43:33	xwiki:XWiki.Admin	1.1	
1783200416	-3360037916034797650	logo-b.png	2249	\N	2017-05-12 15:43:33	xwiki:XWiki.Admin	1.1	
-1275592452	8591098630944079733	header.png	31799	\N	2017-05-12 15:43:33	xwiki:XWiki.Admin	1.1	
681716604	-5014424313236062365	header.png	28268	\N	2017-05-12 15:43:33	xwiki:XWiki.Admin	1.1	
55041664	1170145800217320925	PhenomeCentral_Consent.pdf	142718	\N	2017-05-12 15:43:34	xwiki:XWiki.Admin	1.1	
-1594030110	-7509314645851387670	icon.png	6237	\N	2017-05-12 15:43:35	xwiki:XWiki.Admin	1.1	
26833745	-4513812893523364026	search-suggest.png	13122	\N	2017-05-12 15:43:36	xwiki:XWiki.Admin	1.1	
323280882	-3437348809770867380	noavatar.png	3076	\N	2017-05-12 15:43:36	xwiki:XWiki.Admin	1.1	
-2047021690	3059779074258070780	group.png	10000	\N	2017-05-12 15:43:37	xwiki:XWiki.Admin	1.1	
2131640273	265750917640709545	5star-c.png	833	\N	2017-05-12 15:43:37	xwiki:XWiki.Admin	1.1	
2135334357	265750917640709545	5star-g.png	461	\N	2017-05-12 15:43:37	xwiki:XWiki.Admin	1.1	
2045440024	265750917640709545	monarch-logo.png	21741	\N	2017-05-12 15:43:37	xwiki:XWiki.Admin	1.1	
298666780	7372552029050495646	clinicaldata.png	8871	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
-1889024297	4170140448937233253	applications.png	7358	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
1339216984	4170140448937233253	configuration.png	9805	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
999637915	4170140448937233253	content.png	8456	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
-742236870	4170140448937233253	editing.png	14726	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
-419250901	4170140448937233253	elements.png	5339	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
274923262	4170140448937233253	email.png	8309	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
-1132579928	4170140448937233253	export.png	7585	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
1108233794	4170140448937233253	extensionmanager.png	8283	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
-41752120	4170140448937233253	groups.png	10977	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
783495961	4170140448937233253	import.png	8456	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
1032658670	4170140448937233253	lf.png	4901	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
-668254899	4170140448937233253	localization.png	10655	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
-304460466	4170140448937233253	presentation.png	9312	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
-1812508819	4170140448937233253	registration.png	7935	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
1583077451	4170140448937233253	rights.png	10836	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
-194841445	4170140448937233253	templates.png	5760	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
-1488442518	4170140448937233253	users.png	12054	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
1131797502	4170140448937233253	usersgroups.png	10977	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
-518873611	483170161964232996	DefaultAdminSectionIcon.png	4198	\N	2017-05-12 15:43:38	xwiki:XWiki.Admin	1.1	
\.


--
-- Data for Name: xwikiattachment_archive; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikiattachment_archive (xwa_id, xwa_archive) FROM stdin;
\.


--
-- Data for Name: xwikiattachment_content; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikiattachment_content (xwa_id, xwa_content) FROM stdin;
\.


--
-- Data for Name: xwikiattrecyclebin; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikiattrecyclebin (xda_id, xda_docid, xda_filename, xda_date, xda_doc_name, xda_deleter, xda_xml) FROM stdin;
\.


--
-- Data for Name: xwikicomments; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikicomments (xwc_id, xwc_author, xwc_highlight, xwc_comment, xwp_replyto, xwp_date) FROM stdin;
\.


--
-- Data for Name: xwikidates; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikidates (xws_id, xws_name, xws_value) FROM stdin;
5609576143747348822	date_of_birth	\N
5609576143747348822	date_of_death	\N
5609576143747348822	exam_date	\N
\.


--
-- Data for Name: xwikidbversion; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikidbversion (xwv_version) FROM stdin;
54693
\.


--
-- Data for Name: xwikidoc; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikidoc (xwd_id, xwd_fullname, xwd_name, xwd_title, xwd_language, xwd_default_language, xwd_translation, xwd_date, xwd_content_update_date, xwd_creation_date, xwd_author, xwd_content_author, xwd_creator, xwd_web, xwd_content, xwd_version, xwd_custom_class, xwd_parent, xwd_class_xml, xwd_elements, xwd_default_template, xwd_validation_script, xwd_comment, xwd_minoredit, xwd_syntax_id, xwd_hidden) FROM stdin;
8518115932467899791	XWiki.WikiMacroParameterClass	WikiMacroParameterClass	XWiki Wiki Macro Parameter Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:13	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n	2				f	xwiki/2.1	t
-8324982103168136738	Crypto.PrivateKeyClass	PrivateKeyClass	Private Key Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	Crypto		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>Crypto.PrivateKeyClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<key>\n<disabled>0</disabled>\n<name>key</name>\n<number>1</number>\n<prettyName>Private Key</prettyName>\n<rows>10</rows>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</key>\n</class>\n	2				f	xwiki/2.1	t
-3509751462245285998	XWiki.XWikiSkinFileOverrideClass	XWikiSkinFileOverrideClass	XWiki Skin File Override Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.XWikiSkinFileOverrideClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>content</name>\n<number>2</number>\n<prettyName>Content</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<path>\n<disabled>0</disabled>\n<name>path</name>\n<number>1</number>\n<prettyName>Path</prettyName>\n<size>255</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</path>\n</class>\n	2				f	xwiki/2.1	t
5795771277671517970	XWiki.XWikiUsers	XWikiUsers	XWiki User Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.XWikiUsers</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<accessibility>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>accessibility</name>\n<number>16</number>\n<prettyName>Enable extra accessibility features</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</accessibility>\n<active>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>active</displayType>\n<name>active</name>\n<number>6</number>\n<prettyName>Active</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</active>\n<address>\n<disabled>0</disabled>\n<name>address</name>\n<number>22</number>\n<prettyName>Address</prettyName>\n<rows>3</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</address>\n<avatar>\n<disabled>0</disabled>\n<name>avatar</name>\n<number>20</number>\n<prettyName>Avatar</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</avatar>\n<blog>\n<disabled>0</disabled>\n<name>blog</name>\n<number>9</number>\n<prettyName>Blog</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</blog>\n<blogfeed>\n<disabled>0</disabled>\n<name>blogfeed</name>\n<number>10</number>\n<prettyName>Blog Feed</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</blogfeed>\n<comment>\n<disabled>0</disabled>\n<name>comment</name>\n<number>11</number>\n<prettyName>Comment</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comment>\n<company>\n<disabled>0</disabled>\n<name>company</name>\n<number>8</number>\n<prettyName>Company</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</company>\n<default_language>\n<disabled>0</disabled>\n<name>default_language</name>\n<number>7</number>\n<prettyName>Default Language</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</default_language>\n<displayHiddenDocuments>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>displayHiddenDocuments</name>\n<number>17</number>\n<prettyName>Display Hidden Documents</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</displayHiddenDocuments>\n<editor>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>editor</name>\n<number>14</number>\n<prettyName>Default Editor</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Text|Wysiwyg</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</editor>\n<email>\n<disabled>0</disabled>\n<name>email</name>\n<number>3</number>\n<prettyName>e-Mail</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationRegExp>/^(([^@\\s]+)@((?:[-a-zA-Z0-9]+\\.)+[a-zA-Z]{2,}))?$/</validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.EmailClass</classType>\n</email>\n<first_name>\n<disabled>0</disabled>\n<name>first_name</name>\n<number>1</number>\n<prettyName>First Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</first_name>\n<imaccount>\n<disabled>0</disabled>\n<name>imaccount</name>\n<number>13</number>\n<prettyName>imaccount</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</imaccount>\n<imtype>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>imtype</name>\n<number>12</number>\n<prettyName>IM Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|AIM|Yahoo|Jabber|MSN|Skype|ICQ</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</imtype>\n<last_name>\n<disabled>0</disabled>\n<name>last_name</name>\n<number>2</number>\n<prettyName>Last Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</last_name>\n<password>\n<disabled>0</disabled>\n<name>password</name>\n<number>4</number>\n<prettyName>Password</prettyName>\n<size>10</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.PasswordClass</classType>\n</password>\n<phone>\n<disabled>0</disabled>\n<name>phone</name>\n<number>21</number>\n<prettyName>Phone</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</phone>\n<skin>\n<disabled>0</disabled>\n<name>skin</name>\n<number>19</number>\n<prettyName>skin</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</skin>\n<timezone>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'inline' || $xcontext.action == 'edit')\n  {{html}}\n    #if($xwiki.jodatime)\n      &lt;select id='$prefix$name' name='$prefix$name'&gt;\n        &lt;option value="" #if($value == $tz)selected="selected"#end&gt;$services.localization.render('XWiki.XWikiPreferences_timezone_default')&lt;/option&gt;\n        #foreach($tz in $xwiki.jodatime.getServerTimezone().getAvailableIDs())\n          &lt;option value="$tz" #if($value == $tz)selected="selected"#end&gt;$tz&lt;/option&gt;\n        #end\n      &lt;/select&gt;\n    #else\n      &lt;input id='$prefix$name' name='$prefix$name' type="text" value="$!value"/&gt;\n    #end\n  {{/html}}\n#else\n  $!value\n#end\n{{/velocity}}\n</customDisplay><disabled>0</disabled>\n<name>timezone</name>\n<number>18</number>\n<prettyName>Timezone</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</timezone>\n<usertype>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>usertype</name>\n<number>15</number>\n<prettyName>User type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Simple|Advanced</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</usertype>\n<validkey>\n<disabled>0</disabled>\n<name>validkey</name>\n<number>5</number>\n<prettyName>Validation Key</prettyName>\n<size>10</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.PasswordClass</classType>\n</validkey>\n</class>\n	2				f	xwiki/2.1	t
-8200316973773174683	XWiki.EditModeClass	EditModeClass	XWiki Edit Mode Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki	Class that should be used to specify the edit mode of a page.	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.EditModeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultEditMode>\n<disabled>0</disabled>\n<name>defaultEditMode</name>\n<number>1</number>\n<prettyName>Default Edit Mode</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultEditMode>\n</class>\n	2				f	xwiki/2.1	t
5448752093983161950	XWiki.TranslationDocumentClass	TranslationDocumentClass	Translation Document Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.TranslationDocumentClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>1</number>\n<prettyName>Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>GLOBAL|WIKI|USER|ON_DEMAND</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n	2				f	xwiki/2.1	t
-8127487877897324017	XWiki.DeletedAttachments	DeletedAttachments	$services.localization.render('platform.index.attachmentsTrash')			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2009-12-30 08:15:20	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#if(!$xwiki.hasProgrammingRights())\n  {{warning}}This document requires programming rights and needs to be saved by an administrator of this Wiki{{/warning}}\n#else\n#set($dateFormat = 'yyyy MMMM d, HH:mm')\n#if(!$request.list)\n$xwiki.ssx.use('XWiki.DeletedAttachments')##\n$xwiki.jsx.use('XWiki.DeletedAttachments', {'minify' : 'false'})##\n##\n#set($columns = ['datt.filename', 'datt.docName', 'datt.date', 'datt.deleter', 'actions'])\n#set($columnProperties = {\n    'datt.filename'  : { 'type' : 'text', 'size' : 10 },\n    'datt.docName'   : { 'type' : 'text', 'size' : 10 },\n    'datt.date'      : { 'type' : 'date', 'filterable' : false },\n    'datt.deleter'   : { 'type' : 'text', 'size' : 10 },\n    'actions'        : { 'type' : 'text', 'filterable' : false, 'sortable' : false }\n  })##\n#set($options = {\n    'url'               : "$xwiki.getURL('XWiki.DeletedAttachments', 'view', 'list=1&xpage=plain&outputSyntax=plain')",\n    'callback'          : 'XWiki.index.trash.attachments.displayEntry',\n    'translationPrefix' : 'platform.index.trashAttachments.'\n  })##\n##\n##\n##\n{{html wiki="true" clean="false"}}\n<div class="hidden">\n#livetable('attachmentTrash' $columns $columnProperties $options)\n</div>\n{{/html}}\n\n{{html wiki="true" clean="false"}}\n<noscript>\n\n  #set($deletedAttachments = $services.query.hql('select count(datt.id) from DeletedAttachment as datt').execute().get(0))\n  #if($deletedAttachments == 0)\n\n    {{info}}$services.localization.render('platform.index.trashAttachmentsEmpty'){{/info}}\n\n  #else\n  #macro(displayDeletedAttachment $id)\n    #set($datt = $xwiki.getDeletedAttachment("$id"))\n    #set($originalAttachment = $datt.getAttachment())\n    #set($originalDocument = $xwiki.getDocument($datt.docName))\n    <tr>\n      <td><a href="$originalDocument.getAttachmentRevisionURL($originalAttachment.filename, $originalAttachment.version, "rid=${datt.id}").replaceAll('&', '&amp;')">$escapetool.xml($datt.filename)</a></td>\n      <td><a href="$originalDocument.getURL()">$escapetool.xml($originalDocument.plainTitle) ($escapetool.xml(${originalDocument.fullName}))</a></td>\n      <td>$xwiki.formatDate($datt.getDate(), $dateFormat)</td>\n      <td>$xwiki.getUserName($datt.getDeleter())</td>\n      <td class="itemActions">\n        #if($datt.canDelete())\n          <a href="${originalDocument.getAttachmentURL($datt.filename, 'delattachment', "trashId=${datt.id}&amp;xredirect=$escapetool.url($!request.getRequestURI())?$escapetool.url($!request.getQueryString())")}" class="tool delete" title="$services.localization.render('platform.index.trashAttachmentsActionsDeleteTooltip')">$services.localization.render('platform.index.trashAttachmentsDeleteText')</a>\n        #end\n      </td>\n    </tr>\n  #end\n##\n  #if("$!{request.view}" == '')\n    #set($queryParams = '')\n  #else\n    #set($queryParams = "view=$!{escapetool.url($request.view)}")\n  #end\n  #set($paginationParameters = {\n    'totalItems' : $services.query.hql('select count(datt.id) from DeletedAttachment as datt').execute().get(0),\n    'defaultItemsPerPage' : 15,\n    'url' : $doc.getURL('view', $queryParams)\n  })\n  #pagination($paginationParameters)\n  <table id="searchResults" class="xwiki-livetable xwiki-livetable-display">\n    <thead class="xwiki-livetable-display-header"><tr>\n      <th scope="col" class="xwiki-livetable-display-header-text selected asc">$services.localization.render('platform.index.trashAttachments.datt.filename')</th>\n      <th scope="col" class="xwiki-livetable-display-header-text">$services.localization.render('platform.index.trashAttachments.datt.docName')</th>\n      <th scope="col" class="xwiki-livetable-display-header-text">$services.localization.render('platform.index.trashAttachments.datt.date')</th>\n      <th scope="col" class="xwiki-livetable-display-header-text">$services.localization.render('platform.index.trashAttachments.datt.deleter')</th>\n      <th scope="col" class="xwiki-livetable-display-header-text">$services.localization.render('platform.index.trashAttachments.actions')</th>\n    </tr></thead>\n    <tbody class="xwiki-livetable-display-body">\n    #set ($query = $services.query.hql('select datt.id from DeletedAttachment as datt order by datt.filename asc'))\n    #foreach($item in $query.setLimit($paginationParameters.itemsPerPage).setOffset($paginationParameters.firstItem).execute())\n      #displayDeletedAttachment($item)\n    #end\n    </tbody>\n  </table>\n  #set($discard = $paginationParameters.put('position', 'bottom'))\n  #pagination($paginationParameters)\n  #end ## deletedAttachments != 0\n</noscript>\n{{/html}}##\n#else ## request.list\n## ============================================================================================\n## This page is called from live table via Ajax with the argument xpage=plain. It returns a\n## set of results serialized in JSON.\n## @programming This service page needs to be saved by a user with the programming access level\n## to work as expected\n## ============================================================================================\n#if("$!{request.get('xpage')}" == 'plain')\n$response.setContentType('application/json')\n#set($offset = $mathtool.toInteger($request.get('offset')))\n## offset starts from 0 in velocity and 1 in javascript\n#set($offset = $offset - 1)\n#if (!$offset || $offset < 0)\n  #set ($offset = 0)\n#end\n#set($limit = $mathtool.toInteger($request.get('limit')))\n#if (!$limit)\n  #set ($limit = 15)\n#end\n#set($filenameFilter = $request.get('datt.filename'))\n#set($docNameFilter = $request.get('datt.docName'))\n#set($deleterFilter = $request.get('datt.deleter'))\n#set($sql = '')\n#if("$!{filenameFilter}" != '')\n  #set($sql = "and lower(datt.filename) like '%${filenameFilter.trim().toLowerCase()}%' ")\n#end\n#if("$!{docNameFilter}" != '')\n  #set($sql = "and lower(datt.docName) like '%${docNameFilter.trim().toLowerCase()}%' ")\n#end\n#if("$!{deleterFilter}" != '')\n  #set($sql = $sql + "and lower(datt.deleter) like '%${deleterFilter.trim().toLowerCase()}%' ")\n#end\n#if("$!{request.sort}" != '')\n  #set($order = $request.sort)\n#else\n  #set($order = 'datt.id')\n#end\n#if("$!{request.dir}" != '')\n  #set($dir = $request.dir)\n#else\n  #set($dir = 'asc')\n#end\n#set($selectSql = "select datt.id, $order from DeletedAttachment as datt where 1=1 " + $sql + " order by $order $dir")\n#set($countSql = "select count(*) from DeletedAttachment as datt where 1=1 " + $sql)\n#set($items = $services.query.hql($selectSql).setLimit($limit).setOffset($offset).execute())\n#set($totalItems = $services.query.hql($countSql).execute().get(0))\n#set($returnedItems = $items.size())\n## ==============================================\n## json starts\n## ==============================================\n{\n"totalrows": $totalItems,\n"returnedrows": $returnedItems,\n"offset": ${mathtool.add($offset, 1)},\n"reqNo": ${request.reqNo},\n"query" : "$selectSql", \n"rows": [\n#foreach($item in $items)\n  #set($datt = $xwiki.getDeletedAttachment("$item.get(0)"))\n  #if($velocityCount > 1) , #end\n  {\n    #set($originalAttachment = $datt.getAttachment())\n    #set($originalDocument = $xwiki.getDocument($datt.docName))\n    "filename"  : "$escapetool.javascript($datt.filename)",\n    "docName"  : "$escapetool.javascript($datt.docName)",\n    "title"  : "$escapetool.javascript($originalDocument.plainTitle)",\n    "url" : "$originalDocument.getAttachmentRevisionURL($originalAttachment.filename, $originalAttachment.version, "rid=${datt.id}")",\n    "documentUrl" : "$originalDocument.getURL()",\n    "canDelete" : $datt.canDelete(),\n    "deleteUrl" : "$originalDocument.getAttachmentURL($datt.filename, 'delattachment', "trashId=${datt.id}&form_token=$!{services.csrf.getToken()}")",\n    "canRestore" : $datt.canRestore(),\n    "alreadyExists" : #if($originalDocument.getAttachment($datt.filename)) true #else false #end,\n    "restoreUrl" : "$originalDocument.getAttachmentURL($datt.filename)",\n    "date" : "$xwiki.formatDate($datt.date, $dateFormat)",\n    "deleter" : "$escapetool.javascript($datt.deleter)",\n    "deletername" : "$escapetool.javascript($xwiki.getUserName($datt.deleter, false))",\n    "deleterurl" : "$xwiki.getURL($datt.deleter, 'view')"\n  }\n#end\n]}\n## ==============================================\n## json ended\n## ==============================================\n#end## xpage=plain\n#end## request.list\n#end## hasProgramR\n{{/velocity}}	1.1		Main.AllDocs		2			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.0	t
-2563413316795172924	XWiki.DeletedDocumentsJSON	DeletedDocumentsJSON	JSON Generation for the Deleted Documents Livetable			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-07-07 07:12:36	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity wiki="false"}}\n#if($request.list)\n## ============================================================================================\n## This page is called from live table via Ajax with the argument xpage=plain. It returns a\n## set of results serialized in JSON.\n## @programming This service page needs to be saved by a user with the programming access level\n## to work as expected\n## ============================================================================================\n#if("$!{request.get('xpage')}" == 'plain')\n$response.setContentType('application/json')\n#set($offset = $mathtool.toInteger($request.get('offset')))\n## offset starts from 0 in velocity and 1 in javascript\n#set($offset = $offset - 1)\n#if (!$offset || $offset < 0)\n  #set ($offset = 0)\n#end\n#set($limit = $mathtool.toInteger($request.get('limit')))\n#if (!$limit)\n  #set ($limit = 15)\n#end\n#set($docNameFilter = $request.get('ddoc.fullName'))\n#set($deleterFilter = $request.get('ddoc.deleter'))\n#set($sql = '')\n#if("$!{docNameFilter}" != '')\n  #set($sql = "and lower(ddoc.fullName) like '%${docNameFilter.trim().toLowerCase()}%' ")\n#end\n#if("$!{deleterFilter}" != '')\n  #set($sql = $sql + "and lower(ddoc.deleter) like '%${deleterFilter.trim().toLowerCase()}%' ")\n#end\n#if("$!{request.sort}" != '')\n  #set($order = $request.sort)\n#else\n  #set($order = 'ddoc.id')\n#end\n#if("$!{request.dir}" != '')\n  #set($dir = $request.dir)\n#else\n  #set($dir = 'asc')\n#end\n#set($selectSql = "select ddoc.id from XWikiDeletedDocument as ddoc where 1=1 " + $sql + " order by $order $dir")\n#set($countSql = "select count(*) from XWikiDeletedDocument as ddoc where 1=1 " + $sql)\n#set($items = $services.query.hql($selectSql).setLimit($limit).setOffset($offset).execute())\n#set($totalItems = $services.query.hql($countSql).execute().get(0))\n#set($returnedItems = $items.size())\n## ==============================================\n## json starts\n## ==============================================\n{\n"totalrows": $totalItems,\n"returnedrows": $returnedItems,\n"offset": ${mathtool.add($offset, 1)},\n"reqNo": ${request.reqNo},\n"rows": [\n#foreach($item in $items)\n  #set($ddoc = $xwiki.getDeletedDocument('', '', "$item"))\n  #if($velocityCount > 1) , #end\n  {\n     #set($originalDocument = $ddoc.getDocument())\n     "fullname"  : "$escapetool.javascript($originalDocument.fullName)",\n     "title"  : "$escapetool.javascript($originalDocument.displayTitle)",\n     "url" : "$escapetool.javascript($originalDocument.getURL('view', "viewer=recyclebin&id=${item}"))",\n     "originalUrl" : "$escapetool.javascript($originalDocument.getURL())",\n     "canDelete" : $ddoc.canDelete(),\n     "deleteUrl" : "$escapetool.javascript($originalDocument.getURL('delete', "id=${item}&form_token=$!{services.csrf.getToken()}"))",\n     "canRestore" : $ddoc.canUndelete(),\n     #set ($ddocReferenceWithLocale = $services.model.createDocumentReference($originalDocument.documentReference, $originalDocument.locale))\n     #set ($exists = $xwiki.exists($ddocReferenceWithLocale))\n     "alreadyExists" : ${exists},\n     ## If a document to be undeleted is a translation and the main document of that translation is not yet created or undeleted, restoring this translation \n     ## will leave it inaccessible from the UI, thus "orphaned", until the main document is created or undeleted.\n     #set ($causesOrphanedTranslation = false)\n     #if (!$exists)\n       #set ($mainDocumentExists = $xwiki.exists($originalDocument.documentReference))\n       #set ($causesOrphanedTranslation = $originalDocument.isTranslation() && !$mainDocumentExists)\n     #end\n     "causesOrphanedTranslation" : $causesOrphanedTranslation,\n     "restoreUrl" : "$escapetool.javascript($originalDocument.getURL('undelete', "id=${item}&form_token=$!{services.csrf.getToken()}"))",\n     "date" : "$escapetool.javascript($xwiki.formatDate($ddoc.date, $dateFormat))",\n     "deleter" : "$escapetool.javascript($ddoc.deleter)",\n     "deletername" : "$escapetool.javascript($xwiki.getUserName($ddoc.deleter, false))",\n     "deleterurl" : "$escapetool.javascript($xwiki.getURL($ddoc.deleter, 'view'))",\n     "language" : "$escapetool.javascript($ddoc.language)"\n   }\n#end\n]}\n## ==============================================\n## json ended\n## ==============================================\n#end## xpage=plain\n#end## request.list\n{{/velocity}}	1.1		XWiki.DeletedDocuments		2			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.0	t
4631911143036362319	XWiki.XWikiServerClass	XWikiServerClass	XWiki Server Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.XWikiServerClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<homepage>\n<disabled>0</disabled>\n<name>homepage</name>\n<number>9</number>\n<prettyName>Home page</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</homepage>\n<language>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>language</name>\n<number>7</number>\n<prettyName>Language</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>en|fr</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</language>\n<owner>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>0</multiSelect>\n<name>owner</name>\n<number>2</number>\n<picker>1</picker>\n<prettyName>Owner</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</owner>\n<secure>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>checkbox</displayType>\n<name>secure</name>\n<number>8</number>\n<prettyName>Secure</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</secure>\n<server>\n<disabled>0</disabled>\n<name>server</name>\n<number>4</number>\n<prettyName>Server</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</server>\n<state>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>state</name>\n<number>6</number>\n<prettyName>State</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>active|inactive|locked</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</state>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>5</number>\n<prettyName>Visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>public|private|</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n<wikiprettyname>\n<disabled>0</disabled>\n<name>wikiprettyname</name>\n<number>1</number>\n<prettyName>Wiki pretty name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</wikiprettyname>\n</class>\n	2				f	xwiki/2.1	t
-7797318352739112286	XWiki.TagClass	TagClass	XWiki Tag Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.TagClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<tags>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>tags</name>\n<number>1</number>\n<prettyName>Tags</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>|</separator>\n<separators>|,</separators>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</tags>\n</class>\n	2				f	xwiki/2.1	t
2135821758317135729	Crypto.SignatureClass	SignatureClass	Signature Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	Crypto		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>Crypto.SignatureClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<reference>\n<disabled>0</disabled>\n<name>reference</name>\n<number>1</number>\n<prettyName>Reference</prettyName>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</reference>\n<signature>\n<disabled>0</disabled>\n<name>signature</name>\n<number>2</number>\n<prettyName>Signature</prettyName>\n<rows>10</rows>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</signature>\n</class>\n	2				f	xwiki/2.1	t
2451565597877872711	XWiki.XWikiGroups	XWikiGroups	XWiki Group Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.XWikiGroups</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<member>\n<disabled>0</disabled>\n<name>member</name>\n<number>1</number>\n<prettyName>Member</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</member>\n</class>\n	2				f	xwiki/2.1	t
8689884576300826369	XWiki.WikiMacroClass	WikiMacroClass	XWiki Wiki Macro Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n	2				f	xwiki/2.1	t
3465529173222999850	XWiki.XWikiAllGroup	XWikiAllGroup				0	2017-05-12 15:43:28	2017-05-12 15:43:28	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		2.1		XWiki.XWikiGroups		2			Install extension [org.xwiki.enterprise:xwiki-enterprise-ui-admin-user-7.1.2]	f	xwiki/2.1	t
6152552094868048244	XWiki.XWikiPreferences	XWikiPreferences	Global Administration			0	2017-05-12 15:43:28	2017-05-12 15:43:28	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		2.1		XWiki.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.XWikiPreferences</name>\n<customClass></customClass>\n<customMapping>internal</customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<accessibility>\n<customDisplay></customDisplay>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>accessibility</name>\n<number>79</number>\n<prettyName>Enable extra accessibility features</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</accessibility>\n<admin_email>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>admin_email</name>\n<number>14</number>\n<picker>0</picker>\n<prettyName>Admin eMail</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</admin_email>\n<auth_active_check>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>auth_active_check</name>\n<number>31</number>\n<prettyName>Authentication Active Check</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</auth_active_check>\n<authenticate_edit>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>authenticate_edit</name>\n<number>7</number>\n<prettyName>Authenticate On Edit</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</authenticate_edit>\n<authenticate_view>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>authenticate_view</name>\n<number>5</number>\n<prettyName>Authenticated View</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</authenticate_view>\n<backlinks>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>backlinks</name>\n<number>25</number>\n<prettyName>Backlinks</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</backlinks>\n<colorTheme>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n{{html wiki="false" clean="false"}}\n#if ("$!value" == '')\n  #set ($value = '')\n#end\n&lt;select name="${object.getxWikiClass().name}_${object.number}_${name}" id="${object.getxWikiClass().name}_${object.number}_${name}"&gt;\n  #if ($editor != 'globaladmin')&lt;option value=""#if ($value == '') selected="selected"#end&gt;---&lt;/option&gt;#end\n#foreach($theme in $xwiki.wrapDocs($services.query.hql(", BaseObject as theme where doc.fullName=theme.name and theme.className='ColorThemes.ColorThemeClass' and doc.fullName&lt;&gt;'ColorThemes.ColorThemeTemplate' order by doc.title").execute()))\n  &lt;option value="$theme.fullName"#if ($theme.fullName.equals($value)) selected="selected"#end&gt;$theme.plainTitle&lt;/option&gt;\n#end\n&lt;/select&gt;\n{{/html}}\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>colorTheme</name>\n<number>76</number>\n<picker>0</picker>\n<prettyName>Color theme</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select doc.fullName, doc.title from XWikiDocument as doc, BaseObject as theme where doc.fullName=theme.name and (theme.className='ColorThemes.ColorThemeClass' or theme.className='FlamingoThemesCode.ThemeClass') and doc.fullName&lt;&gt;'ColorThemes.ColorThemeTemplate' and doc.fullName&lt;&gt;'FlamingoThemesCode.ThemeTemplate'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</colorTheme>\n<comment_anonymous>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>comment_anonymous</name>\n<number>39</number>\n<picker>1</picker>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</comment_anonymous>\n<comment_registered>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>comment_registered</name>\n<number>40</number>\n<picker>1</picker>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</comment_registered>\n<confirmation_email_content>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>confirmation_email_content</name>\n<number>16</number>\n<picker>0</picker>\n<prettyName>Confirmation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</confirmation_email_content>\n<core.defaultDocumentSyntax>\n<customDisplay>{{velocity}}\n{{html wiki="false" clean="false"}}\n#if ("$!value" == '')\n  #set ($value = $xwiki.getDefaultDocumentSyntax())\n#end\n&lt;select name="${object.getxWikiClass().name}_${object.number}_${name}" id="${object.getxWikiClass().name}_${object.number}_${name}"&gt;\n#set ($configuredSyntaxes = $xwiki.getConfiguredSyntaxes())\n#set ($availableParserSyntaxes = $services.rendering.getAvailableParserSyntaxes())\n##\n#foreach($syntax in $availableParserSyntaxes)\n  #if($configuredSyntaxes.contains($syntax.toIdString()))\n    &lt;option value="$syntax.toIdString()"#if($syntax.toIdString().equalsIgnoreCase($value)) selected="selected"#end&gt;$syntax.toString()&lt;/option&gt;\n  #end\n#end\n&lt;/select&gt;\n{{/html}}\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>core.defaultDocumentSyntax</name>\n<number>59</number>\n<picker>0</picker>\n<prettyName>Default document syntax</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</core.defaultDocumentSyntax>\n<dateformat>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>dateformat</name>\n<number>54</number>\n<picker>0</picker>\n<prettyName>Date Format</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</dateformat>\n<default_language>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>default_language</name>\n<number>20</number>\n<picker>0</picker>\n<prettyName>Default Language</prettyName>\n<size>5</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</default_language>\n<documentBundles>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>documentBundles</name>\n<number>52</number>\n<picker>0</picker>\n<prettyName>Internationalization Document Bundles</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</documentBundles>\n<edit_anonymous>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>edit_anonymous</name>\n<number>37</number>\n<picker>1</picker>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</edit_anonymous>\n<edit_registered>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>edit_registered</name>\n<number>38</number>\n<picker>1</picker>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</edit_registered>\n<editcomment>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>editcomment</name>\n<number>85</number>\n<prettyName>Enable version summary</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</editcomment>\n<editcomment_mandatory>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>editcomment_mandatory</name>\n<number>86</number>\n<prettyName>Make version summary mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</editcomment_mandatory>\n<editor>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>editor</name>\n<number>23</number>\n<picker>1</picker>\n<prettyName>Default Editor</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>Text|Wysiwyg</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</editor>\n<guest_comment_requires_captcha>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>guest_comment_requires_captcha</name>\n<number>77</number>\n<prettyName>Enable CAPTCHA in Comments for Unregistered Users</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</guest_comment_requires_captcha>\n<iconTheme>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>iconTheme</name>\n<number>73</number>\n<prettyName>Icon theme</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>1</size>\n<sql>select doc.fullName, propName.value from XWikiDocument as doc, BaseObject as theme, StringProperty propName where doc.fullName=theme.name and theme.className='IconThemesCode.IconThemeClass' and doc.fullName&lt;&gt;'IconThemesCode.IconThemeTemplate' and theme.id = propName.id and propName.name = 'name'</sql>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</iconTheme>\n<invitation_email_content>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>invitation_email_content</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>Invitation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</invitation_email_content>\n<javamail_extra_props>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>javamail_extra_props</name>\n<number>58</number>\n<picker>0</picker>\n<prettyName>Additional JavaMail properties</prettyName>\n<rows>6</rows>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</javamail_extra_props>\n<languages>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>languages</name>\n<number>49</number>\n<picker>0</picker>\n<prettyName>Supported languages</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</languages>\n<ldap>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap</name>\n<number>60</number>\n<prettyName>Ldap</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap>\n<ldap_UID_attr>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_UID_attr</name>\n<number>69</number>\n<picker>0</picker>\n<prettyName>Ldap UID attribute name</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_UID_attr>\n<ldap_base_DN>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_base_DN</name>\n<number>68</number>\n<picker>0</picker>\n<prettyName>Ldap base DN</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_base_DN>\n<ldap_bind_DN>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_bind_DN</name>\n<number>63</number>\n<picker>0</picker>\n<prettyName>Ldap login matching</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_bind_DN>\n<ldap_bind_pass>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_bind_pass</name>\n<number>64</number>\n<picker>0</picker>\n<prettyName>Ldap password matching</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_bind_pass>\n<ldap_exclude_group>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_exclude_group</name>\n<number>67</number>\n<picker>0</picker>\n<prettyName>Ldap group to exclude</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_exclude_group>\n<ldap_fields_mapping>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_fields_mapping</name>\n<number>70</number>\n<picker>0</picker>\n<prettyName>Ldap user fields mapping</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_fields_mapping>\n<ldap_group_mapping>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>ldap_group_mapping</name>\n<number>72</number>\n<picker>0</picker>\n<prettyName>Ldap groups mapping</prettyName>\n<rows>5</rows>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</ldap_group_mapping>\n<ldap_groupcache_expiration>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_groupcache_expiration</name>\n<number>73</number>\n<picker>0</picker>\n<prettyName>LDAP groups members cache</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_groupcache_expiration>\n<ldap_mode_group_sync>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>ldap_mode_group_sync</name>\n<number>74</number>\n<picker>0</picker>\n<prettyName>LDAP groups sync mode</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>|always|create</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</ldap_mode_group_sync>\n<ldap_port>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_port</name>\n<number>62</number>\n<picker>0</picker>\n<prettyName>Ldap server port</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_port>\n<ldap_server>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_server</name>\n<number>61</number>\n<picker>0</picker>\n<prettyName>Ldap server address</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_server>\n<ldap_trylocal>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_trylocal</name>\n<number>75</number>\n<prettyName>Try local login</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_trylocal>\n<ldap_update_user>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_update_user</name>\n<number>71</number>\n<prettyName>Update user from LDAP</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_update_user>\n<ldap_user_group>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_user_group</name>\n<number>66</number>\n<picker>0</picker>\n<prettyName>Ldap group filter</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_user_group>\n<ldap_validate_password>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_validate_password</name>\n<number>65</number>\n<prettyName>Validate Ldap user/password</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_validate_password>\n<leftPanels>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>leftPanels</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>Panels displayed on the left</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</leftPanels>\n<leftPanelsWidth>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>leftPanelsWidth</name>\n<number>74</number>\n<prettyName>Width of the left panel column</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Small|Medium|Large</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</leftPanelsWidth>\n<meta>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>meta</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>HTTP Meta Info</prettyName>\n<rows>5</rows>\n<size>40</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</meta>\n<minoredit>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>minoredit</name>\n<number>87</number>\n<prettyName>Enable minor edits</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</minoredit>\n<multilingual>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>multilingual</name>\n<number>19</number>\n<prettyName>Multi-Lingual</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</multilingual>\n<obfuscateEmailAddresses>\n<customDisplay></customDisplay>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>obfuscateEmailAddresses</name>\n<number>72</number>\n<prettyName>Obfuscate Email Addresses</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</obfuscateEmailAddresses>\n<parent>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>parent</name>\n<number>52</number>\n<picker>0</picker>\n<prettyName>Parent Space</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</parent>\n<plugins>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>plugins</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Plugins</prettyName>\n<size>40</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</plugins>\n<registration_anonymous>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>registration_anonymous</name>\n<number>35</number>\n<picker>1</picker>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</registration_anonymous>\n<registration_registered>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>registration_registered</name>\n<number>36</number>\n<picker>1</picker>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</registration_registered>\n<rightPanels>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>rightPanels</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>Panels displayed on the right</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</rightPanels>\n<rightPanelsWidth>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>rightPanelsWidth</name>\n<number>75</number>\n<prettyName>Width of the right panel column</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Small|Medium|Large</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</rightPanelsWidth>\n<showLeftPanels>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showLeftPanels</name>\n<number>46</number>\n<prettyName>Display the left panel column</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showLeftPanels>\n<showRightPanels>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showRightPanels</name>\n<number>47</number>\n<prettyName>Display the right panel column</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showRightPanels>\n<showannotations>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showannotations</name>\n<number>80</number>\n<prettyName>Show document annotations</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showannotations>\n<showattachments>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showattachments</name>\n<number>82</number>\n<prettyName>Show document attachments</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showattachments>\n<showcomments>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showcomments</name>\n<number>81</number>\n<prettyName>Show document comments</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showcomments>\n<showhistory>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showhistory</name>\n<number>83</number>\n<prettyName>Show document history</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showhistory>\n<showinformation>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showinformation</name>\n<number>84</number>\n<prettyName>Show document information</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showinformation>\n<skin>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>skin</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Skin</prettyName>\n<size>20</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</skin>\n<smtp_port>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_port</name>\n<number>55</number>\n<picker>0</picker>\n<prettyName>SMTP Port</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_port>\n<smtp_server>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_server</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>SMTP Server</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server>\n<smtp_server_password>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_server_password</name>\n<number>57</number>\n<picker>0</picker>\n<prettyName>Server password (optional)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server_password>\n<smtp_server_username>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_server_username</name>\n<number>56</number>\n<picker>0</picker>\n<prettyName>Server username (optional)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server_username>\n<stylesheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>stylesheet</name>\n<number>17</number>\n<picker>0</picker>\n<prettyName>Stylesheet</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</stylesheet>\n<stylesheets>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>stylesheets</name>\n<number>18</number>\n<picker>0</picker>\n<prettyName>Stylesheets</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</stylesheets>\n<tags>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>tags</name>\n<number>51</number>\n<prettyName>Activate the tagging</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</tags>\n<timezone>\n<customDisplay>{{velocity}}\n      #if ($xcontext.action == 'admin' || $xcontext.action == 'edit' || $xcontext.action == 'inline')\n        {{html}}\n          #if($xwiki.jodatime)\n            &lt;select id='$prefix$name' name='$prefix$name'&gt;\n              &lt;option value="" #if($value == $tz)selected="selected"#end&gt;$services.localization.render('XWiki.XWikiPreferences_timezone_default')&lt;/option&gt;\n              #foreach($tz in $xwiki.jodatime.getServerTimezone().getAvailableIDs())\n                &lt;option value="$tz" #if($value == $tz)selected="selected"#end&gt;$tz&lt;/option&gt;\n              #end\n            &lt;/select&gt;\n          #else\n            &lt;input id='$prefix$name' name='$prefix$name' type="text" value="$!value"/&gt;\n          #end\n        {{/html}}\n      #else\n        $value\n      #end\n      {{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>timezone</name>\n<number>71</number>\n<picker>0</picker>\n<prettyName>Timezone</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</timezone>\n<title>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>title</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Title</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</title>\n<upload_maxsize>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>upload_maxsize</name>\n<number>53</number>\n<numberType>long</numberType>\n<prettyName>Maximum Upload Size</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</upload_maxsize>\n<use_email_verification>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>use_email_verification</name>\n<number>24</number>\n<prettyName>Use eMail Verification</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</use_email_verification>\n<validation_email_content>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>validation_email_content</name>\n<number>15</number>\n<picker>0</picker>\n<prettyName>Validation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</validation_email_content>\n<version>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>version</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>Version</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</version>\n<webcopyright>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>webcopyright</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Web Copyright</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</webcopyright>\n<xwiki.title.mandatory>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>xwiki.title.mandatory</name>\n<number>78</number>\n<prettyName>Make document title field mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</xwiki.title.mandatory>\n</class>\n	2			Install extension [org.phenotips:phenotips-default-settings-1.2.6]	f	xwiki/2.1	t
-5804026065558171594	XWiki.AccountValidation	AccountValidation				0	2017-05-12 15:43:28	2017-05-12 15:43:28	2013-03-28 16:23:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#if("$!{request.validkey}" != '' && "$!{request.xwikiname}" != '')\n  #if($xwiki.validateUser(true) == 0)\n    #set($loginURL = $xwiki.getURL('XWiki.XWikiLogin', 'login'))\n    {{info}}{{html clean="false"}}$services.localization.render('xe.admin.accountvalidation.success', [${loginURL}]){{/html}}{{/info}}\n  #else\n    {{warning}}{{translation key="xe.admin.accountvalidation.failure"/}}{{/warning}}\n  #end\n#else\n  $response.sendRedirect($xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI'))))\n#end\n{{/velocity}}	1.1		XWiki.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
8348247719985246897	XWiki.ResetPasswordMailContent	ResetPasswordMailContent	Reset Password email			0	2017-05-12 15:43:28	2017-05-12 15:43:28	2008-08-25 20:35:39	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.ResetPassword		2			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
-6294873828920808423	SkinsCode.Translations	Translations		fr	en	1	2017-05-12 15:43:30	2017-05-12 15:43:30	2015-03-10 11:09:48	XWiki.Admin	XWiki.Admin	XWiki.Admin	SkinsCode	## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nskin.sheet.add=Ajouter\nskin.sheet.js.adding=Ajout...\nskin.sheet.js.addingDone=Le modèle a été ajouté\nskin.sheet.js.deleteConfirmationNo=Non, annuler\nskin.sheet.js.deleteConfirmationText=Êtes-vous certain de vouloir supprimer ce modèle ? \nskin.sheet.js.deleteConfirmationYes=Oui, le supprimer\nskin.sheet.js.deleting=Suppression...\nskin.sheet.js.deletingDone=Le modèle a été supprimé\nskin.sheet.js.error.rights=Impossible d'enregistrer le thème, vous ne disposez pas de droits suffisants.\nskin.sheet.properties=Propriétés du thème\nskin.sheet.title=Thème\n	1.1		SkinsCode.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	f	xwiki/2.1	t
4921944235784876002	XWiki.XWikiComments	XWikiComments	XWiki Comment Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.XWikiComments</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<author>\n<disabled>0</disabled>\n<name>author</name>\n<number>1</number>\n<prettyName>Author</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</author>\n<comment>\n<disabled>0</disabled>\n<name>comment</name>\n<number>5</number>\n<prettyName>Comment</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comment>\n<date>\n<dateFormat>dd/MM/yyyy HH:mm:ss</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>1</emptyIsToday>\n<name>date</name>\n<number>4</number>\n<picker>1</picker>\n<prettyName>Date</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</date>\n<highlight>\n<disabled>0</disabled>\n<name>highlight</name>\n<number>2</number>\n<prettyName>Highlighted Text</prettyName>\n<rows>2</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</highlight>\n<replyto>\n<disabled>0</disabled>\n<name>replyto</name>\n<number>3</number>\n<numberType>integer</numberType>\n<prettyName>Reply To</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</replyto>\n</class>\n	2				f	xwiki/2.1	t
-554466424095511523	XWiki.SheetClass	SheetClass	XWiki Sheet Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki	\n\nClass that should be used to recognize sheet pages.	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.SheetClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultEditMode>\n<disabled>0</disabled>\n<name>defaultEditMode</name>\n<number>1</number>\n<prettyName>Default Edit Mode</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultEditMode>\n</class>\n	2				f	xwiki/2.1	t
-2027258495788856562	XWiki.XWikiGlobalRights	XWikiGlobalRights	XWiki Global Rights Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.XWikiGlobalRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n	2				f	xwiki/2.1	t
-1983374675552171012	XWiki.XWikiRights	XWikiRights	XWiki Rights Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n	2				f	xwiki/2.1	t
1856868427404595579	XWiki.ResetPasswordComplete	ResetPasswordComplete	$services.localization.render('xe.admin.passwordReset.step2.title')			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2013-03-28 16:23:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n#**\nThis page completes the password reset procedure. It works according to the next algorithm:\n1. Verify that the correct verification URL is entered, by checking the 'u' and 'v' request parameters against the existing ResetPasswordRequest objects\n2. Display a form requesting the new password\n3. When receiving the new password via form submission, update the user object with the new password, and remove the ResetPasswordRequest object\n\nURL parameters:\n\nu = user account in the verification URL\nv = random verification string\np = the new password\np2 = the new password (for misspelling check)\n\n!!!!! IMPORTANT !!!!!\n\nThis document requires programming rights, so always make sure\nit is saved by a user with programming rights, and that\nit is secured against unprivileged editing.\n\n*###\n##\n##\n## The name of the class used for storing password reset verification data.\n#set ($verifClass = 'XWiki.ResetPasswordRequestClass')\n##\n## START MACROS\n##\n#**\n * Encrypt a string to get the value that would be stored inside a PasswordProperty field.\n * It is used to check if the unencrypted parameter from the URL is the value stored in the\n * ResetPasswordRequest object.\n * @param value The plaintext value to encrypt.\n * @param storedValue The current value stored in the ResetPasswordRequest object.\n * @param result The encrypted output.\n *#\n#macro(encrypt $value $storedValue $result)\n  #set ($encryptedValue = $xwiki.getClass($verifClass).getXWikiClass().get('verification').getEquivalentPassword($storedValue, $value))\n  #setVariable("$result", $encryptedValue)\n#end\n##\n##\n#**\n * Verify that the request parameters are valid.\n * @param userName The user name (full document name) received in the URL.\n * @param validationString The unencrypted key that is stored in the ResetPasswordRequestClass object.\n * @param result A boolean where the validation result is returned. True if the request is valid, false otherwise.\n *#\n#macro(verifyRequest $userName $validationString $isValid)\n  #set ($isValid = false)\n  #if ($validationString != '' && $userName != '')\n    #set ($storedValidationString = $!xwiki.getDocumentAsAuthor($userName).getObject($verifClass).getValue('verification'))\n    #encrypt($validationString, $storedValidationString, $encryptedValidationString)\n    #if ($storedValidationString == $encryptedValidationString)\n      #set ($isValid = true)\n    #end\n  #end\n#end\n##\n##\n#**\n * Displays the password reset form.\n * @param message An optional message to display, for example if the sent password is empty.\n * @param u The user account (full document name), which needs to be preserved.\n * @param v The validation string, which will be checked again upon receiving the form.\n *###\n#macro(displayForm $message $userName $validationString)\n  #if ($message != '')\n{{warning}}$message{{/warning}}\n  #end\n\n{{html}}\n  <form action="$doc.getURL()" method="post" class="xform third" onsubmit="if($('p').value == '') {alert('$services.localization.render("xe.admin.passwordReset.step2.error.emptyPassword")'); return false;} else if($('p').value != $('p2').value) {alert('$services.localization.render("xe.admin.passwordReset.step2.error.verificationMismatch")'); return false; }">\n    <div class="hidden">\n      <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n      <input type="hidden" name="u" value="$!escapetool.xml($userName)"/>\n      <input type="hidden" name="v" value="$!escapetool.xml($validationString)"/>\n    </div>\n    <dl>\n      <dt><label for="p">$services.localization.render('xe.admin.passwordReset.step2.newPassword.label')</label></dt>\n      <dd><input id="p" type="password" name="p" value="" size="20"/></dd>\n      <dt><label for="p2">$services.localization.render('xe.admin.passwordReset.step2.newPasswordVerification.label')</label></dt>\n      <dd><input id="p2" type="password" value="" name="p2" size="20"/></dd>\n    </dl>\n    <div class="buttons">\n      <span class="buttonwrapper"><input type="submit" value="$services.localization.render('xe.admin.passwordReset.step2.submit')" class="button"/></span>\n    </div>\n  </form>\n{{/html}}\n\n#end\n##\n## END MACROS\n##\n##\n#set ($userName = "$!request.u")\n#set ($validationString = "$!request.v")\n#set ($password = "$!request.p")\n#set ($password2 = "$!request.p2")\n#verifyRequest($userName $validationString $isValid)\n{{/velocity}}\n\n{{velocity}}\n##\n##\n## First, check if the page has programming rights, as nothing works otherwise\n#if ($xwiki.hasProgrammingRights())\n#if ($isValid)\n  #set ($vuserDoc = $xwiki.getDocumentAsAuthor($userName))\n  #if ($request.getParameterMap().containsKey('p'))## Second step, set the user password\n    #if($password == '')\n      #displayForm($services.localization.render('xe.admin.passwordReset.step2.error.emptyPassword') $userName $validationString)\n    #elseif($password != $password2)\n      #displayForm($services.localization.render('xe.admin.passwordReset.step2.error.verificationMismatch') $userName $validationString)\n    #else\n      $vuserDoc.getObject('XWiki.XWikiUsers').set('password', $password)\n      #set($discard = $vuserDoc.removeObjects($verifClass))\n      #set ($discard = $vuserDoc.saveAsAuthor($services.localization.render('xe.admin.passwordReset.step2.versionComment.passwordReset'), true))\n{{info}}{{translation key="xe.admin.passwordReset.step2.success"/}} [[{{translation key="xe.admin.passwordReset.step2.login"/}}>>path:$xwiki.getURL('XWiki.XWikiLogin', 'login')]]{{/info}}\n\n    #end\n  #else## First step, request the user password\n    ## The user might not complete this step, and leave the URL in the (public) browser's\n    ## history. Prevent reusing the URL by invalidating the initial verification URL and only\n    ## post the new string in the hidden form data.\n    #set ($validationString = $util.generateRandomString(30))\n    #set ($discard = $vuserDoc.getObject($verifClass).set('verification', $validationString))\n    #set ($discard = $vuserDoc.saveAsAuthor($services.localization.render('xe.admin.passwordReset.step2.versionComment.changeValidationKey'), true))\n    #displayForm('' $userName $validationString)\n  #end\n#else\n\n{{error}}{{translation key="xe.admin.passwordReset.step2.error.wrongParameters"/}} [[{{translation key="xe.admin.passwordReset.step2.backToStep1"/}}>>ResetPassword]]{{/error}}\n\n#end\n##\n## Clear private variables, so that they cannot be accessed from the rest of the page (comments, panels...)\n#set ($validationString = '')\n#set ($password = '')\n#set ($password2 = '')\n##\n##\n#else## No programming rights, warn and exit\n\n{{error}}{{translation key="xe.admin.passwordReset.step2.error.noProgrammingRights"/}}{{/error}}\n\n#end\n{{/velocity}}	1.1		XWiki.ResetPassword		2			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.1	t
-4338134432282269332	Crypto.CertificateClass	CertificateClass	Certificate Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	Crypto		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>Crypto.CertificateClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<certificate>\n<disabled>0</disabled>\n<name>certificate</name>\n<number>5</number>\n<prettyName>Certificate</prettyName>\n<rows>10</rows>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</certificate>\n<issuer>\n<disabled>0</disabled>\n<name>issuer</name>\n<number>3</number>\n<prettyName>Issuer</prettyName>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</issuer>\n<keyid>\n<disabled>0</disabled>\n<name>keyid</name>\n<number>2</number>\n<prettyName>Key Identifier</prettyName>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</keyid>\n<serial>\n<disabled>0</disabled>\n<name>serial</name>\n<number>4</number>\n<prettyName>Serial</prettyName>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</serial>\n<subject>\n<disabled>0</disabled>\n<name>subject</name>\n<number>1</number>\n<prettyName>Subject</prettyName>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</subject>\n</class>\n	2				f	xwiki/2.1	t
8280806279382841209	XWiki.JavaScriptExtension	JavaScriptExtension	XWiki Javascript Extension Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.XWikiGuest	XWiki.XWikiGuest	XWiki.XWikiGuest	XWiki	{{include reference="XWiki.ClassSheet" /}}	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n	0				f	xwiki/2.0	t
7502660614713494504	XWiki.StyleSheetExtension	StyleSheetExtension	XWiki Stylesheet Extension Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.XWikiGuest	XWiki.XWikiGuest	XWiki.XWikiGuest	XWiki	{{include reference="XWiki.ClassSheet" /}}	2.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n	0				f	xwiki/2.0	t
-5383120553170533097	XWiki.Mail	Mail	Mail Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki	{{include reference="XWiki.ClassSheet" /}}	2.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.Mail</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<html>\n<disabled>0</disabled>\n<name>html</name>\n<number>4</number>\n<prettyName>HTML</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</html>\n<language>\n<disabled>0</disabled>\n<name>language</name>\n<number>2</number>\n<prettyName>Language</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</language>\n<subject>\n<disabled>0</disabled>\n<name>subject</name>\n<number>1</number>\n<prettyName>Subject</prettyName>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</subject>\n<text>\n<disabled>0</disabled>\n<name>text</name>\n<number>3</number>\n<prettyName>Text</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</text>\n</class>\n	2				f	xwiki/2.0	t
4002432586482556095	XWiki.ComponentClass	ComponentClass	Wiki Component XWiki Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki	{{include reference="XWiki.ClassSheet" /}}	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.ComponentClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<roleHint>\n<disabled>0</disabled>\n<name>roleHint</name>\n<number>2</number>\n<prettyName>Component Role Hint</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</roleHint>\n<roleType>\n<disabled>0</disabled>\n<name>roleType</name>\n<number>1</number>\n<prettyName>Component Role Type</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</roleType>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>3</number>\n<prettyName>Component Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n	0				f	xwiki/2.0	t
-5141406265467541082	XWiki.RegistrationConfig	RegistrationConfig	Registration Configuration			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2013-03-28 16:23:27	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{info}}This page contains a configuration object for [[XWiki.Registration>>XWiki.Registration]], You can configure [[XWiki.Registration>>XWiki.Registration]] from the [[registration section of the administration application>>XWiki.XWikiPreferences?section=Registration&editor=globaladmin]].{{/info}}	1.1		XWiki.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
-2828530727761397288	XWiki.AdminEditingSheet	AdminEditingSheet	AdminEditingSheet			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2008-05-26 06:10:56	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n### Administer the wiki editor preferences, at global level\n#set ($params = {\n  'editor': ['editor', 'core.defaultDocumentSyntax', 'xwiki.title.mandatory'],\n  'versioning': ['editcomment', 'editcomment_mandatory', 'minoredit']\n})\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
8014433892540059386	XWiki.ComponentDependencyClass	ComponentDependencyClass	Wiki Component Dependency XWiki Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki	{{include reference="XWiki.ClassSheet" /}}	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.ComponentDependencyClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<bindingName>\n<disabled>0</disabled>\n<name>bindingName</name>\n<number>3</number>\n<prettyName>Binding name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</bindingName>\n<roleHint>\n<disabled>0</disabled>\n<name>roleHint</name>\n<number>2</number>\n<prettyName>Dependency Role Hint</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</roleHint>\n<roleType>\n<disabled>0</disabled>\n<name>roleType</name>\n<number>1</number>\n<prettyName>Dependency Role Type</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</roleType>\n</class>\n	0				f	xwiki/2.0	t
3950935895566486277	XWiki.ComponentMethodClass	ComponentMethodClass	Wiki Component Method XWiki Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki	{{include reference="XWiki.ClassSheet" /}}	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.ComponentMethodClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Method body code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Method name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n	0				f	xwiki/2.0	t
5127530157192024210	XWiki.ComponentInterfaceClass	ComponentInterfaceClass	Wiki Component Implements Interface XWiki Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki	{{include reference="XWiki.ClassSheet" /}}	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.ComponentInterfaceClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Interface Qualified Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n	0				f	xwiki/2.0	t
8851766534120432454	XWiki.UIExtensionClass	UIExtensionClass	UI Extension Class			0	2017-05-12 15:40:14	2017-05-12 15:40:14	2017-05-12 15:40:14	XWiki.XWikiGuest	XWiki.XWikiGuest	XWiki.XWikiGuest	XWiki	{{include reference="XWiki.ClassSheet" /}}	1.1		XWiki.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n	0				f	xwiki/2.0	t
-6338153801890216811	XWiki.XWikiAdminGroup	XWikiAdminGroup				0	2017-05-12 15:43:28	2017-05-12 15:43:28	2005-01-30 15:38:23	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.XWikiGroups		2			Install extension [org.xwiki.enterprise:xwiki-enterprise-ui-admin-user-7.1.2]	f	xwiki/2.0	t
-8979042866941943737	PhenoTips.WebPreferences	WebPreferences				0	2017-05-12 15:43:28	2017-05-12 15:43:28	2015-10-12 23:26:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-default-settings-1.2.6]	f	xwiki/2.1	t
1981933541181149122	data.WebPreferences	WebPreferences	Administration			0	2017-05-12 15:43:28	2017-05-12 15:43:28	2014-06-03 15:02:56	XWiki.Admin	XWiki.Admin	XWiki.Admin	data		1.1		data.WebHome		2			Install extension [org.phenotips:phenotips-default-settings-1.2.6]	f	xwiki/2.1	t
-4526159677276379501	XWiki.Admin	Admin				0	2017-05-12 15:43:28	2017-05-12 15:43:28	2014-06-03 15:02:30	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		Main.UserDirectory		2			Install extension [org.phenotips:phenotips-default-settings-1.2.6]	f	xwiki/2.0	f
7422949170092154145	XWiki.Registration	Registration	Registration			0	2017-05-12 15:43:28	2017-05-12 15:43:28	2013-03-28 16:23:25	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n## The registration is enabled:\n## - on the main wiki\n## - on a subwiki if there is no service "$services.wiki.user"\n## - on a subwiki where the user scope allows local users\n#if($xcontext.isMainWiki() || "$!services.wiki.user" == '' || $services.wiki.user.getUserScope() != "GLOBAL_ONLY")\n  ## These are defined in other places around XWiki, changing them here will result in undefined behavior.\n  #set($redirectParam = 'xredirect')\n  #set($userSpace = 'XWiki.')\n  #set($loginPage = 'XWiki.XWikiLogin')\n  #set($loginAction = 'loginsubmit')\n  ##\n  #set($documentName = 'XWiki.Registration')\n  ##\n  ## Security measure:\n  ## If this document is changed such that it must have programming permission in order to run, change this to false.\n  #set($sandbox = true)\n  ##\n  ## Load the configuration from a seperate document.\n  #loadConfig('XWiki.RegistrationConfig')\n  ##\n  ## Defines what server generated error messages should look like\n  ## The error message when a field is entered incorrectly\n  #set($failureMessageParams = { 'class' : 'LV_validation_message LV_invalid'})\n  ## 'LV_validation_message LV_invalid' depends on this:\n  $xwiki.get('ssfx').use('uicomponents/widgets/validation/livevalidation.css', true)\n  ##\n  ## The * next to the fields to denote they are mandatory.\n  #set($fieldMandatoryStar = { 'class' : 'xRequired'})\n  ##\n  #*\n   * You may include this document in other documents using {{include reference="XWiki.Registration"/}}\n   * To specify that the user is invited and should be allowed to register even if Guest does not have permission to\n   * register, set $invited to true. NOTE: The including script must have programming permission to do this.\n   *\n   * To specify some code which should run after registration is successfully completed, set\n   * $doAfterRegistration to a define block of velocity code like so:\n   * #define($doAfterRegistration)\n   *   some code\n   * #end\n   * Output from running this code will not be printed.\n   *\n   * The fields which will be seen on the registration page are defined here.\n   * $fields is an array and each field is a Map. The names shown below are Map keys.\n   *\n   * Each field must have:\n   *   name - this is the name of the field, it will be the value for "name" and "id"\n   *\n   * Each field may have:\n   *   label - this String will be written above the field.\n   *\n   *   tag - the HTML tag which will be created, default is <input>, may also be a non form tag such as <img>\n   *\n   *   params - a Map, each key value pair will be in the html tag. eg: {"size" : "30"} becomes <input size=30...\n   *\n   *   validate a Map describing how to validate the field, validation is done in javascript then redone in velocity\n   *   |        for security and because not everyone has javascript.\n   *   |\n   *   +-mandatory (Optional) - Will fail if the field is not filled in.\n   *   | +-failureMessage (Required) - The message to display if the field is not filled in.\n   *   | +-noscript (Optional) - will not be checked by javascript\n   *   |\n   *   +-regex (Optional) - Will validate the field using a regular expression.\n   *   | |                  because of character escaping, you must provide a different expression for the\n   *   | |                  javascript validation and the server side validation. Both javascript and server side\n   *   | |                  validation are optional, but if you provide neither, then your field will not be validated.\n   *   | |\n   *   | +-failureMessage (Optional) - The message to display if the regex evaluation returns false.\n   *   | +-jsFailureMessage (Optional) - The message for Javascript to display if regex fails.\n   *   | |                               If jsFailureMessage is not defined Javascript uses failureMessage.\n   *   | |                               NOTE: Javascript injects the failure message using createTextNode so &lt; will\n   *   | |                                     be displayed as &lt;\n   *   | |\n   *   | +-pattern (Optional) - The regular expression to test the input at the server side, it's important to use\n   *   | |                      this if you need to validate the field for security reasons, also it is good because not\n   *   | |                      all browsers use javascript or have it enabled.\n   *   | |\n   *   | +-jsPattern (Optional) - The regular expression to use for client side, you can use escaped characters to avoid\n   *   | |                        them being parsed as HTML or javascript. To get javascript to unescape characters use:\n   *   | |                        {"jsPattern" : "'+unescape('%5E%5B%24')+'"}\n   *   | |                        NOTE: If no jsPattern is specified, the jsValidator will try to validate\n   *   | |                              using the server pattern.\n   *   | |\n   *   | +-noscript (Optional) - will not be checked by javascript\n   *   |\n   *   +-mustMatch (Optional) - Will fail if the entry into the field is not the same as the entry in another field.\n   *   | |                      Good for password confirmation.\n   *   | |\n   *   | +-failureMessage (Required) - The message to display if the field doesn't match the named field.\n   *   | +-name (Required) - The name of the field which this field must match.\n   *   | +-noscript (Optional) - will not be checked by javascript\n   *   |\n   *   +-programmaticValidation (Optional) - This form of validation executes a piece of code which you give it and\n   *   | |                                   if the code returns the word "failed" then it gives the error message.\n   *   | |                                   Remember to put the code in singel quotes ('') because you want the value\n   *   | |                                   of 'code' to equal the literal code, not the output from running it.\n   *   | |\n   *   | +-code (Required) - The code which will be executed to test whether the field is filled in correctly.\n   *   | +-failureMessage (Required) - The message which will be displayed if evaluating the code returns "false"\n   *   |\n   *   +-fieldOkayMessage (Optional) - The message which is displayed by LiveValidation when a field is validated as okay.\n   *                                   If not specified, will be $defaultFieldOkayMessage\n   *\n   *   noReturn - If this is specified, the field will not be filled in if there is an error and the user has to fix their\n   *              registration information. If you don't want a password to be passed back in html then set this true\n   *              for the password fields. Used for the captcha because it makes no sense to pass back a captcha answer.\n   *\n   *   doAfterRegistration - Some Velocity code which will be executed after a successfull registration.\n   *                         This is used in the favorite color example.\n   *                         Remember to put the code in singel quotes ('') because you want the 'code' entry to equal the literal\n   *                         code, not the output from running it.\n   *\n   * Each field may not have: (reserved names)\n   *   error - This is used to pass back any error message from the server side code.\n   *\n   * NOTE: This template uses a registration method which requires:\n   *        * register_first_name\n   *        * register_last_name\n   *        * xwikiname\n   *        * register_password\n   *        * register2_password\n   *        * register_email\n   *        * template\n   *       Removing or renaming any of these fields will result in undefined behavior.\n   *\n   *###\n  #set($fields = [])\n  ##\n  ## The first name field, no checking.\n  #set($field =\n    {'name' : 'register_first_name',\n      'label' : $services.localization.render('core.register.firstName'),\n      'params' : {\n        'type' : 'text',\n        'size' : '60'\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  ## The last name field, no checking.\n  #set($field =\n    {'name' : 'register_last_name',\n      'label' : $services.localization.render('core.register.lastName'),\n      'params' : {\n        'type' : 'text',\n        'size' : '60'\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  ## The user name field, mandatory and programmatically checked to make sure the username doesn't exist.\n  #set($field =\n    {'name' : 'xwikiname',\n      'label' : $services.localization.render('core.register.username'),\n      'params' : {\n        'type' : 'text',\n        'onfocus' : 'prepareName(document.forms.register);',\n        'size' : '60'\n      },\n      'validate' : {\n        'mandatory' : {\n          'failureMessage' : $services.localization.render('core.validation.required.message')\n        },\n        'programmaticValidation' : {\n          'code' : '#nameAvailable($request.get("xwikiname"))',\n          'failureMessage' : $services.localization.render('core.register.userAlreadyExists')\n        }\n      }\n    })\n  #set($discard = $fields.add($field))\n  ## Make sure the chosen user name is not already taken\n  ## This macro is called by programmaticValidation for xwikiname (above)\n  #macro(nameAvailable, $name)\n    #if($xwiki.exists("$userSpace$name"))\n      failed\n    #end\n  #end\n  ##\n  ##The password field, mandatory and must be at least 6 characters long.\n  #set($field =\n    {'name' : 'register_password',\n      'label' : $services.localization.render('core.register.password'),\n      'params' : {\n        'type' : 'password',\n        'autocomplete' : 'off',\n        'size' : '60'\n      },\n      'validate' : {\n        'mandatory' : {\n          'failureMessage' : $services.localization.render('core.validation.required.message')\n        },\n        'regex' : {\n          'pattern' : '/.{6,}/',\n          'failureMessage' : $services.localization.render('xe.admin.registration.passwordTooShort')\n        }\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  ##The confirm password field, mandatory, must match password field, and must also be 6+ characters long.\n  #set($field =\n    {'name' : 'register2_password',\n      'label' : $services.localization.render('core.register.passwordRepeat'),\n      'params' : {\n        'type' : 'password',\n        'autocomplete' : 'off',\n        'size' : '60'\n      },\n      'validate' : {\n        'mandatory' : {\n          'failureMessage' : $services.localization.render('core.validation.required.message')\n        },\n        'mustMatch' : {\n          'name' : 'register_password',\n          'failureMessage' : $services.localization.render('xe.admin.registration.passwordMismatch')\n        },\n        'regex' : {\n          'pattern' : '/.{6,}/',\n          'failureMessage' : $services.localization.render('xe.admin.registration.passwordTooShort')\n        }\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  ## The email address field, regex checked with an email pattern. Mandatory if registration uses email verification\n  #set($field =\n    {'name' : 'register_email',\n      'label' : $services.localization.render('core.register.email'),\n      'params' : {\n        'type' : 'text',\n        'size' : '60'\n      },\n      'validate' : {\n        'regex' : {\n          'pattern' : '/^([^@\\s]+)@((?:[-a-zA-Z0-9]+\\.)+[a-zA-Z]{2,})$/',\n          'failureMessage' : $services.localization.render('xe.admin.registration.invalidEmail')\n        }\n      }\n    })\n  #if($xwiki.getXWikiPreferenceAsInt('use_email_verification', 0) == 1)\n    #set($field.validate.mandatory = {'failureMessage' : $services.localization.render('core.validation.required.message')})\n  #end\n  #set($discard = $fields.add($field))\n  ##\n  #*********\n  ## Uncomment this code to see an example of how you can easily add a field to the registration page\n  ## NOTE: In order to save the favorite color in the "doAfterRegistration" hook, this page must be\n  ## saved by an administrator and can not self sandboxing.\n  #set($sandbox = false)\n  #set($field =\n    {'name' : 'favorite_color',\n      'label' : 'What is your favorite color',\n      'params' : {\n        'type' : 'text',\n        'size' : '60'\n      },\n      'validate' : {\n        'mandatory' : {\n          'failureMessage' : $services.localization.render('core.validation.required.message')\n        },\n        'regex' : {\n          'pattern' : '/^green$/',\n          'failureMessage' : 'You are not cool enough to register here.'\n        },\n        'fieldOkayMessage' : 'You are awesome.'\n      },\n      'doAfterRegistration' : '#saveFavoriteColor()'\n    })\n  #set($discard = $fields.add($field))\n  ## Save the user's favorite color on their user page.\n  #macro(saveFavoriteColor)\n    #set($xwikiname = $request.get('xwikiname'))\n    #set($userDoc = $xwiki.getDocument("$userSpace$xwikiname"))\n    $userDoc.setContent("$userDoc.getContent() ${xwikiname}'s favorite color is $request.get('favorite_color')!")\n    ## The user (who is not yet logged in) can't save documents so saveWithProgrammingRights\n    ## will save the document as long as the user who last saved this registration page has programming rights.\n    $userDoc.saveWithProgrammingRights("Saved favorite color from registration form.")\n  #end\n  *********###\n  ##\n  ## To disable the captcha on this page, comment out the next two entries.\n  ## The captcha image, not an input field but still defined the same way.\n  #if($captchaservice\n      && !$invited\n      && $xcontext.getUser() == "XWiki.XWikiGuest"\n      && $requireCaptcha)\n    ## Empty label field used for padding.\n    ## Empty 'name' field overriddes name="captcha_image" with "" so name is not specified at all.\n    #set($field =\n      {'name' : 'captcha_image',\n        'label' : "<span class='hidden'>$services.localization.render('core.captcha.image.label')</span>",\n        'tag' : 'img',\n        'params' : {\n          'src' : $doc.getURL('imagecaptcha'),\n          'alt' : $services.localization.render('core.captcha.image.alternateText', [$services.localization.render('core.register.submit')]),\n          'name' : ''\n        }\n      })\n    #set($discard = $fields.add($field))\n    ## The captcha field, mandatory, programmatically checked to make sure the captcha is right\n    ## Not checked by javascript because javascript can't check the captcha and the Ok message because it passes the\n    ## mandatory test is misleading.\n    ## and not filled back in if there is an error ('noReturn')\n    #set($field =\n      {'name' : 'captcha_answer',\n        'label' : $services.localization.render('core.captcha.image.instruction'),\n        'params' : {\n          'type' : 'text',\n          'size' : '60'\n        },\n        'validate' : {\n          'mandatory' : {\n            'failureMessage' : $services.localization.render('core.captcha.captchaAnswerIsWrong'),\n            'noscript' : true\n          },\n          'programmaticValidation' : {\n            'code' : '#checkCaptcha($request, $request.get("captcha_answer"))',\n            'failureMessage' : $services.localization.render('core.captcha.captchaAnswerIsWrong')\n          }\n        },\n        'noReturn' : true\n      })\n    #set($discard = $fields.add($field))\n  #end\n  ##\n  ## Checks the captcha answer; used by programmaticValidation above.\n  #macro(checkCaptcha, $request, $answer)\n    #set($cv = $captchaservice.getCaptchaVerifier('image'))\n    #if(!$cv.isAnswerCorrect($cv.getUserId($request), $answer))\n      failed\n    #end\n  #end\n  ##\n  ## Pass the name of the template to $xwiki.createUser so any contained information will be passed in.\n  #set($field =\n    {'name' : 'template',\n      'params' : {\n        'type' : 'hidden',\n        'value' : 'XWiki.XWikiUserTemplate'\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  ## Pass the redirect parameter on so that the login page may redirect to the right place.\n  ## Not necessary in Firefox 3.0.10 or Opera 9.64, I don't know about IE or Safari.\n  #set($field =\n    {'name' : $redirectParam,\n      'params' : {\n        'type' : 'hidden'\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  #######################################################################\n  ## The Code.\n  #######################################################################\n  ##\n  #if($useLiveValidation)\n    $xwiki.get('jsfx').use('uicomponents/widgets/validation/livevalidation_prototype.js')\n    $xwiki.get('ssfx').use('uicomponents/widgets/validation/livevalidation.css', true)\n  #end\n  ## This application's HTML is dynamically generated and editing in WYSIWYG would not work\n  #if($xcontext.getAction() == 'edit')\n    $response.sendRedirect("$xwiki.getURL($doc.getFullName(), 'edit')?editor=wiki")\n  #end\n  ##\n  ## If this document has PR and is not included from another document then it's author should be set to Guest\n  ## for the duration of it's execution in order to improve security.\n  ## Note we compare document ids because\n  #if($sandbox\n      && $xcontext.hasProgrammingRights()\n      && $xcontext.getDoc().getDocumentReference().equals($xwiki.getDocument($documentName).getDocumentReference()))\n  ##\n    $xcontext.dropPermissions()##\n  #end\n  ##\n  ## Access level to register must be explicitly checked because it is only checked in XWiki.prepareDocuments\n  ## and this page is accessible through view action.\n  #if(!$xcontext.hasAccessLevel('register', 'XWiki.XWikiPreferences'))\n    ## Make an exception if another document with programming permission (Invitation app) has included this\n    ## document and set $invited to true.\n    #if(!$invited || !$xcontext.hasProgrammingRights())\n      $response.sendRedirect("$xwiki.getURL($doc.getFullName(), 'login')")\n    #end\n  #end\n  ## If this is true, then assume the registration page is being viewed inside of a lightbox\n  #if($request.get('xpage'))\n    #set($assumeLightbox = true)\n  #end\n  ##\n  ## Display the heading\n  $heading\n  ## If the submit button has been pressed, then we test the input and maybe create the user.\n  #if($request.getParameter('xwikiname'))\n    ## Do server side validation of input fields.\n    ## This must not be in a #set directive as it will output messages if something goes wrong.\n    #validateFields($fields, $request)\n    ## If server side validation was successfull, create the user\n    #if(!$registrationFailed)\n      #createUser($fields, $request, $response, $doAfterRegistration)\n    #end\n  #end\n  ## If the registration was not successful or if the user hasn't submitted the info yet\n  ## Then we display the registration form.\n  #if(!$registrationDone)\n    $welcomeMessage\n\n    {{html wiki=false}}\n      <form id="register" action="$xwiki.relativeRequestURL" method="post" class="xform half">\n      <div>\n      <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n      #set ($userDirectoryReference = $services.model.createDocumentReference('', 'Main', 'UserDirectory'))\n      #if ($xwiki.exists($userDirectoryReference))\n        <input type="hidden" name="parent" value="$!{services.model.serialize($userDirectoryReference, 'default')}" />\n      #end\n      #generateHtml($fields, $fieldMandatoryStar, $failureMessageParams)\n      <div class="wikimodel-emptyline"></div>\n      <span class="buttonwrapper">\n      #if($assumeLightbox)\n        ## LightBox detected...\n        <script type="text/javascript">\n          ## Make the X button not reload the page. (overriding LbClose)\n          window.lb.lbClose = function() {\n            this.lbHide();\n            this.lbClearData();\n            ##return false;\n          }\n          ## Post the form entry to the page and load the result. (we override lbSaveForm)\n          window.lb.lbSaveForm = function() {\n            var formParams = Form.serialize(this.form);\n            Form.disable(this.form);\n            var ajaxRequest = new Ajax.Request(this.saveUrl, {\n              parameters: formParams,\n              asynchronous: false\n            });\n            window.lb.lbFormDataLoaded(ajaxRequest.transport);\n          }\n        </script>\n        ## It doesn't really matter where these are, the scripts will be relocated to the head.\n        <!-- com.xpn.xwiki.plugin.skinx.CssSkinFileExtensionPlugin -->\n        <!-- com.xpn.xwiki.plugin.skinx.JsSkinFileExtensionPlugin -->\n        ##\n        <input class="button" type="submit" value="$services.localization.render('save')" onclick="window.lb.lbSaveForm();"/>\n        </span>#* End ButtonWrapper then start another...*#<span class="buttonwrapper">\n        <input class="button secondary" type="submit" value="$services.localization.render("cancel")" onclick="Form.disable(window.lb.form); window.lb.lbClose();"/>\n      #else\n        ## Not using the LightBox\n        <input type="submit" value="$services.localization.render('core.register.submit')" class="button"/>\n      #end\n      </span>## ButtonWrapper\n      </div>\n      </form>\n      #if($useLiveValidation)\n        #generateJavascript($fields)\n      #end\n    {{/html}}\n\n    ##\n    ## Allow permitted users to configure this application.\n    #if($xcontext.getUser() != 'XWiki.XWikiGuest' && $xcontext.hasAccessLevel("edit", $documentName))\n      [[{{translation key="xe.admin.registration.youCanConfigureRegistrationHere"/}}>>XWiki.XWikiPreferences?section=Registration&editor=globaladmin#HCustomizeXWikiRegistration]]\n      {{html}}<a href="$xwiki.getURL($documentName, 'edit', 'editor=wiki')">$services.localization.render('xe.admin.registration.youCanConfigureRegistrationFieldsHere')</a>{{/html}}\n    #end\n  ## If the registration is done (successful) and we detect the Lightbox simply send the user back to the original page.\n  #elseif($assumeLightbox)\n    {{html clean=false wiki=false}}\n      <script type="text/javascript">\n          var url = window.lb.redirectUrl;\n          window.lb.lbClose;\n          if (url != undefined) {\n            if(window.location.pathname + window.location.search == url) {\n              ## Under certain circumstances (bug) Opera will not load a page if the location is the same as the current page.\n              ## In these cases, location.reload() doesn't work either, the only solution (I could find) was to change the URL.\n              window.location.href = url + "&";\n            } else {\n              window.location.href = url;\n            }\n          }\n      </script>\n    {{/html}}\n  #end\n#else\n  ## The registration is not allowed on the subwiki\n  ## Redirecting to main wiki's registration page since local user registration is not allowed.\n  #set($mainWikiRegisterPageReference = $services.model.createDocumentReference($services.wiki.mainWikiId, 'XWiki', 'Register'))\n  #set($temp = $response.sendRedirect($xwiki.getURL($mainWikiRegisterPageReference, 'register', $request.queryString)))\n#end\n##\n####### The Macros (nothing below this point is run directly) #########\n#*\n * Server side validation, this is necessary for security and because not everyone has Javascript\n *\n * @param $fields The array of fields to validate.\n * @param $request An XWikiRequest object which made the register request, used to get parameters.\n *###\n#macro(validateFields, $fields, $request)\n  #foreach($field in $fields)\n    #if($field.get('validate') && $field.get('name'))\n      #set($fieldName = $field.get('name'))\n      #set($validate = $field.get('validate'))\n      #set($error = '')\n      #set($value = $request.get($fieldName))\n      #if($value && $value != '')\n        ##\n        ## mustMatch validation\n        #if($error == '' && $validate.get('mustMatch'))\n          #set($mustMatch = $validate.get('mustMatch'))\n          #if($mustMatch.get('name') && $mustMatch.get('failureMessage'))\n            #if($request.get($fieldName) != $request.get($mustMatch.get('name')))\n              #set($error = $mustMatch.get('failureMessage'))\n            #end\n          #else\n            ERROR: In field: ${fieldName}: mustMatch validation required both name \n                   (of field which this field must match) and failureMessage.\n          #end\n        #end\n        ##\n        ## Regex validation\n        ## We won't bother with regex validation if there is no entry, that would defeat the purpose of 'mandatory'\n        #if($error == '' && $validate.get('regex') && $value && $value != '')\n          #set($regex = $validate.get('regex'))\n          #if($regex.get('pattern') && $regex.get('failureMessage'))\n            ## Make Java regexes more compatible with Perl/js style regexes by removing leading and trailing /\n            #if($regex.get('pattern').length() > 1)\n              #set($pattern = $regex.get('pattern'))\n              #if($pattern.lastIndexOf('/') < $pattern.length() - 1)\n                  ERROR: In field: ${fieldName}: regex validation does not allow flags after the /, please fix [${pattern}].\n              #end\n              #set($pattern = $pattern.substring($mathtool.add(1, $pattern.indexOf('/')), $pattern.lastIndexOf('/')))\n            #else\n              ## I don't expect this but want to maintain compatibility.\n              #set($pattern = $regex.get('pattern'))\n            #end\n            #if($regextool.find($value, $pattern).isEmpty())\n              #set($error = $regex.get('failureMessage'))\n            #end\n          #elseif($regex.get('pattern'))\n            ERROR: In field: ${fieldName}: regex validation must include failureMessage.\n          #end\n        #end\n        ##\n        ## If regex and mustMatch validation passed, try programmatic validation\n        #if($error == '' && $validate.get('programmaticValidation'))\n          #set($pv = $validate.get('programmaticValidation'))\n          #if($pv.get('code') && $pv.get('failureMessage'))\n            #set($pvReturn = "#evaluate($pv.get('code'))")\n            #if($pvReturn.indexOf('failed') != -1)\n              #set($error = $pv.get('failureMessage'))\n            #end\n          #else\n            ERROR: In field: ${fieldName}: programmaticValidation requires code and failureMessage\n          #end\n        #end\n      #else\n        ##\n        ## If no content, check if content is mandatory\n        #if($validate.get('mandatory'))\n          #set($mandatory = $validate.get('mandatory'))\n          #if($mandatory.get('failureMessage'))\n            #set($error = $mandatory.get('failureMessage'))\n          #else\n            ERROR: In field: ${fieldName}: mandatory validation requires a failureMessage\n          #end\n        #end\n      #end\n      #if($error != '')\n        #set($discard = $field.put('error', $error))\n        #set($registrationFailed = true)\n      #end\n    #elseif(!$field.get('name'))\n      ERROR: Field with no name.\n    #end##if(validate)\n  #end##loop\n#end##macro\n#*\n * Create the user.\n * Calls $xwiki.createUser to create a new user.\n *\n * @param $request An XWikiRequest object which made the register request.\n * @param $response The XWikiResponse object to send any redirects to.\n * @param $doAfterRegistration code block to run after registration completes successfully.\n *###\n#macro(createUser, $fields, $request, $response, $doAfterRegistration)\n  ## CSRF check\n  #if(${services.csrf.isTokenValid("$!{request.getParameter('form_token')}")})\n    ## See if email verification is required and register the user.\n    #if($xwiki.getXWikiPreferenceAsInt('use_email_verification', 0) == 1)\n      #set($reg = $xwiki.createUser(true))\n    #else\n      #set($reg = $xwiki.createUser(false))\n    #end\n  #else\n    $response.sendRedirect("$!{services.csrf.getResubmissionURL()}")\n  #end\n  ##\n  ## Handle output from the registration.\n  #if($reg && $reg <= 0)\n    {{error}}\n    #if($reg == -2)\n      {{translation key="core.register.passwordMismatch"/}}\n    ## -3 means username taken, -8 means username is superadmin name\n    #elseif($reg == -3 || $reg == -8)\n      {{translation key="core.register.userAlreadyExists"/}}\n    #elseif($reg == -4)\n      {{translation key="core.register.invalidUsername"/}}\n    #else\n      {{translation key="core.register.registerFailed" parameters="$reg"/}}\n    #end\n    {{/error}}\n  #elseif($reg)\n  ## Registration was successful\n    #set($registrationDone = true)\n    ##\n    ## If there is any thing to "doAfterRegistration" then do it.\n    #foreach($field in $fields)\n      #if($field.get('doAfterRegistration'))\n        #evaluate($field.get('doAfterRegistration'))\n      #end\n    #end\n    ## If there is a "global" doAfterRegistration, do that as well.\n    ## Calling toString() on a #define block will execute it and we discard the result.\n    #set($discard = $doAfterRegistration.toString())\n    ##\n    ## Define some strings which may be used by autoLogin or loginButton\n    #set($userName = $!request.get('xwikiname'))\n    #set($password = $!request.get('register_password'))\n    #set($loginURL = $xwiki.getURL($loginPage, $loginAction))\n    #if("$!request.getParameter($redirectParam)" != '')\n      #set($redirect = $request.getParameter($redirectParam))\n    #else\n      #set($redirect = $defaultRedirect)\n    #end\n    ## Display a "registration successful" message\n\n    #evaluate($registrationSuccessMessage)\n\n    ## Empty line prevents message from being forced into a <p> block.\n\n    ## Give the user a login button which posts their username and password to loginsubmit\n    #if($loginButton)\n\n      {{html clean=false wiki=false}}\n        <form id="loginForm" action="$loginURL" method="post">\n          <div class="centered">\n          <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n          <input id="j_username" name="j_username" type="hidden" value="$escapetool.xml($!userName)" />\n          <input id="j_password" name="j_password" type="hidden" value="$escapetool.xml($!password)" />\n          <input id="$redirectParam" name="$redirectParam" type="hidden" value="$escapetool.xml($redirect)" />\n          <span class="buttonwrapper">\n            <input type="submit" value="$services.localization.render('login')" class="button"/>\n          </span>\n          </div>\n        </form>\n        ## We don't want autoLogin if we are administrators adding users...\n        #if($autoLogin && !$assumeLightbox)\n          <script type='text/javascript'>\n            document.observe('xwiki:dom:loaded', function() {\n              document.forms['loginForm'].submit();\n            });\n          </script>\n        #end\n      {{/html}}\n\n    #end\n  #end\n  ##\n#end## createUser Macro\n#*\n * Generate HTML form, this is the only place where HTML is written.\n *\n * @param $fields The array of fields to use for generating html code.\n * @param $fieldMandatoryStar The tag parameters for a * indicating a mandatory field.\n * @param $failureMessageParams The tag parameters for a failure message.\n *###\n#macro(generateHtml, $fields, $fieldMandatoryStar, $failureMessageParams)\n  ## Put the same values back into the fields.\n  #getParams($fields)\n  ##\n  <dl>\n  #foreach($field in $fields)\n    #if($field.get('name'))\n      #set($fieldName = $field.get('name'))\n      #if($field.get('label'))\n        #set($label = $field.get('label'))\n        <dt><label for="$fieldName">$label\n        #if($field.get('validate').get('mandatory'))\n          <span ##\n          #foreach($entry in $fieldMandatoryStar.entrySet())\n            $entry.getKey()="$entry.getValue()" ##\n          #end\n          >$services.localization.render('core.validation.required')</span>\n        #end\n          </label>\n        </dt>\n      #end\n      ## If no tag then default tag is <input>\n      #if($field.get('tag'))\n        #set($tag = $field.get('tag'))\n      #else\n        #set($tag = 'input')\n      #end\n      <dd><$tag id="$fieldName" ##\n      #set($params = $field.get('params'))\n      ## If no name parameter is spacified, then we use the field name\n      #if(!$params.get('name'))\n        #set($discard = $params.put('name', $fieldName))\n      #end\n      #foreach($entry in $params.entrySet())\n        ## If a parameter is specified as '' then we don't include it.\n        #if($entry.getValue() != '')\n          $entry.getKey()="$escapetool.xml($entry.getValue())" ##\n        #end\n      #end\n      ></$tag>\n      #if($field.get('error'))\n        <span ##\n        #foreach($entry in $failureMessageParams.entrySet())\n          $entry.getKey()="$entry.getValue()" ##\n        #end\n        >$field.get('error')</span>\n      #end\n      </dd>\n    #else\n      ERROR: Field with no name.\n    #end##if fieldName exists\n  #end\n  </dl>\n#end\n#*\n * Generate the Javascript for interacting with LiveValidation.\n *\n * @param $fields The array of fields which to validate.\n *###\n#macro(generateJavascript, $fields)\n  <script type='text/javascript'>\n  /* <![CDATA[ */\n  document.observe('xwiki:dom:loaded', function() {\n  ##\n  #foreach($field in $fields)\n    #if($field.get('validate') && $field.get('name'))\n      #set($validate = $field.get('validate'))\n      #if(($validate.get('mandatory') && !$validate.get('mandatory').get('noscript'))\n          || ($validate.get('regex') && !$validate.get('regex').get('noscript'))\n          || ($validate.get('mustMatch') && !$validate.get('mustMatch').get('noscript')))\n        #set($fieldName = $field.get('name'))\n        #if($validate.get('fieldOkayMessage'))\n          #set($okayMessage = $validate.get('fieldOkayMessage'))\n        #else\n          #set($okayMessage = $defaultFieldOkayMessage)\n        #end\n        var ${fieldName}Validator = new LiveValidation("$fieldName", { validMessage: "$okayMessage", wait: 500} );\n        ##\n        #if($validate.get('mandatory'))\n          #set($mandatory = $validate.get('mandatory'))\n          #if($mandatory.get('failureMessage') && !$mandatory.get('noscript'))\n            ${fieldName}Validator.add( Validate.Presence, { failureMessage: "$!mandatory.get('failureMessage')"} );\n          #end\n        #end\n        ##\n        #if($validate.get('mustMatch'))\n          #set($mustMatch = $validate.get('mustMatch'))\n          #if($mustMatch.get('name') && $mustMatch.get('failureMessage')  && !$mustMatch.get('noscript'))\n            ${fieldName}Validator.add( Validate.Confirmation, { match: $$("input[name=$!mustMatch.get('name')]")[0], failureMessage: "$!mustMatch.get('failureMessage')"} );\n          #end\n        #end\n        ##\n        #if($validate.get('regex'))\n          #set($regex = $validate.get('regex'))\n          #set($pattern = "")\n          #if($regex.get('jsPattern'))\n            #set($pattern = $regex.get('jsPattern'))\n          #elseif($regex.get('pattern'))\n            #set($pattern = $regex.get('pattern'))\n          #end\n          #set($failMessage = "")\n          #if($regex.get('jsFailureMessage'))\n            #set($failMessage = $regex.get('jsFailureMessage'))\n          #elseif($regex.get('failureMessage'))\n            #set($failMessage = $regex.get('failureMessage'))\n          #end          \n          #if($pattern != '' && $failMessage != '' && !$regex.get('noscript'))\n            ${fieldName}Validator.add( Validate.Format, { pattern: $pattern, failureMessage: "$failMessage"} );\n          #end\n        #end##if regex\n      #end##if contains js validateable fields.\n    #end##if validate\n  #end##loop\n    });// ]]>\n    </script>\n#end##macro\n#*\n * Get parameters from request so that values will be filled in if there is a mistake\n * in one of the entries. Entries will be returned to fields[n].params.value\n * Fields will not be returned if they have either noReturn or error specified.\n *\n * @param $fields The array of fields to get parameters for.\n *###\n#macro(getParams $fields)\n  #foreach($field in $fields)\n    #if($field.get('name') && $request.get($field.get('name')))\n      #if(!$field.get('noReturn') && !$field.get('error'))\n        #if(!$field.get('params'))\n          #set($params = {})\n          #set($discard = $field.put('params', $params))\n        #else\n          #set($params = $field.get('params'))\n        #end\n        #set($discard = $params.put('value', $request.get($field.get('name'))))\n      #end\n    #end\n  #end\n#end\n#*\n * Get the configuration from the configuration object.\n *\n * @param $configDocumentName The name of the document to get the configuration from.\n *###\n#macro(loadConfig, $configDocumentName)\n  #set($configDocument = $xwiki.getDocument($configDocumentName))\n  #if(!$configDocument || !$configDocument.getObject($documentName))\n    ## No config document, load defaults.\n    #set($heading = "$services.localization.render('core.register.title')")\n    #set($welcomeMessage = "$services.localization.render('core.register.welcome')")\n    #set($useLiveValidation = true)\n    #set($defaultFieldOkayMessage = "$services.localization.render('core.validation.valid.message')")\n    #set($loginButton = true)\n    #set($defaultRedirect = "$xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))")\n    #set($userFullName = "$request.get('register_first_name') $request.get('register_last_name')")\n    #set($registrationSuccessMessage = '{{info}}$services.localization.render("core.register.successful", ["[[${userFullName}>>${userSpace}${userName}]]", ${userName}]){{/info}}')\n  #else\n    #set($configObject = $configDocument.getObject($documentName))\n    #if ($xcontext.action == 'register')\n      #set ($heading = "(% id='document-title'%)((( = #evaluate($configObject.getProperty('heading').getValue()) = )))(%%)")\n    #else\n      #set ($heading = "= #evaluate($configObject.getProperty('heading').getValue()) =")\n    #end\n    #set($welcomeMessage = "#evaluate($configObject.getProperty('welcomeMessage').getValue())")\n    #if($configObject.getProperty('liveValidation_enabled').getValue() == 1)\n      #set($useLiveValidation = true)\n    #end\n    #set($defaultFieldOkayMessage = "#evaluate($configObject.getProperty('liveValidation_defaultFieldOkMessage').getValue())")\n    #if($configObject.getProperty('loginButton_enabled').getValue() == 1)\n      #set($loginButton = true)\n    #end\n    #if($configObject.getProperty('loginButton_autoLogin_enabled').getValue() == 1)\n      #set($autoLogin = true)\n    #end\n    #set($defaultRedirect = "#evaluate($configObject.getProperty('defaultRedirect').getValue())")\n    #set($registrationSuccessMessage = "$configObject.getProperty('registrationSuccessMessage').getValue()")\n    #if($configObject.getProperty('requireCaptcha').getValue() == 1)\n      #set($requireCaptcha = true)\n    #end\n  #end\n#end\n{{/velocity}}	1.1		XWiki.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.Registration</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultRedirect>\n<disabled>0</disabled>\n<name>defaultRedirect</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Redirect here after registration</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultRedirect>\n<heading>\n<disabled>0</disabled>\n<name>heading</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Registration page heading</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</heading>\n<liveValidation_defaultFieldOkMessage>\n<disabled>0</disabled>\n<name>liveValidation_defaultFieldOkMessage</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Default field okay message</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</liveValidation_defaultFieldOkMessage>\n<liveValidation_enabled>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>liveValidation_enabled</name>\n<number>3</number>\n<prettyName>Enable Javascript field validation</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</liveValidation_enabled>\n<loginButton_autoLogin_enabled>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>loginButton_autoLogin_enabled</name>\n<number>6</number>\n<prettyName>Enable automatic login</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</loginButton_autoLogin_enabled>\n<loginButton_enabled>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>loginButton_enabled</name>\n<number>5</number>\n<prettyName>Enable login button</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</loginButton_enabled>\n<registrationSuccessMessage>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>registrationSuccessMessage</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Registration Successful Message</prettyName>\n<rows>12</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</registrationSuccessMessage>\n<requireCaptcha>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>requireCaptcha</name>\n<number>8</number>\n<prettyName>Require captcha to register</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</requireCaptcha>\n<welcomeMessage>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>welcomeMessage</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Welcome message</prettyName>\n<rows>12</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</welcomeMessage>\n</class>\n	2			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
7933057718280792876	XWiki.RegistrationHelp	RegistrationHelp	Registration Page Documentation			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2013-03-28 16:23:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	The verified registration page is the new default registration method for XWiki Enterprise. It supports image captchas supplied by the captcha module it also supports validating the input fields both on the server side and in Javascript using [[LiveValidation>>http://livevalidation.com/]].\n\n{{info}}The Verified Registration page does not require programming rights to operate so you can configure it even if you are administrating a virtual wiki on a wiki farm.{{/info}}\n\n= Options you can set from the [[Registration section of the Administration Application>>XWiki.XWikiPreferences?section=Registration&editor=globaladmin#HCustomizeXWikiRegistration]] =\n\n{{id name=heading/}}\n* **Registration page heading**\n** This is the line at the top of the page which is shown to people who are registering and when they have just registered. Velocity and XWiki Syntax 2.0 code may be used.\n\n{{id name=welcomeMessage/}}\n* **Welcome Message**\n** This is only shown when people are filling out the form. Velocity and XWiki Syntax 2.0 code may be used.\n\n{{id name=liveValidation_enabled/}}\n* **Enable Javascript field validation** (Default: Yes)\n** Set this to false and LiveValidation javascript will not be generated (fields will still be validated at the server side.)\n\n{{id name=liveValidation_defaultFieldOkMessage/}}\n* **Default field okay message** (Default: 'Ok.')\n** LiveValidation shows a message to indicate to users that they have filled in the field satisfactorily. this is the message they will get if it is not overridden for a particular field.  Velocity code may be used.\n\n{{id name=loginButton_enabled/}}\n* **Enable login button** (Default: Yes)\n** When the user has registered, we provide a button for them to click which will post their username and password to the login action and get them logged in right away. This however causes the username and password to be passed back in the HTML which may be unacceptable depending on your security needs.\n\n{{id name=loginButton_autoLogin_enabled/}}\n* **Enable automatic login** (Default: No)\n** If login button is enabled, then you can have a piece of Javascript push the login button for the user.\n\n{{id name=defaultRedirect/}}\n* **Redirect here after registration** (Default: "$xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))")\n** This is the URL of the which the user will be redirected to after pushing the login button if the xredirect parameter is not specified.  Velocity code may be used.\n\n{{id name=requireCaptcha/}}\n* **Require CAPTCHA to register** (Default: No)\n** Set this true to require the user to solve a CAPTCHA in order to register.\n\n{{id name=registrationSuccessMessage/}}\n* **Registration Successful Message**\n** This is shown to the user when they have registered successfully. Velocity and XWiki Syntax 2.0 code may be used.\n\n= Adding or removing fields to the registration form by editing the XWiki.Registration =\n\nIn XWiki.Registration, the fields are defined separately from the code which generates the HTML. You can add or remove fields simply by modifying the configuration. Fields are defined as maps. The maps are each required to have a 'name' key which must map to a string. This string will be the id and name of the field when it is rendered into HTML.\n\n* **label** (string)\n** This is what the user is prompted with above the field for their input.\n\n* **tag** (string)\n** Usually a field is an input field but if you specify a different tag (eg: textarea) then it will not be an input type field. You can even specify non field tags such as <img> or <div> but it may cause invalid HTML to be generated.\n\n* **params** (map)\n** This map corresponds to the HTML parameters of the tag. If you specify params to be { 'class' : 'someclass', 'style' : 'color:red;' } then the HTML tag will read <input class="someclass" style="color:red;">\n\n* **noReturn** (boolean)\n** If this is specified, the field will not be filled in if there is an error and the user has to fix their registration information. If you don't want a password to be passed back in html then set this true for the password fields. Used for the captcha because it makes no sense to pass back an incorrect captcha answer.\n\n* **doAfterRegistration** (string)\n** Some Velocity code which will be executed after a successful registration. This is used in the favorite color example. Remember to put the code in single quotes ('') because you want the 'code' entry to equal the literal code, not the output from running it.\n\n* **validate** (map)\n** This map is the most complex and is covered later on in this section.\n\nHere is the definition of a field which is used in the registration page\n\n{{code language=none}}\n## The user name field, mandatory and programmatically checked to make sure the username doesn't exist.\n#set($field = \n  {'name' : 'xwikiname',\n    'label' : $services.localization.render('core.register.username'),\n    'params' : {\n      'type' : 'text',\n      'onfocus' : 'prepareName(document.forms.register);',\n      'size' : '20'\n    },\n    'validate' : {\n      'mandatory' : { \n        'failureMessage' : $services.localization.render('XWiki.Registration.fieldMandatory') \n      },\n      'programmaticValidation' : {\n        'code' : '#nameAvailable($request.get("xwikiname"))',\n        'failureMessage' : $services.localization.render('core.register.userAlreadyExists')\n      }\n    }\n  })\n#set($discard = $fields.add($field))\n{{/code}}\n\nLine by line it is:\n(% class="showCircles" %)\n* A comments and the beginning of a set directive.\n** name is set to 'xwikiname'\n** label is set to 'User Id:' or translation there of.\n** params is set to a new map\n*** params map gets type set to 'text'\n*** params map gets onfocus set to some Javascript\n*** params map gets size set to '20'\n** End of params map\n** validate is set to a new map.\n*** validate map gets mandatory set to new map.\n**** validate.mandatory gets failureMessage set to 'this field is mandatory' or translation there of.\n*** validate.mandatory is ended.\n*** validate gets programmaticValidation set to new map\n**** validate.programmaticValidation gets 'code' set to a macro call which will check if the username is taken.\n**** validate.programmaticValidation gets 'failureMessage' set to a message telling the user that the name is taken.\n*** validate.programmaticValidation map is closed.\n** validate map is closed.\n* Map for this field is closed and set directive ends.\n* This field is added to the fields array and the output from the add function is set to discard to avoid having it print on the page.\n\n== Validation Constraints ==\nThe validate field configuration key is itself a map which allows a number of parameters to be defined. Validation is done in the order of mandatory, then regex, then mustMatch, then programmatic validation so if nothing is entered and the mandatory constraint is not in place then the entry will be accepted and if a entry fails the regex test then it will not be evaluated programmatically.\n\n* **mandatory** (Optional)\n** Will fail if the field is not filled in.\n** **failureMessage** (Required)\n*** The message to display if the field is not filled in.\n** **noscript** (Optional)\n*** Will not be validated by Javascript, only on the server side.\n\n* **regex** (Optional)\n** Will validate the field using a regular expression. because of character escaping, you must provide a different expression for the javascript validation and the server side validation. Both javascript and server side validation are optional, but if you provide neither, then your field will not be validated.\n** **failureMessage** (Optional)\n*** The message to display if the regex evaluation returns false, note that this is sent in HTML so &lt; will display as <\n** **jsFailureMessage** (Optional)\n*** The message for Javascript to display if regex fails. If jsFailureMessage is not defined Javascript uses failureMessage. NOTE: Javascript injects the failure message using createTextNode so &lt; will be displayed as &lt;\n** **pattern** (Optional)\n*** The regular expression to test the input at the server side, it's important to use this if you need to validate the field for security reasons, also it is good because not all browsers use javascript or have it enabled.\n** **jsPattern** (Optional)\n*** The regular expression to use for client side, you can use escaped characters to avoid them being parsed as Javascript code. To get javascript to unescape characters use: "'+unescape('%5E%5B%24')+'"\n**** **NOTE:** If no jsPattern is specified, the jsValidator will try to validate using 'pattern'.\n** **noscript** (Optional)\n*** Will not be validated by Javascript, only on the server side.\n\n* **mustMatch** (Optional)\n** Will fail if the entry into the field is not the same as the entry in another field. Used for password confirmation.\n** **failureMessage** (Required)\n*** The message to display if the field doesn't match the named field.\n** **name** (Required)\n*** The name of the field which this field must match.\n** **noscript** (Optional)\n*** Will not be validated by Javascript, only on the server side.\n\n\n* **programmaticValidation** (Optional)\n** This form of validation executes a piece of Velocity code which you give it and if the code returns the word "failed" then it gives the error message. Remember to put the code in single quotes because you want the value of 'code' to equal the literal code, not the output from running it (Velocity parses code in double quotes)\n** **code** (Required)\n*** The code which will be executed to test whether the field is filled in correctly.\n** **failureMessage** (Required)\n*** The message which will be displayed if evaluating the code returns "false".\n\n* **fieldOkayMessage** (Optional)\n** The message which is displayed by LiveValidation when a field is validated as okay. If not specified, will be the LiveValidation default field ok message	1.1		XWiki.Registration		2			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
-9104055598050728029	XWiki.ResetPassword	ResetPassword	$services.localization.render('xe.admin.passwordReset.title')			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2013-03-28 16:23:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#**\nThis page starts the password reset procedure. It works according to the next algorithm:\n1. Display a form requesting the username\n2. When receiving the username via form submission, generate a random verification string which is stored (as a hash) inside a ResetPasswordRequestClass object attached to the user's profile page. If no such object exists, it is created, but an existing object will be reused, meaning that at most one password reset request can be active at a moment.\n3. Send an email to the address configured in the user's profile, containing a link to the second step of the password reset procedure.\n\nURL parameters:\n\nu = user account sent in the form\n*###\n##\n##\n## The name of the class used for storing password reset verification data.\n#set ($verifClass = 'XWiki.ResetPasswordRequestClass')\n#set ($userName = "$!request.get('u')")\n#if ($userName == '')## First step, display the form requesting the username\n  {{translation key="xe.admin.passwordReset.instructions"/}}\n\n  {{html}}\n  <form method="post" action="$doc.getURL()" class="xformInline">\n  <div>\n  <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n  <label for="u">$services.localization.render('xe.admin.passwordReset.username.label')</label> <input type="text" id="u" name="u"/> <span class="buttonwrapper"><input type="submit" value="$services.localization.render('xe.admin.passwordReset.submit')" class="button"/></span>\n  </div>\n  </form>\n  {{/html}}\n#else## Second step, generate the verification string, store it, and send the email\n  ## TODO: Once the usernames are not bound to the XWiki space, revisit this code\n  #if ($userName.indexOf('.') != -1)\n    #set ($userDoc = $xwiki.getDocumentAsAuthor(${userName}))\n  #else\n    #set ($userDoc = $xwiki.getDocumentAsAuthor("XWiki.${userName}"))\n  #end\n  ## Check if the user exists and has a valid email address configured in his profile\n  #set ($userObj = '')\n  #set ($userObj = $userDoc.getObject('XWiki.XWikiUsers'))\n  #if (!$userObj)\n\n    {{warning}}$services.localization.render('xe.admin.passwordReset.error.noUser', ["//${escapetool.xml($userName)}//"]){{/warning}}\n\n  #elseif ($userDoc.getObject('XWiki.LDAPProfileClass'))\n\n    {{warning}}$services.localization.render('xe.admin.passwordReset.error.ldapUser', ["//${escapetool.xml($userName)}//"]){{/warning}}\n\n  #else\n    #set ($userEmail = $userObj.getProperty('email').value)\n    #if ("$!userEmail" == '')\n\n      {{error}}{{translation key="xe.admin.passwordReset.error.noEmail"/}}{{/error}}\n\n    #else\n      ## Find the object that will hold the verification string\n      #set ($verifObj = '')\n      #set ($verifObj = $userDoc.getObject($verifClass, true))\n      ## Generate a random string\n      #set ($verifStr = $util.generateRandomString(30))\n      ## If the class is correctly configured, the string should automatically be stored as a hash\n      #set ($discard = $verifObj.set('verification', $verifStr))\n      #set ($discard = $userDoc.saveAsAuthor($services.localization.render('xe.admin.passwordReset.versionComment'), true))\n      ## Compose the verification URL\n      #set ($passwordResetURL = $xwiki.getDocument('XWiki.ResetPasswordComplete').getExternalURL('view', "u=${userName}&v=${verifStr}"))\n      ## Send the email\n      #set ($from = $services.mailsender.configuration.fromAddress)\n      #if ("$!from" == '')\n        #set ($from = "no-reply@${request.serverName}")\n      #end\n      #set ($mailTemplateReference = $services.model.createDocumentReference('', 'XWiki', 'ResetPasswordMailContent'))\n      #set ($mailParameters = {'from' : $from, 'to' : $userEmail, 'language' : $xcontext.language})\n      #set ($message = $services.mailsender.createMessage('template', $mailTemplateReference, $mailParameters))\n      #set ($discard = $message.setType('Reset Password'))\n      #macro (displayError $text)\n\n        {{html}}\n          <div class="xwikirenderingerror" title="Click to get more details about the error" style="cursor: pointer;">\n            $services.localization.render('xe.admin.passwordReset.error.emailFailed')\n          </div>\n          <div class="xwikirenderingerrordescription hidden">\n            <pre>${text}</pre>\n          </div>\n        {{/html}}\n\n      #end\n      ## Check for an error constructing the message!\n      #if ($services.mailsender.lastError)\n        #displayError($exceptiontool.getStackTrace($services.mailsender.lastError))\n      #else \n        ## Send the message and wait for it to be sent or for any error to be raised.\n        #set ($mailResult = $services.mailsender.send([$message], 'database'))\n        ## Check for errors during the send\n        #if ($services.mailsender.lastError)\n          #displayError($exceptiontool.getStackTrace($services.mailsender.lastError))\n        #else\n          #set ($failedMailStatuses = $mailResult.statusResult.getByState('FAILED'))\n          #if ($failedMailStatuses.hasNext())\n            #set ($mailStatus = $failedMailStatuses.next())\n            #displayError($mailStatus.errorDescription)\n          #else\n\n            {{info}}$services.localization.render('xe.admin.passwordReset.emailSent', ["$userDoc.display('email', $userObj)"]){{/info}}\n\n          #end\n        #end\n      #end\n    #end\n  #end\n  [[{{translation key="xe.admin.passwordReset.error.retry"/}}>>$doc.fullName]] | [[{{translation key="xe.admin.passwordReset.error.recoverUsername"/}}>>ForgotUsername]] | [[{{translation key="xe.admin.passwordReset.login"/}}>>path:$xwiki.getURL('XWiki.XWikiLogin', 'login')]]\n#end\n## Clear private variables, so that they cannot be accessed from the rest of the page (comments, panels...)\n#set ($verifStr = '')\n#set ($passwordResetURL = '')\n{{/velocity}}	1.1		Main.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.1	t
6159279780701781039	SkinsCode.XWikiSkinsSheet	XWikiSkinsSheet	$services.localization.render('xe.admin.skin')			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2013-03-28 16:23:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	SkinsCode	{{velocity}}\n#####################################\n##      XWikiSkins Sheet\n#####################################\n#set($discard = $xwiki.ssx.use('SkinsCode.XWikiSkinsSheet'))\n#set($discard = $xwiki.jsx.use('SkinsCode.XWikiSkinsSheet'))\n#set($discard = $services.localization.use('document', 'SkinsCode.Translations'))\n#####################\n##   CONTROLLER\n#####################\n## Keep testing the inline action for backward compatibility with existing skin documents.\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n  #edit()\n#elseif ($xcontext.action == 'get')\n  #if($request.action == 'newObj')\n    #newObj()\n  #elseif($request.action == 'displayObj')\n    #set($obj = $doc.getObject('XWiki.XWikiSkinFileOverrideClass', $numbertool.toNumber($request.objNumber).intValue()))\n    #displayOverrideObject($obj)\n  #elseif($request.action == 'deleteObj')\n    #deleteObj()\n  #end\n#else\n  #view()\n#end\n#####################\n##      VIEW\n#####################\n#macro(view)\n  ## Call getDefaultEditMode() for backward compatibility with existing skins.\n  * [[{{translation key="xe.admin.skin.editskin"/}}>>path:${doc.getURL($doc.getDefaultEditMode())}]]\n  * [[{{translation key="xe.admin.skin.testskin"/}}>>$services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI'))||queryString="skin=${doc.fullName}"]]\n#end\n#####################\n##      EDIT\n#####################\n#macro(edit)\n  == {{translation key="skin.sheet.properties" /}} ==\n  ## Display the class properties\n  #set ($deprecatedProperties = [])\n  #set ($className = 'XWiki.XWikiSkins')\n  #set ($class = $doc.getObject($className).xWikiClass)\n  #foreach ($prop in $class.properties)\n    #if ($prop.classType != 'TextArea')\n    ; $prop.prettyName\n    : #if($prop.name == 'logo'){{attachmentSelector classname="${className}" property="${prop.name}" filter="png,jpg,gif" displayImage="true"/}}#else $doc.display($prop.name)#end\n    \n    #else\n      #set($discard = $deprecatedProperties.add($prop))\n    #end\n  #end\n  (% id="overrideSection" %)\n  (((\n    == {{translation key="skin.sheet.overriddenTemplates" /}} ==\n    \n    {{warning}}\n      {{translation key="skin.sheet.overrideTemplateWarning" /}}\n    {{/warning}}\n    \n    {{html}}\n    <noscript>\n      <div class="box errormessage">\n        $services.localization.render('skin.sheet.nojs', ["<a href='$doc.getURL('edit', 'editor=object')'>", '</a>', 'XWiki.XWikiSkinFileOverrideClass'])\n      </div>\n    </noscript>\n    {{/html}}\n    \n    {{html}}\n    <div id="addOverride">\n      <label for="newPath" class="newPathLabel">$services.icon.renderHTML('add') $services.localization.render("skin.sheet.addTemplate")</label>\n      <input placeholder="file.vm" id="newPath" name="newPath" value="file.vm" size="20" class="withTip" type="text" />\n      <button class="btn btn-primary" id="newPathAdd">$services.localization.render("skin.sheet.add")</button>\n    </div>\n    {{/html}}\n    ## Display the XWiki.XWikiSkinFileOverrideClass objects\n    #foreach ($obj in $doc.getObjects('XWiki.XWikiSkinFileOverrideClass'))\n      #displayOverrideObject($obj)\n    #end\n  )))\n  \n  #if ($deprecatedProperties.size() > 0)\n    (% class="deprecatedProperties" %)\n    (((\n      == {{translation key="skin.sheet.deprecatedProperties" /}} ==\n      \n      {{warning}}\n        {{translation key="skin.sheet.deprecatedPropertiesWarning" /}}\n      {{/warning}}\n      \n      #foreach ($prop in $deprecatedProperties)\n        #if ($prop.classType == 'TextArea')\n        ; $services.icon.render('file-white') $prop.prettyName\n        : $doc.display($prop.name)\n        \n        #end\n      #end\n    )))\n  #end\n#end\n###########################\n##  DISPLAY OVERRIDE OBJ\n###########################\n#macro(displayOverrideObject $obj)\n  (% class="overrideObject" %)\n  (((\n    (% class="overrideTitle" %)\n    === $services.icon.render('file-white') $obj.display('path', 'view') ===\n    (% class="overrideObjectDelete" %)\n    (((\n      {{html}}<button class="btn btn-default btn-xs">$services.icon.renderHTML('cross')</button>{{/html}}\n    )))\n    (% class="overrideProperties hidden" %)\n    (((\n      #set ($className = 'XWiki.XWikiSkinFileOverrideClass')\n      #set ($class = $doc.getObject($className).xWikiClass)\n      #foreach ($prop in $class.properties)\n        ; $prop.prettyName\n        : $obj.display($prop.name, 'edit')\n    \n      #end\n    )))\n    ----\n  )))\n#end\n###########################\n##     CHECK RIGHTS\n###########################\n#macro(checkRights $response)\n  #if(!$services.csrf.isTokenValid($request.form_token))\n    #set($discard = $response.put('status', 'fail'))\n    #set($discard = $response.put('cause', 'form_token'))\n  #elseif(!$xwiki.hasAccessLevel('edit', $xcontext.user, $doc.fullname))\n    #set($discard = $response.put('status', 'fail'))\n    #set($discard = $response.put('cause', 'rights'))\n  #end\n#end\n###########################\n##       NEW OBJ\n###########################\n#macro(newObj)\n  #set($response = {})\n  #checkRights($response)\n  #if("$!response.get('status')" != 'fail')\n    #set($obj = $doc.newObject('XWiki.XWikiSkinFileOverrideClass'))\n    #set($discard = $obj.set('path', $request.path))\n    #set($discard = $doc.save('Add a new XWiki.XWikiSkinFileOverrideClass object'))\n    #set($discard = $response.put('objNumber', $obj.number))\n    #set($discard = $response.put('status', 'success'))\n  #end\n  $jsontool.serialize($response)\n#end\n###########################\n##      DELETE OBJ\n###########################\n#macro(deleteObj)\n  #set($response = {})\n  #checkRights($response)\n  #if("$!response.get('status')" != 'fail')\n    #set($objNumber = $numbertool.toNumber($request.objNumber).intValue())\n    #set($obj = $doc.getObject('XWiki.XWikiSkinFileOverrideClass', $objNumber))\n    #set($discard = $doc.removeObject($obj))\n    #set($saveMessage = "Remove the object XWiki.XWikiSkinFileOverrideClass[" + $obj.getValue('path') + "]")\n    #set($discard = $doc.save($saveMessage))\n    #set($discard = $response.put('status', 'success'))\n  #end\n  $jsontool.serialize($response)\n#end\n{{/velocity}}\n	1.1		XWiki.XWikiSkins		2			Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	f	xwiki/2.1	t
3617540779457742623	SkinsCode.WebHome	WebHome	WebHome			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2015-03-10 11:09:04	XWiki.Admin	XWiki.Admin	XWiki.Admin	SkinsCode	{{spaceindex sort="docName"/}}	1.1		Main.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	f	xwiki/2.1	t
8036617629373761036	XWiki.DocumentTreeMacros	DocumentTreeMacros	Document Tree Macros			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-10-24 12:14:21	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{include reference="XWiki.SuggestSolrMacros" /}}\n\n{{velocity output="false"}}\n## Configuration options.\n#set ($docTreeConfig = {\n  'showWikis': false,\n  'showWikiPrettyName': true,\n  'showSpaces': false,\n  'showDocumentTitle': true,\n  'showAddDocument': false,\n  'showTranslations': true,\n  'showAttachments': true,\n  'showAddAttachment': false,\n  'showObjects': false,\n  'showClassProperties': false,\n  'showChildDocuments': true,\n  'showOnlyViewable': true,\n  'filterByClass': '',\n  'root': ''\n})\n\n#macro (updateDocTreeConfigFromRequest)\n  #foreach ($entry in $docTreeConfig.entrySet())\n    #set ($valueFromRequest = $request.getParameter($entry.key))\n    #if ("$!valueFromRequest" != '')\n      #if ($entry.value.getClass().getName() == 'java.lang.Boolean')\n        #set ($entry.value = $valueFromRequest == 'true')\n      #else\n        #set ($entry.value = $valueFromRequest)\n      #end\n    #end\n  #end\n#end\n\n#macro (handleDocumentTreeRequest)\n  #if ($request.action)\n    #if ($services.csrf.isTokenValid($request.form_token))\n      $response.sendError(400, 'The specified action is not supported.')\n    #elseif ($isAjaxRequest)\n      $response.sendError(403, 'The CSRF token is missing.')\n    #else\n      $response.sendRedirect($services.csrf.getResubmissionURL())\n    #end\n  #else\n    #set ($data = $NULL)\n    #if ($request.data == 'children')\n      #getChildren($request.id $data)\n    #elseif ($request.data == 'path')\n      #getPath($request.id $data)\n    #elseif ($request.data == 'contextMenu')\n      #getContextMenu($data)\n    #elseif ($request.data == 'suggestions')\n      #getSuggestions($data)\n    #end\n    #if ($data)\n      #set ($discard = $response.setContentType('application/json'))\n      $jsontool.serialize($data)\n    #else\n      $response.sendError(404);\n    #end\n  #end\n#end\n\n#macro (getChildren $nodeId $return)\n  #set ($children = [])\n  #if ($nodeId == '#')\n    ## Select the root node.\n    #if ($docTreeConfig.showWikis && $xcontext.isMainWiki())\n      #set ($nodeType = 'farm')\n    #else\n      #set ($nodeType = 'wiki')\n      #set ($nodeId = $xcontext.database)\n    #end\n  #else\n    #set ($parts = $nodeId.split(':', 2))\n    #set ($nodeType = $parts[0])\n    #set ($nodeId = $parts[1])\n  #end\n  #set ($offset = $mathtool.max($mathtool.toInteger($request.offset), 0))\n  #if ("$!offset" == '')\n    #set ($offset = 0)\n  #end\n  #evaluate("${escapetool.h}add$stringtool.capitalize($nodeType)Children(${escapetool.d}nodeId\n    $offset 15 ${escapetool.d}children)")\n  #set ($return = $NULL)\n  #setVariable("$return" $children)\n#end\n\n#macro (addFarmChildren $nodeId $offset $limit $children)\n  #foreach ($wiki in $services.wiki.all)\n    #maybeAddWikiNode($wiki $children)\n  #end\n#end\n\n#macro (maybeAddWikiNode $wiki $siblings $placeholder)\n  #if ($wiki && (!$docTreeConfig.showOnlyViewable || $services.security.authorization.hasAccess('view', $wiki.reference)))\n    #addWikiNode($wiki $siblings)\n  #elseif ($placeholder)\n    #set ($discard = $siblings.add($placeholder))\n  #end\n#end\n\n#macro (addWikiNode $wiki $siblings)\n  ## The main wiki cannot be deleted. For the rest we need special rights.\n  #set ($canDeleteWiki = $wiki.id != $services.wiki.mainWikiId\n    && $services.wiki.canDeleteWiki($xcontext.user, $wiki.id))\n  #if ($docTreeConfig.showWikiPrettyName)\n    #set ($label = $wiki.prettyName)\n  #else\n    #set ($label = $wiki.id)\n  #end\n  #set ($discard = $siblings.add({\n    'id': "wiki:$wiki.id",\n    'text': $label,\n    'icon': 'fa fa-hdd-o',\n    'children': true,\n    'data': {\n      'id': $wiki.id,\n      'type': 'wiki',\n      'validChildren': ['space', 'document', 'pagination'],\n      'canDelete': $canDeleteWiki\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($wiki.mainPageReference)\n    }\n  }))\n#end\n\n#macro (addWikiChildren $wikiId $offset $limit $children)\n  #set ($wikiReference = $services.model.createWikiReference($wikiId))\n  #if ($docTreeConfig.showSpaces)\n    #addWikiSpaceChildren($wikiReference $offset $limit $children)\n  #else\n    #addWikiDocumentChildren($wikiReference $offset $limit $children)\n  #end\n#end\n\n#macro (addWikiSpaceChildren $wikiReference $offset $limit $children)\n  #if ($wikiReference.name == $xcontext.database)\n    ## Current wiki.\n    #set ($spaces = $xwiki.spaces)\n    #set ($totalCount = $spaces.size())\n    ## Limit the list of spaces.\n    #set ($spaces = $spaces.subList($offset, $mathtool.min($mathtool.add($offset, $limit), $totalCount)))\n  #else\n    ## A different wiki. Requires programming rights.\n    #set ($statement = 'select distinct doc.space from XWikiDocument doc order by doc.space asc')\n    #set ($query = $services.query.hql($statement).setWiki($wikiReference.name).addFilter('hidden'))\n    #set ($spaces = $query.setOffset($offset).setLimit($limit).execute())\n    #if ($spaces.size() >= $limit)\n      #set ($countQuery = $services.query.hql('select count(distinct doc.space) from XWikiDocument doc'))\n      #set ($totalCount = $countQuery.setWiki($wikiId).addFilter('hidden').execute()[0])\n    #end\n  #end\n  #foreach ($space in $spaces)\n    #set ($spaceReference = $services.model.createSpaceReference($space, $wikiReference))\n    #maybeAddSpaceNode($spaceReference $children)\n  #end\n  #if ($spaces.size() >= $limit)\n    #set ($newOffset = $mathtool.add($offset, $spaces.size()))\n    #if ($newOffset < $totalCount)\n      #addPaginationNode("wiki:$wikiReference.name" $newOffset $totalCount $children)\n    #end\n  #end\n#end\n\n#macro (getDocumentsQuery $constraints $parameters $return)\n  #set ($fromClause = '')\n  #set ($finalConstraints = [])\n  #set ($finalParameters = {})\n  #if ("$!docTreeConfig.filterByClass" != '')\n    #set ($fromClause = ', BaseObject as obj')\n    #set ($discard = $finalConstraints.addAll([\n      'obj.name = doc.fullName',\n      'obj.className = :class',\n      'doc.fullName <> :template'\n    ]))\n    #set ($discard = $finalParameters.putAll({\n      'class': $docTreeConfig.filterByClass,\n      'template': "$stringtool.removeEnd($docTreeConfig.filterByClass, 'Class')Template"\n    }))\n  #end\n  #set ($discard = $finalConstraints.addAll($constraints))\n  #set ($discard = $finalParameters.putAll($parameters))\n  #set ($docsQuery = $services.query.hql("$fromClause where $stringtool.join($finalConstraints, ' and ') order by doc.name"))\n  #foreach ($entry in $finalParameters.entrySet())\n    #set ($docsQuery = $docsQuery.bindValue($entry.key, $entry.value))\n  #end\n  #set ($discard = $docsQuery.addFilter('hidden'))\n  #set ($return = $NULL)\n  #setVariable("$return" $docsQuery)\n#end\n\n#macro (addWikiDocumentChildren $wikiReference $offset $limit $children)\n  ## On Oracle the empty parent is actually null.\n  #getDocumentsQuery(["(doc.parent = '' or doc.parent is null)", 'doc.translation = 0'] {} $query)\n  #addDocumentNodesFromQuery($query $offset $limit $wikiReference $children)\n#end\n\n#macro (maybeAddSpaceNode $spaceReference $siblings $placeholder)\n  #if (!$docTreeConfig.showOnlyViewable || $services.security.authorization.hasAccess('view', $spaceReference))\n    #addSpaceNode($spaceReference $siblings)\n  #elseif ($placeholder)\n    #set ($discard = $siblings.add($placeholder))\n  #end\n#end\n\n#macro (addSpaceNode $spaceReference $siblings)\n  #set ($spaceId = $services.model.serialize($spaceReference, 'default'))\n  #set ($spaceHomePageRef = $services.model.resolveDocument('', 'default', $spaceReference))\n  #set ($spacePrefsDocRef = $services.model.resolveDocument('WebPreferences', 'explicit', $spaceReference))\n  #set ($hasSpaceAdmin = $xwiki.hasAccessLevel('admin', $xcontext.user, $spacePrefsDocRef))\n  #set ($discard = $siblings.add({\n    'id': "space:$spaceId",\n    'text': $spaceReference.name,\n    'icon': 'fa fa-folder-o',\n    'iconOpened': 'fa fa-folder-open-o',\n    'children': true,\n    'data': {\n      'id': $spaceId,\n      'type': 'space',\n      'validChildren': ['addDocument', 'document', 'pagination'],\n      'hasContextMenu': true,\n      'canRename': $hasSpaceAdmin,\n      'canDelete': $hasSpaceAdmin,\n      'createDocumentURL': $xwiki.getURL($spaceHomePageRef, 'create', $NULL),\n      'deleteURL': $xwiki.getURL($spaceHomePageRef, 'deletespace', 'confirm=1')\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($spaceHomePageRef)\n    }\n  }))\n#end\n\n#macro (addSpaceChildren $spaceId $offset $limit $children)\n  #set ($spaceReference = $services.model.resolveSpace($spaceId))\n  #maybeAddAddDocumentNode($spaceReference $children)\n  ## Get the documents from the specified space.\n  #set ($constraints = [\n    'doc.space = :space',\n    'doc.translation = 0'\n  ])\n  #set ($parameters = {'space': $spaceReference.name})\n  #if ($docTreeConfig.showChildDocuments)\n    ## Include only documents that either don't have a parent or that have a parent in a different space.\n    ## On Oracle the empty parent is actually null.\n    #set ($discard = $constraints.add("(doc.parent = '' or doc.parent is null or (doc.parent like '%.%' and doc.parent not like :absoluteRef and doc.parent not like :localRef))"))\n    #set ($absoluteRef = $services.model.resolveDocument('%', 'explicit', $spaceReference))\n    #set ($parameters.absoluteRef = "$absoluteRef")\n    #set ($parameters.localRef = $services.model.serialize($absoluteRef, 'compactwiki', $absoluteRef.wikiReference))\n  #end\n  #getDocumentsQuery($constraints $parameters $query)\n  #addDocumentNodesFromQuery($query $offset $limit $spaceReference $children)\n#end\n\n#macro (maybeAddAddDocumentNode $reference $siblings)\n  #if ($docTreeConfig.showAddDocument && $services.security.authorization.hasAccess('edit', $reference))\n    #addAddDocumentNode($reference $siblings)\n  #end\n#end\n\n#macro (addAddDocumentNode $reference $siblings)\n  #set ($parentReference = $services.model.resolveDocument('', 'default', $reference))\n  #set ($discard = $siblings.add({\n    'id': "addDocument:$reference.type.toString().toLowerCase():$services.model.serialize($reference, 'default')",\n    'text': 'New document...',\n    'icon': 'fa fa-plus-circle',\n    'children': false,\n    'data': {\n      'type': 'addDocument',\n      'validChildren': []\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($parentReference, 'create')\n    }\n  }))\n#end\n\n#macro (addDocumentNodesFromQuery $_query $offset $limit $parentReference $children)\n  #set ($wikiReference = $parentReference.extractReference('WIKI'))\n  #set ($_query = $_query.setWiki($wikiReference.name))\n  #set ($results = $_query.setOffset($offset).setLimit($limit).execute())\n  #foreach ($docFullName in $results)\n    #set ($documentReference = $services.model.resolveDocument($docFullName, 'explicit', $parentReference))\n    #maybeAddDocumentNode($documentReference $children)\n  #end\n  #if ($results.size() >= $limit)\n    ## There may be more documents in this space.\n    #set ($totalCount = $_query.count())\n    #set ($newOffset = $mathtool.add($offset, $results.size()))\n    #if ($newOffset < $totalCount)\n      #set ($parentRefAsString = $services.model.serialize($parentReference, 'default'))\n      #set ($parentId = "$parentReference.type.toLowerCase():$parentRefAsString")\n      #addPaginationNode($parentId $newOffset $totalCount $children)\n    #end\n  #end\n#end\n\n#macro (maybeAddDocumentNode $documentReference $siblings $placeholder)\n  #if ($xwiki.exists($documentReference) && (!$docTreeConfig.showOnlyViewable\n      || $services.security.authorization.hasAccess('view', $documentReference)))\n    #addDocumentNode($documentReference $siblings)\n  #elseif ($placeholder)\n    #set ($discard = $siblings.add($placeholder))\n  #end\n#end\n\n#macro (addDocumentNode $documentReference $siblings)\n  #set ($docNode = $xwiki.getDocument($documentReference))\n  #set ($canViewDoc = "$!docNode" != '')\n  #set ($canEditDoc = $docNode.hasAccessLevel('edit'))\n  #set ($canDeleteDoc = $docNode.hasAccessLevel('delete'))\n  #set ($hasChildren = false)\n  #if ($canViewDoc)\n    #set ($hasChildren = $hasChildren || ($docTreeConfig.showTranslations && $docNode.translationList.size() > 0))\n    #set ($hasChildren = $hasChildren || ($docTreeConfig.showAttachments\n      && (($docTreeConfig.showAddAttachment && $canEditDoc) || $docNode.attachmentList.size() > 0)))\n    #set ($xclass = $docNode.getxWikiClass())\n    #set ($hasChildren = $hasChildren || ($docTreeConfig.showClassProperties && $xclass && $xclass.propertyNames.size() > 0))\n    #set ($hasChildren = $hasChildren || ($docTreeConfig.showObjects && $docNode.getxWikiObjects().size() > 0))\n  #end\n  #if (!$hasChildren && $docTreeConfig.showChildDocuments)\n    #getChildDocumentsCount($documentReference $count)\n    #set ($hasChildren = $count > 0)\n  #end\n  #set ($label = $documentReference.name)\n  #if ($docTreeConfig.showDocumentTitle)\n    #set ($plainTitle = $docNode.plainTitle)\n    #if (!$stringtool.isBlank($plainTitle))\n      #set ($label = $plainTitle)\n    #end\n  #end\n  #set ($discard = $siblings.add({\n    'id': "document:$documentReference",\n    'text': $label,\n    'icon': 'fa fa-file-o',\n    'children': $hasChildren,\n    'data': {\n      'id': "$documentReference",\n      'type': 'document',\n      'validChildren': ['translations', 'attachments', 'attachment', 'classProperties', 'objects', 'document', 'pagination'],\n      'hasContextMenu': true,\n      'draggable': $canViewDoc,\n      'canDelete': $canDeleteDoc,\n      'canMove': $canDeleteDoc,\n      'canCopy': $canViewDoc,\n      'createDocumentURL': $xwiki.getURL($documentReference, 'create', $NULL),\n      'deleteURL': $xwiki.getURL($documentReference, 'delete', 'confirm=1')\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($documentReference)\n    }\n  }))\n#end\n\n#macro (getChildDocumentsQuery $parentReference $return)\n  #set ($constraints = [\n    'doc.translation = 0',\n    '(doc.parent in (:absoluteRef, :localRef) or (doc.space = :space and doc.parent = :relativeRef))'\n  ])\n  #set ($parameters = {\n    'space': $parentReference.lastSpaceReference.name,\n    'absoluteRef': "$parentReference",\n    'localRef': $services.model.serialize($parentReference, 'compactwiki', $parentReference.wikiReference),\n    'relativeRef': $services.model.serialize($parentReference, 'compact', $parentReference.parent)\n  })\n  #if ($docTreeConfig.showSpaces)\n    #set ($discard = $constraints.add(0, 'doc.space = :space'))\n    #set ($discard = $constraints.set(2, 'doc.parent in (:absoluteRef, :localRef, :relativeRef)'))\n  #end\n  #getDocumentsQuery($constraints $parameters $query)\n  #set ($return = $NULL)\n  #setVariable("$return" $query)\n#end\n\n#macro (getChildDocumentsCount $parentReference $return)\n  #getChildDocumentsQuery($parentReference $countQuery)\n  #set ($count = $countQuery.setWiki($parentReference.wikiReference.name).count())\n  #set ($return = $NULL)\n  #setVariable("$return" $count)\n#end\n\n#macro (addPaginationNode $parentId $offset $totalCount $siblings)\n  #set ($discard = $siblings.add({\n    'id': "pagination:$parentId",\n    'text': "$!mathtool.sub($totalCount, $offset) more ...",\n    'icon': 'fa fa-eye',\n    'children': false,\n    'data': {\n      'type': 'pagination',\n      'validChildren': [],\n      'canDelete': true,\n      'offset': $offset\n    }\n  }))\n#end\n\n#macro (addDocumentChildren $docId $offset $limit $children)\n  #set ($documentReference = $services.model.resolveDocument($docId))\n  #set ($docNode = $xwiki.getDocument($documentReference))\n  #set ($canEditDoc = $docNode.hasAccessLevel('edit'))\n  #set ($canDeleteDoc = $docNode.hasAccessLevel('delete'))\n  #if ($offset == 0 && $docTreeConfig.showTranslations && $docNode.translationList.size() > 0)\n    #set ($discard = $children.add({\n      'id': "translations:${documentReference}",\n      'text': 'Translations',\n      'icon': 'fa fa-language',\n      'children': true,\n      'data': {\n        'type': 'translations',\n        'validChildren': ['translation'],\n        'canDelete': $canDeleteDoc\n      }\n    }))\n  #end\n  #if ($offset == 0 && $docTreeConfig.showAttachments &&\n      (($docTreeConfig.showAddAttachment && $canEditDoc) || $docNode.attachmentList.size() > 0))\n    #addAttachmentsNode($documentReference $children)\n  #end\n  #set ($xclass = $docNode.getxWikiClass())\n  #if ($offset == 0 && $docTreeConfig.showClassProperties && $xclass && $xclass.propertyNames.size() > 0)\n    #set ($discard = $children.add({\n      'id': "classProperties:${documentReference}",\n      'text': 'Class Properties',\n      'icon': 'fa fa-gears',\n      'children': true,\n      'data': {\n        'type': 'classProperties',\n        'validChildren': ['classProperty'],\n        'canDelete': $canEditDoc\n      }\n    }))\n  #end\n  #if ($offset == 0 && $docTreeConfig.showObjects && $docNode.getxWikiObjects().size() > 0)\n    #set ($discard = $children.add({\n      'id': "objects:${documentReference}",\n      'text': 'Objects',\n      'icon': 'fa fa-cubes',\n      'children': true,\n      'data': {\n        'type': 'objects',\n        'validChildren': ['objectsOfType'],\n        'canDelete': $canEditDoc\n      }\n    }))\n  #end\n  #if ($docTreeConfig.showChildDocuments)\n    #getChildDocumentsQuery($documentReference $query)\n    #addDocumentNodesFromQuery($query $offset $limit $documentReference $children)\n  #end\n#end\n\n#macro (addAttachmentsNode $documentReference $siblings)\n  #set ($docNode = $xwiki.getDocument($documentReference))\n  #set ($canEditDoc = $docNode.hasAccessLevel('edit'))\n  #set ($discard = $siblings.add({\n    'id': "attachments:${documentReference}",\n    'text': 'Attachments',\n    'icon': 'fa fa-paperclip',\n    'children': true,\n    'data': {\n      'type': 'attachments',\n      'validChildren': ['addAttachment', 'attachment', 'pagination'],\n      'hasContextMenu': true,\n      'canDelete': $canEditDoc\n    },\n    'a_attr': {\n      'href': $docNode.getURL('view', 'viewer=attachments')\n    }\n  }))\n#end\n\n#macro (addTranslationsChildren $docId $offset $limit $children)\n  #set ($docRef = $services.model.resolveDocument($docId))\n  #set ($docNode = $xwiki.getDocument($docRef))\n  #foreach ($language in $docNode.translationList)\n    #set ($locale = $services.localization.toLocale($language))\n    #set ($translationReference = $services.model.createDocumentReference($docNode.documentReference, $locale))\n    #addTranslationNode($translationReference $children)\n  #end\n#end\n\n#macro (addTranslationNode $translationReference $siblings)\n  #set ($currentLocale = $services.localization.currentLocale)\n  #set ($translationNode = $xwiki.getDocument($translationReference))\n  #set ($discard = $siblings.add({\n    'id': "translation:$services.model.serialize($translationReference, 'default')_$translationReference.locale",\n    'text': $translationReference.locale.getDisplayName($currentLocale),\n    'icon': 'fa fa-file-text-o',\n    'children': false,\n    'data': {\n      'type': 'translation',\n      'validChildren': [],\n      'canDelete': $translationNode.hasAccessLevel('delete')\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($translationReference, 'view', $escapetool.url({\n        'language': $translationReference.locale\n      }))\n    }\n  }))\n#end\n\n#macro (addAttachmentsChildren $docId $offset $limit $children)\n  #set ($docRef = $services.model.resolveDocument($docId))\n  #set ($docNode = $xwiki.getDocument($docRef))\n  #set ($canEditDoc = $docNode.hasAccessLevel('edit'))\n  #if ($offset == 0 && $docTreeConfig.showAddAttachment && $canEditDoc)\n    #addAddAttachmentNode($docRef $children)\n  #end\n  #set ($attachments = $docNode.attachmentList)\n  #set ($totalCount = $attachments.size())\n  ## Limit the number of attachments.\n  #set ($attachments = $attachments.subList($offset, $mathtool.min($mathtool.add($offset, $limit), $totalCount)))\n  #foreach ($attachment in $attachments)\n    #addAttachmentNode($attachment $children)\n  #end\n  #if ($attachments.size() >= $limit)\n    #set ($newOffset = $mathtool.add($offset, $attachments.size()))\n    #if ($newOffset < $totalCount)\n      #addPaginationNode("attachments:$docId" $newOffset $totalCount $children)\n    #end\n  #end\n#end\n\n#macro (addAddAttachmentNode $docNode $siblings)\n  #set ($discard = $siblings.add({\n    'id': "addAttachment:$docRef",\n    'text': 'Upload file...',\n    'icon': 'fa fa-plus-circle',\n    'children': false,\n    'data': {\n      'type': 'addAttachment',\n      'validChildren': []\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($docRef, 'view', 'viewer=attachments')\n    }\n  }))\n#end\n\n#macro (addAttachmentNode $attachment $siblings)\n  #set ($attachmentReference = $services.model.createAttachmentReference($attachment.document.documentReference,\n    $attachment.filename))\n  #set ($attachmentId = $services.model.serialize($attachmentReference, 'default'))\n  #getAttachmentIcon($attachment $icon)\n  #set ($discard = $siblings.add({\n    'id': "attachment:$attachmentId",\n    'text': $attachment.filename,\n    'icon': $icon,\n    'children': false,\n    'data': {\n      'id': $attachmentId,\n      'type': 'attachment',\n      'validChildren': [],\n      'hasContextMenu': true,\n      'draggable': true,\n      'canRename': $canEditDoc,\n      'canDelete': $canEditDoc,\n      'canMove': $canEditDoc,\n      'canCopy': true,\n      'deleteURL': $docNode.getAttachmentURL($attachment.filename, 'delattachment')\n    },\n    'a_attr': {\n      'href': $docNode.getAttachmentURL($attachment.filename)\n    }\n  }))\n#end\n\n#set ($fileIconByMediaType = {\n  'text': ['text/', 'application/xml', 'application/javascript', 'application/ecmascript', 'application/json', 'application/x-sh', '+xml'],\n  'image': ['image/'],\n  'audio': ['audio/'],\n  'video': ['video/'],\n  'pdf': ['application/pdf', 'application/postscript'],\n  'word': ['application/msword', 'application/vnd.ms-word.', 'application/vnd.oasis.opendocument.text', 'application/vnd.openxmlformats-officedocument.word'],\n  'powerpoint': ['application/vnd.ms-powerpoint', 'application/vnd.oasis.opendocument.presentation', 'application/vnd.openxmlformats-officedocument.presentation'],\n  'excel': ['application/vnd.ms-excel', 'application/vnd.oasis.opendocument.spreadsheet', 'application/vnd.openxmlformats-officedocument.spreadsheet'],\n  'archive': ['application/zip', 'application/x-gzip', 'application/x-bzip', 'application/x-tar', 'application/x-gtar', 'application/vnd.xara', '-archive', '-compressed', '-package', '+zip']\n})\n\n#macro (getAttachmentIcon $attachment $return)\n  #set ($mediaType = $attachment.mimeType)\n  #set ($icon = $NULL)\n  #foreach ($entry in $fileIconByMediaType.entrySet())\n    #foreach ($pattern in $entry.value)\n      #if ($mediaType.startsWith($pattern) || $mediaType.endsWith($pattern))\n        #set ($icon = $entry.key)\n        #break\n      #end\n    #end\n    #if ($icon)\n      #break\n    #end\n  #end\n  #set ($suffix = $stringtool.substringAfterLast($attachment.filename, '.'))\n  #set ($codeSuffixes = ['html', 'css', 'js', 'java', 'c', 'cpp', 'c++', 'cs', 'h', 'sql', 'php', 'ruby'])\n  #if (!$icon)\n    #set ($icon = 'fa fa-paperclip')\n  #elseif ($icon == 'text' && $codeSuffixes.contains($suffix))\n    #set ($icon = 'fa fa-file-code-o')\n  #else\n    #set ($icon = "fa fa-file-${icon}-o")\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $icon)\n#end\n\n#macro (addClassPropertiesChildren $classId $offset $limit $children)\n  #set ($classRef = $services.model.resolveDocument($classId))\n  #set ($classNode = $xwiki.getDocument($classRef))\n  #foreach ($property in $classNode.getxWikiClass().properties)\n    #addClassPropertyNode($property $classRef $children)\n  #end\n#end\n\n#set ($iconByPropertyType = {\n  'Boolean': 'check-square-o',\n  'Date': 'calendar-o',\n  'DBList': 'database',\n  'Groups': 'group',\n  'Password': 'asterisk',\n  'Levels': 'lock',\n  'StaticList': 'list',\n  'TextArea': 'paragraph',\n  'DBTreeList': 'sitemap',\n  'Users': 'user'\n})\n\n#macro (addClassPropertyNode $property $classRef $siblings)\n  #set ($classPropertyReference = $services.model.createEntityReference($property.name, 'CLASS_PROPERTY', $classRef))\n  #set ($classPropertyId = $services.model.serialize($classPropertyReference, 'default'))\n  #set ($icon = $iconByPropertyType.get($property.classType))\n  #if (!$icon)\n    #set ($icon = 'gear')\n  #end\n  #set ($discard = $siblings.add({\n    'id': "classProperty:$classPropertyId",\n    'text': $property.name,\n    'icon': "fa fa-$icon",\n    'children': false,\n    'data': {\n      'id': $classPropertyId,\n      'type': 'classProperty',\n      'validChildren': []\n    }\n  }))\n#end\n\n#macro (addObjectsChildren $docId $offset $limit $children)\n  #set ($docRef = $services.model.resolveDocument($docId))\n  #set ($docNode = $xwiki.getDocument($docRef))\n  #foreach ($classId in $docNode.getxWikiObjects().keySet())\n    #set ($discard = $children.add({\n      'id': "objectsOfType:$docRef/$classId",\n      'text': $classId,\n      'icon': 'fa fa-cubes',\n      'children': true,\n      'data': {\n        'type': 'objectsOfType',\n        'validChildren': ['object', 'pagination'],\n        'canDelete': $docNode.hasAccessLevel('edit')\n      }\n    }))\n  #end\n#end\n\n#macro (addObjectsOfTypeChildren $nodeId $offset $limit $children)\n  #set ($separatorIndex = $nodeId.lastIndexOf('/'))\n  #set ($docId = $nodeId.substring(0, $separatorIndex))\n  #set ($classId = $nodeId.substring($mathtool.add($separatorIndex, 1)))\n  #set ($docRef = $services.model.resolveDocument($docId))\n  #set ($docNode = $xwiki.getDocument($docRef))\n  #set ($canEditDoc = $docNode.hasAccessLevel('edit'))\n  #set ($objects = $docNode.getObjects($classId))\n  #set ($totalCount = $objects.size())\n  ## Limit the number of objects.\n  #set ($objects = $objects.subList($offset, $mathtool.min($mathtool.add($offset, $limit), $totalCount)))\n  #foreach ($object in $objects)\n    #set ($objectReference = $services.model.createEntityReference("${classId}[$object.number]", 'OBJECT', $docRef))\n    #addObjectNode($object $objectReference $children)\n  #end\n  #if ($objects.size() >= $limit)\n    #set ($newOffset = $mathtool.add($offset, $objects.size()))\n    #if ($newOffset < $totalCount)\n      #addPaginationNode("objectsOfType:$nodeId" $newOffset $totalCount 'bricks' $children)\n    #end\n  #end\n#end\n\n#macro (addObjectNode $object $objectReference $siblings)\n  #set ($objectId = $services.model.serialize($objectReference, 'default'))\n  #set ($discard = $children.add({\n    'id': "object:$objectId",\n    'text': "[$object.number]",\n    'icon': 'fa fa-cube',\n    'children': true,\n    'data': {\n      'id': $objectId,\n      'type': 'object',\n      'validChildren': ['objectProperty'],\n      'canDelete': $canEditDoc\n    }\n  }))\n#end\n\n#macro (addObjectChildren $objId $offset $limit $children)\n  #set ($objRef = $services.model.resolveObject($objId))\n  #set ($docNode = $xwiki.getDocument($objRef.extractReference('DOCUMENT')))\n  ## Object name is: Space.Class[index]\n  #set ($separatorIndex = $objRef.name.lastIndexOf('['))\n  #set ($classId = $objRef.name.substring(0, $separatorIndex))\n  #set ($objectNumber = $mathtool.toInteger($objRef.name.substring($mathtool.add($separatorIndex, 1),\n    $mathtool.sub($objRef.name.length(), 1))))\n  #set ($objNode = $docNode.getObject($classId, $objectNumber))\n  #foreach ($property in $objNode.properties)\n    #addObjectPropertyNode($property $objRef $children)\n  #end\n#end\n\n#macro (addObjectPropertyNode $property $objRef $siblings)\n  #set ($classId = $stringtool.substringBeforeLast($objRef.name, '['))\n  #set ($classRef = $services.model.resolveDocument($classId, 'explicit', $objRef))\n  #set ($xclass = $xwiki.getDocument($classRef).getxWikiClass())\n  #set ($icon = $iconByPropertyType.get($xclass.get($property.name).classType))\n  #if (!$icon)\n    #set ($icon = 'gear')\n  #end\n  #set ($objectPropertyReference = $services.model.createEntityReference($property.name, 'OBJECT_PROPERTY', $objRef))\n  #set ($objectPropertyId = $services.model.serialize($objectPropertyReference, 'default'))\n  #set ($discard = $siblings.add({\n    'id': "objectProperty:$objectPropertyId",\n    'text': $property.name,\n    'icon': "fa fa-$icon",\n    'children': false,\n    'data': {\n      'id': $objectPropertyId,\n      'type': 'objectProperty',\n      'validChildren': []\n    }\n  }))\n#end\n\n#macro (getPath $nodeId $return)\n  #set ($parts = $nodeId.split(':', 2))\n  #if ($parts.size() == 1)\n    #set ($path = [$nodeId])\n  #else\n    #set ($nodeType = $parts[0])\n    #set ($nodeId = $parts[1])\n    #set ($path = [])\n    #evaluate("${escapetool.h}get$stringtool.capitalize($nodeType)Path(${escapetool.d}nodeId ${escapetool.d}path)")\n    #if ("$!docTreeConfig.root" != '')\n      ## The path needs to be relative to the specified root because only a sub-tree is displayed.\n      #getRelativePath($path $docTreeConfig.root)\n    #end\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $path)\n#end\n\n#macro (getRelativePath $path $rootId)\n  #set ($index = -1)\n  #foreach ($node in $path)\n    #if ($node.id == $rootId)\n      #set ($index = $foreach.index)\n      #break\n    #end\n  #end\n  #if ($index >= 0)\n    ## Return the path suffix that starts from the specified root.\n    #set ($path = $path.subList($mathtool.add($index, 1), $path.size()))\n  #else\n    ## The target node is not in the specified sub-tree. We return an empty path in this case, which prevents the node\n    ## from being opened or added to the tree (in case the root node has pagination).\n    #set ($path = [])\n  #end\n#end\n\n#macro (getWikiPath $wikiRefOrId $path)\n  #set ($wikiId = $wikiRefOrId.extractReference('WIKI').name)\n  #if (!$wikiId)\n    #set ($wikiId = $wikiRefOrId)\n  #end\n  #set ($wiki = $services.wiki.getById($wikiId))\n  #maybeAddWikiNode($wiki $path {})\n#end\n\n#macro (getSpacePath $spaceRefOrId $path)\n  #set ($spaceRef = $spaceRefOrId.extractReference('SPACE'))\n  #if (!$spaceRef)\n    #set ($spaceRef = $services.model.resolveSpace($spaceRefOrId))\n  #end\n  #if ($docTreeConfig.showWikis && $xcontext.isMainWiki())\n    #getWikiPath($spaceRef $path)\n  #end\n  #maybeAddSpaceNode($spaceRef $path {})\n#end\n\n#macro (getDocumentPath $docRefOrId $path)\n  #set ($docRef = $docRefOrId.extractReference('DOCUMENT'))\n  #if (!$docRef)\n    #set ($docRef = $services.model.resolveDocument($docRefOrId))\n  #end\n  ## We use a linked list because #getDocumentPathRecursively() inserts the parents at the start of the list.\n  #set ($docPath = $collectionstool.linkedList)\n  #set ($discard = $docPath.add($docRef))\n  #if ($docTreeConfig.showChildDocuments)\n    ## Collect the references of all the ancestor documents.\n    #getDocumentPathRecursively($docPath)\n  #end\n  #set ($rootDocRef = $docPath.get(0))\n  #if ($docTreeConfig.showSpaces)\n    #getSpacePath($rootDocRef $path)\n  #elseif ($docTreeConfig.showWikis && $xcontext.isMainWiki())\n    #getWikiPath($rootDocRef $path)\n  #end\n  #foreach ($docRef in $docPath)\n    #maybeAddDocumentNode($docRef $path {})\n  #end\n#end\n\n#macro (getDocumentPathRecursively $path)\n  #set ($docRef = $path.get(0))\n  #set ($docNode = $xwiki.getDocument($docRef))\n  #if ($docNode && $docNode.parent != '')\n    #set ($parentRef = $services.model.resolveDocument($docNode.parent, 'explicit', $docRef))\n    ## If the wiki/space nodes are displayed then the documents are grouped by wiki/space and thus the parent document\n    ## must remain in the same wiki/space.\n    #if ((!$docTreeConfig.showSpaces || $docRef.lastSpaceReference.equals($parentRef.lastSpaceReference))\n        && (!$docTreeConfig.showWikis || $docRef.wikiReference.equals($parentRef.wikiReference)))\n      #set ($discard = $path.add(0, $parentRef))\n      #getDocumentPathRecursively($path)\n    #end\n  #end\n#end\n\n#macro (getAttachmentsPath $docRefOrId $path)\n  #getDocumentPath($docRefOrId $path)\n  #set ($docRef = $docRefOrId.extractReference('DOCUMENT'))\n  #if (!$docRef)\n    #set ($docRef = $services.model.resolveDocument($docRefOrId))\n  #end\n  #addAttachmentsNode($docRef $path)\n#end\n\n#macro (getAttachmentPath $attachmentId $path)\n  #set ($attachmentReference = $services.model.resolveAttachment($attachmentId))\n  #set ($documentReference = $attachmentReference.documentReference)\n  #getAttachmentsPath($documentReference $path)\n  #set ($attachment = $xwiki.getDocument($attachmentReference.parent).getAttachment($attachmentReference.name))\n  #if ($attachment)\n    #addAttachmentNode($attachment $path)\n  #else\n    #set ($discard = $path.add({}))\n  #end\n#end\n\n#macro (getContextMenu $return)\n  #set ($contextMenuByNodeType = {})\n  #if ($docTreeConfig.showSpaces)\n    #addSpaceContextMenu($contextMenuByNodeType)\n  #end\n  #addDocumentContextMenu($contextMenuByNodeType)\n  #if ($docTreeConfig.showAttachments)\n    #addAttachmentsContextMenu($contextMenuByNodeType)\n    #addAttachmentContextMenu($contextMenuByNodeType)\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $contextMenuByNodeType)\n#end\n\n#macro (addSpaceContextMenu $contextMenuByNodeType)\n  #set ($contextMenuByNodeType.space = {\n    'createDocument': {\n      'label': 'New Page',\n      'icon': 'fa fa-file-o',\n      'action': 'openLink',\n      'parameters': {\n        'urlProperty': 'createDocumentURL'\n      }\n    },\n    'openLink': {\n      'separator_before': true,\n      'label': 'Go to Space',\n      'icon': 'fa fa-external-link'\n    },\n    'refresh': {\n      'label': 'Refresh',\n      'icon': 'fa fa-refresh'\n    },\n    'paste': {\n      'separator_before': true,\n      'label': 'Paste Into Space',\n      'icon': 'fa fa-clipboard'\n    },\n    'rename': {\n      'label': 'Rename...',\n      'icon': 'fa fa-pencil-square-o'\n    },\n    'remove': {\n      'label': 'Delete',\n      'icon': 'fa fa-trash-o',\n      'parameters': {\n        'confirmationMessage': 'Are you sure you want to move ALL the documents from this space to the recycle bin? If there are hidden documents in this space they will also be deleted.'\n      }\n    }\n  })\n#end\n\n#macro (addDocumentContextMenu $contextMenuByNodeType)\n  #set ($contextMenuByNodeType.document = {\n    'createDocument': {\n      'label': 'New Page',\n      'icon': 'fa fa-file-o',\n      'action': 'openLink',\n      'parameters': {\n        'urlProperty': 'createDocumentURL'\n      }\n    },\n    'openLink': {\n      'separator_before': true,\n      'label': 'Go to Page',\n      'icon': 'fa fa-external-link'\n    },\n    'refresh': {\n      'label': 'Refresh',\n      'icon': 'fa fa-refresh'\n    },\n    'cut': {\n      'separator_before': true,\n      'label': 'Cut',\n      'icon': 'fa fa-scissors'\n    },\n    'copy': {\n      'label': 'Copy',\n      'icon': 'fa fa-files-o'\n    },\n    'paste': {\n      'label': 'Paste',\n      'icon': 'fa fa-clipboard'\n    },\n    'remove': {\n      'separator_before': true,\n      'label': 'Delete',\n      'icon': 'fa fa-trash-o',\n      'parameters': {\n        'confirmationMessage': 'Are you sure you want to move this document to the recycle bin? All child documents will become orphan as a result.'\n      }\n    }\n  })\n#end\n\n#macro (addAttachmentsContextMenu $contextMenuByNodeType)\n  #set ($contextMenuByNodeType.attachments = {\n    'openLink': {\n      'label': 'Go to Attachments',\n      'icon': 'fa fa-external-link'\n    },\n    'refresh': {\n      'label': 'Refresh',\n      'icon': 'fa fa-refresh'\n    },\n    'paste': {\n      'separator_before': true,\n      'label': 'Paste',\n      'icon': 'fa fa-clipboard'\n    },\n    'remove': {\n      'label': 'Delete All',\n      'icon': 'fa fa-trash-o',\n      'parameters': {\n        'confirmationMessage': 'Are you sure you want to delete all the attachments of this page?'\n      }\n    }\n  })\n#end\n\n#macro (addAttachmentContextMenu $contextMenuByNodeType)\n  #set ($contextMenuByNodeType.attachment = {\n    'openLink': {\n      'label': 'Go to Attachment',\n      'icon': 'fa fa-external-link'\n    },\n    'cut': {\n      'separator_before': true,\n      'label': 'Cut',\n      'icon': 'fa fa-scissors'\n    },\n    'copy': {\n      'label': 'Copy',\n      'icon': 'fa fa-files-o'\n    },\n    'rename': {\n      'separator_before': true,\n      'label': 'Rename...',\n      'icon': 'fa fa-pencil-square-o'\n    },\n    'remove': {\n      'label': 'Delete',\n      'icon': 'fa fa-trash-o',\n      'parameters': {\n        'confirmationMessage': 'Are you sure you want to delete this attachment?'\n      }\n    }\n  })\n#end\n\n#macro (getSuggestions $return)\n  #set ($limit = 6)\n  #set ($text = "$!request.query")\n  #set ($lists = [])\n  #addDocumentSuggestions($text $limit $lists)\n  #if ($docTreeConfig.showAttachments)\n    #addAttachmentSuggestions($text $limit $lists)\n  #end\n  #if ($docTreeConfig.showSpaces)\n    #addSpaceSuggestions($text $limit $lists)\n  #end\n  #limitTotalCount($lists $limit)\n  #set ($output = [])\n  #foreach ($list in $lists)\n    #foreach ($node in $list)\n      ## Use the node path as suggestion info.\n      #getPath($node.id $path)\n      #displayPath($path)\n      #set ($node.data.info = $stringtool.join($path.subList(0, $mathtool.sub($path.size(), 1)), ' / '))\n      #set ($discard = $output.add($node))\n    #end\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $output)\n#end\n\n#macro (addSpaceSuggestions $text $limit $suggestions)\n  #searchSpaces($text $limit $spaceReferences)\n  #set ($spaceSuggestions = [])\n  #foreach ($spaceReference in $spaceReferences)\n    #maybeAddSpaceNode($spaceReference $spaceSuggestions)\n  #end\n  #set ($discard = $suggestions.add($spaceSuggestions))\n#end\n\n#macro (searchSpaces $text $limit $return)\n  #set ($statement = 'where upper(doc.space) like upper(?)')\n  #set ($displayHiddenDocuments = $xwiki.getUserPreference('displayHiddenDocuments'))\n  #if ("$!displayHiddenDocuments" != '1')\n    #set ($statement = "$statement and (doc.hidden <> true or doc.hidden is null)")\n  #end\n  #set ($spaceNames = $xwiki.searchSpacesNames($statement, $limit, 0, ["%$text%"]))\n  #set ($spaceReferences = [])\n  #set ($wikiReference = $services.model.createWikiReference($xcontext.database))\n  #foreach ($spaceName in $spaceNames)\n    #set ($discard = $spaceReferences.add($services.model.createSpaceReference($spaceName, $wikiReference)))\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $spaceReferences)\n#end\n\n#macro (addDocumentSuggestions $text $limit $suggestions)\n  #searchDocuments($text $limit $documentReferences)\n  #set ($docSuggestions = [])\n  #foreach ($documentReference in $documentReferences)\n    #maybeAddDocumentNode($documentReference $docSuggestions)\n  #end\n  #set ($discard = $suggestions.add($docSuggestions))\n#end\n\n#macro (searchDocuments $text $limit $return)\n  #if ($xwiki.exists('XWiki.SuggestSolrMacros'))\n    #searchDocumentsSolr($text $limit $return)\n  #else\n    #searchDocumentsDatabase($text $limit $return)\n  #end\n#end\n\n#macro (searchDocumentsSolr $text $limit $return)\n  #set ($params = $stringtool.join([\n    'fq=type:DOCUMENT',\n    'fq=doclocale:""',\n    'qf=title^6 name^4 doccontent^2 doccontentraw',\n    'fl=wiki space name'\n  ], $util.newline))\n  #createSearchSuggestQuery($params $text $query)\n  #set ($discard = $query.setLimit($limit))\n  #set ($documentReferences = [])\n  #foreach ($result in $query.execute()[0].results)\n    #set ($documentReference = $services.model.createDocumentReference($result.wiki, $result.space, $result.name))\n    #set ($discard = $documentReferences.add($documentReference))\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $documentReferences)\n#end\n\n#macro (searchDocumentsDatabase $text $limit $return)\n  #set ($statement = 'where doc.translation = 0 and (upper(doc.name) like upper(:text) or upper(doc.title) like upper(:text))')\n  #set ($query = $services.query.hql($statement).addFilter('hidden').setLimit($limit).bindValue('text', "%$text%"))\n  #set ($documentReferences = [])\n  #foreach ($docFullName in $query.execute())\n    #set ($discard = $documentReferences.add($services.model.resolveDocument($docFullName)))\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $documentReferences)\n#end\n\n#macro (addAttachmentSuggestions $text $limit $suggestions)\n  #searchAttachments($text $limit $attachmentReferences)\n  #set ($attachmentSuggestions = [])\n  #foreach ($attachmentReference in $attachmentReferences)\n    #set ($attachment = $xwiki.getDocument($attachmentReference.parent).getAttachment($attachmentReference.name))\n    #addAttachmentNode($attachment $attachmentSuggestions)\n  #end\n  #set ($discard = $suggestions.add($attachmentSuggestions))\n#end\n\n#macro (searchAttachments $text $limit $return)\n  #if ($xwiki.exists('XWiki.SuggestSolrMacros'))\n    #searchAttachmentsSolr($text $limit $return)\n  #else\n    #searchAttachmentsDatabase($text $limit $return)\n  #end\n#end\n\n#macro (searchAttachmentsSolr $text $limit $return)\n  #set ($params = $stringtool.join([\n    'fq=type:ATTACHMENT',\n    'qf=filename^4 attcontent',\n    'fl=wiki space name filename'\n  ], $util.newline))\n  #createSearchSuggestQuery($params $text $query)\n  #set ($discard = $query.setLimit($limit))\n  #set ($attachmentReferences = [])\n  #foreach ($result in $query.execute()[0].results)\n    #set ($documentReference = $services.model.createDocumentReference($result.wiki, $result.space, $result.name))\n    #set ($attachmentReference = $services.model.createAttachmentReference($documentReference, $result.filename))\n    #set ($discard = $attachmentReferences.add($attachmentReference))\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $attachmentReferences)\n#end\n\n#macro (searchAttachmentsDatabase $text $limit $return)\n  #set ($statement = 'where upper(attach.filename) like upper(?)')\n  #set ($displayHiddenDocuments = $xwiki.getUserPreference('displayHiddenDocuments'))\n  #if ("$!displayHiddenDocuments" != '1')\n    #set ($statement = "$statement and (doc.hidden <> true or doc.hidden is null)")\n  #end\n  #set ($attachments = $xwiki.searchAttachments($statement, $limit, 0, ["%$text%"]))\n  #set ($attachmentReferences = [])\n  #foreach ($attachment in $attachments)\n    #set ($discard = $attachmentReferences.add($services.model.createAttachmentReference(\n      $attachment.document.documentReference, $attachment.filename)))\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $attachmentReferences)\n#end\n\n#macro (displayPath $path)\n  #foreach ($node in $path)\n    #set ($discard = $path.set($foreach.index, $node.text))\n  #end\n#end\n\n#macro (limitTotalCount $lists $limit)\n  ## Prepare the input.\n  #set ($input = [])\n  #foreach ($list in $lists)\n    ## We use queues to be able to easily remove items from the start.\n    #set ($queue = $collectionstool.queue)\n    #set ($discard = $queue.addAll($list))\n    #set ($discard = $input.add($queue))\n    ## We will add (part of) the items back later.\n    #set ($discard = $list.clear())\n  #end\n  ## Limit the total item count.\n  #set ($index = -1)\n  #foreach ($count in [1..$limit])\n    #foreach ($i in [1..$input.size()])\n      #set ($newIndex = ($index + $i) % $input.size())\n      #if ($input.get($newIndex).size() > 0)\n        #set ($index = $newIndex)\n        #break\n      #end\n    #end\n    #if ($index < 0 || $input.get($index).isEmpty())\n      #break\n    #else\n      #set ($discard = $lists.get($index).add($input.get($index).poll()))\n    #end\n  #end\n#end\n{{/velocity}}	1.1		XWiki.DocumentTree		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-8701433653500044187	XWiki.AdminTemplatesSheet	AdminTemplatesSheet	Admin Templates Sheet			0	2017-05-12 15:43:28	2017-05-12 15:43:28	2013-03-28 16:23:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n(% class="xform half" %)(((\n== {{translation key="admin.templates.createprovider"/}} ==\n\n{{html}}\n  <form action="$doc.getURL('create')" method="post">\n    <dl>\n      <dt><label for="space">$services.localization.render('admin.templates.createprovider.space')</label></dt>\n      <dd><input type="text" id="space" name="space" value="XWiki" size="8"/></dd>\n      <dt><label for="page">$services.localization.render('admin.templates.createprovider.page')</label></dt>\n      <dd><input type="text" id="page" name="page" value="$services.localization.render('admin.templates.createprovider.defaultdocname')" class="withTip"'/></dd>\n    </dl>\n    <div class="buttons">\n      <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n      <input type="hidden" name="parent" value="XWiki.TemplateProviderClass"/>\n      <input type="hidden" name="template" value="XWiki.TemplateProviderTemplate"/>\n      <span class="buttonwrapper"><input id="createTemplateProvider" type="submit" value="$services.localization.render('admin.templates.createprovider.create')" class="button"/></span>\n    </div>\n  </form>\n{{/html}}\n#set($availableProviders = $services.query.hql(", BaseObject obj where doc.fullName=obj.name and obj.className='XWiki.TemplateProviderClass' and doc.fullName!='XWiki.TemplateProviderTemplate'").execute())\n#if($availableProviders.size() > 0)\n\n== {{translation key="admin.templates.providerslist"/}} ==\n\n  #foreach($providerFullname in $availableProviders)\n    * [[$xwiki.getDocument($providerFullname).getTitle()>>$providerFullname]]\n  #end\n#end\n)))\n{{/velocity}}	1.1		XWiki.XWikiPreferences		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
2461139466596661835	XWiki.ColorThemePropertyDisplayer	ColorThemePropertyDisplayer				0	2017-05-12 15:43:28	2017-05-12 15:43:28	2014-09-17 04:14:47	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n################################\n## Display an <option> line\n################################\n#macro(displayLine $theme)\n  #set($themeDoc = $xwiki.getDocument($theme))\n  #set($fullName = $themeDoc.fullName)\n  <option value="$fullName"#if ($fullName.equals($value)) selected="selected"#end>$themeDoc.plainTitle</option>\n#end\n################################\n## Display lines for a skin\n################################\n#macro(displaySkinLines $themes $name)\n  #if(!$themes.empty())\n    <optgroup label="$name">\n    #foreach($theme in $themes)\n      #displayLine($theme)\n    #end\n    </optgroup>\n  #end\n#end\n################################\n## Displayer\n################################\n{{html}}\n  <select name="${prefix}${name}" id="${prefix}${name}">\n    #if ($editor != 'globaladmin')\n      <option value=""#if ("$!value" == '') selected="selected"#end>---</option>\n    #end\n    ## Display the Flamingo themes\n    #set($xwql = "from doc.object(FlamingoThemesCode.ThemeClass) obj WHERE doc.fullName <> 'FlamingoThemesCode.ThemeTemplate' ORDER BY doc.name")\n    #set($themes = $services.query.xwql($xwql).execute())\n    #displaySkinLines($themes, $services.localization.render('admin.colorthemes.flamingothemes'))\n    ## Display the Colibri themes\n    #set($xwql = "from doc.object(ColorThemes.ColorThemeClass) obj WHERE doc.fullName <> 'ColorThemes.ColorThemeTemplate' ORDER BY doc.name")\n    #set($themes = $services.query.xwql($xwql).execute())\n    #displaySkinLines($themes, $services.localization.render('admin.colorthemes.colibrithemes'))\n  </select>\n{{/html}}\n{{/velocity}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.1	t
3403794038997772041	XWiki.XWikiGroupSheet	XWikiGroupSheet				0	2017-05-12 15:43:28	2017-05-12 15:43:28	2013-03-28 16:23:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n#set($groupDoc = $doc)\n#if($doc.fullName == 'Main.UserDirectory')\n  #set($groupDoc = $xwiki.getDocument('XWiki.XWikiAllGroup'))\n#end\n#macro(hasGroupRight $right $hasGroupRight)\n  #set($result = $xwiki.hasAccessLevel($right, $xcontext.user, $doc.fullName) && $doc.getObject('XWiki.XWikiGroups', false))\n  #set($hasGroupRight = $NULL)\n  #setVariable("$hasGroupRight" $result)\n#end\n#hasGroupRight('edit' $hasEditGroupRight)\n{{/velocity}}\n\n{{velocity}}\n## Keep testing the inline action for backward compatibility with existing groups.\n#if(($xcontext.action == 'edit' || $xcontext.action == 'inline') && $hasEditGroupRight)\n  {{html}}\n  #if ($request.xpage == 'plain')\n    ## AJAX request.\n    #set ($wrapperTag = 'form')\n    <form class="xform" action="$doc.getURL('preview')">\n      <input type="hidden" name="form_token" value="$!services.csrf.getToken()" />\n  #else\n    #set ($discard = $xwiki.jsx.use('XWiki.XWikiGroupSheet'))\n    ## The form is generated in the edit template.\n    <div class="xform">\n    #set ($wrapperTag = 'div')\n  #end\n    <dl>\n      <dt><label for="userInput">$services.localization.render('xe.admin.groups.addUser')</label></dt>\n      <dd>\n        #set ($parameters = {'id': 'userInput', 'name': 'name'})\n        #userPicker(true $parameters)\n      </dd>\n      <dt><label for="groupInput">$services.localization.render('xe.admin.groups.addGroup')</label></dt>\n      <dd>\n        #set ($parameters = {'id': 'groupInput', 'name': 'name'})\n        #groupPicker(true $parameters)\n      </dd>\n    </dl>\n    <div class="buttons">\n      <span class="buttonwrapper">\n        <button type="submit" id="addMembers" name="xpage" value="adduorg">$services.localization.render('xe.admin.groups.addUser.submit')</button>\n      </span>\n    </div>\n  </$wrapperTag>\n  {{/html}}##\n#end\n#set($columnOptions = {\n  "member" : {'link': 'auto', 'type': 'text'},\n  '_avatar' : { 'type' : 'none', 'link' : 'field', 'html' : 'true', 'sortable' : false },\n  "_actions" : {\n    'actions': ['delete'],\n    'actionCallbacks': {'delete': 'table.deleteRow(i);'},\n    'ajaxActions': {'delete': true}\n   }\n})\n## Keep testing the inline action for backward compatibility with existing groups.\n#if(($xcontext.action == 'edit' || $xcontext.action == 'inline') && $hasEditGroupRight)\n  #set($columns = ['_avatar', 'member', '_actions'])\n#else\n  #set($columns = ['_avatar', 'member'])\n#end\n#livetable('groupusers', $columns, $columnOptions, {\n  'url' : $groupDoc.getURL('view', 'xpage=getgroupmembers'),\n  'translationPrefix' : 'xe.admin.groups.',\n  'javascriptName' : 'editgrouptable'\n})\n{{/velocity}}	1.1		XWiki.XWikiGroups		2			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
-3816150460765423754	XWiki.AdminUsersSheet	AdminUsersSheet	AdminUsersSheet			0	2017-05-12 15:43:28	2017-05-12 15:43:28	2013-03-28 16:23:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n## We include new settings from the Wiki Manager (only if it is not the main wiki)\n#set($wikiManagerUserRef = $services.model.createDocumentReference('', 'WikiManager', 'WikiUsers'))\n#if(!$xcontext.isMainWiki() && $xwiki.exists($wikiManagerUserRef))\n  {{include reference="WikiManager.WikiUsers" /}}\n#end\n\n##\n## The Users management is enabled:\n## - on the main wiki\n## - on a subwiki where local users are enabled\n## - on a subwiki if there is no service "$services.wiki.user"\n#if($xcontext.isMainWiki() || "$!services.wiki.user" == '' || "$!services.wiki.user.userScope" != 'GLOBAL_ONLY')\n  ### Globally administrate the users in a wiki.\n  #set($formname = "update")\n  #set($saveaction = "save")\n  ##\n  ## inject needed JS and CSS files\n  ##\n  #set($ok = $xwiki.jsfx.use("js/xwiki/lightbox/lightbox.js", true))\n  #set($ok = $xwiki.ssfx.use("js/xwiki/lightbox/lightbox.css", true))\n  #set($ok = $xwiki.jsfx.use("js/xwiki/usersandgroups/usersandgroups.js", true))\n  #set($ok = $xwiki.ssfx.use("js/xwiki/usersandgroups/usersandgroups.css", true))\n  #set($ok = $xwiki.jsfx.use("js/xwiki/table/livetable.js", true))\n  #set($ok = $xwiki.ssfx.use("js/xwiki/table/livetable.css", true))\n  #set($ok = $xwiki.ssx.use("XWiki.XWikiUserSheet"))\n  #set($ok = $xwiki.jsx.use("XWiki.XWikiUserSheet"))\n  ##\n  ## url to get the users for displaying them in the ajax-based table\n  ##\n  #set($url = $doc.getURL('get', 'xpage=getusers'))\n  #if($xcontext.database != "xwiki")\n    #set($mainwk = false)\n  #else\n    #set($mainwk = true)\n  #end\n  {{html}}\n  <div id="xwikieditcontent">\n    <h2>$services.localization.render('admin.users')</h2>\n    <table id="userstable" class="xwiki-livetable">\n      <tr>\n        <td class="xwiki-livetable-pagination" colspan="2">\n          <span id="userstable-limits" class="xwiki-livetable-limits"></span>\n          <span id="userstable-ajax-loader" class="xwiki-livetable-loader"><img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')" alt="$services.localization.render('platform.livetable.loading')" title="" />$services.localization.render('platform.livetable.loading')</span>\n          <span class="pagination">\n            <span id="userstable-pagination-text" class="xwiki-livetable-pagination-text">$services.localization.render('platform.livetable.paginationPage')</span>\n            <span id="userstable-pagination" class="xwiki-livetable-pagination-content" ></span>\n          </span>\n        </td>\n      </tr>\n      <tr>\n        <td class="xwiki-livetable-display-container">\n          <table class="xwiki-livetable-display">\n            <thead class="xwiki-livetable-display-header">\n              <tr>\n                <th class="xwiki-livetable-display-header-text" scope="col">$services.localization.render('xe.admin.users.username')</th>\n                <th class="xwiki-livetable-display-header-text" scope="col">$services.localization.render('xe.admin.users.firstname')</th>\n                <th class="xwiki-livetable-display-header-text" scope="col">$services.localization.render('xe.admin.users.lastname')</th>\n                <th class="xwiki-livetable-display-header-text" scope="col">$services.localization.render('xe.admin.users.manage')</th>\n              </tr>\n              <tr id="userstable-filters" class="xwiki-livetable-display-filters">\n                <td class="xwiki-livetable-display-header-filter"><label for="name" class="hidden">$services.localization.render('xe.admin.users.filter.username')</label><input id="name" name="name" type="text" class="filter"/></td>\n                <td class="xwiki-livetable-display-header-filter"><label for="first_name" class="hidden">$services.localization.render('xe.admin.users.filter.username')</label><input id="first_name" name="first_name" type="text" class="filter"/></td>\n                <td class="xwiki-livetable-display-header-filter"><label for="last_name" class="hidden">$services.localization.render('xe.admin.users.filter.username')</label><input id="last_name" name="last_name" type="text" class="filter"/></td>\n                <td class="xwiki-livetable-display-header-filter">\n                  #if(!$mainwk)\n                    <select name="wiki" class="filter">\n                      <option value="local" selected="selected">$services.localization.render('rightsmanager.local')</option>\n                      <option value="global">$services.localization.render('rightsmanager.global')</option>\n                      <option value="both">$services.localization.render('rightsmanager.both')</option>\n                    </select>\n                  #else\n                    <input name="wiki" type="hidden" value="local" />\n                  #end\n                </td>\n              </tr>\n            </thead>\n            <tbody id="userstable-display" class="xwiki-livetable-display-body">\n              <tr>\n                <td colspan="4">&nbsp;</td>\n              </tr>\n            </tbody>\n          </table>\n        </td>\n      </tr>\n      <tr><td colspan="3" id="tdAddNewUserOrGroup">\n        <span class="buttonwrapper"><a href="#" id="addNewUser" class="addNewUserOrGroup">$services.localization.render('rightsmanager.addnewuser')</a></span>\n      </td></tr>\n    </table>\n    <script type="text/javascript">\n      // <![CDATA[\n      (function() {\n        var startup = function() {\n          var callback = function(row, i, table) { return displayUsers(row, i, table, "$!{services.csrf.getToken()}"); };\n          var ta = new XWiki.widgets.LiveTable("$url", "userstable", callback);\n          #set($registerurl = $doc.getURL('view', 'xpage=registerinline'))\n          #set($saveurl = $doc.getURL('register', 'xpage=registerinline'))\n          #set($redirectuserurl = $xwiki.getDocument('XWiki.XWikiPreferences').getURL('admin', "editor=${editor}&section=Users"))\n          Event.observe($('addNewUser'), "click", makeAddHandler("$registerurl", "$saveurl", "$redirectuserurl"));\n        }\n        if ((typeof(XWiki) != 'undefined') && (typeof(XWiki.widgets) != 'undefined') && (typeof(XWiki.widgets.LiveTable) != 'undefined')) {\n          startup();\n        } else {\n          document.observe('xwiki:livetable:loading', startup);\n        }\n      })();\n      // ]]>\n    </script>\n  </div> ## end of xwikieditcontent\n  {{/html}}\n#end\n{{/velocity}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
-6758304350795574529	XWiki.ResetPasswordRequestClass	ResetPasswordRequestClass	Reset Password request class			0	2017-05-12 15:43:28	2017-05-12 15:43:28	2008-08-25 20:35:39	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.ResetPassword	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.ResetPasswordRequestClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<verification>\n<algorithm></algorithm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>verification</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Request verification string</prettyName>\n<size>30</size>\n<storageType>Hash</storageType>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.PasswordClass</classType>\n</verification>\n</class>\n	2			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
-8424064979746963611	XWiki.AdminFieldsDisplaySheet	AdminFieldsDisplaySheet	AdminFieldsDisplaySheet			0	2017-05-12 15:43:28	2017-05-12 15:43:28	2013-03-28 16:23:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n### Sheet used to generically display the XWikiPreferences object fields in the administration sheets.\n### Input variables: \n### - $params (mandatory): list of properties to display and their associated sections\n### - $paramDoc (optional): document object which contains the $paramClass\n### - $paramClass (optional): name of the xclass type for the xobject from which to read/save from\n#if ("$!section" != '')\n  ## clean="false" due to bug #XWIKI-4122 - the <legend> element is dropped.\n  {{html clean="false"}}\n  #if ("$!paramDoc" != '')\n    #set($configDoc = $paramDoc)\n  #else\n    #set($configDoc = $doc)\n  #end\n  #if ("$!paramClass" != '')\n    #set($configClassName = $paramClass)\n    #set($formId = "${section.toLowerCase()}_${configClassName}")\n  #else\n    #set($configClassName = 'XWiki.XWikiPreferences')\n    #set($formId = $section.toLowerCase())\n  #end\n  <form id="$formId" method="post" action="$xwiki.getURL($configDoc, 'saveandcontinue')" onsubmit="cancelCancelEdit()" class="xform half">\n    #set($obj = $configDoc.getObject($configClassName))\n    #foreach ($entry in $params.entrySet())\n      #set ($fields = $entry.value)\n      <fieldset class="$entry.key">\n      ## If there is only one section, don't display the legend\n      #if ($params.size() > 1)\n        <legend>$services.localization.render("admin.$entry.key")</legend>\n      #end\n      #if ($fields.size() > 0)\n        <dl>\n      #end\n      #foreach($field in $fields)\n        #set($prop = $obj.xWikiClass.get($field))\n        #set($title = $services.localization.render($field))\n        #if ($title == $field && $prop)\n          #set ($title = $!prop.prettyName)\n        #end\n        #if($services.localization.get("${obj.xWikiClass.name}_${field}"))\n          #set ($title = $services.localization.render("${obj.xWikiClass.name}_${field}"))\n        #end\n        #set($hint = $services.localization.render("${obj.xWikiClass.name}_${field}.hint"))\n        #if($hint == "${obj.xWikiClass.name}_${field}.hint") #set($hint = $NULL) #end\n        <dt>\n        <label #if($prop)for="${configClassName}_${obj.number}_${prop.name}"#end class="$field">$title\n        #if($field == 'skin')\n          #set ($skin = $xwiki.skin)\n          <span class="buttonwrapper"><a href="$xwiki.getURL($skin, 'edit')"#if ($skin.indexOf('.') < 0) class="hidden"#end>$services.localization.render('admin.customize')</a></span>\n        #end\n        #if($field == 'colorTheme')\n          #if ($editor == 'globaladmin')\n            #set ($colorThemeName = $xwiki.getXWikiPreference('colorTheme'))\n          #else\n            #set ($colorThemeName = $xwiki.getSpacePreference('colorTheme'))\n            #set ($wikiColorTheme = $xwiki.getDocument($xwiki.getXWikiPreference('colorTheme')))\n            #if (!$wikiColorTheme.isNew())\n              #set ($colorThemeHint = $services.localization.render('admin.colortheme.wikiSetting', ["<a href='$wikiColorTheme.getURL()'>$wikiColorTheme.plainTitle</a>"]))\n            #end\n          #end\n          #if($xwiki.exists($services.model.createDocumentReference('', 'FlamingoThemes', 'WebHome')))\n            #set ($colorThemeHint = "$!{colorThemeHint} <strong><a href=""$xwiki.getURL($services.model.createDocumentReference('', 'FlamingoThemes', 'WebHome'))"">$services.localization.render('admin.colortheme.manage')</a></strong>")\n          #elseif($xwiki.exists($services.model.createDocumentReference('', 'ColorThemes', 'WebHome')))\n            #set ($colorThemeHint = "$!{colorThemeHint} <strong><a href=""$xwiki.getURL($services.model.createDocumentReference('', 'ColorThemes', 'WebHome'))"">$services.localization.render('admin.colortheme.manage')</a></strong>")\n          #end\n          <span class="buttonwrapper"><a href="$xwiki.getURL($colorThemeName, 'edit')"#if ($colorThemeName.indexOf('.') < 0) class="hidden"#end>$services.localization.render('admin.customize')</a></span>\n        #end\n        </label>\n        #if($hint)<span class="xHint">$hint</span>#end\n        </dt>\n        #if ($prop)\n          <dd>$configDoc.display($prop.name, 'edit', $obj).replaceAll('(^..html.*?}})|(../html..$)', '')</dd>\n          #if($field == 'colorTheme' && $colorThemeHint)\n            <dd class="xHint">$colorThemeHint</dd>\n          #end\n        #end\n      #end\n      #if ($fields.size() > 0)\n        </dl>\n      #end\n      </fieldset>\n    #end\n    <div class="hidden">\n      <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n      <input type="hidden" name="xcontinue" value="$xwiki.getURL($currentDoc, 'admin', "editor=${escapetool.url(${editor})}&amp;section=${escapetool.url(${section})}&amp;space=${escapetool.url(${currentSpace})}")" />\n      <input type="hidden" name="xredirect" value="$xwiki.getURL($currentDoc, 'admin', "editor=${escapetool.url(${editor})}&amp;section=${escapetool.url(${section})}&amp;space=${escapetool.url(${currentSpace})}")" />\n      <input type="hidden" name="classname" value="$configClassName" />\n    </div>\n    <div class="bottombuttons">\n      <p class="admin-buttons">\n        <span class="buttonwrapper"><input class="button" type="submit" name="formactionsac" value="$services.localization.render('admin.save')" /></span>\n      </p>\n    </div> ## bottombuttons\n  </form>\n  {{/html}}\n#end\n{{/velocity}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
-47511877455558562	XWiki.AdminLocalizationSheet	AdminLocalizationSheet	AdminLocalizationSheet			0	2017-05-12 15:43:28	2017-05-12 15:43:28	2011-03-09 10:55:13	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n### Administer localization wiki preferences, at global level\n#set ($params = {\n  'language': ['multilingual', 'languages' , 'default_language'],\n  'date': ['dateformat', 'timezone'],\n  'translations': ['documentBundles']\n})\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
2005785588799434594	PhenoTips.DBWebHomeSheet	DBWebHomeSheet	Phenotype database			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:24	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	f	xwiki/2.1	t
-875483380653679333	XWiki.ForgotUsername	ForgotUsername	$services.localization.render('xe.admin.forgotUsername.title')			0	2017-05-12 15:43:28	2017-05-12 15:43:28	2013-03-28 16:23:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#set($email = "$!request.get('e')")\n#if($email == '')\n{{translation key="xe.admin.forgotUsername.instructions"/}}\n\n{{html}}\n  <form method="post" action="$doc.getURL()" class="xformInline">\n    <div><label for="e">$services.localization.render('xe.admin.forgotUsername.email.label')</label> <input type="text" id="e" name="e"/> <span class="buttonwrapper"><input type="submit" value="$services.localization.render('xe.admin.forgotUsername.submit')" class="button"/></span></div>\n  </form>\n{{/html}}\n\n#else\n  #set($results = $services.query.hql(", BaseObject obj, StringProperty prop where obj.name = doc.fullName and obj.className = 'XWiki.XWikiUsers' and prop.id.id = obj.id and prop.id.name = 'email' and LOWER(prop.value) = ?").bindValues([$email.toLowerCase()]).execute())\n  #if($results.size() == 0)\n    {{translation key="xe.admin.forgotUsername.error.noAccount"/}}\n\n    [[{{translation key="xe.admin.forgotUsername.error.retry"/}}>>$doc.fullName]] | [[{{translation key="xe.admin.forgotUsername.login"/}}>>path:${xwiki.getURL('XWiki.XWikiLogin', 'login')}]]\n  #elseif($results.size() == 1)\n    $services.localization.render('xe.admin.forgotUsername.result', ["**${results.get(0).substring($results.get(0).indexOf('.')).substring(1)}**"])\n\n    [[{{translation key="xe.admin.forgotUsername.login"/}}>>path:${xwiki.getURL('XWiki.XWikiLogin', 'login')}]]\n  #else\n    {{translation key="xe.admin.forgotUsername.multipleResults"/}}\n    #foreach($item in $results)\n      * **${item.substring($item.indexOf('.')).substring(1)}**\n    #end\n\n    [[{{translation key="xe.admin.forgotUsername.login"/}}>>path:${xwiki.getURL('XWiki.XWikiLogin', 'login')}]]\n  #end\n#end\n{{/velocity}}	1.1		Main.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.1	t
6829145513840383268	XWiki.XWikiGroupTemplate	XWikiGroupTemplate				0	2017-05-12 15:43:28	2017-05-12 15:43:28	2005-01-30 15:13:02	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.XWikiGroups		2			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
-2955083240429665491	XWiki.AdminGroupsSheet	AdminGroupsSheet	AdminGroupsSheet			0	2017-05-12 15:43:28	2017-05-12 15:43:28	2013-03-28 16:23:25	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n{{html}}\n### Globally administrate the groups in a wiki.\n#set($formname = "update")\n#set($saveaction = "save")\n##\n## Inject needed JS and CSS files\n##\n#set($ok = $xwiki.jsfx.use("js/xwiki/lightbox/lightbox.js", true))\n#set($ok = $xwiki.ssfx.use("js/xwiki/lightbox/lightbox.css", true))\n#set($ok = $xwiki.jsfx.use("js/xwiki/usersandgroups/usersandgroups.js", true))\n#set($ok = $xwiki.ssfx.use("js/xwiki/usersandgroups/usersandgroups.css", true))\n#set($ok = $xwiki.jsfx.use("js/xwiki/table/livetable.js", true))\n#set($ok = $xwiki.ssfx.use("js/xwiki/table/livetable.css", true))\n## The following are needed when editing a group (e.g. for adding new members).\n#userPicker_import()\n#set ($discard = $xwiki.jsx.use('XWiki.XWikiGroupSheet'))\n##\n## url to get the groups for displaying them in the ajax-based table\n##\n#set($url = $doc.getURL('get', 'xpage=getgroups'))\n#if($xcontext.database != "xwiki")\n  #set($mainwk = false)\n#else\n  #set($mainwk = true)\n#end\n<div id="xwikieditcontent">\n  <table id="groupstable" class="xwiki-livetable">\n    <tr>\n      <td class="xwiki-livetable-pagination" colspan="2">\n        <span id="groupstable-limits" class="xwiki-livetable-limits"></span>\n        <span id="groupstable-ajax-loader" class="xwiki-livetable-loader"><img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')" alt="$services.localization.render('platform.livetable.loading')" title="" />$services.localization.render('platform.livetable.loading')</span>\n        <span class="pagination">\n          <span id="groupstable-pagination-text" class="xwiki-livetable-pagination-text">$services.localization.render('platform.livetable.paginationPage')</span>\n          <span id="groupstable-pagination" class="xwiki-livetable-pagination-content" ></span>\n        </span>\n      </td>\n    </tr>\n    <tr>\n      <td class="xwiki-livetable-display-container">\n        <table class="xwiki-livetable-display">\n          <thead class="xwiki-livetable-display-header">\n            <tr>\n              <th class="xwiki-livetable-display-header-text" scope="col">$services.localization.render('xe.admin.groups.groupname')</th>\n              <th class="xwiki-livetable-display-header-text" scope="col">$services.localization.render('xe.admin.groups.members')</th>\n              <th class="xwiki-livetable-display-header-text" scope="col">$services.localization.render('xe.admin.groups.manage')</th>\n            </tr>\n            <tr id="groupstable-filters" class="xwiki-livetable-display-filters">\n              <td class="xwiki-livetable-display-header-filter"><label for="name" class="hidden">$services.localization.render('xe.admin.groups.filter.groupName')</label><input id="name" name="name" type="text" class="filter"/></td>\n              <td class="xwiki-livetable-display-header-filter"></td>\n              <td class="xwiki-livetable-display-header-filter">\n              #if (!$mainwk)\n                <label for="wiki" class="hidden">$services.localization.render('xe.admin.groups.filter.scope')</label>\n                <select name="wiki" class="filter">\n                  <option value="local" selected="selected">$services.localization.render('xe.admin.groups.local')</option>\n                  <option value="global">$services.localization.render('xe.admin.groups.global')</option>\n                  <option value="both">$services.localization.render('xe.admin.groups.both')</option>\n                </select>\n              #else\n                <input type="hidden" value="local" name="wiki" /> \n              #end\n              </td>\n            </tr>\n          </thead>\n          <tbody id="groupstable-display" class="xwiki-livetable-display-body"><tr><td>&nbsp;</td></tr></tbody>\n        </table>\n      </td>\n    </tr>\n    <tr>\n      <td id="tdAddNewUserOrGroup">\n        <span class="buttonwrapper"><a href="#" id="addNewGroup">$services.localization.render('rightsmanager.addnewgroup')</a></span>\n      </td>\n    </tr>\n  </table>\n  #set($addnewurl = $xwiki.getURL("XWiki.XWikiGroups", "view", "xpage=addnewgroup"))\n  #set($saveurl = $xwiki.getURL("XWiki.XWikiGroups", "view"))\n  #set($redirecturl = $xwiki.getDocument("XWiki.XWikiPreferences").getURL("admin", "editor=${editor}&section=Groups")) \n  <script type="text/javascript">\n    //<![CDATA[\n    (function() {\n      var startup = function() {\n        var callback = function(row, i, table) { return displayGroups(row, i, table, "$!{services.csrf.getToken()}"); };\n        var ta = new XWiki.widgets.LiveTable("$url", "groupstable", callback);\n        Event.observe($('addNewGroup'), "click", makeAddHandler("$addnewurl", "$saveurl", "$redirecturl"));\n      }\n      if ((typeof(XWiki) != 'undefined') && (typeof(XWiki.widgets) != 'undefined') && (typeof(XWiki.widgets.LiveTable) != 'undefined')) {\n        startup();\n      } else {\n        document.observe('xwiki:livetable:loading', startup);\n      }\n    })();\n    //]]>\n  </script>\n</div> ## xwikieditcontent\n{{/html}}\n{{/velocity}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
4029990476679169033	XWiki.AdminExportSheet	AdminExportSheet	AdminExportSheet			0	2017-05-12 15:43:29	2017-05-12 15:43:29	2008-05-26 07:10:01	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n{{html}}\n#template('exportinline.vm')\n{{/html}}\n{{/velocity}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
-8966908625097746180	XWiki.AdminRegistrationSheet	AdminRegistrationSheet	AdminRegistrationSheet			0	2017-05-12 15:43:29	2017-05-12 15:43:29	2008-05-26 07:28:30	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n### Globally administrate the registration of new users in a wiki.\n#set ($params = {\n  'registration': ['use_email_verification', 'auth_active_check', 'validation_email_content',\n                  'confirmation_email_content', 'invitation_email_content']\n})\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
7704953339161956619	XWiki.AdminInlineSheet	AdminInlineSheet	AdminInlineSheet			0	2017-05-12 15:43:29	2017-05-12 15:43:29	2013-03-28 16:23:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}###----------------------------------\n## modified version of editinline.vm\n###----------------------------------\n#if ($doc.fullName != 'XWiki.AdminInlineSheet') ## Prevents infinite loops\n  #set($formname = 'inline')\n  #set($saveaction = 'save')\n  #set($previewenabled = true)\n  #set($xnotification = $!request.getParameter('xnotification'))\n  {{html}}\n  <form id="inline" method="post" action="$doc.getURL('preview')">\n    <div>\n      <div class="hidden"><input type="hidden" name="xcontinue" value="$doc.getURL('admin', "${request.queryString}&editmode=inline").replaceAll('&','&amp;')" /></div>\n      <input type="hidden" name="xredirect" value="$doc.getURL('admin', "editor=${editor}&section=${section}&space=XWiki").replaceAll('&','&amp;')" />\n      <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n      <input type="hidden" name="xnotification" value="$!xnotification" />\n      <input type="hidden" name="template" value="$!request.template" />\n      <input type="hidden" name="language" value="$!doc.language" />\n      #if("$!request.parent" != '')\n        <input type="hidden" name="parent" value="$!request.parent" />\n      #end\n      #if("$!request.title" != "")\n        <input type="hidden" name="title" value="$!request.title" />\n      #end\n      #set($force = $!request.get('force'))\n      #if(($doc.getLocked() == true) && (!$force)) ## locking\n        <div>\n        $services.localization.render('doclockedby') $xwiki.getLocalUserName($doc.getLockingUser()). <br />\n        <a href="$doc.getURL('inline', "$!request.getQueryString()&force=1")">$services.localization.render('forcelock')</a>\n        </div>\n      #else\n        #foreach($class in $doc.xWikiClasses)\n          #set($nb = $doc.getObjectNumbers("${class.name}"))\n          <input type="hidden" name="${class.name}_nb" value="$nb" />\n        #end\n        $doc.getTranslatedDocument().getRenderedContent()\n        <div class="bottombuttons">\n          <p class="admin-buttons">\n            <span class="buttonwrapper"><input class="button" type="submit" name="formactioncancel" value="$services.localization.render('cancel')" onclick="document.forms.update.action='$doc.getURL('cancel')'; if (document.forms.update.onsubmit) document.forms.update.onsubmit();" /></span>\n            <span class="buttonwrapper"><input class="button" type="submit" name="formactionsac" value="$services.localization.render('saveandcontinue')" onclick="document.forms.update.action='$doc.getURL('saveandcontinue')'; if (document.forms.update.onsubmit) document.forms.update.onsubmit();if(checkDocumentContent()) document.forms.update.submit(); return false;" /></span>\n            <span class="buttonwrapper"><input class="button" type="submit" name="formactionsave" value="$services.localization.render('saveandview')" onclick="document.forms.update.action='$doc.getURL('saveandview')'; if (document.forms.update.onsubmit) document.forms.update.onsubmit();if(checkDocumentContent()) document.forms.update.submit(); return false;" /></span>\n          </p>\n        </div> ## bottombuttons\n      #end\n    </div> ## form\n  </form>\n  #template('textarea_wysiwyg.vm')\n  {{html}}\n#end\n{{/velocity}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
8835582110866605761	XWiki.AdminRightsSheet	AdminRightsSheet	AdminRightsSheet			0	2017-05-12 15:43:29	2017-05-12 15:43:29	2008-05-26 07:28:58	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n### Administrate the rights in a wiki (globally or per space).\n{{html}}\n#template('rightsUI.vm')\n{{/html}}\n{{/velocity}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
-8994762634271460760	XWiki.AdminElementsSheet	AdminElementsSheet	AdminElementsSheet			0	2017-05-12 15:43:29	2017-05-12 15:43:29	2011-03-09 15:22:41	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n### Choose the page elements to display, globally and at space level.\n#set ($params = {\n  'header': ['title', 'meta'],\n  'panels': ['showLeftPanels', 'leftPanelsWidth', 'leftPanels', 'showRightPanels', 'rightPanelsWidth',  'rightPanels'],\n  'docextra': ['showannotations', 'showcomments', 'showattachments', 'showhistory', 'showinformation']\n})\n#if ("$!editor" == 'globaladmin')\n  #set ($params.footer = ['webcopyright', 'version'])\n#end\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
-1641249689881546433	XWiki.GoogleAnalyticsCode	GoogleAnalyticsCode	$services.localization.render('admin.analytics')			0	2017-05-12 15:43:29	2017-05-12 15:43:29	2014-06-10 09:25:18	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n#macro(saveGoogleAccount $account $method)\n  #set ($analyticsConfigDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsConfig'))\n  #set ($analyticsCodeDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsCode'))\n  #set ($analyticsObj = $analyticsConfigDoc.getObject('XWiki.GoogleAnalyticsCode', true))\n  #set ($jsObj = $analyticsCodeDoc.getObject('XWiki.JavaScriptExtension'))\n  #set ($discard = $analyticsObj.set('account', $!account))\n  #set ($discard = $analyticsObj.set('method', $!method))\n  $analyticsConfigDoc.save()\n  #if ("$!jsObj" != "") \n    #if ("$!account" != "")\n      #set ($discard = $jsObj.set('use', 'always'))\n    #else\n      #set ($discard = $jsObj.set('use', 'onDemand'))\n    #end\n    $analyticsCodeDoc.save()\n  #end\n#end\n\n#macro(displayAnalyticsStatus)\n  #set ($analyticsCodeDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsCode'))\n  #set ($jsObj = $analyticsCodeDoc.getObject('XWiki.JavaScriptExtension'))\n  #if ("$!jsObj" != "")\n    #if ("$!analyticsCodeDoc.getValue('use', $jsObj)" == 'always')\n      {{info}}{{translation key="admin.analytics.running"/}}{{/info}}\n    #else\n      {{info}}{{translation key="admin.analytics.notrunning"/}}{{/info}}\n    #end\n  #else\n    {{error}}{{translation key="admin.analytics.noscript"/}}{{/error}}\n  #end\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ($doc.name != 'XWikiPreferences' && $xcontext.action == 'view')\n  $response.sendRedirect($xwiki.getURL('XWiki.XWikiPreferences', 'admin', 'section=analytics')) \n#end\n#set ($analyticsConfigDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsConfig'))\n#set ($analyticsCodeDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsCode'))##\n#set ($analyticsObj = $analyticsConfigDoc.getObject('XWiki.GoogleAnalyticsCode', true))##\n#set ($analyticsCodeClass = $analyticsCodeDoc.xWikiClass)##\n#set ($accountPropertyClass = $analyticsCodeClass.account)##\n#set ($methodPropertyClass = $analyticsCodeClass.method)##\n#if ($hasAdmin)##\n  #if ($request.action == 'save')##\n    #saveGoogleAccount($request.analytics_account $request.analytics_method)##\n  #end## save action\n#else## !hasAdmin\n  {{error}}{{translation key="needadminrights"/}}.{{/error}}\n#end##\n#displayAnalyticsStatus()\n\n{{html}}\n<form action="$xwiki.relativeRequestURL" method="post" class="xform half">\n  <dl>\n    <dt>\n      <label for="analytics_method">$!methodPropertyClass.translatedPrettyName</label>\n      <span class="xHint">$services.localization.render('admin.analytics.method.description', 'xhtml/1.0')</span>\n    </dt>\n    <dd>\n      $analyticsConfigDoc.displayEdit($methodPropertyClass, 'analytics_', $analyticsObj)\n    </dd>\n    <dt>\n      <label for="analytics_account">$!accountPropertyClass.translatedPrettyName</label>\n      <span class="xHint">$services.localization.render('admin.analytics.account.description', 'xhtml/1.0')</span>\n    </dt>\n    <dd>\n      $analyticsConfigDoc.displayEdit($accountPropertyClass, 'analytics_', $analyticsObj)\n    </dd>\n  </dl>\n  <p>\n    <input type="hidden" name="action" value="save"/>\n    <span class="buttonwrapper">\n      <input type="submit" value="${services.localization.render('save')}" class="button" />\n    </span>\n  </p>\n</form>\n{{/html}}\n\n{{/velocity}}	1.1		XWiki.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.GoogleAnalyticsCode</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<account>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>account</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Account (UA-xxxxxxx-x)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</account>\n<method>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>method</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Tracking method</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>universal=Universal Analytics|classic=Classic Analytics</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</method>\n</class>\n	3			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
319468037057337943	XWiki.AdminImportSheet	AdminImportSheet	AdminImportSheet			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2008-05-26 07:24:53	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n## Administrate the wiki import.\n{{html}}\n#template('importinline.vm')\n{{/html}}\n{{/velocity}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	f	xwiki/2.0	t
4735849229920657245	SkinsCode.Translations	Translations			en	0	2017-05-12 15:43:30	2017-05-12 15:43:30	2015-03-10 11:09:48	XWiki.Admin	XWiki.Admin	XWiki.Admin	SkinsCode	skin.sheet.title=Skin\nskin.sheet.properties=Skin Properties\nskin.sheet.deprecatedProperties=Deprecated properties\nskin.sheet.overriddenTemplates=Overridden templates\nskin.sheet.addTemplate=Add a new overriding template\nskin.sheet.add=Add\nskin.sheet.overrideTemplateWarning=This section allows you to override a template of the skin. This is technical and you should be aware of the consequences.\nskin.sheet.deprecatedPropertiesWarning=This section is here for retro-compatibility reason. You should use the 'overridden templates' mechanism above.\nskin.sheet.nojs=Without JavaScript, you cannot use this section. But you can use the {0}Object Editor{1} instead, and manually add {2} objects.\n\nskin.sheet.js.deleting=Deleting...\nskin.sheet.js.deletingDone=The template has been deleted!\nskin.sheet.js.error.csrf=CSRF validation failed when saving. Try to refresh your browser first.\nskin.sheet.js.error.rights=Failed to save the skins because you don't have the right to do it.\nskin.sheet.js.deleteConfirmationText=Are you sure you want to delete this template?\nskin.sheet.js.deleteConfirmationYes=Yes, delete it\nskin.sheet.js.deleteConfirmationNo=No, cancel\nskin.sheet.js.adding=Adding...\nskin.sheet.js.addingDone=The template has been added!\n\n###############################################################################\n## Deprecated\n## Note: each element should be removed when the last branch using it is no longer supported\n###############################################################################\n\n## Used to indicate where deprecated keys start\n#@deprecatedstart\n\n#######################################\n## until 7.1M1\n#######################################\nskin.sheet.overridedTemplates=Overridden templates\n\n## Used to indicate where deprecated keys end\n#@deprecatedend\n	1.1		SkinsCode.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	f	xwiki/2.1	t
-1968921316723331915	SkinsCode.Translations	Translations		lv	en	1	2017-05-12 15:43:30	2017-05-12 15:43:30	2015-03-10 11:09:48	XWiki.Admin	XWiki.Admin	XWiki.Admin	SkinsCode	## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nskin.sheet.add=Pievienot\nskin.sheet.addTemplate=Pievienot jaunu pārrakstītu veidni\nskin.sheet.deprecatedProperties=Novecojušas īpašības\nskin.sheet.deprecatedPropertiesWarning=Šī sadaļa ir tikai savietojamībai ar iepriekšējām versijām. Tā vietā jums būtu jāizmanto augstāk minētais 'pārrakstīt veidni' paņēmiens\nskin.sheet.js.adding=Pievieno...\nskin.sheet.js.addingDone=Veidne ir pievienota\\!\nskin.sheet.js.deleteConfirmationNo=Nē, atcelt\nskin.sheet.js.deleteConfirmationText=Vai tiešām vēlaties izdzēst šo veidni?\nskin.sheet.js.deleteConfirmationYes=Jā, izdzēst\nskin.sheet.js.deleting=Dzēšu...\nskin.sheet.js.deletingDone=Veidne ir izdzēsta\\!\nskin.sheet.js.error.csrf=Neizdevās CSRF validācija. Mēģiniet vispirms atjaunot lapas saturu pārlūkprogrammā.\nskin.sheet.js.error.rights=Neizdevās saglabāt apdari jo jums nav nepieciešamo pieejas tiesību.\nskin.sheet.nojs=Jūs nevarat izmantot šo sadaļu bez JavaScript atbalsta. Bet tā vietā jūs varat izmantot {0}Objektu redaktoru{1} un pievienot manuāli {2} objektus.\nskin.sheet.overrideTemplateWarning=Šī sadaļa ļauj jums pārrakstīt apdares veidni. Šī ir tehniski sarežģīta lieta un jums ir jāsaprot, kādas var būt izmaiņu sekas.\nskin.sheet.overridedTemplates=Pārrakstītās veidnes\nskin.sheet.properties=Apdares īpašības\nskin.sheet.title=Apdare\n	1.1		SkinsCode.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	f	xwiki/2.1	t
-4040908276258322251	XWiki.XWikiSkinsTemplate	XWikiSkinsTemplate	XWikiSkins Template			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2011-05-31 17:46:54	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.XWikiSkins		2			Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	f	xwiki/2.1	t
609596023590293155	XWiki.XWikiSkins	XWikiSkins	XWiki Skin Class			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2017-05-12 15:40:14	XWiki.superadmin	XWiki.superadmin	XWiki.superadmin	XWiki		2.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.XWikiSkins</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<baseskin>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>baseskin</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Base Skin</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</baseskin>\n<edit.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>edit.vm</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Edit</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</edit.vm>\n<footer.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>footer.vm</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Footer</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</footer.vm>\n<header.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>header.vm</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</header.vm>\n<logo>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logo</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Logo</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logo>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<style.css>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>style.css</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Style</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</style.css>\n<view.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>view.vm</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>View</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</view.vm>\n<viewheader.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>viewheader.vm</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>View Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</viewheader.vm>\n</class>\n	2			Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	f	xwiki/2.0	t
8162779462392663395	XWiki.DefaultSkin	DefaultSkin				0	2017-05-12 15:43:30	2017-05-12 15:43:30	2006-12-31 09:47:56	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.XWikiPreferences		2			Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	f	xwiki/2.1	t
-8151728550054329289	XWiki.LiveTableResultsMacros	LiveTableResultsMacros	$services.localization.render('platform.livetable.resultsMacros')			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-02-27 15:09:02	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n#**\n * Macro to get the results of a livetable data call.\n * This page is called from live grids via Ajax with the argument xpage=plain. It returns a\n * set of results serialized in JSON.\n *#\n#macro(gridresult $className $collist)\n  #gridresultwithfilter($className $collist '' '' [])\n#end\n\n\n#**\n * Computes the query used to retrieve the results of a live table data call.\n * NOTE: This macro is not fully encapsulated because it defines a few Velocity variables that are used in subsequent macros.\n *#\n#macro(gridresultwithfilter_buildQuery $className $collist $filterfrom $filterwhere $filterParams)\n  ## Additional columns; should *not* contain raw parameters, all added column names must be filtered\n  #set($fromSql = '')\n  ## Parametrized filter part of the query\n  #set($whereSql = '')\n  ## List of values to use with $whereSql\n  #set($whereParams = [])\n  #set($class = $xwiki.getDocument($className).getxWikiClass())\n  ##\n  ## Add the columns needed for the actual data\n  ##\n  #set($tablelist = [])\n  #foreach($colname in $collist)\n    #livetable_addColumnToQuery($colname)\n  #end\n  ##\n  ## Tag filtering\n  ##\n  #if($request.tag)\n    #set($fromSql = "${fromSql} , BaseObject as tobject, DBStringListProperty as tagprop")\n    #set($whereSql = "${whereSql} and tobject.className='XWiki.TagClass' and tobject.name=doc.fullName and tobject.id=tagprop.id.id and tagprop.id.name='tags' and (")\n    #foreach($tag in $request.getParameterValues('tag'))\n      #if($velocityCount > 1) #set($whereSql = "${whereSql} and ") #end\n      ## Tags are case insensitive but they are stored unchanged which means we have to normalize them when performing\n      ## a query. Unfortunately there's no simple way to match multiple tags (AND operator). If we join the list of\n      ## tags in the FROM clause then we match at least one of the tags (OR operator). The only remaining option is to\n      ## check that the list of tags contains each of the desired tags. HQL doesn't help us to lower-case the entire\n      ## list of tags so we use an inner select for this.\n      #set($whereSql = "${whereSql} lower(?) in (select lower(tag) from tagprop.list tag)")\n      #set($discard = $whereParams.add("${tag}"))\n    #end\n    #set($whereSql = "${whereSql})")\n  #end\n  ##\n  ##\n  ## Order\n  ##\n  ## if the object for the classname of the order column is not already in the from sql, put it\n  #macro(addObjectClause $objectAlias)\n    #if($fromSql.indexOf($objectAlias) < 0)\n      #set($fromSql = "${fromSql}, BaseObject $objectAlias")\n      #set($whereSql = "${whereSql} and ${objectAlias}.name = doc.fullName and ${objectAlias}.className = ?")\n      #set($discard = $whereParams.add($propClassName))\n    #end\n  #end\n  ## Set the order clause for a field. We first ignore the case using the lower function (so that e.g. 'aaa' equals 'AAA')\n  ## but then consider it only for equal values (so that e.g. 'AAA' comes before 'aaa').\n  #macro(setOrderClause $fieldName $direction $useRawValue)\n    #if ($useRawValue)\n      #set($orderSql = " order by ${fieldName} ${direction}")\n    #else\n      #set($orderSql = " order by lower(${fieldName}) ${direction}, ${fieldName} ${direction}")\n    #end\n  #end\n  #set($order = "$!request.sort")\n  #set ($orderSql = '')\n  #if($order != '')\n    #set($orderDirection = "$!{request.get('dir').toLowerCase()}")\n    #if("$!orderDirection" != '' && "$!orderDirection" != 'asc')\n      #set($orderDirection = 'desc')\n    #end\n    ## Only safe version should be used in SQL queries\n    #set($safe_tableAlias = $order.replaceAll('[^a-zA-Z0-9_.]', ''))\n    ##\n    #if($order.startsWith('doc.'))\n      ## The column is a document field.\n      ##\n      ## These document fields need to be ordered as raw values and not as strings.\n      #set($rawDocumentFields = ['translation', 'date', 'contentUpdateDate', 'creationDate', 'elements', 'minorEdit1', 'hidden'])\n      #set($documentField = $stringtool.removeStart($order, 'doc.'))\n      #setOrderClause(${safe_tableAlias.replace('_','.')}, ${orderDirection},  $rawDocumentFields.contains($documentField))\n    #else\n      ## The column is an object property.\n      ##\n      ## Resolve the property.\n      #livetable_getPropertyClassAndType($order)\n      #set ($multiselect = "$!{propClass.get($order).getProperty('multiSelect').getValue()}")\n      ## We can only handle single values, not multiselect ones.\n      #if ($multiselect != '1')\n        ## Some property types do not need lowercasing since they have unique values by design, so we use the raw values to order.\n        #set($rawPropertyTypes = ['NumberClass', 'BooleanClass', 'DateClass', 'LevelsClass'])\n        ## If the order column is also a filer column, this means that it was already added to the query and all we need to do is to add it to the order clause.\n        #if(!$tablelist.contains($order))\n          ## The order column is not also a filter column, so not yet defined in the query.\n          ## We need to first define it (to the from and where clauses) before we can add it to the order clause.\n          ##\n          ## Resolve the table name of the property to be used in the from clause below.\n          #livetable_getTableName($order)\n          ## If the sort column has a _class specified, join that object in\n          #set($orderObjectAlias = 'obj')\n          #if($propClassName != '' && "$!propClass" != '')\n            ## prepare the alias of the BaseObject table that corresponds to the class of this column\n            #set($orderObjectAlias = "$!{propClassName.replaceAll('[^a-zA-Z0-9_]', '')}_obj")\n            #addObjectClause($orderObjectAlias)\n          #end\n          #set($fromSql = "${fromSql}, ${tableName} ${safe_tableAlias}")\n          ## FIXME: Check if this is indeed a property of the class. Hint: $propType can be used.\n          ## Conditions are put on the object coresponding to the column of the order ($orderObjectAlias), which depends on which is the class of the $order\n          #set($whereSql = "${whereSql} and ${orderObjectAlias}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.name = ?")\n          #set($discard = $whereParams.add("${order}"))\n        #end\n        ## Add the column to the order clause.\n        #setOrderClause("${safe_tableAlias}.value", ${orderDirection}, $rawPropertyTypes.contains($propType))\n      #end\n    #end\n  #end\n  ##\n  ##\n  ## Compute the final queries\n  ##\n  #set($sqlParams = [])\n  #set($tagsMatchingParams = [])\n  #set($allMatchingParams = [])\n  #if("$!className" != '')\n    ## Class query\n    #set($sql = ", BaseObject as obj $!fromSql $!filterfrom where obj.name=doc.fullName and obj.className = ? and doc.fullName not in (?, ?) $!whereSql $!filterwhere")\n    #set($discard = $sqlParams.addAll(["${className}", "${className}Template", ${className.replaceAll('Class$', 'Template')}]))\n    #set($discard = $sqlParams.addAll($whereParams))\n    ##\n    #set($tagsMatchingFiltersFrom = ", BaseObject as obj $!fromSql $!filterfrom")\n    #set($tagsMatchingFiltersWhere = "obj.name=doc.fullName and obj.className = ? and doc.fullName not in (?, ?) $!whereSql $!filterwhere")\n    #set($discard = $tagsMatchingParams.addAll(["${className}", "${className}Template", ${className.replaceAll('Class$', 'Template')}]))\n    #set($discard = $tagsMatchingParams.addAll($whereParams))\n    ##\n    #set($allMatchingTagsFrom = ", BaseObject as obj $!filterfrom")\n    #set($allMatchingTagsWhere = "obj.name=doc.fullName and obj.className = ? and doc.fullName not in (?, ?) $!filterwhere")\n    #set($discard = $allMatchingParams.addAll(["${className}", "${className}Template", ${className.replaceAll('Class$', 'Template')}]))\n    ##\n    #if($filterParams)\n      #set($discard = $sqlParams.addAll($filterParams))\n      #set($discard = $tagsMatchingParams.addAll($filterParams))\n      #set($discard = $allMatchingParams.addAll($filterParams))\n    #end\n  #else\n    ## Document query\n    #set($sql = "$!fromSql $!filterfrom where 1=1 $!whereSql $!filterwhere")\n    #set($discard = $sqlParams.addAll($whereParams))\n    ##\n    #set($tagsMatchingFiltersFrom = "$!fromSql $!filterfrom")\n    #set($tagsMatchingFiltersWhere = "1=1 $!whereSql $!filterwhere")\n    #set($discard = $tagsMatchingParams.addAll($whereParams))\n    ##\n    #set($allMatchingTagsFrom = "$!filterfrom")\n    #set($allMatchingTagsWhere = "1=1 $!filterwhere")\n    ##\n    #if($filterParams)\n      #set($discard = $sqlParams.addAll($filterParams))\n      #set($discard = $tagsMatchingParams.addAll($filterParams))\n      #set($discard = $allMatchingParams.addAll($filterParams))\n    #end\n  #end\n  #if($orderSql != '')\n    #set($sql = "$sql $!{orderSql}")\n  #end\n#end\n\n\n#**\n * Adds TagCloud information to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables defined by gridresultwithfilter_buildQuery.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildTagCloudJSON $map)\n  ##\n  ## TagCloud matching the current filters\n  ##\n  #set($tagsMatchingFilters = $xwiki.tag.getTagCountForQuery($tagsMatchingFiltersFrom, $tagsMatchingFiltersWhere, $tagsMatchingParams))\n  ## FIXME: We use a map just because the client expects an object, but all we really need is a list..\n  #set($matchingTags = {})\n  #foreach($tag in $tagsMatchingFilters.keySet())\n    ## NOTE: The value doesn't have a special meaning. I've used 1 just because it takes less space when serialized.\n    #set($discard = $matchingTags.put($tag, 1))\n  #end\n  #set($discard = $map.put('matchingtags', $matchingTags))\n  ##\n  ## TagCloud matching all the documents used by the live table\n  ##\n  #set($allMatchingTags = $xwiki.tag.getTagCountForQuery($allMatchingTagsFrom, $allMatchingTagsWhere, $allMatchingParams))\n  ## FIXME: We use a list of maps just because the client expects an array, but we should simply return $allMatchingTags..\n  #set($tags = [])\n  #foreach($tag in $allMatchingTags.keySet())\n    #set($discard = $tags.add({'tag': $tag, 'count': $allMatchingTags.get($tag)}))\n  #end\n  #set($discard = $map.put('tags', $tags))\n#end\n\n\n#**\n * Adds information about each live table row to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables defined by gridresultwithfilter_buildQuery.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildRowsJSON $map)\n  #set($offset = $mathtool.toInteger($request.get('offset')))\n  ## Offset starts from 0 in velocity and 1 in javascript\n  #set($offset = $offset - 1)\n  #if(!$offset || $offset < 0)\n    #set($offset = 0)\n  #end\n  #set($limit = $mathtool.toInteger($request.get('limit')))\n  #if(!$limit)\n    #set ($limit = 15)\n  #end\n  #set($query = $services.query.hql($sql))\n  ## Apply query filters if defined. Otherwise use default.\n  #foreach ($queryFilter in $stringtool.split($!request.queryFilters, ', '))\n    #set ($query = $query.addFilter($queryFilter))\n  #end\n  #set ($query = $query.setLimit($limit).setOffset($offset).bindValues($sqlParams))\n  #set($items = $query.execute())\n  #set($discard = $map.put('totalrows', $query.count()))\n  #set($discard = $map.put('returnedrows', $mathtool.min($items.size(), $limit)))\n  #set($discard = $map.put('offset', $mathtool.add($offset, 1)))\n  #set($rows = [])\n  #foreach($item in $items)\n    #gridresult_buildRowJSON($item $rows)\n  #end\n  #set($discard = $map.put('rows', $rows))\n#end\n\n\n#**\n * Adds information about the specified live table row to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables available in gridresult_buildRowsJSON.\n *\n * @param $item the name of the document that feeds this live table row\n * @param $rows stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildRowJSON $item $rows)\n  ## Handle both the case where the "language" filter is used and thus languages are returned too and the case where\n  ## only the document name is returned. When more than the document name is returned the $item variable is a list.\n  #if($item.size())\n    ## Extract doc name and doc language from $item\n    #set($docName = $item[0])\n    #set($docLanguage = $item[1])\n  #else\n    #set($docName = $item)\n    #set($docLanguage = '')\n  #end\n  #set($viewable = $xwiki.hasAccessLevel('view', $xcontext.user, "${xcontext.database}:${docName}"))\n  #set($row = {'doc_viewable': $viewable})\n  #if(!$viewable)\n    #set($discard = $row.put('doc_fullName', "${xcontext.database}:${item}"))\n  #else\n    #set($itemDoc = $xwiki.getDocument($docName))\n    ## Handle translations. We need to make sure we display the data associated to the correct document if the returned\n    ## result is a translation.\n    #if("$!docLanguage" != "" && $xwiki.getLanguagePreference() != $docLanguage)\n      #set($translatedDoc = $itemDoc.getTranslatedDocument($docLanguage))\n      #set($isTranslation = true)\n    #else\n      #set($translatedDoc = $itemDoc.translatedDocument)\n      #set($isTranslation = false)\n    #end\n    #set($fullname = $services.model.serialize($itemDoc.documentReference, 'default'))\n    #set($discard = $itemDoc.use($className))\n    #if($isTranslation)\n      ## Display the language after the document name so that not all translated documents have the same name displayed\n      #set($discard = $row.put('doc_name', "$itemDoc.name ($docLanguage)"))\n    #else\n      #set($discard = $row.put('doc_name', $itemDoc.name))\n    #end\n    #set($discard = $row.put('doc_fullName', $fullname))\n    #set($discard = $row.put('doc_space', $itemDoc.space))\n    #set($discard = $row.put('doc_url', $xwiki.getURL($docName)))\n    #set($discard = $row.put('doc_space_url', $xwiki.getURL($services.model.createDocumentReference($!itemDoc.wiki, $!itemDoc.space, 'WebHome'))))\n    #set($discard = $row.put('doc_wiki', $itemDoc.wiki))\n    #set($discard = $row.put('doc_wiki_url', $xwiki.getURL($services.model.resolveDocument('', 'default', $itemDoc.documentReference.extractReference('WIKI')))))\n    #set($discard = $row.put('doc_hasadmin', $xwiki.hasAdminRights()))\n    #set($discard = $row.put('doc_hasedit', $xwiki.hasAccessLevel('edit', $xcontext.user, $fullname)))\n    #set($discard = $row.put('doc_hasdelete', $xwiki.hasAccessLevel('delete', $xcontext.user, $fullname)))\n    #set($discard = $row.put('doc_hasrename', $row.doc_hasdelete))\n    #set($row.doc_hasrights = $row.doc_hasedit && $isAdvancedUser)\n    #set($discard = $row.put('doc_edit_url', $itemDoc.getURL($itemDoc.defaultEditMode)))\n    #set($discard = $row.put('doc_copy_url', $itemDoc.getURL('view', 'xpage=copy')))\n    #set($discard = $row.put('doc_delete_url', $itemDoc.getURL('delete')))\n    #set($discard = $row.put('doc_rename_url', $itemDoc.getURL('view', 'xpage=rename&step=1')))\n    #set($discard = $row.put('doc_rights_url', $itemDoc.getURL('edit', 'editor=rights')))\n    #set($discard = $row.put('doc_author_url', $xwiki.getURL($translatedDoc.author)))\n    #set($discard = $row.put('doc_date', $xwiki.formatDate($translatedDoc.date)))\n    #set($discard = $row.put('doc_title', $translatedDoc.plainTitle))\n    #set($discard = $row.put('doc_author', $xwiki.getPlainUserName($translatedDoc.authorReference)))\n    #set($discard = $row.put('doc_creationDate', $xwiki.formatDate($translatedDoc.creationDate)))\n    #set($discard = $row.put('doc_creator', $xwiki.getPlainUserName($translatedDoc.creatorReference)))\n    #foreach($colname in $collist)\n      #gridresult_buildColumnJSON($colname $row)\n    #end\n  #end\n  #set($discard = $rows.add($row))\n#end\n\n\n#**\n * Adds information about the given column to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables available in gridresult_buildRowJSON.\n *\n * @param $colname the name of the live table column for which to retrieve information\n * @param $row stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildColumnJSON $colname $row)\n  #if($colname.startsWith('doc.'))\n  #elseif($colname == '_action')\n    #set($discard = $row.put($colname, $services.localization.render("${request.transprefix}actiontext")))\n  #elseif($colname == '_attachments')\n    #livetable_getAttachmentsList($translatedDoc)\n    #set($discard = $row.put($colname, $attachlist))\n  #elseif($colname == '_avatar')\n    #livetable_getAvatar($itemDoc)\n    #set($discard = $row.put($colname, $avatar))\n  #elseif($colname == '_images')\n    #livetable_getImagesList($itemDoc)\n    #set($discard = $row.put($colname, $imagesList))\n  #else\n    #livetable_getPropertyClassAndType($colname)\n    #if(!$propClass.equals($class))\n      #set($discard = $itemDoc.use($propClassName))\n    #end\n    #set($fieldValue = "$!itemDoc.getValue($colname)")\n    #set($fieldDisplayValue = "$!itemDoc.display($colname, 'view')")\n    #if($fieldDisplayValue == '')\n      #set($fieldDisplayValue = $services.localization.render("${request.transprefix}emptyvalue"))\n    #end\n    #set($fieldUrl = '')\n    ## Only retrieve an URL for a DBListClass item\n    #if($propType == 'DBListClass' && $propClass.get($colname).getProperty('multiSelect').value != 1)\n      #set($fieldUrl = $xwiki.getURL($fieldValue))\n      #if($fieldUrl == $xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI'))))\n        #set($fieldUrl = '')\n      #end\n    #end\n    #set($discard = $row.put($colname, $fieldDisplayValue.replaceFirst($regextool.quote('{{html clean="false" wiki="false"}}'), '').replaceAll("$regextool.quote('{{/html}}')$", '')))\n    #set($discard = $row.put("${colname}_value", $fieldValue))\n    #set($discard = $row.put("${colname}_url", $fieldUrl))\n    ## Reset to the default class\n    #set($discard = $itemDoc.use($className))\n  #end\n#end\n\n\n#**\n * Builds the JSON response to a live table data call.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresultwithfilter_buildJSON $className $collist $filterfrom $filterwhere $filterParams $map)\n  #gridresultwithfilter_buildQuery($className $collist $filterfrom $filterwhere $filterParams)\n  #if("$!request.sql" == '1')\n    #set($discard = $map.put('sql', $sql))\n    #set($discard = $map.put('params', $sqlParams))\n  #end\n  #set($discard = $map.put('reqNo', $mathtool.toInteger($request.reqNo)))\n  #gridresult_buildTagCloudJSON($map)\n  #gridresult_buildRowsJSON($map)\n#end\n\n\n#**\n * Builds the JSON response to a live table data call.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildJSON $className $collist $map)\n  #gridresultwithfilter_buildJSON($className $collist '' '' [] $map)\n#end\n\n\n#**\n * Macro to get the results of a livetable data call.\n * This page is called from live grids via Ajax with the argument xpage=plain. It returns a\n * set of results serialized in JSON.\n *#\n#macro(gridresultwithfilter $className $collist $filterfrom $filterwhere $filterParams)\n  #if($xcontext.action == 'get' && "$!{request.outputSyntax}" == 'plain')\n    $response.setContentType('application/json')\n    ## Build the JSON in memory (using basic Java data types) so that it can be adjusted before serialization.\n    #set($map = {})\n    #gridresultwithfilter_buildJSON($className $collist $filterfrom $filterwhere $filterParams $map)\n    $jsontool.serialize($map)\n  #end\n#end\n\n\n#**\n * Get the name of the Property that should be used for a given livetable column.\n * NOTE the resulting $tableName is safe to use inside SQL queries\n *#\n#macro(livetable_getTableName $colname)\n  #livetable_getPropertyClassAndType($colname)\n  #if($propType == 'NumberClass')\n    #set($numberType = $propClass.get($colname).getProperty('numberType').getValue())\n    #if($numberType == 'integer')\n      #set($tableName = 'IntegerProperty')\n    #elseif($numberType == 'float')\n      #set($tableName = 'FloatProperty')\n    #elseif($numberType == 'double')\n      #set($tableName = 'DoubleProperty')\n    #else\n      #set($tableName = 'LongProperty')\n    #end\n  #elseif($propType == 'BooleanClass')\n    #set($tableName = 'IntegerProperty')\n  #elseif($propType == 'DateClass')\n    #set($tableName = 'DateProperty')\n  #elseif($propType == 'TextAreaClass' || $propType == 'UsersClass' || $propType == 'GroupsClass')\n    #set($tableName = 'LargeStringProperty')\n  #elseif($propType == 'StaticListClass' || $propType == 'DBListClass' || $propType == 'DBTreeListClass')\n    #set($multiSelect = $propClass.get($colname).getProperty('multiSelect').getValue())\n    #set($relationalStorage = $propClass.get($colname).getProperty('relationalStorage').getValue())\n    #if($multiSelect == 1)\n      #if($relationalStorage == 1)\n        #set($tableName = 'DBStringListProperty')\n      #else\n        #set($tableName = 'StringListProperty')\n      #end\n    #else\n      #set($tableName = 'StringProperty')\n    #end\n  #else\n    #set($tableName = 'StringProperty')\n  #end\n#end\n\n#**\n * Get the property class and type for a given livetable column.\n *#\n#macro(livetable_getPropertyClassAndType $colname)\n  #set($propClassName = "$!request.get(${colname.concat('_class')})")\n  #if($propClassName != '')\n    #set($propClass = $xwiki.getDocument($propClassName).getxWikiClass())\n  #else\n    #set($propClass = $class)\n  #end\n  #set($propType = '')\n  #if($propClass.getPropertyNames().contains($colname))\n    #set($propType = "$!{propClass.get($colname).type}")\n  #end\n#end\n\n#**\n * Old alias of the #livetable_getTableName macro.\n * @deprecated since 2.2.3, use {@link #livetable_getTableName}\n *#\n#macro(grid_gettablename $colname)\n  #livetable_getTableName($colname)\n#end\n\n\n\n#**\n * List attachments for a document, putting the result as HTML markup in the $attachlist variable.\n *#\n#macro(livetable_getAttachmentsList $itemDoc)\n  #set($attachlist = '')\n  #foreach($attachment in $itemDoc.attachmentList)\n    #set($attachmentUrl = $itemDoc.getAttachmentURL($attachment.filename))\n    #set($attachlist = "${attachlist}<a href='${attachmentUrl}'>$attachment.filename</a><br/>")\n  #end\n#end\n\n#**\n * Old alias of the #livetable_getAttachmentsList macro.\n * @deprecated since 2.2.3, use {@link #livetable_getAttachmentsList}\n *#\n#macro(grid_attachlist $itemDoc)\n  #livetable_getAttachmentsList($itemDoc)\n#end\n\n\n\n#**\n * List image attachments for a document, putting the result as HTML markup in the $imagesList variable.\n *#\n#macro(livetable_getImagesList $itemDoc)\n  #set($imagesList = '')\n  #foreach ($attachment in $itemDoc.attachmentList)\n    #if($attachment.isImage())\n      ## Create a thumbnail by resizing the image on the server side, if needed, to fit inside a 50x50 pixel square.\n      #set($thumbnailURL = $itemDoc.getAttachmentURL($attachment.filename, 'download', "width=50&height=50&keepAspectRatio=true"))\n      #set($imageURL = $itemDoc.getAttachmentURL($attachment.filename))\n      #set($imagesList = "${imagesList}<a href=""$imageURL""><img src=""$thumbnailURL"" alt=""$attachment.filename"" title=""$attachment.filename"" /></a>")\n    #end\n  #end\n#end\n\n#**\n * Old alias of the #livetable_getImagesList macro.\n * @deprecated since 2.2.3, use {@link #livetable_getImagesList}\n *#\n#macro(grid_photolist $itemDoc)\n  #livetable_getImagesList($itemDoc)\n#end\n\n\n#**\n * Generate the HTML code for a user avatar, with a fixed 50px width.\n *#\n#macro(livetable_getAvatar $itemDoc)\n  #set ($avatar = "#mediumUserAvatar($itemDoc.fullName)")\n  #set ($avatar = $avatar.trim())\n#end\n\n#**\n * Old alias of the #livetable_getAvatar macro.\n * @deprecated since 2.2.3, use {@link #livetable_getAvatar}\n *#\n#macro(grid_avatar $itemDoc)\n  #livetable_getAvatar($itemDoc)\n#end\n\n\n\n#**\n * Macro to extend the query to select the properties for the livetable columns.\n * NOTE $colname is filtered (all characters but [a-zA-Z0-9_.] are removed) before use\n *#\n#macro (livetable_addColumnToQuery $colName)\n  ## Safe because / is not allowed in property names\n  ## The $joinModeMarker is used in #livetable_filterDBStringListProperty.\n  #set ($joinModeMarker = "/join_mode")\n  #if (!$colName.endsWith($joinModeMarker))\n    #set ($filterValue = "$!request.getParameter($colName)")\n    #if ("$!filterValue" != '')\n      #set ($discard = $tablelist.add($colName))\n      #if ($colName.startsWith('doc.'))\n        #set ($safeColName = $colName.replaceAll('[^a-zA-Z0-9_.]', '').replace('_', '.'))\n        #set ($whereSql = "${whereSql} and upper(str($safeColName)) like upper(?)")\n        #set ($discard = $whereParams.add("%$filterValue%"))\n      #else\n        #livetable_filterProperty($colName $filterValue)\n      #end\n    #end\n  #end\n#end\n\n\n#macro (livetable_filterProperty $colname $filterValue)\n  ## Only safe version should be used in SQL queries\n  #set ($safe_tableAlias = $colname.replaceAll('[^a-zA-Z0-9_.]', ''))\n  #livetable_getTableName($colname)\n  #set ($fromSql = "$fromSql, $tableName as $safe_tableAlias")\n  ##\n  ## If the column is not from $class, we need to make sure we join with the proper table.\n  #set ($filterObjectAlias = 'obj')\n  #set ($propClass = $class)\n  #set ($propClassName = $request.getParameter("${colname}_class"))\n  #if ("$!propClassName" != '')\n    #set ($propClass = $xwiki.getDocument($propClassName).getxWikiClass())\n    #if ("$!propClass" != '')\n      ## Prepare the alias of the BaseObject table that corresponds to the class of this column\n      ## Property table is to be joined with its object, determined depending on $propClassName.\n      #set ($filterObjectAlias = "$!{propClassName.replaceAll('[^a-zA-Z0-9_]', '')}_obj")\n      #addObjectClause($filterObjectAlias)\n    #end\n  #end\n  #set ($joinObjectTable = "${filterObjectAlias}.id = ${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ?")\n  #set ($whereSql = "$whereSql and $joinObjectTable")\n  #set ($discard = $whereParams.add($colname))\n  ##\n  ## Specifies how the filter value should be matched against the stored value.\n  #set ($matchType = $request.getParameter("${colname}_match"))\n  ## We determine the default match type (when not specified) based on the property meta class (e.g. DateClass).\n  #set ($propMetaClass = $NULL)\n  #if ($propClass && $propClass.getPropertyNames().contains($colname))\n    #set ($propMetaClass = $propClass.get($colname).type)\n  #end\n  ##\n  #set ($numberProperties = ['IntegerProperty', 'LongProperty', 'FloatProperty', 'DoubleProperty'])\n  #if ($numberProperties.contains($tableName))\n    #livetable_filterNumberProperty()\n  #elseif ($tableName == 'DateProperty')\n    #livetable_filterDateProperty()\n  #elseif ($tableName == 'DBStringListProperty')\n    #livetable_filterDBStringListProperty()\n  #elseif ($tableName == 'StringListProperty')\n    #livetable_filterStringListProperty()\n  #else\n    ## StringProperty or LargeStringProperty\n    #livetable_filterStringProperty()\n  #end\n#end\n\n\n#**\n * NOTE: This macro uses variables defined in livetable_filterProperty . It was not meant to be used alone.\n *#\n#macro (livetable_filterNumberProperty)\n  #set($numberValue = $numbertool.toNumber($filterValue))\n  #if($tableName == 'IntegerProperty' || $tableName == 'LongProperty')\n    #if($tableName == 'LongProperty')\n      #set($numberValue = $numberValue.longValue())\n    #else\n      ## IntegerProperty\n      #set($numberValue = $numberValue.intValue())\n    #end\n    #set($whereSql = "${whereSql} and ${safe_tableAlias}.value = ?")\n  #else\n    #if($tableName == 'FloatProperty')\n      #set($numberValue = $numberValue.floatValue())\n    #else\n      ## DoubleProperty\n      #set($numberValue = $numberValue.doubleValue())\n    #end\n    #set($precision = 0.000001)\n    #set($whereSql = "${whereSql} and abs(? - ${safe_tableAlias}.value) <= ${precision}")\n  #end\n  #set($discard = $whereParams.add($numberValue))\n#end\n\n\n#**\n * NOTE: This macro uses variables defined in livetable_filterProperty . It was not meant to be used alone.\n *#\n#macro (livetable_filterDateProperty)\n  ## TODO: The date filter should be smarter than this..\n  #set ($whereSql = "${whereSql} and upper(str(${safe_tableAlias}.value)) like upper(?)")\n  #set ($discard = $whereParams.add("%$filterValue%"))\n#end\n\n\n#**\n * NOTE: This macro uses variables defined in livetable_filterProperty . It was not meant to be used alone.\n *#\n#macro (livetable_filterDBStringListProperty)\n  #set ($joinOperator = "$!{request.get(""${colname}${joinModeMarker}"").toUpperCase()}")\n  #if ($joinOperator != 'AND' && $joinOperator != 'OR')\n    #set ($joinOperator = 'AND')\n  #end\n  #if ($matchType == 'partial' || $matchType == 'prefix')\n    ## We need to join with the list of values in order to be able to use the LIKE operator.\n    #set ($matchTarget = "${safe_tableAlias}_item")\n    #set ($joinPos = $mathtool.add($fromSql.lastIndexOf(" $safe_tableAlias"), $mathtool.add($safe_tableAlias.length(), 1)))\n    #set ($fromSql = "$fromSql.substring(0, $joinPos) join ${safe_tableAlias}.list as $matchTarget $fromSql.substring($joinPos)")\n  #else\n    ## Perform exact matching by default (if no match type is specified).\n    #set ($matchType = 'exact')\n    #set ($matchTarget = "${safe_tableAlias}.list")\n  #end\n  #set ($filterValues = $request.getParameterValues($colname))\n  #set ($filterQuery = "#livetable_getFilterQuery($matchTarget $matchType true)")\n  #set ($constraints = $stringtool.repeat($filterQuery.trim(), " $joinOperator ", $filterValues.size()))\n  #set ($whereSql = "$whereSql and ($constraints)")\n  #foreach ($filterValue in $filterValues)\n    #livetable_addFilterParam($filterValue $matchType $whereParams)\n  #end\n#end\n\n\n#**\n * NOTE: This macro uses variables defined in livetable_filterProperty . It was not meant to be used alone.\n *#\n#macro (livetable_filterStringListProperty)\n  #set ($whereSql = "${whereSql} and concat('|', concat(upper(${safe_tableAlias}.textValue), '|')) like upper(?)")\n  #set ($discard = $whereParams.add("%|$filterValue|%"))\n#end\n\n\n#**\n * NOTE: This macro uses variables defined in livetable_filterProperty . It was not meant to be used alone.\n *#\n#macro (livetable_filterStringProperty)\n  #if ("$!matchType" == '')\n    #if ($propMetaClass.endsWith('ListClass'))\n      ## Perform exact matching by default for StaticListClass, DBListClass and DBTreeListClass\n      ## when they are stored as StringProperty (i.e. single value and no relational storage).\n      #set ($matchType = 'exact')\n    #else\n      ## Perform partial matching by default otherwise (if no match type is specified).\n      #set ($matchType = 'partial')\n    #end\n  #end\n  #set ($filterQuery = "#livetable_getFilterQuery(""${safe_tableAlias}.value"" $matchType)")\n  #set ($whereSql = "${whereSql} and $filterQuery.trim()")\n  #livetable_addFilterParam($filterValue $matchType $whereParams)\n#end\n\n\n#macro (livetable_getFilterQuery $column $matchType $isList)\n  #if ($matchType == 'partial' || $matchType == 'prefix')\n    upper($column) like upper(?)\n  #elseif ($isList)\n    ? in elements($column)\n  #else\n    $column = ?\n  #end\n#end\n\n\n#macro (livetable_addFilterParam $filterValue $matchType $params)\n  #if ($matchType == 'partial')\n    #set ($discard = $params.add("%$!filterValue%"))\n  #elseif ($matchType == 'prefix')\n    #set ($discard = $params.add("$!filterValue%"))\n  #else\n    #set ($discard = $params.add($filterValue))\n  #end\n#end\n\n\n#**\n * Old alias of the #livetable_addColumnToQuery macro.\n * @deprecated since 2.2.3, use {@link #livetable_addColumnToQuery}\n *#\n#macro(grid_addcolumn $colname)\n  #livetable_addColumnToQuery($colname)\n#end\n{{/velocity}}	1.1		XWiki.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-livetable-ui-7.1.2]	f	xwiki/2.0	t
6245526395285920453	XWiki.LiveTableResults	LiveTableResults	$services.localization.render('platform.livetable.results')			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2009-09-08 20:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{include reference="XWiki.LiveTableResultsMacros" /}}\n\n{{velocity wiki="false"}}\n#set ($extra = '')\n#set ($params = [])\n#if ("$!request.space" != '')\n  #set ($extra = "${extra} and doc.space = ?")\n  #set ($discard = $params.add($request.space))\n#end\n#if ("$!request.parent" != '')\n  #set ($extra = "${extra} and doc.parent = ?")\n  #set ($discard = $params.add($request.parent))\n#end\n#if ("$!request.orphaned" == '1')\n  #set ($homepage = $services.wiki.getById($services.wiki.currentWikiId).mainPageReference)\n  #set ($homepageFullName = $services.model.serialize($homepage, 'local'))\n  ## On Oracle the empty parent is actually null.\n  #set ($extra = "${extra} and (doc.parent = '' or doc.parent is null) and doc.fullName <> ?")\n  #set ($discard = $params.add($homepageFullName))\n#end\n#gridresultwithfilter("$!request.classname" $request.collist.split(',') '' "${extra}" $params)\n{{/velocity}}	1.1		XWiki.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-livetable-ui-7.1.2]	f	xwiki/2.0	t
7593544370749442729	Macros.TreeTranslations	TreeTranslations	Tree Translations	lv	en	1	2017-05-12 15:43:30	2017-05-12 15:43:30	2015-02-23 10:08:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	Macros	## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nrendering.macro.tree.content.description=Lai aprakstītu koka struktūru, jūs varat izmantot iegultu HTML. Papildu informācijai skatiet http\\://www.jstree.com/docs/html/\nrendering.macro.tree.description=Parāda koka hierarhiju saskaņā ar makrosa saturu un parametriem\nrendering.macro.tree.name=Koks\nrendering.macro.tree.parameter.checkboxes.description=Vai rādīt izvēles rūtiņu visiem koka zariem, lai ļautu iezīmēt uzreiz vairākus koka mezglus.\nrendering.macro.tree.parameter.checkboxes.name=Izvēles rūtiņas\nrendering.macro.tree.parameter.class.description=Papildu CSS klase ar kurām var pielāgot koka HTML elementus\nrendering.macro.tree.parameter.class.name=Klase\nrendering.macro.tree.parameter.contextMenu.description=Vai rādīt uz koka mezgliem lietotājam ar labo peles klikšķi atveramu izvēlni\nrendering.macro.tree.parameter.contextMenu.name=Izvēlne\nrendering.macro.tree.parameter.dragAndDrop.description=Vai ļaut lietotājam ar vilkšanu un ievietošanu pārvaldīt koka mezglus.\nrendering.macro.tree.parameter.dragAndDrop.name=Vilkt un ievietot\nrendering.macro.tree.parameter.edges.description=Vai rādīt savienojošās līnijas starp koka bērniem un vecākiem mezgliem.\nrendering.macro.tree.parameter.edges.name=Līnijas\nrendering.macro.tree.parameter.finder.description=Rādīt teksta lauku, kurā var ievadīt kokā meklējamās vērtības. Lauks ir attēlots virs koka un tajā darbojas priekšāteicējs, kas piedāvā vērtības saskaņā ar koka saturu.\nrendering.macro.tree.parameter.finder.name=Meklēšanas lauks\nrendering.macro.tree.parameter.icons.description=Vai rādīt koka mezglu ikonas. Ja visi koka mezgli ir ar to pašu veidu, ikonas var nerādīt, lai ietaupītu vietu.\nrendering.macro.tree.parameter.icons.name=Ikonas\nrendering.macro.tree.parameter.links.description=Koka mezglu uzraksti tiks rādīti kā hipersaites uz attiecīgo resursu.\nrendering.macro.tree.parameter.links.name=Saites\nrendering.macro.tree.parameter.openTo.description=Mezgla identifikators, sākot ar kuru atvērt koka saturu. Tiks atvērti arī visi izvēlētā mezgla bērni līdz izvēlētajam vecākam.\nrendering.macro.tree.parameter.openTo.name=Atvērt līdz\nrendering.macro.tree.parameter.reference.description=Norāde uz resursu, sākot ar kuru tiks parādīts koks ar visiem tajā esošajiem bērniem. Resursu var norādīt dinamiski atverot koku, piemēram ar labo peles klikšķi konteksta izvēlnē. Statiskiem kokiem jums būtu jāizmanto makrosa saturs. Norāde var būt dokumenta nosaukums vai URL/ceļš.\nrendering.macro.tree.parameter.reference.name=Norāde\nrendering.macro.tree.parameter.root.description=Saknes mezgla identifikators. Tas noder, ja vēlaties parādīt koku, sākot ar norādīto sakni. Koks tiek parādīts, sākot ar norādītās saknes bērniem, tātad pati sakne patiesībā nav redzama. Ja sakne nav norādīta, tiek parādīts viss koks.\nrendering.macro.tree.parameter.root.name=Sakne\n	1.1		Macros.Tree		0			Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]	f	xwiki/2.1	t
-1908836572901007352	data.AllData	AllData	$services.localization.render('data.allData.title')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:05	XWiki.Admin	XWiki.Admin	XWiki.Admin	data	{{include reference="PhenoTips.DatabaseFilters" /}}\n\n{{velocity}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n{{html wiki=false clean=false}}<div class="general-tools">#if($hasCreatePage)<label for="create-patient-record"><span class="fa fa-plus-circle"> </span>$services.localization.render('phenotips.globalHeader.createPatient')</label> · #end<a id="phenotips_export" class="phenotips_export_tool" title="$services.localization.render('phenotips.allData.exportExcelTitle')" href="$xwiki.getURL('PhenoTips.Export', 'get', "space=${escapetool.url($doc.space)}&amp;outputSyntax=plain")"><span class="fa fa-table"> </span>$services.localization.render('phenotips.allData.exportExcel')</a> · <a id="phenotips_json_export" class="phenotips_export_tool" title="$services.localization.render('phenotips.allData.exportJSONTitle')" href="$xwiki.getURL('PhenoTips.ExportJSON', 'get', "space=${escapetool.url($doc.space)}&amp;outputSyntax=plain")"><span class="fa fa-file-o"> </span>$services.localization.render('phenotips.allData.exportJSON')</a>{{/html}}##\n#set ($service = $services.pushPatient)##\n#set ($configuredServers = $service.getPushTargetsWithHistory(""))##\n#set ($counter = 0)##\n#foreach ($mapEntry in $configuredServers.entrySet())##\n  #set ($serverName = $mapEntry.key.getServerID())##\n{{html wiki=false clean=false}} · <a href="#" id="pushall-server-$counter" name="$serverName" title="$services.localization.render('phenotips.allData.pushTitle',[$serverName])"><span class="fa fa-share"> </span>$services.localization.render('phenotips.allData.push', [$serverName])</a>{{/html}}##\n  #set( $counter = $counter + 1 )##\n#end##\n{{html wiki=false clean=false}}</div>{{/html}}##\n{{/velocity}}\n\n{{velocity}}\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n$xwiki.jsx.use('PhenoTips.PushPatient')##\n$xwiki.ssx.use('PhenoTips.PushPatient')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($configuredColumns = $config.getProperty('livetableColumns').value)\n#if (!$configuredColumns && !($configuredColumns.length > 0))\n  #set ($configuredColumns = 'doc.name')\n#end\n#set ($columns = [])\n#set ($discard = $columns.addAll($configuredColumns))\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column.toLowerCase().indexOf('date') < 0) && ($column != 'doc.creator') && ($column != 'doc.author'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true}))\n#end\n##  toggle-filters\n#set ($topFilters = $doc.getRenderedContent("(% class='xform' %)((( {{html clean='false'}}<span class='buttonwrapper'><a class='button toggle-filters' href='#'>$services.localization.render('phenotips.allData.filterButton')</a></span>{{/html}}\n{{velocity}}#__filters_display('xform'){{/velocity}})))", "xwiki/2.1"))\n#set ($discard = $columns.add('_actions'))\n##\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'topFilters'        : $topFilters,\n  'resultPage'        : 'PhenoTips.LiveTableResults'\n})\n#if ($isGuest)\n  #set ($filterFrom = ", BaseObject accessObj, StringProperty accessProp, LongProperty iid")\n  #set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value >= 0 and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and accessObj.className = 'PhenoTips.OwnerClass' and (accessProp.value = '' or accessProp.value is null)")\n  #set ($discard = $options.put('extraParams', "&filterFrom=${escapetool.url($filterFrom)}&filterWhere=${escapetool.url($filterWhere)}"))\n#elseif (!$hasAdmin)\n  #set ($groups = [])\n  #set ($toProcess = $collectionstool.queue)\n  #if ($xcontext.userReference)\n    #set ($discard = $groups.add($xcontext.userReference))\n    #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n  #end\n  #foreach ($iteration in [0..1000])\n    #if ($toProcess.empty)\n      #break\n    #end\n    #set ($item = $toProcess.poll())\n    #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n      #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #if (!$groupObj && $group.documentReference.name.endsWith(' Administrators'))\n        #set ($group = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)))\n        #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #end\n      #if ($groupObj && !$groups.contains($group.documentReference.toString()))\n        #set ($discard = $toProcess.add($group.documentReference.toString()))\n        #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n      #end\n    #end\n  #end\n  #set ($groups = "('${stringtool.join($groups, ""','"")}')")\n  #set ($filterFrom = ", BaseObject accessObj, StringProperty accessProp, LongProperty iid")\n  #set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value >= 0 and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and ((accessObj.className = 'PhenoTips.OwnerClass' and accessProp.value in ${groups}) or (accessObj.className = 'PhenoTips.CollaboratorClass' and accessProp.value in ${groups}) or (accessObj.className = 'PhenoTips.VisibilityClass' and accessProp.value in ('public', 'open')))")\n  #set ($discard = $options.put('extraParams', "&filterFrom=${escapetool.url($filterFrom)}&filterWhere=${escapetool.url($filterWhere)}"))\n#else\n  #set ($filterFrom = ", LongProperty iid")\n  #set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value >= 0")\n  #set ($discard = $options.put('extraParams', "&filterFrom=${escapetool.url($filterFrom)}&filterWhere=${escapetool.url($filterWhere)}"))\n#end\n#if ("$!config.getProperty('livetableRows').value" != '' && $config.getProperty('livetableRows').value > 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('patients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}$services.localization.render('phenotips.configurationMissing'){{/warning}}\n#end\n{{/velocity}}	1.1		data.WebHome		2			Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	f	xwiki/2.1	t
-6336290347315433020	Macros.Tree	Tree	Tree Macro			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-10-21 12:22:46	XWiki.Admin	XWiki.Admin	XWiki.Admin	Macros	== Static tree ==\n\n{{tree}}\n* [[Chapter 1>>Main.WebHome]]\n** Section 2.1\n** Section 2.2\n*** Paragraph 2.2.1\n**** Once upon a time...\n*** Paragraph 2.2.2\n* [[Chapter 2>>Sandbox.WebHome]]\n* [[Chapter 3>>http://www.xwiki.org]]\n** Section 3.1\n*** Paragraph 3.1.1\n** Section 3.2\n{{/tree}}\n\n=== Static tree with opened path ===\n\n{{tree}}\n{{velocity}}\n{{html}}\n<ul>\n  <li class="jstree-open">\n    <a href="$xwiki.getURL('Main.WebHome')">One</a>\n    <ul>\n      <li class="jstree-open">\n        <a href="http://www.xwiki.org">Two</a>\n        <ul>\n          <li>\n            <a href="#section" class="jstree-clicked">Three</a>\n          </li>\n        </ul>\n      </li>\n    </ul>\n  </li>\n</ul>\n{{/html}}\n{{/velocity}}\n{{/tree}}\n\n=== Static tree with custom icons ===\n\n{{tree}}\n{{html}}\n<ul>\n  <li data-jstree='{"opened":true,"selected":true}'>Users\n    <ul>\n      <li data-jstree='{"disabled":true}'>Alice</li>\n      <li data-jstree='{"icon":"http://jstree.com/tree.png"}'>Bob</li>\n      <li data-jstree='{"icon":"glyphicon glyphicon-leaf"}'>Carol</li>\n    </ul>\n  </li>\n</ul>\n{{/html}}\n{{/tree}}\n\n== Dynamic Tree ==\n\n{{tree reference="XWiki.DocumentTree" /}}\n\n=== Dynamic Sub-tree with Checkboxes ===\n\n{{tree reference="doc:XWiki.DocumentTree" root="document:xwiki:Sandbox.WebHome" checkboxes="true" /}}	1.1		Macros.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]	f	xwiki/2.1	t
3234089957202292370	Macros.TreeTranslations	TreeTranslations	Tree Translations	fr	en	1	2017-05-12 15:43:30	2017-05-12 15:43:30	2015-02-23 10:08:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	Macros	## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nrendering.macro.tree.content.description=Vous pouvez utiliser les listes à puces HTML imbriqués pour décrire la structure de l'arbre. Voir http\\://www.jstree.com/docs/html/ pour plus d'informations.\nrendering.macro.tree.description=Affiche une hiérarchie de l'arborescence définie par le contenu de la macro ou le paramètre source.\nrendering.macro.tree.name=Arbre\nrendering.macro.tree.parameter.checkboxes.description=Pour afficher une case à cocher devant chaque nœud de l'arbre. Cela permet à l'utilisateur de sélectionner plusieurs nœuds de l'arbre.\nrendering.macro.tree.parameter.checkboxes.name=Cases à cocher\nrendering.macro.tree.parameter.class.description=Classes CSS additionnelles à ajouter à l'élément HTML supérieur de l'arbre.\nrendering.macro.tree.parameter.class.name=Classe\nrendering.macro.tree.parameter.contextMenu.description=Pour afficher le menu contextuel lorsque l'utilisateur clique avec le bouton droit sur un noeud de l'arbre.\nrendering.macro.tree.parameter.contextMenu.name=Menu contextuel\nrendering.macro.tree.parameter.dragAndDrop.description=Indique si l'utilisateur doit être en mesure de glisser-déposer des noeuds de l'arbre.\nrendering.macro.tree.parameter.dragAndDrop.name=Glisser-déposer\nrendering.macro.tree.parameter.edges.description=Pour montrer les fils qui relient les noeuds de l'arbre de même niveau entre eux et avec leurs parents.\nrendering.macro.tree.parameter.edges.name=Fils\nrendering.macro.tree.parameter.finder.description=Affiche une entrée texte qui peut être utilisée pour trouver des noeuds de l'arbre. L'entrée est affichée au-dessus de l'arbre et offre des Suggestions automatiques basées sur le contenu de l'arbre pendant que vous tapez. Quand une suggestion est sélectionnée, l'arbre est étendu jusqu'au noeud correspondant.\nrendering.macro.tree.parameter.finder.name=Filtre\nrendering.macro.tree.parameter.icons.description=Pour afficher les icônes de noeud de l'arbre ou non. Vous pouvez masquer les icônes si tous les noeuds de l'arbre sont du même type ou si vous voulez gagner de l'espace horizontal.\nrendering.macro.tree.parameter.icons.name=Icônes\nrendering.macro.tree.parameter.links.description=Indique si les labels de noeud doivent ressembler ou se comporter comme des liens (ancres).\nrendering.macro.tree.parameter.links.name=Liens\nrendering.macro.tree.parameter.openTo.description=L'id du noeud pour ouvrir l'arbre. Tous les parents du noeud spécifié, jusqu'à la racine de l'arbre, seront également ouverts.\nrendering.macro.tree.parameter.openTo.name=Ouvrir à\nrendering.macro.tree.parameter.reference.description=La référence à la ressource décrivant la structure de l'arbre et de son menu contextuel et qui est appelée à effectuer les actions sur les noeuds de l'arbre. Cette ressource est utilisée pour charger l'arbre dynamiquement (sur demande) quand un noeud de l'arbre est ouvert et pour demander le menu contextuel lorsque l'utilisateur clique droit sur un nœud de l'arbre qui l'a. La ressource n'est donc pas statique. Pour les arbres statiques vous devez utiliser le contenu de la macro à la place. La référence peut être une référence de document ou une URL / chemin.\nrendering.macro.tree.parameter.reference.name=Référence\nrendering.macro.tree.parameter.root.description=L'identifiant du noeud de la racine. C'est utile si vous souhaitez afficher uniquement les héritiers d'un noeud donné (qui est la racine spécifiée). L'arbre affiche les enfants du noeud racine sur le premier niveau, de sorte que le noeud racine n'est pas réellement affiché. L'arbre entier s'affiche si le noeud racine n'est pas spécifié.\nrendering.macro.tree.parameter.root.name=Racine\ntree.macro.editModeWarning=Cet arbre ne peut pas être affiché en mode modification\n	1.1		Macros.Tree		0			Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]	f	xwiki/2.1	t
6973191458090123499	Macros.TreeTranslations	TreeTranslations	Tree Translations		en	0	2017-05-12 15:43:30	2017-05-12 15:43:30	2015-02-23 10:08:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	Macros	rendering.macro.tree.name=Tree\nrendering.macro.tree.description=Displays a tree hierarchy defined by the macro content or the source parameter.\nrendering.macro.tree.parameter.reference.name=Reference\nrendering.macro.tree.parameter.reference.description=The reference to the resource that describes the tree structure and its context menu and which is called to perform the actions on the tree nodes. This resource is used to load the tree dynamically (on demand) when a tree node is opened and to ask for the context menu when the user right-clicks on a tree node that has it. So the resource is not static. For static trees you should use the macro content instead. The reference can be a document reference or an URL/path.\nrendering.macro.tree.parameter.root.name=Root\nrendering.macro.tree.parameter.root.description=The root node id. This is useful if you want to display only the descendants of a given node (which is the specified root). The tree displays the children of the root node on the first level, so the root node is not actually displayed. The entire tree is displayed if the root node is not specified.\nrendering.macro.tree.parameter.dragAndDrop.name=Drag and Drop\nrendering.macro.tree.parameter.dragAndDrop.description=Specifies if the user should be able to drag & drop tree nodes.\nrendering.macro.tree.parameter.contextMenu.name=Context Menu\nrendering.macro.tree.parameter.contextMenu.description=Whether to show the context menu when the user right-clicks a tree node.\nrendering.macro.tree.parameter.class.name=Class\nrendering.macro.tree.parameter.class.description=Additional CSS classes to add to the top level HTML element of the tree.\nrendering.macro.tree.parameter.icons.name=Icons\nrendering.macro.tree.parameter.icons.description=Whether to show the tree node icons or not. You may want to hide the icons if all the tree nodes are of the same type or if you want to win some horizontal space.\nrendering.macro.tree.parameter.edges.name=Edges\nrendering.macro.tree.parameter.edges.description=Whether to show the edges that connect the sibling tree nodes between themselves and with their parent.\nrendering.macro.tree.parameter.links.name=Links\nrendering.macro.tree.parameter.links.description=Specifies whether the node labels should look and behave as links (anchors).\nrendering.macro.tree.parameter.checkboxes.name=Checkboxes\nrendering.macro.tree.parameter.checkboxes.description=Whether to display a checkbox in front of each tree node to allow the user to select multiple tree nodes.\nrendering.macro.tree.parameter.openTo.name=Open to\nrendering.macro.tree.parameter.openTo.description=The id of the node to open the tree to. All the ancestors of the specified node, up to the root of the tree, will be opened also.\nrendering.macro.tree.parameter.finder.name=Finder\nrendering.macro.tree.parameter.finder.description=Show a text input that can be used to find tree nodes. The input is displayed above the tree and offers suggestions as you type based on the content of the tree. When a suggestion is selected the tree is expanded up to the corresponding node.\nrendering.macro.tree.content.description=You can use nested HTML unordered lists to describe the tree structure. See http://www.jstree.com/docs/html/ for more information.\ntree.macro.editModeWarning=This tree can't be displayed in edit mode.\n	1.1		Macros.Tree		2			Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]	f	xwiki/2.1	t
5588232472179040111	IconThemes.Silk	Silk				0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-07-31 12:34:51	XWiki.Admin	XWiki.Admin	XWiki.Admin	IconThemes	## General settings\nxwiki.iconset.type = image\nxwiki.iconset.render.wiki = image:path:$xwiki.getSkinFile("icons/silk/${icon}.png")\nxwiki.iconset.render.html = <img src="$xwiki.getSkinFile("icons/silk/${icon}.png")" alt="Icon" />\n\n## XWiki Icon Set (see: http://design.xwiki.org/xwiki/bin/view/Proposal/XWiki+Icon+Set).\nhome = house\nwiki = world\nspace = folder\npage = page_white_text\ncheck = accept\nadd = add\nanchor = anchor\nterminal = application_osx_terminal\nlist = application_view_list\nbranch = arrow_branch\ndown = arrow_down\nup = arrow_up\nleft = arrow_left\nright = arrow_right\narrows = arrow_out\nrepeat = arrow_redo\nundo = arrow_undo\nrefresh = arrow_refresh\nrotate-left = arrow_rotate_anticlockwise\nrotate-right = arrow_rotate_clockwise\nswitch = arrow_switch\nrandom = arrow_switch\nattach = attach\nshopping-cart = cart\nbell = bell\ntrash = bin\nbomb = bomb\nbook = book\ncube = box\ncubes = bricks\nbriefcase = briefcase\nbug = bug\nbuilding = building\ncaret-down = bullet_arrow_down\ncaret-up = bullet_arrow_up\ncaret-right = bullet_go\ncalculator = calculator\ncalendar = calendar\ncamera = camera\nremove = cancel\ncross = cross\ncar = car\ntruck = lorry\nchart-bar = chart_bar\nchart-organisation = chart_organisation\ncloud = weather_clouds\nclock = clock\ncog = cog\ncomment = comment\ncomments = comments\ndesktop = computer\ncontrast = contrast\neject = control_eject\nstep-forward = control_end\nstep-backward = control_start\nfast-forward = control_fastforward\nbackward = control_rewind\nplay = control_play\npause = control_pause\nstop = control_stop\ngamepad = controller\ncredit-card = creditcards\ncoffee = cup\ncut = cut\ndatabase = database\ndelete = delete\nfloppy-disk = disk\nglass = drink\ndrive = drive\nenvelope = email\nwarning = error\nerror = exclamation\ninfo = information\neye = eye\nfemale = female\nmale = male\nfilm = film\nflag = flag_blue\nsearch = magnifier\nsearch-plus = zoom_in\nsearch-minus = zoom_out\nfolder = folder\nuser = user\ngroup = group\nheart = heart\nquestion = help\nimage = image\nkey = key\nkeyboard = keyboard\nlightbulb = lightbulb\nlink = link\nunlink = link_break\nlock = lock\nunlock = lock_open\nmoney = money\ndollar = money_dollar\neuro = money_euro\ngbp = money_pound\nyen = money_yen\nmusic = music\nfile = page\nfile-white = page_white\nfile-pdf = page_white_acrobat\nfile-code = page_white_code\nfile-archive = page_white_compressed\nfile-word = page_white_word\nfile-excel = page_white_excel\nfile-powerpoint = page_white_powerpoint\nfile-text = page_white_text\npaste = paste_plain\npencil = pencil\nprint = printer\nshield = shield\ncertificate = rosette\nvolume-up = sound\nvolume-down = sound_low\nvolume-off = sound_none\nsoccer = sport_soccer\nstar = star\ntable = table\nphone = telephone\nfont = font\nbold = text_bold\nitalic = text_italic\nstrikethrough = text_strikethrough\nsubscript = text_subscript\nsuperscript = text_superscript\nunderline = text_underline\nalign-center = text_align_center\nalign-justify = text_align_justify\nalign-left = text_align_left\nalign-right = text_align_right\ncolumns = text_columns\nindent-left = text_indent\nindent-right = text_indent_remove\nlist-bullets = text_list_bullets\nlist-numbers = text_list_numbers\nsun = weather_sun\nworld = world\nwrench = wrench\n\n## Silk icons for backward compatibility (see: http://design.xwiki.org/xwiki/bin/view/Proposal/Silk+Mapping).\naccept = accept\nadd = add\nanchor = anchor\napplication = application\napplication_add = application_add\napplication_cascade = application_cascade\napplication_delete = application_delete\napplication_double = application_double\napplication_edit = application_edit\napplication_error = application_error\napplication_form = application_form\napplication_form_add = application_form_add\napplication_form_delete = application_form_delete\napplication_form_edit = application_form_edit\napplication_form_magnify = application_form_magnify\napplication_get = application_get\napplication_go = application_go\napplication_home = application_home\napplication_key = application_key\napplication_lightning = application_lightning\napplication_link = application_link\napplication_osx = application_osx\napplication_osx_terminal = application_osx_terminal\napplication_put = application_put\napplication_side_boxes = application_side_boxes\napplication_side_contract = application_side_contract\napplication_side_expand = application_side_expand\napplication_side_list = application_side_list\napplication_side_tree = application_side_tree\napplication_split = application_split\napplication_tile_horizontal = application_tile_horizontal\napplication_tile_vertical = application_tile_vertical\napplication_view_columns = application_view_columns\napplication_view_detail = application_view_detail\napplication_view_gallery = application_view_gallery\napplication_view_icons = application_view_icons\napplication_view_list = application_view_list\napplication_view_tile = application_view_tile\napplication_xp = application_xp\napplication_xp_terminal = application_xp_terminal\narrow_branch = arrow_branch\narrow_divide = arrow_divide\narrow_down = arrow_down\narrow_in = arrow_in\narrow_inout = arrow_inout\narrow_join = arrow_join\narrow_left = arrow_left\narrow_merge = arrow_merge\narrow_out = arrow_out\narrow_redo = arrow_redo\narrow_refresh = arrow_refresh\narrow_refresh_small = arrow_refresh_small\narrow_right = arrow_right\narrow_rotate_anticlockwise = arrow_rotate_anticlockwise\narrow_rotate_clockwise = arrow_rotate_clockwise\narrow_switch = arrow_switch\narrow_turn_left = arrow_turn_left\narrow_turn_right = arrow_turn_right\narrow_undo = arrow_undo\narrow_up = arrow_up\nasterisk_orange = asterisk_orange\nasterisk_yellow = asterisk_yellow\nattach = attach\naward_star_add = award_star_add\naward_star_bronze_1 = award_star_bronze_1\naward_star_bronze_2 = award_star_bronze_2\naward_star_bronze_3 = award_star_bronze_3\naward_star_delete = award_star_delete\naward_star_gold_1 = award_star_gold_1\naward_star_gold_2 = award_star_gold_2\naward_star_gold_3 = award_star_gold_3\naward_star_silver_1 = award_star_silver_1\naward_star_silver_2 = award_star_silver_2\naward_star_silver_3 = award_star_silver_3\nbasket = basket\nbasket_add = basket_add\nbasket_delete = basket_delete\nbasket_edit = basket_edit\nbasket_error = basket_error\nbasket_go = basket_go\nbasket_put = basket_put\nbasket_remove = basket_remove\nbell = bell\nbell_add = bell_add\nbell_delete = bell_delete\nbell_error = bell_error\nbell_go = bell_go\nbell_link = bell_link\nbin = bin\nbin_closed = bin_closed\nbin_empty = bin_empty\nbomb = bomb\nbook = book\nbook_add = book_add\nbook_addresses = book_addresses\nbook_delete = book_delete\nbook_edit = book_edit\nbook_error = book_error\nbook_go = book_go\nbook_key = book_key\nbook_link = book_link\nbook_next = book_next\nbook_open = book_open\nbook_previous = book_previous\nbox = box\nbrick = brick\nbrick_add = brick_add\nbrick_delete = brick_delete\nbrick_edit = brick_edit\nbrick_error = brick_error\nbrick_go = brick_go\nbrick_link = brick_link\nbricks = bricks\nbriefcase = briefcase\nbug = bug\nbug_add = bug_add\nbug_delete = bug_delete\nbug_edit = bug_edit\nbug_error = bug_error\nbug_go = bug_go\nbug_link = bug_link\nbuilding = building\nbuilding_add = building_add\nbuilding_delete = building_delete\nbuilding_edit = building_edit\nbuilding_error = building_error\nbuilding_go = building_go\nbuilding_key = building_key\nbuilding_link = building_link\nbullet_add = bullet_add\nbullet_arrow_bottom = bullet_arrow_bottom\nbullet_arrow_down = bullet_arrow_down\nbullet_arrow_top = bullet_arrow_top\nbullet_arrow_up = bullet_arrow_up\nbullet_black = bullet_black\nbullet_blue = bullet_blue\nbullet_delete = bullet_delete\nbullet_disk = bullet_disk\nbullet_error = bullet_error\nbullet_feed = bullet_feed\nbullet_go = bullet_go\nbullet_green = bullet_green\nbullet_key = bullet_key\nbullet_orange = bullet_orange\nbullet_picture = bullet_picture\nbullet_pink = bullet_pink\nbullet_purple = bullet_purple\nbullet_red = bullet_red\nbullet_star = bullet_star\nbullet_toggle_minus = bullet_toggle_minus\nbullet_toggle_plus = bullet_toggle_plus\nbullet_white = bullet_white\nbullet_wrench = bullet_wrench\nbullet_yellow = bullet_yellow\ncake = cake\ncalculator = calculator\ncalculator_add = calculator_add\ncalculator_delete = calculator_delete\ncalculator_edit = calculator_edit\ncalculator_error = calculator_error\ncalculator_link = calculator_link\ncalendar = calendar\ncalendar_add = calendar_add\ncalendar_delete = calendar_delete\ncalendar_edit = calendar_edit\ncalendar_link = calendar_link\ncalendar_view_day = calendar_view_day\ncalendar_view_month = calendar_view_month\ncalendar_view_week = calendar_view_week\ncamera = camera\ncamera_add = camera_add\ncamera_delete = camera_delete\ncamera_edit = camera_edit\ncamera_error = camera_error\ncamera_go = camera_go\ncamera_link = camera_link\ncamera_small = camera_small\ncancel = cancel\ncar = car\ncar_add = car_add\ncar_delete = car_delete\ncart = cart\ncart_add = cart_add\ncart_delete = cart_delete\ncart_edit = cart_edit\ncart_error = cart_error\ncart_go = cart_go\ncart_put = cart_put\ncart_remove = cart_remove\ncd = cd\ncd_add = cd_add\ncd_burn = cd_burn\ncd_delete = cd_delete\ncd_edit = cd_edit\ncd_eject = cd_eject\ncd_go = cd_go\nchart_bar = chart_bar\nchart_bar_add = chart_bar_add\nchart_bar_delete = chart_bar_delete\nchart_bar_edit = chart_bar_edit\nchart_bar_error = chart_bar_error\nchart_bar_link = chart_bar_link\nchart_curve = chart_curve\nchart_curve_add = chart_curve_add\nchart_curve_delete = chart_curve_delete\nchart_curve_edit = chart_curve_edit\nchart_curve_error = chart_curve_error\nchart_curve_go = chart_curve_go\nchart_curve_link = chart_curve_link\nchart_line = chart_line\nchart_line_add = chart_line_add\nchart_line_delete = chart_line_delete\nchart_line_edit = chart_line_edit\nchart_line_error = chart_line_error\nchart_line_link = chart_line_link\nchart_organisation = chart_organisation\nchart_organisation_add = chart_organisation_add\nchart_organisation_delete = chart_organisation_delete\nchart_pie = chart_pie\nchart_pie_add = chart_pie_add\nchart_pie_delete = chart_pie_delete\nchart_pie_edit = chart_pie_edit\nchart_pie_error = chart_pie_error\nchart_pie_link = chart_pie_link\nclock = clock\nclock_add = clock_add\nclock_delete = clock_delete\nclock_edit = clock_edit\nclock_error = clock_error\nclock_go = clock_go\nclock_link = clock_link\nclock_pause = clock_pause\nclock_play = clock_play\nclock_red = clock_red\nclock_stop = clock_stop\ncog = cog\ncog_add = cog_add\ncog_delete = cog_delete\ncog_edit = cog_edit\ncog_error = cog_error\ncog_go = cog_go\ncoins = coins\ncoins_add = coins_add\ncoins_delete = coins_delete\ncolor_swatch = color_swatch\ncolor_wheel = color_wheel\ncomment = comment\ncomment_add = comment_add\ncomment_delete = comment_delete\ncomment_edit = comment_edit\ncomments = comments\ncomments_add = comments_add\ncomments_delete = comments_delete\ncompress = compress\ncomputer = computer\ncomputer_add = computer_add\ncomputer_delete = computer_delete\ncomputer_edit = computer_edit\ncomputer_error = computer_error\ncomputer_go = computer_go\ncomputer_key = computer_key\ncomputer_link = computer_link\nconnect = connect\ncontrast = contrast\ncontrast_decrease = contrast_decrease\ncontrast_high = contrast_high\ncontrast_increase = contrast_increase\ncontrast_low = contrast_low\ncontrol_eject = control_eject\ncontrol_eject_blue = control_eject_blue\ncontrol_end = control_end\ncontrol_end_blue = control_end_blue\ncontrol_equalizer = control_equalizer\ncontrol_equalizer_blue = control_equalizer_blue\ncontrol_fastforward = control_fastforward\ncontrol_fastforward_blue = control_fastforward_blue\ncontrol_pause = control_pause\ncontrol_pause_blue = control_pause_blue\ncontrol_play = control_play\ncontrol_play_blue = control_play_blue\ncontrol_repeat = control_repeat\ncontrol_repeat_blue = control_repeat_blue\ncontrol_rewind = control_rewind\ncontrol_rewind_blue = control_rewind_blue\ncontrol_start = control_start\ncontrol_start_blue = control_start_blue\ncontrol_stop = control_stop\ncontrol_stop_blue = control_stop_blue\ncontroller = controller\ncontroller_add = controller_add\ncontroller_delete = controller_delete\ncontroller_error = controller_error\ncreditcards = creditcards\ncross = cross\ncss = css\ncss_add = css_add\ncss_delete = css_delete\ncss_go = css_go\ncss_valid = css_valid\ncup = cup\ncup_add = cup_add\ncup_delete = cup_delete\ncup_edit = cup_edit\ncup_error = cup_error\ncup_go = cup_go\ncup_key = cup_key\ncup_link = cup_link\ncursor = cursor\ncut = cut\ncut_red = cut_red\ndatabase = database\ndatabase_add = database_add\ndatabase_connect = database_connect\ndatabase_delete = database_delete\ndatabase_edit = database_edit\ndatabase_error = database_error\ndatabase_gear = database_gear\ndatabase_go = database_go\ndatabase_key = database_key\ndatabase_lightning = database_lightning\ndatabase_link = database_link\ndatabase_refresh = database_refresh\ndatabase_save = database_save\ndatabase_table = database_table\ndate = date\ndate_add = date_add\ndate_delete = date_delete\ndate_edit = date_edit\ndate_error = date_error\ndate_go = date_go\ndate_link = date_link\ndate_magnify = date_magnify\ndate_next = date_next\ndate_previous = date_previous\ndelete = delete\ndisconnect = disconnect\ndisk = disk\ndisk_multiple = disk_multiple\ndoor = door\ndoor_in = door_in\ndoor_open = door_open\ndoor_out = door_out\ndrink = drink\ndrink_empty = drink_empty\ndrive = drive\ndrive_add = drive_add\ndrive_burn = drive_burn\ndrive_cd = drive_cd\ndrive_cd_empty = drive_cd_empty\ndrive_delete = drive_delete\ndrive_disk = drive_disk\ndrive_edit = drive_edit\ndrive_error = drive_error\ndrive_go = drive_go\ndrive_key = drive_key\ndrive_link = drive_link\ndrive_magnify = drive_magnify\ndrive_network = drive_network\ndrive_rename = drive_rename\ndrive_user = drive_user\ndrive_web = drive_web\ndvd = dvd\ndvd_add = dvd_add\ndvd_delete = dvd_delete\ndvd_edit = dvd_edit\ndvd_error = dvd_error\ndvd_go = dvd_go\ndvd_key = dvd_key\ndvd_link = dvd_link\nemail = email\nemail_add = email_add\nemail_attach = email_attach\nemail_delete = email_delete\nemail_edit = email_edit\nemail_error = email_error\nemail_go = email_go\nemail_link = email_link\nemail_open = email_open\nemail_open_image = email_open_image\nemoticon_evilgrin = emoticon_evilgrin\nemoticon_grin = emoticon_grin\nemoticon_happy = emoticon_happy\nemoticon_smile = emoticon_smile\nemoticon_surprised = emoticon_surprised\nemoticon_tongue = emoticon_tongue\nemoticon_unhappy = emoticon_unhappy\nemoticon_waii = emoticon_waii\nemoticon_wink = emoticon_wink\nerror = error\nerror_add = error_add\nerror_delete = error_delete\nerror_go = error_go\nexclamation = exclamation\neye = eye\nfeed = feed\nfeed_add = feed_add\nfeed_delete = feed_delete\nfeed_disk = feed_disk\nfeed_edit = feed_edit\nfeed_error = feed_error\nfeed_go = feed_go\nfeed_key = feed_key\nfeed_link = feed_link\nfeed_magnify = feed_magnify\nfemale = female\nfilm = film\nfilm_add = film_add\nfilm_delete = film_delete\nfilm_edit = film_edit\nfilm_error = film_error\nfilm_go = film_go\nfilm_key = film_key\nfilm_link = film_link\nfilm_save = film_save\nfind = find\nflag_blue = flag_blue\nflag_green = flag_green\nflag_orange = flag_orange\nflag_pink = flag_pink\nflag_purple = flag_purple\nflag_red = flag_red\nflag_yellow = flag_yellow\nfolder = folder\nfolder_add = folder_add\nfolder_bell = folder_bell\nfolder_brick = folder_brick\nfolder_bug = folder_bug\nfolder_camera = folder_camera\nfolder_database = folder_database\nfolder_delete = folder_delete\nfolder_edit = folder_edit\nfolder_error = folder_error\nfolder_explore = folder_explore\nfolder_feed = folder_feed\nfolder_find = folder_find\nfolder_go = folder_go\nfolder_heart = folder_heart\nfolder_image = folder_image\nfolder_key = folder_key\nfolder_lightbulb = folder_lightbulb\nfolder_link = folder_link\nfolder_magnify = folder_magnify\nfolder_page = folder_page\nfolder_page_white = folder_page_white\nfolder_palette = folder_palette\nfolder_picture = folder_picture\nfolder_star = folder_star\nfolder_table = folder_table\nfolder_user = folder_user\nfolder_wrench = folder_wrench\nfont = font\nfont_add = font_add\nfont_delete = font_delete\nfont_go = font_go\ngroup = group\ngroup_add = group_add\ngroup_delete = group_delete\ngroup_edit = group_edit\ngroup_error = group_error\ngroup_gear = group_gear\ngroup_go = group_go\ngroup_key = group_key\ngroup_link = group_link\nheart = heart\nheart_add = heart_add\nheart_delete = heart_delete\nhelp = help\nhourglass = hourglass\nhourglass_add = hourglass_add\nhourglass_delete = hourglass_delete\nhourglass_go = hourglass_go\nhourglass_link = hourglass_link\nhouse = house\nhouse_go = house_go\nhouse_link = house_link\nhtml = html\nhtml_add = html_add\nhtml_delete = html_delete\nhtml_go = html_go\nhtml_valid = html_valid\nimage = image\nimage_add = image_add\nimage_delete = image_delete\nimage_edit = image_edit\nimage_link = image_link\nimages = images\nindex_abc = index_abc\ninformation = information\nipod = ipod\nipod_cast = ipod_cast\nipod_cast_add = ipod_cast_add\nipod_cast_delete = ipod_cast_delete\nipod_sound = ipod_sound\njoystick = joystick\njoystick_add = joystick_add\njoystick_delete = joystick_delete\njoystick_error = joystick_error\nkey = key\nkey_add = key_add\nkey_delete = key_delete\nkey_go = key_go\nkeyboard = keyboard\nkeyboard_add = keyboard_add\nkeyboard_delete = keyboard_delete\nkeyboard_magnify = keyboard_magnify\nlayers = layers\nlayout = layout\nlayout_add = layout_add\nlayout_content = layout_content\nlayout_delete = layout_delete\nlayout_edit = layout_edit\nlayout_error = layout_error\nlayout_header = layout_header\nlayout_link = layout_link\nlayout_sidebar = layout_sidebar\nlightbulb = lightbulb\nlightbulb_add = lightbulb_add\nlightbulb_delete = lightbulb_delete\nlightbulb_off = lightbulb_off\nlightning = lightning\nlightning_add = lightning_add\nlightning_delete = lightning_delete\nlightning_go = lightning_go\nlink = link\nlink_add = link_add\nlink_break = link_break\nlink_delete = link_delete\nlink_edit = link_edit\nlink_error = link_error\nlink_go = link_go\nlock = lock\nlock_add = lock_add\nlock_break = lock_break\nlock_delete = lock_delete\nlock_edit = lock_edit\nlock_go = lock_go\nlock_open = lock_open\nlorry = lorry\nlorry_add = lorry_add\nlorry_delete = lorry_delete\nlorry_error = lorry_error\nlorry_flatbed = lorry_flatbed\nlorry_go = lorry_go\nlorry_link = lorry_link\nmagifier_zoom_out = magifier_zoom_out\nmagnifier = magnifier\nmagnifier_zoom_in = magnifier_zoom_in\nmale = male\nmap = map\nmap_add = map_add\nmap_delete = map_delete\nmap_edit = map_edit\nmap_go = map_go\nmap_magnify = map_magnify\nmedal_bronze_1 = medal_bronze_1\nmedal_bronze_2 = medal_bronze_2\nmedal_bronze_3 = medal_bronze_3\nmedal_bronze_add = medal_bronze_add\nmedal_bronze_delete = medal_bronze_delete\nmedal_gold_1 = medal_gold_1\nmedal_gold_2 = medal_gold_2\nmedal_gold_3 = medal_gold_3\nmedal_gold_add = medal_gold_add\nmedal_gold_delete = medal_gold_delete\nmedal_silver_1 = medal_silver_1\nmedal_silver_2 = medal_silver_2\nmedal_silver_3 = medal_silver_3\nmedal_silver_add = medal_silver_add\nmedal_silver_delete = medal_silver_delete\nmoney = money\nmoney_add = money_add\nmoney_delete = money_delete\nmoney_dollar = money_dollar\nmoney_euro = money_euro\nmoney_pound = money_pound\nmoney_yen = money_yen\nmonitor = monitor\nmonitor_add = monitor_add\nmonitor_delete = monitor_delete\nmonitor_edit = monitor_edit\nmonitor_error = monitor_error\nmonitor_go = monitor_go\nmonitor_lightning = monitor_lightning\nmonitor_link = monitor_link\nmouse = mouse\nmouse_add = mouse_add\nmouse_delete = mouse_delete\nmouse_error = mouse_error\nmusic = music\nnew = new\nnewspaper = newspaper\nnewspaper_add = newspaper_add\nnewspaper_delete = newspaper_delete\nnewspaper_go = newspaper_go\nnewspaper_link = newspaper_link\nnote = note\nnote_add = note_add\nnote_delete = note_delete\nnote_edit = note_edit\nnote_error = note_error\nnote_go = note_go\noverlays = overlays\npackage = package\npackage_add = package_add\npackage_delete = package_delete\npackage_go = package_go\npackage_green = package_green\npackage_link = package_link\npage = page\npage_add = page_add\npage_attach = page_attach\npage_code = page_code\npage_copy = page_copy\npage_delete = page_delete\npage_edit = page_edit\npage_error = page_error\npage_excel = page_excel\npage_find = page_find\npage_gear = page_gear\npage_go = page_go\npage_green = page_green\npage_key = page_key\npage_lightning = page_lightning\npage_link = page_link\npage_paintbrush = page_paintbrush\npage_paste = page_paste\npage_red = page_red\npage_refresh = page_refresh\npage_save = page_save\npage_white = page_white\npage_white_acrobat = page_white_acrobat\npage_white_actionscript = page_white_actionscript\npage_white_add = page_white_add\npage_white_c = page_white_c\npage_white_camera = page_white_camera\npage_white_cd = page_white_cd\npage_white_code = page_white_code\npage_white_code_red = page_white_code_red\npage_white_coldfusion = page_white_coldfusion\npage_white_compressed = page_white_compressed\npage_white_copy = page_white_copy\npage_white_cplusplus = page_white_cplusplus\npage_white_csharp = page_white_csharp\npage_white_cup = page_white_cup\npage_white_database = page_white_database\npage_white_delete = page_white_delete\npage_white_dvd = page_white_dvd\npage_white_edit = page_white_edit\npage_white_error = page_white_error\npage_white_excel = page_white_excel\npage_white_find = page_white_find\npage_white_flash = page_white_flash\npage_white_freehand = page_white_freehand\npage_white_gear = page_white_gear\npage_white_get = page_white_get\npage_white_go = page_white_go\npage_white_h = page_white_h\npage_white_horizontal = page_white_horizontal\npage_white_key = page_white_key\npage_white_lightning = page_white_lightning\npage_white_link = page_white_link\npage_white_magnify = page_white_magnify\npage_white_medal = page_white_medal\npage_white_office = page_white_office\npage_white_paint = page_white_paint\npage_white_paintbrush = page_white_paintbrush\npage_white_paste = page_white_paste\npage_white_php = page_white_php\npage_white_picture = page_white_picture\npage_white_powerpoint = page_white_powerpoint\npage_white_put = page_white_put\npage_white_ruby = page_white_ruby\npage_white_stack = page_white_stack\npage_white_star = page_white_star\npage_white_swoosh = page_white_swoosh\npage_white_text = page_white_text\npage_white_text_width = page_white_text_width\npage_white_tux = page_white_tux\npage_white_vector = page_white_vector\npage_white_visualstudio = page_white_visualstudio\npage_white_width = page_white_width\npage_white_word = page_white_word\npage_white_world = page_white_world\npage_white_wrench = page_white_wrench\npage_white_zip = page_white_zip\npage_word = page_word\npage_world = page_world\npaintbrush = paintbrush\npaintcan = paintcan\npalette = palette\npaste_plain = paste_plain\npaste_word = paste_word\npencil = pencil\npencil_add = pencil_add\npencil_delete = pencil_delete\npencil_go = pencil_go\nphone = phone\nphone_add = phone_add\nphone_delete = phone_delete\nphone_sound = phone_sound\nphoto = photo\nphoto_add = photo_add\nphoto_delete = photo_delete\nphoto_link = photo_link\nphotos = photos\npicture = picture\npicture_add = picture_add\npicture_delete = picture_delete\npicture_edit = picture_edit\npicture_empty = picture_empty\npicture_error = picture_error\npicture_go = picture_go\npicture_key = picture_key\npicture_link = picture_link\npicture_save = picture_save\npictures = pictures\npilcrow = pilcrow\npill = pill\npill_add = pill_add\npill_delete = pill_delete\npill_go = pill_go\nplugin = plugin\nplugin_add = plugin_add\nplugin_delete = plugin_delete\nplugin_disabled = plugin_disabled\nplugin_edit = plugin_edit\nplugin_error = plugin_error\nplugin_go = plugin_go\nplugin_link = plugin_link\nprinter = printer\nprinter_add = printer_add\nprinter_delete = printer_delete\nprinter_empty = printer_empty\nprinter_error = printer_error\nrainbow = rainbow\nreport = report\nreport_add = report_add\nreport_delete = report_delete\nreport_disk = report_disk\nreport_edit = report_edit\nreport_go = report_go\nreport_key = report_key\nreport_link = report_link\nreport_magnify = report_magnify\nreport_picture = report_picture\nreport_user = report_user\nreport_word = report_word\nresultset_first = resultset_first\nresultset_last = resultset_last\nresultset_next = resultset_next\nresultset_previous = resultset_previous\nrosette = rosette\nrss = rss\nrss_add = rss_add\nrss_delete = rss_delete\nrss_go = rss_go\nrss_valid = rss_valid\nruby = ruby\nruby_add = ruby_add\nruby_delete = ruby_delete\nruby_gear = ruby_gear\nruby_get = ruby_get\nruby_go = ruby_go\nruby_key = ruby_key\nruby_link = ruby_link\nruby_put = ruby_put\nscript = script\nscript_add = script_add\nscript_code = script_code\nscript_code_red = script_code_red\nscript_delete = script_delete\nscript_edit = script_edit\nscript_error = script_error\nscript_gear = script_gear\nscript_go = script_go\nscript_key = script_key\nscript_lightning = script_lightning\nscript_link = script_link\nscript_palette = script_palette\nscript_save = script_save\nserver = server\nserver_add = server_add\nserver_chart = server_chart\nserver_compressed = server_compressed\nserver_connect = server_connect\nserver_database = server_database\nserver_delete = server_delete\nserver_edit = server_edit\nserver_error = server_error\nserver_go = server_go\nserver_key = server_key\nserver_lightning = server_lightning\nserver_link = server_link\nserver_uncompressed = server_uncompressed\nshading = shading\nshape_align_bottom = shape_align_bottom\nshape_align_center = shape_align_center\nshape_align_left = shape_align_left\nshape_align_middle = shape_align_middle\nshape_align_right = shape_align_right\nshape_align_top = shape_align_top\nshape_flip_horizontal = shape_flip_horizontal\nshape_flip_vertical = shape_flip_vertical\nshape_group = shape_group\nshape_handles = shape_handles\nshape_move_back = shape_move_back\nshape_move_backwards = shape_move_backwards\nshape_move_forwards = shape_move_forwards\nshape_move_front = shape_move_front\nshape_rotate_anticlockwise = shape_rotate_anticlockwise\nshape_rotate_clockwise = shape_rotate_clockwise\nshape_square = shape_square\nshape_square_add = shape_square_add\nshape_square_delete = shape_square_delete\nshape_square_edit = shape_square_edit\nshape_square_error = shape_square_error\nshape_square_go = shape_square_go\nshape_square_key = shape_square_key\nshape_square_link = shape_square_link\nshape_ungroup = shape_ungroup\nshield = shield\nshield_add = shield_add\nshield_delete = shield_delete\nshield_go = shield_go\nsitemap = sitemap\nsitemap_color = sitemap_color\nsound = sound\nsound_add = sound_add\nsound_delete = sound_delete\nsound_low = sound_low\nsound_mute = sound_mute\nsound_none = sound_none\nspellcheck = spellcheck\nsport_8ball = sport_8ball\nsport_basketball = sport_basketball\nsport_football = sport_football\nsport_golf = sport_golf\nsport_raquet = sport_raquet\nsport_shuttlecock = sport_shuttlecock\nsport_soccer = sport_soccer\nsport_tennis = sport_tennis\nstar = star\nstatus_away = status_away\nstatus_busy = status_busy\nstatus_offline = status_offline\nstatus_online = status_online\nstop = stop\nstyle = style\nstyle_add = style_add\nstyle_delete = style_delete\nstyle_edit = style_edit\nstyle_go = style_go\nsum = sum\ntab = tab\ntab_add = tab_add\ntab_delete = tab_delete\ntab_edit = tab_edit\ntab_go = tab_go\ntable = table\ntable_add = table_add\ntable_delete = table_delete\ntable_edit = table_edit\ntable_error = table_error\ntable_gear = table_gear\ntable_go = table_go\ntable_key = table_key\ntable_lightning = table_lightning\ntable_link = table_link\ntable_multiple = table_multiple\ntable_refresh = table_refresh\ntable_relationship = table_relationship\ntable_row_delete = table_row_delete\ntable_row_insert = table_row_insert\ntable_save = table_save\ntable_sort = table_sort\ntag = tag\ntag_blue = tag_blue\ntag_blue_add = tag_blue_add\ntag_blue_delete = tag_blue_delete\ntag_blue_edit = tag_blue_edit\ntag_green = tag_green\ntag_orange = tag_orange\ntag_pink = tag_pink\ntag_purple = tag_purple\ntag_red = tag_red\ntag_yellow = tag_yellow\ntelephone = telephone\ntelephone_add = telephone_add\ntelephone_delete = telephone_delete\ntelephone_edit = telephone_edit\ntelephone_error = telephone_error\ntelephone_go = telephone_go\ntelephone_key = telephone_key\ntelephone_link = telephone_link\ntelevision = television\ntelevision_add = television_add\ntelevision_delete = television_delete\ntext_align_center = text_align_center\ntext_align_justify = text_align_justify\ntext_align_left = text_align_left\ntext_align_right = text_align_right\ntext_allcaps = text_allcaps\ntext_bold = text_bold\ntext_columns = text_columns\ntext_dropcaps = text_dropcaps\ntext_heading_1 = text_heading_1\ntext_heading_2 = text_heading_2\ntext_heading_3 = text_heading_3\ntext_heading_4 = text_heading_4\ntext_heading_5 = text_heading_5\ntext_heading_6 = text_heading_6\ntext_horizontalrule = text_horizontalrule\ntext_indent = text_indent\ntext_indent_remove = text_indent_remove\ntext_italic = text_italic\ntext_kerning = text_kerning\ntext_letter_omega = text_letter_omega\ntext_letterspacing = text_letterspacing\ntext_linespacing = text_linespacing\ntext_list_bullets = text_list_bullets\ntext_list_numbers = text_list_numbers\ntext_lowercase = text_lowercase\ntext_padding_bottom = text_padding_bottom\ntext_padding_left = text_padding_left\ntext_padding_right = text_padding_right\ntext_padding_top = text_padding_top\ntext_replace = text_replace\ntext_signature = text_signature\ntext_smallcaps = text_smallcaps\ntext_strikethrough = text_strikethrough\ntext_subscript = text_subscript\ntext_superscript = text_superscript\ntext_underline = text_underline\ntext_uppercase = text_uppercase\ntextfield = textfield\ntextfield_add = textfield_add\ntextfield_delete = textfield_delete\ntextfield_key = textfield_key\ntextfield_rename = textfield_rename\nthumb_down = thumb_down\nthumb_up = thumb_up\ntick = tick\ntime = time\ntime_add = time_add\ntime_delete = time_delete\ntime_go = time_go\ntimeline_marker = timeline_marker\ntransmit = transmit\ntransmit_add = transmit_add\ntransmit_blue = transmit_blue\ntransmit_delete = transmit_delete\ntransmit_edit = transmit_edit\ntransmit_error = transmit_error\ntransmit_go = transmit_go\ntux = tux\nuser = user\nuser_add = user_add\nuser_comment = user_comment\nuser_delete = user_delete\nuser_edit = user_edit\nuser_female = user_female\nuser_go = user_go\nuser_gray = user_gray\nuser_green = user_green\nuser_orange = user_orange\nuser_red = user_red\nuser_suit = user_suit\nvcard = vcard\nvcard_add = vcard_add\nvcard_delete = vcard_delete\nvcard_edit = vcard_edit\nvector = vector\nvector_add = vector_add\nvector_delete = vector_delete\nwand = wand\nweather_clouds = weather_clouds\nweather_cloudy = weather_cloudy\nweather_lightning = weather_lightning\nweather_rain = weather_rain\nweather_snow = weather_snow\nweather_sun = weather_sun\nwebcam = webcam\nwebcam_add = webcam_add\nwebcam_delete = webcam_delete\nwebcam_error = webcam_error\nworld = world\nworld_add = world_add\nworld_delete = world_delete\nworld_edit = world_edit\nworld_go = world_go\nworld_link = world_link\nwrench = wrench\nwrench_orange = wrench_orange\nxhtml = xhtml\nxhtml_add = xhtml_add\nxhtml_delete = xhtml_delete\nxhtml_go = xhtml_go\nxhtml_valid = xhtml_valid\nzoom = zoom\nzoom_in = zoom_in\nzoom_out = zoom_out	1.1		IconThemes.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	f	xwiki/2.1	t
-6140736936410737134	IconThemesCode.IconPicker	IconPicker	Icon Picker			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-11-05 07:04:41	XWiki.Admin	XWiki.Admin	XWiki.Admin	IconThemesCode	{{velocity}}\n###########################\n## GLOBALS\n###########################\n#set($xwikiIcons = ['home', 'wiki', 'space', 'page', 'check', 'add', 'anchor', 'terminal', 'list', 'branch', 'down', 'up', 'left', 'right', 'arrows', 'repeat', 'undo', 'refresh', 'rotate-left', 'rotate-right', 'switch', 'random', 'attach', 'shopping-cart', 'bell', 'trash', 'bomb', 'book', 'cube', 'cubes', 'briefcase', 'bug', 'building', 'caret-down', 'caret-up', 'caret-right', 'calculator', 'calendar', 'camera', 'remove', 'cross', 'car', 'truck', 'chart-bar', 'chart-organisation', 'cloud', 'clock', 'cog', 'comment', 'comments', 'desktop', 'contrast', 'eject', 'step-forward', 'step-backward', 'fast-forward', 'backward', 'play', 'pause', 'stop', 'gamepad', 'credit-card', 'coffee', 'cut', 'database', 'delete', 'floppy-disk', 'glass', 'drive', 'envelope', 'warning', 'error', 'info', 'eye', 'rss', 'female', 'male', 'film', 'flag', 'search', 'search-plus', 'search-minus', 'folder', 'user', 'group', 'heart', 'question', 'image', 'key', 'keyboard', 'lightbulb', 'link', 'unlink', 'lock', 'unlock', 'money', 'dollar', 'euro', 'gbp', 'yen', 'music', 'file', 'file-white', 'file-pdf', 'file-code', 'file-archive', 'file-word', 'file-excel', 'file-powerpoint', 'file-text', 'paste', 'pencil', 'print', 'shield', 'certificate', 'volume-up', 'volume-down', 'volume-off', 'soccer', 'star', 'table', 'phone', 'font', 'bold', 'italic', 'strikethrough', 'subscript', 'superscript', 'underline', 'align-center', 'align-justify', 'align-left', 'align-right', 'columns', 'indent-left', 'indent-right', 'list-bullets', 'list-numbers', 'sun', 'world', 'wrench'])\n###########################\n## DATA: ICON THEMES\n###########################\n#if($request.action == 'data_iconthemes')\n  #set($map = {})\n  #set($discard = $map.put('iconThemes', $services.icon.iconSetNames))\n  #set($discard = $map.put('currentIconTheme', $services.icon.currentIconSetName))\n  $jsontool.serialize($map)\n###########################\n## DATA: ICONS\n###########################\n#elseif($request.action == 'data_icons')\n  #set($icons = [])\n  #set($iconTheme = $request.iconTheme)\n  #foreach($xwikiIcon in $xwikiIcons)\n    #set($icon = {})\n    #set($discard = $icon.put('name', $xwikiIcon))\n    #set($discard = $icon.put('render', $services.icon.renderHTML($xwikiIcon, $iconTheme)))\n    #set($discard = $icons.add($icon))\n  #end\n  $jsontool.serialize($icons)\n#else\n= Presentation =\nThe Icon Picker is a jQuery plugin written by XWiki to help user selecting an icon. See [[IconPickerMacro]] for using this picker easily. If you want to use it manually, read the following.\n\n== Example ==\nWith Velocity and HTML:\n\n{{code language="none"}}\n// Enable the CSS of the picker:\n\\#set(\\$discard = \\$xwiki.ssx.use('IconThemesCode.IconPicker'))\n\n// JavaScript code:\n<script language="javascript">\n\n// Configure requirejs to load the picker code\nrequire.config({\n  paths: {\n    'xwiki-icon-picker': '\\$xwiki.getURL($services.model.createDocumentReference('', 'IconThemesCode', 'IconPicker'), 'jsx', "minify=$!request.minify")'\n  }\n});\n\n// Require jquery and the icon picker\nrequire(['jquery', 'xwiki-icon-picker'], function($) {\n  // Here you can bind the picker to some elements.\n  // Examples:\n  $('#someElement').xwikiIconPicker(); // apply the picker to the field #someElement\n  $('#someElement').xwikiIconPicker({prefix: 'image:icon:'}); // change the prefix inserted before the icon name\n});\n\n</script>\n{{/code}}\n#end\n{{/velocity}}\n	1.1		IconThemes.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	f	xwiki/2.1	t
-8517257823106361140	IconThemesCode.Translations	Translations		fr	en	1	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-12-04 10:45:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	IconThemesCode	## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nplatform.icon.picker.loading=Chargement en cours\nplatform.icon.picker.preview=Prévisualiser avec \\:\nrendering.macro.iconPicker.description=Sélectionnez une icône dans le set d'icônes XWiki.\nrendering.macro.iconPicker.name=Sélecteur d'icônes\nrendering.macro.iconPicker.parameter.class.description=Classe CSS des entrées où le sélecteur s'appliquera\nrendering.macro.iconPicker.parameter.class.name=Class\nrendering.macro.iconPicker.parameter.id.description=DOM Id du champ d'entrée où le sélecteur s'appliquera\nrendering.macro.iconPicker.parameter.id.name=Id\nrendering.macro.iconPicker.parameter.prefix.description=Préfixe à ajouter avant le nom de l'icône dans le champ de saisie (par défaut\\: "image\\:icon\\:")\nrendering.macro.iconPicker.parameter.prefix.name=Prefix\n	1.1		IconThemes.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	f	plain/1.0	t
9193954563192521528	IconThemesCode.IconThemeSheet	IconThemeSheet	#if($doc.name == 'IconThemeSheet')IconTheme Sheet#{else}$services.display.title($doc, {'displayerHint': 'default'})#end			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-07-31 11:28:46	XWiki.Admin	XWiki.Admin	XWiki.Admin	IconThemesCode	{{velocity}}\n#if($doc.fullName != 'IconThemesCode.IconThemeSheet')\n{{info}}\nThis document is an Icon Theme.\n{{/info}}\n\n\n{{{\n$doc.content\n}}}\n#else\nSheet of [[IconThemesCode.IconThemeClass]]\n#end\n{{/velocity}}	1.1		IconThemes.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	f	xwiki/2.1	t
-2456991300148189947	IconThemesCode.IconPickerMacro	IconPickerMacro	Icon Picker Macro			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-12-04 05:33:17	XWiki.Admin	XWiki.Admin	XWiki.Admin	IconThemesCode	= Usage =\n{{code}}\n{{iconPicker id="" class="" prefix="" /}}\n{{/code}}\n\n**Where:**\n|=id (optional)|DOM id of the input field where the picker will apply\n|=class (optional)|CSS class of inputs where the picker will apply\n|=prefix (optional)|Prefix to add before the name of the icon in the input field (default: "{{{image:icon:}}}")\n== Live example ==\n{{code}}\n{{html}}\n  <p>Field 1: <input type="text" id="myPicker" /></p>\n  <p>Field 2: <input type="text" class="fieldWithPicker" /></p>\n{{/html}}\n\n{{iconPicker id="myPicker" class="fieldWithPicker" prefix="icon:" /}}\n{{/code}}\n== Play with it ==\n{{html}}\n  <p>Field 1: <input type="text" id="myPicker" /></p>\n  <p>Field 2: <input type="text" class="fieldWithPicker" /></p>\n{{/html}}\n\n{{iconPicker id="myPicker" class="fieldWithPicker" prefix="icon:" /}}	1.1		IconThemes.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	f	xwiki/2.1	t
-7843960945029819360	IconThemesCode.Translations	Translations			en	0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-12-04 10:45:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	IconThemesCode	platform.icon.picker.preview=Preview with:\nplatform.icon.picker.loading=Loading\n\nrendering.macro.iconPicker.name=Icon Picker\nrendering.macro.iconPicker.description=Select an icon within the XWiki icon set.\nrendering.macro.iconPicker.parameter.id.name=Id\nrendering.macro.iconPicker.parameter.id.description=DOM id of the input field where the picker will apply\nrendering.macro.iconPicker.parameter.class.name=Class\nrendering.macro.iconPicker.parameter.class.description=CSS class of inputs where the picker will apply\nrendering.macro.iconPicker.parameter.prefix.name=Prefix\nrendering.macro.iconPicker.parameter.prefix.description=Prefix to add before the name of the icon in the input field (default: "image:icon:")	1.1		IconThemes.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	f	plain/1.0	t
-957609889690348152	IconThemesCode.IconThemeClass	IconThemeClass				0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-07-31 11:01:01	XWiki.Admin	XWiki.Admin	XWiki.Admin	IconThemesCode		1.1		IconThemes.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>IconThemesCode.IconThemeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n	2			Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	f	xwiki/2.1	t
2412844245718553178	IconThemesCode.Translations	Translations		lv	en	1	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-12-04 10:45:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	IconThemesCode	## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nplatform.icon.picker.loading=Ielādē\nplatform.icon.picker.preview=Priekšskatīt ar\\:\nrendering.macro.iconPicker.description=Izvēlieties ikonu no XWiki ikonu krājuma.\nrendering.macro.iconPicker.name=Ikonu izvēle\nrendering.macro.iconPicker.parameter.class.description=Ievadlauka CSS klase, kurai tiks piemērota izvēlne\nrendering.macro.iconPicker.parameter.class.name=Klase\nrendering.macro.iconPicker.parameter.id.description=Ievadlauku DOM identifikators, kuram tiks piemērota izvēlne\nrendering.macro.iconPicker.parameter.id.name=Id\nrendering.macro.iconPicker.parameter.prefix.description=Ievadlauka ikonas nosaukuma priedēklis (noklusētais\\: "image\\:icon\\:")\nrendering.macro.iconPicker.parameter.prefix.name=Priedēklis\n	1.1		IconThemes.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	f	plain/1.0	t
4558503330241644016	IconThemes.FontAwesome	FontAwesome				0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-07-31 11:25:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	IconThemes	## General settings\nxwiki.iconset.type = font\nxwiki.iconset.ssx = IconThemes.FontAwesome\nxwiki.iconset.jsx = IconThemes.FontAwesome\nxwiki.iconset.render.wiki = {{html clean="false"}}<span class="fa fa-$icon"></span>{{/html}}\nxwiki.iconset.render.html = <span class="fa fa-$icon"></span>\n\n## XWiki Icon Set (see: http://design.xwiki.org/xwiki/bin/view/Proposal/XWiki+Icon+Set).\nhome = home\nwiki = globe\nspace = folder\npage = file-o\ncheck = check\nadd = plus\nanchor = anchor\nterminal = terminal\nlist = list-alt\nbranch = code-fork\ndown = arrow-down\nup = arrow-up\nleft = arrow-left\nright = arrow-right\narrows = arrows-alt\nrepeat = repeat\nundo = undo\nrefresh = refresh\nrotate-left = rotate-left\nrotate-right = rotate-right\nswitch = random\nrandom = random\nattach = paperclip\nshopping-cart = shopping-cart\nbell = bell\ntrash = trash\nbomb = bomb\nbook = book\ncube = cube\ncubes = cubes\nbriefcase = briefcase\nbug = bug\nbuilding = building\ncaret-down = caret-down\ncaret-up = caret-up\ncaret-right = caret-right\ncalculator = calculator\ncalendar = calendar\ncamera = camera\nremove = times-circle\ncross = times\ncar = car\ntruck = truck\nchart-bar = bar-chart-o\nchart-organisation = sitemap\ncloud = cloud\nclock = clock-o\ncog = cog\ncomment = comment\ncomments = comments\ndesktop = desktop\ncontrast = adjust\neject = eject\nstep-forward = step-forward\nstep-backward = step-backward\nfast-forward = fast-forward\nbackward = backward\nplay = play\npause = pause\nstop = stop\ngamepad = gamepad\ncredit-card = credit-card\ncoffee = coffee\ncut = cut\ndatabase = database\ndelete = minus-circle\nfloppy-disk = floppy-o\nglass = glass\ndrive = hdd-o\nenvelope = envelope-o\nwarning = exclamation-triangle\nerror = exclamation-circle\ninfo = info-circle\neye = eye\nfemale = female\nmale = male\nfilm = film\nflag = flag\nsearch = search\nsearch-plus = search-plus\nsearch-minus = search-minus\nfolder = folder\nuser = user\ngroup = group\nheart = heart\nquestion = question-circle\nimage = image\nkey = key\nkeyboard = keyboard-o\nlightbulb = lightbulb-o\nlink = link\nunlink = unlink\nlock = lock\nunlock = unlock\nmoney = money\ndollar = dollar\neuro = euro\ngbp = gbp\nyen = yen\nmusic = music\nfile = file\nfile-white = file-o\nfile-pdf = file-pdf-o\nfile-code = file-code-o\nfile-archive = file-archive-o\nfile-word = file-word-o\nfile-excel = file-excel-o\nfile-powerpoint = file-powerpoint-o\nfile-text = file-text-o\npaste = paste\npencil = pencil\nprint = print\nshield = shield\ncertificate = certificate\nvolume-up = volume-up\nvolume-down = volume-down\nvolume-off = volume-off\nsoccer = futbol-o\nstar = star\ntable = table\nphone = phone\nfont = font\nbold = bold\nitalic = italic\nstrikethrough = strikethrough\nsubscript = subscript\nsuperscript = superscript\nunderline = underline\nalign-center = align-center\nalign-justify = align-justify\nalign-left = align-left\nalign-right = align-right\ncolumns = columns\nindent-left = indent\nindent-right = outdent\nlist-bullets = list-ul\nlist-numbers = list-ol\nsun = sun-o\nworld = globe\nwrench = wrench\n\n## Silk icons for backward compatibility (see: http://design.xwiki.org/xwiki/bin/view/Proposal/Silk+Mapping).\naccept = check\nadd = plus-circle\nanchor = anchor\napplication = square-o\napplication_osx_terminal = terminal\napplication_view_list = list-alt\napplication_view_tile = th-large\napplication_xp_terminal = terminal\narrow_branch = code-fork\narrow_divide = code-fork\narrow_down = arrow-down\narrow_inout = arrows-alt\narrow_left = arrow-left\narrow_out = arrows-alt\narrow_redo = repeat\narrow_refresh = refresh\narrow_refresh_small = refresh\narrow_right = arrow-right\narrow_rotate_anticlockwise = rotate-left\narrow_rotate_clockwise = rotate-right\narrow_switch = random\narrow_turn_left = share\narrow_turn_right = reply\narrow_undo = undo\narrow_up = arrow-up\nasterisk_orange = asterisk\nasterisk_yellow = asterisk\nattach = paperclip\nbasket = shopping-cart\nbell = bell\nbin = trash-o\nbomb = bomb\nbook = book\nbox = cube\nbricks = cubes\nbriefcase = briefcase\nbug = bug\nbuilding = building\nbullet_arrow_down = caret-down\nbullet_arrow_up = caret-up\nbullet_go = caret-right\ncalculator = calculator\ncalendar = calendar\ncamera = camera\ncancel = times-circle\ncar = car\ncart = shopping-cart\nchart_line = line-chart\nchart_pie = pie-chart\nchart_bar = bar-chart-o\nchart_organisation = sitemap\nweather_clouds = cloud\nclock = clock-o\ncog = cog\ncomment = comment\ncomments = comments\ncomputer = desktop\ncontrast = adjust\ncontrol_eject = eject\ncontrol_end = step-forward\ncontrol_equalizer = sliders\ncontrol_fastforward = fast-forward\ncontrol_pause = pause\ncontrol_play = play\ncontrol_rewind = backward\ncontrol_start = step-backward\ncontrol_stop = stop\ncontroller = gamepad\ncreditcards = credit-card\ncross = times\ncup = coffee\ncut = cut\ndatabase = database\ndelete = minus-circle\ndisk = floppy-o\ndrink = glass\ndrive = hdd-o\nemail = envelope-o\nerror = exclamation-triangle\nexclamation = exclamation-circle\neye = eye\nfeed = rss-square\nfemale = female\nfilm = film\nfind = search\nflag = flag\nfolder = folder\nfont = font\ngroup = group\nheart = heart\nhelp = question-circle\nhouse = home\nimage = image\ninformation = info-circle\nipod = tablet\njoystick = gamepad\nkey = key\nkeyboard = keyboard-o\nlayout = columns\nlightbulb = lightbulb-o\nlink = link\nlink_break = unlink\nlock = lock\nlock_open = unlock\nlorry = truck\nmagifier_zoom_out = search-minus\nmagnifier = search\nmagnifier_zoom_in = search-plus\nmale = male\nmap = map-marker\nmoney = money\nmoney_dollar = dollar\nmoney_euro = euro\nmoney_pound = gbp\nmoney_yen = yen\nmonitor = desktop\nmusic = music\npage = file\npage_white = file-o\npage_white_acrobat = file-pdf-o\npage_white_code = file-code-o\npage_white_compressed = file-archive-o\npage_white_excel = file-excel-o\npage_white_picture = file-image-o\npage_white_powerpoint = file-powerpoint-o\npage_white_text = file-text-o\npage_white_word = file-word-o\npage_white_zip = file-archive-o\npaste_plain = paste\npencil = pencil\nphone = mobile\nphoto = photo\npicture = file-image-o\nprinter = print\nrosette = certificate\nrss = rss\nshield = shield\nsound = volume-up\nsound_low = volume-down\nsound_none = volume-off\nsport_soccer = futbol-o\nstar = star\nstyle = font\ntable = table\ntag = tag\ntelephone = phone\ntext_align_center = align-center\ntext_align_justify = align-justify\ntext_align_left = align-left\ntext_align_right = align-right\ntext_bold = bold\ntext_columns = columns\ntext_indent = indent\ntext_indent_remove = outdent\ntext_italic = italic\ntext_list_bullets = list-ul\ntext_list_numbers = list-ol\ntext_strikethrough = strikethrough\ntext_subscript = subscript\ntext_superscript = superscript\ntext_underline = underline\ntime = clock-o\ntransmit = rss\nuser = user\nweather_clouds = cloud\nweather_sun = sun-o\nwebcam = video-camera\nworld = globe\nwrench = wrench\nzoom = search\nzoom_in = search-plus\nzoom_out = search-minus	1.1		IconThemes.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-icon-fontawesome-7.1.2]	f	xwiki/2.1	t
5044321162092350936	Main.AllDocs	AllDocs	$services.localization.render('platform.index.documents')			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2009-09-08 18:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	Main	{{velocity}}\n##================\n## Find which tab to display\n##================\n#if("$!{view}" == '')\n  #set($view = $request.getParameter('view'))\n  #if("$!{view}" == '')\n    #set ($view = 'index')\n  #end\n#end\n##========\n## Set Tab Data\n##========\n#set($tabs = [])\n#macro(addAllDocsTab $tab)\n  #if($xwiki.hasAccessLevel('view', "$!xcontext.user", $tab.get('document')))\n    #set($discard = $tabs.add($tab))\n  #end\n#end\n#addAllDocsTab({'tabName' : 'index', 'idSuffix' : 'index', 'translationKey' : 'platform.index', 'document' : 'XWiki.Tableview'})\n#addAllDocsTab({'tabName' : 'tree', 'idSuffix' : 'treeview', 'translationKey' : 'platform.index.tree', 'document' : 'XWiki.Treeview'})\n#addAllDocsTab({'tabName' : 'orphans', 'idSuffix' : 'orphansview', 'translationKey' : 'platform.index.orphaned', 'document' : 'XWiki.OrphanedPages'})\n#addAllDocsTab({'tabName' : 'attachments', 'idSuffix' : 'attachments', 'translationKey' : 'platform.index.attachments', 'document' : 'XWiki.AllAttachments'})\n#addAllDocsTab({'tabName' : 'deletedDocs', 'idSuffix' : 'deletedDocs', 'translationKey' : 'platform.index.documentsTrash', 'document' : 'XWiki.DeletedDocuments'})\n#addAllDocsTab({'tabName' : 'deletedAttachments', 'idSuffix' : 'deletedAttachments', 'translationKey' : 'platform.index.attachmentsTrash', 'document' : 'XWiki.DeletedAttachments'})\n##=============================================\n## Add External Links tab if the LinkChecker module is present.\n## TODO: In the future replace this hardcoded link with Interface Extensions\n##=============================================\n#if($services.rendering.defaultTransformationNames.contains('linkchecker') && $services.linkchecker)\n  #set ($dummy = $tabs.add({'tabName' : 'externalLinks', 'idSuffix' : 'externalLinks', 'translationKey' : 'platform.linkchecker.indexTab', 'document' : 'XWiki.ExternalLinks'}))\n#end\n##===========\n## Display the Tabs\n##===========\n{{html}}\n<div class="floatcontainer">\n  <ul class="xwikitabbar">\n#foreach ($tab in $tabs)\n  <li id="xwiki$tab['idSuffix']"#if($view == $tab['tabName']) class="active"#end><a href="$doc.getURL('view', "view=$tab['tabName']&amp;$!param")">$services.localization.render($tab['translationKey'])</a></li>\n#end\n  </ul>\n</div>\n{{/html}}\n\n##==========================\n## Include the Tab data for the selected Tab\n##==========================\n{{html wiki="true"}}\n<div class='xwikitabpanescontainer'>\n#foreach ($tab in $tabs)\n  #if ($tab['tabName'] == $view)\n    {{include reference="$tab['document']"/}}\n    #break\n  #end\n#end\n</div>\n{{/html}}\n#set($docextras=[])\n{{/velocity}}	1.1		Main.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.0	t
-8019041119380615485	Main.SpaceIndex	SpaceIndex	$services.localization.render('platform.index.spaceIndex')			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2009-09-08 20:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	Main	{{velocity}}\n#if("$!request.space" != "") #set($space=$request.space) #else #set($space = $doc.space) #end\n$services.localization.render('platform.index.spaceIndexDescription', [$space])\n\n{{documents space="$space.replaceAll('["~]', '~$0')" id="spaceindex"/}}\n#set($docextras=[])\n{{/velocity}}\n	1.1		Main.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.0	t
9172282706119466995	Main.Spaces	Spaces	$services.localization.render('index.spacesMacro.title')			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2013-03-28 16:23:35	XWiki.Admin	XWiki.Admin	XWiki.Admin	Main	{{spaces /}}	1.1		Main.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
3539886029693013628	XWiki.OrphanedPages	OrphanedPages	$services.localization.render('platform.index.orphaned')			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2009-09-08 20:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#set($collist = ['doc.name', 'doc.space', 'doc.date', 'doc.author', '_actions'])\n#set($colprops = {\n                   'doc.name' : { 'type' : 'text' , 'size' : 30, 'link' : 'view'},\n                   'doc.space' : { 'type' : 'text', 'link' : 'space'},\n                   'doc.date' : { 'type' : 'date' },\n                   'doc.author' : { 'type' : 'text', 'link' : 'author'},\n                   '_actions' : { 'actions': ['copy', 'delete', 'rename', 'rights']}\n                 })\n#set($options = { 'translationPrefix' : 'platform.index.',\n                  'extraParams' : '&orphaned=1' })\n#livetable('orphanedpages' $collist $colprops $options)\n{{/velocity}}	1.1		Main.AllDocs		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.0	t
-4813332152258561868	XWiki.DocumentTreeTranslations	DocumentTreeTranslations	Document Tree Translations	lv	en	1	2017-05-12 15:43:30	2017-05-12 15:43:30	2015-02-23 11:32:40	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nrendering.macro.documentTree.description=Parāda XWiki dokumentu koku\nrendering.macro.documentTree.name=Dokumentu koks\nrendering.macro.documentTree.parameter.checkboxes.description=Vai parādīt katra koka elementa priekšā iezīmējamo rūtiņu, ar kuru var atzīmēt uzreiz vairākus dokumentus kokā.\nrendering.macro.documentTree.parameter.checkboxes.name=Iezīmes rūtiņas\nrendering.macro.documentTree.parameter.compact.description=Ja jums ir ierobežots horizontālais laukums, vēlams ieslēgt šo iestatījumu. Rezultātā netiks rādītas dokumentu ikonas un tos saistošās līnijas. Tiks veikti arī citi izskata pielāgojumi, lai nodrošinātu, ka koks aizņem pēc iespējas mazāku horizontālo telpu.\nrendering.macro.documentTree.parameter.compact.name=Kompakti\nrendering.macro.documentTree.parameter.filterByClass.description=Rādīt tikai dokumentus, kuriem ir atbilstošs veids. Piemēram, norādot 'Blog.CategoryClass' tiks parādītas tikai emuāru kategorijas. Atstājiet šo lauku tukšu, ja vēlaties, lai kokā ir parādīti visi dokumentu viedi.\nrendering.macro.documentTree.parameter.filterByClass.name=Atlasīt pēc klases\nrendering.macro.documentTree.parameter.finder.description=Rādīt teksta lauku, ar kuru var atlasīt parādītos koka elementus. Lauks tiek parādīts virs koka un tajā piedāvā automātisku priekšāteikšanu. Izvēloties noteiktu vērtību, kokā tiek parādīts tikai izvēlētā elementa zars.\nrendering.macro.documentTree.parameter.finder.name=Meklētājs\nrendering.macro.documentTree.parameter.links.description=Norāda, vai elementu nosaukumi kokā tiek parādīti un darbojas kā hipersaites.\nrendering.macro.documentTree.parameter.links.name=Saites\nrendering.macro.documentTree.parameter.openTo.description=Koka sākuma elements. Tiks parādīts viss koks, kas sākas ar norādīto dokumentu. Elementa identifikatoru norāda kā parametru koka sākumam.\nrendering.macro.documentTree.parameter.openTo.name=Atvērt no\nrendering.macro.documentTree.parameter.readOnly.description=Vai lietotājam ir iespējams mainīt koka struktūru, ja viņam ir attiecīgas pieejas tiesības?\nrendering.macro.documentTree.parameter.readOnly.name=Tikai lasāms\nrendering.macro.documentTree.parameter.root.description=Koka sākuma elementa identifikators. Tas noder, ja vēlaties apskatīt koku, tikai sākot ar norādīto elementu (kas tad kalpo kā kokam norādītā sakne). Kokā tiek parādīti elementi, sākot ar saknes bērniem, līdz ar to pats norādītais elements parādīts netiek. Elementa attēlošanas formāts ir\\: Veids\\:Norāde, kur kur vieds var būt viki, vieta vai dokuments. Piem., viki\\:xwiki, vieta\\:xwiki\\:Main, dokuments\\:xwiki\\:Main.WebHome.\nrendering.macro.documentTree.parameter.root.name=Sakne\nrendering.macro.documentTree.parameter.showAttachments.description=Vai rādīt dokumentu pielikumus\nrendering.macro.documentTree.parameter.showAttachments.name=Rādīt pielikumus\nrendering.macro.documentTree.parameter.showChildDocuments.description=Vai rādīt bērnu dokumentus, vadoties no norādītā vecāku dokumenta.\nrendering.macro.documentTree.parameter.showChildDocuments.name=Rādīt bērnu dokumentus\nrendering.macro.documentTree.parameter.showClassProperties.description=Vai rādīt klases īpašības dokumentiem, kuros ir definētas klases.\nrendering.macro.documentTree.parameter.showClassProperties.name=Rādīt klases īpašības\nrendering.macro.documentTree.parameter.showDocumentTitle.description=Vai koka mezglam dokumenta nosaukuma vietā rādīt dokumenta virsrakstu. \nrendering.macro.documentTree.parameter.showDocumentTitle.name=Rādīt dokumenta virsrakstu\nrendering.macro.documentTree.parameter.showObjects.description=Vai rādīt doumenta objektus\nrendering.macro.documentTree.parameter.showObjects.name=Rādīt objektus\nrendering.macro.documentTree.parameter.showOnlyViewable.description=Rādīt tikai viki, vietas un dokumentus, kuriem esošajam lietotājam ir pieejas tiesības. Ja ir atslēgts, tad viki, vietas un dokumenti, kas lietotājam nav pieejami tiek parādīti kā dokumentu nosaukumi. Lietotājam nebūs iespēju apskatīt dokumentu saturu, klikšķinot uz šo dokumentu saitēm (tomēr lietotājam būs zināms, ka šādi dokumenti pastāv).\nrendering.macro.documentTree.parameter.showOnlyViewable.name=Rādīt tikai redzamos\nrendering.macro.documentTree.parameter.showSpaces.description=Vai rādīt vietu mezglus. Ja rāda, tad dokumenti ir grupēti vietu mezglos saskaņā ar to, kādā vietā tie atrodas.\nrendering.macro.documentTree.parameter.showSpaces.name=Rādīt vietas\nrendering.macro.documentTree.parameter.showTranslations.description=Vai rādīt dokumentu tulkojumus\nrendering.macro.documentTree.parameter.showTranslations.name=Rādīt tulkojumus\nrendering.macro.documentTree.parameter.showWikiPrettyName.description=Attēlojot viki mezglu, rādīt viki skaisto nosaukumu viki identifikatora vietā.\nrendering.macro.documentTree.parameter.showWikiPrettyName.name=Rādīt viki skaisto nosaukumu\nrendering.macro.documentTree.parameter.showWikis.description=Vai rādīt dokumentu kokā kā mezglus viki. To var rādīt tikai galvenajā viki un, ja koka lapu ir saglabājis lietotājs ar programmēšanas tiesībām.\nrendering.macro.documentTree.parameter.showWikis.name=Rādīt viki\n	1.1		XWiki.DocumentTree		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-5480613752624810949	XWiki.AllAttachmentsResults	AllAttachmentsResults	$services.localization.render('platform.index.attachmentsResults')			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2009-09-08 20:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity wiki="false"}}\n## ============================================================================================\n## This page is called from live grids via Ajax with the argument xpage=plain. It returns a\n## set of results serialized in JSON.\n## ============================================================================================\n#if ("$!request.get('xpage')" == 'plain')\n  $response.setContentType('application/json')##\n  #set ($offset = $mathtool.toInteger($request.get('offset')))\n  ## offset starts from 0 in velocity and 1 in javascript\n  #set ($offset = $offset - 1)\n  #if (!$offset || $offset < 0)\n    #set ($offset = 0)\n  #end\n  #set ($limit = $mathtool.toInteger($request.get('limit')))\n  #if (!$limit)\n    #set ($limit = 15)\n  #end\n  #set ($title = $request.get('doc.name'))\n  #set ($author = $request.get('author'))\n  #set ($space = $request.get('doc.space'))\n  #set ($filename = $request.filename)\n  #set ($formatDate = 'yyyy MMMM dd, HH:mm')\n  #set ($query = '')\n  #set ($queryParameters = [])\n  #if ($title)\n    #set ($title = $title.trim().toLowerCase())\n    #set ($query = $query + " and lower(doc.name) like ?")\n    #set ($discard = $queryParameters.add("%${title}%"))\n  #end\n  #if ($author)\n    #set ($author = $author.trim().toLowerCase())\n    #set ($query = $query + " and lower(attach.author) like ?")\n    #set ($discard = $queryParameters.add("%${author}%"))\n  #end\n  #if ($filename)\n    #set ($filename = $filename.trim().toLowerCase())\n    #set ($query = $query + " and lower(attach.filename) like ?")\n    #set ($discard = $queryParameters.add("%${filename}%"))\n  #end\n  #if ($space)\n    #set ($space = $space.trim().toLowerCase())\n    #set ($query = $query + " and lower(doc.space) like ?")\n    #set ($discard = $queryParameters.add("%${space}%"))\n  #end\n  ##\n  ## Exclude Blacklisted spaces ($blacklistedSpaces is set in xwikivars.vm)\n  ##\n  #if (!$hasAdmin)\n    #foreach ($blacklistedSpace in $blacklistedSpaces)\n      #set ($query = "${query} and doc.space <> ?")\n      #set ($discard = $queryParameters.add($blacklistedSpace))\n    #end\n  #end\n  #set ($validSortOptions = ['filename', 'doc.name', 'doc.space', 'date', 'author'])\n  #if ($validSortOptions.contains($request.sort))\n    #set ($order = $request.sort)\n  #else\n    #set ($order = 'filename')\n  #end\n  #if (!$order.startsWith('doc.'))\n    #set ($order = "attach.${order}")\n  #end\n  #if ("$!request.dir" == 'desc')\n    #set ($dir = 'desc')\n  #else\n    #set ($dir = 'asc')\n  #end\n  ##\n  ## Compute the final query\n  ##\n  #if ($query == "")\n    #set ($query = "1=1")\n  #end\n  #set ($sortedQuery = $query + " order by $order $dir")\n  #set ($items = $xwiki.searchAttachments($sortedQuery, $limit, $offset, $queryParameters))\n  #set ($totalItems = $xwiki.countAttachments($query, $queryParameters))\n  #set ($returnedItems = $items.size())\n  ## ==============================================\n  ## json starts\n  ## ==============================================\n{\n"totalrows": $totalItems,\n"returnedrows": #if($returnedItems < $limit) $returnedItems #else $limit #end,\n"offset": $mathtool.add($offset, 1),\n"reqNo": $mathtool.toInteger($request.reqNo),\n"rows": [\n#foreach ($attach in $items)\n  #set ($document = $attach.getDocument())\n  #set ($hasAccess = $xwiki.hasAccessLevel('view', $xcontext.user, $document.getFullName()))\n  #if ($velocityCount > 1) , #end\n  { "acclev" : $hasAccess,\n  #if ($hasAccess)\n    "page" : "$escapetool.javascript($document.name)",\n    "space" : "$escapetool.javascript($document.space)",\n    "fullname" : "$escapetool.javascript($document.fullName)",\n    "filename" : "$escapetool.javascript($attach.filename)",\n    "fileurl" : "$document.getAttachmentURL($attach.filename)",\n    "url" : "$document.getURL('view')",\n    "spaceurl" : "$xwiki.getURL("${document.space}.WebHome")",\n    "date" : "$xwiki.formatDate($attach.date, $formatDate)",\n    "author" : "$!escapetool.javascript($attach.author)",\n    "authorname" : "$!escapetool.javascript($xwiki.getUserName($attach.author, false))",\n    "authorurl" : "$xwiki.getURL($attach.author)",\n    "type" : "$!escapetool.javascript($attach.getMimeType())"\n  #else\n    "fullname": "$escapetool.javascript($docName)"\n  #end\n  }\n#end\n]}\n## ==============================================\n## json ended\n## ==============================================\n#end\n{{/velocity}}	1.1		XWiki.AllAttachments		2			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.0	t
2793603504837844625	XWiki.DocumentTreeTranslations	DocumentTreeTranslations	Document Tree Translations	fr	en	1	2017-05-12 15:43:30	2017-05-12 15:43:30	2015-02-23 11:32:40	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nrendering.macro.documentTree.description=Affiche l'arborescence des documents XWiki\nrendering.macro.documentTree.name=Arborescence\nrendering.macro.documentTree.parameter.checkboxes.description=Pour afficher une case à cocher en face de chaque noeud de l'arbre afin de permettre à l'utilisateur de sélectionner plusieurs noeuds de l'arbre.\nrendering.macro.documentTree.parameter.checkboxes.name=Cases à cocher\nrendering.macro.documentTree.parameter.compact.description=Si vous avez une espace horizontal disponible limité, alors vous devriez probablement le paramétrer à true. L'effet est que les icônes de noeuds et les branches qui les relient seront cachés. Certains styles spéciaux seront également appliqués pour assurer que l'arbre prenne moins d'espace horizontal tout en maintenant les labels des noeuds entièrement visible. \nrendering.macro.documentTree.parameter.compact.name=Compact\nrendering.macro.documentTree.parameter.filterByClass.description=Afficher uniquement les documents qui ont un objet du type spécifié. La valeur de ce paramètre est le nom complet d'un document XWiki qui détient une définition de classe. Par exemple, 'Blog.CategoryClass' peut être utilisé pour afficher uniquement les documents qui représentent les catégories de blog. Laissez ce paramètre vide si vous ne souhaitez pas restreindre le type de documents présentés dans l'arbre.\nrendering.macro.documentTree.parameter.filterByClass.name=Filtrer par Class\nrendering.macro.documentTree.parameter.finder.description=Affiche une entrée texte qui peut être utilisée pour trouver des noeuds de l'arbre. L'entrée est affichée au-dessus de l'arbre et offre des Suggestions automatiques basées sur le contenu de l'arbre pendant que vous tapez. Quand une suggestion est sélectionnée, l'arbre est étendu jusqu'au noeud correspondant.\nrendering.macro.documentTree.parameter.finder.name=Filtre\nrendering.macro.documentTree.parameter.links.description=Indique si les labels de noeud doivent ressembler ou se comporter comme des liens (ancres).\nrendering.macro.documentTree.parameter.links.name=Liens\nrendering.macro.documentTree.parameter.openTo.description=L'id du noeud pour ouvrir l'arbre. Tous les ancêtres du noeud spécifié, jusqu'à la racine de l'arbre, seront ouverts également. Le format de l'identifiant de noeud est celui utilisé pour le paramètre de la racine.\nrendering.macro.documentTree.parameter.openTo.name=Ouvrir à\nrendering.macro.documentTree.parameter.readOnly.description=L'utilisateur doit-il être en mesure de modifier la structure de l'arbre, si il a les droits nécessaires ?\nrendering.macro.documentTree.parameter.readOnly.name=Lecture seule\nrendering.macro.documentTree.parameter.root.description=L'identifiant du noeud de la racine. C'est utile si vous souhaitez afficher uniquement les descendants d'un noeud donné (qui est la racine spécifiée). L'arbre affiche les enfants du noeud racine sur le premier niveau, de sorte que le noeud racine n'est pas réellement affiché. L'arbre entier s'affiche si le noeud racine n'est pas spécifié. Le format d'un identificateur de noeud est entityType\\: EntityReference, où le type d'entité peut être par exemple wiki, espace, document. Par exemple\\: wiki\\:xwiki, space\\:xwiki\\:Main, document\\:xwiki\\:Main.WebHome\nrendering.macro.documentTree.parameter.root.name=Racine\nrendering.macro.documentTree.parameter.showAttachments.description=Pour afficher les pièces jointes du document ou non\nrendering.macro.documentTree.parameter.showAttachments.name=Montrer les pièces jointes\nrendering.macro.documentTree.parameter.showChildDocuments.description=Montrer les documents enfant basé sur le champ parent du document.\nrendering.macro.documentTree.parameter.showChildDocuments.name=Montrer les documents enfants\nrendering.macro.documentTree.parameter.showClassProperties.description=Pour montrer les propriétés de classe pour les documents qui définissent les classes.\nrendering.macro.documentTree.parameter.showClassProperties.name=Montrer les propriétés de Class\nrendering.macro.documentTree.parameter.showDocumentTitle.description=Pour afficher le titre de document au lieu du nom du document lors de l'affichage d'un noeud de document.\nrendering.macro.documentTree.parameter.showDocumentTitle.name=Montrer le titre du document\nrendering.macro.documentTree.parameter.showObjects.description=Pour montrer les objets de document ou non.\nrendering.macro.documentTree.parameter.showObjects.name=Montrer les Objects\nrendering.macro.documentTree.parameter.showOnlyViewable.description=N'afficher que le wiki, espace et nœuds de documents pour lesquels l'utilisateur a le droit de "voir". Si c'est la valeur false, le wiki, espace et nœuds de documents qui ne sont pas visibles par l'utilisateur actuel sont répertoriés dans l'arbre en utilisant leurs noms. L'utilisateur ne sera pas en mesure de voir leur contenu en suivant leurs liens (l'utilisateur sera seulement au courant de leur existence).\nrendering.macro.documentTree.parameter.showOnlyViewable.name=Montrer seulement ce qui est visible\nrendering.macro.documentTree.parameter.showSpaces.description=Pour montrer les noeuds des espaces ou non. Les documents sont regroupés par espace si les noeuds de l'espace sont affichés.\nrendering.macro.documentTree.parameter.showSpaces.name=Montrer les Espaces\nrendering.macro.documentTree.parameter.showTranslations.description=Pour montrer les traductions de documents ou non.\nrendering.macro.documentTree.parameter.showTranslations.name=Montrer les traductions\nrendering.macro.documentTree.parameter.showWikiPrettyName.description=Montre le pretty name du wiki au lieu de l'id du wiki quand il affiche un noeud de wiki.\nrendering.macro.documentTree.parameter.showWikiPrettyName.name=Montrer le Pretty Name du wiki\nrendering.macro.documentTree.parameter.showWikis.description=Pour montrer les nœuds de wiki ou non. Cela ne peut être utilisé que sur le wiki principal et si la source de l'arbre a été enregistrée avec des droits de programmation.\nrendering.macro.documentTree.parameter.showWikis.name=Montrer les Wikis\n	1.1		XWiki.DocumentTree		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-7007617496204683048	XWiki.DocumentTree	DocumentTree	Document Tree			0	2017-05-12 15:43:30	2017-05-12 15:43:30	2014-10-24 12:02:46	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{include reference="XWiki.DocumentTreeMacros" /}}\n\n{{velocity wiki="false"}}\n#if ($xcontext.action == 'get')\n  #updateDocTreeConfigFromRequest\n  #handleDocumentTreeRequest\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ($xcontext.action != 'get')\n  == Document Hierarchy Tree ==\n\n  {{documentTree /}}\n\n  === Compact Document Hierarchy Tree ===\n\n  {{documentTree compact="true" /}}\n\n  == Document Index Tree ==\n\n  {{documentTree showSpaces="true" /}}\n\n  == Wiki > Space > Page Tree ==\n\n  {{documentTree showWikis="true" showSpaces="true" showTranslations="false" showAttachments="false" showChildDocuments="false" /}}\n\n  == Full Entity Tree ==\n\n  {{documentTree showWikis="true" showWikiPrettyName="false" showSpaces="true" showDocumentTitle="false"\n    showChildDocuments="false" showObjects="true" showClassProperties="true" /}}\n#end\n{{/velocity}}	1.1		Main.AllDocs		2			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-4238424071903631900	XWiki.Tableview	Tableview	$services.localization.render('platform.index')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2009-09-08 20:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{documents id="alldocs"/}}	1.1		Main.AllDocs		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.0	t
2919783485271046162	XWiki.AllAttachments	AllAttachments	$services.localization.render('platform.index.attachments')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2009-09-08 20:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#set ($discard = $xwiki.jsx.use('XWiki.AllAttachments'))\n##\n#set ($collist = ['filename', 'doc.name', 'doc.space', 'date', 'author', 'type'])\n#set ($colprops = {\n                   'filename'  : { 'type' : 'text', 'size' : 10 },\n                   'doc.name'  : { 'type' : 'text', 'size' : 10 },\n                   'doc.space' : { 'type' : 'text', 'size' : 10 },\n                   'date'      : { 'type' : 'date', 'size' : 10, 'filterable' : false },\n                   'author'    : { 'type' : 'text', 'size' : 10 },\n                   'type'      : { 'sortable' : false }\n                 })\n#set($options = { 'url' : $xwiki.getURL('XWiki.AllAttachmentsResults', 'get', 'xpage=plain&outputSyntax=plain'),\n                  'callback' : 'XWiki.index.displayAttachmentEntry',\n                  'translationPrefix' : 'platform.index.attachments.' })\n#livetable('allattachments' $collist $colprops $options)\n\n(% id="inaccessibleDocsMessage" class="hidden" %)\n(((\n{{info}}$services.localization.render('rightsmanager.documentrequireviewrights'){{/info}}\n)))\n{{/velocity}}	1.1		Main.AllDocs		2			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.0	t
-4173326538303807814	XWiki.DocumentTreeTranslations	DocumentTreeTranslations	Document Tree Translations		en	0	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-02-23 11:32:40	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	rendering.macro.documentTree.name=Document Tree\nrendering.macro.documentTree.description=Displays the tree of XWiki documents.\nrendering.macro.documentTree.parameter.readOnly.name=Read Only\nrendering.macro.documentTree.parameter.readOnly.description=Should the user be able to modify the tree structure, provided she has the necessary rights?\nrendering.macro.documentTree.parameter.showWikis.name=Show Wikis\nrendering.macro.documentTree.parameter.showWikis.description=Whether to show the wiki nodes or not. This can be used only on the main wiki and if the tree source has been saved with programming rights.\nrendering.macro.documentTree.parameter.showWikiPrettyName.name=Show Wiki Pretty Name\nrendering.macro.documentTree.parameter.showWikiPrettyName.description=Show the wiki pretty name instead of the wiki id when displaying a wiki node.\nrendering.macro.documentTree.parameter.showSpaces.name=Show Spaces\nrendering.macro.documentTree.parameter.showSpaces.description=Whether to show the space nodes or not. The documents are grouped by space if the space nodes are displayed.\nrendering.macro.documentTree.parameter.showDocumentTitle.name=Show Document Title\nrendering.macro.documentTree.parameter.showDocumentTitle.description=Whether to show the document title instead of the document name when displaying a document node.\nrendering.macro.documentTree.parameter.showTranslations.name=Show Translations\nrendering.macro.documentTree.parameter.showTranslations.description=Whether to show the document translations or not.\nrendering.macro.documentTree.parameter.showAttachments.name=Show Attachments\nrendering.macro.documentTree.parameter.showAttachments.description=Whether to show the document attachments or not.\nrendering.macro.documentTree.parameter.showObjects.name=Show Objects\nrendering.macro.documentTree.parameter.showObjects.description=Whether to show the document objects or not.\nrendering.macro.documentTree.parameter.showClassProperties.name=Show Class Properties\nrendering.macro.documentTree.parameter.showClassProperties.description=Whether to show the class properties for documents that define classes.\nrendering.macro.documentTree.parameter.showChildDocuments.name=Show Child Documents\nrendering.macro.documentTree.parameter.showChildDocuments.description=Whether to show the child documents based on the document parent field.\nrendering.macro.documentTree.parameter.root.name=Root\nrendering.macro.documentTree.parameter.root.description=The root node id. This is useful if you want to display only the descendants of a given node (which is the specified root). The tree displays the children of the root node on the first level, so the root node is not actually displayed. The entire tree is displayed if the root node is not specified. The format of a node identifier is entityType:entityReference, where the entity type can be for instance wiki, space, document. E.g.: wiki:xwiki, space:xwiki:Main, document:xwiki:Main.WebHome\nrendering.macro.documentTree.parameter.compact.name=Compact\nrendering.macro.documentTree.parameter.compact.description=If you have limited horizontal space available then you should probably set this to true. The effect is that the node icons and the edges that connect them will be hidden. Some special styles will also be applied to ensure the tree takes less horizontal space while keeping the node labels fully visible.\nrendering.macro.documentTree.parameter.links.name=Links\nrendering.macro.documentTree.parameter.links.description=Specifies whether the node labels should look and behave as links (anchors).\nrendering.macro.documentTree.parameter.checkboxes.name=Checkboxes\nrendering.macro.documentTree.parameter.checkboxes.description=Whether to display a checkbox in front of each tree node to allow the user to select multiple tree nodes.\nrendering.macro.documentTree.parameter.openTo.name=Open to\nrendering.macro.documentTree.parameter.openTo.description=The id of the node to open the tree to. All the ancestors of the specified node, up to the root of the tree, will be opened also. The format of the node id is the one used for the root parameter.\nrendering.macro.documentTree.parameter.showOnlyViewable.name=Show only Viewable\nrendering.macro.documentTree.parameter.showOnlyViewable.description=Show only the wiki, space and document nodes for which the current user has view right. If this is set to false then the wiki, space and document nodes that are not viewable by the current user are listed in the tree using their names. The user won't be able to see their content by following their links though (the user will just be aware of their existence).\nrendering.macro.documentTree.parameter.filterByClass.name=Filter by Class\nrendering.macro.documentTree.parameter.filterByClass.description=Show only the documents that have an object of the specified type. The value of this parameter is the full name of an XWiki document that holds a class definition. For example, 'Blog.CategoryClass' can be used to show only the documents that represent blog categories. Leave this parameter empty if you don't want to restrict the type of documents shown in the tree.\nrendering.macro.documentTree.parameter.finder.name=Finder\nrendering.macro.documentTree.parameter.finder.description=Show a text input that can be used to find tree nodes. The input is displayed above the tree and offers suggestions as you type based on the content of the tree. When a suggestion is selected the tree is expanded up to the corresponding node.	1.1		XWiki.DocumentTree		2			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
22690398456488318	XWiki.DeletedDocuments	DeletedDocuments	$services.localization.render('platform.index.documentsTrash')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2014-07-07 07:12:36	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}##\n#if(!$xwiki.hasProgrammingRights())\n  {{warning}}This document requires programming rights and needs to be saved by an administrator of this Wiki{{/warning}}\n#else\n#set($dateFormat = 'yyyy MMMM d, HH:mm')\n$xwiki.ssx.use('XWiki.DeletedDocuments')##\n$xwiki.jsx.use('XWiki.DeletedDocuments')##\n##\n#set($columns = ["ddoc.fullName", "ddoc.title", "ddoc.date", "ddoc.deleter", 'actions'])\n#set($columnProperties = {\n    'ddoc.fullName'  : { 'type' : 'text', 'size' : 10 },\n    'ddoc.title'     : { 'type' : 'text', 'filterable' : false, 'sortable' : false },\n    'ddoc.date'      : { 'type' : 'date', 'filterable' : false },\n    'ddoc.deleter'   : { 'type' : 'text', 'size' : 10 },\n    'actions'        : { 'type' : 'text', 'filterable' : false, 'sortable' : false }\n  })##\n#set($options = {\n    'url'               : "$xwiki.getURL('XWiki.DeletedDocumentsJSON', 'view', 'list=1&xpage=plain&outputSyntax=plain')",\n    'callback'          : 'XWiki.index.trash.documents.displayEntry',\n    'translationPrefix' : 'platform.index.trashDocuments.'\n  })##\n##\n##\n##\n{{html wiki="true" clean="false"}}\n<div class="hidden">\n#livetable('documentsTrash' $columns $columnProperties $options)\n</div>\n{{/html}}\n##\n##\n##\n\n{{html wiki="true" clean="false"}}\n<noscript>\n  #set($deletedDocuments = $services.query.hql('select count(ddoc.id) from XWikiDeletedDocument as ddoc').execute().get(0))\n  #if($deletedDocuments == 0)\n\n    {{info}}$services.localization.render('platform.index.trashDocumentsEmpty'){{/info}}\n\n  #else\n  #macro(displayDeletedDoc $id)\n    #set($ddoc = $xwiki.getDeletedDocument('', '', "$id"))\n    #set($originalDocument = $ddoc.getDocument())\n    <tr>\n      <td><a href="$originalDocument.getURL('view', "viewer=recyclebin&amp;id=${id}")">$escapetool.xml($ddoc.fullName)</a></td>\n      <td>$escapetool.xml($originalDocument.plainTitle)</td>\n      <td>$xwiki.formatDate($ddoc.getDate(), $dateFormat)</td>\n      <td>$xwiki.getUserName($ddoc.getDeleter())</td>\n      <td class="itemActions">\n        #if($xwiki.getDocument($ddoc.fullName).isNew())\n          #if($ddoc.canUndelete())\n            <a href="${originalDocument.getURL('undelete', "id=${id}")}" class="tool restore" title="$services.localization.render('platform.index.trashDocumentsActionsRestoreTooltip')">$services.localization.render('platform.index.trashDocumentsActionsRestoreText')</a>\n          #end\n        #else\n          <a href="${originalDocument.getURL()}" class="tool cannot-restore" title="$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreTooltip')">$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreText')</a>\n        #end\n        #if($ddoc.canDelete())\n          <a href="${originalDocument.getURL('delete', "id=${id}&amp;xredirect=$escapetool.url($!request.getRequestURI())?$escapetool.url($!request.getQueryString())")}" class="tool delete" title="$services.localization.render('platform.index.trashDocumentsActionsDeleteTooltip')">$services.localization.render('platform.index.trashDocumentsActionsDeleteText')</a>\n        #end\n      </td>\n    </tr>\n  #end\n##\n  #if("$!{request.view}" == '')\n    #set($queryParams = '')\n  #else\n    #set($queryParams = "view=$!{escapetool.url($request.view)}")\n  #end\n  #set($paginationParameters = {\n    'totalItems' : $services.query.hql('select count(ddoc.id) from XWikiDeletedDocument as ddoc').execute().get(0),\n    'defaultItemsPerPage' : 15,\n    'url' : $doc.getURL('view', $queryParams)\n  })\n  #pagination($paginationParameters)\n  <table id="searchResults" class="xwiki-livetable xwiki-livetable-display">\n    <thead class="xwiki-livetable-display-header"><tr>\n      <th scope="col" class="xwiki-livetable-display-header-text selected asc">$services.localization.render('platform.index.trashDocuments.ddoc.fullName')</th>\n      <th scope="col" class="xwiki-livetable-display-header-text">$services.localization.render('platform.index.trashDocuments.ddoc.title')</th>\n      <th scope="col" class="xwiki-livetable-display-header-text">$services.localization.render('platform.index.trashDocuments.ddoc.date')</th>\n      <th scope="col" class="xwiki-livetable-display-header-text">$services.localization.render('platform.index.trashDocuments.ddoc.deleter')</th>\n      <th scope="col" class="xwiki-livetable-display-header-text">$services.localization.render('platform.index.trashDocuments.actions')</th>\n    </tr></thead>\n    <tbody class="xwiki-livetable-display-body">\n    #set ($statement = 'select ddoc.id from XWikiDeletedDocument as ddoc order by ddoc.fullName asc')\n    #foreach ($item in $services.query.hql($statement).setLimit($paginationParameters.itemsPerPage).setOffset($paginationParameters.firstItem).execute())\n      #displayDeletedDoc($item)\n    #end\n    </tbody>\n  </table>\n  #set($discard = $paginationParameters.put('position', 'bottom'))\n  #pagination($paginationParameters)\n  #end ## deletedDocuments.size\n</noscript>\n{{/html}}##\n#end## hasProgramR\n{{/velocity}}	1.1		Main.AllDocs		2			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.0	t
3717629636157522186	XWiki.DocumentsMacro	DocumentsMacro	Documents Macro			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2014-06-12 02:57:25	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	Example:\n\n##{{{{{documents id="example" count="5" actions="false" columns="doc.title"/}}}}}##\n\nGenerates:\n\n{{documents id="example" count="5" actions="false" space="Main" parent="Main.WebHome" columns="doc.title"/}}	1.1		Main.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-611650281039125717	XWiki.DocumentTreeTranslations	DocumentTreeTranslations	Document Tree Translations	da	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-02-23 11:32:40	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	## XWiki Translation for language da generated from http://www.l10n.xwiki.org\nrendering.macro.documentTree.description=Træ-visning af XWiki-dokumenter\nrendering.macro.documentTree.name=Dokument Træ\nrendering.macro.documentTree.parameter.checkboxes.description=Om der skal sættes en check-boks ved gren i træet så man kan vælge flere dokumenter samtidig.\nrendering.macro.documentTree.parameter.checkboxes.name=Check-bokse\nrendering.macro.documentTree.parameter.compact.description=Hvis du har begrænset plads vandret, bør du sætte denne. Det betyder at træets gren-ikoner og grene ikke vises. Desuden anves special styling, som sikrer mindst mulig pladsforbrug vandret - samtidig med at gren-ikonerne er fuldt synlige.\nrendering.macro.documentTree.parameter.compact.name=Komprimér\nrendering.macro.documentTree.parameter.filterByClass.description=Vis kun dokumenter, der har et objekt af den angivne type. Værdien er det fulde navn for et XWiki-dokument der indeholder klasse-definitionen. F.eks. 'Blog.CategoryClass' vil kun vise dokumenter, der repræsenterer blog-kategorier. Lad det være blankt, hvis du ikke ønsker at begrænse dokument-typer, der vises i træet.\nrendering.macro.documentTree.parameter.filterByClass.name=Filtrér efter klasse\nrendering.macro.documentTree.parameter.finder.description=Vis tekstfelt, der kan bruges til at søge efter dokumenter i træet. Feltet vises over træet, og foreslår søgninger baseret på indholdet i træet. Når et foreslag vælges, åbnes træet til det tilsvarende dokument.\nrendering.macro.documentTree.parameter.finder.name=Vælger\nrendering.macro.documentTree.parameter.hierarchyMode.description=Angiver hvilket hieraki, der skal bruges mellem dokumenter. Mulige værdier er "reference" (standard) og "parentchild". "reference" betyder sortering efter område-angivelse i dokumentet, mens "parentchild" bruger "parent"-attributten på dokumentet. \nrendering.macro.documentTree.parameter.hierarchyMode.name=Dokumenthieraki\nrendering.macro.documentTree.parameter.links.description=Angiver om grenene i træet skal opføre sig som henvisninger (ankre)\nrendering.macro.documentTree.parameter.links.name=Henvisninger\nrendering.macro.documentTree.parameter.openTo.description=ID for grenen, som træet skal åbnes med. Alle grene op til roden af grenen åbes også. Gren-formatet er den som er angivet for roden.\nrendering.macro.documentTree.parameter.openTo.name=Åben \nrendering.macro.documentTree.parameter.readOnly.description=Skal brugeren kunne modificere træ-strukturen hvis vedkommende har rettighederne?\nrendering.macro.documentTree.parameter.readOnly.name=Kun visning\nrendering.macro.documentTree.parameter.root.description=Rodens ID Anvendes, hvis du kun vil vise undertræet for en given gren (som så er roden). Træet vises med undertræets gren på først niveau, så roden vises ikke. Hele træet vises, hvis rod-ID ikke angives. Formatet for rod-ID er entitetstype\\:entitetsreference, hvor entitetstype kan f.eks. være wiki, område, dokument, dvs.\\: wiki\\:xwiki, space\\:xwiki\\:Main eller document\\:xwiki\\:WebHome\nrendering.macro.documentTree.parameter.root.name=Rod-ID\nrendering.macro.documentTree.parameter.showAttachments.description=Om bilag til dokumenter skal vises eller ej.\nrendering.macro.documentTree.parameter.showAttachments.name=VIs bilag\nrendering.macro.documentTree.parameter.showChildDocuments.description=Om underdokumenter ("child") skal vises, baseret på dokumentets "parent"-felt.\nrendering.macro.documentTree.parameter.showChildDocuments.name=Vis underdokumenter\nrendering.macro.documentTree.parameter.showClassProperties.description=Om klasse-egenskaber skal vises for dokumenter, som definerer klasser\nrendering.macro.documentTree.parameter.showClassProperties.name=Vis klasse-egenskaber\nrendering.macro.documentTree.parameter.showDocumentTitle.description=Om dokument-titel skal vises i stedet for dokument-navn, når det vises i træet.\nrendering.macro.documentTree.parameter.showDocumentTitle.name=Vis dokument-titel\nrendering.macro.documentTree.parameter.showObjects.description=Om dokument-objekter skal vises eller ej.\nrendering.macro.documentTree.parameter.showObjects.name=Vis objekter\nrendering.macro.documentTree.parameter.showOnlyViewable.description=Vis kun wiki, området og dokumenter i træet, som bruger har rettigheder til at se. Hvis ikke sat, vil bruger kunne se dokumenternes navne, men vil ikke være i stand til at se indhold. (Dog vil bruger så vide, at de eksisterer).\nrendering.macro.documentTree.parameter.showOnlyViewable.name=Vis kun læsbare\nrendering.macro.documentTree.parameter.showSpaces.description=Om område-grene skal vises eller ej. Hvis de skal, grupperes der efter område.\nrendering.macro.documentTree.parameter.showSpaces.name=Vis områder\nrendering.macro.documentTree.parameter.showTranslations.description=Om dokument-oversættelser skal vises eller ej.\nrendering.macro.documentTree.parameter.showTranslations.name=Vis oversættelser\nrendering.macro.documentTree.parameter.showWikiPrettyName.description=Vis wiki-navn istedet for wiki-id, når wikier vises i træet.\nrendering.macro.documentTree.parameter.showWikiPrettyName.name=Vis wiki-navn\nrendering.macro.documentTree.parameter.showWikis.description=Om wiki-grene skal vises eller ej. Det virker kun på Hoved-wiki og hvis kilde-træet er gemt med programmeringsrettigheder.\nrendering.macro.documentTree.parameter.showWikis.name=Vis wikier\n	1.1		XWiki.DocumentTree		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-2834111637150868704	XWiki.Treeview	Treeview	$services.localization.render('platform.index.tree')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2009-09-08 19:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{documentTree showSpaces="true" finder="true" /}}	1.1		Main.AllDocs		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-5247107028760515047	Index.Translations	Translations		vi	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language vi generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Tên Space \nindex.spacesMacro.createSpace.link=Tạo trang mới\nindex.spacesMacro.createSpace.submit=Tạo\nindex.spacesMacro.spaceAdministration.title=Thấy quản trị space\nindex.spacesMacro.spaceIndex.title=Thấy chỉ mục space\nindex.spacesMacro.title=Spaces\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-1162077101786559714	Index.Translations	Translations		sv	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language sv generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Rumsnamn\nindex.spacesMacro.createSpace.link=Skapa ett nytt rum\nindex.spacesMacro.createSpace.submit=Skapa\nindex.spacesMacro.spaceAdministration.alt=Administrera rum\nindex.spacesMacro.spaceAdministration.title=Visa rumsadministrering\nindex.spacesMacro.spaceIndex.alt=Rumsindex\nindex.spacesMacro.spaceIndex.title=Visa rumsindex\nindex.spacesMacro.title=Rum\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
1298064182881282745	Index.Translations	Translations		zh	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language zh generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=空间名\nindex.spacesMacro.createSpace.link=创建新空间\nindex.spacesMacro.createSpace.submit=创建\nindex.spacesMacro.spaceAdministration.title=查看空间管理\nindex.spacesMacro.spaceIndex.title=查看空间索引\nindex.spacesMacro.title=空间\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
3055153865684901689	Index.Translations	Translations		pt_BR	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language pt_BR generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nome do espaço\nindex.spacesMacro.createSpace.link=Criar um novo espaço\nindex.spacesMacro.createSpace.submit=Criar\nindex.spacesMacro.spaceAdministration.alt=Administrar espaço\nindex.spacesMacro.spaceAdministration.title=Ver administração do espaço\nindex.spacesMacro.spaceIndex.alt=Índice do espaço\nindex.spacesMacro.spaceIndex.title=Ver índice do espaço\nindex.spacesMacro.title=Espaços\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-5932348351892633648	Index.Translations	Translations		it	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language it generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nome spazio\nindex.spacesMacro.createSpace.link=Crea un nuovo spazio\nindex.spacesMacro.createSpace.submit=Crea\nindex.spacesMacro.spaceAdministration.alt=Amministrazione spazio\nindex.spacesMacro.spaceAdministration.title=Vedi amministrazione spazio\nindex.spacesMacro.spaceIndex.alt=Indice dello spazio\nindex.spacesMacro.spaceIndex.title=Vedi indice spazio\nindex.spacesMacro.title=Spazi\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-7672087393199565104	Index.Translations	Translations		ca	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language ca generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nom de l'espai\nindex.spacesMacro.createSpace.link=Crear un nou espai\nindex.spacesMacro.createSpace.submit=Crear\nindex.spacesMacro.spaceAdministration.title=Vegeu l'administració de l'espai\nindex.spacesMacro.spaceIndex.title=Vegeu l'índex de l'espai\nindex.spacesMacro.title=Espais\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
7745573446522127876	Index.Translations	Translations		ro	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language ro generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nume spațiu\nindex.spacesMacro.createSpace.link=Creează un spațiu nou\nindex.spacesMacro.createSpace.submit=Creează\nindex.spacesMacro.spaceAdministration.title=Vezi administrarea spațiului\nindex.spacesMacro.spaceIndex.title=Vezi indexul spațiului\nindex.spacesMacro.title=Spații\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-1561720753510333682	Index.Translations	Translations		pt	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language pt generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nome do Espaço\nindex.spacesMacro.createSpace.link=Criar um novo espaço\nindex.spacesMacro.createSpace.submit=Criar\nindex.spacesMacro.spaceAdministration.title=Ver a administração do espaço\nindex.spacesMacro.spaceIndex.title=Ver o índice do espaço\nindex.spacesMacro.title=Espaços\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
3152358699093453532	Index.Translations	Translations		ru	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language ru generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Имя раздела\nindex.spacesMacro.createSpace.link=Создать новый раздел\nindex.spacesMacro.createSpace.submit=Создать\nindex.spacesMacro.spaceAdministration.alt=Администрирование раздела\nindex.spacesMacro.spaceAdministration.title=Управление разделом\nindex.spacesMacro.spaceIndex.alt=Индекс раздела\nindex.spacesMacro.spaceIndex.title=Смотреть индекс раздела\nindex.spacesMacro.title=Разделы\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
280151423880576027	Index.Translations	Translations		da	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language da generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Navn på område\nindex.spacesMacro.createSpace.link=Opret nyt område\nindex.spacesMacro.createSpace.submit=Opret\nindex.spacesMacro.spaceAdministration.alt=Administrer område\nindex.spacesMacro.spaceAdministration.title=Se område-administration\nindex.spacesMacro.spaceIndex.alt=Indholdsfortegnelse\nindex.spacesMacro.spaceIndex.title=Se områdeindhold\nindex.spacesMacro.title=Områder\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
6385256784205563102	Index.Translations	Translations		gl	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language gl generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nome do espazo\nindex.spacesMacro.createSpace.link=Crear un novo espazo\nindex.spacesMacro.createSpace.submit=Crear\nindex.spacesMacro.spaceAdministration.title=Ver a administración do espazo\nindex.spacesMacro.spaceIndex.title=Ver o índice do espazo\nindex.spacesMacro.title=Espazos\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
5596356110704125411	Index.Translations	Translations		es	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language es generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nombre de espacio\nindex.spacesMacro.createSpace.link=Crear un nuevo espacio\nindex.spacesMacro.createSpace.submit=Crear\nindex.spacesMacro.spaceAdministration.alt=Administrar espacio\nindex.spacesMacro.spaceAdministration.title=Ver administración del espacio\nindex.spacesMacro.spaceIndex.alt=Índice del espacio\nindex.spacesMacro.spaceIndex.title=Ver índice del espacio\nindex.spacesMacro.title=Espacios\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
2151297842934956156	Index.Translations	Translations		cs	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language cs generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Jméno prostoru\nindex.spacesMacro.createSpace.link=Vytvořit nový prostor\nindex.spacesMacro.createSpace.submit=Vytvořit\nindex.spacesMacro.spaceAdministration.title=Viz administrace prostoru\nindex.spacesMacro.spaceIndex.alt=Index prostoru\nindex.spacesMacro.spaceIndex.title=Viz obsah prostoru\nindex.spacesMacro.title=Prostory\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-992145132395960252	Index.Translations	Translations		fr	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nom de l'espace\nindex.spacesMacro.createSpace.link=Créer un nouvel espace\nindex.spacesMacro.createSpace.submit=Créer\nindex.spacesMacro.spaceAdministration.alt=Administrer l'espace\nindex.spacesMacro.spaceAdministration.title=Administrer l'espace\nindex.spacesMacro.spaceIndex.alt=Index des documents de l'espace\nindex.spacesMacro.spaceIndex.title=Afficher les pages de l'espace\nindex.spacesMacro.title=Espaces\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-1600638843437778041	XWiki.CoreExtensions	CoreExtensions	$services.localization.render('admin.xwiki.coreextensions')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2011-11-17 00:40:27	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#set ($selectedRepositoryId = 'core')\n{{/velocity}}\n\n{{include reference="AddExtensions" /}}	1.1		XWiki.AdminSheet		1			Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]	f	xwiki/2.1	t
-3983816848654460443	Index.Translations	Translations		de	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language de generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Bereichsname\nindex.spacesMacro.createSpace.link=Neuen Bereich erstellen\nindex.spacesMacro.createSpace.submit=Erstellen\nindex.spacesMacro.spaceAdministration.alt=Bereich administrieren\nindex.spacesMacro.spaceAdministration.title=Siehe Bereichs-Administration\nindex.spacesMacro.spaceIndex.alt=Dokumentenverzeichnis des Bereichs\nindex.spacesMacro.spaceIndex.title=Siehe Dokumentenverzeichnis\nindex.spacesMacro.title=Bereiche\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-6798781704998144055	Index.Translations	Translations		tr	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language tr generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Uzay isim\nindex.spacesMacro.createSpace.link=yeni bir alan oluşturma\nindex.spacesMacro.createSpace.submit=Oluştur\nindex.spacesMacro.spaceAdministration.alt=Yönet alanı\nindex.spacesMacro.spaceAdministration.title=See alan yönetim\nindex.spacesMacro.spaceIndex.alt=Uzay indeksi\nindex.spacesMacro.spaceIndex.title=See alan indeksi\nindex.spacesMacro.title=Spaces\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-4071450812713050334	Index.Translations	Translations		ko	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language ko generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Í≥µÍ∞Ñ Í≥µÍ∞Ñ\nindex.spacesMacro.createSpace.link=Î≥ÄÌôîÎ•º ÏúÑÌï¥ ÏÉàÎ°úÏö¥\nindex.spacesMacro.createSpace.submit=Ïù¥Î¶ÑÏùÑ\nindex.spacesMacro.spaceAdministration.title=ÎåÄÏâ¨Î≥¥Îìú Í≥µÍ∞Ñ Íº¨Î¶¨Ìëú\nindex.spacesMacro.spaceIndex.title=Ï∞ΩÏ°∞ÌïòÎäî Ï†ÄÏû• Íº¨Î¶¨Ìëú\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-922349359903415092	Index.WebHome	WebHome	Index Application Home			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 09:37:01	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	This space contains technical pages for the Index Application.	1.1		Main.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
133121885907056767	Index.Translations	Translations		zh_TW	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language zh_TW generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=空間名稱\nindex.spacesMacro.createSpace.link=新增空間\nindex.spacesMacro.createSpace.submit=新增\nindex.spacesMacro.spaceAdministration.alt=管理員空間\nindex.spacesMacro.spaceAdministration.title=空間管理\nindex.spacesMacro.spaceIndex.alt=空間列表\nindex.spacesMacro.spaceIndex.title=空間索引\nindex.spacesMacro.title=空間\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
1581508176273364555	Index.Translations	Translations		sk	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language sk generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Názov priestoru\nindex.spacesMacro.createSpace.link=Vytvoriť nový priestor\nindex.spacesMacro.createSpace.submit=Vytvoriť\nindex.spacesMacro.spaceAdministration.title=Pozri v správe priestoru\nindex.spacesMacro.spaceIndex.title=Pozri index priestoru\nindex.spacesMacro.title=Priestory\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
612096083246587070	Index.Translations	Translations			en	0	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	index.spacesMacro.title=Spaces\nindex.spacesMacro.spaceIndex.title=See Space Index\nindex.spacesMacro.spaceIndex.alt=Space Index\nindex.spacesMacro.spaceAdministration.title=See Space Administration\nindex.spacesMacro.spaceAdministration.alt=Administer Space\nindex.spacesMacro.createSpace.link=Create a new space\nindex.spacesMacro.createSpace.defaultSpaceName=Space name\nindex.spacesMacro.createSpace.submit=Create\n	1.1		Index.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
3044652467280397217	Index.Translations	Translations		lv	en	1	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-03-05 08:54:45	XWiki.Admin	XWiki.Admin	XWiki.Admin	Index	## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Vietas nosaukums\nindex.spacesMacro.createSpace.link=Izveidot jaunu vietu\nindex.spacesMacro.createSpace.submit=Izveidot\nindex.spacesMacro.spaceAdministration.alt=Pārvaldīt vietu\nindex.spacesMacro.spaceAdministration.title=Skatīt vietu pārvaldību\nindex.spacesMacro.spaceIndex.alt=Vietas saturs\nindex.spacesMacro.spaceIndex.title=Skatīt vietu rādītāju\nindex.spacesMacro.title=Vietas\n	1.1		Index.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	f	xwiki/2.1	t
-6475539945864558365	XWiki.WikiMacros	WikiMacros	$services.localization.render('xe.wikimacrobridge.wikiMacros')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2009-08-31 07:06:02	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#set($wikiMacroDocuments = $services.query.xwql("from doc.object(XWiki.WikiMacroClass) as macros").execute())\n#if($wikiMacroDocuments.size() > 0)\n|=$services.localization.render('xe.wikimacrobridge.macroName') {{{($services.localization.render('xe.wikimacrobridge.macroId'))}}}|=$services.localization.render('xe.wikimacrobridge.macroDescription')|=$services.localization.render('xe.wikimacrobridge.macroVisibility')|=$services.localization.render('xe.wikimacrobridge.macroPage')\n  #foreach($macroDocumentName in $wikiMacroDocuments)\n    #set($macroDocument = $xwiki.getDocument($macroDocumentName))\n    #set($macroObject = $macroDocument.getObject("XWiki.WikiMacroClass"))\n|$macroObject.get('name') {{{($macroObject.id)}}}|$macroObject.description|$macroObject.visibility|[[$macroDocument.getDisplayTitle()>>$macroDocument.fullName]]\n  #end\n#else\n{{warning}}$services.localization.render('xe.wikimacrobridge.noWikiMacro'){{/warning}}\n#end\n{{/velocity}}	1.1		XWiki.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-rendering-wikimacro-ui-7.1.2]	f	xwiki/2.0	f
5562125069101865423	XWiki.ExtensionHistory	ExtensionHistory	$services.localization.render('extension.history')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2015-05-15 12:43:22	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{template name="extensionHistory.vm" output="false"/}}\n\n{{velocity}}\n{{html clean="false"}}\n#if ($request.extensionId && ($request.extensionVersion || $request.extensionVersionConstraint))\n  #handleExtensionRequest\n#else\n  #handleExtensionHistoryRequest\n#end\n{{/html}}\n{{/velocity}}	1.1		XWiki.AdminSheet		0			Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]	f	xwiki/2.1	t
6884771197862039151	XWiki.InstalledExtensions	InstalledExtensions	$services.localization.render('admin.xwiki.installedextensions')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2011-11-11 19:38:48	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#set ($selectedRepositoryId = 'installed')\n{{/velocity}}\n\n{{include reference="AddExtensions" /}}	1.1		XWiki.AdminSheet		1			Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]	f	xwiki/2.1	t
-4648258660478158687	XWiki.ExtensionUpdater	ExtensionUpdater	$services.localization.render('admin.xwiki.extensionupdater')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2013-04-15 06:42:18	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{template name="extension.vm" output="false"/}}\n\n{{velocity}}\n{{html}}\n#if ($isAjaxRequest)\n  #if ($request.extensionId)\n    #handleExtensionRequest()\n  #else\n    #extensionUpdater()\n  #end\n#else\n  <div class="full column">\n    #extensionUpdater()\n  </div>\n#end\n{{/html}}\n{{/velocity}}	1.1		XWiki.AdminSheet		1			Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]	f	xwiki/2.1	t
2712967020895974595	XWiki.AddExtensions	AddExtensions	$services.localization.render('admin.xwiki.addextensions')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2011-11-18 18:20:13	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{template name="extension.vm" output="false"/}}\n\n{{velocity}}\n## HTML cleaner messes up the content of the legend tag.\n{{html clean="false"}}\n#if ($isAjaxRequest)\n  #handleExtensionRequest()\n#else\n  <div class="full column">\n  #displayExtensionSearchBar()\n\n  #if ($request.extensionId && $request.extensionVersion)\n    ## Advanced search.\n    #handleExtensionRequest()\n  #else\n    ## Simple search.\n    #set ($noResultsMessageKey = 'extensions.search.noResults')\n    #set ($paginationParams = {})\n    ## Dump whitespace generated by the pagination macro\n    #set ($discard = "#paginationPrepareParams($paginationParams)")\n    #set ($repository = $extensionManager)\n    #if ($request.repo)\n      #set ($selectedRepositoryId = $request.repo)\n    #end\n    #if ("$!selectedRepositoryId" != '')\n      #set ($repository = $extensionManager.getRepository($selectedRepositoryId))\n      #if ("$!request.search" == '')\n        ## Fetch extensions from known repositories.\n        #if ($selectedRepositoryId == 'core')\n          #set($extensions = $services.extension.core.getCoreExtensions())\n        #elseif ($selectedRepositoryId == 'installed')\n          #if ($xcontext.isMainWiki())\n            #set($extensions = $services.extension.installed.getInstalledExtensions())\n          #else\n            #set($extensions = $services.extension.installed.getInstalledExtensions($extensionNamespace))\n          #end\n        #elseif ($selectedRepositoryId == 'local')\n          #set($extensions = $services.extension.local.getLocalExtensions())\n        #end\n        #if ($extensions)\n          #set ($totalHits = $extensions.size())\n          #if ($totalHits == 0)\n            #set ($noResultsMessageKey = "extensions.search.repository.${selectedRepositoryId}.empty")\n          #end\n          ## All extensions from the specified repository have been fetched. We need to display only the current page.\n          #set ($extensions = $extensions.subList($paginationParams.firstItem, $mathtool.min($extensions.size(), $mathtool.add($paginationParams.firstItem, $paginationParams.itemsPerPage))))\n        #end\n      #end\n    #end\n    #if (!$extensions)\n      #if ($selectedRepositoryId == 'installed' && !$xcontext.isMainWiki())\n        ## When searching for installed extensions we need to take the namespace into account.\n        #set ($extensions = $services.extension.installed.repository.searchInstalledExtensions("$!request.search",\n          $extensionNamespace, $paginationParams.firstItem, $paginationParams.itemsPerPage))\n      #else\n        #set ($extensions = $repository.search("$!request.search", $paginationParams.firstItem, $paginationParams.itemsPerPage))\n      #end\n      #set ($totalHits = $extensions.totalHits)\n    #end\n    #if (!$extensions.iterator().hasNext())\n      <div class="box infomessage">$services.localization.render($noResultsMessageKey, ["<em>$!escapetool.xml($request.search)</em>"])</div>\n    #else\n      #if ($totalHits && $totalHits > $paginationParams.itemsPerPage)\n        #set ($hasPagination = true)\n        #set ($paginationParams.totalItems = $totalHits)\n        #set ($paginationParams.url = $doc.getURL($xcontext.action, $request.getQueryString().replaceAll('(^|&)firstIndex=[^&]++&?', '$1')))\n        #pagination($paginationParams)\n      #end\n      #foreach($extension in $extensions)\n        #displayExtension($extension)\n      #end\n      #if ($hasPagination)\n        #set ($discard = $paginationParams.put('position', 'bottom'))\n        #pagination($paginationParams)\n      #end\n    #end\n  #end\n  </div>\n#end\n{{/html}}\n{{/velocity}}	1.1		XWiki.AdminSheet		3			Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]	f	xwiki/2.1	t
-2740254131235155683	XWiki.ClassSheetBinding	ClassSheetBinding	XWiki Sheet Binding			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2011-07-12 08:57:36	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	This class is used to bind a class to a sheet. See also [[SheetDescriptorClass]].	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.ClassSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n	0			Install extension [org.xwiki.platform:xwiki-platform-sheet-ui-7.1.2]	f	xwiki/2.0	t
-5228249638585823428	XWiki.SheetDescriptorClass	SheetDescriptorClass	XWiki Sheet Descriptor Class			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2011-09-20 08:30:32	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	This class is used to describe a sheet. See also [[DocumentSheetBinding]] and [[ClassSheetBinding]] on how to apply a sheet to a document.	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.SheetDescriptorClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<action>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>action</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Action</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</action>\n</class>\n	0			Install extension [org.xwiki.platform:xwiki-platform-sheet-ui-7.1.2]	f	xwiki/2.0	t
6430122833799377647	XWiki.DocumentSheetBinding	DocumentSheetBinding	XWiki Sheet Include			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2011-07-12 08:24:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	This class is used to apply a custom sheet to a document. See also [[SheetDescriptorClass]].	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n	0			Install extension [org.xwiki.platform:xwiki-platform-sheet-ui-7.1.2]	f	xwiki/2.0	t
-3363454890822309436	XWiki.UIExtensionSheet	UIExtensionSheet	#sheetTitle('User Interface Extension Sheet' $doc.name.equals('UIExtensionSheet'))			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2013-06-11 03:01:58	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#set ($class = $doc.getObject('XWiki.UIExtensionClass').xWikiClass)\n#foreach ($uix in $doc.getObjects('XWiki.UIExtensionClass'))\n  = UIExtension $uix.number =\n  #foreach ($prop in $class.properties)\n    ; $prop.prettyName\n    #if ($prop.getType() == 'TextAreaClass')\n      : (% class="box" %)((({{{$uix.getProperty($prop.getName()).getValue()}}})))\n    #else\n      : $doc.display($prop.getName(), $uix)\n    #end\n  #end\n#end\n{{/velocity}}	1.1		XWiki.UIExtensionClass		0			Install extension [org.xwiki.platform:xwiki-platform-uiextension-ui-7.1.2]	f	xwiki/2.1	t
1996552601222015142	ColorThemes.WebPreferences	WebPreferences				0	2017-05-12 15:43:31	2017-05-12 15:43:31	2009-09-10 06:03:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	f	xwiki/2.0	t
6888561346923736117	ColorThemes.Mint	Mint	Mint			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2012-01-11 09:44:52	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome		3			Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	f	xwiki/2.1	t
1509133011128642455	ColorThemes.WizardWebColors	WizardWebColors	$services.localization.render('xe.themes.colors.webColors.title')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2009-12-29 12:36:27	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes	{{velocity output="false"}}\n#set($webColors =\n  [\n    "#000000","#444444","#666666","#999999","#CCCCCC","#EEEEEE","#FFFFFF",\n    "#EA9999","#F9CB9C","#FFE599","#B6D7A8","#A2C4C9","#9FC5E8","#B4A7D6",\n    "#E06666","#F6B26B","#FFD966","#93C47D","#76A5AF","#6FA8DC","#8E7CC3",\n    "#CC0000","#E69138","#F1C232","#6AA84F","#45818E","#3D85C6","#674EA7",\n    "#990000","#B45F06","#BF9000","#38761D","#134F5C","#0B5394","#351C75"\n  ]\n)\n{{/velocity}}	1.1		ColorThemes.ColorThemeSheet		0			Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	f	xwiki/2.0	t
-2600009163857461086	ColorThemes.Azure	Azure	Azure			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2011-12-12 11:03:24	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome		3			Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	f	xwiki/2.0	t
-4486255357855088219	ColorThemes.ColorThemeTemplate	ColorThemeTemplate	$services.localization.render('xe.themes.colors.template.title')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2009-08-24 06:08:05	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	f	xwiki/2.1	t
7825328454138452853	ColorThemes.WizardPropertyMapping	WizardPropertyMapping	$services.localization.render('xe.themes.colors.mapping.title')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2009-12-29 12:36:27	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes	{{velocity output="false"}}\n##\n##\n## Map maquette elements to the list of theme properties they are affected by.\n##\n## {Layout element -> {CSS property -> [Color theme properties]}}\n##\n#set($elementStylingPropertyMap = {\n  'page'            : {'background': ['pageBackgroundColor', 'pageBackgroundImage', 'pageBackgroundPosition'], 'color': ['textColor']},\n  'mainmenu'        : {'background': ['menuBackgroundColor'], 'color': ['menuLinkColor'], 'background-image': ['menuBackgroundColor', 'menuGradientColor']},\n  'menuaddentry'    : {'background': ['menuAddEntryBackgroundColor'], 'color': ['menuAddEntryLinkColor']},\n  'contentmenu'     : {'background': ['menuContentBackgroundColor'], 'color': ['menuContentLinkColor'], 'background-image': ['menuContentBackgroundColor', 'menuContentGradientColor']},\n  'header'          : {'background': ['pageHeaderBackgroundColor', 'headerBackgroundImage', 'headerBackgroundPosition']},\n  'panelheader'     : {'background': ['panelHeaderBackgroundColor'], 'color': ['panelHeaderTextColor'], 'border-color': ['borderColor'], 'background-image': ['panelHeaderBackgroundColor', 'panelHeaderGradientColor']},\n  'panelcontents'   : {'background': ['panelBackgroundColor'], 'color': ['panelTextColor']},\n  'collapsedpanel'  : {'background': ['panelCollapsedBackgroundColor'], 'color': ['panelCollapsedTextColor'], 'background-image': ['panelCollapsedBackgroundColor', 'panelCollapsedGradientColor']},\n  'content'         : {'background': ['pageContentBackgroundColor'], 'color': ['textColor']},\n  'title'           : {'color': ['titleColor'], 'border-color': ['borderColor']},\n  'link'            : {'color': ['linkColor']},\n  'info'            : {'color': ['textPrimaryColor']},\n  'details'         : {'color': ['textSecondaryColor']},\n  'highlight'       : {'background': ['highlightColor']},\n  'table'           : {'border-color': ['borderColor']},\n  'th'              : {'background': ['backgroundSecondaryColor'], 'border-color': ['borderColor']},\n  'td'              : {'border-color': ['borderColor']},\n  'message'         : {'background': ['backgroundSecondaryColor'], 'border-color': ['borderColor']},\n  'button'          : {'background': ['buttonPrimaryBackgroundColor'], 'color': ['buttonPrimaryTextColor'], 'background-image': ['buttonPrimaryBackgroundColor', 'buttonPrimaryGradientColor']},\n  'secondaryButton' : {'background': ['buttonSecondaryBackgroundColor'], 'color': ['buttonSecondaryTextColor'], 'background-image': ['buttonSecondaryBackgroundColor', 'buttonSecondaryGradientColor']},\n  'tabshead'        : {'background': ['menuContentBackgroundColor'], 'color': ['menuContentLinkColor'], 'background-image': ['menuContentBackgroundColor', 'menuContentGradientColor']},\n  'tabentryactive'  : {'background': ['pageContentBackgroundColor'], 'color': ['menuSelectedEntryLinkColor']},\n  'tabdetails'      : {'color': ['textSecondaryColor']},\n  'tabscontent'     : {'background': ['pageContentBackgroundColor'], 'color': ['textColor']}\n})\n##\n##\n## Map maquette elements to the list of theme properties they display when configured.\n## Each color theme property must appear EXACTLY ONCE in the whole map.\n##\n## {Layout element -> [Color theme properties]}\n##\n#set($elementPropertyMap = {\n  'page'               : ['pageBackgroundColor', 'pageBackgroundImage', 'pageBackgroundPosition'],\n  'mainmenu'           : ['menuBackgroundColor', 'menuGradientColor', 'menuLinkColor', 'menuAddEntryLinkColor', 'menuAddEntryBackgroundColor'],\n  'headerbox'          : ['logoImage', 'pageHeaderBackgroundColor', 'headerBackgroundImage', 'headerBackgroundPosition'],\n  'panelheader'        : ['panelHeaderBackgroundColor', 'panelHeaderGradientColor', 'panelHeaderTextColor'],\n  'panelcontents'      : ['panelBackgroundColor', 'panelTextColor'],\n  'collapsedpanel'     : ['panelCollapsedBackgroundColor', 'panelCollapsedGradientColor', 'panelCollapsedTextColor'],\n  'content'            : ['pageContentBackgroundColor'],\n  'contentmenu'        : ['menuContentBackgroundColor', 'menuContentGradientColor', 'menuContentLinkColor', 'submenuContentBackgroundColor'],\n  'textlink'           : ['textColor', 'linkColor'],\n  'titlebox'           : ['titleColor'],\n  'info'               : ['textPrimaryColor'],\n  'details'            : ['textSecondaryColor'],\n  'highlight'          : ['highlightColor'],\n  'boxes'              : ['backgroundSecondaryColor', 'borderColor'],\n  'buttonbox'          : ['buttonPrimaryBackgroundColor','buttonPrimaryGradientColor', 'buttonPrimaryTextColor'],\n  'secondaryButtonbox' : ['buttonSecondaryBackgroundColor', 'buttonSecondaryGradientColor', 'buttonSecondaryTextColor'],\n  'extratabs'          : ['menuSelectedEntryLinkColor']\n})\n{{/velocity}}	1.1		ColorThemes.ColorThemeSheet		0			Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	f	xwiki/2.0	t
-7092167269817579749	ColorThemes.Dusk	Dusk	Dusk			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2012-01-11 09:44:52	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome		3			Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	f	xwiki/2.1	t
-4040626208424784602	ColorThemes.ColorThemeClass	ColorThemeClass	$services.localization.render('xe.themes.colors.class.title')			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2009-08-24 06:08:05	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>ColorThemes.ColorThemeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<backgroundSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>backgroundSecondaryColor</name>\n<number>32</number>\n<picker>0</picker>\n<prettyName>Secondary background color (table headers, message boxes, administration boxes)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</backgroundSecondaryColor>\n<borderColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>borderColor</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Border color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</borderColor>\n<buttonPrimaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryBackgroundColor</name>\n<number>29</number>\n<picker>0</picker>\n<prettyName>Primary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryBackgroundColor>\n<buttonPrimaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryGradientColor</name>\n<number>37</number>\n<picker>0</picker>\n<prettyName>Primary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryGradientColor>\n<buttonPrimaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryTextColor</name>\n<number>28</number>\n<picker>0</picker>\n<prettyName>Primary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryTextColor>\n<buttonSecondaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryBackgroundColor</name>\n<number>31</number>\n<picker>0</picker>\n<prettyName>Secondary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryBackgroundColor>\n<buttonSecondaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryGradientColor</name>\n<number>38</number>\n<picker>0</picker>\n<prettyName>Secondary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryGradientColor>\n<buttonSecondaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryTextColor</name>\n<number>30</number>\n<picker>0</picker>\n<prettyName>Secondary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryTextColor>\n<fieldGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>fieldGradientColor</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>Field gradient color (for form elements: input, select, textarea, etc.)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</fieldGradientColor>\n<headerBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundImage</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>Banner (header image - the name of an image attached to the theme document)</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundImage>\n<headerBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundPosition</name>\n<number>14</number>\n<picker>0</picker>\n<prettyName>Banner position and repeat (CSS syntax, for example: "left center no-repeat")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundPosition>\n<highlightColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>highlightColor</name>\n<number>15</number>\n<picker>0</picker>\n<prettyName>Background color for highlighted elements</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</highlightColor>\n<linkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>linkColor</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</linkColor>\n<logoImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logoImage</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Logo (image displayed at the top left corner of the header - the name of an image attached to the theme document; if set, it has priority over the logo configured in the skin and the default logo)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logoImage>\n<menuAddEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryBackgroundColor</name>\n<number>21</number>\n<picker>0</picker>\n<prettyName>Add menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryBackgroundColor>\n<menuAddEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryLinkColor</name>\n<number>20</number>\n<picker>0</picker>\n<prettyName>Add menu entry link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryLinkColor>\n<menuBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuBackgroundColor</name>\n<number>16</number>\n<picker>0</picker>\n<prettyName>Menu background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuBackgroundColor>\n<menuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentBackgroundColor</name>\n<number>42</number>\n<picker>0</picker>\n<prettyName>Content menu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentBackgroundColor>\n<menuContentGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentGradientColor</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>Content menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentGradientColor>\n<menuContentLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentLinkColor</name>\n<number>43</number>\n<picker>0</picker>\n<prettyName>Content menu text color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentLinkColor>\n<menuGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuGradientColor</name>\n<number>39</number>\n<picker>0</picker>\n<prettyName>Menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuGradientColor>\n<menuLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuLinkColor</name>\n<number>17</number>\n<picker>0</picker>\n<prettyName>Menu text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuLinkColor>\n<menuSelectedEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryBackgroundColor</name>\n<number>18</number>\n<picker>0</picker>\n<prettyName>Selected menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryBackgroundColor>\n<menuSelectedEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryLinkColor</name>\n<number>19</number>\n<picker>0</picker>\n<prettyName>Selected menu entry text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryLinkColor>\n<notificationErrorColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationErrorColor</name>\n<number>36</number>\n<picker>0</picker>\n<prettyName>Error notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationErrorColor>\n<notificationInfoColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationInfoColor</name>\n<number>33</number>\n<picker>0</picker>\n<prettyName>Informational notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationInfoColor>\n<notificationSuccessColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationSuccessColor</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>Success notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationSuccessColor>\n<notificationWarningColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationWarningColor</name>\n<number>35</number>\n<picker>0</picker>\n<prettyName>Warning notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationWarningColor>\n<pageBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundColor</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Page background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundColor>\n<pageBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundImage</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Page background image (the name of an image attached to the theme document)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundImage>\n<pageBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundPosition</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Page background image position and repeat (CSS syntax, for example: "left top repeat-x")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundPosition>\n<pageContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageContentBackgroundColor</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Page content background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageContentBackgroundColor>\n<pageHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageHeaderBackgroundColor</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>Page header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageHeaderBackgroundColor>\n<panelBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelBackgroundColor</name>\n<number>22</number>\n<picker>0</picker>\n<prettyName>Panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelBackgroundColor>\n<panelCollapsedBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedBackgroundColor</name>\n<number>26</number>\n<picker>0</picker>\n<prettyName>Collapsed panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedBackgroundColor>\n<panelCollapsedGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedGradientColor</name>\n<number>41</number>\n<picker>0</picker>\n<prettyName>Collapsed panel gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedGradientColor>\n<panelCollapsedTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedTextColor</name>\n<number>27</number>\n<picker>0</picker>\n<prettyName>Collapsed panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedTextColor>\n<panelHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderBackgroundColor</name>\n<number>24</number>\n<picker>0</picker>\n<prettyName>Panel header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderBackgroundColor>\n<panelHeaderGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderGradientColor</name>\n<number>40</number>\n<picker>0</picker>\n<prettyName>Panel header gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderGradientColor>\n<panelHeaderTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderTextColor</name>\n<number>25</number>\n<picker>0</picker>\n<prettyName>Panel header text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderTextColor>\n<panelTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelTextColor</name>\n<number>23</number>\n<picker>0</picker>\n<prettyName>Panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelTextColor>\n<submenuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>submenuContentBackgroundColor</name>\n<number>46</number>\n<picker>0</picker>\n<prettyName>Content submenu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</submenuContentBackgroundColor>\n<textColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textColor</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textColor>\n<textPrimaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textPrimaryColor</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Informative text color (Modified by, Created by, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textPrimaryColor>\n<textSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textSecondaryColor</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Details text color (Comments date, attachments date, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textSecondaryColor>\n<titleColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>titleColor</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Title color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</titleColor>\n</class>\n	2			Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	f	xwiki/2.0	t
8331172144543366478	ColorThemes.ColorThemeSheet	ColorThemeSheet	#sheetTitle('xe.themes.colors.sheet.title' $doc.name.equals('ColorThemeSheet'))			0	2017-05-12 15:43:31	2017-05-12 15:43:31	2009-08-24 06:08:05	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes	{{velocity output="false"}}\n##=======================================================\n##\n## INITIALIZATION\n##\n## Mode\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n  #set ($sheetMode = 'edit')\n#else\n  #set ($sheetMode = 'view')\n#end\n## The color theme class and object\n#set($classname = 'ColorThemes.ColorThemeClass')\n#set($class = $xwiki.getDocument($classname).getxWikiClass())\n#set($obj = $doc.getObject($classname))\n#set($propPrefix = "${classname}_${obj.number}_")\n##\n## Color theme initialization:\n## force the use of the default colors whenever this theme has undefined properties\n#set($defaultColorTheme = 'ColorThemes.DefaultColorTheme')\n#set($themeObj = $xwiki.getDocument($defaultColorTheme).getObject($classname))\n#template("colorThemeInit.vm")\n##\n## Default color palette\n#includeTopic('ColorThemes.WizardWebColors')\n##\n## Define a mapping between:\n## - elements and the color theme properties that affect them: $elementStylingPropertyMap\n## - elements and the color theme properties configured from them: $elementPropertyMap\n## to be used in both CSS-only version and JavaScript-enhanced version\n#includeTopic('ColorThemes.WizardPropertyMapping')\n##\n## Wizard stylesheet; defines the layout.\n$xwiki.ssx.use('ColorThemes.ColorThemeSheet')##\n##\n##\n##\n## Hashmap: property number -> property name\n## In the request string, the ids are used because they are much shorter,\n## thus allowing more parameters to fit in the restricted size of the query string.\n#set($propNumberNameMap = {})\n#foreach($prop in $class.properties)\n  #set($discard = $propNumberNameMap.put(${prop.number}, ${prop.name}))\n#end\n##\n## The property values given as query parameters\n#set($requestDefinedValues = {})\n#foreach($propID in $request.getParameterNames())\n  #set($propname = "$!{propNumberNameMap.get($mathtool.toInteger($propID))}")\n  #if($propname.indexOf('Color') >= 0)\n    #set($colorID  = $mathtool.toInteger("$!{request.get($propID)}"))\n    #if($colorID >= 0 && $colorID < $webColors.size())\n      #set($color    = "$!{webColors.get($colorID)}")\n      #if("$!{propname}" != '' && "$!{color}" != '')\n        #set($discard = $requestDefinedValues.put($propname, $color))\n      #end\n    #end\n  #else\n    ## TODO Other property types\n  #end\n#end\n##\n##\n## Javascript enhancements of the wizard\n## - Color pickers\n$xwiki.jsfx.use('uicomponents/widgets/colorpicker/procolor.js', true)##\n## - Live preview\n##   Parameters:\n##      colorTheme     - when this theme has undefined properties, force the use of the default\n##                       colors by ignoring the current configured color theme of the wiki;\n##                       colorThemeInit.vm will see this parameter in the URL and use it\n##      themeDoc       - the current document, needed for generating image URL templates\n##      propertyPrefix - "classname_objectnumber_" - needed to identify inputs\n$xwiki.jsx.use('ColorThemes.ColorThemeSheet', {\n       'colorTheme'     : 'ColorThemes.DefaultColorTheme',\n       'themeDoc'       : $doc.fullName,\n       'propertyPrefix' : $propPrefix\n})##\n## ===============================================================\n##\n## MACROS\n##\n#**\n * Prints a colors palette\n *\n * @param propname The property for which the palette is defined\n *#\n#macro(printColorThemeWizardPalette $propname)\n  #set($rows = 5)\n  #set($columns = 7)\n  ## The Velocity foreach iterator includes the end of the range, so we define the last inclusive element\n  #set($lastRow = $rows - 1)\n  #set($lastColumn = $columns - 1)\n  #set($propID = "$!class.get(${propname}).number")\n  #set($propValue = "$!{requestDefinedValues.get($propname)}")\n  #if($propValue == '')\n    #if("$!{obj.getProperty($propname).value}" == '')\n      ##Old colorthemes (before 3.4) shared values for #mainmenu and #contentmenu\n      #if ($propname.equals('menuContentLinkColor'))\n        #set($propValue = $!{obj.getProperty('menuLinkColor').value})\n      #elseif ($propname.equals('menuContentBackgroundColor') || $propname.equals('submenuContentBackgroundColor'))\n        #set($propValue = $!{obj.getProperty('menuBackgroundColor').value})\n      #elseif (!$propname.endsWith('GradientColor'))\n        ## Old colorthemes (before 3.4) don t have values set for GradientColor variables - leave this inputs empty\n        #set($propValue = $theme.get($propname))\n      #end\n    #end\n  #end\n  #if($propValue != '')\n    $obj.set($propname, $propValue)\n  #end\n  <div class="colorthemewizard-picker-section colorthemewizard-palette">\n    #printPropertyLabel($propname)\n    ## Not using $doc.display($propname) because it generates an annoying\n    ## <pre> around the input (among other problems)\n    ## Also, set the class 'procolor', to be recognized by the color picker\n    <input type="text" size="9" name="${propPrefix}${propname}" id="${propPrefix}${propname}" value="$!{obj.getProperty($propname).value}" class="procolor"/>\n    <table class="colorthemewizard-picker-noscript" summary="35 Color Palette">\n      <tbody>\n        #foreach ($row in [0..$lastRow])\n          <tr>\n          #foreach ($cell in [0..$lastColumn])\n             #set($colorID = $mathtool.mul($row, $columns) + $cell)\n             #set($params = "$!{request.queryString}")\n             #set($params = $params.replaceAll("(^|&)${propID}=[^&]*", ""))\n             #set($params = $params.replaceAll("&", "&amp;"))\n             #set($params = "${params}&amp;${propID}=${colorID}")\n             <td><a href="$doc.getURL('edit', $params)" class="color${colorID}#if("$!{obj.getProperty($propname).value}" == "$!{webColors.get($colorID)}") current#end"></a></td>\n          #end\n         </tr>\n        #end\n      </tbody>\n    </table>\n  </div>\n#end\n##\n##\n##\n#**\n * Prints a css dropdown displaying the names (and thumbnail previews?)\n * of all the images attached to the current ColorTheme document\n *\n * @param propname The property for which the image picker is defined\n *\n * TODO write me!\n *#\n#macro(printImageSelector $propname)\n   <div class="colorthemewizard-picker-section">\n     #printPropertyLabel($propname)\n     <input type="text" size="15" name="${propPrefix}${propname}" id="${propPrefix}${propname}" value="$!{obj.getProperty($propname).value}" class="colorthemewizard-backgroundImage"/>\n##     <div style="color: red;">TODO: display friendly selector</div>\n   </div>\n#end\n##\n##\n##\n\n#**\n * Allows to choose possible positions and repeat patterns for the background images\n *\n * left    center   right\n * +--+-----+--+-----+--+\n * |  |     |  |     |  | top\n * +--+     +--+     +--+\n * |                    |\n * +--+     +--+     +--+\n * |  |     |  |     |  | center\n * +--+     +--+     +--+\n * |                    |\n * +--+     +--+     +--+\n * |  |     |  |     |  | bottom\n * +--+-----+--+-----+--+\n *\n * @param propname The property for which the position selector is defined\n *\n * TODO write me!\n *#\n#macro(printPositionSelector $propname)\n   <div class="colorthemewizard-picker-section">\n     #printPropertyLabel($propname)\n     <input type="text" size="15" name="${propPrefix}${propname}" id="${propPrefix}${propname}" value="$!{obj.getProperty($propname).value}"/>\n##     <div style="color: red;">TODO: display friendly selector</div>\n   </div>\n#end\n##\n##\n##\n#**\n * Chooses the right picker for each type of property.\n * Right now, the choice is based on keywords present in the property name:\n * color, image, position\n *\n * @param $propname The property name\n *#\n#macro(printPropertyPicker $propname)\n  #if($propname.contains('Color'))\n    #printColorThemeWizardPalette($propname)\n  #elseif($propname.contains('Image'))\n    #printImageSelector($propname)\n  #elseif($propname.contains('Position'))\n    #printPositionSelector($propname)\n  #end\n#end\n##\n##\n##\n#**\n * Obtains the prettyName of the property and processes it in order to display any text\n * appearing in '()' in smaller print\n *\n * @param propname The name of the color theme property\n *#\n#macro(printPropertyPrettyname $propname)$doc.displayPrettyName($propname).replaceAll("\\((.*)\\)", "<span class='more-details'>($1)</span>")#end\n#**\n * Generates the label for the input correspinding to a given property\n *\n * @param propname The name of the color theme property\n *#\n#macro(printPropertyLabel $propname)\n   <label for="${propPrefix}${propname}">#printPropertyPrettyname($propname)</label>\n#end\n##\n##\n#**\n * Prints the container of ColorTheme properties for an element.\n * These properties are retrieved from the previously defined map $elementPropertyMap.\n *\n * @param element The target element\n *#\n#macro(printColorThemeWizard $element)\n  ## Only generate the palettes in edit mode\n  #if ($sheetMode == 'edit')\n    #set($propnames = '')\n    #set($propnames = $!elementPropertyMap.get($element))\n    #if("$!{propnames}" != '' && $propnames.size() > 0)\n    <div id="colorthemewizard-${element}-trigger" class="colorthemewizard-trigger">\n      <div class="colorthemewizard-tip">\n        $services.localization.render('xe.themes.colors.wizard.choose'):\n        <ul>\n          #foreach($propname in $propnames)\n            <li>#printPropertyPrettyname($propname)</li>\n          #end\n        </ul>\n      </div>\n      <div id="colorthemewizard-${element}-picker" class="colorthemewizard-picker">\n        <fieldset>\n          ##<legend>$!{element}</legend>\n          #foreach($propname in $propnames)\n            #printPropertyPicker($propname)\n          #end\n        </fieldset>\n      </div>\n    </div>\n    #end\n  #end\n#end\n##\n##\n##\n#**\n * Generates inline style for a given element in the maquette.\n * Search for values in the following order:\n * - request parameters\n * - color theme properties from the current document\n * - default color theme\n * The properties that affect it and their corresponding css rules are retrieved from\n * the previously defined $elementStylingPropertyMap.\n *\n * @param $element The element for which we generate the inline style.\n *###\n#macro(inlineStyle $element)\n  #set($style = '')\n  #foreach($cssProp in $elementStylingPropertyMap.get($element).keySet())\n    #set($cssValue = '')\n    #set($themeProps = $elementStylingPropertyMap.get($element).get($cssProp))\n    #foreach ($themeProp in $themeProps)\n      #set($themeValue = "$!{requestDefinedValues.get($themeProp)}")\n      #if($themeValue == '')\n        #set($themeValue = "$!{obj.getProperty($themeProp).value}")\n        #if($themeValue == '')\n          ## Old colorthemes (before 3.4) shared values for #mainmenu and #contentmenu\n          #if ($themeProp.equals('menuContentLinkColor'))\n            #set($themeValue = "$!{obj.getProperty('menuLinkColor').value}")\n          #elseif ($themeProp.equals('menuContentBackgroundColor'))\n            #set($themeValue = "$!{obj.getProperty('menuBackgroundColor').value}")\n          #end\n        #end\n      #end\n      #if($themeValue == '' && !$themeProp.endsWith('GradientColor'))\n        ## Old colorthemes (before 3.4) don t have values set for GradientColor variables - don t fallback on these values\n        #set($themeValue = "${theme.get($themeProp)}")\n      #end\n      #if($themeValue != '' && $themeProp.indexOf('Image') >= 0)\n        #set($themeValue = "url($doc.getAttachmentURL($themeValue))")\n      #end\n      #set($cssValue = "${cssValue} $!{themeValue}")\n    #end\n    #if($cssValue.trim() != '')\n      #if (!$cssProp.equals('background-image'))\n        #set($style = "$!{style} ${cssProp}:${cssValue};")\n      #else\n        ## 'background-image' css properties need to be specially constructed in order to add the gradient definition \n        #set ($gradientValues = $cssValue.trim().split(' '))\n        #if ($gradientValues.size() >= 2)\n          #if ($gradientValues[0] != '' && $gradientValues[1] != '')\n            ## #css3_backgroundLinearGradient macro (defined in macros.vm) used for the majority of browsers (FF, Chrome, Opera, IE10) that support CSS3 properties\n            #set($style = "$!{style} #css3_backgroundLinearGradient({\n               'to': 'bottom',\n               'colors': [\n                {'color': $gradientValues[1], 'position': '0%'},\n                {'color': $gradientValues[0], 'position': '100%'}\n              ]\n            })")\n            ## #css_filterGradient macro (defined in macros.vm) used for the IE 6-9 browsers that don't support CSS3 properties\n            #set($style = "$!{style} #css_filterGradient(${gradientValues[1]}, ${gradientValues[0]})")\n          #end\n        #end\n      #end\n    #end\n  #end\n  #if ("$!{style}" != '')\n    #set($style = "style='${style}'")\n  #end\n  $style ##\n#end\n##\n##\n##\n#**\n * Generates the classes corresponding to each theme property that 'affects' an element.\n * These properties are retrieved from the previously defined map $elementStylingPropertyMap.\n * The classname is constructed as "colorthemewizard-${propertyName}".\n * Also sets the implicit class "colorthemewizard-${element}".\n * In addition, if the element should display editable pickers for one or more theme properties,\n * as defined in $elementPropertyMap, it will also have the class "colorthemewizard-editable-group".\n *\n * @param $element The element for which we generate the class names.\n *#\n#macro(themePropertyClasses $element)\n  #set($classes = "colorthemewizard-${element}")\n  #set($attachedProps = '')\n  #set($attachedProps = $elementPropertyMap.get($element))\n  #if("$!{attachedProps}" != '' && $attachedProps.size() > 0)\n    #set($classes = "${classes} colorthemewizard-editable-group")\n  #end\n  #foreach($themeProps in $elementStylingPropertyMap.get($element))\n    #foreach ($property in $themeProps)\n      #set($classes = "$!{classes} colorthemewizard-${property}")\n    #end\n  #end\n  class="$!{classes}" ##\n#end\n##\n##\n##\n#**\n * Generates the class and inline style for an element.\n * @see #themePropertyClasses\n * @see #inlineStyle\n *\n * @param $element The element for which we generate the metadata.\n *#\n#macro(elementMetaData $element)\n  #themePropertyClasses($element) #inlineStyle($element)##\n#end\n##\n##\n##\n##\n{{/velocity}}\n\n{{velocity}}\n## ===============================================================\n##\n## PAGE MAQUETTE\n##\n{{html clean="false" wiki="false"}}\n##\n##\n#if($sheetMode == 'edit')<div class="colorthemewizard-reset"><input type="reset" value="$services.localization.render('xe.themes.colors.wizard.reset')"/></div>#end\n<div #elementMetaData('page')>\n  #printColorThemeWizard('page')\n  ## Main menu\n  <div #elementMetaData('mainmenu')>\n   <div>\n    $services.localization.render('xe.themes.colors.wizard.mainMenu')\n    <span #elementMetaData('menuaddentry')>$services.localization.render('xe.themes.colors.wizard.menuEntry')#$services.localization.render('core.menu.create')</span>\n    <span #elementMetaData('menuentry')>$services.localization.render('xe.themes.colors.wizard.menuEntry')#1</span>\n    <span #elementMetaData('menuentry')>$services.localization.render('xe.themes.colors.wizard.menuEntry')#2</span>\n   </div>\n   #printColorThemeWizard('mainmenu')\n  </div>\n  ## Page header\n  <div #elementMetaData('headerbox')>\n    <div #elementMetaData('header')>\n      ## Page Header\n      #set($themeLogoImage = $doc.getAttachment("$!{obj.getProperty('logoImage').value}"))\n      #if ("$!{themeLogoImage}" != '')\n        #set($themeLogoImage = $doc.getAttachmentURL($!{obj.getProperty('logoImage').value}))\n      #else\n        ## If the logo is not configured, use the one in the skin or the one set by default\n        ## For this $logoname is already set in global.vm\n        #set($themeLogoImage = "$xwiki.getSkinFile($logoname)")\n      #end\n      <img id="colorthemewizard-logo" src="$themeLogoImage" alt="$services.localization.render('xe.themes.colors.wizard.logo')"/>\n    </div>\n    #printColorThemeWizard('headerbox')\n  </div>\n  ## Panels\n  <div #elementMetaData('panels')>\n    ## Expanded panel\n    <div #elementMetaData('panel')>\n      ## Expanded panel header\n      <div #elementMetaData('panelheader')>\n        <div>$services.localization.render('xe.themes.colors.wizard.panel')</div>\n        #printColorThemeWizard('panelheader')\n      </div>\n      ## Expanded panel contents\n      <div #elementMetaData('panelcontents')>\n        <div><span #elementMetaData('text')>$services.localization.render('xe.themes.colors.wizard.panel.text')</span> | <span  #elementMetaData('link')>$services.localization.render('xe.themes.colors.wizard.panel.link')</span></div>\n        #printColorThemeWizard('panelcontents')\n      </div>\n    </div>\n    ## Collapsed panel\n    <div #elementMetaData('collapsedpanel')>\n      <div>$services.localization.render('xe.themes.colors.wizard.panel.collapsed')</div>\n      #printColorThemeWizard('collapsedpanel')\n    </div>\n  </div> ##panels\n  <div #elementMetaData('maincolumn')>\n    ## XWiki Content\n    <div #elementMetaData('content')>\n      <div #elementMetaData('contentmenu')>\n       $services.localization.render('xe.themes.colors.wizard.menu')\n       <span #elementMetaData('menuentry')>$services.localization.render('xe.themes.colors.wizard.menuEntry')#1</span>\n       <span #elementMetaData('menuentry')>$services.localization.render('xe.themes.colors.wizard.menuEntry')#2</span>\n       #printColorThemeWizard('contentmenu')\n      </div>\n      <div #elementMetaData('xwikicontent')>\n        <div #elementMetaData('titlebox')>\n          <h2 #elementMetaData('title')>$services.localization.render('xe.themes.colors.wizard.title')</h2>\n          #printColorThemeWizard('titlebox')\n        </div>\n        <div #elementMetaData('info')>\n          <div>$services.localization.render('xe.themes.colors.wizard.informativeText')</div>\n          #printColorThemeWizard('info')\n        </div>\n        <div #elementMetaData('details')>\n          <div>$services.localization.render('xe.themes.colors.wizard.detailsText')</div>\n          #printColorThemeWizard('details')\n        </div>\n        <div class="clearfloats" ></div>\n        <div #elementMetaData('textlink')>\n          <div>\n            <span #elementMetaData('text')>$services.localization.render('xe.themes.colors.wizard.text')</span> |\n            <span #elementMetaData('link')>$services.localization.render('xe.themes.colors.wizard.link')</span>\n          </div>\n          #printColorThemeWizard('textlink')\n        </div>\n        <div #elementMetaData('highlight')>\n          <div>$services.localization.render('xe.themes.colors.wizard.highlightedText')</div>\n          #printColorThemeWizard('highlight')\n        </div>\n        <div #elementMetaData('boxes')>\n          <div #elementMetaData('message')>$services.localization.render('xe.themes.colors.wizard.messageBox')</div>\n          <table #elementMetaData('table')>\n            <thead><tr><th colspan="2" scope="col" #elementMetaData('th')>$services.localization.render('xe.themes.colors.wizard.table')</th></tr></thead>\n            <tbody><tr><td #elementMetaData('td')>$services.localization.render('xe.themes.colors.wizard.table.data')#1</td><td #elementMetaData('td')>$services.localization.render('xe.themes.colors.wizard.table.data')#2</td></tr></tbody>\n          </table>\n          #printColorThemeWizard('boxes')\n        </div>\n        <div class="clearfloats" ></div>\n        <div #elementMetaData('buttonbox')>\n          <div><input #elementMetaData('button') type="button" value="$services.localization.render('xe.themes.colors.wizard.button')" /></div>\n          #printColorThemeWizard('buttonbox')\n        </div>\n        <div #elementMetaData('secondaryButtonbox')>\n          <div><input #elementMetaData('secondaryButton') type="button" value="$services.localization.render('xe.themes.colors.wizard.secondaryButton')" /></div>\n          #printColorThemeWizard('secondaryButtonbox')\n        </div>\n        <div class="clearfloats" ></div>\n      </div> ## xwikicontent\n      #printColorThemeWizard('content')\n    </div> ## content\n    ## Extra tabs - comments/attachments/history/information\n    <div  #elementMetaData('extratabs')>\n      <div  #elementMetaData('tabshead')>\n        <span #elementMetaData('tabentryactive')>$services.localization.render('xe.themes.colors.wizard.tab') <span #elementMetaData('tabdetails')>#1</span></span>\n        <span #elementMetaData('tabentry')>$services.localization.render('xe.themes.colors.wizard.tab') <span #elementMetaData('tabdetails')>#2</span></span>\n      </div>\n      <div #elementMetaData('tabscontent')>$services.localization.render('xe.themes.colors.wizard.tab.text')</div>\n      #printColorThemeWizard('extratabs')\n    </div>\n  </div> ## main column\n  <div class="clearfloats" ></div>\n</div>\n{{/html}}\n{{/velocity}}	1.1		ColorThemes.ColorThemeClass		2			Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	f	xwiki/2.0	t
556521603779622092	ColorThemes.WebHome	WebHome	$services.localization.render('xe.themes.colors.title')			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2013-08-01 15:01:39	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes	{{velocity output="false"}}\n#if("$!request.xaction" == 'setTheme' && "$!request.theme" != '' && $hasAdmin && ${services.csrf.isTokenValid("$!{request.getParameter('form_token')}")})\n  #set($preferencesDoc = $xwiki.getDocument('XWiki.XWikiPreferences'))\n  #set($preferencesObj = $preferencesDoc.getObject('XWiki.XWikiPreferences'))\n  $preferencesObj.set('colorTheme', $request.theme)\n  $preferencesDoc.save()\n  ## Redirect without xaction, so that refreshing doesn't set the same theme again.\n  $response.sendRedirect($doc.getURL('view', "theme=$escapetool.url($request.theme)"))\n  #stop\n#elseif("$!request.xaction" == 'create' && "$!request.newThemeName" != '' && ${services.csrf.isTokenValid("$!{request.getParameter('form_token')}")})\n  $response.sendRedirect($xwiki.getDocument($services.model.createDocumentReference($doc.wiki, 'ColorThemes', $request.newThemeName)).getURL('inline', "template=ColorThemes.ColorThemeTemplate&title=$escapetool.url($request.newThemeName)"))\n  #stop\n#end\n\n$xwiki.ssx.use($doc.fullName)\n\n\n##\n## Page mockup, for displaying the theme colors\n##\n#macro(themeMiniDemo $theme)\n  <div class="x-demo-page"  style="background-color: $theme.pageBackgroundColor">\n    <div class="x-demo-top-menu" style="background-color: $theme.menuBackgroundColor"> </div>\n    <div class="x-demo-header" style="background-color: $theme.pageHeaderBackgroundColor"> </div>\n    <div class="x-demo-page-content" style="background-color: $theme.pageContentBackgroundColor">\n      <div class="x-demo-title" style="background-color: $theme.titleColor; border-color: $theme.borderColor"> </div>\n      <div class="x-demo-text1" style="background-color: $theme.textColor"></div>\n      <div class="x-demo-text2" style="background-color: $theme.textColor"></div>\n      <div class="x-demo-text3" style="background-color: $theme.textColor"></div>\n      <div class="x-demo-text4" style="background-color: $theme.linkColor"></div>\n      <div class="x-demo-text5" style="background-color: $theme.textColor"></div>\n    </div>\n    <div class="x-demo-right-panel">\n      <div class="x-demo-panel-header" style="background-color: $theme.panelHeaderBackgroundColor; border-color: $theme.borderColor">\n        <div class="x-demo-panel-header-text" style="background-color: $theme.panelHeaderTextColor"> </div>\n      </div>\n      <div class="x-demo-panel-contents" style="background-color: $theme.panelBackgroundColor">\n        <div class="x-demo-panel-text1" style="background-color: $theme.panelTextColor"> </div>\n        <div class="x-demo-panel-text2" style="background-color: $theme.panelTextColor"> </div>\n        <div class="x-demo-panel-text3" style="background-color: $theme.panelTextColor"> </div>\n      </div>\n    </div>\n  </div>\n#end\n##\n##\n## Theme information: title, creator, mockup\n##\n#macro(displayTheme $themeDocName)\n  #if($xwiki.getXWikiPreference('colorTheme') == $themeDocName)\n    #set($isCurrentTheme = true)\n  #else\n    #set($isCurrentTheme = false)\n  #end\n  #set($themeDoc = $xwiki.getDocument($themeDocName))\n  #set($themeObj = $themeDoc.getObject('ColorThemes.ColorThemeClass', true))\n  #template('colorThemeInit.vm')\n  <div class="x-theme#if($isCurrentTheme) current-theme#end">\n  #themeMiniDemo($theme)\n  <div class="x-theme-info">\n    <div class="x-theme-title">[[$themeDoc.displayTitle>>$themeDocName]]</div>   \n    {{html wiki="false"}}\n      <span class="theme-info">$services.localization.render('core.footer.creation', [$xwiki.getUserName($themeDoc.creator), $xwiki.formatDate($themeDoc.creationDate)])</span>\n      #if($hasAdmin && !$isCurrentTheme)\n        <div class="x-theme-set" id="$themeDoc.fullName">\n          <a href="$doc.getURL('view', "xaction=setTheme&theme=${themeDoc.fullName}&form_token=$!{services.csrf.getToken()}")" class="use-theme">$services.localization.render('xe.themes.useTheme')</a>\n        </div>\n      #end\n    {{/html}}\n    </div>\n  </div>\n#end\n##\n## End macros\n##\n##\n{{/velocity}}\n\n{{velocity}}\n#if("$!request.theme" != '')\n  {{info}}$services.localization.render('xe.themes.themeSet', [$xwiki.getDocument($request.theme).displayTitle]){{/info}}\n\n#end\n{{html wiki="true"}}\n  #set($currentTheme = $xwiki.getDocument('XWiki.XWikiPreferences').getObject('XWiki.XWikiPreferences').getProperty('colorTheme').value)\n  #if("$!currentTheme" == '')\n    #set($currentTheme = 'ColorThemes.DefaultColorTheme')\n  #end\n  == $services.localization.render('xe.themes.current') ==\n  #displayTheme($currentTheme)\n  <div class="clearfloats"></div>\n  #set($query = ", BaseObject as theme where doc.fullName=theme.name and theme.className='ColorThemes.ColorThemeClass' and doc.fullName<>'ColorThemes.ColorThemeTemplate' and doc.fullName<>? and doc.fullName<>'ColorThemes.ColorThemeSheet' order by doc.title")\n  #set($params = ["$!currentTheme"])\n  #set($themeList = $services.query.hql($query).bindValues($params).execute())\n  #if($themeList.size() > 0)\n    == $services.localization.render('xe.themes.others') ==\n  #end\n  #if(!$isGuest && $xcontext.action != 'inline')\n  <form action="$doc.getURL()" method="post" class="xformInline">\n  <div class="x-theme-create">\n    <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n    <input type="hidden" name="xaction" value="create"/>\n    <label for="newThemeName" class="hidden">$services.localization.render('xe.themes.create.nameLabel')</label>\n    <input type="text" name="newThemeName" id="newThemeName" value="$services.localization.render('xe.themes.create.nameTip')" class="withTip" size="30"/>\n    <span class="buttonwrapper"><input type="submit" value="$services.localization.render('xe.themes.create')" class="button"/></span>\n  </div>\n  </form>\n  #end\n  <div class="clearfloats"></div>\n  #foreach($themeDocName in $themeList)\n    #displayTheme($themeDocName)\n  #end\n  <div class="clearfloats"></div>\n{{/html}}\n{{/velocity}}	1.1		Main.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	f	xwiki/2.0	t
-396491626832121981	Mail.Translations	Translations	Mail Translations	sv	en	1	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-12-15 03:58:29	XWiki.Admin	XWiki.Admin	XWiki.Admin	Mail	## XWiki Translation for language sv generated from http://www.l10n.xwiki.org\nMail.GeneralMailConfigClass_obfuscate=Förvräng epostadresser\n	1.1		Mail.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	f	xwiki/2.1	t
5045504870886327795	Mail.GeneralMailConfigSheet	GeneralMailConfigSheet				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-12-09 12:25:57	XWiki.Admin	XWiki.Admin	XWiki.Admin	Mail	{{velocity}}\n#set ($configDocName = 'Mail.MailConfig')\n#set ($configDoc = $xwiki.getDocument($configDocName))\n#set ($configClassName = 'Mail.GeneralMailConfigClass')\n#set ($configObj = $configDoc.getObject($configClassName))\n## =======================================================\n## Step 1: Migrate Mail config data\n## =======================================================\n## We bundle Mail.MailConfig without a Mail.GeneralMailConfigClass xobject, allowing us to migrate mail configuration\n## that were previously stored in XWikiPreferences into a Mail.GeneralMailConfigClass xobject.\n#if ($xcontext.action == 'admin' && "$!configObj" == '')\n  ## Create the xobject\n  #set ($configObj = $configDoc.newObject($configClassName))\n  ## Get the "obfuscate" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('obfuscateEmailAddresses'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('obfuscate', $oldValue))\n  #end\n  ## Save the new xobject!\n  #set ($discard = $configDoc.save('Migrated Mail configuration found in XWikiPreferences', true))\n#end\n## =======================================================\n## Step 1: Display form\n## =======================================================\n#set ($params = {\n  'general': ['obfuscate']\n})\n#set ($paramDoc = $configDoc)\n#set ($paramClass = $configClassName)\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}	1.1		Mail.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	f	xwiki/2.1	t
-5982722919062690003	Mail.SendMailConfigSheet	SendMailConfigSheet				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-12-11 10:48:06	XWiki.Admin	XWiki.Admin	XWiki.Admin	Mail	{{velocity}}\n#set ($configDocName = 'Mail.MailConfig')\n#set ($configDoc = $xwiki.getDocument($configDocName))\n#set ($configClassName = 'Mail.SendMailConfigClass')\n#set ($configObj = $configDoc.getObject($configClassName))\n## =======================================================\n## Step 1: Migrate Mail config data\n## =======================================================\n## We bundle Mail.MailConfig without a Mail.SendMailConfigClass xobject, allowing us to migrate mail configuration\n## that were previously stored in XWikiPreferences into a Mail.SendMailConfigClass xobject.\n#if ($xcontext.action == 'admin' && "$!configObj" == '')\n  ## Create the xobject\n  #set ($configObj = $configDoc.newObject($configClassName))\n  ## Get the "from" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('admin_email'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('from', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('from', ''))\n  #end\n  ## Get the "host" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('smtp_server'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('host', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('host', 'localhost'))\n  #end\n  ## Get the "port" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('smtp_port'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('port', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('port', '25'))\n  #end\n  ## Get the "username" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('smtp_server_username'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('username', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('username', ''))\n  #end\n  ## Get the "password" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('smtp_server_password'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('password', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('password', ''))\n  #end\n  ## Get the "properties" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('javamail_extra_props'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('properties', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('properties', ''))\n  #end\n  ## Save the new xobject!\n  #set ($discard = $configDoc.save('Migrated Mail configuration found in XWikiPreferences', true))\n#end\n## =======================================================\n## Step 1: Display form\n## =======================================================\n#set ($params = {\n  'send': ['from', 'bcc', 'host', 'port', 'username', 'password', 'properties', 'sendWaitTime', 'discardSuccessStatuses']\n})\n#set ($paramDoc = $configDoc)\n#set ($paramClass = $configClassName)\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}	1.1		Mail.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	f	xwiki/2.1	t
8028684433813620171	Mail.GeneralMailConfigClass	GeneralMailConfigClass				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-12-09 08:13:55	XWiki.Admin	XWiki.Admin	XWiki.Admin	Mail		1.1		Mail.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>Mail.GeneralMailConfigClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<obfuscate>\n<customDisplay></customDisplay>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>obfuscate</name>\n<number>1</number>\n<prettyName>Obfsucate Email Addresses</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</obfuscate>\n</class>\n	0			Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	f	xwiki/2.1	t
8018092016635097365	PhenoTips.UIX_Field__gestation	UIX_Field__gestation	$services.localization.render('phenotips.UIXField.gestation')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:30	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-2371516960758767693	Mail.SendMailStatusJSON	SendMailStatusJSON	Send Mail Status JSON			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-12-29 05:46:39	XWiki.Admin	XWiki.Admin	XWiki.Admin	Mail	{{velocity wiki="false"}}\n#if("$!{request.outputSyntax}" == 'plain' || "$!{request.xpage}" == 'plain')\n  $response.setContentType('application/json')\n  ##==================================================\n  ## Offset = item # at which to start displaying data\n  ##==================================================\n  #set($offset = $mathtool.toInteger($request.get('offset')))\n  ## Offset starts from 0 in velocity and 1 in javascript\n  #set($offset = $offset - 1)\n  #if(!$offset || $offset < 0)\n    #set($offset = 0)\n  #end\n  ##==============================\n  ## Limit = # of items to display\n  ##==============================\n  #set($limit = $mathtool.toInteger($request.get('limit')))\n  #if(!$limit)\n    #set ($limit = 15)\n  #end\n  ##===============\n  ## Sort direction\n  ##===============\n  #set($order = "$!request.sort")\n  #if($order != '')\n    #if($order == 'error')\n      #set($order = 'errorSummary')\n    #end\n    #set($orderDirection = true)\n    #if("$!{request.get('dir')}" != '' && "$!{request.get('dir')}" != 'asc')\n      #set($orderDirection = false)\n    #end\n  #else\n    #set($order = "date")\n    #set($orderDirection = false)\n  #end\n  ## ===========\n  ## Filter Data\n  ## ===========\n  #set ($filterMap = {})\n  #set ($filterId = "$!{request.get('batchId')}")\n  #if("$!{filterId}" != '')\n    #set ($discard = $filterMap.put('batchId', "%${filterId.trim()}%"))\n  #end\n  #set($filterType = "$!{request.get('type')}")\n  #if("$!{filterType}" != '')\n    #set ($discard = $filterMap.put('type', "%${filterType.trim()}%"))\n  #end\n  #set($filterRecipients = "$!{request.get('recipients')}")\n  #if("$!{filterRecipients}" != '')\n    #set ($discard = $filterMap.put('recipients', "%${filterRecipients.trim()}%"))\n  #end\n  #set($filterStatus = "$!{request.get('state')}")\n  #if("$!{filterStatus}" != '')\n    #set ($discard = $filterMap.put('state', "%${filterStatus.trim()}%"))\n  #end\n  #if ($xcontext.isMainWiki())\n    #set($filterWiki = "$!{request.get('wiki')}")\n    #if("$!{filterWiki}" != '')\n      #set ($discard = $filterMap.put('wiki', "%${filterWiki.trim()}%"))\n    #end\n  #end\n  #set($filterError = "$!{request.get('error')}")\n  #if("$!{filterError}" != '')\n    #set ($discard = $filterMap.put('errorSummary', "%${filterError.trim()}%"))\n  #end\n  #set ($totalrows = $services.mailstorage.count($filterMap))\n  #set ($results = $services.mailstorage.load($filterMap, $offset, $limit, $order, $orderDirection))\n  ## ===============\n  ## JSON Generation\n  ## ===============\n  {\n    'totalrows': $totalrows,\n    'matchingtags': {},\n    'tags' : [],\n    'returnedrows': $results.size(),\n    'offset': $mathtool.toInteger($request.offset),\n    'sort': "$request.sort",\n    'dir': "$request.dir",\n    'reqNo': $mathtool.toInteger($request.reqNo),\n    'rows': [\n    #foreach($item in $results)\n      #if($velocityCount > 1) , #end\n      {\n        #set($recipients = "$!item.recipients")\n        'doc_viewable' : true,\n        'date' : "$xwiki.formatDate($!item.date)",\n        'batchId' : "$!item.batchId",\n        'type' : "$!item.type",\n        'recipients' : "$escapetool.javascript($recipients)",\n        'state' : "$!item.state",\n        #if ($xcontext.isMainWiki())'wiki' : "$!item.wiki",\n        #{end}\n        'error' : "$!item.errorSummary",\n        #if("$!item.state" != 'sent')\n          'actions' : "${escapetool.javascript("<form action='' enctype='multipart/form-data' method='post'>\n              <input name='mail_id' value='$!item.messageId' type='hidden'/>\n              <input name='batch_id' value='$!item.batchId' type='hidden'/>\n              <span class='btn-group text-left'><input name='mailsendingaction_resend' value='${escapetool.xml($services.localization.render('Mail.SendMailStatus_livetable.resend'))}' class='btn btn-primary btn-sm' type='submit'>\n</span>\n            </form>")}"\n        #else\n          'actions' : ''\n        #end  \n      }\n    #end\n    ]\n  }\n#else\n  This page should be called by Mail.SenMailStatus with parameters.\n#end\n{{/velocity}}	1.1		Mail.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	f	xwiki/2.1	t
361299506791820685	Mail.MailConfig	MailConfig	Mail Configuration			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-12-04 10:06:43	XWiki.Admin	XWiki.Admin	XWiki.Admin	Mail		1.1		Mail.WebHome		3			Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	f	xwiki/2.1	t
-8746370434493217633	Mail.Translations	Translations	Mail Translations	fr	en	1	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-12-15 03:58:29	XWiki.Admin	XWiki.Admin	XWiki.Admin	Mail	## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nMail.GeneralMailConfigClass_obfuscate=Obscurcir l'adresse email\nMail.GeneralMailConfigClass_obfuscate.hint=Cela affecte seulement les adresses email enregistrées dans les propriétés de l'objet de type E-mail, aussi longtemps que le displayer par défaut pour le type de propriété Email n'est pas écrasé.\nMail.SendMailConfigClass_bcc=CCI\nMail.SendMailConfigClass_bcc.hint=Une liste d'adresses emails CCI séparée par des virgules à utiliser lors de l'envoi.\nMail.SendMailConfigClass_discardSuccessStatuses=Effacer les statuts succès ?\nMail.SendMailConfigClass_discardSuccessStatuses.hint=Ne pas stocker les statuts des mails envoyés avec succès. \nMail.SendMailConfigClass_from=Adresse email à envoyer depuis\nMail.SendMailConfigClass_from.hint=L'adresse email par défaut utilisée pour envoyer des emails de notifications depuis\nMail.SendMailConfigClass_host=Serveur email\nMail.SendMailConfigClass_host.hint=Le serveur SMTP vers lequel envoyer.\\n"localhost" par défaut\nMail.SendMailConfigClass_password=Mot de passe du serveur d'email (optionnel)\nMail.SendMailConfigClass_password.hint=Le mot de passe pour se connecter au serveur SMTP, pour authentifier les serveurs\nMail.SendMailConfigClass_port=Port du serveur d'email\nMail.SendMailConfigClass_port.hint=Le port du serveur SMTP à utiliser. Par défaut \\: 25\nMail.SendMailConfigClass_properties=Propriétés additionnelles\nMail.SendMailConfigClass_properties.hint=La liste des propriétés JavaMail additionnelles à utiliser (par exemple "mail.smtp.starttls.enable\\=true" pour TLS\nMail.SendMailConfigClass_sendWaitTime=Envoyer temps d'attente\nMail.SendMailConfigClass_sendWaitTime.hint=Le délai d'attente entre chaque email envoyé, en milli-secondes (par défaut 8 secondes)\nMail.SendMailConfigClass_username=Nom d'utilisateur du serveur email (optionnel)\nMail.SendMailConfigClass_username.hint=Le nom d'utilisateur pour se connecter au serveur SMTP, pour authentifier les serveurs\nMail.SendMailStatus_livetable.actions=Actions\nMail.SendMailStatus_livetable.batchId=ID du lot\nMail.SendMailStatus_livetable.date=Date\nMail.SendMailStatus_livetable.error=Erreur\nMail.SendMailStatus_livetable.recipients=Destinataires\nMail.SendMailStatus_livetable.resend=Renvoyer\nMail.SendMailStatus_livetable.state=Statuts\nMail.SendMailStatus_livetable.type=Type\nMail.SendMailStatus_livetable.wiki=Wiki\nadmin.email=Email\nadmin.email.description=Configurer l'email (général, envoi d'email) et voir  les statuts d'emails.\nadmin.emailgeneral=Général\nadmin.emailgeneral.description=Configuration des paramètres généraux relatifs aux mails\nadmin.emailsend=Envoi de mails\nadmin.emailsend.description=Configurer les paramètres d'envoi d'emails\nadmin.emailstatus=Status des mails\nadmin.emailstatus.description=Voir le status des mails envoyés.\nmailSender.admin.resendFailure=Le mail n'a pas pu être envoyé de nouveau. Cliquez pour avoir plus d'information.\nmailSender.admin.resendSuccess=Le mail a été envoyé avec succès\n	1.1		Mail.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	f	xwiki/2.1	t
-1426973562654651158	Mail.SendMailConfigClass	SendMailConfigClass				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-12-09 08:11:58	XWiki.Admin	XWiki.Admin	XWiki.Admin	Mail		1.1		Mail.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>Mail.SendMailConfigClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<bcc>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>bcc</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>BCC</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</bcc>\n<discardSuccessStatuses>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>discardSuccessStatuses</name>\n<number>9</number>\n<prettyName>Discard Success Statuses</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</discardSuccessStatuses>\n<from>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>from</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>From Email Address</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</from>\n<host>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>host</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Host</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</host>\n<password>\n<algorithm></algorithm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>password</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Password</prettyName>\n<size>30</size>\n<storageType>Clear</storageType>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.PasswordClass</classType>\n</password>\n<port>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>port</name>\n<number>4</number>\n<numberType>integer</numberType>\n<prettyName>Port</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</port>\n<properties>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>properties</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>JavaMail Properties</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</properties>\n<sendWaitTime>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sendWaitTime</name>\n<number>8</number>\n<numberType>long</numberType>\n<prettyName>Send Wait Time</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</sendWaitTime>\n<username>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>username</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Username</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</username>\n</class>\n	0			Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	f	xwiki/2.1	t
9183376433184547103	Mail.SendMailStatus	SendMailStatus				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-12-29 05:25:35	XWiki.Admin	XWiki.Admin	XWiki.Admin	Mail	{{velocity}}\n##\n## Resending an email ##\n##\n#if ($request.mailsendingaction_resend && $request.mail_id && $request.batch_id)\n  ## resending email\n  #set($mailResult = $services.mailstorage.resend($request.batch_id, $request.mail_id))\n  #set ($mailError = false)\n  #macro (displayError $description)\n\n    {{html}}\n      <div class="xwikirenderingerror" title="Click to get more details about the error" style="cursor: pointer;">\n        $services.localization.render('mailSender.admin.resendFailure')\n      </div>\n      <div class="xwikirenderingerrordescription hidden">\n        <pre>${description}</pre>\n      </div>\n    {{/html}}\n\n  #end\n  #if ("$!services.mailstorage.lastError" != '')\n    #set ($mailError = true)\n    #displayError($exceptiontool.getStackTrace($services.mailstorage.lastError))\n  #end\n  #set ($statuses = $mailResult.statusResult.getByState('FAILED'))\n  #if ($statuses.hasNext())\n    #set ($mailError = true)\n    #set ($status = $statuses.next())\n    #displayError($status.errorDescription)\n  #end\n  #if(!$mailError)\n\n    {{success}}$services.localization.render('mailSender.admin.resendSuccess'){{/success}}\n\n  #end\n#end\n##\n## Livetable #\n##\n#set($columns = ['date', 'batchId', 'type', 'recipients', 'state', 'error', 'actions'])\n#set($columnsProperties = {\n    'date' : { 'type' : 'date' },\n    'batchId' : { 'type' : 'text' },\n    'type' : { 'type' : 'text' },\n    'recipients' : { 'type' : 'text' , 'html' : 'true' },\n    'state' : { 'type' : 'text', 'size' : 6 },\n    'error' : { 'type' : 'text' },\n    'actions' : { 'type' : 'text', 'html' : 'true', 'filterable' : 'false', 'sortable' : 'false' }\n})\n#if ($xcontext.isMainWiki())\n  #set($discard = $columns.add(5, 'wiki'))\n  #set($discard = $columnsProperties.put('wiki', { 'type' : 'text', 'size' : 6 }))\n#end\n#set($options = {\n   'resultPage': 'Mail.SendMailStatusJSON',\n   'translationPrefix' : 'Mail.SendMailStatus_livetable.',\n   'tagCloud' : false,\n   'selectedColumn' : 'date',\n   'defaultOrder' : 'desc'\n})\n#livetable('sendmailstatus' $columns $columnsProperties $options)\n{{/velocity}}	1.1		Mail.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	f	xwiki/2.1	t
-8653958196404776035	Mail.Translations	Translations	Mail Translations		en	0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-12-15 03:58:29	XWiki.Admin	XWiki.Admin	XWiki.Admin	Mail	admin.email=Email\nadmin.email.description=Configure email (general, mail sending) and view mail statuses.\nadmin.emailgeneral=General\nadmin.emailgeneral.description=Configure general email parameters.\nadmin.emailsend=Mail Sending\nadmin.emailsend.description=Configure mail sending parameters.\nadmin.emailstatus=Mail Sending Status\nadmin.emailstatus.description=View the statuses of sent mails.\nMail.GeneralMailConfigClass_obfuscate=Obfuscate Email Addresses\nMail.GeneralMailConfigClass_obfuscate.hint=This affects only the email addresses stored in object properties of type Email, as long as the default custom displayer for the Email property type is not overwritten. Example: a...@domain.org\nMail.SendMailConfigClass_from=Email address to send from\nMail.SendMailConfigClass_from.hint=The default email address used to send notification emails from\nMail.SendMailConfigClass_bcc=BCC email addresses\nMail.SendMailConfigClass_bcc.hint=A default comma-separated list of BCC email addresses to use when sending mail\nMail.SendMailConfigClass_host=Email Server\nMail.SendMailConfigClass_host.hint=The SMTP server to send to. Defaults to "localhost"\nMail.SendMailConfigClass_port=Email Server Port\nMail.SendMailConfigClass_port.hint=The port of the SMTP server to use. Defaults to 25\nMail.SendMailConfigClass_username=Email Server Username\nMail.SendMailConfigClass_username.hint=The username to connect to the SMTP server, only when authentication is required\nMail.SendMailConfigClass_password=Email Server Password\nMail.SendMailConfigClass_password.hint=The password to connect to the SMTP server, only when authentication is required\nMail.SendMailConfigClass_properties=Additional Properties\nMail.SendMailConfigClass_properties.hint=The list of additional JavaMail properties to use (e.g. "mail.smtp.starttls.enable=true" for TLS)\nMail.SendMailConfigClass_sendWaitTime=Send Wait Time\nMail.SendMailConfigClass_sendWaitTime.hint=The delay to wait between each mail being sent, in milliseconds (defaults to 8 seconds)\nMail.SendMailConfigClass_discardSuccessStatuses=Discard Success Statuses?\nMail.SendMailConfigClass_discardSuccessStatuses.hint=Whether mail statuses are kept or not for mail that have been sent successfully (defaults to true)\nMail.SendMailStatus_livetable.date=Date\nMail.SendMailStatus_livetable.batchId=Batch ID\nMail.SendMailStatus_livetable.type=Type\nMail.SendMailStatus_livetable.recipients=Recipients\nMail.SendMailStatus_livetable.state=Status\nMail.SendMailStatus_livetable.wiki=Wiki\nMail.SendMailStatus_livetable.error=Error\nMail.SendMailStatus_livetable.actions=Actions\nMail.SendMailStatus_livetable.resend=Resend\nmailSender.admin.resendSuccess=The mail has been resent successfully\nmailSender.admin.resendFailure=The mail has failed again to be sent. Click for more details.	1.1		Mail.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	f	xwiki/2.1	t
-7582184892041564814	Mail.Translations	Translations	Mail Translations	lv	en	1	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-12-15 03:58:29	XWiki.Admin	XWiki.Admin	XWiki.Admin	Mail	## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nMail.GeneralMailConfigClass_obfuscate=Slēpt e-pasta adresi\nMail.GeneralMailConfigClass_obfuscate.hint=Šis iestatījums darbojas tikai uz e-pasta adresēm, kuras ir saglabātas Email veidā, un ja nav mainīta noklusētā attēlošana. Izskata piemērs\\: a...@domain.org\nMail.SendMailConfigClass_bcc=BCC e-pasta adreses\nMail.SendMailConfigClass_bcc.hint=Noklusētais, ar komatu atdalītas e-pasta adrešu saraksts, uz kurām neredzami nosūtīt visu e-pastu kopijas.\nMail.SendMailConfigClass_discardSuccessStatuses=Dzēst veiksmes ziņojumus?\nMail.SendMailConfigClass_discardSuccessStatuses.hint=Vai saglabāt, vai izmest ziņojumus par veiksmīgi nosūtītajiem e-pastiem.\nMail.SendMailConfigClass_from=Nosūtīto e-pastu sūtītāja adrese\nMail.SendMailConfigClass_from.hint=Noklusētā e-pasta adrese, kuru norādīs kā nosūtīto pastu sūtītāja adresi.\nMail.SendMailConfigClass_host=E-pasta serveris\nMail.SendMailConfigClass_host.hint=Izmantotais SMTP serveris. Noklusētais serveris ir "localhost"\nMail.SendMailConfigClass_password=E-pasta servera parole\nMail.SendMailConfigClass_password.hint=Ja SMTP serveris pieprasa autentifikāciju, šeit norādiet lietotāja paroli\nMail.SendMailConfigClass_port=E-pasta servera ports\nMail.SendMailConfigClass_port.hint=E-pasta servera ports. Pēc noklusēšanas 25\nMail.SendMailConfigClass_properties=Papildu īpašības\nMail.SendMailConfigClass_properties.hint=Saraksts ar papildu JavaMail īpašībām (piem.,  "mail.smtp.starttls.enable\\=true", lai lietotu TLS)\nMail.SendMailConfigClass_sendWaitTime=Izsūtīšanas pauzes ilgums\nMail.SendMailConfigClass_sendWaitTime.hint=Pauze milisekundēs, kuru nogaidīt pēc katra e-pasta izsūtīšanas (pēc noklusēšanas 8 sekundes)\nMail.SendMailConfigClass_username=E-pasta servera lietotājvārds\nMail.SendMailConfigClass_username.hint=Ja SMTP serveris pieprasa autentifikāciju, šeit norādiet lietotāja vārdu\nMail.SendMailStatus_livetable.actions=Darbības\nMail.SendMailStatus_livetable.batchId=Partijas IID\nMail.SendMailStatus_livetable.date=Datums\nMail.SendMailStatus_livetable.error=Kļūda\nMail.SendMailStatus_livetable.recipients=Saņēmēji\nMail.SendMailStatus_livetable.resend=Nosūtīt vēlreiz\nMail.SendMailStatus_livetable.state=Statuss\nMail.SendMailStatus_livetable.type=Veids\nMail.SendMailStatus_livetable.wiki=Viki\nadmin.email=E-pasts\nadmin.email.description=Iestatīt e-pastu (vispārīgi e-pasta iestatījumi) un skatīt nosūtīšanas statusus.\nadmin.emailgeneral=Vispārīgi\nadmin.emailgeneral.description=Iestatīt vispārīgos e-pasta iestatījumus.\nadmin.emailsend=Sūta e-pastu\nadmin.emailsend.description=Iestatīt e-pasta sūtīšanas iestatījumus.\nadmin.emailstatus=E-pasta sūtīšanas statuss\nadmin.emailstatus.description=Skatīt nosūtīto e-pastu statusu.\nmailSender.admin.resendFailure=Neizdevās nosūtīt e-pastu. Klikšķiet, lai gūtu papildu informāciju.\nmailSender.admin.resendSuccess=E-pasts veiksmīgi nosūtīts\n	1.1		Mail.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	f	xwiki/2.1	t
-8233535419500066551	XWiki.ObjectSheet	ObjectSheet	Object Sheet			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2009-09-08 20:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n## You can modify this page to customize the presentation of your object.\n## At first you should keep the default presentation and just save the document.\n\n#set($class = $doc.getObject('XWiki.MyClass').xWikiClass)\n#foreach($prop in $class.properties)\n  ; $prop.prettyName\n  : $doc.display($prop.getName())\n#end\n{{/velocity}}	1.1		XWiki.XWikiClasses		0			Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]	f	xwiki/2.0	t
7748366455063382168	XWiki.ClassSheet	ClassSheet	#sheetTitle('Default Class Sheet')			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2013-08-01 15:02:17	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n## This document can be copied in order to be customized so we cannot rely on its name to determine if the currently\n## displayed document is a class or the class sheet itself. We look for the sheet descriptor instead.\n#set ($isSheet = $doc.getObject('XWiki.SheetDescriptorClass'))\n#if ($isSheet)\n  ## Viewing the sheet document itself.\n  You can edit this document to change the default presentation of classes, or you can copy it to create a customized view just for one or several classes.\n#elseif ("$!request.bindSheet" != '' && $hasEdit)\n  #if ($services.csrf.isTokenValid($request.getParameter('form_token')))\n    ## Bind the sheet to the class.\n    #set ($classSheetReference = $services.model.resolveDocument($request.bindSheet))\n    #if ($services.sheet.bindClassSheet($doc, $classSheetReference))\n      $doc.save('Bind class sheet.')\n    #end\n    $response.sendRedirect($request.xredirect)\n  #else\n    $response.sendRedirect($services.csrf.getResubmissionURL())\n  #end\n  ## Stop processing, since we already sent a redirect.\n  #stop\n#elseif("$!request.docName" != '')\n  ## Request for creating a new instance. We don't actually create a new instance here, we just redirect to the edit mode.\n  #set($targetDocName = "${request.spaceName}.${request.docName}")\n  #if(!$xwiki.exists($targetDocName) && $xwiki.hasAccessLevel('edit', $xcontext.user, $targetDocName))\n    ## Compute the default edit mode to ensure backward compatibility with documents still using the deprecated inline action.\n    #set($editAction = $xwiki.getDocument($request.template).getDefaultEditMode())\n    $response.sendRedirect($xwiki.getURL($targetDocName, $editAction, "template=$!escapetool.url($request.template)&parent=$!escapetool.url($request.parent)&title=$!escapetool.url($request.docName)"))\n    ## Stop processing, since we already sent a redirect.\n    #stop\n  #end\n#end\n{{/velocity}}\n\n{{velocity}}\n## If this sheet is explicitly bound to the displayed class then print the class document content before the\n## sheet output. Class authors can put the description of the class in the class document content.\n#set($classSheetReference = $services.model.createDocumentReference($doc.wiki, 'XWiki', 'ClassSheet'))\n#if($services.sheet.getDocumentSheets($doc).contains($classSheetReference))\n  {{include reference="" /}}\n#end\n{{/velocity}}\n\n{{velocity}}\n#if (!$isSheet)\n  #set($className = $stringtool.removeEnd($doc.name, 'Class'))\n  ## Determine the class sheets.\n  #set($classSheetReferences = $services.sheet.getClassSheets($doc))\n  #if ($classSheetReferences.isEmpty())\n    ## There is no class sheet explicitly bound to this class. Fall-back on naming convention.\n    ## Before XWiki 2.0, the default class sheet was suffixed with "ClassSheet". Since 2.0, the suffix is just "Sheet".\n    #set($defaultClassSheetReference = $services.model.createDocumentReference($doc.wiki, $doc.space, "${className}ClassSheet"))\n    #if(!$xwiki.exists($defaultClassSheetReference))\n      #set($defaultClassSheetReference = $services.model.createDocumentReference($doc.wiki, $doc.space, "${className}Sheet"))\n    #end\n  #end\n  ## Determine the template using naming convention.\n  ## Before XWiki 2.0, the default class template was suffixed with "ClassTemplate". Since 2.0, the suffix is just "Template".\n  #set($classTemplateReference = $services.model.createDocumentReference($doc.wiki, $doc.space, "${className}ClassTemplate"))\n  #if(!$xwiki.exists($classTemplateReference))\n    #set($classTemplateReference = $services.model.createDocumentReference($doc.wiki, $doc.space, "${className}Template"))\n  #end\n  #set($classTemplateDoc = $xwiki.getDocument($classTemplateReference))\n  #set($hasClassSheets = !$classSheetReferences.isEmpty() || $xwiki.exists($defaultClassSheetReference))\n  #set($hasClassTemplate = !$classTemplateDoc.isNew())\n  #if(!$defaultSpace)\n    #set($defaultSpace = 'Main')\n  #end\n  #if(!$defaultParent)\n    #set($defaultParent = ${doc.fullName})\n  #end\n\n  #if($doc.getxWikiClass().properties.size() == 0)\n    {{warning}}The class does not have any properties yet. You can use the {{html}}<a href="$doc.getURL('edit', 'editor=class')">class editor</a>{{/html}} to define them.{{/warning}}\n  #else\n    = Class properties =\n    #foreach($property in $doc.getxWikiClass().properties)\n      * $property.prettyName (${property.name}: $xwiki.metaclass.get($property.classType).prettyName)\n    #end\n    * //You can use the class editor to {{html}}<a href="$doc.getURL('edit', 'editor=class')">add or modify the class properties</a>{{/html}}.//\n\n  #end\n  #if ($hasClassSheets && $hasClassTemplate)\n    = Create a new document =\n\n    #if("$!targetDocName" != '' && $xwiki.exists($targetDocName))\n      {{warning}}The target document already exists. Please choose a different name, or [[view the existing document>>$targetDocName]]{{/warning}}\n    #elseif("$!targetDocName" != '')\n      {{warning}}You don't have permission to create that document{{/warning}}\n    #end\n\n    {{html}}\n      <form action="$doc.getURL()" id="newdoc" method="post">\n        <div>\n          <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n          <input type="hidden" name="parent" value="${defaultParent}"/>\n          <input type="hidden" name="template" value="${classTemplateDoc}"/>\n          <input type="hidden" name="sheet" value="1"/>\n          <label for="spaceName">Space: </label><input type="text" id="spaceName" name="spaceName" value="${defaultSpace}" size="8"/>\n          <label for="docName">Document: </label><input type="text" id="docName" name="docName" value="Document name" class="withTip"'/>         \n          <span class="buttonwrapper"><input type="submit" value="Create this document" class="button"/></span>\n        </div>\n      </form>\n    {{/html}}\n\n  #end ## has class sheet and class template\n  = Existing documents =\n\n  #set($sql = ", BaseObject as obj where obj.name=doc.fullName and obj.className=? and obj.name<>?")\n  #foreach ($item in $services.query.hql($sql).bindValues([$doc.fullName, $classTemplateDoc.fullName]).execute())\n    * [[$item]]\n  #end\n    \n  = The class sheets =\n\n  #if (!$hasClassSheets || !$hasClassTemplate)\n    Before using this class you must first create a sheet and a template for it. Follow the instructions below to do this.\n  #end\n\n  {{info}}The //Sheet// allows to control the presentation of documents of this data type. You can use the default presentation, which enumerates all the available fields, or you can design your own presentation. You can also choose different presentations for the viewing and for the editing modes.{{/info}}\n\n  #if(!$hasClassSheets)\n    {{html}}\n      <form action="$xwiki.getURL($defaultClassSheetReference, 'save', 'editor=wiki')" method="post">\n        <div>\n          <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n          <input type="hidden" name="parent" value="${doc.fullName}"/>\n          <input type="hidden" name="xredirect" value="${doc.URL}"/>\n          #set ($sheetContent = $xwiki.getDocument('XWiki.ObjectSheet').getContent().replace('XWiki.MyClass', $doc.fullName))\n          ## We have to encode the new line characters in order to preserve them, otherwise they are replace with a\n          ## space when the HTML is cleaned.\n          ## FIXME: Use a dedicated escape tool method when XCOMMONS-405 is implemented.\n          #set ($sheetContent = $escapetool.xml($sheetContent).replaceAll("\\n", '&#10;'))\n          <input type="hidden" name="content" value="$sheetContent"/>\n          <input type="hidden" name="title" value="${escapetool.h}if(${escapetool.d}doc.name == '$escapetool.xml($defaultClassSheetReference.name)')$escapetool.xml($className) Sheet${escapetool.h}{else}${escapetool.d}services.display.title(${escapetool.d}doc, {'displayerHint': 'default'})${escapetool.h}end"/>\n          <span class="buttonwrapper"><input type="submit" value="Create the document sheet" class="button"/></span>\n        </div>\n      </form>\n    {{/html}}\n  #else\n    #set($defaultClassSheetDoc = $xwiki.getDocument($defaultClassSheetReference))\n    #if($classSheetReferences.isEmpty() && !$defaultClassSheetDoc.getObject('XWiki.SheetClass'))\n      ## The sheet is not bound to the class.\n      #set($xredirect = $xwiki.relativeRequestURL)\n      #set($defaultClassSheetStringReference = $services.model.serialize($defaultClassSheetReference, "default"))\n      #set($bindURL = $doc.getURL('view', "bindSheet=${escapetool.url($defaultClassSheetStringReference)}&xredirect=${escapetool.url($xredirect)}&form_token=$!{services.csrf.getToken()}"))\n      {{warning}}\n        The sheet is not bound to the class so it won't be applied automatically when a document that has an object of this class is displayed.#if ($hasEdit) {{html}}<a href="$bindURL">Bind the sheet to the class »</a>.{{/html}}#end\n      {{/warning}}\n\n    #end\n    #if ($classSheetReferences.size() < 2)\n      #set($classSheetDoc = $defaultClassSheetDoc)\n      #if(!$classSheetReferences.isEmpty())\n        #set($classSheetDoc = $xwiki.getDocument($classSheetReferences.get(0)))\n      #end\n      [[View the sheet document (${classSheetDoc.fullName}) »>>${classSheetDoc.fullName}]]\n    #else\n      The following class sheets are bound to this class:\n\n      #foreach($classSheetReference in $classSheetReferences)\n        * [[$services.model.serialize($classSheetReference, "default")]]\n      #end\n    #end\n  #end\n\n  = The class template =\n\n    {{info}}The //Template// is the document used as the model for documents of this data type. It contains an instance of your //Class//.{{/info}}\n\n  #if (!$hasClassTemplate)\n    {{html}}\n      <form action="$classTemplateDoc.getURL('save', 'editor=wiki')" method="post">\n        <div>\n          <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n          <input type="hidden" name="parent" value="${doc.fullName}"/>\n          <input type="hidden" name="xredirect" value="${doc.URL}"/>\n          <input type="hidden" name="title" value="$className Template"/>\n          <span class="buttonwrapper"><input type="submit" value="Create the document template" class="button"/></span>\n        </div>\n      </form>\n    {{/html}}\n  #else\n    #if(!$classTemplateDoc.getObject(${doc.fullName}))\n      #set($xredirect = $xwiki.relativeRequestURL)\n      #set($createUrl = $classTemplateDoc.getURL('objectadd', "classname=${escapetool.url($doc.fullName)}&amp;xredirect=${escapetool.url($xredirect)}&amp;form_token=$!{services.csrf.getToken()}"))\n      {{warning}}\n        The template does not contain an object of type //$doc.fullName//. {{html}}<a href="$createUrl">Add a ${className} object to the template »</a>.{{/html}}\n      {{/warning}}\n\n    #end\n    [[View the template document (${classTemplateDoc.fullName}) »>>${classTemplateDoc.fullName}]]\n  #end\n\n#end ## !$isSheet\n{{/velocity}}	1.1		XWiki.XWikiClasses		2			Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]	f	xwiki/2.0	t
-8116851991418346851	XWiki.XWikiClasses	XWikiClasses	Data types			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2009-09-08 20:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#if($request.space && $request.name)\n  #set($className = "#toXMLName($stringtool.removeEnd($request.name, 'Class'))")\n  #set($classTitle = "$className Class")\n  #set($classReference = $services.model.createDocumentReference('', $request.space, "${className}Class"))\n  #if($xwiki.hasAccessLevel('edit', $xcontext.user, $services.model.serialize($classReference)))\n    $response.sendRedirect($xwiki.getURL($classReference, 'edit', "editor=wiki&template=$!{request.template}&parent=$!{request.parent}&title=$escapetool.url($classTitle)"))\n    ## Stop processing, since we already sent a redirect.\n    #stop\n  #end\n#end\n{{/velocity}}\nThis tool allows to define structured data types (classes) in your wiki. Please consult the [[developer's guide>>http://platform.xwiki.org/xwiki/bin/DevGuide/]] to get familiar with the XWiki data model and the public APIs.\n\n= Templates for new data types =\n\nHere are the templates and sheets for creating new classes:\n\n* [[Default code for displaying a class>>ClassSheet]]\n* [[Document template for new classes>>ClassTemplate]]\n* [[Default code for displaying class instances (objects)>>ObjectSheet]]\n\n= Create a new data type =\n\nChoose a simple name, such as //Article//, //Book//, //Employee//. '//Class//' will be appended at the end automatically.\n\n{{velocity}}\n#if("$!{targetClassName}" != ''){{warning}}You don't have permission to create that class{{/warning}}#end\n\n{{html}}\n<form action="$doc.URL" method="post">\n  <div>\n    <input type="hidden" name="parent" value="XWiki.XWikiClasses"/>\n    <input type="hidden" name="template" value="XWiki.ClassTemplate"/>\n    <label for="space">Space:</label> <input type="text" id="space" name="space" value="XWiki"/>\n    <label for="name">Class:</label> <input type="text" id="name" name="name" value="Name of the class" class="withTip"/>\n    <span class="buttonwrapper"><input type="submit" value="Create this Class" class="button"/></span>\n  </div>\n</form>\n{{/html}}{{/velocity}}\n\n= Data types defined in this wiki =\n\n{{velocity}}\n##\n## Existing classes are enumerated, grouped by space name.\n## The list is already sorted alphabetically\n##\n#set($prevSpace = '')\n#foreach ($classname in $xwiki.classList)\n  #set($classReference = $services.model.resolveDocument($classname))\n  ##\n  ## Let check the user right to see the class\n  ##\n  #if($xwiki.getUser().hasAccessLevel('view', $classname))\n    #set($space = $classReference.getLastSpaceReference().name)\n    #if($space != $prevSpace)\n      ; [[$space>>${space}.WebHome]] space:\n      #set($prevSpace = $space)\n    #end\n    : [[$classReference.name>>$classname]]\n  #end  \n#end\n{{/velocity}}	1.1		XWiki.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]	f	xwiki/2.0	t
3083808014052590554	XWiki.ClassTemplate	ClassTemplate	Class Template			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2009-09-08 20:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n## Replace the default space with the space where you want your documents to be created.\n## Replace the default parent with the one of your choice and save the document.\n##\n#set($defaultSpace = $doc.space)\n#set($defaultParent = $doc.fullName)\n{{/velocity}}	1.1		XWiki.XWikiClasses		2			Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]	f	xwiki/2.0	t
7037253817368042333	PhenoTips.TabelarDataMacros	TabelarDataMacros				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:25	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output=false}}\n$xwiki.jsx.use('PhenoTips.TabelarDataMacros')##\n$xwiki.ssx.use('PhenoTips.TabelarDataMacros')##\n## =====================================================================\n##\n## "Tabelar" data associated with the patient report\n##\n##\n#macro (__extradata_deleteTool $object $anchor)\n  {{html clean="false"}}<a class="action delete" href="$doc.getURL('objectremove', "classname=${object.xWikiClass.name}&amp;classid=${object.number}&amp;xredirect=$escapetool.url($doc.getURL('edit'))&amp;form_token=$!{services.csrf.getToken()}#$!{anchor}")" title="$services.localization.render('phenotips.tableMacros.delete')">✖</a>{{/html}}##\n#end\n\n#macro (__extradata_rejectTool $object $anchor $options)\n  {{html clean="false"}}<a class="action reject" href="$doc.getURL('objectremove', "classname=${object.xWikiClass.name}&amp;classid=${object.number}&amp;xredirect=$escapetool.url($doc.getURL('edit'))&amp;form_token=$!{services.csrf.getToken()}#$!{anchor}")" data-bind="$!{options.rejectToClass}" title="$services.localization.render('phenotips.tableMacros.reject')"><i class="fa fa-level-down"></i></a>{{/html}}##\n#end\n\n#macro (__extradata_addTool $classname $anchor $options)\n  {{html clean="false"}}<span class="buttonwrapper"><label class="create-button-label">+</label><a class="add button add-data-button" href="$doc.getURL('objectadd', "classname=${classname}&amp;${classname}_$!{options.propertyName}=$!escapetool.url($!{options.propertyValue})&amp;xredirect=$escapetool.url(${doc.getURL($options.mode)})&amp;propertyName=$!{options.propertyName}&amp;propertyValue=$!escapetool.url($!{options.propertyValue})#foreach($d in $options.defaults.keySet())&amp;${classname}_${escapetool.url($d)}=$!{escapetool.url($options.defaults.get($d))}#end&amp;addedDisplaySheet=$!escapetool.url($!{options.addedDisplaySheet})&amp;form_token=$!{services.csrf.getToken()}#$!{anchor}")" title="$services.localization.render('phenotips.tableMacros.newEntry')">$services.localization.render('phenotips.tableMacros.newEntry')</a></span>{{/html}}#if ($services.localization.get("$!{classname}_hint")) {{icon name="question-circle" cssClass="xHelpButton" title="$services.localization.render("${classname}_hint").replace('"', '~~~"')"/}}#end\n#end\n\n#macro (__extradata_displayTable $dataClassName $options)\n  #if (!$options.mode)\n    #set ($discard = $options.put('mode', $xcontext.action))\n  #end\n  #set ($displayMode = $options.mode)\n  #if ($options.mode == 'export')\n    #set ($displayMode = 'view')\n  #end\n  #set($dataClass = $xwiki.getDocument($dataClassName).xWikiClass)\n  #if ($dataClass)\n    #set($dataObjects = $doc.getObjects($dataClassName, "$!{options.propertyName}", "$!{options.propertyValue}"))\n    #if ($options.mode != 'edit' && $dataObjects.size() == 0)\n      (% class="hint" %)$services.localization.render('phenotips.tableMacros.noObjects')\n    #elseif ($options.mode == 'export')\n      (% class="extradata-list#if ("$!{options.labels}" == 'true') withLabel#end#if ("$!{options.counter}" == 'true') withCounter#end#if ("$!{options.rejectToClass}" != '') withReject#end" id="extradata-list-${dataClassName}#if("$!{options.propertyName}" != '')-$!{options.propertyValue}#end" %)\n      #set ($disableLabels = true)\n      #foreach ($o in $dataObjects)\n        #foreach($prop in $dataClass.properties)#if ($prop.name != $options.propertyName)|= ${prop.translatedPrettyName}: |#if ($velocityCount <= 2)=#end $doc.display($prop.getName(), $displayMode, $o)#if ($velocityCount %2 == 0)\n\n        #end#end#end## foreach object\n\n      #end## foreach object\n    #else\n      (% class="extradata-list#if ("$!{options.labels}" == 'true') withLabel#end#if ("$!{options.counter}" == 'true') withCounter#end $!{options.cssClass}" id="extradata-list-${dataClassName}#if("$!{options.propertyName}" != '')-$!{options.propertyValue}#end"#if("$!{options.rejectToClass}" != '') data-reject-to-class="$!{options.rejectToClass}"#end %)\n      #if ("$!{options.counter}" == 'true')|=(% class="col-label" %)# #end#foreach($prop in $dataClass.properties)|=(% class="col-label $prop.name#if ($prop.name == $options.propertyName) hidden#end" %)$prop.translatedPrettyName#end#if("$!{options.rejectToClass}" != '')|=(% class="actions" %)#end#if ($options.mode == 'edit')|=(% class="actions" %)\n      #else\n\n      #end\n      #if ($options.mode == 'export')\n        #set ($disableLabels = true)\n      #end\n      #foreach ($o in $dataObjects)\n        #if ("$!{options.counter}" == 'true')|=(% class="row-count" %)${velocityCount}#end#foreach($prop in $dataClass.properties)|(% class="$prop.name#if ($prop.name == $options.propertyName) hidden#end" %)#if ("$!{options.labels}$!{disableLabels}" == 'true'){{html clean="false" wiki="false"}}<label class="" >${prop.translatedPrettyName}</label>{{/html}}#end $doc.display($prop.getName(), $displayMode, $o).replaceAll('^(\\{\\{html clean="false" wiki="false"}})?<p>|</p>(\\{\\{/html}})?$', '$1$2')#end#if ($displayMode == 'edit')#if ("$!{options.rejectToClass}" != '')|(% class="actions" %)#__extradata_rejectTool($o "extradata-${dataClassName}" $options)#end|(% class="actions" %)#__extradata_deleteTool($o "extradata-${dataClassName}")#end\n\n      #end## foreach object\n\n      #if ($options.mode == 'edit')(% class="list-actions" %)(((#__extradata_addTool($dataClassName "extradata-${dataClassName}" $options))))\n      #end\n    #end## if options.mode\n  #end## if dataclass\n#end\n\n#macro (__extradata_displayLastEntry $dataClassName $options)\n  #set ($objects = $doc.getObjects($dataClassName))\n  #if ($objects.size() > 0)\n    #set ($targetObj = $objects.get($mathtool.sub($objects.size(), 1)))\n    #set($dataClass = $targetObj.xWikiClass)\n    {{html wiki="true" clean="false"}}#foreach($prop in $dataClass.properties)<td class="${prop.name}#if ($prop.name == $options.propertyName) hidden#end">#if ("$!{options.labels}" == 'true'){{html clean="false" wiki="false"}}<label >${prop.translatedPrettyName}:</label>{{/html}}#end$doc.display($prop.getName(), $options.mode, $targetObj)</td>#end#if ($options.mode == 'edit')#if("$!{options.rejectToClass}" != '')<td class="actions">#__extradata_rejectTool($targetObj '' $options)</td>#end<td class="actions">#__extradata_deleteTool($targetObj '')</td>#end{{/html}}\n  #end\n#end\n{{/velocity}}\n	1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	f	xwiki/2.1	t
-3183937284401684184	PhenoTips.FontAwesomeIcons	FontAwesomeIcons	Macro for inserting Font Awesome icons			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:37	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	f	xwiki/2.1	t
-191089711533601945	PhenoTips.YesNoNAPicker	YesNoNAPicker	Yes/No picker			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n$xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n$xwiki.ssx.use('PhenoTips.YesNoNAPicker')##\n#set ($doDisplay = ($xcontext.action == 'edit' || "$!value" != ''))\n{{html clean=false wiki=false}}##\n#if ($xcontext.action == 'edit')<span class="yes-no-picker"><label class="na" title="$services.localization.render('phenotips.yesNoNAPicker.NA.title')"><input type="checkbox" name="${prefix}${name}" value="" #if($value == '')checked="checked"#end />NA</label><label class="yes" title="$services.localization.render('phenotips.yesNoNAPicker.yes.title')"><input type="checkbox" name="${prefix}${name}" value="1" #if($value == '1')checked="checked"#end />Y</label><label class="no" title="$services.localization.render('phenotips.yesNoNAPicker.no.title')"><input type="checkbox" name="${prefix}${name}" value="0" #if($value == '0')checked="checked" #end/>N</label></span>#elseif ($value == '0')NO #{end}#if ($doDisplay)<label class="yes-no-picker-label">$!object.xWikiClass.get($name).prettyName</label>#end{{/html}}{{/velocity}}\n	1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	f	xwiki/2.1	t
4433604499475660399	PhenoTips.ImageDisplayer	ImageDisplayer				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:17	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output=false}}\n#set ($displayerName = 'PhenoTips.ImageDisplayer')\n#set ($displayer = $xwiki.getDocument($displayerName))\n#set($options = {\n  'fieldName' : "",\n  'filter' : ['png', 'jpg', 'jpeg', 'gif'],\n  'manage' : false,\n  'inputType' : 'checkbox',\n  'isImage' : true\n})\n\n#set($options.mode = "$!{xcontext.action}")\n\n#if ("$!{name}" != '' && "$!{prefix}" != '' && "$!{object}" != '')\n  ## In displayer mode\n  #set ($targetDoc = $doc)\n  #set ($property = "$!{name}")\n  #set ($propValue = $value)\n  #set ($fieldName = "$!{prefix}$!{name}")\n#elseif ("$!{request.doc}" != '' && "$!{request.classname}" != '' && "$!{request.object}" != '' && "$!{request.property}" != '')\n  ## In external mode\n  #set ($targetDoc = $xwiki.getDocument("$!{request.doc}"))\n  #set ($property = "$!{request.property}")\n  #set ($object = $targetDoc.getObject("$!{request.classname}", $mathtool.toInteger("$!{request.object}")))\n  #set ($propValue = $object.getProperty("$!{request.property}").value)\n  #if ("$!{propValue.size()}" == '')\n    #set ($propValue = [])\n  #end\n  #set ($fieldName = "$!{request.dprefix}$!{request.classname}_$!{request.object}_$!{request.property}")\n  #if ("$!{request.mode}" != '')\n    #set($options.mode = "$!{request.mode}")\n  #else\n    #set($options.mode = "$!{xcontext.action}")\n  #end\n  #if ("$!{request.manage}" != '')\n    #set($options.manage = true)\n  #end\n#end\n#if ($object.getxWikiClass().get($property).getProperty('multiSelect').value != 1)\n  #set($options.inputType = 'radio')\n  #if ("$!{value}" == '')\n    #set ($propValue = [])\n  #else\n    #set ($propValue = [$value])\n  #end\n#end\n## TODO: This is a workaround. Find a better way to specify accepted file formats.\n#set($options.html5Filter = "$!{object.getxWikiClass().get($property).getProperty('validationRegExp').value}")\n#set($formats = "$!{object.getxWikiClass().get($property).getProperty('validationMessage').value}")\n#if ($formats != '')\n  #set ($options.filter = $formats.split('\\s*[,| ]\\s*'))\n  #if (!$options.html5Filter.contains('image'))\n    #set ($options.isImage = false)\n  #end\n#end\n#set ($qString = "doc=$!escapetool.url($!{targetDoc.fullName})&property=$!{property}&classname=$!escapetool.url($!{object.xWikiClass.name})&object=${object.number}")\n\n#if ($options.filter && $options.filter.size() > 0)\n  #foreach($item in $options.filter)\n    #set($options.rawfilter = "$!{options.rawfilter}, ${item}")\n  #end\n  #if ($options.rawfilter)\n    #set($options.rawfilter = $options.rawfilter.substring(2))\n  #end\n#end\n\n#macro (__getExtension $filename)$!{filename.substring($mathtool.add($filename.lastIndexOf('.'), 1)).toLowerCase()}#end\n\n#macro (__displaySelectableAttachment $attachment $targetDocument $selection)\n  {{html wiki=true clean=false}}<div class="attachment-item #if($options.isImage) image #else #__getExtension(${attachment.filename})#{end}#if($selection.contains(${attachment.filename})) selected#{end}">\n  <label for='${fieldName}_${escapetool.xml($attachment.filename)}' title='${escapetool.xml($attachment.filename)}'>\n  {{html wiki=false clean=false}}<input id='${fieldName}_${escapetool.xml($attachment.filename)}' type='${options.inputType}' name='${fieldName}' value='${escapetool.xml($attachment.filename)}'#if($selection.contains(${attachment.filename})) checked='checked'#{end}/>{{/html}}${escapetool.xml($attachment.filename)} <span class="size">(#dynamicsize($attachment.filesize))</span></label>##\n  #if ($options.manage)\n  <a class='action delete fa fa-times-circle fa-lg fa-fw' href="$targetDocument.getAttachmentURL(${attachment.filename}, 'delattachment', "form_token=$!{services.csrf.getToken()}&xredirect=$!{escapetool.url($doc.getURL($xcontext.action, $request.queryString))}")" title="$services.localization.render('phenotips.imageDisplayer.delete')"></a>##\n  #end\n  #if($options.isImage)(% class="attachment-preview" %)((([[image:${services.rendering.escape($targetDoc.fullName, $doc.syntax)}@${services.rendering.escape($attachment.filename, $doc.syntax)}||title="${services.rendering.escape($attachment.filename, $doc.syntax)}"]])))#else##\n <a class='view #if($options.manage)hidden#end' target="_blank" href="$targetDocument.getAttachmentURL(${attachment.filename})" title="$services.localization.render('phenotips.imageDisplayer.openImage', [$!{attachment.filename}])"> [open]</a>#end##\n  </div>{{/html}}##\n#end\n\n#macro (__displaySelectableAttachmentList $targetDocument $selection)\n  (% class="attachment-list" %)(((\n  #set ($sortedAttachments = $sorttool.sort($targetDocument.getAttachmentList(), 'date:desc') )\n  #if ($sortedAttachments.size() == 0)(% class="hint" %)$services.localization.render('phenotips.imageDisplayer.noneAvailable')(%%)#end\n  #foreach ($attachment in $sortedAttachments)\n    #set ($extension = "#__getExtension($attachment.getFilename())")\n    #if ($options.filter.size() == 0 || $options.filter.contains($extension))\n      #__displaySelectableAttachment($attachment $targetDocument $selection)\n    #end\n  #end\n  {{html wiki=false clean=false}}<input type='hidden' name='${fieldName}' value=''/>{{/html}}##\n  )))(% class="clear" %)((()))###\n#end\n\n#macro (__displayLastAttachmentSelected $targetDocument)\n  #set ($sortedAttachments = $sorttool.sort($targetDocument.getAttachmentList(), 'date:desc') )\n  #if ($sortedAttachments.size() > 0)\n    #set ($attachment = $sortedAttachments.get(0))\n    #set ($extension = "#__getExtension($attachment.getFilename())")\n    #if ($options.filter.size() == 0 || $options.filter.contains($extension))\n      #__displaySelectableAttachment($attachment $targetDocument [${attachment.filename}])\n    #end\n  #end\n#end\n\n#macro (__displayUploadForm $targetDocument)\n  {{html wiki=false clean=false}}\n  <form action="$targetDocument.getURL('upload')" enctype="multipart/form-data" method="post" id="${fieldName}-upload2" class="upload-attachment xform">\n  <div>\n    #if (${options.rawfilter} != '')\n      <span class="xHint">$services.localization.render('phenotips.imageDisplayer.acceptedFormats') ${options.rawfilter}</span>\n    #end\n    <input type="file" name="filepath" id="attachfile2" class="attachment" size="30" title="$!{escapetool.xml($options.rawfilter)}"/>\n    <input type="hidden" name="filter" value="$!{escapetool.xml($options.html5Filter)}" />\n    <input type="hidden" name="xredirect" value="$!{escapetool.xml($doc.getURL($xcontext.action, $request.queryString))}" />\n    <input type="hidden" name="ajaxxredirect" value="$!{escapetool.xml($displayer.getURL('get', "$!{qString}&xaction=lastatt" ))}" />\n    <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n    <input type="submit" name="action_upload" class="button" value="$services.localization.render('phenotips.imageDisplayer.uploadAndSelect')"  title="$services.localization.render('phenotips.imageDisplayer.uploadAndSelect')"/>\n  </div>\n  </form>\n  {{/html}}\n#end\n\n#macro (__displayGallery $targetDocument  $selection)\n  #set ($content = '')\n  #foreach ($name in  $selection)\n    #if ("$!{targetDocument.getAttachment(${name})}" != '')\n      #if ($options.isImage)\n        #set ($content = "$!{content}[[image:${services.rendering.escape($targetDocument.fullName, $doc.syntax)}@${services.rendering.escape($name, $doc.syntax)}||style=""max-width:100%""]]${util.newline}")\n      #else\n        #set ($content = "$!{content}[[attach:${services.rendering.escape($targetDocument.fullName, $doc.syntax)}@${services.rendering.escape($name, $doc.syntax)}||class='attachment-link #__getExtension($name)']]${util.newline}")\n      #end\n    #end\n  #end\n  #if ($content != '')\n#if ($options.isImage && $options.inputType == 'checkbox')\n{{gallery}}\n$content\n{{/gallery}}\n\n#else\n$content\n#end\n  #end\n#end\n\n{{/velocity}}\n\n{{velocity}}\n#if ("$!{request.xaction}" == 'lastatt')\n#__displayLastAttachmentSelected($targetDoc)\n#else\n  $xwiki.ssx.use($displayerName, {'colorTheme' : "$xwiki.getSpacePreferenceFor('colorTheme', ${targetDoc.space})"})##\n  $xwiki.jsx.use($displayerName)##\n  ## check if the property exists and its value has the right type (is a list)\n  #if ("$!{propValue.size()}" != '')\n    #if ($options.mode == 'edit')\n      (% id=$!{fieldName}_container %)(((\n      #if ($options.manage)\n        #__displayUploadForm($targetDoc)\n      #else\n        #set ($actionURL = $displayer.getURL('view', "$!{qString}&mode=edit&manage=true"))\n        {{html wiki=false clean=false}}<div class="actions"><label class="create-button-label">+</label><span class="buttonwrapper"><a class="add-data-button button manage-images-button" href="${actionURL}">$services.localization.render('phenotips.imageDisplayer.uploadAndManage')</a></span></div>{{/html}}\n      #end\n      #__displaySelectableAttachmentList($targetDoc $propValue)\n      )))\n    #else## not edit\n      #__displayGallery($targetDoc $propValue)\n    #end## context action check\n  #end## target object & property exist and are valid\n#end## not a custom action\n{{/velocity}}	1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	f	xwiki/2.1	t
8683763145300699732	PhenoTips.UIX_Field__phenotype	UIX_Field__phenotype	$services.localization.render('phenotips.UIXField.phenotype')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:30	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
7996081579248748913	PhenoTips.UIX_Section__phenotype-info	UIX_Section__phenotype-info	$services.localization.render('phenotips.UIXSection.phenotypeInfo')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:24	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-4067961920416208475	PhenoTips.SuggestWorkgroupsService	SuggestWorkgroupsService	Workgroup Suggestion Service			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2015-03-24 23:03:19	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#set ($input = "$!request.input.toLowerCase()")\n#if ($input == '')\n  #break\n#end\n#macro (suggestUsersOrGroups)\n  #if ($input.length() > 0)\n    ## Resolve the input as a user/group reference and use only the document name for matching.\n    #set ($input = $services.model.resolveDocument($input).name)\n  #end\n  #set ($statement = 'from doc.object(PhenoTips.PhenoTipsGroupClass) as groups where (lower(doc.name) like :input or lower(doc.title) like :input) and doc.fullName <> ''PhenoTips.PhenoTipsGroupTemplate'' order by doc.name')\n  #set ($query = $services.query.xwql($statement).setWiki($wikiReference.name).addFilter('unique'))\n  #set ($discard = $query.setOffset(0).setLimit(10).bindValue('input', "%${input}%"))\n  #foreach ($result in $query.execute())\n    #if ($xwiki.hasAccessLevel('view', $xcontext.user, $result))\n      #displayResult($result)\n    #end\n  #end\n#end\n\n#macro (displayResult $result)\n  #set ($reference = $services.model.resolveDocument($result, $wikiReference))\n  ## Make sure we use relative references as much as possible. See XWIKI-10046.\n  #set ($stringReference = $services.model.serialize($reference, 'compactwiki'))\n  #getUserAvatarURL($reference $avatarURL 30)\n  #set ($prettyName = $xwiki.getDocument($reference).plainTitle)\n  #if ("$!prettyName" == '')\n     #set ($prettyName = $reference.name)\n  #end\n  <rs id="$escapetool.xml($reference.name)" icon="$escapetool.xml($avatarURL.url)" info="$prettyName">$escapetool.xml($stringReference)</rs>\n#end\n\n$response.setContentType("text/xml")\n<?xml version="1.0" encoding="UTF-8"?>\n<results>\n#if ($request.wiki == 'global')\n  #set ($wikiReference = $services.model.createWikiReference($xcontext.mainWikiName))\n#else\n  #set ($wikiReference = $doc.documentReference.wikiReference)\n#end\n#if ($request.exactMatch == 'true')\n  ## This is normally used for loading the initial selection.\n  #displayResult("$!request.input")\n#else\n  #suggestUsersOrGroups()\n#end\n</results>\n{{/velocity}}\n	1.1		XWiki.SearchCode		0			Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	f	xwiki/2.0	t
-1108930243295435631	PhenoTips.JSONMacros	JSONMacros				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:25	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output=false}}\n#macro(json__displayJSONFragment $data)\n  #if ($data.keySet())\n  {\n    #foreach ($key in $data.keySet())\n       "${key}" : #json__displayJSONFragment($data.get($key))#if ($foreach.hasNext()),#end\n\n    #end\n  }\n  #elseif ($data.size())\n    [\n    #foreach ($item in $data)\n      #json__displayJSONFragment($item)#if ($foreach.hasNext()),#end\n\n    #end\n    ]##\n  #else\n    "$!{data}"##\n  #end\n#end\n\n#macro(json__displayJSON $results $metadata)\n{\n   "returnedrows" : "$results.size()",\n   #foreach ($k in $metadata.keySet())\n     "$k" : #json__displayJSONFragment($metadata.get($k)),\n   #end\n   #if ("$!request.reqNo" != '')\n     "reqNo" : $!{request.reqNo},\n   #end\n   "rows" : #json__displayJSONFragment($results)\n}\n#end\n\n#macro(json__respondJSON $results $metadata)\n  $response.setContentType('application/json')\n  #json__displayJSON($results $metadata)\n#end\n{{/velocity}}\n	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	f	xwiki/2.1	t
545815201161121945	PhenoTips.Widgets	Widgets				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:35	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	f	xwiki/2.1	t
-937063183793048906	Main.MessageSenderMacro	MessageSenderMacro	Message Sender Macro			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2015-02-20 18:08:02	XWiki.Admin	XWiki.Admin	XWiki.Admin	Main	{{messageSender/}}	1.1		Main.WebHome		2			Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	f	xwiki/2.1	t
-885409311507671954	XWiki.DateTimePicker	DateTimePicker	Date Time Picker			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:02:10	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		Main.WebHome		2			Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	f	xwiki/2.0	t
2543804617369772519	XWiki.StringDisplayer	StringDisplayer				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2015-02-26 14:28:48	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#if ($type == 'edit' || $type == 'search')\n  #set ($id = $escapetool.xml("${prefix}${name}"))\n  {{html clean="false"}}<input type="text" name="$!id" id="$!id" value="$!{escapetool.xml($value)}" size="$!{field.getProperty('size').value}" />{{/html}}\n#elseif ($type == 'view' || $type == 'rendered')\n$!{value}##\n#elseif ($type == 'hidden')\n  #set ($id = $escapetool.xml("${prefix}${name}"))\n  {{html clean="false"}}<input type="hidden" id="$!id" name="$!id" value="$!escapetool.xml($value)" />{{/html}}\n#else\n  ## In order for the custom displayer to be taken into account, the result of its evaluation with an unknown display\n  ## mode must not be empty. Let's output something.\n  Unknown display mode.\n#end\n{{/velocity}}	1.1		Main.WebHome		0			Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	f	xwiki/2.1	t
125676037161426409	XWiki.AttachmentSelector	AttachmentSelector	#if ($request.docname)$xwiki.getDocument($request.docname).plainTitle ($request.docname): #end$services.localization.render('xe.attachmentSelector.gallery.title')			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:02:47	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n#if ($request.xaction == 'postUpload')\n  #set ($targetDocument = $xwiki.getDocument($request.get('docname')))\n  #set ($targetAttachDocument = $xwiki.getDocument($request.get('targetdocname')))\n\n  #set ($fieldname = $request.get('fieldname'))\n  #set ($docAction = $request.get('docAction'))\n  #set ($attachmentList = $targetAttachDocument.getAttachmentList())\n  #if ($attachmentList && $attachmentList.size() > 0)\n    #set ($sortedAttachments = $sorttool.sort($attachmentList, 'date:desc'))\n    #set ($lastAttachment = $sortedAttachments.get(0))\n  #end\n  $response.sendRedirect($targetDocument.getURL($docAction, "$!{fieldname}=$!{lastAttachment.filename}&form_token=$!{escapetool.url($request.get('form_token'))}"))\n  #stop\n#end\n{{/velocity}}\n\n{{velocity output="false"}}\n##\n## Macros\n##\n#set ($translationPrefix = 'xe.attachmentSelector')\n#set ($attachmentPickerDocName = 'XWiki.AttachmentSelector')\n\n$xwiki.ssx.use($attachmentPickerDocName)\n$xwiki.jsx.use($attachmentPickerDocName)\n\n#**\n * Displays the attachment gallery as a list of attachment boxes, starting with special boxes for uploading a new attachment and for setting a default value.\n *\n * @param $targetDocument the document to recieve the field value being modified\n * @param $targetAttachDocument the document to list/save attachments to\n * @param $options generic picker options\n *#\n#macro (attachmentPicker_displayAttachmentGallery $targetDocument, $targetAttachDocument, $options)\n  #set ($currentValue = $targetDocument.getValue($options.property))\n  #if ("$!{targetAttachDocument.getAttachment($currentValue)}" == '')\n    #set ($currentValue = "$!{options.defaultValue}")\n  #end\n  (% class="gallery" %)(((\n  ## Only display the upload form if they have edit permission on targetAttachDocument\n  #if ($xwiki.hasAccessLevel('edit',$xcontext.user,${targetAttachDocument.fullName}))\n    #attachmentPicker_displayUploadForm($targetDocument, $targetAttachDocument, $options)\n  #end\n  #attachmentPicker_displayAttachmentGalleryEmptyValue($targetDocument, $targetAttachDocument, $options, $currentValue)\n  #set ($sortedAttachments = $sorttool.sort($targetAttachDocument.getAttachmentList(), "${options.sortAttachmentsBy}") )\n  #foreach ($attachment in $sortedAttachments)\n    #set ($extension = $attachment.getFilename())\n    #set ($extension = $extension.substring($mathtool.add($extension.lastIndexOf('.'), 1)).toLowerCase())\n    #if ($options.filter.size() == 0 || $options.filter.contains($extension))\n      #attachmentPicker_displayAttachmentBox($attachment $targetDocument $targetAttachDocument, $options $currentValue)\n    #end\n  #end\n  )))\n#end\n\n#**\n * Displays an attachment box.\n *\n * @param $attachment the target attachment to display\n * @param $targetDocument the document being modified\n * @param $options generic picker options\n * @param $currentValue the currently selected file, used for determining if the box should be highlighted as the current value\n *#\n#macro (attachmentPicker_displayAttachmentBox $attachment $targetDocument $targetAttachDocument, $options $currentValue)\n  #if ($options.displayImage && $attachment.isImage())\n    #set ($cssClass = 'gallery_image')\n  #else\n    #set ($cssClass = '')\n  #end\n  #attachmentPicker_displayStartFrame({'value' : $attachment.filename, 'text' : $attachment.filename, 'cssClass' : "$!{cssClass}"} $currentValue)\n  #attachmentPicker_displayAttachmentDetails($attachment $options)\n  #set ($returnURL = $escapetool.url($doc.getURL('view', $request.queryString)))\n  #set ($deleteURL = $targetAttachDocument.getAttachmentURL($attachment.filename, 'delattachment', "xredirect=${returnURL}&form_token=$!{services.csrf.getToken()}") )\n  #set ($viewURL = $targetAttachDocument.getAttachmentURL($attachment.filename) )##{'name' : 'download', 'url' : $viewURL, 'rel' : '__blank'}\n  #set ($selectURL = $targetDocument.getURL(${options.get('docAction')}, "${options.get('classname')}_${options.get('object')}_${options.get('property')}=${attachment.filename}&form_token=$!{services.csrf.getToken()}"))\n  #attachmentPicker_displayEndFrame ([{'name' : 'select', 'url' : $selectURL}, {'name' : 'delete', 'url' : $deleteURL}])\n#end\n\n#**\n * Writes the wiki code used at the start of an attachment box. Outputs the attachment title bar, and opens the inner frame div.\n *\n * @param $boxOptions a map of parameters/options for the current attachment, holding, for example, the attachment name (boxOptions.value),\n *        the title to display (boxOptions.text), optional extra CSS classnames to put on the box (boxOptions.cssClass)\n * @param $currentValue the currently selected file, used for determining if this attachment should be highlighted as the current value\n *#\n#macro (attachmentPicker_displayStartFrame $boxOptions $currentValue)\n  (% class="gallery_attachmentbox $!{boxOptions.cssClass} #if ("$!{boxOptions.value}" == $currentValue) current#{end}" %)(((\n    (% class="gallery_attachmenttitle" title="$!{boxOptions.value}" %)((($boxOptions.text)))\n    (% class="gallery_attachmentframe" %)(((\n#end\n\n#**\n * Displays details about an attachment inside the attachment box. If the attachment is an image and the "displayImage" option is on,\n * then the image is displayed. Otherwise, some basic information is displayed: the version, the size, the date and the author.\n *\n * @param $attachment the target attachment to display\n * @param $options generic picker options\n *#\n#macro (attachmentPicker_displayAttachmentDetails $attachment $options)\n  #if ($attachment)\n    #if ($attachment.isImage() && $options.displayImage)\n      #set ($attachmentDocument = $attachment.getDocument())\n[[[[image:${attachmentDocument.fullName}@${attachment.filename}||width=160]]>>attach:${attachmentDocument.fullName}@${attachment.filename}||rel="lightbox[attachments]"]]\n    #else\n      * (% class="mime" %){{html wiki=false clean=false}}#mimetypeimg($attachment.getMimeType().toLowerCase() $attachment.getFilename().toLowerCase()){{/html}}(%%) (% class="filename" %)$attachment.getFilename()(% %)\n      * v$attachment.getVersion() (#dynamicsize($attachment.filesize))\n      * $services.localization.render('core.viewers.attachments.author', [$!{xwiki.getUserName($attachment.author, false)}]) $services.localization.render('core.viewers.attachments.date', [$!{xwiki.formatDate($attachment.date, 'dd/MM/yyyy hh:mm')}])\n      * (% class="buttonwrapper" %)[[${services.localization.render("${translationPrefix}.actions.download")}>>attach:${attachment.getDocument()}@${attachment.filename}||title="$services.localization.render("${translationPrefix}.actions.download")" rel="__blank" class="button"]](%%)\n    #end\n  #end\n#end\n\n#**\n * Writes the wiki code used at the end of an attachment box. Closes the inner frame div, and outputs the attachment actions.\n *\n * @param $actions a list of maps defining action buttons, where each entry contains a subset of the following:\n *        <dl>\n *          <dt>name</dt>\n *          <dd>identifies the action; the name is used as a CSS classname, and in the translation key for the display text, as "xe.attachmentSelector.actions.<name>"</dd>\n *          <dt>url</dt>\n *          <dd>the destination of the button</dd>\n *          <dt>rel</dt>\n *          <dd>an optional parameter to be used in the "rel" HTML attribute; for example "__blank" can be used to open the link in a new tab/window</dd>\n *        </dl>\n *#\n#macro (attachmentPicker_displayEndFrame $actions)\n    )))## attachmentframe\n    (% class="gallery_actions" %)(((\n      #foreach ($action in $actions)\n        #set( $actionname = $services.localization.render("${translationPrefix}.actions.${action.name}") )\n        [[${actionname}>>path:${action.url}||class="tool ${action.name}" title="${actionname}" #if($action.rel) rel="${action.rel}"#end]]##\n      #end\n    )))## actions\n  )))## attachmentbox\n#end\n\n#**\n * Displays the upload box used for adding and selecting a new attachment.\n *\n * @param $targetDocument the document with the property being modified\n * @param $targetAttachDocument the document to upload the attachment to\n * @param $options generic picker options\n *#\n#macro (attachmentPicker_displayUploadForm $targetDocument, $targetAttachDocument, $options)\n#attachmentPicker_displayStartFrame({\n   'value' : $services.localization.render("${translationPrefix}.upload.title"),\n   'text' : $services.localization.render("${translationPrefix}.upload.title"),\n   'cssClass' : 'gallery_upload'\n  } $NULL)\n{{html clean="false"}}\n<form action="$targetAttachDocument.getURL('upload')" enctype="multipart/form-data" method="post" id="uploadAttachment" class="uploadAttachment xform">\n  <div class="gallery_upload_input">\n    #if (${options.rawfilter} != '')\n      <span class="xHint">$escapetool.xml($services.localization.render("${translationPrefix}.upload.hint", [${options.rawfilter}]))</span>\n    #end\n    <input type="file" name="filepath" id="attachfile" class="attachment" size="30" title="$!{escapetool.xml($options.rawfilter)}"/>\n    <input type="hidden" name="xredirect" value="$xwiki.getDocument($attachmentPickerDocName).getURL('get', "xaction=postUpload&amp;docAction=$!{escapetool.url($options.get('docAction'))}&amp;targetdocname=$!{escapetool.url($targetAttachDocument.fullName)}&amp;docname=$!{escapetool.url($targetDocument.fullName)}&amp;fieldname=$!{escapetool.url($options.get('classname'))}_$!{escapetool.url($options.get('object'))}_$!{escapetool.url($options.get('property'))}&amp;form_token=$!{services.csrf.getToken()}")" />\n    <input type="hidden" name="docname" value="$!{escapetool.xml($targetDocument.fullName)}" />\n    <input type="hidden" name="classname" value="$!{escapetool.xml($options.get('classname'))}" />\n    <input type="hidden" name="object" value="$!{escapetool.xml($options.get('object'))}" />\n    <input type="hidden" name="property" value="$!{escapetool.xml($options.get('property'))}" />\n    <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n  </div>\n  <div class="buttons">\n    <span class="buttonwrapper">\n    <input type="submit" name="action_upload" class="button " value='$services.localization.render("${translationPrefix}.upload.submit")'  title='$services.localization.render("${translationPrefix}.upload.submit")'/>\n    </span>\n  </div>\n</form>\n{{/html}}\n#attachmentPicker_displayEndFrame ([])\n#end\n\n#**\n * Displays the "empty value" box, used for unsetting the field value.\n *\n * @param $targetDocument the document being modified\n * @param $targetAttachDocument the document that the attachments will the loaded from/saved to\n * @param $options generic picker options\n * @param $currentValue the currently selected file, used for determining if the empty box should be highlighted as the current value\n *#\n#macro (attachmentPicker_displayAttachmentGalleryEmptyValue $targetDocument, $targetAttachDocument, $options, $currentValue)\n  #if ("$!{options.get('defaultValue')}" != '')\n    #set ($reference = ${options.get('defaultValue')})\n    #set ($docNameLimit = $reference.indexOf('@'))\n    #if ($docNameLimit > 0)\n      #set ($docName = $reference.substring(0, $docNameLimit))\n    #else\n      #set ($docName = $targetAttachDocument.fullName)\n    #end\n    #set ($attachmentName = $reference.substring($mathtool.add($docNameLimit, 1)))\n    #set ($defaultAttachment = $xwiki.getDocument($docName).getAttachment($attachmentName))\n    #if ($defaultAttachment.isImage())\n      #set($dcssClass = 'gallery_image')\n    #end\n  #end\n  #attachmentPicker_displayStartFrame({'cssClass' : "gallery_emptyChoice $!{dcssClass}", 'text' : $services.localization.render("${translationPrefix}.default"), 'value' : "${options.defaultValue}"} $currentValue)\n  #attachmentPicker_displayAttachmentDetails($defaultAttachment $options)\n  #set ($returnURL = $escapetool.url($doc.getURL('view', $request.queryString)))\n  #set ($selectURL = $targetDocument.getURL(${options.get('docAction')}, "${options.get('classname')}_${options.get('object')}_${options.get('property')}=&form_token=$!{services.csrf.getToken()}"))\n  #attachmentPicker_displayEndFrame ([{'name' : 'select', 'url' : $selectURL}])\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ($request.docname)\n  ###if ($request.xpage == 'plain')\n  ##  ## IE6 + XHR + gzip compression = BOOM!\n  ##  ## This disables the automatic gzip compression\n  ##  $response.setContentType('multipart/formdata')\n  ###end\n  #set ($targetDocument = $xwiki.getDocument($request.docname))\n  #if ($request.targetdocname)\n    ## Use the target document if it exists.\n    #set ($targetAttachDocument = $xwiki.getDocument($request.targetdocname))\n  #else\n    ## Otherwise, just use the current document as the target to save/load attachments\n    #set ($targetAttachDocument = $targetDocument)\n  #end\n  #if ("$!{request.savemode}" == 'direct')\n    #set($docAction = 'save')\n  #else\n    #set($docAction = $targetAttachDocument.getDefaultEditMode())\n  #end\n  #set ($filter = [])\n  #set ($rawfilter = '')\n  #if ("$!{request.filter}" != '')\n    #foreach ($value in $request.filter.trim().split('\\s*+[,|; ]\\s*+'))\n      #if ("$!value" != '')\n        #set ($discard = $filter.add($value.toLowerCase()))\n        #set ($rawfilter = "${rawfilter}, ${value}")\n      #end\n    #end\n    #if ($rawfilter != '')\n      #set ($rawfilter = $rawfilter.substring(2))\n    #end\n  #end\n  #if ("$!{request.displayImage}" == 'true')\n    #set ($displayImage = true)\n  #else\n    #set ($displayImage = false)\n  #end\n  ### Determine attachment sorting\n  #set($sortAttachmentsBy = "$!{request.sortAttachmentsBy}")\n  #set ($validAttachmentProperties = ['filename', 'date', 'filesize', 'author', 'version', 'mimeType'])\n  #if($sortAttachmentsBy == '' || $validAttachmentProperties.indexOf($sortAttachmentsBy) == -1)\n    ### Default to sorting by filename, sort not requested.\n    #set($sortAttachmentsBy = "filename")\n  #end\n  ### Set attachment sorting direction\n  #if($sortAttachmentsBy == 'date')\n    ### Sort the date descending\n    #set($sortAttachmentsBy = "date:desc")\n  #else\n    ### Sort everything else ascending\n    #set($sortAttachmentsBy = "${sortAttachmentsBy}:asc")\n  #end\n  #set ($options = {\n    'classname' : ${request.get('classname')},\n    'object' : $!{mathtool.toInteger($request.object)},\n    'property' : ${request.property},\n    'displayImage' : ${displayImage},\n    'docAction' : ${docAction},\n    'defaultValue' : "$!{request.defaultValue}",\n    'rawfilter': "$!{rawfilter}",\n    'filter': ${filter},\n    'sortAttachmentsBy': ${sortAttachmentsBy}\n  })\n  $!targetDocument.use($targetDocument.getObject($options.classname, $options.object))##\n  #attachmentPicker_displayAttachmentGallery($targetDocument, $targetAttachDocument, $options)\n\n  (% class="gallery_buttons buttons" %)(((\n  (% class="buttonwrapper secondary" %)[[$services.localization.render("${translationPrefix}.cancel")>>$targetDocument||class="button secondary" id="attachment-picker-close"]]\n  )))\n#end\n{{/velocity}}	1.1		Main.WebHome		2			Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	f	xwiki/2.1	t
2151722851504732867	PhenoTips.CreatePatientRecordForm	CreatePatientRecordForm	Form for creating new patient records			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:30	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}{{html clean=false}}\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n#if($hasCreatePage)\n  <form id="patient-creation-form" class="patient-creation-form" action="$xwiki.getURL('PhenoTips.CreatePatientRecord')" method="post"><div>\n    <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n    <input type="hidden" name="doCreate" value="1" />\n    ##\n    #if ($xwiki.exists('PhenoTips.StudyBindingClass'))\n      ## Is there more than one sheet option?\n      ## Check out all the groups this user is part of\n      #set ($studiesVisibilityPreference = $xwiki.getDocument('XWiki.XWikiPreferences').getObject('XWiki.ConfigurationClass', 'property', 'study-visibility-option', false).getProperty('value').value)\n      #if ($studiesVisibilityPreference == 'unrestricted')\n        #set ($studyClassName = 'PhenoTips.StudyClass')\n        #set ($studyTemplateName = 'PhenoTips.StudyTemplate')\n        #set ($query = $services.query.xwql("from doc.object(${studyClassName}) as std where doc.fullName <> :template").bindValue('template', $studyTemplateName))\n        #set ($studyDocs = $xwiki.wrapDocs($query.execute()))\n        #set ($studies = $collectionstool.sortedSet)\n        #foreach ($study in $studyDocs)\n          #set ($discard = $studies.add($services.model.serialize($study.documentReference, 'default')))\n        #end\n      #else\n        #set ($toProcess = $collectionstool.queue)\n        #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n        #set ($groups = [])\n        #set ($studies = $collectionstool.sortedSet)\n        #foreach ($iteration in [0..1000])\n          #if ($toProcess.empty)\n            #break\n          #end\n          #set ($item = $toProcess.poll())\n          #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n            #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n            #if (!$groupObj && $group.documentReference.name.endsWith(' Administrators'))\n              #set ($groupObj = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)).getObject('PhenoTips.PhenoTipsGroupClass'))\n            #end\n            #if ($groupObj && !$groups.contains($group.documentReference.toString()))\n              #set ($discard = $toProcess.add($group.documentReference.toString()))\n              #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n              #if ($groupObj.getProperty('studies').value.isEmpty() == false)\n                #set ($discard = $studies.addAll($groupObj.getProperty('studies').value))\n              #end\n            #end\n          #end\n        #end\n      #end\n      #if ($studies.size() > 0)\n        $xwiki.jsx.use('PhenoTips.StudyBindingClass')##\n        $xwiki.ssx.use('PhenoTips.StudyBindingClass')##\n        <input type="hidden" name="sheet" value="PhenoTips.StudyBindingSheet" />\n      #end\n    #end\n    ## Extensions displayed before the content\n    #foreach ($e in $services.uix.getExtensions('org.phenotips.newPatientForm'))\n      <input type="hidden" name="$!e.parameters.name" value="$!e.parameters.value" />\n    #end\n    <label for="create-patient-record"><span class="fa fa-plus-circle"> </span><input type="submit" id="create-patient-record" title="$services.localization.render('phenotips.globalHeader.createPatient')" value="$services.localization.render('phenotips.globalHeader.createPatient')"/></label>\n  </div></form>\n#end\n{{/html}}{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
1462508874651988343	PhenoTips.PhenotypeMappingClass	PhenotypeMappingClass				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:02:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.PhenotypeMappingClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<description>\n<contenttype>PureText</contenttype>\n<disabled>0</disabled>\n<name>description</name>\n<number>1</number>\n<prettyName>description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n</class>\n	2			Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	f	xwiki/2.1	t
-4482641298815764892	PhenoTips.UIX_Field__prenatal_development	UIX_Field__prenatal_development	$services.localization.render('phenotips.UIXField.prenatalDevellopment')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:38	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-6830765980515416491	PhenoTips.DocumentMeta	DocumentMeta				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:23	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}{{html clean=false wiki=false}}\n#if ($doc.getObject('PhenoTips.PatientClass'))\n  <div id="document-authors">##\n    <span class="document-meta document-creation">## Creation\n    ##Sets the creator text to a link iff the creator was not a guest. Guests are displayed in span elements\n    #if ("$!{tdoc.creator}" == '')\n      #set ($creatorElement = "<span class=""document-creator document-author"">${xwiki.getUserName($tdoc.creator, false)}</span>")\n    #else\n      #set ($creatorElement = "<a class=""document-creator document-author"" href=""${xwiki.getURL($tdoc.creator)}"">${xwiki.getUserName($tdoc.creator, false)}</a>")\n    #end\n      $services.localization.render('phenotips.patientRecord.header.creation', [$creatorElement, $xwiki.formatDate($doc.creationDate)])##\n    </span>##\n    #if ($doc.date != $doc.creationDate)\n      <span class="sep">·</span><span class="document-meta document-last-modification">## Last update\n      #if ($doc.author != $doc.creator)\n        ##Must do the same as done for the creator above for the author\n        #if ("$!{tdoc.author}" == '')\n          #set ($authorElement = "<span class=""document-author"">${xwiki.getUserName($tdoc.author, false)}</span>")\n        #else\n          #set ($authorElement = "<a class=""document-author"" href=""${xwiki.getURL($tdoc.author)}"">${xwiki.getUserName($tdoc.author, false)}</a>")\n        #end\n        $services.localization.render('phenotips.patientRecord.header.modificationWithModifier',[$authorElement, $xwiki.formatDate($tdoc.date)])##\n      #else\n        $services.localization.render('phenotips.patientRecord.header.modificationWithoutModifier', [$xwiki.formatDate($doc.creationDate)])\n      #end\n      </span>##\n    #end\n  </div>##document-authors\n#end\n{{/html}}{{/velocity}}\n	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
-1068312065260436099	PhenoTips.SkinCustomization	SkinCustomization				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:35	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
1037827143862641310	PhenoTips.UIXSheet	UIXSheet				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action == 'edit')\n#set ($uix = $doc.getObject('XWiki.UIExtensionClass'))\n#set ($jsx = $doc.getObject('XWiki.JavaScriptExtension'))\n#set ($ssx = $doc.getObject('XWiki.StyleSheetExtension'))\n{{html wiki=true}}\n; Title\n: <input type="text" name="title" value="$!doc.title"/>\n; Description\n: <textarea name="content" rows="20" cols="80">{{html wiki="false" clean="false"}}$!escapetool.html($doc.content){{/html}}</textarea>\n#if ($uix)\n; Extension id\n: $uix.get('name')\n; Extension point id\n: $uix.get('extensionPointId')\n; Extension code\n: $uix.get('content')\n; Extension parameters\n: $uix.get('parameters')\n#end\n#if ($jsx)\n; CSS code\n: $ssx.get('code')\n#end\n#if ($jsx)\n; JavaScript code\n: $jsx.get('code')\n#end\n{{/html}}\n#elseif ($doc.name != 'UIXSheet')\n$doc.content\n#end\n{{/velocity}}	1.1		PhenoTips.UIX Directory		0			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
-4707315439071732610	PhenoTips.ContentTopMenu	ContentTopMenu	Patient sheet top menu			0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:18	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
7840787070684997650	PhenoTips.UIXTemplate	UIXTemplate				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:37	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.UIX Directory		2			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
5380970307048909325	PhenoTips.Skin	Skin				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:19	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome		3			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
5331437976160361692	PhenoTips.EmbeddableSkin	EmbeddableSkin				0	2017-05-12 15:43:32	2017-05-12 15:43:32	2014-06-03 15:03:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
3906721010564700566	Main.WebHome	WebHome	Home			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:16	XWiki.Admin	XWiki.Admin	XWiki.Admin	Main	{{velocity}}\n$response.sendRedirect($xwiki.getURL('data.WebHome'))\n{{/velocity}}\n	1.1				2			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.0	t
-2574330713050449243	data.ServerError	ServerError	Unexpected Server Error			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:02:54	XWiki.Admin	XWiki.Admin	XWiki.Admin	data	{{error}}{{translation key=data.serverError}}{{/error}}	1.1		Main.WebHome		2			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
1160353948684402343	ColorThemes.Kiwi	Kiwi	Kiwi			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:09	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome		3			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
5535268348243340484	ColorThemes.Orange	Orange	Orange			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:10	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome		3			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
8754155596405016767	ColorThemes.Silver leaf	Silver leaf	Silver leaf			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:09	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome		3			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
-3360037916034797650	ColorThemes.Maple leaf	Maple leaf	Maple leaf			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:08	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome		3			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
8591098630944079733	ColorThemes.Blue	Blue	Blue			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome		3			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
-5014424313236062365	ColorThemes.Ruby	Ruby	Ruby			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:11	XWiki.Admin	XWiki.Admin	XWiki.Admin	ColorThemes		1.1		ColorThemes.WebHome		3			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
-2957041759631817068	XWiki.XWikiLogin	XWikiLogin	Login			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:02:38	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.WebHome		0			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.0	t
-4271439358188529591	XWiki.WebHome	WebHome	PhenoTips			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:02:49	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n$response.sendRedirect($xwiki.getURL('data.WebHome'))\n{{/velocity}}	1.1		Main.WebHome		2			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.0	t
6300007534016900424	XWiki.PDFClass	PDFClass				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:02:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.PDFClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<footer>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>footer</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Footer displayed at the bottom of each PDF page</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</footer>\n<fopxsl>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>fopxsl</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>XSLT for post-processing the FO document</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</fopxsl>\n<header>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>header</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Header displayed on top of each PDF page</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</header>\n<style>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>style</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Custom CSS style to apply to the PDF</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</style>\n<xhtmlxsl>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>xhtmlxsl</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>XSLT for transforming HTML into a FO document</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</xhtmlxsl>\n</class>\n	0			Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	f	xwiki/2.1	t
5900379023341872695	PhenoTips.PhenotypeInfoService	PhenotypeInfoService	PhenotypeInfoService			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-08-25 15:33:17	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action != 'get')\n  **Usage**: //http[s]:~/~/<hostname>[:<port>]/<appname>/bin/get/PhenoTips/PhenotypeInfoService?id=<hpo identifier>//\n  Example: [[http://playground.phenotips.org/bin/get/PhenoTips/PhenotypeInfoService?id=HP:0000118]]\n  #break\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#if ("$!request.id" != '')\n  #set ($term = $services.vocabularies.hpo.getTerm($request.id))\n#else\n  $response.setStatus(400)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Term id not provided."})\n  #break\n#end\n#if (!$term)\n  $response.setStatus(404)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Term not found."})\n  #break\n#end\n\n#set ($result = {\n  'id' : "$!term.id",\n  'label' : "$!term.name",\n  'def' : "$!term.def"\n})\n#if ("$!term.is_a" != '')\n  #set ($result.is_a = [])\n  #foreach ($p in $!term.is_a)\n    #set($parts = $p.split(" ! "))\n    #if ($parts.size() == 2)\n      #set($discard = $result.is_a.add({'id' : $parts[0], 'label' : $parts[1]}))\n    #end\n  #end\n#end\n#if ("$!term.synonym" != '')\n  #set ($result.synonym = $term.synonym)\n#end\n$response.setContentType('application/json')\n$jsontool.serialize($result)\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	f	xwiki/2.1	t
-2555991279911937841	PhenoTips.PhenotypeMappingPreview	PhenotypeMappingPreview	PhenotypeMappingPreview			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n$xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.Widgets', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.PatientSheetCode', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n$xwiki.jsx.use('PhenoTips.PatientSheetCode')##\n\n#set ($name = 'phenotype')\n#set ($document = $xwiki.getDocument('PhenoTips.PatientTemplate'))\n#if ("$!request.mapping" != '')\n  #set ($mapping = $xwiki.getDocument("$!request.mapping"))\n#else\n  #set ($mapping = $doc)\n#end\n#if ($mapping.getObject('PhenoTips.PhenotypeMappingClass'))\n  #if ($mapping.content.startsWith('{{velocity'))\n    #set ($def = $mapping.content.replaceAll('\\{\\{/?velocity[^}]*}}', ''))\n    #set ($discard = "#evaluate($def)")\n  #else\n    #set ($mappings = $jsontool.parse($mapping.content))\n    #set ($phenotype = $mappings.phenotype)\n  #end\n  #if ("$!{phenotype}" != '')\n    #set($phenotypeDisplayTools = $services.phenotype)\n    $phenotypeDisplayTools.setMode('edit')##\n    $phenotypeDisplayTools.setDocument($document)##\n    $!phenotypeDisplayTools.use('', $name, "negative_${name}")##\n    #if ($mapping != $doc)\n\n{{info}}$services.localization.render('phenotips.phenotypeMappingPreview.title') [[$mapping||target="_blank"]]{{/info}}\n\n    #end\n    {{html clean=false}}$phenotypeDisplayTools.display($phenotype){{/html}}##\n    $!phenotypeDisplayTools.clear()##\n  #end\n#end\n{{/velocity}}\n	1.1		PhenoTips.PhenotypeMappingClass		2			Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	f	xwiki/2.1	t
-8443913355667803593	PhenoTips.Detailed physical phenotype configuration	Detailed physical phenotype configuration	$services.localization.render('phenotips.detailedPhenotypeConfig.title')			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:17	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{\n"phenotype": [\n  {\n    "type"       : "section",\n    "title"      : "Growth parameters",\n    "categories" : ["HP:0001507", "HP:0000240"],\n    "data"       : [\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0004323",\n        "group_type" : "single-select",\n        "title"  : "Weight for age",\n        "data"   : [\n          {"id"  : "HP:0004325", "title" : "Decreased body weight (<-2SD)"},\n          {"id"  : "HP:0004324", "title" : "Increased body weight (>+2SD)"},\n          {"id"  : "HP:0001513", "title" : "Obsesity (BMI>30)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000002",\n        "group_type" : "single-select",\n        "title"  : "Stature for age",\n        "data"   : [\n          {"id"  : "HP:0004322", "title" : "Short stature (<-2SD)"},\n          {"id"  : "HP:0000098", "title" : "Tall stature (>+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000240",\n        "group_type" : "single-select",\n        "title"  : "Head circumference for age",\n        "data"   : [\n          {"id"  : "HP:0000252", "title" : "Microcephaly (<-3SD)"},\n          {"id"  : "HP:0000256", "title" : "Macrocephaly (>+2SD)"}\n        ]\n      },\n      {"id" : "HP:0001508"},\n      {"id" : "HP:0001528"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Hair",\n    "categories" : ["HP:0100037"],\n    "data"       : [\n      {"id": "HP:0005599", "title" : "Hypopigmentation"},\n      {"id": "HP:0010721", "title" : "Hair whorls"},\n      {"id": "HP:0002236", "title" : "Frontal upsweep"},\n      {\n        "type"       : "subsection",\n        "id"         : "HP:0000599",\n        "title"      : "Anterior hairline",\n        "data"       : [\n          {"id": "HP:0000294", "title" : "Low"},\n          {"id": "HP:0009890", "title" : "High"}\n        ]\n      },\n      {\n        "type"       : "subsection",\n        "title"      : "Posterior hairline",\n        "data"       : [\n          {"id": "HP:0002162", "title" : "Low"},\n          {"id": "HP:0012891", "title" : "High"}\n        ]\n      },\n      {"id": "HP:0002213", "title" : "Fine hair"},\n      {"id": "HP:0002208", "title" : "Coarse hair"},\n      {"id": "HP:0002209", "title" : "Sparse hair"},\n      {"id": "HP:0100874", "title" : "Thick hair"},\n      {"id": "HP:0001596", "title" : "Alopecia"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Scalp/skull",\n    "categories" : ["HP:0000152"],\n    "data"       : [\n      {"id": "HP:0007385", "title" : "Aplasia cutis congenita of scalp"},\n      {"id": "HP:0002697", "title" : "Parietal foramina"},\n      {"id": "HP:0007271", "title" : "Occipital myelomeningocele"},\n      {"id": "HP:0000268", "title" : "Dolichocephaly"},\n      {"id": "HP:0000243", "title" : "Trigonocephaly"},\n      {"id": "HP:0001357", "title" : "Plagiocephaly"},\n      {"id": "HP:0000248", "title" : "Brachycephaly"},\n      {"id": "HP:0001363", "title" : "Craniosynostosis"},\n      {"id": "HP:0000272", "title" : "Midface hypoplasia"},\n      {"id": "HP:0010823", "title" : "Ridged/overlapping sutures"},\n      {"id": "HP:0010537", "title" : "Wide/open sutures"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Face shape",\n    "categories" : ["HP:00001999"],\n    "data"       : [\n      {"id": "HP:0000311", "title" : "Round face"},\n      {"id": "HP:0000300", "title" : "Oval face"},\n      {"id": "HP:0000321", "title" : "Square face"},\n      {"id": "HP:0000325", "title" : "Triangular face"},\n      {"id": "HP:0000324", "title" : "Facial asymmetry"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Forehead",\n    "categories" : ["HP:00000290"],\n    "data"       : [\n      {"id": "HP:0000350", "title" : "Small forehead"},\n      {"id": "HP:0000348", "title" : "High forehead"},\n      {"id": "HP:0002007", "title" : "Frontal bossing"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Eyebrows",\n    "categories" : ["HP:00000534"],\n    "data"       : [\n      {"id": "HP:0011228", "title" : "Straight eyebrow"},\n      {"id": "HP:0002553", "title" : "Highly arched eyebrow"},\n      {"id": "HP:0000574", "title" : "Thick eyebrow"},\n      {"id": "HP:0000664", "title" : "Synophrys"},\n      {"id": "HP:0002223", "title" : "Absent eyebrow"},\n      {"id": "HP:0000535", "title" : "Sparse eyebrow"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Eyelashes",\n    "categories" : ["HP:0000499"],\n    "data"       : [\n      {"id": "HP:0000561"},\n      {"id": "HP:0000653"},\n      {"id": "HP:0011231"},\n      {"id": "HP:0008496"},\n      {"id": "HP:0009743"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Eyelids",\n    "categories" : ["HP:0000492"],\n    "data"       : [\n      {"id": "HP:0000506"},\n      {"id": "HP:0000508"},\n      {"id": "HP:0000286"},\n      {"id": "HP:0000537"},\n      {"id": "HP:0012905"},\n      {\n        "type"       : "subsection",\n        "title"      : "Eyelid coloboma",\n        "data"       : [\n           {"id": "HP:0000652", "title" : "Lower"},\n           {"id": "HP:0000636", "title" : "Upper"}\n        ]\n      }\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Eyes",\n    "categories" : ["HP:0000478"],\n    "data"       : [\n      {"id": "HP:0000316"},\n      {"id": "HP:0000601"},\n      {"id": "HP:0000582"},\n      {"id": "HP:0000494"},\n      {"id": "HP:0100876"},\n      {"id": "HP:0000612"},\n      {"id": "HP:0200032"},\n      {"id": "HP:0001088"},\n      {"id": "HP:0007759", "title" : "Corneal clouding"},\n      {"id": "HP:0000485"},\n      {"id": "HP:0001140"},\n      {"id": "HP:0000524"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Ears",\n    "categories" : ["HP:0000598"],\n    "data"       : [\n      {"id": "HP:0008577", "title" : "Underfolded helix"},\n      {"id": "HP:0000396", "title" : "Overfolded helix"},\n      {"id": "HP:0000400", "title" : "Macrotia"},\n      {"id": "HP:0008551", "title" : "Microtia"},\n      {"id": "HP:0000369", "title" : "Low-set ears"},\n      {"id": "HP:0000358", "title" : "Posteriorly rotated ears"},\n      {"id": "HP:0009907", "title" : "Attached earlobe"},\n      {"id": "HP:0000384", "title" : "Preauricular skin tag"},\n      {"id": "HP:0100277", "title" : "Periauricular skin pits"},\n      {"id": "HP:0009908", "title" : "Earlobe creases"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Nose",\n    "categories" : ["HP:0000336"],\n    "data"       : [\n      {\n        "type"       : "subsection",\n        "title"      : "Length",\n        "data"       : [\n          {"id": "HP:0003189", "title" : "Long"},\n          {"id": "HP:0003196", "title" : "Short"}\n        ]\n      },\n      {\n        "type"       : "subsection",\n        "title"      : "Width",\n        "data"       : [\n          {"id": "HP:0000418", "title" : "Narrow"},\n          {"id": "HP:0012811", "title" : "Wide"}\n        ]\n      },\n      {\n        "type"       : "subsection",\n        "title"      : "Shape",\n        "data"       : [\n          {"id": "HP:0011120", "title" : "Concave"},\n          {"id": "HP:0000444", "title" : "Convex"}\n        ]\n      },\n      {"id": "HP:0000431"},\n      {"id": "HP:0005280"},\n      {"id": "HP:0000426"},\n      {"id": "HP:0011222"},\n      {"id": "HP:0002057"},\n      {"id": "HP:0011120"},\n      {"id": "HP:0000455"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Philtrum",\n    "categories" : ["HP:0000288"],\n    "data"       : [\n      {\n        "type"       : "subsection",\n        "title"      : "Length",\n        "data"       : [\n          {"id": "HP:0000343", "title" : "Long"},\n          {"id": "HP:0000322", "title" : "Short"}\n        ]\n      },\n      {"id": "HP:0005326", "title" : "Hypoplastic philtrum"},\n      {"id": "HP:0000319", "title" : "Smooth philtrum"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Mouth",\n    "categories" : ["HP:0000153"],\n    "data"       : [\n      {\n        "type"       : "subsection",\n        "title"      : "Size",\n        "data"       : [\n          {"id": "HP:0000160", "title" : "Small"},\n          {"id": "HP:0000154", "title" : "Wide"}\n        ]\n      },\n      {"id": "HP:0000346", "title" : "Whistling appearance"},\n      {"id": "HP:0002263", "title" : "Cupid's bow"},\n      {"id": "HP:0010804", "title" : "Tented mouth"},\n      {"id": "HP:0100267", "title" : "Lip pit"},\n      {\n        "type"       : "subsection",\n        "title"      : "Thin lip",\n        "data"       : [\n          {"id": "HP:0000219", "title" : "Upper"},\n          {"id": "HP:0010282", "title" : "Lower"}\n        ]\n      },\n      {\n        "type"       : "subsection",\n        "title"      : "Thick lip",\n        "data"       : [\n          {"id": "HP:0000204", "title" : "Upper"},\n          {"id": "HP:0000179", "title" : "Lower"}\n        ]\n      },\n      {\n        "type"       : "subsection",\n        "title"      : "Cleft lip",\n        "data"       : [\n          {"id": "HP:0000215", "title" : "Upper"},\n          {"id": "HP:0010281", "title" : "Lower"}\n        ]\n      },\n      {"id": "HP:0000218"},\n      {"id": "HP:0000189", "title" : "Narrow palate"},\n      {"id": "HP:0000175", "title" : "Cleft palate"},\n      {"id": "HP:0000193", "title" : "Bifid/cleft uvula"},\n      {"id": "HP:0000687", "title" : "Widely spaced teeth"},\n      {"id": "HP:0006289", "title" : "Absent central incisor"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Chin",\n    "categories" : ["HP:0000306"],\n    "data"       : [\n      {"id": "HP:0000347", "title" : "Micrognathia"},\n      {"id": "HP:0009939", "title" : "Agnathia"},\n      {"id": "HP:0000278", "title" : "Retrognathia"},\n      {"id": "HP:0000303", "title" : "Prognathia"},\n      {"id": "HP:0010751", "title" : "Chin dimple"},\n      {"id": "HP:0011323", "title" : "Cleft of chin"},\n      {"id": "HP:0000307", "title" : "Pointed chin"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neck",\n    "categories" : ["HP:0000152"],\n    "data"       : [\n      {"id": "HP:0000470", "title" : "Short neck"},\n      {"id": "HP:0000472", "title" : "Long neck"},\n      {"id": "HP:0000465", "title" : "Webbed neck"},\n      {"id": "HP:0000474", "title" : "Thickened nuchal skin fold"},\n      {"id": "HP:0000853", "title" : "Goiter"},\n      {"id": "HP:0009796", "title" : "Branchial cyst"},\n      {"id": "HP:0009795", "title" : "Branchial cleft fistula"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Heart",\n    "categories" : ["HP:0001627"],\n    "data"       : [\n      {"id": "HP:0001631", "title" : "ASD"},\n      {"id": "HP:0001629", "title" : "VSD"},\n      {"id": "HP:0001674", "title" : "AV canal defect"},\n      {"id": "HP:0001680", "title" : "Coarctation of aorta"},\n      {"id": "HP:0001636", "title" : "Tetralogy of fallot"},\n      {"id": "HP:0001638", "title" : "Cardiomyopathy"},\n      {"id": "HP:0011675"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Lungs",\n    "categories" : ["HP:0002086"],\n    "data"       : [\n      {"id": "HP:0002088", "title" : "Lung abnormality"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Nipples",\n    "categories" : ["HP:0002086","HP:0000765"],\n    "data"       : [\n      {"id": "HP:0002557", "title" : "Hypoplastic nipples"},\n      {"id": "HP:0003186", "title" : "Inverted nipples"},\n      {"id": "HP:0006610", "title" : "Wide-set"},\n      {"id": "HP:0002558", "title" : "Supernumerary nipples"},\n      {"id": "HP:0000771", "title" : "Gynecomastia"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Chest wall",\n    "categories" : ["HP:0000765"],\n    "data"       : [\n      {"id": "HP:0000914", "title" : "Broad/shield chest"},\n      {"id": "HP:0000774", "title" : "Narrow chest"},\n      {"id": "HP:0005257", "title" : "Short chest"},\n      {"id": "HP:0001552", "title" : "Barrel-shaped chest"},\n      {"id": "HP:0000768", "title" : "Pectus carinatum"},\n      {"id": "HP:0000767", "title" : "Pectus excavatum"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Abdomen",\n    "categories" : ["HP:0001438"],\n    "data"       : [\n      {"id": "_c_increased_bowel_sounds", "title" : "Increased bowel sounds"},\n      {"id": "_c_decreased_bowel_sounds", "title" : "Decreased bowel sounds"},\n      {"id": "HP:0002240", "title" : "Hepatomegaly"},\n      {"id": "HP:0001744", "title" : "Splenomegaly"},\n      {"id": "HP:0001540", "title" : "Diastasis recti"},\n      {"id": "HP:0004299", "title" : "Hernia of the abdominal wall"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Genitalia",\n    "categories" : ["HP:0000078"],\n    "data"       : [\n      {"id": "HP:0000048", "title" : "Bifid scrotum"},\n      {"id": "HP:0000049", "title" : "Shawl scrotum"},\n      {"id": "HP:0000053", "title" : "Large testes"},\n      {"id": "HP:0008734", "title" : "Small testes"},\n      {"id": "HP:0000028", "title" : "Cryptorchidism"},\n      {"id": "HP:0000066", "title" : "Labial hypoplasia"},\n      {"id": "HP:0000057", "title" : "Clitoromegaly"},\n      {"id": "HP:0000047", "title" : "Hypospadias"},\n      {"id": "HP:0000062", "title" : "Ambiguous genitalia"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Anus",\n    "categories" : ["HP:0004378"],\n    "data"       : [\n      {"id": "HP:0002025", "title" : "Stenosis"},\n      {"id": "HP:0002575", "title" : "Imperforate"},\n      {"id": "HP:0001545", "title" : "Anteriorly placed"},\n      {"id": "HP:0012890", "title" : "Posteriorly placed"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Upper extremities",\n    "categories" : ["HP:0002817"],\n    "data"       : [\n      {"id": "HP:0004991", "title" : "Rhizomelia"},\n      {"id": "HP:0005011", "title" : "Mesomelia"},\n      {"id": "HP:0010482", "title" : "Acromelia"},\n      {"id": "HP:0004279", "title" : "Short palm"},\n      {"id": "HP:0001176", "title" : "Large hands"},\n      {"id": "HP:0010049", "title" : "Short metacarpals"},\n      {"id": "HP:0009381", "title" : "Brachydactyly"},\n      {"id": "HP:0001182", "title" : "Tapered finger"},\n      {"id": "HP:0001500", "title" : "Broad finger"},\n      {"id": "HP:0011304", "title" : "Broad thumb"},\n      {"id": "HP:0100490", "title" : "Camptodactyly"},\n      {"id": "HP:0006101", "title" : "Syndactyly"},\n      {"id": "HP:0010557", "title" : "Overlapping fingers"},\n      {"id": "HP:0001161", "title" : "Polydactyly"},\n      {"id": "HP:0001166", "title" : "Arachnodactyly"},\n      {"id": "HP:0000954", "title" : "Single transverse palmar crease"},\n      {"id": "HP:0002164", "title" : "Nail dysplasia"},\n      {"id": "HP:0008402", "title" : "Ridged fingernail"},\n      {"id": "HP:0001814", "title" : "Thin, deep-set nails"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Lower extremities",\n    "categories" : ["HP:0002814"],\n    "data"       : [\n      {"id": "HP:0012106", "title" : "Rhizomelia"},\n      {"id": "HP:0004987", "title" : "Mesomelia"},\n      {"id": "HP:0010494", "title" : "Acromelia"},\n\n      {"id": "HP:0002857", "title" : "Genu valgu"},\n      {"id": "HP:0002970", "title" : "Genu varum"},\n      {"id": "HP:0001773", "title" : "Small feet"},\n      {"id": "HP:0001833", "title" : "Large feet"},\n\n      {"id": "HP:0001763", "title" : "Pes planus"},\n      {"id": "HP:0001761", "title" : "Pes cavus"},\n\n      {"id": "HP:0001838", "title" : "Vertical talus"},\n\n      {"id": "HP:0001831", "title" : "Brachydactyly"},\n      {"id": "HP:0001765", "title" : "Hammer toes"},\n      {"id": "HP:0010055", "title" : "Broad halluces"},\n      {"id": "HP:0001822", "title" : "Hallux valgus"},\n\n      {"id": "HP:0001863", "title" : "Clinodactyly of feet"},\n      {"id": "HP:0001166", "title" : "Arachnodactyly"},\n      {"id": "HP:0001852", "title" : "Sandal gap"},\n\n      {"id": "HP:0001845", "title" : "Overlapping toe"},\n      {"id": "HP:0001770", "title" : "Syndactyly"},\n      {"id": "HP:0001836", "title" : "Camptodactyly"},\n      {"id": "HP:0001829", "title" : "Polydactyly"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Musculoskeletal",\n    "categories" : ["HP:0000924","HP:0003549"],\n    "data"       : [\n      {"id": "HP:0100293", "title" : "Muscle fiber hypertrophy"},\n      {"id": "HP:0100295", "title" : "Muscle fiber hypotrophy"},\n      {"id": "HP:0001376", "title" : "Decreased ROM"},\n      {"id": "HP:0010485", "title" : "Hyperextensibility at elbow"},\n      {"id": "HP:0010500", "title" : "Hyperextensibility of the knee"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neurological",\n    "categories" : ["HP:0000707"],\n    "data"       : [\n      {"id": "HP:0001260", "title" : "Dysarthric speech"},\n      {"id": "HP:0001611"},\n      {"id": "HP:0007164", "title" : "Slowed slurred speech"},\n      {"id": "HP:0001257", "title" : "Spasticity"},\n      {"id": "HP:0002063", "title" : "Rigidity"},\n      {"id": "HP:0001276", "title" : "Hypertonia"},\n      {"id": "HP:0001252", "title" : "Hypotonia"},\n      {"id": "HP:0001337", "title" : "Tremor"},\n      {"id": "HP:0007164", "title" : "Slowed slurred speech"},\n      {"id": "HP:0002072", "title" : "Chorea"},\n      {"id": "HP:0002066", "title" : "Gait ataxia"},\n      {"id": "HP:0002064", "title" : "Spastic gait"},\n      {"id": "HP:0009027", "title" : "Foot drop"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Back",\n    "categories" : ["HP:0008518"],\n    "data"       : [\n      {"id": "HP:0002650"},\n      {"id": "HP:0003307"},\n      {"id": "HP:0002808"},\n      {"id": "HP:0000960", "title" : "Sacral dimple"},\n      {"id": "HP:0005765", "title" : "Sacral meningocele"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Skin",\n    "categories" : ["HP:0000925"],\n    "data"       : [\n      {"id": "HP:0000957"},\n      {"id": "HP:0009721", "title" : "Shagreen patch"},\n      {"id": "HP:0000953", "title" : "Hyperpigmentation"},\n      {"id": "HP:0001012", "title" : "Lipoma"},\n      {"id": "HP:0009125", "title" : "Lipodystrophy"},\n      {"id": "HP:0001067", "title" : "Neurofibroma"},\n      {"id": "HP:0100804"},\n      {"id": "HP:0001028", "title" : "Hemangioma"},\n      {"id": "HP:0011369", "title" : "Mongolian spot"},\n      {"id": "HP:0001052", "title" : "Nevus flammeus"},\n      {"id": "HP:0010609", "title" : "Skin tags"},\n      {"id": "HP:0001480", "title" : "Freckling"}\n    ]\n  },\n   {\n    "type"       : "section",\n    "title"      : "Other",\n    "categories" : ["HP:0000118"],\n    "data"       : []\n  }\n],\n\n"prenatal_phenotype": [\n  {\n    "type"       : "section",\n    "title"      : "Pregnancy history",\n    "categories" : ["HP:0002686"],\n    "data"       : [\n      {"id"      : "HP:0012188", "title" : "Hyperemesis gravidarum (excessive vomiting)"},\n      {"id"      : "HP:0008071"},\n      {"id"      : "HP:0009800"},\n      {"id"      : "HP:0030244"},\n      {"id"      : "HP:0100622"},\n      {"id"      : "HP:0011438"},\n      {"id"      : "HP:0100603"},\n      {"id"      : "HP:0011436"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Prenatal development",\n    "categories" : ["HP:0001197"],\n    "data"       : [\n      {"id"      : "HP:0001511"},\n      {"id"      : "HP:0001562"},\n      {"id"      : "HP:0001561"},\n      {"id"      : "HP:0001558"},\n      {"id"      : "HP:0010519"},\n      {"id"      : "HP:0002898"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Delivery",\n    "categories" : ["HP:0001787"],\n    "data"       : [\n      {\n        "type"  : "conditionalSubsection",\n        "id"    : "HP:0001787",\n        "group_type" : "multi-select",\n        "title" : "Abnormal delivery (Non-NSVD)",\n        "data"  : [\n          {"id" : "HP:0030365"},\n          {"id" : "HP:0030369"},\n          {"id" : "HP:0001623"},\n          {"id" : "HP:0011410"},\n          {"id" : "HP:0011411"},\n          {"id" : "HP:0011412"},\n          {"id" : "HP:0030366"},\n          {"id" : "HP:0005268"}\n        ]\n      },\n      {"id" : "HP:0001622"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neonatal growth parameters",\n    "categories" : ["HP:0001507", "HP:0000240"],\n    "data"       : [\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0004323",\n        "group_type" : "single-select",\n        "title"  : "Abnormal birth weight",\n        "data"   : [\n          {"id"  : "HP:0001518", "title" : "Small for gestational age (<-2SD)"},\n          {"id"  : "HP:0001520", "title" : "Large for gestational age (>+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000002",\n        "group_type" : "single-select",\n        "title"  : "Abnormal birth length",\n        "data"   : [\n          {"id"  : "HP:0003561", "title" : "Small birth length (<-2SD)"},\n          {"id"  : "HP:0003517", "title" : "Large birth length (>+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000240",\n        "group_type" : "single-select",\n        "title"  : "Abnormal head circumference at birth",\n        "data"   : [\n          {"id"  : "HP:0011451", "title" : "Congenital microcephaly (<-3SD)"},\n          {"id"  : "HP:0004488", "title" : "Congenital macrocephaly (>+2SD)"}\n        ]\n      }\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Perinatal complications",\n    "categories" : ["HP:0000118"],\n    "data"       : [\n      {"id" : "HP:0002643"},\n      {"id" : "HP:0006579"},\n      {"id" : "HP:0002033"},\n      {"id" : "HP:0001998"}\n    ]\n  }\n]}	1.1		data.WebHome		2			Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	f	xwiki/2.1	t
7190854458550991544	PhenoTips.PhenotypeMappingTemplate	PhenotypeMappingTemplate				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:21	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{\n"phenotype" : [\n  {\n    "type"       : "section",\n    "title"      : "Growth parameters",\n    "categories" : ["HP:0001507"],\n    "data"       : [\n        {\n           "type"  : "subsection",\n           "id"    : "HP:0004323",\n           "title" : "Weight for age",\n           "data"  : [\n               {"id" : "HP:0004325", "title" : "<3rd"},\n               {"id" : "HP:0001513", "title" : ">97th"}\n           ]\n        },\n        {\n           "type"  : "subsection",\n           "id"    : "HP:0000002",\n           "title" : "Stature for age",\n           "data"  : [\n               {"id" : "HP:0004322", "title" : "<3rd"},\n               {"id" : "HP:0000098", "title" : ">97th"}\n           ]\n        },\n        {\n           "type"  : "subsection",\n           "id"    : "HP:0000240",\n           "title" : "Head circumference for age",\n           "data"  : [\n               {"id" : "HP:0000252", "title" : "<3rd"},\n               {"id" : "HP:0000256", "title" : ">97th"}\n           ]\n        },\n        {"id" : "HP:0001528"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neurological signs",\n    "categories" : ["HP:0000707"],\n    "data"       : [\n        {"id" : "HP:0001290"},\n        {"id" : "HP:0001250"},\n        {"id" : "HP:0001251"},\n        {"id" : "HP:0001332"},\n        {"id" : "HP:0002072"},\n        {"id" : "HP:0001257"},\n        {"id" : "HP:0010301"},\n        {"id" : "HP:0007319"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Other",\n    "categories" : ["HP:0000118"],\n    "data"       : []\n  }\n]\n}	1.1		data.WebHome		2			Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	f	xwiki/2.1	t
3089596761319347133	PhenoTips.FormDesigner	FormDesigner	Patient form designer			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:38	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output=false}}\n## =====================================================================\n## INITIALIZE VARIABLES AND DEFINE MACROS FOR ACCESSING EXTENSIONS\n## =====================================================================\n## ----------------------------------------------------------------------\n## Initialize widely used constants\n## ----------------------------------------------------------------------\n#set ($uixSpace = 'PhenoTips')\n#set ($uixClass = 'XWiki.UIExtensionClass')\n#set ($uixNamePrefix = 'UIX_')\n#set ($fieldUixNamePrefix = "${uixNamePrefix}Field__")\n#set ($sectionUixNamePrefix = "${uixNamePrefix}Section__")\n\n#set ($sectionExtensionPointId = 'org.phenotips.patientSheet.content')\n#set ($sectionExtensionIdPrefix = 'org.phenotips.patientSheet.section.')\n#set ($fieldExtensionPointIdPrefix = $sectionExtensionIdPrefix)\n#set ($fieldExtensionIdPrefix = 'org.phenotips.patientSheet.field.')\n\n## ----------------------------------------------------------------------\n## General query for extensions\n## ----------------------------------------------------------------------\n#set ($extensionsQuery = ", BaseObject obj, StringProperty prop where doc.fullName = obj.name and obj.className = ? and prop.id.id = obj.id and prop.name = ? and prop.value = ?")\n\n## ----------------------------------------------------------------------\n## Retrieve and organize the data corresponding to a specific subset of extensions\n## Place the data in $result\n## ----------------------------------------------------------------------\n#macro(_formDesigner__getExtensionsData $type $filterPropertyName, $filterPropertyValue, $extensionPointId, $selectionOverride, $results)\n  ## Get extension objects\n  #set ($uixs = $services.uix.getExtensions($extensionPointId, {'sortByParameter' : 'order'}))\n  ## Get uix documents\n  #set ($uixDocs = $xwiki.wrapDocs($services.query.hql($extensionsQuery).bindValues([$uixClass, $filterPropertyName, $filterPropertyValue]).execute()))\n  ## Map extension id to document for easy access\n  #set ($uixDocsMap = {})\n  #foreach ($uixDoc in $uixDocs)\n    #set ($uixObj = $uixDoc.getObject($uixClass))\n    #set ($discard = $uixDocsMap.put($uixObj.getProperty('name').value, $uixDoc))\n  #end\n  ## If another configuration overrides the order/enabled status, reorder and re-mark:\n  #if ("$!{selectionOverride}" != '' && $selectionOverride.size() > 0)\n    #set ($uixMap = {})\n    #foreach ($uix in $uixs)\n      #set ($discard = $uixMap.put($uix.id, $uix))\n    #end\n    #set ($tmpUixs = [])\n    #foreach ($uixId in $selectionOverride)\n      #set ($exists = $uixMap.get($uixId))\n      #if ($exists)\n        #set ($discard = $tmpUixs.add($exists))\n        #set ($discard = $uixs.remove($exists))\n      #end\n    #end\n    #set ($disabledUixs = {})\n    #foreach ($uix in $uixs)\n      #set ($discard = $tmpUixs.add($uix))\n      #set ($discard = $disabledUixs.put($uix.id, true))\n    #end\n    #set ($uixs = $tmpUixs)\n  #elseif("$!{selectionOverride}" != '' && $selectionOverride.size() == 0)\n    #set ($tempList = [])\n    #foreach($uix in $uixs)\n      #set ($enabled = $uix.getParameters().get("enabled"))\n      #if ("$!{enabled}" == "false" || "$!{enabled}" == "0" || "$!{enabled}" == "no")\n          #set ($enabled = false)\n      #else\n          #set ($enabled = true)\n      #end\n      #if ($enabled)\n          #set($discard = $tempList.add($uix))\n      #end\n    #end\n    #set ($uixs = $tempList)\n  #end\n  #foreach ($uix in $uixs)\n    #set ($title = $uix.getParameters().get("title"))\n    #set ($uixDoc = $uixDocsMap.get($uix.id))\n    #if ($uixDoc)\n      #if ("$!{title}" == '')\n        #set ($title = $uixDoc.title)\n      #end\n      #set ($enabled = $uix.getParameters().get("enabled"))\n      #if ("$!{enabled}" == "false" || "$!{enabled}" == "0" || "$!{enabled}" == "no")\n        #set ($enabled = false)\n      #else\n        #set ($enabled = true)\n      #end\n      #if ("$!{disabledUixs}" != '')\n        #set ($hide = !$enabled)\n        #set ($enabled = $enabled && !("$!{disabledUixs.get($uix.id)}" == "true"))\n      #end\n      #set ($required = $uix.getParameters().get("required"))\n      #if ("$!{required}" == "true" || "$!{required}" == "1" || "$!{required}" == "yes")\n        #set ($required = true)\n      #else\n        #set ($required = false)\n      #end\n      #if (!$hide)\n        #set ($r = {\n          'id'      : $uix.id,\n          'type'    : $type,\n          'title'   : $title,\n          'enabled' : $enabled,\n          'required': $required,\n          'doc'     : $uixDoc,\n          'uix'     : $uix\n        })\n        #set ($discard = $results.add($r))\n      #end\n    #end\n  #end\n#end\n\n## ----------------------------------------------------------------------\n## Retrieve and organize the data corresponding to section extensions\n## Place the data in $result\n## See #_formDesigner__getExtensionsData\n## ----------------------------------------------------------------------\n#macro(_formDesigner__getSectionsData $result)#_formDesigner__getExtensionsData('section', 'extensionPointId', $sectionExtensionPointId, $sectionExtensionPointId, $!customConfig.getProperty('sections').value, $result)#end\n\n## ----------------------------------------------------------------------\n## Retrieve and organize the data corresponding to field extensions from a specific section\n## Place the data in $result\n## See #_formDesigner__getExtensionsData\n## ----------------------------------------------------------------------\n#macro(_formDesigner__getFieldsData $extensionPointId $result)#_formDesigner__getExtensionsData('field', 'extensionPointId', $extensionPointId, $extensionPointId, $!customConfig.getProperty('fields').value, $result)#end\n\n## ----------------------------------------------------------------------\n## Global configuration: update extensions\n## ----------------------------------------------------------------------\n#macro(_formDesigner__updateExtensionData $extensionDatum $extensionType $enabledExtensionIds)\n  #if ($request.getParameterMap().containsKey("${extensionType}_${extensionDatum.id}_order") && $request.getParameterMap().containsKey("${extensionType}_${extensionDatum.id}_extensionPointId"))\n    #set ($uixParams = {\n      'enabled'  : $enabledExtensionIds.contains($extensionDatum.id),\n      'required' : "$!request.get(""${extensionType}_${extensionDatum.id}_required"")",\n      'order'    : $request.get("${extensionType}_${extensionDatum.id}_order"),\n      'title'    : ${extensionDatum.title}\n    })\n    #set ($uixModifiedParams = {})\n    #foreach ($param in $uixParams.keySet())\n      #if ("$!{uixParams.get($param)}" != "$!{extensionDatum.uix.parameters.get($param)}")\n        #set ($discard = $uixModifiedParams.put($param, $uixParams.get($param)))\n      #end\n    #end\n    #set ($extPt = $request.get("${extensionType}_${extensionDatum.id}_extensionPointId"))\n    #if ($uixModifiedParams.size() > 0 || $extPt != $extensionDatum.uix.getExtensionPointId())\n      #set ($uixObj = $extensionDatum.doc.getObject($uixClass))\n      #set ($discard = $uixObj.set('extensionPointId', $extPt))\n      #set ($originalParamsBlock = $uixObj.getProperty('parameters').value)\n      #set ($prevParamsBlock = $originalParamsBlock)\n      #set ($newParamsBlock = $originalParamsBlock)\n      #foreach ($param in $uixModifiedParams.keySet())\n        #set ($newParamsBlock = $prevParamsBlock.replaceAll("${param}=.*", "${param}=${uixModifiedParams.get($param)}"))\n        #if ($newParamsBlock == $prevParamsBlock)\n          #set ($newParamsBlock = "${prevParamsBlock}${util.newline}${param}=${uixModifiedParams.get($param)}")\n        #end\n        #set ($prevParamsBlock = $newParamsBlock)\n      #end\n      #set ($discard = $uixObj.set('parameters', $newParamsBlock))\n      #set ($discard = $extensionDatum.doc.save())\n    #end\n  #end\n#end\n\n#macro(_formDesigner__updateExtensions $extensionPointId)\n  #set ($fieldsData = [])\n  #_formDesigner__getFieldsData($extensionPointId $fieldsData)\n  #foreach ($fieldDatum in $fieldsData)\n    #_formDesigner__updateExtensionData($fieldDatum 'fields' $fields)\n  #end\n#end\n\n#if ($request.form_token && $services.csrf.isTokenValid("$!{request.form_token}"))\n  ## =====================================================================\n  ## PROCESS SUBMITTED DATA\n  ## =====================================================================\n  #if ($hasAdmin && "$!{request.create_extension}" != '' && "$!{request.extension_name}" != '' && "$!{request.extension_id}" != '')\n    ## ----------------------------------------------------------------------\n    ## Create new section\n    ## ----------------------------------------------------------------------\n    #set ($uixName = "${sectionUixNamePrefix}$!{request.extension_id}")\n    #set ($uixFullName = "${uixSpace}.${uixName}")\n    #set ($uixDoc = $xwiki.getDocument($uixFullName))\n    #set ($discard = $uixDoc.setTitle("$!{request.extension_name}"))\n    #set ($uixObj = $uixDoc.getObject($uixClass, true))\n    #set ($discard = $uixObj.set('name', "${fieldExtensionPointIdPrefix}$!{request.extension_id}"))\n    #set ($discard = $uixObj.set('extensionPointId', $sectionExtensionPointId))\n    #set ($discard = $uixDoc.save())\n    $response.sendRedirect($xwiki.getURL('PhenoTips.FormDesigner', 'get', "showsection=$!{request.extension_id}"))\n    #break\n  #elseif ($hasAdmin && "$!{request.update_extensions}" != '')\n    ## ----------------------------------------------------------------------\n    ## Process form designer data\n    ## ----------------------------------------------------------------------\n    #set ($sections = $request.getParameterValues('sections'))\n    #set ($fields = $request.getParameterValues('fields'))\n\n    #set ($sectionsData = [])\n    #_formDesigner__getSectionsData($sectionsData)\n    #foreach ($sectionDatum in $sectionsData)\n      #_formDesigner__updateExtensionData($sectionDatum 'sections' $sections)\n      #_formDesigner__updateExtensions($sectionDatum.id)\n    #end\n    #_formDesigner__updateExtensions("${fieldExtensionPointIdPrefix}none")\n  #end## create or update\n#end## CSRF token is valid\n\n## =====================================================================\n## FORM DESIGNER: VARIABLES AND MACROS FOR DISPLAYING THE DESIGNER\n## =====================================================================\n$xwiki.jsfx.use('js/scriptaculous/dragdrop.js')\n$xwiki.ssx.use('PhenoTips.FormDesigner')\n$xwiki.jsx.use('PhenoTips.FormDesigner')\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')\n\n## ----------------------------------------------------------------------\n## Initialize the form parameters\n## ----------------------------------------------------------------------\n#if ($hasEdit)\n  #set ($studyConfig = $doc.getObject('PhenoTips.StudyClass'))\n#end\n#if ("$!{studyConfig}" == '')\n  #set ($globalConfig = $hasAdmin)\n  #set ($prefix = '')\n  #set ($formAction = "$doc.getURL($xcontext.action, $!request.queryString)")\n  #set ($formSubmit = "update_extensions")\n  #set ($formParams = {\n    "update_extensions" : "1",\n    "sections" : "" \n  })\n#else\n  #set ($prefix = "${studyConfig.xWikiClass.name}_${studyConfig.number}_")\n  #set ($formAction = $doc.getURL('save'))\n  #set ($formSubmit = "action_save")\n  #set ($formParams = {\n    "xredirect" : "$doc.getURL($xcontext.action)",\n    "${prefix}sections" : "",\n    "${prefix}fields" : "",\n    "${prefix}mapping" : ""\n  })\n#end\n#if($studyConfig)\n    #set($customConfig = $studyConfig)\n    #if (!$customConfig.getProperty('sections'))\n      $customConfig.getXWikiObject().setDBStringListValue('sections', [])\n    #end\n    #if (!$customConfig.getProperty('fields'))\n      $customConfig.getXWikiObject().setDBStringListValue('fields', [])\n    #end\n#end\n\n## ----------------------------------------------------------------------\n## One tool for handling an extension\n## ----------------------------------------------------------------------\n#macro(_formDesigner__displayExtensionTool $name $icon $hint $url $attrs)<a href="$url" title="$!{hint}" class="extension-tool ${name}" $!{attrs}><i class="fa fa-${icon}"></i></a>#end\n\n## ----------------------------------------------------------------------\n## Toolbox for handling an extension\n## ----------------------------------------------------------------------\n#macro(_formDesigner__displayExtensionTools $extension $tools)\n{{html wiki=false clean=false}}<div class="extension-tools">\n#if ($globalConfig)\n#if ($tools.required)<label class="extension-tool flag" title="$services.localization.render('phenotips.formDesigner.requiredExtension')"><i class="fa fa-asterisk"></i><input type="checkbox" class="uix-required" name="${prefix}${extension.type}s_${extension.id}_required" value="true" #if ($extension.required) checked="true" #end/></label>#end\n#if ($tools.edit)#_formDesigner__displayExtensionTool('edit' 'pencil' "$services.localization.render('phenotips.formDesigner.editExtension')" $extension.doc.getURL('edit', 'editor=object') 'target="_blank"')#end\n#if ($tools.delete)#_formDesigner__displayExtensionTool('delete' 'times' "$services.localization.render('phenotips.formDesigner.deleteExtension')" $extension.doc.getURL('delete') 'target="_blank"')#end\n#end\n#if ($tools.move)#_formDesigner__displayExtensionTool('move' 'arrows' "$services.localization.render('phenotips.formDesigner.moveExtension')" '#')#end\n</div>{{/html}}\n#end\n\n## ----------------------------------------------------------------------\n## Metadata to be sent to the server about an extension\n## ----------------------------------------------------------------------\n#macro(_formDesigner__displayExtensionInputs $extension $fieldName)##\n{{html wiki=false clean=false}}\n<input type="checkbox" class="uix-toggle"   name="$fieldName" value="${extension.id}" #if ($extension.enabled) checked="true" #end/>\n<input type="hidden"   class="uix-pointid"  name="${fieldName}_${extension.id}_extensionPointId" value="${extension.uix.getExtensionPointId()}" />\n<input type="hidden"   class="uix-order"    name="${fieldName}_${extension.id}_order" value="" />\n{{/html}}##\n#end\n\n## ----------------------------------------------------------------------\n## Display one field extension\n## ----------------------------------------------------------------------\n#macro(_formDesigner__displayExtension $extension)\n  #set ($tools = {'required' : true, 'edit' : true, 'move' : true})\n  (% class="extension-maquette #if (!$extension.enabled) disabled #end" id="${extension.id}"%)((((% class="extension-title" %)(((#_formDesigner__displayExtensionInputs($extension "${prefix}fields")$extension.title.replace(")", "~)"))))#_formDesigner__displayExtensionTools($extension $tools))))\n#end\n\n## ----------------------------------------------------------------------\n## Display all extensions of an extension point\n## ----------------------------------------------------------------------\n#macro(_formDesigner__displayExtensions $extensionPointId)\n  #set ($extensionsData = [])\n  #_formDesigner__getFieldsData($extensionPointId, $extensionsData)##\n  #foreach ($extension in $extensionsData)\n    #_formDesigner__displayExtension($extension)\n  #end\n#end\n\n## ----------------------------------------------------------------------\n## Display one section extension \n## ----------------------------------------------------------------------\n#macro(_formDesigner__displaySection $section $showTools)\n(% class="section-maquette #if ($showTools && !$section.enabled) disabled #end" id="${section.id}"%)(((\n  (% class="section-title" %)(((#if ($showTools)#_formDesigner__displayExtensionInputs($section "${prefix}sections")#end $section.title)))\n  #if ($showTools)#set ($tools = {'edit' : true, 'delete' : true, 'move' : true})#_formDesigner__displayExtensionTools($section $tools)#end\n  (% class="section-contents" %)(((#_formDesigner__displayExtensions("${section.id}"))))\n)))\n#end\n\n## ----------------------------------------------------------------------\n## Display section extensions \n## ----------------------------------------------------------------------\n#macro(_formDesigner__displaySections)\n  #set ($sectionsData = [])\n  #_formDesigner__getSectionsData($sectionsData)##\n  #foreach ($section in $sectionsData)\n    #_formDesigner__displaySection($section true)\n  #end\n#end\n\n## ----------------------------------------------------------------------\n## Display the section with a specific id suffix\n## ---------------------------------------------------------------------- \n#macro (_formDesigner__displaySectionWithId $id)\n  #set ($sectionsData = [])\n  #_formDesigner__getExtensionsData('section', 'name', "${sectionExtensionIdPrefix}${id}", $sectionExtensionPointId, $!studyConfig.getProperty('sections').value, $sectionsData)\n  #foreach ($section in $sectionsData)\n    #_formDesigner__displaySection($section true)\n  #end\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ("$!{request.showsection}" != '')\n## =====================================================================\n## SHOW ONE SECTION\n## =====================================================================\n  #_formDesigner__displaySectionWithId("$!{request.showsection}")\n#else\n## =====================================================================\n## SHOW SECTION ADDITION FORM\n## =====================================================================\n#if ($globalConfig)\n{{html clean=false wiki=false}}<form action="$formAction" method="post" class="xformInline" id="create-section-form">\n<h2>Add a form section</h2>\n<div>\n  <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}"/>\n  <input type="hidden" name="create_extension" value="1"/>\n  <input type="hidden" name="xredirect" value="$doc.getURL('get', 'showsection=')"/>\n  <input type="text" name="extension_id" value="" placeholder="$services.localization.render('phenotips.formDesigner.sectionID.placeholder')" title="$services.localization.render('phenotips.formDesigner.sectionID.title')" size="32"/>\n  <input type="text" name="extension_name" value="" placeholder="$services.localization.render('phenotips.formDesigner.sectionTitle.placeholder')" size="32"/>\n  <input class="button" type="button" name="create_extension" value="$services.localization.render('phenotips.formDesigner.createButton')"/>\n</div></form>{{/html}}\n\n#end\n## =====================================================================\n## SHOW FORM DESIGNER\n## =====================================================================\n#if ($globalConfig || $studyConfig)\n## ----------------------------------------------------------------------\n## Display the configuration form if the user has permissions\n## ----------------------------------------------------------------------\n{{html clean=false wiki=false}}<form action="$formAction" method="post">{{/html}}\n(% id="patient-form-designer" #if ($globalConfig) class="global" #end%)(((\n(% class="designer-panel sections" %)(((\n#_formDesigner__displaySections()\n#if ($globalConfig)\n(% id="new-section" class="new-section xformInline" %)((((% class="section-title" %)((($services.localization.render('phenotips.formDesigner.newSection')))){{html clean=false wiki=false}}\n  <input type="text" name="extension_id" value="" placeholder="$escapetool.xml($services.localization.render('phenotips.formDesigner.sectionID.placeholder'))" title="$services.localization.render('phenotips.formDesigner.sectionID.title')" size="32"/>\n  <input type="text" name="extension_name" value="" placeholder="$escapetool.xml($services.localization.render('phenotips.formDesigner.sectionTitle.placeholder'))" size="32"/>\n  <input class="button" type="button" name="${formSubmit}" value="$escapetool.xml($services.localization.render('phenotips.formDesigner.createButton'))"/>{{/html}}\n)))## new section\n#end\n)))\n##\n#if ($globalConfig)\n##\n## Only enable reorganization for global config\n##\n(% class="designer-panel hint" %)((($services.localization.render('phenotips.formDesigner.dragDrop.hint'))))\n(% class="designer-panel extensions" %)(((\n#set ($defaultSectionData = {\n  "id" : "${fieldExtensionPointIdPrefix}none",\n  "title" : "$services.localization.render('phenotips.formDesigner.availableInfo')",\n  "enabled" : true\n})\n#_formDesigner__displaySection($defaultSectionData false)\n)))\n#elseif ($studyConfig)\n##\n## Enable mapping configuration as well\n##\n(% class="mappingPreviewContainer" %)(((\n== $services.localization.render('phenotips.formDesigner.defaultPhenotypes.heading') ==\n\n{{info}}$services.localization.render('phenotips.formDesigner.defaultPhenotypes.info'){{/info}}\n; $services.localization.render('phenotips.formDesigner.configurationDocs.title')\n: (((\n{{html clean=false wiki=false}}<label class="xwiki-form-listclass default" for="xwiki-form-mapping-0-default"><input id="xwiki-form-mapping-0-default" type="radio" name="${prefix}mapping" value="" #if ("$!{studyConfig.getProperty('mapping').value}" == '') checked="checked" #end/>$services.localization.render('phenotips.formDesigner.defaultPhenotypes.defaultOption')</label>{{/html}}\n$doc.display('mapping', 'edit')\n)))\n\n(% class="hint under" %)((($services.localization.render('phenotips.formDesigner.preview'))))\n\n(% id="mappingPreview"%)((()))\n)))\n$xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.Widgets', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.PatientSheetCode', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.PhenotypeMappingPreview', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.jsx.use('PhenoTips.PhenotypeMappingPreview')##\n##\n##\n#end\n(% class="clearfloats" %)((()))\n)))\n{{html clean=false wiki=false}}\n<div class="hidden">\n  <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}"/>\n#foreach ($p in $formParams.keySet())\n  <input type="hidden" name="$p" value="$formParams.get($p)"/>\n#end\n</div>\n<div class="buttons">\n <input class="button" type="submit" name="${formSubmit}" value="$services.localization.render('phenotips.formDesigner.save')"/>\n</div>\n</form>{{/html}}\n#else\n{{warning}}$services.localization.render('phenotips.formDesigner.noPermissionWarning'){{/warning}}\n#end\n#end\n{{/velocity}}\n	1.1		PhenoTips.DBWebHomeSheet		2			Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	f	xwiki/2.1	t
4451549438991456898	PhenoTips.HPOBranchDisplayer	HPOBranchDisplayer				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n$xwiki.ssx.use('PhenoTips.HPOBranchDisplayer')##\n$xwiki.jsx.use('PhenoTips.HPOBranchDisplayer')##\n#if ($xcontext.action == 'edit')\n#set ($firstLevel = true)\n##\n##\n#macro (_displayItem $itemId $itemName $itemData)\n  #if ($field.getProperty('multiSelect').value == 1)\n    #set ($inputType = 'checkbox')\n  #else\n    #set ($inputType = 'radio')\n  #end\n  <input type="$inputType" id="${prefix}${name}_${itemId}" #if("$!{value}" == $itemId || $!{value.contains($itemId)})checked="checked"#end name="${prefix}${name}" value="${itemId}" title="${itemName}"/><label for="${prefix}${name}_${itemId}" title="$!{itemName}$!{util.newline}$!{itemData.def}">${itemName}</label>\n#if("$!{itemData}" != '')\n  <span class="fa fa-info-circle phenotype-qualifier-info xHelpButton" title="${itemId}"></span>\n#end\n#end\n##\n##\n#macro (_displayChildren $rootId)\n  #set ($term = $services.vocabularies.resolveTerm($rootId))\n  #set($childrenList = $services.vocabularies.hpo.search({'is_a': $term.id}))\n  #if ($childrenList.size() > 0)\n  <ul>\n  #if($firstLevel)\n    #set($firstLevel = false)\n    #if($field.getProperty('multiSelect').value != 1)\n      <li class="hpo-unknown"><span class="expand-tool locked disabled">▼</span>#_displayItem('', 'Unknown')</li>\n    #end\n  #end\n  #set($macro.childrenMap = {})\n  #foreach($item in $childrenList)\n    #set ($discard = $macro.childrenMap.put($item.id, $item))\n  #end\n  #foreach($orderedItemId in $order)\n    #set ($foreach.item = $macro.childrenMap.get($orderedItemId))\n    #if ("$!{foreach.item}" != '' && "$!foreach.item.id" != '')\n      #set ($childrenHtml = "#_displayChildren($foreach.item.id)")\n      #if ("$childrenHtml" != "")\n        #set ($childrenExpandSymbol = '<span class="expand-tool locked">▼</span>')\n      #else\n        #set ($childrenExpandSymbol = '<span class="expand-tool locked disabled">▼</span>')\n      #end\n      <li class="term-entry">$!childrenExpandSymbol#_displayItem("${foreach.item.id}", "${foreach.item.name}", $foreach.item)$!childrenHtml</li>\n    #end\n  #end\n  </ul>\n  #end\n#end\n\n#if ($startWith && $order)\n{{html wiki=false clean=false}}\n<div class="hpo-branch">\n#_displayChildren($startWith)\n#if($field.getProperty('multiSelect').value == 1)\n  <input type='hidden' name="${prefix}${name}" value='' checked='checked'/>\n#end\n</div>\n{{/html}}\n#end\n#else\n  #if ($field.getProperty('multiSelect').value == 1)\n    #foreach($id in $value)\n      $!services.vocabularies.resolveTerm($id).name\n    #end\n  #elseif ("$!{value}" != '')\n    $!services.vocabularies.resolveTerm($value).name\n  #end\n#end\n{{/velocity}}\n	1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	f	xwiki/2.1	t
5391824536512881912	PhenoTips.Generic phenotype configuration	Generic phenotype configuration	$services.localization.render('phenotips.genericPhenotypeConfig.title')			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:31	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{\n"phenotype"  :[\n  {\n    "type"       : "section",\n    "title"      : "Growth parameters",\n    "categories" : ["HP:0001507", "HP:0000240"],\n    "data"       : [\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0004323",\n        "group_type" : "single-select",\n        "title"  : "Weight for age",\n        "data"   : [\n          {"id"  : "HP:0004325", "title" : "Decreased body weight (<-2SD)"},\n          {"id"  : "HP:0004324", "title" : "Increased body weight (>+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000002",\n        "group_type" : "single-select",\n        "title"  : "Stature for age",\n        "data"   : [\n          {"id"  : "HP:0004322", "title" : "Short stature (<-2SD)"},\n          {"id"  : "HP:0000098", "title" : "Tall stature (>+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000240",\n        "group_type" : "single-select",\n        "title"  : "Head circumference for age",\n        "data"   : [\n          {"id"  : "HP:0000252", "title" : "Microcephaly (<-3SD)"},\n          {"id"  : "HP:0000256", "title" : "Macrocephaly (>+2SD)"}\n        ]\n      },\n      {"id" : "HP:0001508"},\n      {"id" : "HP:0001528"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Craniofacial",\n    "categories" : ["HP:0000152"],\n    "data"       : [\n        {"id" : "HP:0001363"},\n        {"id" : "HP:0000204"},\n        {"id" : "HP:0000175"},\n        {"id" : "HP:0001999"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Eye Defects",\n    "categories" : ["HP:0000478"],\n    "data"       : [\n        {"id" : "HP:0000505"},\n        {"id" : "HP:0000481"},\n        {"id" : "HP:0000589"},\n        {"id" : "HP:0000593"},\n        {"id" : "HP:0000518"},\n        {"id" : "HP:0000479"},\n        {"id" : "HP:0000587"},\n        {"id" : "HP:0000568"},\n        {"id" : "HP:0000639"},\n        {"id" : "HP:0000486"},\n        {"id" : "HP:0000601"},\n        {"id" : "HP:0000316"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Ear Defects",\n    "categories" : ["HP:0000598"],\n    "data"       : [\n        {\n           "type"  : "subsection",\n           "id"    : "HP:0000365",\n           "title" : "Deafness",\n           "data"  : [\n               {"id" : "HP:0000407", "title" : "Sensorineural"},\n               {"id" : "HP:0000405", "title" : "Conductive"}\n           ]\n        },\n        {"id" : "HP:0004467"},\n        {"id" : "HP:0000384"},\n        {"id" : "HP:0000356"},\n        {"id" : "HP:0000359"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Cutaneous",\n    "categories" : ["HP:0001574"],\n    "data"       : [\n        {"id" : "HP:0000953"},\n        {"id" : "HP:0001010"},\n        {"id" : "HP:0005306"},\n        {"id" : "HP:0011276"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Cardiovascular",\n    "categories" : ["HP:0001626"],\n    "data"       : [\n        {"id" : "HP:0001631"},\n        {"id" : "HP:0001629"},\n        {"id" : "HP:0001674"},\n        {"id" : "HP:0001680"},\n        {"id" : "HP:0001636"},\n        {"id" : "HP:0001638"},\n        {"id" : "HP:0011675"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Respiratory",\n    "categories" : ["HP:0002086", "HP:0000765"],\n    "data"       : [\n        {"id" : "HP:0000776"},\n        {"id" : "HP:0002088"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Musculoskeletal",\n    "categories" : ["HP:0000924", "HP:0003011", "HP:0040064"],\n    "data"       : [\n        {"id" : "HP:0002652"},\n        {"id" : "HP:0002659"},\n        {"id" : "HP:0009816"},\n        {"id" : "HP:0009824"},\n\n        {\n           "type"  : "subsection",\n           "title" : "Camptodactyly",\n           "data"  : [\n               {"id" : "HP:0100490", "title" : "Finger"},\n               {"id" : "HP:0001836", "title" : "Toe"}\n           ]\n        },\n        {\n           "type"  : "subsection",\n           "title" : "Syndactyly",\n           "data"  : [\n               {"id" : "HP:0006101", "title" : "Finger"},\n               {"id" : "HP:0001770", "title" : "Toe"}\n           ]\n        },\n        {\n           "type"  : "subsection",\n           "title" : "Polydactyly",\n           "data"  : [\n               {"id" : "HP:0100258", "title" : "Preaxial"},\n               {"id" : "HP:0100259", "title" : "Postaxial"}\n           ]\n        },\n        {\n           "type"  : "subsection",\n           "title" : "Oligodactyly",\n           "data"  : [\n               {"id" : "HP:0001180", "title" : "Hands"},\n               {"id" : "HP:0001849", "title" : "Feet"}\n           ]\n        },\n\n        {"id" : "HP:0002650"},\n        {"id" : "HP:0000925"},\n        {"id" : "HP:0001371"},\n        {"id" : "HP:0001762"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Gastrointestinal",\n    "categories" : ["HP:0011024"],\n    "data"       : [\n        {"id" : "HP:0002032"},\n        {"id" : "HP:0002575"},\n        {"id" : "HP:0001543"},\n        {"id" : "HP:0001539"},\n        {"id" : "HP:0002251"},\n        {"id" : "HP:0001396"},\n        {"id" : "HP:0002910"},\n        {"id" : "HP:0001738"},\n        {"id" : "HP:0000819"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Genitourinary",\n    "categories" : ["HP:0000119"],\n    "data"       : [\n        {"id" : "HP:0000107"},\n        {"id" : "HP:0000085"},\n        {"id" : "HP:0000069"},\n        {"id" : "HP:0000795"},\n        {"id" : "HP:0000062"},\n        {"id" : "HP:0000047"},\n        {"id" : "HP:0000028"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Behavior, Cognition and Development",\n    "categories" : ["HP:0011446"],\n    "data"       : [\n        {"id" : "HP:0001263"},\n        {"id" : "HP:0010862"},\n        {"id" : "HP:0002194"},\n        {"id" : "HP:0000750"},\n        {"id" : "HP:0001328"},\n        {\n           "type"  : "subsection",\n           "id"    : "HP:0001249",\n           "group_type" : "single-select",\n           "title" : "Intellectual disability",\n           "data"  : [\n               {"id" : "HP:0001256", "title" : "Mild"},\n               {"id" : "HP:0002342", "title" : "Moderate"},\n               {"id" : "HP:0010864", "title" : "Severe"}\n           ]\n        },\n        {"id" : "HP:0007018"},\n        {"id" : "HP:0000717"},\n        {"id" : "HP:0000708"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neurological",\n    "categories" : ["HP:0000707"],\n    "data"       : [\n        {"id" : "HP:0001290"},\n        {"id" : "HP:0001250"},\n        {"id" : "HP:0001251"},\n        {"id" : "HP:0001332"},\n        {"id" : "HP:0002072"},\n        {"id" : "HP:0001257"},\n        {"id" : "HP:0010301"},\n        {"id" : "HP:0002011"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Other",\n    "categories" : ["HP:0000118"],\n    "data"       : []\n  }\n],\n\n"prenatal_phenotype": [\n  {\n    "type"       : "section",\n    "title"      : "Pregnancy history",\n    "categories" : ["HP:0002686"],\n    "data"       : [\n      {"id"      : "HP:0012188", "title" : "Hyperemesis gravidarum (excessive vomiting)"},\n      {"id"      : "HP:0008071"},\n      {"id"      : "HP:0009800"},\n      {"id"      : "HP:0030244"},\n      {"id"      : "HP:0100622"},\n      {"id"      : "HP:0011438"},\n      {"id"      : "HP:0100603"},\n      {"id"      : "HP:0011436"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Prenatal development",\n    "categories" : ["HP:0001197", "HP:0001511"],\n    "data"       : [\n      {"id"      : "HP:0001511"},\n      {"id"      : "HP:0001562"},\n      {"id"      : "HP:0001561"},\n      {"id"      : "HP:0001558"},\n      {"id"      : "HP:0010519"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Delivery",\n    "categories" : ["HP:0001787"],\n    "data"       : [\n      {\n        "type"  : "conditionalSubsection",\n        "id"    : "HP:0001787",\n        "group_type" : "multi-select",\n        "title" : "Abnormal delivery (Non-NSVD)",\n        "data"  : [\n          {"id" : "HP:0030365"},\n          {"id" : "HP:0030369"},\n          {"id" : "HP:0001623"},\n          {"id" : "HP:0011410"},\n          {"id" : "HP:0011411"},\n          {"id" : "HP:0011412"},\n          {"id" : "HP:0030366"},\n          {"id" : "HP:0005268"}\n        ]\n      },\n      {"id" : "HP:0001622"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neonatal growth parameters",\n    "categories" : ["HP:0001507", "HP:0000240"],\n    "data"       : [\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0004323",\n        "group_type" : "single-select",\n        "title"  : "Abnormal birth weight",\n        "data"   : [\n          {"id"  : "HP:0001518", "title" : "Small for gestational age (<-2SD)"},\n          {"id"  : "HP:0001520", "title" : "Large for gestational age (>+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000002",\n        "group_type" : "single-select",\n        "title"  : "Abnormal birth length",\n        "data"   : [\n          {"id"  : "HP:0003561", "title" : "Small birth length (<-2SD)"},\n          {"id"  : "HP:0003517", "title" : "Large birth length (>+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000240",\n        "group_type" : "single-select",\n        "title"  : "Abnormal head circumference at birth",\n        "data"   : [\n          {"id"  : "HP:0011451", "title" : "Congenital microcephaly (<-3SD)"},\n          {"id"  : "HP:0004488", "title" : "Congenital macrocephaly (>+2SD)"}\n        ]\n      }\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Perinatal complications",\n    "categories" : ["HP:0000118"],\n    "data"       : [\n      {"id" : "HP:0002643"},\n      {"id" : "HP:0006579"},\n      {"id" : "HP:0002033"},\n      {"id" : "HP:0001998"},\n      {"id" : "HP:0040187"}\n    ]\n  }\n]\n\n}	1.1		data.WebHome		2			Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	f	xwiki/2.1	t
3461601376211112187	PhenoTips.PhenotypeMappingSheet	PhenotypeMappingSheet				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:31	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action == 'edit')\n{{html wiki=true}}\n; $services.localization.render('phenotips.phenotypeMappingSheet.title')\n: <input type="text" name="title" value="$!doc.title"/>\n; $services.localization.render('phenotips.phenotypeMappingSheet.description')\n: $doc.display('description')\n; $services.localization.render('phenotips.phenotypeMappingSheet.mapping')\n: <textarea name="content" rows="20" cols="80">{{html wiki="false" clean="false"}}$!escapetool.html($doc.content){{/html}}</textarea>\n{{/html}}\n#else\n#if ("$!doc.display('description').trim()" != '')\n{{box cssClass="plainmessage"}}\n$!doc.display('description')\n{{/box}}\n#end\n\n{{include reference="PhenoTips.PhenotypeMappingPreview" /}}\n#end\n{{/velocity}}\n	1.1		PhenoTips.PhenotypeMappingClass		0			Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	f	xwiki/2.1	t
8926338371618997568	PhenoTips.OmimInfoService	OmimInfoService	OmimInfoService			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-08-28 15:46:12	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action != 'get')\n  **Usage**: //http[s]:~/~/<hostname>[:<port>]/<appname>/bin/get/PhenoTips/OmimInfoService?id=<MIM number>//\n  Example: [[https://playground.phenotips.org/bin/get/PhenoTips/OmimInfoService?id=190685]]\n  #break\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#if ("$!request.id" != '')\n  #set ($term = $services.vocabularies.omim.getTerm($request.id))\n#else\n  $response.setStatus(400)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Disease id not provided."})\n  #break\n#end\n#if (!$term)\n  $response.setStatus(404)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Disease not found."})\n  #break\n#end\n\n#set ($names = $term.name.split('\\s*;;\\s*'))\n#set ($symptoms = [])\n#foreach ($s in $term.actual_symptom)\n  #set ($discard = $symptoms.add({'id' : $s, 'label' : $services.vocabularies.resolveTerm($s).name}))\n#end\n#set ($not_symptoms = [])\n#foreach ($s in $term.actual_not_symptom)\n  #set ($discard = $not_symptoms.add({'id' : $s, 'label' : $services.vocabularies.resolveTerm($s).name}))\n#end\n\n#set ($result = {\n  'id' : "$!term.id",\n  'label' : $names,\n  'symptoms' : $symptoms,\n  'not_symptoms' : $not_symptoms,\n  'gene_reviews_link' : "$!term.get('gene_reviews_link')"\n})\n$response.setContentType('application/json')\n$jsontool.serialize($result)\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:vocabulary-omim-ui-1.2.6]	f	xwiki/2.1	t
6131543231115299615	PhenoTips.GeneNameService	GeneNameService				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:31	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action == 'get')\n  $response.setContentType('application/json')##\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#set ($max = 10)\n#if ("$!request.max" != '')\n  #set ($max = $mathtool.toInteger($request.max))\n#end\n#if ($request.getParameterValues('g'))\n  #set ($results = {})\n  #foreach ($i in $request.getParameterValues('g'))\n    #if ("$!i" != '')\n      #set ($term = $services.vocabularies.hgnc.getTerm($i))\n      #if ($term)\n        #set ($result = {\n          'symbol' : $term.symbol,\n          'external_ids' : {'genecards_id' :  $term.symbol}\n        })\n        #if ($term.alias_symbol)\n          #set ($result.alias_symbol = $term.alias_symbol)\n        #end\n        #if ($term.prev_symbol)\n          #set ($result.prev_symbol = $term.prev_symbol)\n        #end\n        #if ($term.gene_family)\n          #set ($result.gene_family = $term.gene_family)\n        #end\n        #foreach ($externalTerm in ['omim_id', 'entrez_id', 'refseq_accession', 'ensembl_gene_id'])\n          #if ($term.get($externalTerm))\n            #set ($discard = $result.external_ids.put($externalTerm, $term.get($externalTerm)))\n          #end\n        #end\n        #set ($discard = $results.put($i, $result))\n      #end\n    #end\n  #end\n  #if ($results.isEmpty())\n    {"error": "Gene not found."}\n  #else\n    $jsontool.serialize({"response": $results})\n  #end\n#elseif ("$!request.q" != '')\n  #set ($terms = $services.vocabularies.hgnc.search("${request.q}", $max, "", ""))\n  #set ($result = {'numReturned' : $terms.size(), 'docs': []})\n  #foreach ($term in $terms)\n    #set ($discard = $result.docs.add({'symbol' : $term.symbol}))\n  #end\n  $jsontool.serialize($result)\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}	1.1		PhenoTips.InvestigationClass		0			Install extension [org.phenotips:vocabulary-hgnc-ui-1.2.6]	f	xwiki/2.1	t
-7850525546062707861	PhenoTips.GeneInfoService	GeneInfoService				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-08-29 13:59:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action != 'get')\n  **Usage**: //http[s]:~/~/<hostname>[:<port>]/<appname>/bin/get/PhenoTips/GeneInfoService?id=<HGNC approved gene symbol>//\n  Example: [[http://playground.phenotips.org/bin/get/PhenoTips/GeneInfoService?id=BRCA1]]\n  #break\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#if ("$!request.id" != '')\n  #set ($term = $services.vocabularies.hgnc.getTerm($request.id))\n#else\n  $response.setStatus(400)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Gene symbol not provided."})\n  #break\n#end\n#if (!$term)\n  $response.setStatus(404)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Gene not found."})\n  #break\n#end\n\n#set ($result = {\n  'symbol' : $term.symbol,\n  'name' : $term.name,\n  'external_ids' : {'genecards_id' :  $term.symbol}\n})\n#if ($term.alias_symbol)\n  #set ($result.alias_symbol = $term.alias_symbol)\n#end\n#if ($term.prev_symbol)\n  #set ($result.prev_symbol = $term.prev_symbol)\n#end\n#if ($term.gene_family)\n  #set ($result.gene_family = $term.gene_family)\n#end\n#foreach ($externalTerm in ['omim_id', 'entrez_id', 'refseq_accession', 'ensembl_gene_id'])\n  #if ($term.get($externalTerm))\n    #set ($discard = $result.external_ids.put($externalTerm, $term.get($externalTerm)))\n  #end\n#end\n$response.setContentType('application/json')\n$jsontool.serialize($result)\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}	1.1		PhenoTips.GeneNameService		0			Install extension [org.phenotips:vocabulary-hgnc-ui-1.2.6]	f	xwiki/2.1	t
6914115043436760758	PhenoTips.SolrService	SolrService				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:16	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}{{html clean="false"}}\n#if ($xcontext.action == 'get')\n  #set ($results = [])\n  #if ("$!{request.q}" != '')\n    #set ($vocabulary = "$!{request.vocabulary}")\n    #if ($vocabulary == '')\n      #set ($vocabulary = 'hpo')\n    #end\n    #set ($rows = 10)\n    #if ("$!{request.rows}" != '')\n      #set ($rows = $numbertool.toNumber($!{request.rows}))\n    #end\n    #set ($results = $services.vocabularies.get($vocabulary).search($!{request.q}, $rows, "$!{request.sort}", "$!{request.fq}"))\n  #end\n$response.setContentType('application/json')\n{\n   "returnedrows" : "$results.size()",\n   "rows" : [\n#foreach ($result in $results)\n  $result.toJSON()\n  #if($foreach.hasNext()),#end\n#end\n  ]## docs array\n}\n#end## Done handling get action\n{{/html}}{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:solr-access-service-ui-1.2.6]	f	xwiki/2.1	t
1462980033326924549	PhenoTips.UIX_Field__multiple_gestation	UIX_Field__multiple_gestation	$services.localization.render('phenotips.UIXField.multipleGestation')			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2015-07-18 13:12:06	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-3802000955759503526	PhenoTips.UIX_Field__charts-exported	UIX_Field__charts-exported	$services.localization.render('phenotips.UIXField.growthChartsExported')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-790759204696423341	PhenoTips.PatientSheetCode	PatientSheetCode				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:31	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-2713736205947837559	PhenoTips.DiffDiagnosisService	DiffDiagnosisService				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity filter="indent"}}\n#if ($xcontext.action == 'get')\n  $response.setHeader("X-ReqNo", "$!request.reqNo")##\n  #if ("$!request.symptom" != '')##\n    #set ($_service = $services.omim)\n    #set ($limit = $mathtool.toInteger("$!{request.limit}"))\n    #if (!$limit || $limit < 0)\n      #set ($limit = 6)\n    #end\n    #set($page = $mathtool.toInteger("$!{request.page}"))\n    #if (!$page || $page < 0)\n      #set ($page = 1)\n    #end\n    #set ($data = $collectionstool.set)\n    #foreach($i in $request.getParameterValues('symptom'))\n      #set ($discard = $data.add($i))\n    #end\n    #set ($ndata = $collectionstool.set)\n    #foreach($i in $request.getParameterValues('not_symptom'))\n      #set ($discard = $ndata.add($i))\n    #end\n    #if ("$!{request.format}" == 'html')\n      ## Fetch 1 extra result to determine whether to display a next page token\n      #set ($resultsToFetch = $limit * $page + 1)\n      #set ($results = $_service.getDifferentialPhenotypes($data, $ndata, $resultsToFetch))\n      #if ($results.size() > 0)\n        ##paginate results\n        #set ($from = ($page - 1) * $limit)\n        #if ($from >= $results.size())\n          #set ($from = $results.size() - 1)\n        #end\n        #set ($to = $page * $limit)\n        #if ($to >= $results.size())\n          #set ($to = $results.size())\n        #end\n        #set ($pagedResults = $results.subList($from, $to))\n        {{html clean="false"  wiki="false"}}##\n        ##Add previous arrow if neccessary\n        #if ($page > 1)\n          #set ($previousPage = $page - 1)\n          <span class="fa fa-chevron-left navigation"><input type="hidden" value="$previousPage"/></span>\n        #end\n        <ul>\n        #foreach ($item in $pagedResults)\n          #if ("$!item.id"!= '' && "$!item.name" != '')\n            <li class="phenotype">\n              <span class="id" title="${item.id}">[${item.id}]</span>\n              <span class="title">${item.name}</span>\n              <span class="hidden term-category">\n              #foreach ($c in $services.vocabularies.resolveTerm($item.id).get('term_category'))\n                <input type="hidden" value="$c">\n              #end\n              </span>\n            </li>\n          #end\n        #end## foreach item\n        </ul>\n        ##Only display a next arrow if enough results were returned\n        #if ($resultsToFetch == $results.size())\n          #set ($nextPage = $page + 1)\n          <span class="fa fa-chevron-right navigation"><input type="hidden" value="$nextPage"/></span>\n        #end\n        {{/html}}\n        #set ($hasOutput = true)\n      #else\n        #set ($hasOutput = false)\n      #end## results.size() > 0\n    #end## html format\n  #else\n    #set ($hasOutput = false)\n  #end## non-empty query\n#end## get action\n##\n#if (!$hasOutput)\n(% class="hint" %)$services.localization.render('phenotips.solrAccessService.noMatches')\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:solr-access-service-ui-1.2.6]	f	xwiki/2.1	t
3357994229900402774	PhenoTips.OmimPredictService	OmimPredictService				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:16	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity filter="indent"}}\n#if ($xcontext.action == 'get')\n  $response.setHeader("X-ReqNo", "$!request.reqNo")##\n  #if ("$!request.q" != '')##\n    #set ($_service = $services.omim)\n    #set ($limit = $mathtool.toInteger("$!{request.limit}"))\n    #if (!$limit || $limit < 0)\n      #set ($limit = 20)\n    #end\n    #set ($data = [])\n    #set ($ancestors = $collectionstool.set)\n    #set ($negativeAncestors = $collectionstool.set)\n    #foreach ($piece in $!request.getParameterValues('symptom'))\n      #set ($discard = $data.add("symptom:${piece.replaceAll(':', '\\\\:')}"))\n      #set ($discard = $ancestors.addAll($services.vocabularies.resolveTerm($piece).get('term_category')))\n    #end\n    #foreach ($piece in $!request.getParameterValues('not_symptom'))\n      #set ($discard = $data.add("not_symptom:${piece.replaceAll(':', '\\\\:')}"))\n      #set ($discard = $negativeAncestors.addAll($services.vocabularies.resolveTerm($piece).get('term_category')))\n    #end\n    #set ($discard = $negativeAncestors.removeAll($ancestors))\n    #if ($!request.getParameterValues('not_symptom'))\n      #set ($discard = $negativeAncestors.removeAll($!request.getParameterValues('not_symptom')))\n    #end\n    #if ($!request.getParameterValues('symptom'))\n      #set ($discard = $ancestors.removeAll($!request.getParameterValues('symptom')))\n    #end\n    #foreach ($piece in $ancestors)\n      #set ($discard = $data.add("symptom:${piece.replaceAll(':', '\\\\:')}^0.3"))\n    #end\n    #foreach ($piece in $negativeAncestors)\n      #set ($discard = $data.add("not_symptom:${piece.replaceAll(':', '\\\\:')}^0.3"))\n    #end\n    #foreach ($piece in $!request.getParameterValues('free_symptom'))\n      #set($discard = $data.add("text:""${piece}"""))\n    #end\n    #set ($discard = $data.add('-nameSort:\\** -nameSort:\\+* -nameSort:\\^*'))\n    #if ("$!{request.format}" == 'html')\n#set ($results = $_service.search($stringtool.join($data, ' '), $limit, 0))\n#if ($results.size() > 0)\n{{html clean="false"  wiki="false"}}##\n<ul>\n#foreach($item in $results)\n    #if ("$!item.id"!= '' && "$!item.name" != '')\n    #set ($indexOfSeparator = $item.name.indexOf(';'))\n    #if ($indexOfSeparator > 0)\n      #set($shortName = $item.name.substring(0, $indexOfSeparator))\n      #set($fullName = $item.name.replaceAll(';;', ';'))\n    #else\n      #set($shortName = $item.name)\n      #set($fullName = $item.name)\n    #end\n  <li class="disorder">\n    <span class="id hidden" title="${item.id}">[MIM:#if("$!item.Oid"!= '')${item.Oid}#else${item.id}#end]</span>\n    <span class="title" title="${fullName}">${shortName}</span>\n    #if ("$!item.Locus" != '')<span class="locus">(Locus: ${item.Locus})</span>#end\n  </li>\n  #end\n#end## foreach item\n</ul>\n{{/html}}\n   #set ($hasOutput = true)\n#else\n   #set ($hasOutput = false)\n#end## results.size() > 0\n    #end## html format\n  #else\n    #set ($hasOutput = false)\n  #end## non-empty query\n#end## get action\n##\n#if (!$hasOutput)\n(% class="hint" %)$services.localization.render('phenotips.solrAccessService.noMatches')\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:solr-access-service-ui-1.2.6]	f	xwiki/2.1	t
-4433358711190139539	PhenoTips.OmimService	OmimService				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:39	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity filter="indent"}}\n#if ($xcontext.action == 'get' && "$!request.q" != '')##\n  #set ($_service = $services.omim)\n  #if ("$!{request.defType}" != '')\n    #set ($parameters = {})\n    #foreach ($param in $request.parameterMap.entrySet())\n      #set ($foreach.value = '')\n      #foreach ($value in $param.value)\n        #set ($foreach.parent.value = $foreach.parent.value.concat($value))\n      #end\n      #set ($discard = $parameters.put($param.key, $foreach.value))\n    #end\n    #set ($results = $_service.customSearch($parameters))\n  #else\n    #set ($rows = 20)\n    #if ("$!request.rows" != '')\n      #set ($rows = $mathtool.toInteger($request.rows))\n    #end\n    #set ($start = 0)\n    #if ("$!request.start" != '')\n      #set ($start = $mathtool.toInteger($request.start))\n    #end\n    #set ($results = $_service.search("$!request.q", "$!request.sort", $rows, $start))\n  #end\n  #foreach($item in $results)\n    #if ("$!item.id"!= '' && "$!item.name" != '')\n      #set ($indexOfSeparator = $item.name.indexOf(';'))\n      #if ($indexOfSeparator > 0)\n        #set($item.name = $item.name.substring(0, $indexOfSeparator))\n      #end\n    #end\n  #end\n  #if ("$!{request.format}" == 'html')\n$response.setHeader("X-ReqNo", "$!request.reqNo")##\n{{html clean="false"  wiki="false"}}##\n#if ($results.size() > 0)\n<ul>\n#foreach($item in $results)\n  #if ("$!item.id"!= '' && "$!item.name" != '')\n  <li class="disorder">\n    <span class="id" title="${item.id}">[#if("$!item.Oid"!= '')${item.Oid}#else${item.id}#end]</span>\n    <span class="title"><a href="http://www.omim.org/entry/${item.id}" target="_blank" title="$services.localization.render('phenotips.omimService.linkToOMIMDisorder.title')">${item.name}</a></span>\n    #if ("$!item.Locus" != '')<span class="locus">(Locus: ${item.Locus})</span>#end\n  </li>\n  #end\n#end## foreach item\n</ul>\n#else\n<div class="hint">$services.localization.render('phenotips.solrAccessService.noMatches')</div>\n#end\n  {{/html}}\n  #else\n    $response.setContentType('application/json')\n    #set ($result = {\n      "returnedrows" : "$results.size()",\n      "rows" : $results\n    })\n    #if ("$!request.reqNo" != '')\n      #set ($discard = $result.put("reqNo", $!{request.reqNo}))\n    #end\n    $jsontool.serialize($result)\n  #end\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:solr-access-service-ui-1.2.6]	f	xwiki/2.1	t
2747223513788115887	PhenoTips.OmimDisplay	OmimDisplay	OmimDisplay			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action == 'edit')\n  {{html wiki=false clean=false}}\n  <div class="custom-display-data">\n  #foreach ($val in $value)\n    #set($entryName = "$!{services.vocabularies.omim.getTerm($val).name}")\n    <label class="term-entry" for="${prefix}${name}_${val}">\n      <input title="$entryName" type="checkbox" checked="checked" name="${prefix}${name}" id="${prefix}${name}_${val}" value="${val}"/>$entryName\n    </label>\n  #end\n  </div>\n  <input type="text" name="${prefix}${name}" id="${prefix}${name}" value="" class="suggested suggest-omim multi generateShortList"/>\n  <input type="hidden" name="${prefix}${name}" value=""/>\n  {{/html}}\n#elseif ($value && $value.size() > 0 && "${value.get(0)}" != '')\n  #foreach ($val in $value)\n    #set ($term = $!services.vocabularies.omim.getTerm($val))\n    #set ($name = $term.name)\n    #if ("$!{name}" == '')\n      #set ($name = $val)\n    #end\n    #if ($term.id.indexOf(':') >= 0)\n      #set ($termId = $stringtool.substringAfter($term.id, ':'))\n    #else\n      #set ($termId = $term.id)\n    #end\n    (%%)((([[~[$term.id]>>http://www.omim.org/entry/${termId}]] $!{services.rendering.escape($name, $doc.syntax)})))\n  #end\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:solr-access-service-ui-1.2.6]	f	xwiki/2.1	t
5517155355353452788	PhenoTips.UIX_Field__gender	UIX_Field__gender	$services.localization.render('phenotips.UIXField.gender')			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:35	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
298046193644962218	PhenoTips.PatientClass	PatientClass				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2015-03-18 14:54:01	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="XWiki.ClassSheet"/}}	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.PatientClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<affectedRelatives>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>affectedRelatives</name>\n<number>51</number>\n<prettyName>Other living affected relatives</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</affectedRelatives>\n<apgar1>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>apgar1</name>\n<number>36</number>\n<picker>0</picker>\n<prettyName>APGAR score (1 minute)</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>unknown|0|1|2|3|4|5|6|7|8|9|10</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</apgar1>\n<apgar5>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>apgar5</name>\n<number>37</number>\n<picker>0</picker>\n<prettyName>APGAR score (5 minutes)</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>unknown|0|1|2|3|4|5|6|7|8|9|10</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</apgar5>\n<assistedReproduction_donoregg>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_donoregg</name>\n<number>47</number>\n<prettyName>Donor egg</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_donoregg>\n<assistedReproduction_donorsperm>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_donorsperm</name>\n<number>48</number>\n<prettyName>Donor sperm</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_donorsperm>\n<assistedReproduction_fertilityMeds>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_fertilityMeds</name>\n<number>38</number>\n<prettyName>Conception after fertility medication</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_fertilityMeds>\n<assistedReproduction_iui>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_iui</name>\n<number>53</number>\n<prettyName>Intrauterine insemination (IUI)</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_iui>\n<assistedReproduction_surrogacy>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_surrogacy</name>\n<number>39</number>\n<prettyName>Gestational surrogacy</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_surrogacy>\n<consanguinity>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>consanguinity</name>\n<number>17</number>\n<prettyName>Consanguinity</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</consanguinity>\n<date_of_birth>\n<customDisplay>{{velocity}}{{html clean=false}}\n#set ($format = $services.recordConfiguration.activeConfiguration.dateOfBirthFormat)\n#set ($definedFormat = "$!object.xWikiClass.get($name).getProperty('dateFormat').value")\n#if ($xcontext.action == 'edit')\n  #if ($value)\n    #set ($value = $services.jodatime.getMutableDateTime($value.time))\n    #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  #end\n  &lt;input type='text' id='${prefix}${name}' title="$!escapetool.xml($format)" name='${prefix}${name}' class='fuzzy-date' value="$!services.jodatime.getDateTimeFormatterForPattern($definedFormat).print($value)" alt="$!services.jodatime.ISODateTimeFormatter.print($value)"/&gt;&lt;input type='hidden' name='${prefix}${name}_entered' id='${prefix}${name}_entered' value="$!{escapetool.xml($object.getProperty("${name}_entered").value)}"/&gt;\n#else\n#set ($enteredValue = $object.getProperty("${name}_entered").value)\n#if ("$!enteredValue" != '' &amp;&amp; "$!enteredValue" != '{}')\n  #set ($enteredValue = $jsontool.parse($enteredValue))\n  #if ($enteredValue.decade &amp;&amp; !$enteredValue.year)\n    &lt;span class="date"&gt;$!escapetool.xml($enteredValue.decade)&lt;/span&gt;\n  #else\n    #set ($displayedValue = $format)\n    #if ($enteredValue.year)\n      #set ($displayedValue = $displayedValue.replaceAll('y+', $enteredValue.year))\n      #if ($enteredValue.month)\n        #set ($displayedValue = $displayedValue.replaceAll('M+', $enteredValue.month))\n        #if ($enteredValue.day)\n          #set ($displayedValue = $displayedValue.replaceAll('d+', $enteredValue.day))\n        #end\n      #end\n    #end\n    #set ($displayedValue = $displayedValue.replaceAll('[a-zA-Z]+(\\W|$)', '').replaceAll('^\\W+|\\W+$', ''))\n    &lt;span class="date"&gt;$!escapetool.xml($displayedValue)&lt;/span&gt;\n  #end\n#elseif ($value)\n  #set ($value = $services.jodatime.getMutableDateTime($value.time))\n  #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  &lt;span class="date"&gt;$!services.jodatime.getDateTimeFormatterForPattern($format).print($value)&lt;/span&gt;\n#end\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<dateFormat>yyyy-MM-dd</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>0</emptyIsToday>\n<name>date_of_birth</name>\n<number>6</number>\n<picker>1</picker>\n<prettyName>Date of birth</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</date_of_birth>\n<date_of_birth_entered>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>date_of_birth_entered</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>date_of_birth_entered</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</date_of_birth_entered>\n<date_of_death>\n<customDisplay>{{velocity}}{{html clean=false}}\n#set ($format = $services.recordConfiguration.activeConfiguration.dateOfBirthFormat)\n#set ($definedFormat = "$!object.xWikiClass.get($name).getProperty('dateFormat').value")\n#if ($xcontext.action == 'edit')\n  #if ($value)\n    #set ($value = $services.jodatime.getMutableDateTime($value.time))\n    #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  #end\n  &lt;input type='text' id='${prefix}${name}' title="$!escapetool.xml($format)" name='${prefix}${name}' class='fuzzy-date' value="$!services.jodatime.getDateTimeFormatterForPattern($definedFormat).print($value)" alt="$!services.jodatime.ISODateTimeFormatter.print($value)"/&gt;&lt;input type='hidden' name='${prefix}${name}_entered' id='${prefix}${name}_entered' value="$!{escapetool.xml($object.getProperty("${name}_entered").value)}"/&gt;\n#else\n#set ($enteredValue = $object.getProperty("${name}_entered").value)\n#if ("$!enteredValue" != '' &amp;&amp; "$!enteredValue" != '{}')\n  #set ($enteredValue = $jsontool.parse($enteredValue))\n  #if ($enteredValue.decade &amp;&amp; !$enteredValue.year)\n    &lt;span class="date"&gt;$!escapetool.xml($enteredValue.decade)&lt;/span&gt;\n  #else\n    #set ($displayedValue = $format)\n    #if ($enteredValue.year)\n      #set ($displayedValue = $displayedValue.replaceAll('y+', $enteredValue.year))\n      #if ($enteredValue.month)\n        #set ($displayedValue = $displayedValue.replaceAll('M+', $enteredValue.month))\n        #if ($enteredValue.day)\n          #set ($displayedValue = $displayedValue.replaceAll('d+', $enteredValue.day))\n        #end\n      #end\n    #end\n    #set ($displayedValue = $displayedValue.replaceAll('[a-zA-Z]+(\\W|$)', '').replaceAll('^\\W+|\\W+$', ''))\n    &lt;span class="date"&gt;$!escapetool.xml($displayedValue)&lt;/span&gt;\n  #end\n#elseif ($value)\n  #set ($value = $services.jodatime.getMutableDateTime($value.time))\n  #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  &lt;span class="date"&gt;$!services.jodatime.getDateTimeFormatterForPattern($format).print($value)&lt;/span&gt;\n#end\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<dateFormat>yyyy-MM-dd</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>0</emptyIsToday>\n<name>date_of_death</name>\n<number>43</number>\n<picker>1</picker>\n<prettyName>Date of death</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</date_of_death>\n<date_of_death_entered>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>date_of_death_entered</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>date_of_death_entered</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</date_of_death_entered>\n<date_of_death_unknown>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>date_of_death_unknown</name>\n<number>47</number>\n<prettyName>date_of_death_unknown</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</date_of_death_unknown>\n<diagnosis_notes>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>diagnosis_notes</name>\n<number>29</number>\n<picker>0</picker>\n<prettyName>Additional comments</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</diagnosis_notes>\n<exam_date>\n<customDisplay>{{velocity}}{{html clean=false}}\n#set ($format = $services.recordConfiguration.activeConfiguration.dateOfBirthFormat)\n#set ($definedFormat = "$!object.xWikiClass.get($name).getProperty('dateFormat').value")\n#if ($xcontext.action == 'edit')\n  #set ($date = $services.jodatime.mutableDateTime)\n  #if ("$!xwiki.getUserPreference('timezone')" != '')\n    #set ($discard = $date.setZone($services.jodatime.getTimezone($xwiki.getUserPreference('timezone'))))\n  #end\n  #if (!$value)\n    #set ($value = $date)\n  #else\n    #set ($value = $services.jodatime.getMutableDateTime($value.time))\n    #if ("$!xwiki.getUserPreference('timezone')" != '')\n      #set ($discard = $value.setZoneRetainFields($services.jodatime.getTimezone($xwiki.getUserPreference('timezone'))))\n    #end\n  #end\n  #if ($format.indexOf('d') &lt; 0)\n    &lt;span class="month-year-date $name" id="$prefix${name}_container"&gt;\n      &lt;input type="hidden" id="$prefix$name" title="$!definedFormat" name="$prefix$name" value="$!xwiki.formatDate($value.toDate(), $definedFormat)" class="xwiki-date-hidden" alt="#formatdateISO($value.toDate())"/&gt;\n      #set ($selMonth = $value.monthOfYear)\n      #set ($selYear= $value.year)\n      #set ($mFormat = $format.replaceAll("[^M]", ''))\n      #set ($yFormat = $format.replaceAll("[^y]", ''))\n\n      &lt;select name="$prefix${name}_month" class="month"&gt;\n      #foreach ($val in [1..12])\n        #set ($date.monthOfYear = $val)\n        &lt;option value="$mathtool.sub($val, 1)"#if ($selMonth == $val) selected="selected"#end&gt;$xwiki.formatDate($date.toDate(), $mFormat)&lt;/option&gt;\n      #end\n      &lt;/select&gt;\n\n      #set ($startYear = $date.year - 99)\n      #set ($endYear = $date.year + 1)\n\n      &lt;select name="$prefix${name}_year" class="year"&gt;\n      #foreach ($val in [$startYear..$endYear])\n        #set ($date.year = $val)\n        &lt;option value="$val"#if ($selYear == $val) selected="selected"#end&gt;$xwiki.formatDate($date.toDate(), $yFormat)&lt;/option&gt;\n      #end\n      &lt;/select&gt;\n    &lt;/span&gt;\n  #else\n    &lt;input type="text" id="$prefix$name" title="$!definedFormat" name="$prefix$name" value="$!xwiki.formatDate($value.toDate(), $definedFormat)" class="xwiki-date" alt="#formatdateISO($value.toDate())"/&gt;\n  #end\n#else\n#if ($value)\n  #set ($value = $services.jodatime.getMutableDateTime($value.time))\n  #if ("$!xwiki.getUserPreference('timezone')" != '')\n    #set ($discard = $value.setZoneRetainFields($services.jodatime.getTimezone($xwiki.getUserPreference('timezone'))))\n  #end\n  &lt;span class="date"&gt;$!xwiki.formatDate($value.toDate(), $format)&lt;/span&gt;\n#end\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<dateFormat>yyyy-MM-dd</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>1</emptyIsToday>\n<name>exam_date</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Exam date</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</exam_date>\n<extended_negative_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_negative_phenotype</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>extended_negative_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_negative_phenotype>\n<extended_negative_prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_negative_prenatal_phenotype</name>\n<number>35</number>\n<picker>0</picker>\n<prettyName>extended_negative_prenatal_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_negative_prenatal_phenotype>\n<extended_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_phenotype</name>\n<number>32</number>\n<picker>0</picker>\n<prettyName>extended_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_phenotype>\n<extended_prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_prenatal_phenotype</name>\n<number>33</number>\n<picker>0</picker>\n<prettyName>extended_prenatal_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_prenatal_phenotype>\n<external_id>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>external_id</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Identifier</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</external_id>\n<family_history>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>family_history</name>\n<number>27</number>\n<picker>0</picker>\n<prettyName>List health conditions found in family (describe the relationship with proband)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</family_history>\n<family_of>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#if ($type == 'edit')\n{{html clean="false"}}&lt;input class="suggested" id="${doc.fullName}_${prefix}${name}" name="${prefix}${name}" onfocus="new ajaxSuggest(this, {script: '$xwiki.getURL('', 'get', "xpage=suggest&amp;classname=${field.className}&amp;fieldname=${name}&amp;firCol=eid.value&amp;secCol=-")&amp;', varname:'input'} )" type="text" value="$!escapetool.xml($value)" /&gt;\n{{/html}}\n#elseif ("$!value" != '')\n  #set ($matchingDocuments = $xwiki.wrapDocs($services.query.xwql("where doc.object(PhenoTips.PatientClass).external_id = :eid").bindValue('eid', $value).execute()))\n  #if ($matchingDocuments.size() == 1)\n    [[${value}&gt;&gt;$matchingDocuments.get(0).documentReference]]##\n  #else\n    $!value##\n  #end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>family_of</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>This patient is part of the familiy of</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select eid.value from BaseObject as obj, StringProperty as eid where obj.className = 'PhenoTips.PatientClass' and eid.id.id = obj.id and eid.id.name = 'external_id'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</family_of>\n<first_name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>first_name</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>First name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</first_name>\n<gender>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<multiSelect>0</multiSelect>\n<name>gender</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Sex</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>M=Male|F=Female|O=Other</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</gender>\n<gestation>\n<customDisplay>{{velocity}}\n#if ($type == 'edit')\n  {{html clean="false"}}&lt;div class="controlled-group complete-hide"&gt;&lt;div class="controller exclude"&gt;&lt;label for="${prefix}${name}_term"&gt;&lt;input type="checkbox" name="${prefix}${name}" id="${prefix}${name}_term" value="40"#if($value == 40) checked="checked"#end /&gt; {{/html}}{{translation key="PhenoTips.PatientClass_gestation_term" /}}{{html clean="false"}}&lt;/label&gt;&lt;/div&gt;&lt;div class="controlled"&gt;&lt;input type="text" name="${prefix}${name}" value="$!{escapetool.xml($value)}" /&gt;&lt;/div&gt;&lt;/div&gt;{{/html}}\n#elseif ($value == 40)\n  {{translation key="PhenoTips.PatientClass_gestation_term" /}} ##\n#else\n  $!value\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>gestation</name>\n<number>26</number>\n<numberType>integer</numberType>\n<prettyName>Gestation at delivery (weeks)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</gestation>\n<global_age_of_onset>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003577',\n  'HP:0030674',\n  'HP:0011460',\n  'HP:0011461',\n  'HP:0003623',\n  'HP:0003593',\n  'HP:0011463',\n  'HP:0003621',\n  'HP:0003581',\n  'HP:0011462',\n  'HP:0003596',\n  'HP:0003584'\n])\n#set ($startWith = 'HP:0003674')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>global_age_of_onset</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Global age of onset</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</global_age_of_onset>\n<global_mode_of_inheritance>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003745',\n\n  'HP:0000006',\n  'HP:0001470',\n  'HP:0001475',\n  'HP:0001444',\n  'HP:0001452',\n\n  'HP:0000007',\n\n  'HP:0010985',\n  'HP:0001417',\n  'HP:0001423',\n  'HP:0001419',\n  'HP:0001450',\n\n  'HP:0001426',\n  'HP:0010984',\n  'HP:0010983',\n  'HP:0010982',\n\n  'HP:0001427'\n])\n#set ($startWith = 'HP:0000005')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>global_mode_of_inheritance</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Global mode of inheritance</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</global_mode_of_inheritance>\n<health_card>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>health_card</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Provincial Health Card #</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</health_card>\n<icsi>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>icsi</name>\n<number>49</number>\n<prettyName>Intra-cytoplasmic sperm injection</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</icsi>\n<identifier>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>identifier</name>\n<number>1</number>\n<numberType>long</numberType>\n<prettyName>Identifier</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</identifier>\n<indication_for_referral>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>indication_for_referral</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Indication for referral</prettyName>\n<rows>2</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</indication_for_referral>\n<ivf>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>ivf</name>\n<number>16</number>\n<prettyName>In vitro fertilization</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ivf>\n<last_name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>last_name</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Last name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</last_name>\n<maternal_ethnicity>\n<cache>0</cache>\n<customDisplay>{{velocity filter="indent"}}{{html wiki=true clean=false}}\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($suggest_script = $xwiki.getURL('PhenoTips.EthnicitySearch', 'get', 'outputSyntax=plain'))\n{{html wiki=false clean=false}}&lt;input name="xwiki-free-multiselect-suggest-script" type="hidden" value="$!escapetool.xml($suggest_script)"/&gt;&lt;input name="${prefix}${name}" type="hidden" value=""/&gt;{{/html}}\n#end\n#macro (_fms__displayValue $v $counter) #if($xcontext.action == 'edit' || $xcontext.action == 'inline') {{html wiki=false clean=false}}&lt;input class="xwiki-free-multiselect-value" type="text" size="30" name="${prefix}${name}" id="${prefix}${name}_${counter}" value="$!escapetool.xml($v)"/&gt;{{/html}} #else $escapetool.xml($v) #end#end\n(% class="xwiki-free-multiselect"%)\n#foreach ($v in $value)\n1. #_fms__displayValue($v ${foreach.count})\n\n#end\n#if ((!$value || $value.size() == 0) &amp;&amp; ($xcontext.action == 'edit' || $xcontext.action == 'inline'))\n1. #_fms__displayValue('' 1)\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>maternal_ethnicity</name>\n<number>14</number>\n<picker>1</picker>\n<prettyName>Maternal ethnicity</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>, </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</maternal_ethnicity>\n<medical_history>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>medical_history</name>\n<number>30</number>\n<picker>0</picker>\n<prettyName>Medical and developmental history</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</medical_history>\n<miscarriages>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>miscarriages</name>\n<number>18</number>\n<prettyName>Parents with at least 3 miscarriages</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</miscarriages>\n<multipleGestation>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>multipleGestation</name>\n<number>52</number>\n<prettyName>Multiple gestation</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</multipleGestation>\n<negative_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>negative_phenotype</name>\n<number>22</number>\n<picker>0</picker>\n<prettyName>Symptoms NOT observed in this patient</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</negative_phenotype>\n<negative_prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>negative_prenatal_phenotype</name>\n<number>24</number>\n<picker>0</picker>\n<prettyName>Prenatal symptoms NOT observed in this patient</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</negative_prenatal_phenotype>\n<omim_id>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.OmimDisplay" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>omim_id</name>\n<number>19</number>\n<picker>0</picker>\n<prettyName>OMIM disorder</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</omim_id>\n<paternal_ethnicity>\n<cache>0</cache>\n<customDisplay>{{velocity filter="indent"}}{{html wiki=true clean=false}}\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($suggest_script = $xwiki.getURL('PhenoTips.EthnicitySearch', 'get', 'outputSyntax=plain'))\n{{html wiki=false clean=false}}&lt;input name="xwiki-free-multiselect-suggest-script" type="hidden" value="$!escapetool.xml($suggest_script)"/&gt;&lt;input name="${prefix}${name}" type="hidden" value=""/&gt;{{/html}}\n#end\n#macro (_fms__displayValue $v $counter) #if($xcontext.action == 'edit' || $xcontext.action == 'inline') {{html wiki=false clean=false}}&lt;input class="xwiki-free-multiselect-value" type="text" size="30" name="${prefix}${name}" id="${prefix}${name}_${counter}" value="$!escapetool.xml($v)"/&gt;{{/html}} #else $escapetool.xml($v) #end#end\n(% class="xwiki-free-multiselect"%)\n#foreach ($v in $value)\n1. #_fms__displayValue($v ${foreach.count})\n\n#end\n#if ((!$value || $value.size() == 0) &amp;&amp; ($xcontext.action == 'edit' || $xcontext.action == 'inline'))\n1. #_fms__displayValue('' 1)\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>paternal_ethnicity</name>\n<number>15</number>\n<picker>1</picker>\n<prettyName>Paternal ethnicity</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>, </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</paternal_ethnicity>\n<pedigree>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>pedigree</name>\n<number>28</number>\n<picker>0</picker>\n<prettyName>Pedigree</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</pedigree>\n<phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set($config = $xwiki.getDocument("${doc.space}.WebHome").getObject('PhenoTips.DBConfigurationClass'))\n#if ($config)\n  {{include reference="PhenoTips.PhenotypeDisplay" /}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>phenotype</name>\n<number>21</number>\n<picker>0</picker>\n<prettyName>Clinical symptoms &amp; physical findings</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</phenotype>\n<prenatal_development>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>prenatal_development</name>\n<number>25</number>\n<picker>0</picker>\n<prettyName>Notes</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</prenatal_development>\n<prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set($config = $xwiki.getDocument("${doc.space}.WebHome").getObject('PhenoTips.DBConfigurationClass'))\n#if ($config)\n  {{include reference="PhenoTips.PhenotypeDisplay" /}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>prenatal_phenotype</name>\n<number>23</number>\n<picker>0</picker>\n<prettyName>Prenatal and Perinatal History</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</prenatal_phenotype>\n<proband>\n<customDisplay></customDisplay>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>proband</name>\n<number>12</number>\n<prettyName>This is the proband</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</proband>\n<reports_history>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity output="false"}}\n#if (!$value)\n  #set ($value = [])\n#end\n{{/velocity}}\n\n{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>reports_history</name>\n<number>31</number>\n<picker>0</picker>\n<prettyName>Reports</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage>pdf</validationMessage>\n<validationRegExp>^application\\/pdf$</validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</reports_history>\n<solved>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>solved</name>\n<number>40</number>\n<prettyName>Case solved</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</solved>\n<solved__gene_id>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit')\n{{html clean=false}}&lt;input type='text' name='${prefix}${name}' class='suggested suggest-gene gene-name' placeholder='Enter a gene ID' size='16' value="$!{escapetool.xml($value)}"/&gt;{{/html}}\n#else\n$!{value}#if("$!{value}" != ''){{html clean=false}}&lt;input type='hidden' name='gene_name' class='gene-name' value="$!{escapetool.xml($value)}"/&gt;{{/html}}#end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>solved__gene_id</name>\n<number>42</number>\n<picker>0</picker>\n<prettyName>Gene ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</solved__gene_id>\n<solved__notes>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>solved__notes</name>\n<number>46</number>\n<picker>0</picker>\n<prettyName>Resolution notes</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</solved__notes>\n<solved__pubmed_id>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>solved__pubmed_id</name>\n<number>41</number>\n<picker>0</picker>\n<prettyName>Pubmed ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</solved__pubmed_id>\n<unaffected>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>unaffected</name>\n<number>20</number>\n<prettyName>This patient is clinically normal</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</unaffected>\n</class>\n	2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
4353728356234514414	PhenoTips.PatientSheet	PatientSheet				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:29	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity output=false}}\n#set ($displayDocExtra = true)\n$xwiki.jsx.use('PhenoTips.TouchscreenEvents')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n$xwiki.ssx.use('PhenoTips.Widgets', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.ssx.use('PhenoTips.PatientSheetCode', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.PatientSheetCode')##\n$xwiki.jsfx.use('js/xwiki/actionbuttons/actionButtons.js', true)##\n$xwiki.jsfx.use('js/xwiki/editors/autosave.js')##\n$xwiki.jsfx.use('js/scriptaculous/dragdrop.js')##\n$xwiki.ssfx.use('uicomponents/widgets/validation/livevalidation.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/validation/livevalidation_prototype.js')##\n$xwiki.jsfx.use('uicomponents/widgets/validation/scrollValidation.js')##\n##\n##\n#set($config = $xwiki.getDocument("${doc.space}.WebHome").getObject('PhenoTips.DBConfigurationClass'))\n#if ($config)\n#set($obj = $doc.getObject('PhenoTips.PatientClass'))\n#set($class = $obj.xWikiClass)\n#set($discard = $doc.use($obj))\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ("$!{request.xaction}" == 'lastentry')\n  #set ($entryClassName = $request.dataClassName)\n  #set ($options = {})\n  #set ($discard = $options.put('propertyName', "$!{request.propertyName}"))\n  #set ($discard = $options.put('propertyValue', "$!{request.propertyValue}"))\n  #set ($discard = $options.put('labels', "$!{request.withLabel}"))\n  #set ($discard = $options.put('mode', 'edit'))\n  #set ($discard = $options.put('rejectToClass', "$!{request.rejectToClass}"))\n  #__extradata_displayLastEntry($request.dataClassName $options)\n#elseif ("$!{request.xaction}" == 'lastmeta')\n  #__phenotypeMeta_displayLastEntry()\n#else\n#if ($xcontext.action != 'export')\n(% id="table-of-contents" class="hidden" %)(((\n{{toc start="2" depth="2" /}}\n)))\n#end\n#if ($xcontext.action == 'edit')\n  ## Disable the Preview button\n  #set($previewenabled = false)\n  {{html clean="false" wiki="false"}}\n    <input type='hidden' id='prefix' value='$!{class.name}_$!{obj.number}_'/>\n    <input type='hidden' name="objectPolicy" value='updateOrCreate'/>\n  {{/html}}\n\n#end\n##\n## Extensions displayed before the content\n(% class="before-patient-data" %)(((\n#foreach ($e in $services.uix.getExtensions('org.phenotips.patientSheet.before'))\n  #set ($hasExtensionsBefore = true)\n  #set ($extension_disabled = ($e.getParameters().get('disabled') == 'true'))\n  #if (!$extension_disabled)\n    {{html wiki=false clean=false}}$services.rendering.render($e.execute(), 'xhtml/1.0'){{/html}}\n\n  #end\n#end\n#if ($hasExtensionsBefore)\n----\n#end\n)))\n##\n#if ($config.getProperty('no_pii_warning').value == 1)\n{{warning}}$services.localization.render('phenotips.PatientSheet.noPIIWarning'){{/warning}}\n\n#end\n##\n#set($privacyLevelObject = $doc.getObject('PhenoTips.PatientConsent'))\n#if ("$!{privacyLevelObject}" != '')\n  #set($minimumPrivacy = false)\n  #set($docPrivacyLevels = ['0'])\n  #if ("$!{privacyLevelObject.getProperty('real').value}" == '1') \n    #set($discard = $docPrivacyLevels.add('1'))\n    #set($minimumPrivacy = true)\n  #end\n  #if ("$!{privacyLevelObject.getProperty('genetic').value}" == '1') #set($discard = $docPrivacyLevels.add('2')) #end\n  #if ("$!{privacyLevelObject.getProperty('share_history').value}" == '1') #set($discard = $docPrivacyLevels.add('3')) #end\n  #if ("$!{privacyLevelObject.getProperty('share_images').value}" == '1') #set($discard = $docPrivacyLevels.add('4')) #end\n#end\n## Extensions making up the main content, the actual information about the patient\n#set ($recordConfiguration = $services.recordConfiguration.getActiveConfiguration())\n#foreach ($section in $recordConfiguration.enabledSections)\n  #set ($sectionContent = '')\n  #foreach ($element in $section.enabledElements)\n    #set ($privacyLevel = $element.extension.getParameters().get('privacy_level'))\n    #if ("$!{privacyLevel}" == '')\n      #set ($privacyLevel = '0')\n    #end\n    #if (($docPrivacyLevels.contains($!{privacyLevel}) && $minimumPrivacy) || "$!{privacyLevelObject}" == '')\n      #set ($extension_required = ($element.extension.getParameters().get('required') == 'true'))\n      #set ($itemContent = $services.rendering.render($element.extension.execute(), 'xhtml/1.0').trim())\n      #set ($sectionContent = $sectionContent.concat($itemContent))\n    #end\n  #end\n  #if ($sectionContent.trim() != '')\n    (% class="clear clinical-info $stringtool.substringAfterLast($section.extension.id, '.') chapter" %)(((\n      == $section.name ==\n\n      {{html clean="false" wiki="false"}}$sectionContent.trim(){{/html}}\n    )))\n  #end\n#end\n##\n## Extensions displayed after the content\n#foreach ($e in $services.uix.getExtensions('org.phenotips.patientSheet.after'))\n\n  {{html clean=false}}$services.rendering.render($e.execute(), 'xhtml/1.0'){{/html}}\n#end\n#end\n{{/velocity}}	1.1		PhenoTips.PatientClass		0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-6685931682567443226	PhenoTips.UIX_Field__global_age_of_onset	UIX_Field__global_age_of_onset	$services.localization.render('phenotips.UIXField.globalAgeOfOnset')			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:22	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
7223429675829821357	PhenoTips.UIX_Field__allergies	UIX_Field__allergies	$services.localization.render('phenotips.UIXField.allergies')			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:38	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
3957678132269512488	PhenoTips.UIX_Section__diagnosis-info	UIX_Section__diagnosis-info	$services.localization.render('phenotips.UIXSection.diagnosisInfo')			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:37	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
8286238012628628754	PhenoTips.AllergySearch	AllergySearch	AllergySearch			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2015-08-12 18:04:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action == 'get')\n  #set ($input = $request.getParameter("input").toLowerCase())\n  #set ($finalResults = [])\n  #set ($lowercaseResults = [])\n\n  #foreach($res in $services.query.hql('select distinct list from BaseObject as obj, DBStringListProperty as prop join prop.list list where obj.name <> ? and obj.className = ? and prop.id.id = obj.id and prop.id.name = ? and lower(list) like ?').bindValues(['PhenoTips.PatientTemplate', 'PhenoTips.AllergiesDataClass', 'allergies', "%${input}%"]).setLimit(10).execute())\n    #if (!$lowercaseResults.contains($res.toLowerCase()))\n      #set ($discard = $finalResults.add($res))\n      #set ($discard = $lowercaseResults.add($res.toLowerCase()))\n    #end\n  #end\n\n  ##Display\n  ##-------\n\n    $response.setContentType("text/xml")\n    <?xml version="1.0" encoding="UTF-8"?>\n    <results type="3">\n    #foreach($result in $finalResults)\n      <rs id="$foreach.count" info="">$escapetool.xml($result)</rs>\n    #end\n    </results>\n#end\n{{/velocity}}\n	1.1		PhenoTips.AllergiesDataClass		0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	f
4184733391775176195	PhenoTips.UIX_Field__variants	UIX_Field__variants	$services.localization.render('phenotips.UIXField.variants')			0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:03:22	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-7433683939374499132	PhenoTips.PhenotypeCategoryClass	PhenotypeCategoryClass				0	2017-05-12 15:43:33	2017-05-12 15:43:33	2014-06-03 15:02:06	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.PhenotypeCategoryClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<target_property_category>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>target_property_category</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>target_property_category</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</target_property_category>\n<target_property_name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>target_property_name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>target_property_name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</target_property_name>\n<target_property_value>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>target_property_value</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>target_property_value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</target_property_value>\n</class>\n	0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
1170145800217320925	PhenoTips.PatientConsent	PatientConsent				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2015-05-07 15:07:21	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.PatientConsent</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<genetic>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>genetic</name>\n<number>3</number>\n<prettyName>genetic</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</genetic>\n<matching>\n<customDisplay></customDisplay>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>matching</name>\n<number>6</number>\n<prettyName>matching</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</matching>\n<message_holder>\n<customDisplay>{{velocity}}\n#set ($consentDoc = $xwiki.getDocument('PhenoTips.PatientConsent'))\n#set ($formUrl = $consentDoc.getAttachmentURL('PhenomeCentral_Consent.pdf'))\n{{html wiki='false' clean='false'}}\n$services.localization.render('PhenoTips.PatientConsent_message', ["$!{formUrl}"])\n{{/html}}\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>message_holder</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName></prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</message_holder>\n<real>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>real</name>\n<number>1</number>\n<prettyName>real</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</real>\n<share_history>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>share_history</name>\n<number>4</number>\n<prettyName>share</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</share_history>\n<share_images>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>share_images</name>\n<number>5</number>\n<prettyName>share_images</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</share_images>\n</class>\n	3			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-1895600816939211174	PhenoTips.UIX_Field__genes	UIX_Field__genes	$services.localization.render('phenotips.UIXField.genes')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:22	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
8133393108608529178	PhenoTips.AllergiesDataClass	AllergiesDataClass				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2015-08-12 17:58:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.AllergiesDataClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<NKDA>\n<customDisplay></customDisplay>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>NKDA</name>\n<number>2</number>\n<prettyName>NKDA</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</NKDA>\n<allergies>\n<cache>0</cache>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($suggest_script = $xwiki.getURL('PhenoTips.AllergySearch', 'get', 'outputSyntax=plain'))\n{{html wiki=false clean=false}}&lt;input name="xwiki-free-multiselect-suggest-script" type="hidden" value="$!escapetool.xml($suggest_script)"/&gt;&lt;input name="${prefix}${name}" type="hidden" value=""/&gt;{{/html}}\n#end\n#macro (_fms__displayValue $v $counter)\n  #if($xcontext.action == 'edit' || $xcontext.action == 'inline')\n    {{html wiki=false clean=false}}&lt;input class="xwiki-free-multiselect-value" type="text" size="30" name="${prefix}${name}" id="${prefix}${name}_${counter}" value="$!escapetool.xml($v)"/&gt;{{/html}}##\n  #else\n    $escapetool.xml($v)##\n  #end\n#end\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n(% class="xwiki-free-multiselect"%)\n#end\n#foreach ($v in $value)\n1. #_fms__displayValue($v ${foreach.count})\n\n#end\n#if ((!$value || $value.size() == 0) &amp;&amp; ($xcontext.action == 'edit' || $xcontext.action == 'inline'))\n1. #_fms__displayValue('' 1)\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>allergies</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Allergies - environmental, food, medication</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>, </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</allergies>\n</class>\n	0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	f
4139803955793839247	PhenoTips.UIX_Field__global_mode_of_inheritance	UIX_Field__global_mode_of_inheritance	$services.localization.render('phenotips.UIXField.globalModeOfInheritance')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:38	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-451624432373926768	PhenoTips.RelativeClass	RelativeClass				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:02:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.RelativeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<relative_of>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#if ($type == 'edit')\n{{html clean="false"}}&lt;input class="suggested" id="${doc.fullName}_${prefix}${name}" name="${prefix}${name}" onfocus="new ajaxSuggest(this, {script: '$xwiki.getURL('', 'get', "xpage=suggest&amp;classname=${field.className}&amp;fieldname=${name}&amp;firCol=eid.value&amp;secCol=-")&amp;', varname:'input'} )" type="text" value="$!escapetool.xml($value)" /&gt;\n{{/html}}\n#elseif ("$!value" != '')\n  #set ($matchingDocuments = $xwiki.wrapDocs($services.query.xwql("where doc.object(PhenoTips.PatientClass).external_id = :eid").bindValue('eid', $value).execute()))\n  #if ($matchingDocuments.size() == 1)\n    [[${value}&gt;&gt;$matchingDocuments.get(0).documentReference]]##\n  #else\n    $!value##\n  #end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>relative_of</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Of patient with identifier</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select eid.value from BaseObject as obj, StringProperty as eid where obj.className = 'PhenoTips.PatientClass' and eid.id.id = obj.id and eid.id.name = 'external_id'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</relative_of>\n<relative_type>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>relative_type</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>This patient is the</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>parent=Parent|child=Child|sibling=Sibling|twin=Twin|cousin=Cousin|aunt_uncle=Aunt / Uncle|niece_nephew=Niece / Nephew|grandparent=Grandparent|grandchild=Grandchild</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</relative_type>\n</class>\n	0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-6810252694605477080	PhenoTips.UIX_Field__omim_suggestions	UIX_Field__omim_suggestions	$services.localization.render('phenotips.UIXField.diagnosisSuggestions')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:29	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-3993337704721391126	PhenoTips.UIX_Section__files-info	UIX_Section__files-info	$services.localization.render('phenotips.UIXSection.filesInfo')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
4480893054054512140	PhenoTips.UIX_Field__charts	UIX_Field__charts	$services.localization.render('phenotips.UIXField.growthCharts')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
5131376152906524784	PhenoTips.UIX_Field__solved	UIX_Field__solved	Solved case			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2015-02-06 12:02:52	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
4986220062613219827	PhenoTips.OntologyVersionClass	OntologyVersionClass				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:02:06	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.OntologyVersionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Ontology name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<version>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>version</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Version</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</version>\n</class>\n	0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
4147885106130080860	PhenoTips.PatientTemplate	PatientTemplate	PatientClass Template			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:18	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-1055325725516771031	PhenoTips.UIX_Section__case-resolution	UIX_Section__case-resolution	Case resolution			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2015-02-06 12:17:08	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-7870240277694750251	PhenoTips.PedigreeImageService	PedigreeImageService	Pedigree image service			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-08-11 22:01:39	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="PhenoTips.PedigreeMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action != 'get')\n  **Usage**: //http[s]:~/~/<hostname>[:<port>]/<appname>/bin/get/PhenoTips/PedigreeImageService?[e]id=<identifier>[&format=raster]//\n  #break\n#end\n#if ("$!request.id" != '')\n  #set ($patient = $services.patients.getPatientById($request.id))\n#elseif ("$!request.eid" != '')\n  #set ($patient = $services.patients.getPatientByExternalId($request.eid))\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#if (!$patient)\n  $response.setStatus(404)##\n  $response.setContentType('application/json')##\n  {"error" : "$services.localization.render('phenotips.PedigreeImageService.noPatient')"}\n  #break\n#end\n#set ($pedigree = $!xwiki.getDocument($patient.getDocument()).getObject('PhenoTips.PedigreeClass'))\n#if (!$pedigree)\n  $response.setStatus(404)##\n  $response.setContentType('application/json')##\n  {"error" : "$services.localization.render('phenotips.PedigreeImageService.noPedigree')"}\n  #break\n#end\n#if ($request.legend)\n  #set ($pedigree = $pedigree.getProperty('data').value)\n  $response.setContentType('text/html')##\n\n  #pedigreeLegend($pedigree, $request.header)\n\n  #break\n#else\n  #set ($pedigree = $pedigree.getProperty('image').value)\n  #if (!$pedigree)\n    $response.setStatus(404)##\n    $response.setContentType('application/json')##\n    {"error" : "$services.localization.render('phenotips.PedigreeImageService.noPedigreeImage')"}\n    #break\n  #end\n  #if ("$!request.format" == 'raster')\n    ## Fix broken SVG generated by a broken version of the pedigree editor\n    #if ($stringtool.countMatches($pedigree, 'xmlns=') > 1)\n      #set ($pedigree = $pedigree.replaceFirst('xmlns="[^"]++"', ''))\n    #end\n    #if (!$pedigree.endsWith('</svg>'))\n      #set ($pedigree = $pedigree.concat('</svg>'))\n    #end\n    #set ($pedigreeDocRoot = $services.xml.parse($pedigree).getDocumentElement())\n    #set ($width = $mathtool.toInteger($pedigreeDocRoot.getAttribute('width')))\n    #set ($height = $mathtool.toInteger($pedigreeDocRoot.getAttribute('height')))\n    #set ($pedigreeRasterUrl = $xwiki.svg.getSVGImageURL($pedigree, $height, $width))\n    $response.sendRedirect($pedigreeRasterUrl)\n  #else\n    $response.setContentType('image/svg+xml')##\n    $pedigree\n  #end\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}\n	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
1714722764238368905	PhenoTips.UIX_Field__additional-images	UIX_Field__additional-images	$services.localization.render('phenotips.UIXField.additionalImages')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:27	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-5482060854234107362	PhenoTips.UIX_Field__indication_for_referral	UIX_Field__indication_for_referral	$services.localization.render('phenotips.UIXField.indicationForReferral')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:31	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
8693822443778863784	PhenoTips.UIX_Section__patient-info	UIX_Section__patient-info	$services.localization.render('phenotips.UIXSection.patientInfo')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
6062307842385563936	PhenoTips.UIX_Section__measurement-info	UIX_Section__measurement-info	$services.localization.render('phenotips.UIXSection.measurementInfo')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:27	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
3444000771662527995	PhenoTips.UIX_Field__consanguinity	UIX_Field__consanguinity	$services.localization.render('phenotips.UIXField.consanguinity')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:25	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
7387981927774114990	PhenoTips.UIX_Field__assisted_reproduction	UIX_Field__assisted_reproduction	$services.localization.render('phenotips.UIXField.assistedReproduction')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:37	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-8023371655106228336	PhenoTips.UIX_Field__required-measurements	UIX_Field__required-measurements	$services.localization.render('phenotips.UIXField.requiredMeasurements')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
6127720060585039621	PhenoTips.ExternalImageClass	ExternalImageClass				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:02:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.ExternalImageClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>comments</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<file>\n<cache>0</cache>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>file</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>file</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</file>\n<print>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>print</name>\n<number>3</number>\n<prettyName>Select this image for printing</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</print>\n</class>\n	0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
1971837450616235771	PhenoTips.UIX_Section__prenatal-info	UIX_Section__prenatal-info	$services.localization.render('phenotips.UIXSection.prenatalInfo')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:39	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
3771351910856738067	PhenoTips.UIX_Field__measurements	UIX_Field__measurements	$services.localization.render('phenotips.UIXField.measurements')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
4083987752000231013	PhenoTips.UIX_Field__family	UIX_Field__family	$services.localization.render('phenotips.UIXField.family')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:30	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
4743123777608825357	PhenoTips.UIX_Field__date_of_death	UIX_Field__date_of_death	Date of death			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2015-02-17 22:09:18	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-21305773067163884	PhenoTips.UIX_Field__apgar	UIX_Field__apgar	$services.localization.render('phenotips.UIXField.apgar')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:30	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
1342854617281575449	PhenoTips.UIX_Field__proband_info	UIX_Field__proband_info	$services.localization.render('phenotips.UIXField.probandInfo')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
8785636805555918058	PhenoTips.UIX_Field__pedigree-file	UIX_Field__pedigree-file	$services.localization.render('phenotips.UIXField.pedigreeFile')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:21	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-1472393286270317402	PhenoTips.UIX_Field__diagnosis_notes	UIX_Field__diagnosis_notes	$services.localization.render('phenotips.UIXField.diagnosisNotes')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:30	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
4266070365948038807	PhenoTips.UIX_Field__reports_history	UIX_Field__reports_history	$services.localization.render('phenotips.UIXField.reportsHistory')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:30	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-1779695066156749423	PhenoTips.UIX_Field__miscarriages	UIX_Field__miscarriages	$services.localization.render('phenotips.UIXField.miscarriages')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:23	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
1471988493372263133	PhenoTips.OpenPatientRecord	OpenPatientRecord				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:21	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#macro (saveDataFromRequest)\n  #set ($patientClass = $xwiki.getClass('PhenoTips.PatientClass'))\n  #set ($patientObject = $patientDoc.getObject('PhenoTips.PatientClass'))\n  #set ($validProperties = $patientClass.propertyNames)\n  #set ($modified = false)\n  #if ("$!externalIdentifier" != '' && $externalIdentifier != $patientObject.getProperty('external_id').value)\n    $patientObject.set('external_id', $externalIdentifier)\n    #set ($modified = true)\n  #end\n  #foreach ($property in $request.parameterNames)\n    #if ($validProperties.contains($property))\n      #set ($value = $request.getParameter($property))\n      #if ($patientClass.get($property).type == 'DateClass' && "$!value" != '')\n        ## Dates are expected in the standard format, regardless of the format used to display them in PhenoTips\n        #set ($value = $services.jodatime.getDateTimeFormatterForPattern('yyyy-M-d').parseDateTime($value).toDate())\n      #elseif ($property == 'gender' && $value != 'M' && $value != 'F')\n        ## Unknown values should be ignored\n        #set ($value = '')\n      #end\n      #if ($value != "$!patientObject.getProperty($property).value")\n        $patientObject.set($property, $value)\n        #set ($modified = true)\n      #end\n    #end\n  #end\n  #if ($modified)\n    $patientDoc.save('Updated patient data from external request', true)\n  #end\n#end\n#macro (fixMode)\n  #set ($canEditPatientRecord = $xwiki.hasAccessLevel('edit', $xcontext.user, $patientDoc.fullName))\n  #if (!$canEditPatientRecord)\n    #set ($mode = 'view')\n  #end\n#end\n#set ($identifier = "$!{request.id}")\n#set ($externalIdentifier = "$!{request.eid}")\n#set ($mode = "$!{request.mode}")\n#if ($mode == '')\n  #set ($mode = 'view')\n#end\n#set ($patientDoc = $NULL)\n#if ($identifier != '')\n  #set ($patientDoc = $xwiki.getDocument($services.model.createDocumentReference('', 'data', $identifier)))\n  #if (!$patientDoc || $patientDoc.isNew())\n    {{error}}$services.localization.render('phenotips.OpenPatientRecord.patientNotFound'){{/error}}\n  #else\n    #fixMode()\n    #if ($canEditPatientRecord)\n      #saveDataFromRequest()\n    #end\n    $response.sendRedirect($patientDoc.getURL($mode))\n  #end\n#elseif ($externalIdentifier != '')\n  #set ($matchingDocuments = $xwiki.wrapDocs($services.query.xwql("where doc.object(PhenoTips.PatientClass).external_id = :eid").bindValue('eid', $externalIdentifier).execute()))\n  #if ($matchingDocuments.size() == 1)\n    #set ($patientDoc = $matchingDocuments.get(0))\n    #fixMode()\n    #if ($canEditPatientRecord)\n      #saveDataFromRequest()\n    #end\n    $response.sendRedirect($patientDoc.getURL($mode))\n  #elseif ($matchingDocuments.size() > 1)\n    {{error}}Non-unique identifier.{{/error}}\n  #elseif ("$!{request.create}" == 'true')\n    #set ($patient = $services.patients.createNewPatient())\n    #if ($patient)\n      #set ($patientDoc = $xwiki.getDocument($patient.document))\n      #fixMode()\n      #if ($canEditPatientRecord)\n        #saveDataFromRequest()\n      #end\n      $response.sendRedirect($xwiki.getURL($patientDoc, $mode))\n    #else\n    {{error}}$services.localization.render('phenotips.OpenPatientRecord.noPermission'){{/error}}\n    #end\n  #else\n    {{error}}$services.localization.render('phenotips.OpenPatientRecord.patientNotFound'){{/error}}\n  #end\n#else\n  {{error}}$services.localization.render('phenotips.OpenPatientRecord.noPatient'){{/error}}\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
3284046623153489042	PhenoTips.CheckID	CheckID				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ("$!{request.outputSyntax}" != 'plain')\n{{html clean="false"}}\n#end\n#if ($request.getParameter('eid') && $request.getParameter('id'))\n  #set ($externalIdentifier = "$!{request.eid}")\n  #set ($identifier = "$!{request.id}")\n  #if ($externalIdentifier == $xwiki.getDocument($services.model.resolveDocument($identifier, $services.model.resolveSpace('data'))).getObject('PhenoTips.PatientClass').getProperty('external_id').value)\n    Self\n    #break\n  #end\n  #set ($matchingDocuments = $xwiki.wrapDocs($services.query.xwql("where doc.object(PhenoTips.PatientClass).external_id = :eid").bindValue('eid', $externalIdentifier).execute()))\n  #if ($externalIdentifier == '')\n    $response.setStatus(403)\n    Empty\n  #elseif ($matchingDocuments.size() == 0)\n    $response.setStatus(404)\n    Available\n  #else\n    $response.setStatus(409)\n    Exists\n  #end\n#else\n  $response.setStatus(400)\n  Please specify an identifier to check\n#end\n#if ("$!{request.outputSyntax}" != 'plain')\n{{/html}}\n#end\n{{/velocity}}\n	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
7731935125441096865	PhenoTips.UIX_Field__date_of_birth	UIX_Field__date_of_birth	$services.localization.render('phenotips.UIXField.dateOfBirth')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:35	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
3640940014510043003	PhenoTips.CreatePatientRecord	CreatePatientRecord				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:31	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($request.get('doCreate') == '1')\n  #if ($services.csrf.isTokenValid($request.form_token))\n    #set ($patient = $services.patients.createNewPatient())\n    #if ($patient)\n      ## FIXME Move this to a PatientRecordInitializer\n      #set ($formBindingClassName = 'PhenoTips.StudyBindingClass')\n      #set ($formBindingPropertyName = 'studyReference')\n      #set ($formBindingPropertyValue = $request.get("$!{formBindingClassName}_${formBindingPropertyName}"))\n      #if ($formBindingPropertyValue)\n        #set ($patientDoc = $xwiki.getDocument($patient.document))\n        #set ($formBindingObj = $patientDoc.getObject($formBindingClassName, true))\n        #if ($formBindingObj)\n          #set ($discard = $formBindingObj.set($formBindingPropertyName, $formBindingPropertyValue))\n          #set ($discard = $patientDoc.save())\n        #end\n      #end\n      $response.sendRedirect($xwiki.getURL($patient.document, 'edit', ''))\n    #else\n      Cannot create patient\n    #end\n  #else\n    ## CSRF protection\n    $response.sendRedirect("$!{services.csrf.getResubmissionURL()}")\n  #end\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
6668661007889031378	PhenoTips.RejectedGenesClass	RejectedGenesClass				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-11-20 16:05:59	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.RejectedGenesClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Comments</prettyName>\n<rows>3</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<gene>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit')\n{{html clean=false}}&lt;input type='text' name='${prefix}${name}' class='suggested suggest-gene gene-name' placeholder="$services.localization.render('phenoTips.RejectedGenesClass.genePlaceholder')" size='16' value="$!{escapetool.xml($value)}"/&gt;{{/html}}\n#else\n$!{value}#if("$!{value}" != ''){{html clean=false}}&lt;input type='hidden' name='gene_name' class='gene-name' value="$!{escapetool.xml($value)}"/&gt;{{/html}}#end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>gene</name>\n<number>2</number>\n<picker>1</picker>\n<prettyName>Gene</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</gene>\n</class>\n	0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-8137184973056294146	PhenoTips.UIX_Field__medical_history	UIX_Field__medical_history	$services.localization.render('phenotips.UIXField.medicalHistory')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-5729485702515311074	PhenoTips.ParentalInformationClass	ParentalInformationClass	XClass for recording information about the patient's parents			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2015-08-31 01:17:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="XWiki.ClassSheet"/}}	1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.ParentalInformationClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<maternal_age>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>maternal_age</name>\n<number>1</number>\n<numberType>integer</numberType>\n<prettyName>Maternal age at birth</prettyName>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</maternal_age>\n<paternal_age>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>paternal_age</name>\n<number>2</number>\n<numberType>integer</numberType>\n<prettyName>Paternal age at birth</prettyName>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</paternal_age>\n<pregnancy_history__births>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__births</name>\n<number>9</number>\n<numberType>integer</numberType>\n<prettyName>Live births</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__births>\n<pregnancy_history__gravida>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__gravida</name>\n<number>3</number>\n<numberType>integer</numberType>\n<prettyName>Gravida</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__gravida>\n<pregnancy_history__para>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__para</name>\n<number>4</number>\n<numberType>integer</numberType>\n<prettyName>Para</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__para>\n<pregnancy_history__preterm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__preterm</name>\n<number>6</number>\n<numberType>integer</numberType>\n<prettyName>Pre-term</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__preterm>\n<pregnancy_history__sab>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__sab</name>\n<number>7</number>\n<numberType>integer</numberType>\n<prettyName>SAB</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__sab>\n<pregnancy_history__tab>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__tab</name>\n<number>8</number>\n<numberType>integer</numberType>\n<prettyName>TAB</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__tab>\n<pregnancy_history__term>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__term</name>\n<number>5</number>\n<numberType>integer</numberType>\n<prettyName>Term</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__term>\n</class>\n	0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-1836898920674500607	PhenoTips.VariantClass	VariantClass				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:02:08	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.VariantClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<band>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>band</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Cytoband</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</band>\n<chr>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>chr</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Chr</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|X|Y</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</chr>\n<classification>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<multiSelect>0</multiSelect>\n<name>classification</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Classification</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>none=Unclassified|CNP|sv=Clinically significant</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</classification>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Comments</prettyName>\n<rows>3</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<end>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>end</name>\n<number>5</number>\n<numberType>long</numberType>\n<prettyName>End</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</end>\n<reference_genome>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>reference_genome</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Reference genome</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>GRCh37=GRCh37 (hg19)|GRCh38=GRCh38 (hg38)|NCBI36=NCBI36 (hg18)</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</reference_genome>\n<start>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>start</name>\n<number>4</number>\n<numberType>long</numberType>\n<prettyName>Start</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</start>\n<type>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<multiSelect>0</multiSelect>\n<name>type</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>del=Deletion|dup=Duplication</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</type>\n</class>\n	0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-1721617627816790868	PhenoTips.UIX_Section__variant-info	UIX_Section__variant-info	$services.localization.render('phenotips.UIXSection.variantInfo')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:35	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
4288222470750071524	PhenoTips.UIX_Field__patient_name	UIX_Field__patient_name	$services.localization.render('phenotips.UIXField.patientName')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:27	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
6480149959939324963	PhenoTips.UIX_Field__external_id	UIX_Field__external_id	$services.localization.render('phenotips.UIXField.externalID')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:23	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
8865714194840191319	PhenoTips.UIX_Field__ethnicity	UIX_Field__ethnicity	$services.localization.render('phenotips.UIXField.ethnicity')			0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:38	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-1996626401907221046	PhenoTips.PatientSheetMacros	PatientSheetMacros				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:03:25	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output=false}}\n#macro (__label $propName $cssClass $text)\n   #set($displayedText = "$!{text}")\n   #if ($displayedText == '' && "$!{propName}" != '')\n     #set($displayedText = "$!{class.get($propName).translatedPrettyName}:")\n   #end\n   #if ($xcontext.action != 'edit')\n     (% class="label $!{cssClass}" %)${displayedText}(%%)##\n   #else\n     #set($for = '')\n     #if ("$!{propName}" != '')\n       #set($for = "for='$!{class.name}_$!{obj.number}_$!{propName}'")\n     #end\n     {{html clean="false" wiki="false"}}<label class="$!{cssClass}" $!{for}>${displayedText}</label>{{/html}}##\n     #if ($services.localization.get("$!{class.name}_${propName}_hint"))\n       #* Empty comment needed for the whitespace trimmer to leave an empty space before the icon *# {{icon name="question-circle" cssClass="xHelpButton" title="$services.localization.render("$!{class.name}_${propName}_hint").replace('"', '~~~"')"/}}##\n     #end\n   #end\n#end\n\n#macro (__expandTools)\n  {{html clean="false" wiki="false"}}\n  <div class="expand-tools">\n    <span class="buttonwrapper show">\n      <button type="button" class="tool button secondary">\n        <span class="fa fa-lg fa-plus-square-o"></span>&nbsp;\n        $services.localization.render('phenotips.patientSheet.expandSection')\n      </button>\n    </span>\n    <span class="buttonwrapper hide">\n      <button type="button" class="tool button secondary">\n        <span class="fa fa-lg fa-minus-square-o"></span>&nbsp;\n        $services.localization.render('phenotips.patientSheet.collapseSection')\n      </button>\n    </span>\n  </div>\n  {{/html}}\n#end\n\n#macro (__display $propName)\n(% class="displayed-value"%)(((\n#if ("$!class.get($propName).getValue('contenttype')" == 'PureText' && $xcontext.action != 'edit')\n  #if($xcontext.action == 'edit' || ($doc.display($propName) != ''))${doc.display($propName).replaceFirst('^(\\{\\{html clean="false" wiki="false"}})?', '{{content syntax="plain/1.0"}}').replaceFirst('(\\{\\{/html}})?$', '{{/content}}')}#{else}-#{end}\n#else\n  #if($xcontext.action == 'edit' || ($doc.display($propName) != ''))${doc.display($propName).replaceAll('^(\\{\\{html clean="false" wiki="false"}})?<p>|</p>(\\{\\{/html}})?$', '$1$2')}#{else}-#{end}\n#end\n\n)))##\n#end\n\n#macro (__displayIfNotEmpty $propName)\n  #if ($xcontext.action == 'edit' || ($doc.display($propName) != ''))\n    (% class="fieldset ${propName} %)(((\n      #__label($propName 'section group-title' '')\n      #__display($propName)\n    )))\n  #end\n#end\n\n#macro (__displayIfTrue $propName $withLabel)\n  #if ($xcontext.action == 'edit' || $obj.getProperty($propName).value == 1)\n    (% class="fieldset ${propName} %)(((\n      #if ($withLabel)\n        #__label($propName '' '')\n      #end\n      #__display($propName)\n    )))\n  #end\n#end\n\n#macro (__displayIfSet $propName $withLabel)\n  #if ($xcontext.action == 'edit' || $obj.getProperty($propName).value == 1 || $obj.getProperty($propName).value == 0)\n    (% class="fieldset ${propName} %)(((\n      #if ($withLabel)\n        #__label($propName '' '')\n      #end\n      #__display($propName)\n    )))\n  #end\n#end\n\n#macro (__displayIfNotUnknown $propName)\n  #if ($xcontext.action == 'edit' || "$!obj.getProperty($propName).value" != 'Unknown')\n    (% class="fieldset ${propName} %)(((\n      #__label($propName '' '')\n      #__display($propName)\n    )))\n  #end\n#end\n\n#macro (__hasDataToDisplay $propertyName $shouldDisplay)\n  #if ($xcontext.action == 'edit' || "$doc.display($propertyName)" != '')\n    #setVariable("$shouldDisplay", true)\n  #end\n#end\n\n#macro (__hasBooleanDataToDisplay $propertyName $shouldDisplay)\n  #if ($xcontext.action == 'edit' || $obj.getProperty($propertyName).value == 1)\n    #setVariable("$shouldDisplay", true)\n  #end\n#end\n\n#macro (__hasKnownDataToDisplay $propertyName $shouldDisplay)\n  #if ($xcontext.action == 'edit' || "$!obj.getProperty($propertyName).value.toLowerCase()" != 'unknown')\n    #setVariable("$shouldDisplay", true)\n  #end\n#end\n\n#macro (__display2Col $propName $label $groupCssClass $labelCssClass)\n  (% class="fieldset ${propName} $!{groupCssClass}" %)(((\n  (% class="half-width ${propName}" %)(((\n    #__label(${propName} "section $!{labelCssClass}" "$!{label}")\n  )))\n  (% class="half-width ${propName}" %)(((\n    #__display(${propName})\n  )))\n  (% class="clear" %)((()))\n  )))##fieldset\n#end\n\n#macro (__displayIfNotEmpty2Col $propName $label $groupCssClass $labelCssClass)\n  #if ($xcontext.action == 'edit' || $doc.display(${propName}) != '')\n    #__display2Col($propName $label "$!{groupCssClass}" "$!{labelCssClass}")\n  #end\n#end\n\n#macro (__displayHalfWidth $propName $label $groupCssClass $labelCssClass)\n  (% class="half-width $groupCssClass ${propName}" %)(((\n    #__label(${propName} "hint $!{labelCssClass}" $label)\n    #__display(${propName}, $obj)\n  )))\n#end\n\n#macro (__displayFormatted $mode $propName $label $groupCssClass $labelCssClass)\n#if ($xcontext.action == 'edit' || $doc.display(${propName}) != '')\n  #set($_groupCssClass = "$!{groupCssClass}#if ($extension_required) mandatory#{end}")\n  #if ($xcontext.action != 'edit')\n    #if ($mode == 'half-width')\n      #__displayHalfWidth($propName $label $_groupCssClass $labelCssClass)\n    #else\n      #__label($propName $labelCssClass $label) (% class="displayed-value"%)#if ("$!{doc.display($propName)}" == '')-#else${doc.display($propName).replaceAll('^(\\{\\{html clean="false" wiki="false"}})?<p>|</p>(\\{\\{/html}})?$', '$1$2')}#end(%%)\n    #end\n  #else\n    #if ($mode == 'half-width')\n      #__displayHalfWidth($propName $label $_groupCssClass $labelCssClass)\n    #elseif ($mode == '2-col')\n      #__display2Col($propName $label $_groupCssClass $labelCssClass)\n    #else\n    (% class="$groupCssClass ${propName}" %)(((\n      #__label($propName $labelCssClass $label)\n      #__display($propName)\n    )))\n    #end\n  #end## export\n#end## field not configured as inactive, field not empty in view mode\n#end\n\n## =====================================================================\n##\n## "Tabelar" data associated with the patient report\n##\n##\n#macro (__measurements_displayCompact)\n  #set($dataClass = $xwiki.getDocument('PhenoTips.MeasurementsClass').xWikiClass)\n  #if ($dataClass)\n    #set($dataObjects = $doc.getObjects('PhenoTips.MeasurementsClass'))\n    #if ($dataObjects.size() == 0)\n      (% class="hint" %)None specified\n    #else\n      (% class="extradata-list" %)\n      #foreach ($o in $dataObjects)\n        #foreach($prop in $dataClass.properties)\n           #if ($prop.name == 'date' || $prop.name == 'age')\n             |= ${prop.translatedPrettyName}: |=(% colspan="2" %) $doc.display($prop.getName(), $o)\n           #elseif (!$prop.name.endsWith('_evaluation') && "$!o.getProperty($prop.getName()).value" != '')\n             |= ${prop.translatedPrettyName}: | $doc.display($prop.getName(), $o) | $!doc.display("${prop.getName()}_evaluation", $o)\n          #end\n        #end\n      #end## foreach object\n    #end## if $dataObjects.size()\n  #end## if dataclass\n#end\n\n## =====================================================================\n##\n## PHENOTYPE METADATA\n##\n##\n#macro (__phenotypeMeta_displayEntry $targetObj)\n    #set($dataClass = $targetObj.xWikiClass)\n    #set($enabledProperties = ['age_of_onset', 'pace_of_progression', 'severity', 'temporal_pattern', 'spatial_pattern', 'laterality', 'comments', 'supporting_images', 'supporting_documents'])\n    #set($collapsibleProperties = ['age_of_onset', 'pace_of_progression', 'severity', 'temporal_pattern', 'spatial_pattern', 'laterality'])\n    #set($targetId = "phenotypeMeta__$!{class.name}_$!{obj.number}_$!{targetObj.getProperty('target_property_name').value}__$!{targetObj.getProperty('target_property_value').value}")\n    {{html wiki="true" clean="false"}}##\n    {{html wiki="false" clean="false"}}<dl id="$targetId">{{/html}}##\n      #foreach($prop in $dataClass.properties)##\n        #if ($enabledProperties.contains($prop.name))#set($displayMode='')#else#set($displayMode=' hidden')#end##\n        <dt class="${prop.name}${displayMode}"> #if ($collapsibleProperties.contains($prop.name)) <span class="collapse-button"></span> #end <label for="">${prop.translatedPrettyName}:</label></dt>##\n        <dd class="${prop.name}${displayMode}">$doc.display($prop.getName(), $targetObj)</dd>##\n      #end##\n    </dl>##\n    <input type="hidden" name="delete-action" value="$doc.getURL('objectremove', "classname=${targetObj.xWikiClass.name}&amp;classid=${targetObj.number}&amp;form_token=$!{services.csrf.getToken()}")"/>##\n    {{/html}}\n#end\n\n#macro (__phenotypeMeta_displayLastEntry)\n  #set($dataClassName = 'PhenoTips.PhenotypeMetaClass')\n  #set ($objects = $doc.getObjects($dataClassName))\n  #if ($objects.size() > 0)\n    #set ($targetObj = $objects.get($mathtool.sub($objects.size(), 1)))\n    #__phenotypeMeta_displayEntry($targetObj $mode)\n  #end\n#end\n\n#macro (__phenotypeMeta_displayAll)\n  #set($dataClassName = 'PhenoTips.PhenotypeMetaClass')\n  #set ($objects = $doc.getObjects($dataClassName))\n  #if ($objects.size() > 0)\n    (% class="hidden" %)(((\n    #foreach ($pmObj in $objects)\n      #__phenotypeMeta_displayEntry($pmObj)\n    #end\n    )))\n  #end\n#end\n{{/velocity}}\n	1.1		PhenoTips.PatientSheet		0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-8708801843342423327	PhenoTips.PhenotypeMetaClass	PhenotypeMetaClass				0	2017-05-12 15:43:34	2017-05-12 15:43:34	2014-06-03 15:02:09	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.PhenotypeMetaClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<age_of_onset>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003577',\n  'HP:0030674',\n  'HP:0011460',\n  'HP:0011461',\n  'HP:0003623',\n  'HP:0003593',\n  'HP:0011463',\n  'HP:0003621',\n  'HP:0003581',\n  'HP:0011462',\n  'HP:0003596',\n  'HP:0003584'\n])\n#set ($startWith = 'HP:0003674')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>age_of_onset</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Age of onset</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</age_of_onset>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Comments</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<laterality>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0012832',\n  'HP:0012833',\n  'HP:0012834',\n  'HP:0012835'\n])\n#set ($startWith = 'HP:0012831')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>laterality</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Laterality</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</laterality>\n<pace_of_progression>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003680',\n  'HP:0003677',\n  'HP:0003676',\n  'HP:0003678',\n  'HP:0003682'\n])\n#set ($startWith = 'HP:0003679')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>pace_of_progression</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Pace of progression</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</pace_of_progression>\n<severity>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0012827',\n  'HP:0012825',\n  'HP:0012826',\n  'HP:0012828',\n  'HP:0012829'\n])\n#set ($startWith = 'HP:0012824')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>severity</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Severity</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</severity>\n<spatial_pattern>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0012837',\n  'HP:0012838',\n  'HP:0012839',\n  'HP:0012840'\n])\n#set ($startWith = 'HP:0012836')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>spatial_pattern</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Spatial pattern</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</spatial_pattern>\n<supporting_documents>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>supporting_documents</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Medical report (optional)</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage>pdf</validationMessage>\n<validationRegExp>^application\\/pdf$</validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</supporting_documents>\n<supporting_images>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>supporting_images</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Image / photo (optional)</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</supporting_images>\n<target_property_name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>target_property_name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>target_property_name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</target_property_name>\n<target_property_value>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>target_property_value</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>target_property_value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</target_property_value>\n<temporal_pattern>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003587',\n  'HP:0011010',\n  'HP:0011011',\n  'HP:0011009'\n])\n#set ($startWith = 'HP:0011008')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>temporal_pattern</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Temporal pattern</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</temporal_pattern>\n</class>\n	0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-1426279776542066006	PhenoTips.ExternalFileClass	ExternalFileClass				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:02:06	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.ExternalFileClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>comments</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<file>\n<cache>0</cache>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>file</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>file</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage>pdf</validationMessage>\n<validationRegExp>^application\\/pdf$</validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</file>\n</class>\n	0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
8582266331043691674	PhenoTips.InvestigationClass	InvestigationClass				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:02:08	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.InvestigationClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Comments</prettyName>\n<rows>3</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<gene>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit')\n{{html clean=false}}&lt;input type='text' name='${prefix}${name}' class='suggested suggest-gene gene-name' placeholder='$services.localization.render('phenotips.investigationClass.geneNamePlaceholder')' size='16' value="$!{escapetool.xml($value)}"/&gt;{{/html}}\n#else\n$!{value}#if("$!{value}" != ''){{html clean=false}}&lt;input type='hidden' name='gene_name' class='gene-name' value="$!{escapetool.xml($value)}"/&gt;{{/html}}#end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>gene</name>\n<number>2</number>\n<picker>1</picker>\n<prettyName>Gene</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</gene>\n<type>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>type</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>genetic=Genetic investigation|molecular=Molecular genetics</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</type>\n</class>\n	0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-7870144259798409225	PhenoTips.VCF	VCF	$services.localization.render('phenotips.vcf.title')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-09-10 21:34:06	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	Allows attaching VCF files to patient records.	1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.VCF</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<filename>\n<customDisplay>{{velocity output="false"}}\n#if (!$value)\n  #set ($value = [])\n#end\n{{/velocity}}\n\n{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<name>filename</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>VCF file</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage>vcf</validationMessage>\n<validationRegExp>.*</validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</filename>\n<reference_genome>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>reference_genome</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Reference genome</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>GRCh37=GRCh37 (hg19)|GRCh38=GRCh38 (hg38)|NCBI36=NCBI36 (hg18)</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</reference_genome>\n</class>\n	2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
7367851364799234842	PhenoTips.PhenotypeDisplay	PhenotypeDisplay				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#set($phenotypeDisplayTools = $services.phenotype)\n#set ($data = $services.phenotypeMapping.get($name))\n## If $data is empty, then either the mapping is broken, or there really is no data for this type of phenotypes...\n#if ("$!{data}" != '')\n  $phenotypeDisplayTools.setMode($xcontext.action)##\n  $phenotypeDisplayTools.setDocument($doc)##\n  #if ($class.get("negative_${name}"))\n    #set ($nname = "negative_${name}")##\n    #set ($nvalue = $object.getProperty("negative_${name}").value)##\n    $!phenotypeDisplayTools.use($prefix, $name, $nname)##\n    $!phenotypeDisplayTools.setSelectedValues($value, $nvalue)##\n    #set ($customCategories = {})\n    #set ($customNCategories = {})\n    #foreach ($categoryMapping in $doc.getObjects('PhenoTips.PhenotypeCategoryClass'))\n      #if ($categoryMapping.getProperty('target_property_name').value == $name)\n        #set ($discard = $customCategories.put($categoryMapping.getProperty('target_property_value').value, $categoryMapping.getProperty('target_property_category').value))\n      #elseif ($categoryMapping.getProperty('target_property_name').value == $nname)\n        #set ($discard = $customNCategories.put($categoryMapping.getProperty('target_property_value').value, $categoryMapping.getProperty('target_property_category').value))\n      #end\n    #end\n    $!phenotypeDisplayTools.setCustomCategories($customCategories, $customNCategories)##\n  #else\n    $!phenotypeDisplayTools.use($prefix, $name)##\n    $!phenotypeDisplayTools.setSelectedValues($value)##\n    #set ($customCategories = {})\n    #foreach ($categoryMapping in $doc.getObjects('PhenoTips.PhenotypeCategoryClass'))\n      #if ($categoryMapping.getProperty('target_property_name').value == $name)\n        #set ($discard = $customCategories.put($categoryMapping.getProperty('target_property_value').value, $categoryMapping.getProperty('target_property_category').value))\n      #end\n    #end\n    $!phenotypeDisplayTools.setCustomCategories($customCategories)##\n  #end\n  #if ($services.vocabularies.hpo.size() <= 0)\n    {{error}}{{translation key="phenotips.patientRecord.phenotypes.error.hpoNotIndexed"/}}{{/error}}\n\n  #end\n  #set ($displayHtml = $phenotypeDisplayTools.display($data))\n  #set ($hasPhenotype = ($object.getProperty($name).value && !$object.getProperty($name).value.empty) || ($object.getProperty("negative_${name}").value && !$object.getProperty("negative_${name}").value.empty))\n  #if ("$!displayHtml" == '' && ($hasPhenotype || $type == 'edit'))\n    {{error}}{{translation key="phenotips.patientRecord.phenotypes.error.failedDisplay"/}}{{/error}}\n  #else\n    {{html clean=false}}$displayHtml{{/html}}##\n  #end\n  $!phenotypeDisplayTools.clear()##\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-697911637008616141	PhenoTips.UIX_Field__family_history	UIX_Field__family_history	$services.localization.render('phenotips.UIXField.familyHistory')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:25	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
3677609021436523997	PhenoTips.UIX_Field__additional-images-exported	UIX_Field__additional-images-exported	$services.localization.render('phenotips.UIXField.additionalImageExports')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:30	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-1343373672531815063	PhenoTips.UIX_Field__exam_date	UIX_Field__exam_date	$services.localization.render('phenotips.UIXField.examDate')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:24	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
1640968616700422145	PhenoTips.UIX_Field__health_card	UIX_Field__health_card	$services.localization.render('phenotips.UIXField.healthCard')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:17	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-2917140387913630798	PhenoTips.UIX_Field__identifier	UIX_Field__identifier	$services.localization.render('phenotips.UIXField.identifier')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:22	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
5314465631535567676	PhenoTips.UIX_Field__parental_age	UIX_Field__parental_age	$services.localization.render('phenotips.UIXField.parentalAge')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:37	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-6658700599314567231	PhenoTips.UIX_Field__prenatal_phenotype	UIX_Field__prenatal_phenotype	$services.localization.render('phenotips.UIXField.prenatalPhenotype')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:27	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-9042646689748774870	PhenoTips.UIX_Section__genotype	UIX_Section__genotype	$services.localization.render('phenotips.UIXSection.genotype')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:33	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
6780263639170239364	PhenoTips.UIX_Section__family-info	UIX_Section__family-info	$services.localization.render('phenotips.UIXSection.familyInfo')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-1116859099162230719	PhenoTips.ExportPatient	ExportPatient	ExportPatient			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 16:00:48	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action != 'get')\n  #break\n#end\n$!response.setContentType('application/json')##\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#if ("$!request.id" != '')\n  #set ($patient = $services.patients.getPatientById($request.id))\n#elseif ("$!request.eid" != '')\n  #set ($patient = $services.patients.getPatientByExternalId($request.eid))\n#end\n#if (!$patient)\n  $response.setStatus(404)\n  {"error" : "Identifier not found."}\n  #break\n#end\n#if ("$!{request.data}" == 'pedigree')\n  #set ($pedigreeObj  = $!xwiki.getDocument($patient.getDocument()).getObject('PhenoTips.PedigreeClass'))\n  #if ($pedigreeObj)\n    #set ($pedigreeData = $pedigreeObj.getProperty('data'))\n    #if ($pedigreeData)\n      #set ($pedigreeJSON = $pedigreeObj.getProperty('data').value)\n      $pedigreeJSON\n    #else\n      ## no pedigree\n    #end\n  #else\n    ## no pedigree\n  #end\n#else\n  $jsontool.serialize($patient.toJSON())\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}\n	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
5961478927774864854	PhenoTips.UIX_Field__affected_relatives	UIX_Field__affected_relatives	$services.localization.render('phenotips.UIXField.affectedRelatives')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2015-07-16 07:45:32	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-5404451436186561621	PhenoTips.UIX_Section__medical-history	UIX_Section__medical-history	$services.localization.render('phenotips.UIXSection.medicalHistory')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:16	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-593955178708979057	PhenoTips.UIX_Field__additional-documents	UIX_Field__additional-documents	$services.localization.render('phenotips.UIXField.additionalDocuments')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:25	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-8481233760920225830	PhenoTips.UIX_Field__rejected_genes	UIX_Field__rejected_genes	$services.localization.render('phenotips.UIXField.rejectedGenes')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-11-20 21:44:12	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
3979838908796149307	PhenoTips.UIX_Field__omim_id	UIX_Field__omim_id	$services.localization.render('phenotips.UIXField.omimID')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:39	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
-9188894493861317696	PhenoTips.UIX_Field__obstetric_history	UIX_Field__obstetric_history	$services.localization.render('phenotips.UIXField.obstetricHistory')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2015-09-08 03:17:52	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-data-ui-1.2.6]	f	xwiki/2.1	t
6898761325737497537	PhenoTips.MenuConfigurationClass	MenuConfigurationClass				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:02:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.MenuConfigurationClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<enableDeleteTool>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>enableDeleteTool</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Enable delete tool for</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>view|edit</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</enableDeleteTool>\n<enableEditTool>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>enableEditTool</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Enable edit tools for</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>view|edit</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</enableEditTool>\n<enableHistoryTool>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>enableHistoryTool</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Enable history tool for</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>view|edit</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</enableHistoryTool>\n<enablePdfTool>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>enablePdfTool</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Enable PDF export for</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>view|edit</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</enablePdfTool>\n<enableTocTool>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>enableTocTool</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Enable table of contents for</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>view|edit</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</enableTocTool>\n</class>\n	0			Install extension [org.phenotips:application-configuration-ui-1.2.6]	f	xwiki/2.1	t
-2582009016571287674	PhenoTips.DBConfigurationClass	DBConfigurationClass				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:02:06	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.DBConfigurationClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<dateOfBirthFormat>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit' || $xcontext.action == 'admin')\n{{html wiki=false clean=false}}\n&lt;select name="$prefix$name" id="$prefix$name"&gt;\n#foreach ($val in ['MM/dd/yyyy', 'dd/MM/yyyy', 'yyyy-MM-dd', 'MM/yyyy', 'MMMM yyyy', 'yyyy'])\n  &lt;option #if ($val == $value) selected="selected"#end value="$val"&gt;$val $services.localization.render('phenotips.DBConfigurationClass.dateExample',[$xwiki.formatDate($util.date, $val)])&lt;/option&gt;\n#end\n&lt;/select&gt;\n{{/html}}\n#else\n$!value\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>dateOfBirthFormat</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Date of birth format</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</dateOfBirthFormat>\n<enableImperialUnitSystem>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>enableImperialUnitSystem</name>\n<number>6</number>\n<prettyName>Enable imperial unit system for entering measurements</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</enableImperialUnitSystem>\n<livetableColumns>\n<cache>0</cache>\n<customDisplay>//{{translation key="phenotips.DBConfigurationClass.metaInfo" /}}//\n\n{{velocity output=false}}\n#set ($docFields = ['doc.name', 'doc.creator', 'doc.author', 'doc.creationDate', 'doc.date'])\n#macro(__xclass__displayLivetableColOption $option $value)\n  &lt;li&gt;\n    &lt;label for="${prefix}${name}_${sectionId}"&gt;\n    &lt;input type="checkbox" name="${prefix}${name}" id="${prefix}${name}_${option}" value="$option"#if ($value.contains($option)) checked="checked"#end/&gt;\n    $services.localization.render("patient.livetable.${option}")\n    &lt;/label&gt;\n  &lt;/li&gt;\n#end\n{{/velocity}}\n\n{{velocity}}{{html wiki=false clean=false}}\n&lt;ul style="list-style-type: none; margin: 0 0 0 16px"&gt;\n#foreach ($option in $docFields)\n  #__xclass__displayLivetableColOption($option $value)\n#end\n&lt;/ul&gt;\n{{/html}}{{/velocity}}\n\n//{{translation key="phenotips.DBConfigurationClass.patientInfo" /}}//\n\n{{include reference="PhenoTips.DBConfigurationClassDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>livetableColumns</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Livetable columns</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>40</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</livetableColumns>\n<livetableRows>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>livetableRows</name>\n<number>10</number>\n<numberType>integer</numberType>\n<prettyName>Number of rows to display by default</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</livetableRows>\n<livetableSortColumn>\n<customDisplay>{{velocity}}\n#if ($type == 'edit')\n{{html clean="false"}}\n&lt;select name="${prefix}${name}"&gt;\n#foreach($column in $object.getProperty('livetableColumns').value)\n  &lt;option value="$escapetool.xml($column)"#if ($column == $value) selected="selected"#{end}&gt;$services.localization.render("patient.livetable.${column}")&lt;/option&gt;\n#end\n&lt;/select&gt;\n{{/html}}\n#else\n  $services.localization.render("patient.livetable.${value}")\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>livetableSortColumn</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Column to sort by default</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</livetableSortColumn>\n<measurementUnitSystem>\n<cache>0</cache>\n<customDisplay>{{velocity}}\n#if ($value != 'imperial')#set ($value = 'metric')#end\n{{html clean=false}}&lt;p&gt;&lt;label&gt;&lt;input type="radio" name="${prefix}${name}" id="${prefix}${name}_metric" value="metric" #if ($value == 'metric') checked="checked"#end /&gt;$services.localization.render('PhenoTips.DBConfigurationClass_measurementUnitSystem_metric')&lt;/label&gt;  &lt;label&gt;&lt;input type="radio" name="${prefix}${name}" id="${prefix}${name}_imperial" value="imperial" #if ($value == 'imperial') checked="checked"#end /&gt;$services.localization.render('PhenoTips.DBConfigurationClass_measurementUnitSystem_imperial')&lt;/label&gt;&lt;/p&gt;\n&lt;br/&gt;\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<multiSelect>0</multiSelect>\n<name>measurementUnitSystem</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Default unit system for entering measurements, when "Imperial unit system" is enabled</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>metric=Metric|imperial=Imperial</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</measurementUnitSystem>\n<phenotypeMapping>\n<cache>0</cache>\n<classname>PhenoTips.PhenotypeMappingClass</classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<idField>doc.fullName</idField>\n<multiSelect>0</multiSelect>\n<name>phenotypeMapping</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Phenotype configuration document</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>30</size>\n<sort>none</sort>\n<sql>select doc.fullName, doc.name from XWikiDocument doc, BaseObject obj where doc.fullName &lt;&gt; 'PhenoTips.PhenotypeMappingTemplate' and obj.name = doc.fullName and obj.className = 'PhenoTips.PhenotypeMappingClass'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField>doc.name</valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</phenotypeMapping>\n</class>\n	2			Install extension [org.phenotips:application-configuration-ui-1.2.6]	f	xwiki/2.1	t
4434957683997222722	PhenoTips.DBConfigurationClassDisplayer	DBConfigurationClassDisplayer				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output=false}}\n#macro(__xclass__displayCustomClassOption)\n  #if ($customValues && $customValues.size() > 0)\n  <ul class="custom-display-list">\n  #foreach($customVal in $customValues.keySet())\n  <li>\n    <label for="${prefix}${name}_${customVal}">\n    <input type="checkbox" name="${prefix}${name}" id="${prefix}${name}_${customVal}" value="$customVal"#if ($value.contains($customVal)) checked="checked"#end/>\n    Display ${customValues.get($customVal)}\n    </label>\n  </li>\n  #end\n  </ul>\n  #end\n#end\n\n#macro(__xclass__displayFieldList $xclassName $targetFieldName $targetFieldType $valuesList)\n  #if("$!{hideClassFields}" != 'true')\n  #set($xclass = $xwiki.getDocument($xclassName).getxWikiClass())\n  #if ($xclass.properties)\n    #if ($targetFieldType == 'select')\n      <select name="${targetFieldName}" id="${targetFieldName}_${field.name}">\n      #foreach ($field in $xclass.properties)\n        <option  value="${field.name}" #if($value == ${field.name}) selected="selected" #end>${field.translatedPrettyName}</option>\n      #end\n      </select>\n    #else\n      <ul  class="custom-display-list col-2">\n      #foreach ($field in $xclass.properties)\n        <li>\n          <label for="${targetFieldName}_${field.name}">\n          <input type="$targetFieldType" name="${targetFieldName}" id="${targetFieldName}_${field.name}" value="${field.name}" #if($targetFieldType == 'radio' && $value == ${field.name} || $value.contains(${field.name})) checked="checked" #end />\n          ${field.translatedPrettyName}\n        </li>\n      #end\n      </ul>\n    #end\n    <input type="hidden" name="${targetFieldName}" value="" />\n  #end\n  #end\n#end\n\n#set ($displayType = $object.xWikiClass.get($name).getProperty('displayType').value)\n#set ($multiSelect = $object.xWikiClass.get($name).getProperty('multiSelect').value)\n#if ("$!displayType" == '')\n  #set ($displayType = 'select')\n#elseif ($displayType != 'radio' && $displayType != 'select' || $multiSelect == '1')\n  #set ($displayType = 'checkbox')\n#end\n{{/velocity}}\n\n{{velocity}}\n{{html wiki=false clean=false}}#__xclass__displayCustomClassOption(){{/html}}\n\n#if ($name.indexOf('section__') == 0 && "$!{hideClassFields}" != 'true')\n//Select the fields that will be displayed in this section://\n\n#end\n{{html wiki=false clean=false}}#__xclass__displayFieldList('PhenoTips.PatientClass' "$prefix$name" $displayType $value){{/html}}\n{{/velocity}}	1.1		PhenoTips.DBConfigurationClass		0			Install extension [org.phenotips:application-configuration-ui-1.2.6]	f	xwiki/2.1	t
2408316101609766278	Main.Search	Search	#if("$!{request.text}" == '')$services.localization.render('search.page.title.noquery')#else$services.localization.render('search.page.title.query', [$request.text])#end			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2010-05-03 10:44:25	XWiki.Admin	XWiki.Admin	XWiki.Admin	Main	{{include reference="XWiki.SearchCode"/}}\n\n{{velocity}}\n## If no Search UI Extension exist then don't display the Search page.\n#if ("$!searchPage" != '')\n  {{include reference="$searchPage"/}}\n#else\n  ## Display a message explaining that there's no Search UI Extension.\n  $services.localization.render('search.page.noimplementation')\n#end\n{{/velocity}}	1.1		Main.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	f	xwiki/2.0	t
1729140392881331580	Main.WebSearch	WebSearch	#if("$!{request.text}" == '')$services.localization.render('search.page.database.title.noquery')#else$services.localization.render('search.page.database.title.query', [$request.text])#end			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2009-09-08 19:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	Main	{{velocity output="false"}}\n## This is a retro-compatibility page\n## You should use DatabaseSearch page now\n{{/velocity}}\n\n{{include reference="DatabaseSearch" /}}	1.1		Main.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	f	xwiki/2.0	t
1742467291601891863	Main.DatabaseSearch	DatabaseSearch	#if("$!{request.text}" == '')$services.localization.render('search.page.database.title.noquery')#else$services.localization.render('search.page.database.title.query', [$request.text])#end			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2010-05-26 12:08:49	XWiki.Admin	XWiki.Admin	XWiki.Admin	Main	{{velocity}}\n$xwiki.ssfx.use("uicomponents/search/search.css", true)##\n## Disable the document extra data: comments, attachments, history...\n#set($docextras = [])\n#set ($rssmode = ("$!request.xpage" == 'plain'))\n## ---------------\n## Space filtering\n## ---------------\n#set($spaces = $xwiki.spaces)\n#set($selectedSpace = $escapetool.html($!request.space))\n## ---------------\n## Space macros\n## ---------------\n#macro(spaceoption $space $selectedSpace)\n  <option value="${space}" #if($selectedSpace == $space)selected="selected"#end>$space</option>\n#end\n#macro(spaceselect $selectedSpace $spaces)\n  <select name="space" title="$services.localization.render('search.page.bar.spaces.title')">\n    <option value="" #if($selectedSpace == '')selected="selected"#end>$services.localization.render('search.page.bar.spaces.all')</option>\n    #foreach($space in $spaces)\n      #if (!$blacklistedSpaces.contains($space) && $xwiki.hasAccessLevel('view', "${space}.DocumentReservedForInternalXWikiUsage${mathtool.random(0, 999)}"))\n        #spaceoption($space $selectedSpace)\n      #end\n    #end\n  </select>\n#end\n##\n##\n#set($text = "$!request.getParameter('text')")\n#set($utext = $escapetool.url($text))\n## ---------------\n## Query form\n## ---------------\n#if(!$rssmode)\n{{html}}\n<form action="$doc.getURL()" id="searchBar">\n  <div class="centered">\n    <label for="text" class="hidden">$services.localization.render('search.page.query.label')</label>\n    <input type="text" id="text" name="text" class="searchQuery #if($text == '') withTip#end" #if($text == '') value="$services.localization.render('search.page.bar.query.tip')" #else value="${escapetool.xml($text)}" #end title="$services.localization.render('search.page.bar.query.title')"/>\n    #spaceselect($selectedSpace $spaces)\n    <span class='buttonwrapper'>\n      <input type="submit" class="searchButton button" value="$services.localization.render('search.page.bar.submit')" title="$services.localization.render('search.page.bar.submit.title')"/>\n    </span>\n  </div>\n</form>\n{{/html}}\n#end\n#set($space = $selectedSpace)\n#set($datedlist = [])\n#if("$!text" == '')\n  ## No search\n#else\n  #set($text = $text.replaceAll("'", "''").replaceAll("%", "\\\\%"))\n  #set($nbitems = 50)\n  ## ----------------------------------------------------------------------\n  ## Exclude Blacklisted spaces ($blacklistedSpaces is set in xwikivars.vm)\n  ## Also exclude WebPreferences.\n  ## ----------------------------------------------------------------------\n  #set ($webClause = '')\n  #foreach ($blacklistedSpace in $blacklistedSpaces)\n    #set ($webClause = "${webClause} doc.space <> '$blacklistedSpace' and")\n  #end\n  #if(!$hasAdmin && !$isAdvancedUser)\n    #set ($webClause = "${webClause} doc.name<>'WebPreferences' and")\n  #end\n  ## -----------------------------------------------------------\n  ## Display only a given space if $request.space is defined\n  ## -----------------------------------------------------------\n  #if("$!space" != '')\n    #set ($webClause = "${webClause} doc.space='$space' and")\n  #end\n  #macro(addelement $item $list)\n    #if($xwiki.hasAccessLevel('view', $xcontext.user, "${xcontext.database}:${item}"))\n      #set($itemdoc = $xwiki.getDocument($item))\n      ## All items will be sorted by the date; since the list is obtained from several queries, we can't order in the HQL.\n      ## Prefix all item names with the date for sorting the combined results.\n      #set($sdate = $xwiki.formatDate($itemdoc.date, 'yyyyMMddHHmmss'))\n      #set($sitem = "${sdate}${item}")\n      #if(!$list.contains($sitem))\n        #set($discard = $list.add($sitem))\n      #end\n    #end\n  #end\n  ## -----------------------------------------------------------\n  ## Search in the page names\n  ## -----------------------------------------------------------\n  #set($query = $services.query.xwql("where $webClause upper(doc.fullName) like ?1 order by doc.date desc").addFilter('hidden').bindValue(1, "%${text.toUpperCase()}%").setLimit($nbitems).setOffset(0))\n  #foreach ($item in $query.execute())\n    #addelement($item $datedlist)\n  #end\n  ## -----------------------------------------------------------\n  ## Search in page content\n  ## -----------------------------------------------------------\n  #set($query = $services.query.xwql("where $webClause upper(doc.content) like ?1 order by doc.date desc").addFilter('hidden').bindValue(1, "%${text.toUpperCase()}%").setLimit($nbitems).setOffset(0))\n  #foreach ($item in $query.execute())\n    #addelement($item $datedlist)\n  #end\n  ## -----------------------------------------------------------\n  ## Search in text fields (simple String properties)\n  ## -----------------------------------------------------------\n  #set($query = $services.query.xwql("from BaseObject as obj, StringProperty as prop where $webClause obj.name=doc.fullName and prop.id.id = obj.id and upper(prop.value) like ?1").addFilter('hidden').bindValue(1, "%${text.toUpperCase()}%").setLimit($nbitems).setOffset(0))\n  #foreach ($item in $query.execute())\n    #addelement($item $datedlist)\n  #end\n  ## -----------------------------------------------------------\n  ## Search in big text fields (textarea properties)\n  ## -----------------------------------------------------------\n  #set($query = $services.query.xwql("from BaseObject as obj, LargeStringProperty as prop where $webClause obj.name=doc.fullName and prop.id.id = obj.id and upper(prop.value) like ?1").addFilter('hidden').bindValue(1, "%${text.toUpperCase()}%").setLimit($nbitems).setOffset(0))\n  #foreach ($item in $query.execute())\n    #addelement($item $datedlist)\n  #end\n#end\n#set($list = [])\n#set ($discard = $collectionstool.sort($datedlist))\n#foreach($item in $datedlist)\n  ## datedlist contains items prefixed with the date; strip the date from the actual item name:\n  #set($ok = $list.add(0, $item.substring(14)))\n#end\n#if ("$!utext" != '')\n  #if($rssmode)\n    #set ($feed = $xwiki.feed.getDocumentFeed($list, {}))\n    #set ($feedURI = $doc.getExternalURL("view"))\n    #set ($discard = $feed.setLink($feedURI))\n    #set ($discard = $feed.setUri($feedURI))\n    #set ($discard = $feed.setAuthor('XWiki'))\n    #set ($discard = $feed.setTitle($services.localization.render('search.rss', [$text])))\n    #set ($discard = $feed.setDescription($services.localization.render('search.rss', [$text])))\n    #set ($discard = $feed.setLanguage($xcontext.language))\n    #set ($discard = $feed.setCopyright($xwiki.getXWikiPreference('copyright')))\n    {{{$xwiki.feed.getFeedOutput($feed, $xwiki.getXWikiPreference('feed_type', 'rss_2.0'))}}}\n  #else\n\n    {{include reference="XWiki.Results"/}}\n\n    #if($selectedSpace == '')\n      #set($rssURL = $xwiki.getURL($doc.fullName, 'view', "xpage=plain&amp;outputSyntax=plain&amp;text=${utext}" ))\n    #else\n      #set($rssURL = $xwiki.getURL($doc.fullName, 'view', "xpage=plain&amp;outputSyntax=plain&space=${selectedSpace}&text=${utext}"))\n    #end\n    {{html}}\n      <a href="${rssURL}" class='hasIcon iconRSS'>$services.localization.render('search.rss', ["[$escapetool.xml($text)]"])</a>\n    {{/html}}\n  #end\n#end\n{{/velocity}}	1.1		Main.Search		2			Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	f	xwiki/2.0	t
-7509314645851387670	XWiki.SearchAdmin	SearchAdmin	Search administration			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2010-04-26 08:32:17	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{include reference='XWiki.SearchCode' /}}\n\n(% id='Hsearch.admin.configuration.title' %)\n= {{velocity}}$services.localization.render('search.admin.configuration.title'){{/velocity}} =\n\n{{velocity}}\n#set ($searchEnginePropertyClass = $searchConfigClass.engine)\n#set ($availableSearchExtensions = $services.uix.getExtensions('org.xwiki.platform.search', {'sortById' : ''}))\n{{html wiki='true'}}\n<form id='search_XWiki.SearchConfig' method='post' action="${searchConfigDoc.getURL('save')}" class='xform half'>\n  <dl>\n    <dt>\n      <input type='hidden' name='form_token' value="$!{services.csrf.getToken()}" />\n      <input type='hidden' name='xredirect' value="$doc.getURL($xcontext.action, $!{request.queryString})" />\n    </dt>\n\n    <dt>\n      <label>$searchEnginePropertyClass.translatedPrettyName</label>\n      <span class='xHint'>$services.localization.render('search.admin.configuration.seexwikicfg')</span>\n    </dt>\n    <dd>\n      <select name='XWiki.SearchConfigClass_0_engine'>\n      #foreach ($availableSearchExtension in $availableSearchExtensions)\n        <option value="$availableSearchExtension.id" #if($availableSearchExtension.id == $searchEngine)selected='selected'#end>$availableSearchExtension.parameters.label</option>\n      #end\n      </select>\n    </dd>\n\n    <dt>\n      <span class='buttonwrapper'>\n        <input value="$services.localization.render('search.admin.configuration.button')" class='button' type='submit'>\n      </span>\n    </dt>\n  </dl>\n</form>\n{{/html}}\n\n## If no Search UI Extension exist then don't display the Search Admin section.\n#if ("$!searchAdminPage" != '')\n  #set ($searchAdminDoc = $xwiki.getDocument($searchAdminPage))\n  ## If the document doesn't exist don't display it either.\n  #if (!$searchAdminDoc.isNew())\n    = $searchAdminDoc.displayTitle =\n\n    ## Use context='new' in the include so that we can use PR.\n    {{include reference="$searchAdminPage" context='new'}}\n  #end\n#end\n{{/velocity}}	1.1		Main.WebHome		3			Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	f	xwiki/2.0	t
7512616125857928286	XWiki.SearchConfigClass	SearchConfigClass				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2010-04-26 08:04:03	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	\n	1.1		XWiki.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.SearchConfigClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<engine>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>engine</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Default search engine</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</engine>\n</class>\n	2			Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	f	xwiki/2.0	t
3378800498336242331	XWiki.SearchSuggestSourceSheet	SearchSuggestSourceSheet				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2013-08-14 12:33:21	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#set ($className = 'XWiki.SearchSuggestSourceClass')\n#set ($class = $xwiki.getDocument($className).xWikiClass)\n#if (!$object && "$!request.xobjectNumber" != '')\n  #set ($object = $doc.getObject($className, $mathtool.toInteger($request.xobjectNumber)))\n#end\n#if (!$object)\n  #set ($object = $doc.getObject($className, true))\n#end\n#set ($discard = $doc.use($object))\n#set ($prefix = "${className}_${object.number}_")\n## We include the 'get' action because we use it when adding a new search suggest source through AJAX.\n#set ($editing = $xcontext.action == 'admin' || $xcontext.action == 'edit' || $xcontext.action == 'inline' || $xcontext.action == 'get')\n(% class="xform" %)(((\n#foreach ($property in $class.properties)\n  #set ($displayFormType = $property.getProperty('displayFormType'))\n  #set ($isCheckbox = $editing && $property.classType == 'Boolean' && (!$displayFormType || $displayFormType.value == 'checkbox'))\n  ; {{html wiki="true"}}\n    <label#if ($editing) for="${prefix}$property.name"#end>\n      #if ($isCheckbox)\n        $doc.display($property.name, 'edit')\n      #end\n      $property.translatedPrettyName\n    </label>\n    {{/html}}##\n    #set ($hintKey = "${className}_${property.name}.hint")\n    #if ($services.localization.get($hintKey))\n      (% class="xHint" %){{translation key="$hintKey"/}}##\n    #end\n\n  #if (!$isCheckbox)\n    : #if ($editing)\n        $doc.display($property.name, 'edit')\n      #else\n        {{{$!object.getProperty($property.name).value}}}\n      #end\n  #end\n#end\n)))\n{{/velocity}}	1.1		XWiki.SearchSuggestSourceClass		0			Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	f	xwiki/2.1	t
1565339973703422931	XWiki.SearchSuggestSourceClass	SearchSuggestSourceClass				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2013-08-09 01:07:23	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.SearchSuggestConfig	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.SearchSuggestSourceClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<activated>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>activated</name>\n<number>8</number>\n<prettyName>Activated</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</activated>\n<engine>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>engine</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Engine</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</engine>\n<highlight>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>highlight</name>\n<number>7</number>\n<prettyName>Highlight</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</highlight>\n<icon>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>icon</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Icon</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</icon>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<query>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>query</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Query</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</query>\n<resultsNumber>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>resultsNumber</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Limit</prettyName>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</resultsNumber>\n<url>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>url</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Service</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</url>\n</class>\n	2			Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	f	xwiki/2.1	t
-6362973416038732564	PhenoTips.DatabaseFilters	DatabaseFilters				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:39	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output=false}}\n#set ($activeFields = $services.recordConfiguration.activeConfiguration.enabledFieldNames)\n#set ($dateFormat = "MM/dd/yyyy")\n##\n##\n#macro (__filters_dateRange $field_name $dateStart $dateEnd)\n(% class="date-range" %)(((\n#__filters_dateField ("$services.localization.render('phenotips.databaseFilters.after.label') " "${field_name}/after" $dateStart)\n\n#__filters_dateField ("$services.localization.render('phenotips.databaseFilters.before.label') " "${field_name}/before" $dateEnd)\n)))\n#end\n##\n#macro (__filters_dateField $label $field_name $value)\n{{html clean="false"}}<label>$label <span class="xHint">$services.localization.render('phenotips.databaseFilters.generalEmptyHint')</span><input class="xwiki-date" type="text" alt="#if($value)#formatdateISO($value)#end" value="$!xwiki.formatDate($value, $definedFormat)" name="${field_name}" title="${dateFormat}" /></label>{{/html}}\n#end\n\n#macro(__filters_display $cssClass)\n(% class="filters $!cssClass" %)\n#if ($activeFields.contains('external_id'))\n* $services.localization.render('phenotips.databaseFilters.externalID') {{html clean=false}}<p class="xHint">$services.localization.render('phenotips.databaseFilters.externalID.hint')</p><input type="text" name="external_id" value=""/>{{/html}}\n#end\n* $services.localization.render('phenotips.databaseFilters.visibility') {{html clean=false}}#foreach ($visibility in $services.permissions.listVisibilityOptions())<br /><input type="checkbox" class="multipleSelection privacyExport" name="visibility" value="$visibility.name"#if ($visibility.name != 'hidden') checked="checked"#end /> $visibility.label#end<input type="hidden" name="visibility/class" value="PhenoTips.VisibilityClass"/>{{/html}}\n* $services.localization.render('phenotips.databaseFilters.referrer') {{html clean=false}}<p class="xHint">$services.localization.render('phenotips.databaseFilters.referrer.hint')</p><input type="text" class="suggestUsers multipleSelection" name="doc.creator" value=""/>{{/html}}\n* $services.localization.render('phenotips.databaseFilters.owner') {{html clean=false}}<p class="xHint">$services.localization.render('phenotips.databaseFilters.owner.hint')</p><input type="hidden" name="owner/class" value="PhenoTips.OwnerClass"/><input type="text" class="suggestUsers multipleSelection" name="owner" value=""/>{{/html}}\n* $services.localization.render('phenotips.databaseFilters.author') {{html clean=false}}<p class="xHint">$services.localization.render('phenotips.databaseFilters.author.hint')</p><input type="text" class="suggestUsers multipleSelection" name="doc.author" value=""/>{{/html}}\n* $services.localization.render('phenotips.databaseFilters.creationDate') #__filters_dateRange("doc.creationDate")\n* $services.localization.render('phenotips.databaseFilters.modificationDate') #__filters_dateRange("doc.date")\n#if ($activeFields.contains('date_of_birth'))\n  * $services.localization.render('phenotips.databaseFilters.dateOfBirth') #__filters_dateRange("date_of_birth")\n#end\n#if ($activeFields.contains('omim_id'))\n  * $services.localization.render('phenotips.databaseFilters.disease') {{html clean=false}}<p class="xHint">$services.localization.render('phenotips.databaseFilters.disease.hint')</p><input type="text" class="suggest multi suggestOmim generateCheckboxes" name="omim_id" value=""/>{{/html}}\n  ** {{html clean='false'}}$services.localization.render('phenotips.databaseFilters.disease.presentingFilter', [ "<label><input type='radio' name='omim_id/join_mode' value='AND'/>", "</label>", "<label><input type='radio' name='omim_id/join_mode' value='OR' checked='checked'/>", "</label>"]){{/html}}\n#end\n#if ($activeFields.contains('phenotype'))\n  * $services.localization.render('phenotips.databaseFilters.phenotype') {{html clean="false"}}<p class="xHint">$services.localization.render('phenotips.databaseFilters.phenotype.hint')</p><input type="text" class="suggest multi suggestHpo generateCheckboxes" name="phenotype" value=""/>{{/html}}\n  ** {{html clean='false'}}$services.localization.render('phenotips.databaseFilters.phenotype.oneOrAllSelection', ["<label><input type='radio' name='phenotype/join_mode' value='AND'/>", "</label>", "<label><input type='radio' name='phenotype/join_mode' value='OR' checked='checked'/>", "</label>"]){{/html}}\n  ** {{html clean='false'}}$services.localization.render('phenotips.databaseFilters.phenotype.subcategoryOption', ["<label><input type='radio' name='phenotype_subterms' value='yes' checked='checked'/>", "</label>", "<label><input type='radio' name='phenotype_subterms' value='no'/>", "</label>"]){{/html}}\n#end\n#end\n{{/velocity}}	1.1		PhenoTips.Export		0			Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	f	xwiki/2.1	t
7862198511921928654	XWiki.Results	Results	$services.localization.render("search.page.results")			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2009-09-08 20:00:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n{{html}}\n#set($showdata = 0)\n<div id="searchResults">\n  #foreach ($item in $list)\n    #set($itemClass = "$item.class")\n    #set($itemfullname = "${xcontext.database}:${item}")\n    #if ($xwiki.hasAccessLevel('view', $xcontext.user, $itemfullname))\n      <div class="resultItem">\n      <div class="resultContainer">\n      #set($itemDoc = $xwiki.getDocument($item))\n      #set($author = $xwiki.getUserName($itemDoc.author))\n      ##*********************************************************##\n      ## Description                                             ##\n      ##*********************************************************##\n      <div class="itemDescription type-${item.type}">\n        ##*********************************************************##\n        ## Title                                                   ##\n        ##*********************************************************##\n        <h2 class="itemTitle">\n          <a href="$xwiki.getURL($itemfullname)">$escapetool.xml($itemDoc.plainTitle)</a>\n        </h2>\n        ##*********************************************************##\n        ## Location                                                ##\n        ##*********************************************************##\n        <div class="itemLocation">\n          $services.localization.render('search.item.location', [\n          $escapetool.xml($itemDoc.wiki), $xwiki.getURL("${itemDoc.wiki}:Main.WebHome"),\n          $escapetool.xml($itemDoc.space), $xwiki.getURL("${itemDoc.wiki}:${itemDoc.space}.WebHome"),\n          $escapetool.xml($itemDoc.name), $xwiki.getURL($itemfullname)])\n        </div>\n        ##*********************************************************##\n        ## Modifiers - content update date                         ##\n        ##*********************************************************##\n        <div class="itemModified">\n          #if ($author == 'XWikiGuest')\n            #set($author = $services.localization.render('search.page.results.guest'))\n          #end\n          $services.localization.render('search.item.modified', [$author, $xwiki.formatDate($itemDoc.date, 'dd MMM yyyy')])\n        </div>\n## TODO: Uncomment when the attachment and comment count will be implemented\n##         <div class="itemOthers">\n          ##*********************************************************##\n          ## Rating                                                  ##\n          ##*********************************************************##\n          #if($xwiki.ratings && $item.type != 'attachment')\n            #set($avarageRating = $xwiki.ratings.getAverageRating($xwiki.getDocument($itemfullname)).averageVote)\n            #set($percentageRating = $avarageRating * 20)\n            <span class="itemRating" title="$services.localization.render('search.item.rating.title')">\n              <span class="currentRating" style="width:$percentageRating%;"></span>\n            </span>\n          #end\n##         </div>\n      </div> ## end <div class="itemDescription">\n      #if ($isScored)\n        #set ($resval = $mathtool.min($mathtool.mul($itemDoc.score, 100), 100))\n        ##*********************************************************##\n        ## Relevance                                               ##\n        ##*********************************************************##\n        <div class="itemRelevance">\n          <span class="relevance" title="$services.localization.render('search.item.relevance.title')">\n            <span class="currentRelevance" style="width:${resval}%;"></span>\n          </span>\n          <span class="relevanceText">$resval.intValue()%</span>\n        </div>\n      #end ## isScored\n      ##*********************************************************##\n      ## Actions (admins only)                                   ##\n      ##*********************************************************##\n#*\n      #if($xwiki.hasAdminRights())\n          #set($copyURL = $xwiki.getURL('XWiki.CopyDocument', 'view', "sourcedoc=${escapetool.url($itemfullname)}"))\n          #set($deleteURL = $xwiki.getDocument($itemfullname).getURL('delete'))\n          #set($renameURL = $xwiki.getDocument($itemfullname).getURL('view', 'xpage=rename&amp;step=1'))\n          #set($rightsURL = $xwiki.getDocument($itemfullname).getURL('edit', 'editor=rights'))\n          <div class="itemActions">\n            <a href="$copyURL" class="tool copy" title="$services.localization.render('search.page.results.copy')">$services.localization.render('search.page.results.copy')</a>\n            <a href='$renameURL' class="tool rename" title="$services.localization.render('search.page.results.rename')">$services.localization.render('search.page.results.rename')</a>\n            <a href="$deleteURL" class="tool delete" title="$services.localization.render('search.page.results.delete')">$services.localization.render('search.page.results.delete')</a>\n            <a href='$rightsURL' class="tool rights" title="$services.localization.render('search.page.results.rights')">$services.localization.render('search.page.results.rights')</a>\n          </div> ## itemActions\n        #end ## has admin rights *# ##\n      </div> ## resultContainer\n      </div> ## resultItem\n    #end ## hasAccessLevel\n  #end ## foreach item\n</div> ## searchResults\n{{/html}}\n{{/velocity}}	1.1		Main.WebSearch		0			Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	f	xwiki/2.0	t
-9097985822642514826	XWiki.SearchCode	SearchCode				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2010-04-29 05:14:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n#set ($searchConfigDoc = $xwiki.getDocument('XWiki.SearchConfig'))\n#set ($searchConfigClass = $xwiki.getDocument('XWiki.SearchConfigClass').xWikiClass)\n\n## Get or create the configuration object\n#set ($searchConfigObj = $searchConfigDoc.getObject($searchConfigClass.name, true))\n#set ($searchEngine = "$!{searchConfigObj.getProperty('engine').value}")\n\n## Default search engine to use in case the configured one is not found:\n## - 'solr' is the preferred default\n## - 'database' is the fall-back default\n#set ($searchExtensions = $services.uix.getExtensions('org.xwiki.platform.search', {'sortByCustomOrder' : "${searchEngine}, solr, database"}))\n#if (!$searchExtensions.isEmpty())\n  #set ($searchExtension = $searchExtensions[0])\n\n  ## Update the configuration if it is out of synch with the reality (installed extensions).\n  #set ($needsUpdate = $searchEngine != $searchExtension.id)\n  #set ($searchEngine = $searchExtension.id)\n  #if ($needsUpdate && $searchConfigDoc.hasAccessLevel('edit'))\n    #if ($searchConfigDoc.parent == '')\n      $searchConfigDoc.setParent('XWiki.SearchAdmin')\n    #end\n    ## Save the updated configuration. Make sure to set it hidden as it's a technical document.\n    $searchConfigObj.set('engine', $searchEngine)\n    $searchConfigDoc.setHidden(true)\n    $searchConfigDoc.save()\n  #end\n\n  #set ($searchPage = $searchExtension.parameters.search)\n  #set ($searchAdminPage = $searchExtension.parameters.admin)\n#else\n  ## No Search UI Extension was found!\n  #set ($searchPage = '')\n  #set ($searchAdminPage = '')\n#end\n{{/velocity}}	1.1		Main.WebHome		0			Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	f	xwiki/2.0	t
6075148806462035940	XWiki.SearchSuggestConfigSheet	SearchSuggestConfigSheet				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2013-08-09 01:07:23	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{include reference="XWiki.SearchCode" /}}\n\n{{velocity}}\n#set ($discard = $xwiki.ssx.use('XWiki.SearchSuggestConfigSheet'))\n#set ($discard = $xwiki.jsx.use('XWiki.SearchSuggestConfigSheet'))\n#set ($editing = $xcontext.action == 'admin' || $xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($mode = 'view')\n#if ($editing)\n  #set ($mode = 'edit')\n#end\n= {{translation key="admin.searchsuggest" /}} =\n\n#set($discard = $doc.use($doc.fullName))\n(% class="xform" %)(((\n; {{html}}\n  <label#if ($editing) for="${doc.fullName}_0_activated"#end>\n    $doc.displayPrettyName('activated', false, false)\n  </label>\n  {{/html}}\n: $doc.display('activated', $mode)\n)))\n\n== {{translation key="platform.search.suggestSources" /}} ==\n#set ($searchSuggestSourceClassName = 'XWiki.SearchSuggestSourceClass')\n## Group sources by search engine.\n#set ($sources = {})\n#foreach ($source in $doc.getObjects($searchSuggestSourceClassName))\n  #set ($engine = $source.getProperty('engine').value)\n  #if ("$!engine" == '')\n    #set ($engine = 'solr')\n  #end\n  #set ($sourcesForEngine = $sources.get($engine))\n  #if (!$sourcesForEngine)\n    #set ($sourcesForEngine = [])\n    #set ($discard = $sources.put($engine, $sourcesForEngine))\n  #end\n  #set ($discard = $sourcesForEngine.add($source))\n#end\n## Display the list of search engines.\n## We use HTML here just because we can't set the class name of a list item using wiki syntax.\n#if ($sources.size() > 0)\n  {{html}}\n  <ul class="xwikitabbar searchEngines">\n  #foreach ($engine in $sorttool.sort($sources.keySet()))\n    <li#if ($engine == $searchEngine) class="active"#end>\n      <a href="#${engine}SearchSuggestSources">$engine</a>\n    </li>\n  #end\n  </ul>\n  {{/html}}\n\n#end\n## Display sources by search engine.\n#set ($sourceSheet = $xwiki.getDocument('XWiki.SearchSuggestSourceSheet'))\n#foreach ($engine in $sources.keySet())\n  (% class="searchSuggestSources#if ($engine != $searchEngine) hidden#end" id="${engine}SearchSuggestSources" %)\n  #foreach ($source in $sources.get($engine))\n    #set ($icon = $source.getProperty('icon').value)\n    #if (!$icon.startsWith('icon:'))\n      ## Evaluate the Velocity code for backward compatibility.\n      #set ($icon = "path:#evaluate($icon)")\n    #end\n    #set ($name = $source.getProperty('name').value)\n    #if ($services.localization.get($name))\n      #set ($name = $services.localization.render($name))\n    #else\n      ## Evaluate the Velocity code for backward compatibility.\n      #set ($name = "#evaluate($name)")\n    #end\n    #set ($style = 'source-header')\n    #if ("$source.getProperty('activated').value" == '1')\n      #set ($style = "$style activated")\n    #end\n    #if ("$source.getProperty('highlight').value" == '1')\n      #set ($style = "$style highlighted")\n    #end\n    * (% class="source" %)(((\n        (% class="$style" %)(((\n          [[image:$icon||class="icon"]] (% class="limit" %)$!{source.getProperty('resultsNumber').value}(%%) (% class="name" %)$name(%%)##\n          #if ($editing)\n            (% class="actions" %)(((\n              [[[[image:icon:cross||class="icon"]]>>path:$doc.getURL('objectremove', $escapetool.url({\n                'form_token': $services.csrf.token,\n                'classname': $searchSuggestSourceClassName,\n                'classid': $source.number,\n                'xredirect': $doc.getURL('edit')\n              }))||class="delete"]]\n            )))\n          #end\n        )))\n        (% class="source-body hidden" %)(((\n          #set ($object = $source)\n          {{html}}$sourceSheet.getRenderedContent().replace('{{', '&#123;&#123;'){{/html}}\n        )))\n      )))\n  #end\n\n#end\n\n#if ($editing)\n  [[{{translation key="platform.search.suggestAddNewSource" /}}>>path:$doc.getURL('objectadd', $escapetool.url({\n    'form_token': $services.csrf.token,\n    'classname': $searchSuggestSourceClassName,\n    'xredirect': $xwiki.relativeRequestURL\n  }))||class="addSearchSuggestSource"]]\n#end\n{{/velocity}}	1.1		XWiki.SearchSuggestConfig		2			Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	f	xwiki/2.1	t
-4741013259021577601	Panels.Search	Search				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2006-12-03 07:21:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	Panels		1.1		Panels.WebHome		2			Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	f	xwiki/2.0	t
-2096026989234593880	PhenoTips.SuggestPatientsService	SuggestPatientsService	Patient Search Service			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:17	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n## ------------------------\n## URL parameters retrieval\n## ------------------------\n#set ($input = "$!request.input.toLowerCase()")\n#set ($nb = "$!request.nb")\n#if ($nb != '')\n  #set ($nb = $mathtool.toInteger($nb))\n#else\n  #set ($nb = 6)\n#end\n## -----------------------------------\n## Query execution, results formatting\n## -----------------------------------\n#if ($input != '')\n  #set ($query = 'from doc.object(PhenoTips.PatientClass) as patient where doc.name <> ''PatientTemplate'' and lower(doc.name) like :input ESCAPE ''!'' or lower(patient.external_id) like :input ESCAPE ''!''')\n  #if ($services.recordConfiguration.activeConfiguration.enabledFieldNames.contains('first_name'))\n    #set ($query = $query.concat(' or lower(patient.first_name) like :input ESCAPE ''!'' or lower(patient.last_name) like :input ESCAPE ''!'''))\n  #end\n  #set ($query = $services.query.xwql($query))\n  #set ($discard = $query.bindValue('input', "%${input.replaceAll('[\\[_%!]', '!$0')}%"))\n  #set ($results = $query.execute())\n  #if ($request.permission)\n    #set ($requiredPermissions = $request.permission)\n  #else\n    #set ($requiredPermissions = 'view')\n  #end\n  #if ($request.json)\n    #set ($discard = $response.setContentType('application/json'))\n    { "matchedPatients": [\n  #else\n    #set ($discard = $response.setContentType('text/xml'))\n    <?xml version="1.0" encoding="UTF-8"?>\n    <results>\n  #end\n  #set ($count = 0)\n  #foreach ($item in $results)\n    #if ($xwiki.hasAccessLevel($requiredPermissions, $xcontext.user, $item))\n      #set ($itemdoc = $xwiki.getDocument($item))\n      #set ($patientObj = $!itemdoc.getObject('PhenoTips.PatientClass'))\n      #set ($phenotipsId = $itemdoc.name)\n      #set ($url = $itemdoc.getURL())\n      #set ($externalId  = "$!patientObj.getProperty('external_id').value")\n      #if ($services.recordConfiguration.activeConfiguration.enabledFieldNames.contains('first_name'))\n        #set ($firstName   = "$!patientObj.getProperty('first_name').value")\n        #set ($lastName    = "$!patientObj.getProperty('last_name').value")\n        #set ($name = "$firstName $lastName")\n        #set ($name = $name.trim())\n      #else\n        #set ($name = '')\n      #end\n      #set ($description = "$phenotipsId")\n      #if ($externalId != '' || $name != '')\n        #set ($description = "$description (")\n        #if ($name != '')\n          #set ($description = "${description}name: '${name}'")\n        #end\n        #if ($externalId != '')\n          #if ($name != '')\n            #set ($description = "${description}, ")\n          #end\n          #set ($description = "${description}identifier: '${externalId}'")\n        #end\n        #set ($description = "$description)")\n      #end\n      #if ($request.json && $count > 0)\n        ,\n      #end\n      #if ($request.json)\n        { "id": "$phenotipsId", "url": "$url", "identifier": "${externalId}", "textSummary": "$description" }##\n      #else\n        <rs id="$url" info="${escapetool.xml($itemdoc.documentReference)}">$escapetool.xml($description)</rs>\n      #end\n      #set ($count = $count + 1)\n      #if ($count >= $nb)\n        #break($foreach)\n      #end\n    #end\n  #end\n  #if ($request.json)\n\n    ] }\n  #else\n    </results>\n  #end\n#else\n  {{info}}\n    $services.localization.render('phenotips.SuggestPatientService.serviceInfo',["[[$doc.getExternalURL('get', 'outputSyntax=plain&query=__INPUT__*&input=test')]]"])\n  {{/info}}\n#end\n{{/velocity}}\n	1.1		XWiki.SearchCode		0			Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	f	xwiki/2.0	t
5703031329257837853	PhenoTips.LiveTableResults	LiveTableResults				0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:16	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output="false"}}\n## Additional XClasses that have been brought into the query, excluding the main class type which is used by default for properties.\n## If a property ("propname") comes from a different XClass, a "propname/class" parameter with the XClass name ("Space.ClassName") as the value must be present in the request.\n#set ($extraClassesAddedToQuery = {})\n\n#**\n * Macro to get the results of a livetable data call.\n * This page is called from live grids via Ajax with the argument xpage=plain. It returns a\n * set of results serialized in JSON.\n *#\n#macro(gridresult $className $collist)\n  #gridresultwithfilter($className $collist "$!{request.filterFrom}" "$!{request.filterWhere}" [])\n#end\n\n\n#**\n * Computes the query used to retrieve the results of a live table data call.\n * NOTE: This macro is not fully encapsulated because it defines a few Velocity variables that are used in subsequent macros.\n *#\n#macro(gridresultwithfilter_buildQuery $className $collist $filterfrom $filterwhere $filterParams)\n  ## Additional columns; should *not* contain raw parameters, all added column names must be filtered\n  #set($fromSql = '')\n  ## Parametrized filter part of the query\n  #set($whereSql = '')\n  ## List of values to use with $whereSql\n  #set($whereParams = [])\n  ## The default XClass used for otherwise unbound property names; the main type of object queried by the livetable\n  #if ("$!{className}" != '')\n    #set ($class = $xwiki.getDocument($className).getxWikiClass())\n  #else\n    #set ($class = $NULL)\n  #end\n  ##\n  ## Add the columns needed for the actual data\n  ##\n  #set($tablelist = [])\n  #set ($processedColumns = $collectionstool.set)\n  #foreach($colname in $request.parameterNames)\n    #livetable_addColumnToQuery($colname)\n  #end\n  ##\n  ##\n  ## Order\n  ##\n  #set($order = "$!request.sort")\n  #if($order != '')\n    #set($orderDirection = "$!{request.get('dir').toLowerCase()}")\n    #if("$!orderDirection" != '' && "$!orderDirection" != 'asc')\n      #set($orderDirection = 'desc')\n    #end\n    ## FIXME: Add support for ordering on properties from another XClass\n    #set($tableAlias = $order)\n    ## Only safe version should be used in SQL queries\n    #set($safe_tableAlias = "$!{tableAlias.replaceAll('[^a-zA-Z0-9_.]', '')}")\n    ##\n    #if($order.startsWith('doc.'))\n      #set($orderSql = " order by ${safe_tableAlias.replace('_','.')} ${orderDirection}")\n    #elseif($tablelist.contains($tableAlias))\n      #set ($multiselect = "$!{class.get($order).getProperty('multiSelect').getValue()}")\n      #if ($multiselect != '1')\n        #set ($orderSql = " order by ${safe_tableAlias}.value ${orderDirection}")\n      #end\n    #else\n      #set($multiselect = $class.get($order).getProperty('multiSelect').getValue())\n      #if("$multiselect" != '1')\n        #livetable_getTableName($order)\n        #set($fromSql = "${fromSql}, ${tableName} ${safe_tableAlias}")\n        ## FIXME: Check if this is indeed a property of the class\n        #set($whereSql = "${whereSql} and obj.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.name = ?")\n        #set($discard = $whereParams.add("${order}"))\n        #set($orderSql = " order by ${safe_tableAlias}.value ${orderDirection}")\n      #end\n    #end\n  #end\n  ##\n  ##\n  ## Compute the final queries\n  ##\n  #set($sqlParams = [])\n  #set($tagsMatchingParams = [])\n  #set($allMatchingParams = [])\n  #if("$!className" != '')\n    ## Class query\n    #set($countSql = ", BaseObject as obj $!fromSql $!filterfrom where obj.name=doc.fullName and obj.className = ? and doc.fullName not in (?, ?) $!whereSql $!filterwhere")\n    #set($discard = $sqlParams.addAll(["${className}", "${className}Template", ${className.replaceAll('Class$', 'Template')}]))\n    #set($discard = $sqlParams.addAll($whereParams))\n    ##\n    #if($filterParams)\n      #set($discard = $sqlParams.addAll($filterParams))\n      #set($discard = $tagsMatchingParams.addAll($filterParams))\n      #set($discard = $allMatchingParams.addAll($filterParams))\n    #end\n  #else\n    ## Document query\n    #set($countSql = "$!fromSql $!filterfrom where 1=1 $!whereSql $!filterwhere")\n    #set($discard = $sqlParams.addAll($whereParams))\n    ##\n    #if($filterParams)\n      #set($discard = $sqlParams.addAll($filterParams))\n      #set($discard = $tagsMatchingParams.addAll($filterParams))\n      #set($discard = $allMatchingParams.addAll($filterParams))\n    #end\n  #end\n  #set($sql = "$countSql $!{orderSql}")\n#end\n\n\n#**\n * Adds information about each live table row to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables defined by gridresultwithfilter_buildQuery.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildRowsJSON $map)\n  #set($offset = $mathtool.toInteger($request.get('offset')))\n  ## Offset starts from 0 in velocity and 1 in javascript\n  #set($offset = $offset - 1)\n  #if (!$offset || $offset < 0)\n    #set($offset = 0)\n  #end\n  #set($limit = $mathtool.toInteger($request.get('limit')))\n  #if (!$limit)\n    #set ($limit = 15)\n  #end\n  #set($query = $services.query.hql($sql).addFilter('hidden').addFilter('unique').setLimit($limit).setOffset($offset).bindValues($sqlParams))\n  #set($items = $query.execute())\n  #set($discard = $map.put('totalrows', $query.count()))\n  #set($discard = $map.put('returnedrows', $mathtool.min($items.size(), $limit)))\n  #set($discard = $map.put('offset', $mathtool.add($offset, 1)))\n  #set($rows = [])\n  #foreach($item in $items)\n    #gridresult_buildRowJSON($item $rows)\n  #end\n  #set($discard = $map.put('rows', $rows))\n#end\n\n\n#**\n * Adds information about the specified live table row to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables available in gridresult_buildRowsJSON.\n *\n * @param $item the name of the document that feeds this live table row\n * @param $rows stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildRowJSON $item $rows)\n  #set($viewable = $xwiki.hasAccessLevel('view', $xcontext.user, "${xcontext.database}:${item}"))\n  #set($row = {'doc_viewable': $viewable})\n  #if(!$viewable)\n    #set($discard = $row.put('doc_fullName', "${xcontext.database}:${item}"))\n  #else\n    #set($itemDoc = $xwiki.getDocument($item))\n    #set($fullname = $services.model.serialize($itemDoc.documentReference, 'default'))\n    #set($discard = $itemDoc.use($className))\n    #set($discard = $row.put('doc_name', $itemDoc.name))\n    #set($discard = $row.put('doc_fullName', $fullname))\n    #set($discard = $row.put('doc_space', $itemDoc.space))\n    #set($discard = $row.put('doc_url', $xwiki.getURL($item)))\n    #set($discard = $row.put('doc_space_url', $xwiki.getURL($services.model.createDocumentReference($!itemDoc.wiki, $!itemDoc.space, 'WebHome'))))\n    #set($discard = $row.put('doc_wiki', $itemDoc.wiki))\n    #set($discard = $row.put('doc_wiki_url', $xwiki.getURL($services.model.resolveDocument('', 'default', $itemDoc.documentReference.extractReference('WIKI')))))\n    #set($discard = $row.put('doc_hasadmin', $xwiki.hasAdminRights()))\n    #set($discard = $row.put('doc_hasedit', $xwiki.hasAccessLevel('edit', $xcontext.user, $fullname)))\n    #set($discard = $row.put('doc_hasdelete', $xwiki.hasAccessLevel('delete', $xcontext.user, $fullname)))\n    #set($discard = $row.put('doc_edit_url', $itemDoc.getURL($itemDoc.defaultEditMode)))\n    #set($discard = $row.put('doc_copy_url', $itemDoc.getURL('view', 'xpage=copy')))\n    #set($discard = $row.put('doc_delete_url', $itemDoc.getURL('delete')))\n    #set($discard = $row.put('doc_rename_url', $itemDoc.getURL('view', 'xpage=rename&step=1')))\n    #set($discard = $row.put('doc_rights_url', $itemDoc.getURL('edit', 'editor=rights')))\n    #set($discard = $row.put('doc_export_url', $itemDoc.getURL('export', "format=xar&name=$!{itemDoc.fullName}&pages=$!{itemDoc.fullName}")))\n    #set($discard = $row.put('doc_history_url', $itemDoc.getURL('view', 'viewer=history')))\n    #set($discard = $row.put('doc_author_url', $xwiki.getURL($itemDoc.author)))\n    #set($discard = $row.put('doc_date', $xwiki.formatDate($itemDoc.date)))\n    #set($discard = $row.put('doc_title', $escapetool.xml($itemDoc.plainTitle)))\n    #set($discard = $row.put('doc_author', $services.xml.unescape($xwiki.getUserName($itemDoc.author, false))))\n    #set($discard = $row.put('doc_creationDate', $xwiki.formatDate($itemDoc.creationDate)))\n    #set($discard = $row.put('doc_creator', $services.xml.unescape($xwiki.getUserName($itemDoc.creator, false))))\n    #foreach($colname in $collist)\n      #gridresult_buildColumnJSON($colname $row)\n    #end\n  #end\n  #set($discard = $rows.add($row))\n#end\n\n\n#**\n * Adds information about the given column to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables available in gridresult_buildRowJSON.\n *\n * @param $colname the name of the live table column for which to retrieve information\n * @param $row stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildColumnJSON $colname $row)\n  #if($colname.startsWith('doc.'))\n  #elseif($colname == '_action')\n    #set($discard = $row.put($colname, $services.localization.render("${request.transprefix}actiontext")))\n  #else\n    #set($propClassName = "$!request.get($colname.concat('/class'))")\n    #if($propClassName != '')\n      #set($propClass = $xwiki.getDocument($propClassName).getxWikiClass())\n      #set($discard = $itemDoc.use($propClassName))\n    #else\n      #set($propClass = $class)\n    #end\n    ## Retrieve the property type as it might be usefull\n    #set($propType = '')\n    #if($propClass.getPropertyNames().contains($colname))\n      #set($propType = "$!propClass.get($colname).type")\n    #end\n    #set($fieldValue = "$!itemDoc.getValue($colname)")\n    ## Custom displayers generate HTML, TextAreas do the same, and there's a default custom displayer for String fields\n    #if ($propClass.get($colname).getProperty('customDisplay').value != '' || $!propClass.get($colname).getClassType() == 'TextArea' || $!propClass.get($colname).getClassType() == 'String')\n      #set($fieldDisplayValue = "$!services.rendering.render($services.rendering.parse($itemDoc.display($colname, 'view'), 'html/4.01'), 'plain/1.0')")\n    #else\n      #set($fieldDisplayValue = "$!itemDoc.display($colname, 'view')")\n    #end\n    #if($fieldDisplayValue == '')\n      #set($fieldDisplayValue = $services.localization.render("${request.transprefix}emptyvalue"))\n    #end\n    #set($fieldUrl = '')\n    ## Only retrieve an URL for a DBListClass item\n    #if($propType == 'DBListClass' && $propClass.get($colname).getProperty('multiSelect').value != 1)\n      #set($fieldUrl = $xwiki.getURL($fieldValue))\n      #if($fieldUrl == $xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI'))))\n        #set($fieldUrl = '')\n      #end\n    #end\n    #set($discard = $row.put($colname, $fieldDisplayValue.replaceFirst($regextool.quote('{{html clean="false" wiki="false"}}'), '').replaceAll("$regextool.quote('{{/html}}')$", '')))\n    #set($discard = $row.put("${colname}_value", $fieldValue))\n    #set($discard = $row.put("${colname}_url", $fieldUrl))\n    ## Reset to the default class\n    #set($discard = $itemDoc.use($className))\n  #end\n#end\n\n\n#**\n * Builds the JSON response to a live table data call.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresultwithfilter_buildJSON $className $collist $filterfrom $filterwhere $filterParams $map)\n  #gridresultwithfilter_buildQuery($className $collist $filterfrom $filterwhere $filterParams)\n  #if("$!request.sql" == '1')\n    #set($discard = $map.put('sql', $sql))\n    #set($discard = $map.put('countsql', $countSql))\n    #set($discard = $map.put('params', $sqlParams))\n  #end\n  #set($discard = $map.put('reqNo', $mathtool.toInteger($request.reqNo)))\n  #gridresult_buildRowsJSON($map)\n#end\n\n\n#**\n * Builds the JSON response to a live table data call.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildJSON $className $collist $map)\n  #gridresultwithfilter_buildJSON($className $collist '' '' [] $map)\n#end\n\n\n#**\n * Macro to get the results of a livetable data call.\n * This page is called from live grids via Ajax with the argument xpage=plain. It returns a\n * set of results serialized in JSON.\n *#\n#macro(gridresultwithfilter $className $collist $filterfrom $filterwhere $filterParams)\n  #if($xcontext.action == 'get' && "$!{request.outputSyntax}" == 'plain')\n    $response.setContentType('application/json')\n    ## Build the JSON in memory (using basic Java data types) so that it can be adjusted before serialization.\n    #set($map = {})\n    #gridresultwithfilter_buildJSON($className $collist $filterfrom $filterwhere $filterParams $map)\n    $jsontool.serialize($map)\n  #end\n#end\n\n\n#**\n * Get the name of the Property that should be used for a given livetable column.\n * NOTE the resulting $tableName is safe to use inside SQL queries\n *#\n#macro(livetable_getTableName $colname)\n  #set($propClassName = "$!request.get(${colname.concat('/class')})")\n  #if($propClassName != '')\n    #set($propClass = $xwiki.getDocument($propClassName).getxWikiClass())\n  #else\n    #set($propClass = $class)\n  #end\n  #set($propType = '')\n  #if($propClass.getPropertyNames().contains($colname))\n    #set($propType = "$!{propClass.get($colname).type}")\n  #end\n  #if($propType == 'NumberClass')\n    #set($numberType = $propClass.get($colname).getProperty('numberType').getValue())\n    #if($numberType == 'integer')\n      #set($tableName = 'IntegerProperty')\n    #elseif($numberType == 'float')\n      #set($tableName = 'FloatProperty')\n    #elseif($numberType == 'double')\n      #set($tableName = 'DoubleProperty')\n    #else\n      #set($tableName = 'LongProperty')\n    #end\n  #elseif($propType == 'BooleanClass')\n    #set($tableName = 'IntegerProperty')\n  #elseif($propType == 'DateClass')\n    #set($tableName = 'DateProperty')\n  #elseif($propType == 'TextAreaClass' || $propType == 'UsersClass' || $propType == 'GroupsClass')\n    #set($tableName = 'LargeStringProperty')\n  #elseif($propType == 'StaticListClass' || $propType == 'DBListClass' || $propType == 'DBTreeListClass')\n    #set($multiSelect = $propClass.get($colname).getProperty('multiSelect').getValue())\n    #set($relationalStorage = $propClass.get($colname).getProperty('relationalStorage').getValue())\n    #if($multiSelect == 1)\n      #if($relationalStorage == 1)\n        #set($tableName = 'DBStringListProperty')\n      #else\n        #set($tableName = 'StringListProperty')\n      #end\n    #else\n      #set($tableName = 'StringProperty')\n    #end\n  #else\n    #set($tableName = 'StringProperty')\n  #end\n#end\n\n#**\n * Macro to extend the query to select the properties for the livetable columns.\n * NOTE $colname is filtered (all characters but [a-zA-Z0-9_.] are removed) before use\n *#\n#macro(livetable_addColumnToQuery $colname)\n ## Safe because / is not allowed in property names\n #set ($colname = $stringtool.substringBefore($colname, '/'))\n #if ($processedColumns.add($colname))\n  #set ($filterValue = "$!{request.get($colname)}")\n  #set ($filterValueList = [])\n  #foreach ($i in $request.getParameterValues($colname))\n    #if ("$!i" != '')\n      #set ($discard = $filterValueList.add($i))\n    #end\n  #end\n  #set ($filterValueLowLimit = "$!{request.get(""${colname}/after"")}")\n  #set ($filterValueHighLimit = "$!{request.get(""${colname}/before"")}")\n  #set($tableAlias = $colname)\n  ## only safe versions should be used in SQL queries\n  #if (!$filterValueList && "$filterValueLowLimit$filterValueHighLimit" == '')\n    #break($macro)\n  #end\n  #set($safe_colname = "$!{colname.replaceAll('[^a-zA-Z0-9_.]','')}")\n  #set($safe_tableAlias = "$!{tableAlias.replaceAll('[^a-zA-Z0-9_.]','')}")\n  ##\n  #set($propType = '')\n  #set($propertyHasFilterValue = "$!stringtool.join($filterValueList, '')" != '' || "$!filterValueLowLimit" != '' || "$!filterValueHighLimit" != '')\n  #set($propClassName = "$!request.get(${colname.concat('/class')})")\n  #set ($targetedObject = 'obj')\n  #if($propClassName != '')\n    #set ($propClass = $xwiki.getDocument($propClassName).getxWikiClass())\n    #if ($propClass && $propClass.getPropertyNames().contains($colname) && !$extraClassesAddedToQuery.containsKey($propClassName) && $propertyHasFilterValue)\n      #set ($targetedObject = "extraobj${extraClassesAddedToQuery.size()}")\n      #set ($discard = $extraClassesAddedToQuery.put($propClassName, $targetedObject))\n      #set ($fromSql = "${fromSql}, BaseObject ${targetedObject}")\n      #set ($whereSql = "${whereSql} and ${targetedObject}.className = ? and ${targetedObject}.name = doc.fullName")\n      #set ($discard = $whereParams.add($propClassName))\n    #end\n    #set ($targetedObject = $extraClassesAddedToQuery.get($propClassName))\n  #else\n    #set($propClass = $class)\n  #end\n  #if($propClass && $propClass.getPropertyNames().contains($colname))\n    #set($propType = "$!{propClass.get($colname).type}")\n  #elseif (!$colname.startsWith('doc.'))\n    #break($macro)\n  #end\n  ##\n  ## Filter values\n  #if($propertyHasFilterValue)\n    #set($discard = $tablelist.add($tableAlias))\n    #if($colname.startsWith('doc.') && ($colname.endsWith('Date') || $colname.endsWith('date')))\n      #if ($filterValue != '')\n        #set($whereSql = "${whereSql} and upper(str(${safe_tableAlias})) like upper(?) ESCAPE '!'")\n        #set($discard = $whereParams.add("%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"))\n      #else\n        #if ($filterValueLowLimit != '')\n          #set($whereSql = "${whereSql} and ${safe_tableAlias} >= ?")\n          #set($discard = $whereParams.add($services.jodatime.getDateTimeFormatterForPattern('MM/dd/yyyy').parseMutableDateTime($filterValueLowLimit).toDate()))\n        #end\n        #if ($filterValueHighLimit != '')\n          #set($whereSql = "${whereSql} and ${safe_tableAlias} < ?")\n          #set($filterValueHighLimit = $services.jodatime.getDateTimeFormatterForPattern('MM/dd/yyyy').parseMutableDateTime($filterValueHighLimit))\n          #set($discard = $filterValueHighLimit.addDays(1))\n          #set($discard = $whereParams.add($filterValueHighLimit.toDate()))\n        #end\n      #end\n    #elseif($colname == 'doc.creator' || $colname == 'doc.author')\n      #foreach ($filterValue in $request.getParameterValues($colname))\n        #if ($foreach.index == 0)\n          #set ($whereSql = "${whereSql} and (")\n        #else\n          #set ($whereSql = "${whereSql} or")\n        #end\n        #if ($filterValue.startsWith('XWiki.'))\n          #set($whereSql = "${whereSql} ${colname} = ?")\n          #set($discard = $whereParams.add("${filterValue}"))\n        #elseif ($filterValue.contains(':'))\n          #set($whereSql = "${whereSql} ${colname} = ?")\n          #set($discard = $whereParams.add("${stringtool.substringAfter($filterValue, ':')}"))\n        #else\n          #set($whereSql = "${whereSql} upper(str(${safe_colname.replace('_','.')})) like upper(?) ESCAPE '!'")\n          #set($discard = $whereParams.add("%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"))\n        #end\n        #if (!$foreach.hasNext)\n          #set ($whereSql = "${whereSql})")\n        #end\n      #end\n    #elseif($colname.startsWith('doc.'))\n      #set($whereSql = "${whereSql} and upper(str(${safe_colname.replace('_','.')})) like upper(?) ESCAPE '!'")\n      #set($discard = $whereParams.add("%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"))\n    #elseif($propType == 'NumberClass' || $propType == 'BooleanClass')\n      #livetable_getTableName($colname)\n      #set($fromSql = "${fromSql}, ${tableName} ${safe_tableAlias}")\n      #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and ${safe_tableAlias}.value = ?")\n      #set($discard = $whereParams.addAll(["${colname}", $mathtool.toInteger(${filterValue})]))\n    #elseif($propType == 'DateClass')\n      #set($fromSql = "${fromSql}, DateProperty ${safe_tableAlias}")\n      #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ?")\n      #set($discard = $whereParams.add("${colname}"))\n      #if ($filterValue != '')\n        #set($whereSql = "${whereSql} and upper(str(${safe_tableAlias}.value)) like upper(?) ESCAPE '!'")\n        #set($discard = $whereParams.add("%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"))\n      #else\n        #if ($filterValueLowLimit != '')\n          #set($whereSql = "${whereSql} and ${safe_tableAlias}.value >= ?")\n          #set($discard = $whereParams.add($services.jodatime.getDateTimeFormatterForPattern('MM/dd/yyyy').parseDateTime($filterValueLowLimit).toDate()))\n        #end\n        #if ($filterValueHighLimit != '')\n          #set($whereSql = "${whereSql} and ${safe_tableAlias}.value < ?")\n          #set($filterValueHighLimit = $services.jodatime.getDateTimeFormatterForPattern('MM/dd/yyyy').parseMutableDateTime($filterValueHighLimit))\n          #set($discard = $filterValueHighLimit.addDays(1))\n          #set($discard = $whereParams.add($filterValueHighLimit.toDate()))\n        #end\n      #end\n    #elseif($propType == 'TextAreaClass' || $propType == 'UsersClass' || $propType == 'GroupsClass')\n      #set($fromSql = "${fromSql}, LargeStringProperty ${safe_tableAlias}")\n      #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and upper(${safe_tableAlias}.value) like upper(?) ESCAPE '!'")\n      #set($discard = $whereParams.addAll(["${colname}", "%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"]))\n    #elseif($propType == 'StaticListClass' || $propType == 'DBListClass' || $propType == 'DBTreeListClass')\n      #set($multiSelect = $propClass.get($colname).getProperty('multiSelect').getValue())\n      #set($relationalStorage = $propClass.get($colname).getProperty('relationalStorage').getValue())\n      #if($multiSelect == 1)\n        #if($relationalStorage == 1)\n          #set ($joinOperator = "$!{request.get(""${colname}/join_mode"").toUpperCase()}")\n          #if ($joinOperator != 'AND' && $joinOperator != 'OR')\n            #set ($joinOperator = 'AND')\n          #end\n          #foreach ($filterValue in $filterValueList)\n            #if ($foreach.isFirst())\n              #set ($fromSql = "${fromSql}, DBStringListProperty ${safe_tableAlias}")\n              #set ($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and (")\n              #if ($request.get("${colname}_subterms") == 'yes')\n                #set ($discard = $whereParams.add("extended_${colname}"))\n              #else\n                #set ($discard = $whereParams.add("${colname}"))\n              #end\n            #else\n              #set ($whereSql = "${whereSql} ${joinOperator}")\n            #end\n            #set ($whereSql = "${whereSql} ? in elements(${safe_tableAlias}.list)")\n            #set ($discard = $whereParams.add("${filterValue}"))\n            #if ($foreach.isLast())\n              #set ($whereSql = "${whereSql})")\n            #end\n          #end\n        #else\n          #set($fromSql = "${fromSql}, StringListProperty ${safe_tableAlias}")\n          #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and concat('|', concat(upper(${safe_tableAlias}.textValue), '|')) like upper(?) ESCAPE '!'")\n          #set($discard = $whereParams.addAll(["${colname}", "%|${filterValue.replaceAll('[\\[_%!]', '!$0')}|%"]))\n        #end\n      #else\n        #set ($joinOperator = "$!{request.get(""${colname}/join_mode"").toUpperCase()}")\n        #if ($joinOperator != 'AND' && $joinOperator != 'OR')\n          #set ($joinOperator = 'AND')\n        #end\n        #foreach ($filterValue in $filterValueList)\n          #if ($foreach.isFirst())\n            #set ($fromSql = "${fromSql}, StringProperty ${safe_tableAlias}")\n            #set ($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and (")\n            #set ($discard = $whereParams.add("${colname}"))\n          #else\n            #set ($whereSql = "${whereSql} ${joinOperator}")\n          #end\n          #set ($whereSql = "${whereSql} ${safe_tableAlias}.value = ?")\n          #set ($discard = $whereParams.add("${filterValue}"))\n          #if ($foreach.isLast())\n            #set ($whereSql = "${whereSql})")\n          #end\n        #end\n      #end\n    #elseif ($filterValueList.size() > 1)\n      #set($fromSql = "${fromSql}, StringProperty ${safe_tableAlias}")\n      #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and ${safe_tableAlias}.value in (${stringtool.repeat('?', ', ', $filterValueList.size())})")\n      #set($discard = $whereParams.add("${colname}"))\n      #foreach ($value in $filterValueList)\n        #set($discard = $whereParams.add($value))\n      #end\n    #else\n      #set($fromSql = "${fromSql}, StringProperty ${safe_tableAlias}")\n      #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and upper(${safe_tableAlias}.value) like upper(?) ESCAPE '!'")\n      #set($discard = $whereParams.addAll(["${colname}", "%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"]))\n    #end\n  #end\n #end\n#end\n{{/velocity}}\n\n{{velocity wiki="false"}}\n#set ($extra = " $!{request.filterWhere} ")\n#set ($params = [])\n#if ("$!request.space" != '')\n  #set ($extra = "${extra} and doc.space = ?")\n  #set ($discard = $params.add($request.space))\n#end\n#if ("$!request.parent" != '')\n  #set ($extra = "${extra} and doc.parent = ?")\n  #set ($discard = $params.add($request.parent))\n#end\n#if ("$!request.orphaned" == '1')\n  #set ($extra = "${extra} and doc.parent='' and doc.name<>'WebHome'")\n#end\n#gridresultwithfilter("$!request.classname" $request.collist.split(',') "$!{request.filterFrom}" "${extra}" $params)\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	f	xwiki/2.1	t
-3454685290440796181	data.WebHome	WebHome	$services.localization.render('phenotips.homepage.title')			0	2017-05-12 15:43:35	2017-05-12 15:43:35	2014-06-03 15:03:05	XWiki.Admin	XWiki.Admin	XWiki.Admin	data	{{dashboard style="panels" /}}	1.1		Main.WebHome		2			Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	f	xwiki/2.1	f
-4513812893523364026	XWiki.SearchSuggestConfig	SearchSuggestConfig	Search Suggest Configuration			0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:02:03	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.SearchCode	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.SearchSuggestConfig</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<activated>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>activated</name>\n<number>1</number>\n<prettyName>Activated</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</activated>\n</class>\n	3			Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	f	xwiki/2.1	t
-7368687846740594567	XWiki.GadgetClass	GadgetClass				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2011-02-09 03:29:41	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{include reference="XWiki.ClassSheet"/}}	1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.GadgetClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>content</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>content</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<position>\n<disabled>0</disabled>\n<name>position</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>position</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</position>\n<title>\n<disabled>0</disabled>\n<name>title</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>title</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</title>\n</class>\n	0			Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	f	xwiki/2.1	t
3937091860706599660	XWiki.SearchConfig	SearchConfig				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:02:19	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.SearchAdmin		2			Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	f	xwiki/2.1	t
6471189160712394537	XWiki.UserProfileSectionClass	UserProfileSectionClass				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2015-03-30 02:34:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.UserProfileSectionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<id>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Section ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Section Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<properties>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>properties</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Properties to display</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</properties>\n</class>\n	2			Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	f	xwiki/2.1	t
-3437348809770867380	XWiki.XWikiUserSheet	XWikiUserSheet	#set($userName="$!doc.getValue('first_name') $!doc.getValue('last_name')")#if($userName==' ')#set($userName=$doc.name)#{end}$services.localization.render('platform.core.profile.title', [$userName])			0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:02:37	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#########################\n## CSS & Javascripts\n#########################\n#set($discard = $xwiki.ssx.use("XWiki.XWikiUserSheet"))\n#set($discard = $xwiki.jsx.use("XWiki.XWikiUserSheet"))\n#########################\n## Setting categories\n#########################\n#set($categories = [])\n#set($discard = $categories.add({'id':'profile', 'sheet':'XWiki.XWikiUserProfileSheet', 'glyphicon': 'user'}))\n#set($isMyProfile = ($services.model.resolveDocument($xcontext.user) == $doc.documentReference))\n#if($isMyProfile || $hasAdmin)\n  #set($discard = $categories.add({'id':'preferences', 'sheet':'XWiki.XWikiUserPreferencesSheet', 'glyphicon': 'wrench'}))\n#end\n#########################\n## Current category\n#########################\n#set($currentCategory = "$!request.category")\n#if($currentCategory == "")\n  #set($currentCategory = $categories[0].get('id'))\n#end\n#########################\n## Creating vertical menu\n#########################\n#set($userMenu = [{\n  'id'       : 'settings',\n  'cssClass' : 'user-menu-title',\n  'children' : $categories\n  }\n])\n## Setting automaticaly url & css fields of each category\n#foreach($category in $userMenu)\n  #foreach($subcategory in $category.get('children'))\n    #set($id = $subcategory.get('id')) \n    #set($discard = $subcategory.put('url', "?category=${id}"))\n    #set($discard = $subcategory.put('cssClass', "user-menu-$id category-tab"))\n  #end\n#end\n#########################\n## Display the left menu\n#########################\n(% id="user-menu-col" %)\n(((\n  ############\n  ## Avatar\n  ############\n  (% id="avatar" %)\n  (((\n    #if($request.xpage == 'edituser')\n      {{html clean="false"}}\n        #resizedUserAvatar($doc.fullName 170)\n      {{/html}}\n    #else\n      {{attachmentSelector classname="XWiki.XWikiUsers" object="$obj.number" property="avatar" #if ($isMyProfile) savemode="direct" #end defaultValue="XWiki.XWikiUserSheet@noavatar.png" width="120" alternateText="$xwiki.getUserName($doc.fullName, false)" buttontext="$services.localization.render('platform.core.profile.changePhoto')" displayImage="true" filter="png,jpg,gif"/}}\n    #end\n  )))\n  ##########\n  ## Menu\n  ##########\n  (% id="user-vertical-menu" %)\n  (((\n    #verticalNavigation($userMenu, {'translationPrefix' : 'platform.core.profile.category.', 'crtItemId' : $currentCategory, 'cssClass' : 'profile-menu'})\n  )))\n)))\n#########################\n## Display the page content\n#########################\n(% id="user-page-content" %)\n(((\n  #foreach($category in $userMenu)\n    #foreach($subcategory in $category.get('children'))\n      #set($tabKey = $subcategory.get('id')) \n      (% id="${tabKey}Pane" class="user-page-pane#if($tabKey != $currentCategory) hidden#end" %)\n      (((\n        #set($tabInclude = $subcategory.get('sheet'))\n        {{include reference="${tabInclude}" /}}\n      )))\n    #end\n  #end\n)))\n#########################\n## END\n#########################\n{{html clean="false"}}\n  #if($xcontext.action == 'edit' || $xcontext.action == 'inline')\n    <input type='hidden' name='category' value="$!{escapetool.xml($currentCategory)}" />\n  #end\n  <div class="clearfloats">&nbsp;</div>\n  #if($request.get('xpage'))\n    <script type="text/javascript">\n      document.fire('lightbox:userprofile:loaded');\n    </script>\n  #end\n{{/html}}\n{{/velocity}}	1.1		Main.XWikiUsers		3			Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	f	xwiki/2.0	t
-5435110676509272871	XWiki.UserProfileSectionsClass	UserProfileSectionsClass				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2015-03-30 02:34:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.UserProfileSectionsClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sections>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>sections</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sections to display</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</sections>\n</class>\n	2			Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	f	xwiki/2.1	t
693413319890833106	XWiki.XWikiUserPreferencesSheet	XWikiUserPreferencesSheet				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2013-04-03 09:46:22	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#set($obj = $doc.getObject("XWiki.XWikiUsers"))\n#if(!$obj)\n{{info}}$services.localization.render('xe.admin.users.applyonusers'){{/info}}##\n#else\n$doc.use($obj)\n$xwiki.ssx.use('XWiki.XWikiUserSheet')##\n{{html wiki="true"}}\n  <div class="#if($xcontext.action == 'view')half #{else}full #{end}column xform">\n    <div class="userPreferences">\n      #if($xcontext.action == 'view' && $hasEdit)\n        <div class="editProfileCategory"><a href="$doc.getURL('edit', 'category=preferences')"><span class="hidden">$services.localization.render('platform.core.profile.category.preferences.edit')</span></a></div>\n      #end\n      <h1>$services.localization.render('platform.core.profile.section.displayPreferences')</h1>\n      <dl>\n        <dt class="label"><label>$services.localization.render('platform.core.profile.displayHiddenDocuments')</label></dt>\n        <dd>$doc.display('displayHiddenDocuments')</dd>\n        <dt class="label"><label>$services.localization.render('platform.core.profile.enableAccessibility')</label></dt>\n        <dd>$doc.display('accessibility')</dd>\n      </dl>\n      <h1>$services.localization.render('platform.core.profile.section.localizationPreferences')</h1>\n      <dl>\n        <dt class="label"><label>$services.localization.render('platform.core.profile.timezone')</label></dt>\n        <dd>$doc.display('timezone')</dd>\n      </dl>\n      <h1>$services.localization.render('platform.core.profile.section.editorPreferences')</h1>\n      <dl>\n        <dt class="label"><label>$services.localization.render('platform.core.profile.editor')</label></dt>\n        <dd>$doc.display('editor')</dd>\n        <dt class="label"><label>$services.localization.render('platform.core.profile.userType')</label></dt>\n        <dd>$doc.display('usertype')</dd>\n      </dl>\n      <h1>$services.localization.render('phenotips.profile.preferences')</h1>\n      <dl>\n        <dt class="label"><label>$services.localization.render('phenotips.profile.preferences.mapping')</label></dt>\n        #set ($mappingPreferencesObject = $doc.getObject('XWiki.ConfigurationClass', 'property', 'phenotips_mapping', false))\n        #if (!$mappingPreferencesObject)\n          #set ($mappingPreferencesObject = $doc.newObject('XWiki.ConfigurationClass'))\n          #set ($discard = $mappingPreferencesObject.set('property', 'phenotips_mapping'))\n          #set ($discard = $doc.save($services.localization.render('phenotips.profile.preferences.mapping.addedObject'), true))\n        #end\n        <dd>$doc.display('value', $mappingPreferencesObject)</dd>\n      </dl>\n    </div>\n  </div>\n  #set($isMyProfile = ($xwiki.getDocument($xcontext.user).prefixedFullName == $doc.prefixedFullName))\n  #if(($isMyProfile || $hasAdmin) && ($xcontext.action == 'view') && !$doc.getObject('XWiki.LDAPProfileClass'))\n    <div class="half column">\n      <div class="passwordManagement">\n        <h1>$services.localization.render('platform.core.profile.section.security')</h1>\n        <span class="buttonwrapper"><a id="changePassword" href="$doc.getURL('view', 'xpage=passwd')">$services.localization.render('platform.core.profile.changePassword')</a></span>\n      </div>\n    </div>\n  #end\n  <div class="clearfloats">&nbsp;</div>\n{{/html}}##\n#end\n{{/velocity}}	1.1		XWiki.XWikiUserSheet		0			Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	f	xwiki/2.0	t
-6198427370447267019	XWiki.XWikiUserProfileSheet	XWikiUserProfileSheet				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2015-03-30 02:34:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#set ($discard = $xwiki.ssx.use('XWiki.XWikiUserSheet'))\n##\n#set ($inEditMode = $xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($xwikiUsersClassName = 'XWiki.XWikiUsers')\n#set ($obj = $doc.getObject($xwikiUsersClassName))\n##\n#if (!$obj)\n= $services.localization.render('xe.admin.users.sheet') =\n\n{{info}}$services.localization.render('xe.admin.users.applyonusers'){{/info}}\n\n#else\n## Make sure we only care about properties of the user object and don't get polluted by other objects that might be in the user's profile page.\n#set ($discard = $doc.use($obj))\n##\n#set ($sheetDocumentReference = $services.model.createDocumentReference($xcontext.database, 'XWiki', 'AdminUserProfileSheet'))\n#set ($sheetDocument = $xwiki.getDocument($sheetDocumentReference))\n#set ($xwikiUsersClass = $xwiki.getClass($xwikiUsersClassName))\n##\n#set ($sectionsObjectClassName = 'XWiki.UserProfileSectionsClass')\n#set ($sectionObjectClassName = 'XWiki.UserProfileSectionClass')\n##\n{{html clean='false' wiki='true'}}\n#if (!$inEditMode)\n  <div class="vcard">\n  <span class="fn hidden">$xwiki.getUserName($doc.fullName, false)</span>\n#end\n  <div class="#if($xcontext.action == 'view')half #{else}full #{end}column xform">\n    <div class='userInfo'>\n    #if($xcontext.action == 'view' && $hasEdit)\n      <div class='editProfileCategory'><a href="$doc.getURL('edit', 'editor=inline&amp;category=profile')"><span class='hidden'>$services.localization.render('platform.core.profile.category.profile.edit')</span></a></div>\n    #end\n    ## Please do not insert extra empty lines here (as it affects the validity of the rendered xhtml)\n    #set ($sectionsObject = $sheetDocument.getObject($sectionsObjectClassName))\n    #set ($sectionsToDisplayString = $sectionsObject.getProperty('sections').value)\n    #set ($sectionsToDisplay = $sectionsToDisplayString.split('\\s+'))\n    #foreach ($sectionId in $sectionsToDisplay)\n      #set ($sectionObject = $sheetDocument.getObject($sectionObjectClassName, 'id', $sectionId))\n      #set ($sectionName = "$!sectionObject.getProperty('name').value")\n      ## The section name will be evaluated. The admin can specify a static string or a call to $msg(...) to provide internationalization support.\n      #set ($sectionName = "#evaluate($!sectionName)")\n      ## If there is no section name specified, use the default translations prefix for the user profile, maybe we get lucky.\n      #if ("$!sectionName" == '')\n        #set ($sectionName = $services.localization.render("platform.core.profile.section.${sectionId}"))\n      #end\n      ## If that does not work either, just display the sectionID.\n      #if ("$!sectionName" == "platform.core.profile.section.${sectionId}")\n        #set ($sectionName = $sectionId)\n      #end\n      #set ($sectionPropertiesString = $sectionObject.getProperty('properties').value)\n      #set ($sectionProperties = $sectionPropertiesString.split('\\s+'))\n      #if ($sectionProperties && $sectionProperties.size() > 0)\n        <h1>$sectionName</h1>\n        <dl>\n        #foreach ($sectionProperty in $sectionProperties)\n          #set ($vCardData = $sectionProperty.split(':'))\n          #set ($vCardProperty = '')\n          #if ($vCardData.size() == 2)\n            #set ($vCardProperty = $vCardData[0])\n            #set ($sectionProperty = $vCardData[1])\n          #end\n          #if ("$!sectionProperty" != '' && $xwikiUsersClass.get($sectionProperty))\n          <dt class='label'>\n            <label #if($inEditMode)for="${xwikiUsersClassName}_${obj.number}_${sectionProperty}"#{end}>$doc.displayPrettyName("${sectionProperty}")</label>\n          </dt>\n          <dd #if("$!vCardProperty" != '' && !$inEditMode)class="$vCardProperty"#{end}>$doc.display($sectionProperty)</dd>\n          #end\n        #end\n        </dl>\n      #end\n    #end\n    </div>\n  </div>\n  <div class='clearfloats'>&nbsp;</div>\n#if(!$inEditMode)\n  ## Close the vcard\n  </div>\n#end\n{{/html}}##\n#end\n{{/velocity}}	1.1		XWiki.XWikiUserSheet		2			Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	f	xwiki/2.0	t
-2633320362410322563	XWiki.AdminUserProfileSheet	AdminUserProfileSheet	User Profile			0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:02:40	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity}}\n#set ($discard = $xwiki.ssx.use('XWiki.XWikiUserSheet'))\n#set ($discard = $xwiki.ssx.use('XWiki.AdminUserProfileSheet'))\n##\n#set ($sheetDocumentReference = $services.model.createDocumentReference($xcontext.database, 'XWiki', 'AdminUserProfileSheet'))\n#set ($sheetDocument = $xwiki.getDocument($sheetDocumentReference))\n##\n#set ($sectionsObjectClassName = 'XWiki.UserProfileSectionsClass')\n#set ($sectionObjectClassName = 'XWiki.UserProfileSectionClass')\n##\n#set ($xredirect = $doc.getURL($xcontext.action, ${request.queryString}))\n#set ($formToken = $services.csrf.getToken())\n##\n{{html clean='false' wiki='true'}}\n  <form action="$sheetDocument.getURL('save')" method='post'>\n  ## When in edit mode, the form above gets overriden so we need a div with class xform to cover all cases.\n  <div class='xform half'>\n    #set ($sectionsObject = $sheetDocument.getObject($sectionsObjectClassName))\n    <h2>$services.localization.render('platform.user.profileConfigureSectionsTitle')</h2>\n    <dl>\n      <dt>\n        <label for="${sectionsObjectClassName}_${sectionsObject.number}_sections">$services.localization.render('platform.user.profileConfigureSectionsLabel')</label>\n        <span class='xHint'>$services.localization.render('platform.user.profileConfigureSectionsHint')</span>\n      </dt>\n      <dd>$sheetDocument.display('sections', 'edit', $sectionsObject)</dd>\n    </dl>\n    <h2>$services.localization.render('platform.user.profileConfigureSectionsAllTitle')</h2>\n    <dl>\n      <dt>\n        <a class='hasIcon icon-button add-button' href="$sheetDocument.getURL('objectadd', "classname=${sectionObjectClassName}&amp;xredirect=$escapetool.url(${xredirect})&amp;form_token=${formToken}")">$services.localization.render('platform.user.profileConfigureSectionAddButtonLabel')</a>\n      </dt>\n    #set ($sectionObjects = $sheetDocument.getObjects($sectionObjectClassName))\n    #foreach ($sectionObject in $sectionObjects)\n      <dt>\n        <a class='hasIcon icon-button remove-button' href="$sheetDocument.getURL('objectremove', "classname=${sectionObjectClassName}&amp;classid=${sectionObject.number}&amp;xredirect=$escapetool.url(${xredirect})&amp;form_token=${formToken}")">$services.localization.render('platform.user.profileConfigureSectionRemoveButtonLabel')</a>\n        <label for="${sectionObjectClassName}_${sectionObject.number}_id">$services.localization.render('platform.user.profileConfigureSectionIdLabel')</label>\n        <span class='xHint'>$services.localization.render('platform.user.profileConfigureSectionIdHint')</span>\n      </dt>\n      <dd>$sheetDocument.display('id', 'edit', $sectionObject)</dd>\n\n      <dt>\n        <label for="${sectionObjectClassName}_${sectionObject.number}_name">$services.localization.render('platform.user.profileConfigureSectionNameLabel')</label>\n        <span class='xHint'>$services.localization.render('platform.user.profileConfigureSectionNameHint', ['http://platform.xwiki.org/xwiki/bin/view/DevGuide/InternationalizingApplications'])</span>\n      </dt>\n      <dd>$sheetDocument.display('name', 'edit', $sectionObject)</dd>\n\n      <dt>\n        <label for="${sectionObjectClassName}_${sectionObject.number}_properties">$services.localization.render('platform.user.profileConfigureSectionPropertiesLabel')</label>\n        <span class='xHint'>$services.localization.render('platform.user.profileConfigureSectionPropertiesHint', ['XWiki.XWikiUsers'])</span>\n      </dt>\n      <dd>$sheetDocument.display('properties', 'edit', $sectionObject)</dd>\n    #end\n    ## Avoid duplicating the save button for edit mode.\n    #if ($xcontext.action != 'edit' && $xcontext.action != 'inline')\n      <dt>\n        <br/>\n        <span class='buttonwrapper'>\n          <input class='button' type='submit' name='save' value="$services.localization.render('platform.user.profileConfigureSaveButtonLabel')"/>\n        </span>\n        <input type='hidden' name='xredirect' value="$xredirect" />\n        <input type='hidden' name='form_token' value="$formToken" />\n      </dt>\n    #end\n    </dl>\n  </div>\n  </form>\n{{/html}}\n{{/velocity}}	1.1		XWiki.XWikiUserSheet		2			Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	f	xwiki/2.0	t
905169894280459577	PhenoTips.ExportJSON	ExportJSON				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-10-25 11:07:05	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="PhenoTips.ExportFilter" /}}\n\n{{velocity wiki="true"}}{{{\n#set ($codeProperties = ['phenotype', 'negative_phenotype', 'prenatal_phenotype', 'omim_id'])\n#set ($nonPatientClassProperties = ['doc.name', 'referrer', 'author', 'creationDate', 'date', 'genes', 'genes_comments', 'rejectedGenes', 'rejectedGenes_comments'])\n#set ($enabledFields = $request.getParameterValues('columns'))\n#set ($displayedFields = [])\n#set ($allFields = $nonPatientClassProperties)\n#set ($discard = $allFields.addAll($activeFields))\n#foreach ($field in $allFields)\n  #if ($enabledFields.contains($field))\n    #set ($discard = $displayedFields.add($field))\n  #elseif ($codeProperties.contains($field) && ($enabledFields.contains("${field}_code") || $enabledFields.contains("${field}_combined") || $enabledFields.contains("${field}_code_meta") || $enabledFields.contains("${field}_meta")))\n    #set ($discard = $displayedFields.add($field))\n  #end\n#end\n\n$response.addHeader("Content-disposition", "attachment; filename=phenotips_${xwiki.formatDate($util.date, 'yyyy-MM-dd_HH-mm')}.json")##\n$response.setContentType('application/json')##\n\n[## Opening JSON array brace\n#set($isFirst = true)\n#foreach ($patientId in $patientIds)\n  #set ($patientDoc = $xwiki.getDocument($patientId))\n  #set ($patient = $services.patients.getPatientById($patientId))\n  #if ($patientDoc && $patient)\n    #set ($JSON = $patient.toJSON($displayedFields))\n    #if ($isFirst)\n      #set($isFirst = false)\n    #else\n      ,##\n    #end\n    $JSON\n  #end## Patient is accessible\n#end\n]## Closing JSON array brace\n}}}\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]	f	xwiki/2.1	t
4648017055971503367	PhenoTips.Export	Export				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:27	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="PhenoTips.ExportFilter" /}}\n\n{{velocity wiki="true"}}{{{\n#set ($codeProperties = ['phenotype', 'negative_phenotype', 'prenatal_phenotype', 'omim_id'])\n#set ($enabledFields = $request.getParameterValues('columns'))\n#set ($displayedFields = [])\n#foreach ($field in $activeFields)\n  #if ($enabledFields.contains($field))\n    #set ($discard = $displayedFields.add($field))\n  #elseif ($codeProperties.contains($field) && ($enabledFields.contains("${field}_code") || $enabledFields.contains("${field}_combined") || $enabledFields.contains("${field}_code_meta") || $enabledFields.contains("${field}_meta")))\n    #set ($discard = $displayedFields.add($field))\n  #end\n#end\n\n$response.addHeader("content-disposition", "attachment; filename=phenotips_${xwiki.formatDate($services.jodatime.getDateTime().toDate(), 'yyyy-MM-dd_HH-mm')}.xlsx")##\n$response.setContentType('application/vnd.openxmlformats-officedocument.spreadsheetml.sheet')##\n#set ($patients = [])\n#foreach ($patientId in $patientIds)\n  #set ($discard = $patients.add($services.patients.getPatientById($patientId)))\n#end\n$services.spreadsheetexport.export($patients, $enabledFields, $response.getOutputStream())\n\n}}}\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]	f	xwiki/2.1	t
7317829272449781420	PhenoTips.ExportFilter	ExportFilter				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-10-24 15:37:42	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity wiki="true"}}{{{\n#macro (findPhenotypeMetadata)\n  #set ($meta = $NULL)\n  #foreach ($metaObj in $patientDoc.getObjects('PhenoTips.PhenotypeMetaClass'))\n    #set ($nameProperty = $metaObj.get('target_property_name'))\n    #set ($valueProperty = $metaObj.get('target_property_value'))\n    #if ($nameProperty == $field && $valueProperty == $code)\n      #set ($meta = $metaObj)\n      #break($foreach)\n    #end\n  #end\n#end\n##\n##\n#set ($targetClassName = 'PhenoTips.PatientClass')\n#set ($ownerClassName = 'PhenoTips.OwnerClass')\n#set ($targetClass = $xwiki.getClass($targetClassName))\n#set ($activeFields = $services.recordConfiguration.activeConfiguration.enabledFieldNames)\n#set ($dateFormat = $services.jodatime.getDateTimeFormatterForPattern('MM/dd/yyyy'))\n#set ($query = ', BaseObject obj, LongProperty iid where doc.space = ? and obj.name = doc.fullName and obj.className = ? and iid.id.id = obj.id and iid.id.name = ''identifier'' and iid.value >= 0')\n#set ($parameters = ['data', $targetClassName])\n#set ($isFirstReferrer = true)\n#foreach ($referrer in $request.getParameterValues('doc.creator'))\n  #if ($referrer != '')\n    #if ($isFirstReferrer)\n      #set ($query = $query.concat(' and ('))\n      #set ($isFirstReferrer = false)\n    #else\n      #set ($query = $query.concat(' or '))\n    #end\n    #if ($referrer.contains(':'))\n      #set ($query = $query.concat('doc.creator = ? or '))\n      #set ($discard = $parameters.add($stringtool.substringAfter($referrer, ':')))\n    #end\n    #set ($query = $query.concat('doc.creator = ?'))\n    #set ($discard = $parameters.add($referrer))\n  #end\n#end\n#if (!$isFirstReferrer)\n  #set ($query = $query.concat(')'))\n#end\n#set ($isFirstOwner = true)\n#foreach ($owner in $request.getParameterValues('owner'))\n  #if ($owner != '')\n    #if ($isFirstOwner)\n      #set ($query = $query.concat(' and ('))\n      #set ($isFirstOwner = false)\n    #else\n      #set ($query = $query.concat(' or '))\n    #end\n    #set ($query = $query.concat('owner.value = ?'))\n    #set ($discard = $parameters.add($services.model.resolveDocument($owner).toString()))\n  #end\n#end\n#if (!$isFirstOwner)\n  #set ($query = $query.concat(')'))\n  #set ($query = ", BaseObject ownerobj, StringProperty owner" + $query + " and ownerobj.className = '$ownerClassName' and owner.name = 'owner' and owner.id.id=ownerobj.id and ownerobj.name = doc.fullName")\n#end\n#set ($isFirstAuthor = true)\n#foreach ($author in $request.getParameterValues('doc.author'))\n  #if ($author != '')\n    #if ($isFirstAuthor)\n      #set ($query = $query.concat(' and ('))\n      #set ($isFirstAuthor = false)\n    #else\n      #set ($query = $query.concat(' or '))\n    #end\n    #if ($author.contains(':'))\n      #set ($query = $query.concat('doc.author = ? or '))\n      #set ($discard = $parameters.add($stringtool.substringAfter($author, ':')))\n    #end\n    #set ($query = $query.concat('doc.author = ?'))\n    #set ($discard = $parameters.add($author))\n  #end\n#end\n#if (!$isFirstAuthor)\n  #set ($query = $query.concat(')'))\n#end\n#set ($isFirstPhenotype = true)\n#set ($joinOperator = "$!{request.get('phenotype/join_mode').toUpperCase()}")\n#if ($joinOperator != 'AND' && $joinOperator != 'OR')\n  #set ($joinOperator = 'AND')\n#end\n#foreach ($phenotype in $request.getParameterValues('phenotype'))\n  #if ($phenotype != '')\n    #if ($isFirstPhenotype)\n      #set ($isFirstPhenotype = false)\n      #if ("$!request.phenotype_subterms" == 'no')\n        #set ($query = ", DBStringListProperty phenotype ${query} and phenotype.id.id = obj.id and phenotype.id.name = 'phenotype' and (? in elements(phenotype.list)")\n      #else\n        #set ($query = ", DBStringListProperty phenotype ${query} and phenotype.id.id = obj.id and phenotype.id.name = 'extended_phenotype' and (? in elements(phenotype.list)")\n      #end\n    #else\n      #set ($query = $query.concat(" ${joinOperator} ? in elements(phenotype.list)"))\n    #end\n    #set ($discard = $parameters.add($phenotype))\n  #end\n#end\n#if (!$isFirstPhenotype)\n  #set ($query = $query.concat(')'))\n#end\n#set ($isFirstDisease = true)\n#set ($joinOperator = "$!{request.get('omim_id/join_mode').toUpperCase()}")\n#if ($joinOperator != 'AND' && $joinOperator != 'OR')\n  #set ($joinOperator = 'AND')\n#end\n#foreach ($disease in $request.getParameterValues('omim_id'))\n  #if ($disease != '')\n    #if ($isFirstDisease)\n      #set ($query = ", DBStringListProperty disease ${query} and disease.id.id = obj.id and disease.id.name = 'omim_id' and (? in elements(disease.list)")\n      #set ($isFirstDisease = false)\n    #else\n      #set ($query = $query.concat(" ${joinOperator} ? in elements(disease.list)"))\n    #end\n    #set ($discard = $parameters.add($disease))\n  #end\n#end\n#if (!$isFirstDisease)\n  #set ($query = $query.concat(')'))\n#end\n#if ("$!request.get('doc.creationDate/after')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('doc.creationDate/after')))\n  #set ($query = $query.concat(' and doc.creationDate > ?'))\n  #set ($discard = $parameters.add($date.toDate()))\n#end\n#if ("$!request.get('doc.creationDate/before')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('doc.creationDate/before')))\n  #set ($query = $query.concat(' and doc.creationDate < ?'))\n  #set ($discard = $parameters.add($date.toDate()))\n#end\n#if ("$!request.get('doc.date/after')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('doc.date/after')))\n  #set ($query = $query.concat(' and doc.date > ?'))\n  #set ($discard = $parameters.add($date.toDate()))\n#end\n#if ("$!request.get('doc.date/before')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('doc.date/before')))\n  #set ($query = $query.concat(' and doc.date < ?'))\n  #set ($discard = $parameters.add($date.toDate()))\n#end\n#set ($hasBDate = false)\n#if ("$!request.get('date_of_birth/after')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('date_of_birth/after')))\n  #set ($query = ", DateProperty birthDate $query and birthDate.id.id = obj.id and birthDate.id.name = 'date_of_birth' and birthDate.value > ?")\n  #set ($discard = $parameters.add($date.toDate()))\n  #set ($hasBDate = true)\n#end\n#if ("$!request.get('date_of_birth/before')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('date_of_birth/before')))\n  #if ($hasBDate)\n    #set ($query = "$query and birthDate.value < ?")\n  #else\n    #set ($query = ", DateProperty birthDate $query and birthDate.id.id = obj.id and birthDate.id.name = 'date_of_birth' and birthDate.value < ?")\n  #end\n  #set ($discard = $parameters.add($date.toDate()))\n#end\n#if ("$!request.get('external_id')" != '')\n  #set ($query = ", StringProperty externalId $query and externalId.id.id = obj.id and externalId.id.name = 'external_id' and upper(externalId.value) like upper(?)")\n  #set ($discard = $parameters.add("$request.get('external_id')%"))\n#end\n#set ($visibilities = $request.getParameterValues('visibility'))\n#if ("$!visibilities" != '')\n  #set ($query = ", StringProperty visibilityProperty, BaseObject visibilityObj $query and visibilityObj.name = doc.fullName and visibilityObj.className = 'PhenoTips.VisibilityClass' and visibilityProperty.id.id = visibilityObj.id and visibilityProperty.name = 'visibility' and (")\n  #foreach ($visibility in $request.getParameterValues('visibility'))\n    #if ($foreach.index == 0)\n      #set ($query = "${query}visibilityProperty.value = ?")\n    #else\n      #set ($query = "${query} or visibilityProperty.value = ?")\n    #end\n    #set ($discard = $parameters.add($visibility))\n  #end\n  #set ($query = "${query})")\n#else\n  #set ($query = '')\n#end\n#if ($query != '')\n  #set ($patientIds = $services.query.hql($query).bindValues($parameters))\n  #set ($discard = $patientIds.addFilter('unique'))\n  #if ($request.count)\n    #set ($discard = $patientIds.addFilter('count'))\n    $patientIds.execute()[0]\n    #break\n  #end\n  #set ($patientIds = $patientIds.execute())\n  #if ($request.list)\n    $response.setContentType('application/json')\n    $jsontool.serialize($patientIds)\n    #break\n  #end\n#elseif ($request.count)\n  0\n  #break\n#end\n}}}\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]	f	xwiki/2.1	t
-6594598966061631219	PhenoTips.ExportPreferences	ExportPreferences				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="PhenoTips.DatabaseFilters" /}}\n\n{{velocity output=false}}\n## if $simple is true the meta fields and the code fields are not rendered\n#macro(__export__displayFieldList $xclassName $targetFieldName $customValues $ignored $codeFields $valueList $simple $activeFields)\n  {{html clean="false"}}\n    #set($xclass = $xwiki.getDocument($xclassName).getxWikiClass())\n    <ul class="field-list">\n      #foreach($customVal in $customValues.keySet())\n        <li>\n          <label for="${targetFieldName}_${customVal}">\n            <input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${customVal}" value="$customVal"#if ($valueList.contains($customVal) || true) checked="checked"#end/>\n            ${customValues.get($customVal)}\n          </label>\n        </li>\n      #end\n      #foreach ($field in $xclass.properties)\n        #if (($activeFields.size() == 0 || $activeFields.contains(${field.name})) && !$ignored.fields.contains(${field.name}) && !$ignored.types.contains(${field.type}))\n        <li>\n          <label for="${targetFieldName}_${field.name}">\n          <input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${field.name}" value="${field.name}" #if($valueList.contains(${field.name}) || true) checked="checked" #end />\n          ${field.translatedPrettyName}\n        </li>\n        #if ($codeFields.contains(${field.name}) && !${simple})\n        <li>\n          <label for="${targetFieldName}_${field.name}_code">\n          <input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${field.name}_code" value="${field.name}_code" #if($valueList.contains("${field.name}_code")) checked="checked" #end />\n          ${field.translatedPrettyName} $services.localization.render('phenotips.exportPreferences.field.ID')\n        </li>\n        <li>\n          <label for="${targetFieldName}_${field.name}_combined">\n          <input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${field.name}_combined" value="${field.name}_combined" #if($valueList.contains("${field.name}_combined")) checked="checked" #end />\n          ${field.translatedPrettyName} $services.localization.render('phenotips.exportPreferences.field.IDandName')\n        </li>\n        #end\n        #if ($metaFields.contains(${field.name}) && !${simple})\n        <li>\n          <label for="${targetFieldName}_${field.name}_code_meta">\n          <input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${field.name}_code_meta" value="${field.name}_code_meta" #if($valueList.contains("${field.name}_code_meta")) checked="checked" #end />\n          ${field.translatedPrettyName} $services.localization.render('phenotips.exportPreferences.field.termAndMetaID')\n        </li>\n        <li>\n          <label for="${targetFieldName}_${field.name}_meta">\n          <input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${field.name}_meta" value="${field.name}_meta" #if($valueList.contains("${field.name}_meta") || true) checked="checked" #end />\n          ${field.translatedPrettyName} $services.localization.render('phenotips.exportPreferences.field.termAndMetaNames')\n        </li>\n        #end\n        #end\n      #end\n    </ul>\n    <input type="hidden" name="${targetFieldName}" value="" />\n  {{/html}}\n#end\n{{/velocity}}\n\n{{velocity}}\n{{html clean="false" filter="indent"}}<form class="xform" action="${escapetool.xml($request.get('export_endpoint'))}" method="post"><div>{{/html}}\n(% class="section filters"%)(((\n=== (% class="step" %)1(%%) $services.localization.render('phenotips.exportPreferences.filterTitle') ===\n\n#__filters_display('export-filters')\n\n{{info}} $services.localization.render('phenotips.exportPreferences.numMatchingRecords', [ "**(% id='filter-match-count'%) (%%)**" ]) {{/info}}\n)))##section filters\n\n(% class="section columns"%)(((\n=== (% class="step" %)2(%%) $services.localization.render('phenotips.exportPreferences.selectFields') ===\n#if ($request.multipatient)\n  #set($activeFields = ['external_id', 'gender', 'phenotype', 'negative_phenotype', 'omim_id'])\n  #set($ignored = {})\n  #set($customValues = {})\n  #set($codeFields = [])\n  #set($metaFields = [])\n  #set($selectedValues = [])\n  #__export__displayFieldList( "PhenoTips.PatientClass" 'columns' $customValues $ignored $codeFields $selectedValues false $activeFields)\n  #set($exportTitle = "$services.localization.render('phenotips.exportPreferences.push.submit', [$request.remoteserver])")\n  #set($exportButtonID = "push-multiple-patients")\n#else\n  #set($ignored = {\n    'fields' : ['reports_history', 'pedigree', 'extended_negative_phenotype', 'extended_phenotype', 'extended_prenatal_phenotype', 'extended_negative_prenatal_phenotype'],\n    'types'  : []\n  })\n  #if (${request.export_id} == 'phenotips_json_export')\n    #set ($simple = true)\n    #set ($discard = $ignored.fields.add('negative_phenotype'))\n  #else\n    #set ($simple = false)\n  #end\n  #set($customValues = {\n       'doc.name' : "$services.localization.render('phenotips.exportPreferences.field.docName')",\n       'referrer' : "$services.localization.render('phenotips.exportPreferences.field.referrer')",\n       'creationDate' : "$services.localization.render('phenotips.exportPreferences.field.creationDate')",\n       'author' : "$services.localization.render('phenotips.exportPreferences.field.author')",\n       'date' : "$services.localization.render('phenotips.exportPreferences.field.date')",\n       'allergies' : "$services.localization.render('PhenoTips.AllergiesDataClass_allergies')",\n       'genes': "$services.localization.render('phenotips.exportPreferences.field.genes')",\n       'genes_comments': "$services.localization.render('phenotips.exportPreferences.field.genesComments')",\n       'rejectedGenes': "$services.localization.render('phenotips.exportPreferences.field.rejectedGenes')",\n       'rejectedGenes_comments': "$services.localization.render('phenotips.exportPreferences.field.rejectGenesComments')"\n  })\n  #set($codeFields = ['phenotype', 'negative_phenotype', 'prenatal_phenotype', 'omim_id'])\n  #set($metaFields = ['phenotype'])\n  #set($selectedValues = ['phenotype'])\n  #__export__displayFieldList( "PhenoTips.PatientClass" 'columns' $customValues $ignored $codeFields $selectedValues $simple)\n  #set($exportTitle = "$services.localization.render('phenotips.exportPreferences.export')")\n  #set($exportButtonID = "export-multiple-patients")\n#end\n)))##section columns\n\n(% class="buttons"%)(((\n{{html clean="false"}}<input type="hidden" name="space" value="$!request.space"/><input type="hidden" name="outputSyntax" value="plain"/><span class="buttonwrapper"><input type="submit" id="$exportButtonID" value="$exportTitle" class="button" id="export_submit"/></span> <span class="buttonwrapper"><input type="button" value="$services.localization.render('phenotips.exportPreferences.cancel')" class="button secondary" id="export_cancel"/></span>{{/html}}\n{{html clean="false"}}</div></form>{{/html}}\n)))\n{{/velocity}}	1.1		PhenoTips.Export		0			Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]	f	xwiki/2.1	t
2243449434501462733	PhenoTips.ChartService	ChartService				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:17	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="PhenoTips.ChartServiceMacros" /}}\n\n{{velocity}}\n#set ($format = "$!{request.f}")\n#if ($format != 'raster')\n  #set ($format = 'vector')\n#end\n#set ($standalone = ($format != '' && "$!{request.standalone}" != '' && "$!{request.standalone}" != '0' && "$!{request.standalone}" != 'false'))\n#set ($link = ("$!{request.n}" == '' && !$standalone))\n#set ($chartOptions = {\n   'format' : $format,\n   'chartName' : $!{request.n},\n   'standalone' : $standalone,\n   'link' : $link\n})\n#_measurementCharts($chartOptions)\n#if (!$chartOptions.standalone)\n  (% class="clear"%)((()))\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:patient-measurements-ui-1.2.6]	f	xwiki/2.1	t
-7628344836700628748	PhenoTips.ChartServiceMacros	ChartServiceMacros				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:29	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output="false"}}\n#macro (_measurementCharts $options)\n## ---------------------------------------------------------\n## Initialization of 'global' vars\n## ---------------------------------------------------------\n#set ($measurements = {})\n#set ($ageLimits = {})\n#foreach ($measurementName in $services.measurements.getAvailableMeasurementNames())\n  #set ($discard = $measurements.put($measurementName, []))\n  #set ($discard = $ageLimits.put($measurementName, {'max': -1, 'min': 100000}))\n#end\n#set ($sex = false)\n#set ($c = $xwiki.getDocument('PhenoTips.ChartGenerator').getContent())\n#set ($service = $xwiki.getDocument('PhenoTips.ChartService'))\n##\n##\n## ---------------------------------------------------------\n## Build measurements data from objects\n## ---------------------------------------------------------\n#macro (_buildMeasurementsFromObjects $targetClassName $obj)\n  #if (!$obj.getProperty('date_of_birth').value)\n    #break\n  #end\n  #macro (_updateMeasurements $measurements $o $measurementName $age)\n    #if ("$!{o.getProperty($measurementName).value}" != '')\n      #if (!($ageLimits.get($measurementName).min <= $age))\n        #set ($ageLimits.get($measurementName).min = $age)\n      #end\n      #if (!($ageLimits.get($measurementName).max >= $age))\n        #set ($ageLimits.get($measurementName).max = $age)\n      #end\n      #set ($discard = $measurements.add({'a': $age, 'x' : $o.getProperty($measurementName).value}))\n    #end\n  #end\n  #foreach ($o in $doc.getObjects($targetClassName))\n    #set ($age = $o.getProperty('age').value)\n    #if ($age >= 0)\n      #foreach ($measurementName in $services.measurements.getAvailableMeasurementNames())\n        #_updateMeasurements($measurements.get($measurementName) $o $measurementName $age)\n      #end\n    #end\n  #end\n  #set ($sex = $obj.getProperty('gender').value != 'F')\n#end\n##\n##\n## ---------------------------------------------------------\n## Build measurements data from request\n## ---------------------------------------------------------\n#macro (_buildMeasurementsFromRequest)\n  #macro (_buildMeasurementFromRequest $measurements $measurementName)\n    #foreach ($m in $request.getParameterValues($measurementName))\n      #if ("$!{m}" != '')\n        #set ($age = $mathtool.toDouble($ages.get($foreach.index)))\n        #if ("$!age" != '')\n          #if (!($ageLimits.get($measurementName).min <= $age))\n            #set ($ageLimits.get($measurementName).min = $age)\n          #end\n          #if (!($ageLimits.get($measurementName).max >= $age))\n            #set ($ageLimits.get($measurementName).max = $age)\n          #end\n          #set ($discard = $measurements.add({'a': $age, 'x' : $mathtool.toDouble($m)}))\n        #end\n      #end\n    #end\n  #end\n  #set ($ages = $request.getParameterValues('a'))\n  #if ("$!{ages}" != "")\n    #foreach ($measurementName in $services.measurements.getAvailableMeasurementNames())\n      #_buildMeasurementFromRequest($measurements.get($measurementName) $measurementName)\n    #end \n  #end\n  #set ($sex = ($request.getParameter('s') != 'F'))\n#end\n##\n##\n## ---------------------------------------------------------\n## Detect compatible image "format" based on the current browser\n## ---------------------------------------------------------\n#macro(_detectChartFormat)\n  #if ($request.getHeader('User-Agent').matches('.*MSIE\\s[6-8]\\..*'))\n    #set($format = 'raster')\n  #else\n    #set($format = 'vector')\n  #end\n$format##\n#end\n##\n##\n## ---------------------------------------------------------\n## Generate charts for a specific measurement\n## ---------------------------------------------------------\n#macro (_generateCharts $measurements $measurementName)\n  #if (!$measurements.isEmpty())\n    #set ($chartConfigurations = [])\n    #foreach ($chartConfiguration in $services.measurements.get($measurementName).getChartsConfigurations())\n      #if ($chartConfiguration.lowerAgeLimit <= $ageLimits.get($measurementName).min)\n        #set ($chartConfigurations = [])\n      #end\n      #set ($discard = $chartConfigurations.add($chartConfiguration))\n      #if ($chartConfiguration.upperAgeLimit > $ageLimits.get($measurementName).max)\n        #break\n      #end\n    #end\n    #foreach ($chartConfiguration in $chartConfigurations)\n      #_generateChart($measurements, $chartConfiguration)\n    #end\n  #end\n#end\n##\n##\n## ---------------------------------------------------------\n## Generate chart for a specific measurement and age span\n## ---------------------------------------------------------\n#macro (_generateChart $measurements $chartConfiguration)\n  #if (!$measurements.isEmpty())\n    #set ($svg = "#evaluate($c)")\n    #set ($queryString = "n=${chartConfiguration.measurementType}#if(!$sex)&s=F#end")\n    #foreach ($m in $measurements)\n      #if ($m.a >= $chartConfiguration.lowerAgeLimit && $m.a < $chartConfiguration.upperAgeLimit)\n        #set ($queryString = "${queryString}&a=${m.a}&${chartConfiguration.measurementType}=${m.x}")\n      #end\n    #end\n    #if ($options.format == 'raster' || "#_detectChartFormat()" == 'raster')\n      #set ($svg = $svg.replaceAll('\\{\\{/?html.*?}}', '').trim())\n      #set ($src = $xwiki.svg.getSVGImageURL($svg, $chartHeight, $chartWidth))\n    #else\n      #set ($src = $service.getURL('get', "${queryString}&standalone=1"))\n    #end\n    #if ($options.standalone)\n      #if ($options.format == 'raster')\n        $response.sendRedirect($src)\n      #elseif($doc != $service || $xcontext.action != 'get')\n        $response.sendRedirect($service.getURL('get', $queryString))\n      #else\n        $response.setContentType('text/html')\n        ((($svg)))\n      #end\n    #else\n      #if ($options.format == 'raster' || "#_detectChartFormat()" == 'raster')\n        #set ($img = "<img style='width:100%' title='$chartConfiguration.chartTitle' src='$src'/>")\n      #else\n        #set ($img = $svg.replaceAll('\\{\\{/?html.*?}}', '').trim())\n      #end\n      #if ($options.link)\n        {{html clean="false"}}<a target="_blank" href="$src" class="chart-wrapper">$img</a>{{/html}}##\n      #elseif ($options.fullscreen || $xcontext.action == 'export')\n        {{html clean="false"}}<div style="width:100%;">$img</div>{{/html}}##\n      #else\n        {{html clean="false"}}<div class="chart-wrapper">$img</div>{{/html}}##\n      #end\n    #end\n  #end\n#end\n##\n##\n##\n## ---------------------------------------------------------\n## Decide which method to use for building measurement data\n## ---------------------------------------------------------\n#if ($options.targetClassName && $options.obj)\n  #_buildMeasurementsFromObjects($options.targetClassName $options.obj)\n#else\n  #_buildMeasurementsFromRequest()\n#end\n## ---------------------------------------------------------\n## Decide what charts to display and in which format\n## ---------------------------------------------------------\n#if ($options.chartName)\n  #_generateCharts($measurements.get($options.chartName), $options.chartName)\n#else\n  ## ---------------------------------------------------------\n  ## Generate all the charts for all the available data\n  ## ---------------------------------------------------------\n  #foreach ($measurementName in $services.measurements.getAvailableMeasurementNames())\n    #_generateCharts($measurements.get($measurementName), $measurementName)\n  #end\n#end\n##\n## ---------------------------------------------------------\n## All done\n## ---------------------------------------------------------\n#end## macro measurementCharts\n{{/velocity}}	1.1		PhenoTips.ChartService		0			Install extension [org.phenotips:patient-measurements-ui-1.2.6]	f	xwiki/2.1	t
-8289552106001225603	PhenoTips.MeasurementsClass	MeasurementsClass				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:02:09	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.MeasurementsClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<age>\n<customDisplay>{{velocity}}\n#if ("$!value" == '')\n  #set ($dValue = '-')\n#else\n  #set ($dValue = '')\n  #if ($value &gt;= 0)\n    #set ($y = $mathtool.idiv($value, 12))\n    #set ($m = $mathtool.mod($value, 12))\n  #end\n  #if ($y &gt; 0)\n    #set ($dValue = "${y}y")\n  #end\n  #if ($m &gt;= 0)\n    #set ($dValue = "$!dValue ${m}m")\n  #end\n#end\n{{html wiki=false clean=false}}\n#if ($xcontext.action == 'edit')&lt;input type="hidden" name="$prefix$name" value="$!value"/&gt;#end\n&lt;div class="$name displayed-value"&gt;$dValue.trim()&lt;/div&gt;\n{{/html}}\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>age</name>\n<number>2</number>\n<numberType>float</numberType>\n<prettyName>Age</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</age>\n<armspan>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>armspan</name>\n<number>39</number>\n<numberType>float</numberType>\n<prettyName>Arm span</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</armspan>\n<armspan_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>armspan_evaluation</name>\n<number>40</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('armspan').value)\n#set ($hValue = $object.getProperty('height').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!hValue" == '')\n  #set ($dValue = '-')\n#else\n  #set ($dValue = $dValue - $hValue)\n  #set ($pValue = $services.measurements.armspan.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.armspan.valueToStandardDeviation($male, $age, $dValue)))\n##  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n  #set ($dValue = "~= Height#if ($dValue != 0)#if($dValue &gt;= 0) + #else - #end$mathtool.abs($mathtool.roundTo(2, $dValue)) cm#end")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</armspan_evaluation>\n<bmi>\n<customDisplay>{{velocity}}\n#if ($xcontext.action != 'edit' || $request.editor != 'object')\n  #set ($dValue = "$!{value}")\n  #if ($dValue == '')\n    #set ($dValue = '-')\n  #end\n  {{html wiki=false clean=false}}\n  #if ($xcontext.action == 'edit')&lt;input type="hidden" name="$prefix$name" value="$!value"/&gt;#end\n  &lt;div class="$name displayed-value"&gt;$dValue&lt;/div&gt;\n  {{/html}}\n#else{\n  {{html wiki=false clean=false}}&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!value"/&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>bmi</name>\n<number>7</number>\n<numberType>float</numberType>\n<prettyName>BMI</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</bmi>\n<bmi_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>bmi_evaluation</name>\n<number>8</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($wValue = $object.getProperty('weight').value)\n#set ($hValue = $object.getProperty('height').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!wValue" == '' || "$!hValue" == '' || "$!wValue" == '0' || "$!hValue" == '0' || "$!{age}" == '')\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.bmi.valueToPercentile($male, $age, $wValue, $hValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.bmi.valueToStandardDeviation($male, $age, $wValue, $hValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</bmi_evaluation>\n<date>\n<customDisplay>{{velocity}}{{html wiki=false clean=false}}\n#set ($definedFormat = "$!object.xWikiClass.get($name).getProperty('dateFormat').value")\n#if ($xcontext.action == 'edit')\n&lt;input type="text" id="$prefix$name" title="$!definedFormat" name="$prefix$name" value="$!xwiki.formatDate($value, $definedFormat)" class="xwiki-date" alt="#formatdateISO($value)"/&gt;\n#else\n&lt;span class="date"&gt;$!xwiki.formatDate($!value, $definedFormat)&lt;/span&gt;\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<dateFormat>MM/dd/yyyy</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>1</emptyIsToday>\n<name>date</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Date</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</date>\n<ear>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>ear</name>\n<number>19</number>\n<numberType>float</numberType>\n<prettyName>Left ear length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</ear>\n<ear_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ear_evaluation</name>\n<number>20</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('ear').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.ear.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.ear.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</ear_evaluation>\n<ear_right>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>ear_right</name>\n<number>27</number>\n<numberType>float</numberType>\n<prettyName>Right ear length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</ear_right>\n<ear_right_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ear_right_evaluation</name>\n<number>28</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('ear_right').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.ear.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.ear.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</ear_right_evaluation>\n<foot>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>foot</name>\n<number>25</number>\n<numberType>float</numberType>\n<prettyName>Left foot length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</foot>\n<foot_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>foot_evaluation</name>\n<number>26</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('foot').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.foot.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.foot.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</foot_evaluation>\n<foot_right>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>foot_right</name>\n<number>33</number>\n<numberType>float</numberType>\n<prettyName>Right foot length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</foot_right>\n<foot_right_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>foot_right_evaluation</name>\n<number>34</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('foot').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.foot.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.foot.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</foot_right_evaluation>\n<hand>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>hand</name>\n<number>21</number>\n<numberType>float</numberType>\n<prettyName>Left hand length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</hand>\n<hand_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>hand_evaluation</name>\n<number>22</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('hand').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#set ($pValue = $services.measurements.hand.valueToPercentile($male, $age, $dValue))\n#if ("$!dValue" == '' || "$!{age}" == '' || "$!pValue" == '-1')\n  #set ($dValue = '-')\n#else\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.hand.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</hand_evaluation>\n<hand_right>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>hand_right</name>\n<number>29</number>\n<numberType>float</numberType>\n<prettyName>Right hand length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</hand_right>\n<hand_right_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>hand_right_evaluation</name>\n<number>30</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('hand_right').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#set ($pValue = $services.measurements.hand.valueToPercentile($male, $age, $dValue))\n#if ("$!dValue" == '' || "$!{age}" == '' || "$!pValue" == '-1')\n  #set ($dValue = '-')\n#else\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.hand.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</hand_right_evaluation>\n<hc>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>hc</name>\n<number>9</number>\n<numberType>float</numberType>\n<prettyName>Head circumference</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</hc>\n<hc_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>hc_evaluation</name>\n<number>10</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('hc').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.hc.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.hc.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</hc_evaluation>\n<height>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>height</name>\n<number>5</number>\n<numberType>float</numberType>\n<prettyName>Height</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</height>\n<height_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>height_evaluation</name>\n<number>6</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('height').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '')\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.height.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.height.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</height_evaluation>\n<icd>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>icd</name>\n<number>13</number>\n<numberType>float</numberType>\n<prettyName>Inner canthal distance</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</icd>\n<icd_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>icd_evaluation</name>\n<number>14</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('icd').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.icd.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.icd.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</icd_evaluation>\n<ipd>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>ipd</name>\n<number>17</number>\n<numberType>float</numberType>\n<prettyName>Interpupilary distance</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</ipd>\n<ipd_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ipd_evaluation</name>\n<number>18</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('ipd').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.ipd.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.ipd.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</ipd_evaluation>\n<ocd>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>ocd</name>\n<number>11</number>\n<numberType>float</numberType>\n<prettyName>Outer canthal distance</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</ocd>\n<ocd_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ocd_evaluation</name>\n<number>12</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('ocd').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.ocd.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.ocd.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</ocd_evaluation>\n<palm>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>palm</name>\n<number>23</number>\n<numberType>float</numberType>\n<prettyName>Left palm length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</palm>\n<palm_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>palm_evaluation</name>\n<number>24</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('palm').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.palm.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.palm.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</palm_evaluation>\n<palm_right>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>palm_right</name>\n<number>31</number>\n<numberType>float</numberType>\n<prettyName>Right palm length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</palm_right>\n<palm_right_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>palm_right_evaluation</name>\n<number>32</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('palm_right').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.palm.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.palm.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</palm_right_evaluation>\n<pfl>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>pfl</name>\n<number>15</number>\n<numberType>float</numberType>\n<prettyName>Palpebral fissure length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pfl>\n<pfl_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pfl_evaluation</name>\n<number>16</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('pfl').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '')\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.pfl.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.pfl.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</pfl_evaluation>\n<philtrum>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>philtrum</name>\n<number>35</number>\n<numberType>float</numberType>\n<prettyName>Philtrum length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</philtrum>\n<philtrum_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>philtrum_evaluation</name>\n<number>36</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('philtrum').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.philtrum.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.philtrum.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</philtrum_evaluation>\n<sitting>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>sitting</name>\n<number>37</number>\n<numberType>float</numberType>\n<prettyName>Sitting height</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</sitting>\n<sitting_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sitting_evaluation</name>\n<number>38</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('sitting').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.sitting.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.sitting.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</sitting_evaluation>\n<weight>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') kg#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;kg&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>weight</name>\n<number>3</number>\n<numberType>float</numberType>\n<prettyName>Weight</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</weight>\n<weight_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>weight_evaluation</name>\n<number>4</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('weight').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.weight.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.weight.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</weight_evaluation>\n</class>\n	0			Install extension [org.phenotips:patient-measurements-ui-1.2.6]	f	xwiki/2.1	t
-6142523365656884645	PhenoTips.PatientToolsService	PatientToolsService				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:24	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action == 'get')\n  #macro (dashIfEmpty $val)#if ("$!val" == '' || ($val.class.getName().endsWith('Integer') && $val < 0) || ($val.class.getName().endsWith('Double') && $val.isNaN($val)))-#elseif ($val.class.getName().endsWith('Integer'))$val#else$mathtool.roundTo(2, $val)#end#end\n  $response.setContentType('application/json')\n  #set ($age = $mathtool.toDouble("$!request.a"))\n  #set ($sex = ("$!request.s" != 'F'))\n##\n  #set ($valueMapping = [])\n##\n  #if ("$!request.a" != '')\n    #foreach($measurement in $services.measurements.getAvailableMeasurementHandlers())\n      #set ($value = $mathtool.toDouble("$!request.get($measurement.name)"))\n      #if ("$!value" != '' && $value != 0)\n        #set($data = {'id' : $measurement.name,\n                      'value' : $value,\n                      'percentile' : $!$measurement.valueToPercentile($sex, $age, $value),\n                      'deviation' : $!measurement.valueToStandardDeviation($sex, $age, $value)\n        })\n        #set($discard = $valueMapping.add($data))\n      #end\n      #if ($measurement.isDoubleSided())\n        #set ($value = $mathtool.toDouble("$!request.get(""${measurement.name}_right"")"))\n        #if ("$!value" != '' && $value != 0)\n          #set($data = {'id' : "${measurement.name}_right",\n                        'value' : $value,\n                        'percentile' : $!measurement.valueToPercentile($sex, $age, $value),\n                        'deviation' : $!measurement.valueToStandardDeviation($sex, $age, $value)\n          })\n          #set($discard = $valueMapping.add($data))\n        #end\n      #end\n    #end\n    ## BMI is special, it's computed from two different measurements\n    #set ($weight = $mathtool.toDouble("$!request.weight"))\n    #set ($height = $mathtool.toDouble("$!request.height"))\n    #if ("$!weight" != '' && $weight != 0 && "$!height" != '' && $height != 0)\n      #set($data = {'id' : 'bmi', 'value' : $!mathtool.roundTo(2, $services.measurements.bmi.computeBMI($weight, $height))})\n        #set($discard = $data.put('percentile', $!services.measurements.bmi.valueToPercentile($sex, $age, $weight, $height)))\n        #set($discard = $data.put('deviation', $!services.measurements.bmi.valueToStandardDeviation($sex, $age, $weight, $height)))\n      #set($discard = $valueMapping.add($data))\n    #end\n    ## Arm span is also special, it's computed as the difference from height\n    #set ($armspan = $mathtool.toDouble("$!request.armspan"))\n    #set ($height = $mathtool.toDouble("$!request.height"))\n    #if ("$!armspan" != '' && $armspan != 0 && "$!height" != '' && $height != 0)\n      #set ($dValue = $armspan - $height)\n      #set ($dValue = $mathtool.roundTo(2, $dValue))\n      #set($data = {'id' : 'armspan', 'value' : $dValue})\n      #set($discard = $data.put('evaluation', "~= Height#if ($dValue != 0)#if($dValue >= 0) + #else - #end$mathtool.abs($dValue)cm#end"))\n      #set($discard = $valueMapping.add($data))\n    #end\n  #end##age\n  {\n  #foreach ($entry in $valueMapping)\n    #if ("$!entry.evaluation" != '')\n      #set ($dValue = $entry.evaluation)\n    #elseif ("$!entry.value" == '' || "$!{entry.percentile}" == '' || $entry.percentile < 0 || "$!{entry.deviation}" == '')\n      #set ($dValue = '-')\n    #else\n      #set ($pValue = $entry.percentile)\n      #set ($sdValue = $entry.deviation)\n      #set ($dValue = "${pValue}#if($pValue>10 && $pValue<20)<sup>th</sup>#elseif($pValue%10==1)<sup>st</sup>#elseif($pValue%10==2)<sup>nd</sup>#elseif($pValue%10==3)<sup>rd</sup>#{else}<sup>th</sup>#end pctl (#if ($sdValue >= 0)+#end${mathtool.roundTo(2, $sdValue)}SD)")\n    #end\n    "$entry.id" : {\n        "value" : "#dashIfEmpty($entry.value)",\n        "percentile" : "#dashIfEmpty($entry.percentile)",\n        "deviation" : "#dashIfEmpty($entry.deviation)",\n        "valCategory" : "$!services.measurements.getFuzzyValue($entry.deviation)",\n        "evaluation" : "$dValue"\n    }#if($foreach.hasNext()),\n\n    #end\n  #end\n\n  }\n#end{{/velocity}}\n	1.1		PhenoTips.PatientClass		0			Install extension [org.phenotips:patient-measurements-ui-1.2.6]	f	xwiki/2.1	t
2892263817918590370	PhenoTips.ChartGenerator	ChartGenerator				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:24	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	#macro (getPercentileValue $age $p)\n  #set ($v = $services.measurements.get($chartConfiguration.measurementType).percentileToValue($sex, $age, $p))\n#end\n#macro (getSDValue $age $d)\n  #set ($v = $services.measurements.get($chartConfiguration.measurementType).standardDeviationToValue($sex, $age, $d))\n#end\n#macro (getValuePercentile $age $v)\n  #set ($p = $services.measurements.get($chartConfiguration.measurementType).valueToPercentile($sex, $age, $v))\n#end\n#macro (getValueSD $age $v)\n  #set ($d = $services.measurements.get($chartConfiguration.measurementType).valueToStandardDeviation($sex, $age, $v))\n#end\n#macro (getPercentileColor $p)\n  #set ($macro.h = $mathtool.mul(110, $mathtool.pow($mathtool.div($mathtool.sub(50, $mathtool.abs($mathtool.sub($p, 50))), 50.0), 0.5)))\n  #set ($macro.s = 1)\n  #set ($macro.l = 0.5)\n  #set ($macro.r = $macro.l)\n  #set ($macro.g = $macro.l)\n  #set ($macro.b = $macro.l)\n  #if ($macro.l <= 0.5)\n    #set ($macro.v = ($macro.l * (1.0 + $macro.s)))\n  #else\n    #set ($macro.v = ($macro.l + $macro.s - $macro.l * $macro.s))\n  #end\n  #if ($macro.v > 0)\n    #set ($macro.m = $macro.l + $macro.l - $macro.v)\n    #set ($macro.sv = ($macro.v - $macro.m) / $macro.v)\n    #set ($macro.h = $macro.h / 60.0)\n    #set ($macro.sextant = $mathtool.floor($macro.h))\n    #set ($macro.fract = $macro.h - $macro.sextant)\n    #set ($macro.vsf = $macro.v * $macro.sv * $macro.fract)\n    #set ($macro.mid1 = $macro.m + $macro.vsf)\n    #set ($macro.mid2 = $macro.v - $macro.vsf)\n    #if ($macro.sextant == 0)\n      #set ($macro.r = $macro.v)\n      #set ($macro.g = $macro.mid1)\n      #set ($macro.b = $macro.m)\n    #elseif ($macro.sextant == 1)\n      #set ($macro.r = $macro.mid2)\n      #set ($macro.g = $macro.v)\n      #set ($macro.b = $macro.m)\n    #elseif ($macro.sextant == 2)\n      #set ($macro.r = $macro.m)\n      #set ($macro.g = $macro.v)\n      #set ($macro.b = $macro.mid1)\n    #elseif ($macro.sextant == 3)\n      #set ($macro.r = $macro.m)\n      #set ($macro.g = $macro.mid2)\n      #set ($macro.b = $macro.v)\n    #elseif ($macro.sextant == 4)\n      #set ($macro.r = $macro.mid1)\n      #set ($macro.g = $macro.m)\n      #set ($macro.b = $macro.v)\n    #else\n      #set ($macro.r = $macro.v)\n      #set ($macro.g = $macro.m)\n      #set ($macro.b = $macro.mid2)\n    #end\n  #end\n  #set ($macro.r = $mathtool.toInteger($mathtool.mul($macro.r, 255)))\n  #set ($macro.g = $mathtool.toInteger($mathtool.mul($macro.g, 255)))\n  #set ($macro.b = $mathtool.toInteger($mathtool.mul($macro.b, 255)))\n  #set ($macro.r = $macro.r.toHexString($macro.r))\n  #if ($macro.r.length() == 1)\n    #set ($macro.r = "0$macro.r")\n  #end\n  #set ($macro.g = $macro.g.toHexString($macro.g))\n  #if ($macro.g.length() == 1)\n    #set ($macro.g = "0$macro.g")\n  #end\n  #set ($macro.b = $macro.b.toHexString($macro.b))\n  #if ($macro.b.length() == 1)\n    #set ($macro.b = "0$macro.b")\n  #end\n  ${escapetool.h}${macro.r}${macro.g}${macro.b}##\n#end\n#set ($xlines = $mathtool.toInteger($mathtool.div($mathtool.sub($chartConfiguration.upperAgeLimit, $chartConfiguration.lowerAgeLimit), $chartConfiguration.ageTickStep)))\n#set ($ylines = $mathtool.toInteger($mathtool.div($mathtool.sub($chartConfiguration.upperValueLimit, $chartConfiguration.lowerValueLimit), $chartConfiguration.valueTickStep)))\n#set ($graphWidth = 828)\n#set ($graphHeight = 1080)\n#set ($chartWidth = $mathtool.add($graphWidth, 125))\n#set ($chartHeight = $mathtool.add($graphHeight, 146))\n#set ($xstep = $mathtool.div($graphWidth, $xlines))\n#set ($ystep = $mathtool.div($graphHeight, $ylines))\n#set ($yscale = $mathtool.div($ystep, $chartConfiguration.valueTickStep))\n#set ($xscale = $mathtool.div($xstep, $chartConfiguration.ageTickStep))\n#if ($chartConfiguration.ageLabelStep >= 12)\n  #set ($ageInYears = true)\n#else\n  #set ($ageInYears = false)\n#end\n#if (!$chartCounter)\n  #set ($chartCounter = 0)\n#else\n  #set ($chartCounter = $chartCounter + 1)\n#end\n{{html clean="false"}}\n##$response.setContentType('image/svg+xml')\n<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="-60.5 -80.5 $chartWidth $chartHeight" ##\n#if ("$!{request.standalone}" == '1' || $xcontext.action == 'export')\n  width="$chartWidth" height="$chartHeight" ##\n#else\n  width="100%" ##\n#end\npreserveAspectRatio="xMinYMin meet" style="overflow: hidden;" text-rendering="optimizeLegibility">\n  <title>${chartConfiguration.chartTitle}, #if ($sex)$services.localization.render('phenotips.chartGenerator.chartTitle.male')#{else}$services.localization.render('phenotips.chartGenerator.chartTitle.female')#end</title>\n  <style type="text/css">\na:hover {\n  text-decoration: underline;\n}\n.chart-background {\n  fill: white;\n  stroke: none;\n}\n.chart-border {\n  stroke: #000;\n  stroke-width: 1px;\n  fill: none;\n}\n.chart-grid {\n  stroke: #AAA;\n  stroke-width: 0.5px;\n  fill: none;\n  shape-rendering: geometricPrecision;\n}\n.chart-grid.bold {\n  stroke-width: 1px;\n  stroke: #AAA;\n}\n.chart-percentile-curve, .chart-deviation-curve {\n  stroke: #000;\n  stroke-width: 1px;\n  stroke-linejoin: round;\n  fill: none;\n}\n.chart-deviation, .chart-deviation-curve {\n  display: none;\n}\n.boy .chart-percentile-curve {\n  stroke: #1059A0;\n}\n.girl .chart-percentile-curve {\n  stroke: #C44;\n  stroke: #D05;\n}\n.chart-percentile-curve.bold {\n  stroke-width: 2px;\n}\n.chart-percentile-curve.guideline {\n  stroke: #AAA;\n  stroke-width: 1px;\n  stroke-dasharray: 3px 3px;\n}\n.chart-title {\n  text-anchor: middle;\n  font-size: 28px;\n  font-family: sans-serif;\n}\n.chart-label {\n  text-anchor: middle;\n  font-size: 14px;\n  font-family: monospace;\n}\n.chart-label.left {\n  text-anchor: end;\n}\n.chart-label.right {\n  text-anchor: start;\n}\n.chart-label.bold {\n  font-weight: 900;\n}\n.chart-label.side {\n  font-family: sans-serif;\n  font-size: 20px;\n  text-anchor: middle;\n}\n.reference {\n  font-size: 10px;\n  text-anchor: end;\n}\n.chart-percentile.chart-background {\n  stroke: none;\n  fill: white;\n}\n  </style>\n  <defs>\n    <clipPath id="border${chartCounter}">\n      <rect x="0" y="0.5" width="$graphWidth" height="$graphHeight" class="chart-border" />\n    </clipPath>\n  </defs>\n  <rect x="-60" y="-80" width="$mathtool.sub($chartWidth, 1)" height="$mathtool.sub($chartHeight, 1)" class="chart-background" />\n  <g transform="translate(0, 10)" class="#if ($sex)boy#{else}girl#{end}">\n  #foreach ($i in [0..$xlines])\n    #set ($age = $mathtool.add($mathtool.mul($i, $chartConfiguration.ageTickStep), $chartConfiguration.lowerAgeLimit))\n    #set ($isMajorLine = $mathtool.abs($mathtool.sub($mathtool.div($age, $chartConfiguration.ageLabelStep), $mathtool.round($mathtool.div($age, $chartConfiguration.ageLabelStep)))) <= 0.0001)\n    #set ($x = $mathtool.mul($i, $xstep))\n    <line x1="$x" y1="0" x2="$x" y2="$graphHeight" class="chart-grid#if ($isMajorLine) bold#end" />\n    #if ($age == 0)\n      <text x="$x" y="$mathtool.add($graphHeight, 5)" class="bottom chart-label bold" dy="1ex">$services.localization.render('phenotips.chartGenerator.birth')</text>\n      <text x="$x" y="-4" class="top chart-label bold">$services.localization.render('phenotips.chartGenerator.birth')</text>\n    #elseif ($isMajorLine)\n      #if ($ageInYears)\n        #set ($age = $age / 12)\n      #end\n      <text x="$x" y="$mathtool.add($graphHeight, 5)" class="bottom chart-label#if (!$ageInYears && $age % 12 == 0) bold#end" dy="1ex">$age</text>\n      <text x="$x" y="-4" class="top chart-label#if (!$ageInYears && $age % 12 == 0) bold#end">$age</text>\n    #end\n  #end\n  #if (($chart.startsWith('height') || $chart.startsWith('bmi')) && $chartConfiguration.lowerAgeLimit < 24 && $chartConfiguration.upperAgeLimit > 24)\n    #set ($x = $mathtool.mul(24, $xstep))\n    <line x1="$x" y1="0" x2="$x" y2="$graphHeight" class="chart-border" />\n  #end\n  #foreach ($i in [0..$ylines])\n    #set ($value = $mathtool.roundTo(1, $mathtool.add($mathtool.mul($i, $chartConfiguration.valueTickStep), $chartConfiguration.lowerValueLimit)))\n    #set ($isMajorLine = $mathtool.abs($mathtool.sub($mathtool.div($value, $chartConfiguration.valueLabelStep), $mathtool.round($mathtool.div($value, $chartConfiguration.valueLabelStep)))) <= 0.0001)\n    #set ($y = $mathtool.sub($graphHeight, $mathtool.mul($i, $ystep)))\n    <line x1="0" y1="$y" x2="$graphWidth" y2="$y" class="chart-grid#if ($isMajorLine) bold#end" />\n    #if ($isMajorLine)\n      #if ($mathtool.floor($chartConfiguration.valueLabelStep) == $chartConfiguration.valueLabelStep)\n        #set ($value = $mathtool.toInteger($value))\n      #end\n      <text x="-4" y="$y" class="left chart-label" dy="0.5ex">$value</text>\n      <text x="$mathtool.add($graphWidth, 4)" y="$y" class="right chart-label" dy="0.5ex">$value</text>\n    #end\n  #end\n  #foreach ($p in [3, 10, 25, 50, 75, 90, 97])\n    #getPercentileValue($chartConfiguration.lowerAgeLimit $p)\n    <path clip-path="url(#border${chartCounter})" class="chart-percentile-curve#if ($p == 3 || $p == 50 || $p == 97) bold#end" d="M0 $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))L##\n    #foreach ($i in [1..$xlines])\n      #set ($age = $mathtool.add($mathtool.mul($i, $chartConfiguration.ageTickStep), $chartConfiguration.lowerAgeLimit))\n      #getPercentileValue($age $p)\n      $mathtool.mul($foreach.count, $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale)) ##\n      #if ($age == 23 && ($chartConfiguration.measurementType == 'height' || $chartConfiguration.measurementType == 'bmi') && $chartConfiguration.lowerAgeLimit < 24 && $chartConfiguration.upperAgeLimit > 24)\n        #set ($v2 = $v)\n        #getPercentileValue($mathtool.sub($age, 1) $p)\n        #set ($v1 = $v)\n        #set ($d = ($v2 - $v1) / 2)\n        #set ($v3 = $v2 + $d)\n        $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v3, $chartConfiguration.lowerValueLimit), $yscale)) ##\n        #getPercentileValue($mathtool.add($age, 2) $p)\n        #set ($v3 = $v)\n        #getPercentileValue($mathtool.add($age, 1) $p)\n        #set ($v2 = $v)\n        #set ($d = ($v3 - $v2) / 2)\n        #set ($v1 = $v2 - $d)\n        M $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v1, $chartConfiguration.lowerValueLimit), $yscale)) L##\n      #end\n    #end\n    "/>\n  #end\n  #foreach ($d in [-3..3])\n    #getSDValue($chartConfiguration.lowerAgeLimit $d)\n    <path clip-path="url(#border${chartCounter})" class="chart-deviation-curve#if ($d == -2 || $d == 2) bold#end" d="M0 $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))L##\n    #foreach ($i in [1..$xlines])\n      #set ($age = $mathtool.add($mathtool.mul($i, $chartConfiguration.ageTickStep), $chartConfiguration.lowerAgeLimit))\n      #getSDValue($age $d)\n      $mathtool.mul($foreach.count, $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale)) ##\n      #if ($age == 23 && ($chartConfiguration.measurementType == 'height' || $chartConfiguration.measurementType == 'bmi') && $chartConfiguration.lowerAgeLimit < 24 && $chartConfiguration.upperAgeLimit > 24)\n        #set ($v2 = $v)\n        #getSDValue($mathtool.sub($age, 1) $d)\n        #set ($v1 = $v)\n        #set ($m = ($v2 - $v1) / 2)\n        #set ($v3 = $v2 + $m)\n        $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v3, $chartConfiguration.lowerValueLimit), $yscale)) ##\n        #getSDValue($mathtool.add($age, 2) $d)\n        #set ($v3 = $v)\n        #getSDValue($mathtool.add($age, 1) $d)\n        #set ($v2 = $v)\n        #set ($m = ($v3 - $v2) / 2)\n        #set ($v1 = $v2 - $m)\n        M $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v1, $chartConfiguration.lowerValueLimit), $yscale)) L##\n      #end\n    #end\n    "/>\n  #end\n<g clip-path="url(#border${chartCounter})">\n  #foreach ($m in $measurements)\n    #if ($m.a >= $chartConfiguration.lowerAgeLimit && $m.a < $chartConfiguration.upperAgeLimit)\n      #getValuePercentile($m.a $m.x)\n      #getPercentileValue($chartConfiguration.lowerAgeLimit $p)\n      <path class="chart-percentile-curve guideline" d="M0 $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))L##\n      #foreach ($i in [1..$xlines])\n        #set ($age = $mathtool.add($mathtool.mul($i, $chartConfiguration.ageTickStep), $chartConfiguration.lowerAgeLimit))\n        #getPercentileValue($age $p)\n        $mathtool.mul($foreach.count, $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale)) ##\n        #if ($age == 23 && ($chartConfiguration.measurementType == 'height' || $chartConfiguration.measurementType == 'bmi') && $chartConfiguration.lowerAgeLimit < 24 && $chartConfiguration.upperAgeLimit > 24)\n          #set ($v2 = $v)\n          #getPercentileValue($mathtool.sub($age, 1) $p)\n          #set ($v1 = $v)\n          #set ($d = ($v2 - $v1) / 2)\n          #set ($v3 = $v2 + $d)\n          $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v3, $chartConfiguration.lowerValueLimit), $yscale)) ##\n          #getPercentileValue($mathtool.add($age, 2) $p)\n          #set ($v3 = $v)\n          #getPercentileValue($mathtool.add($age, 1) $p)\n          #set ($v2 = $v)\n          #set ($d = ($v3 - $v2) / 2)\n          #set ($v1 = $v2 - $d)\n          M $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v1, $chartConfiguration.lowerValueLimit), $yscale)) L##\n        #end\n      #end\n      "/>\n    #end\n  #end\n  #foreach ($p in [3, 10, 25, 50, 75, 90, 97])\n    #getPercentileValue($mathtool.sub($chartConfiguration.upperAgeLimit, 1) $p)\n    <circle cx="$mathtool.mul($mathtool.sub($xlines, 0.5), $xstep)" cy="$mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))" r="#if ($p == 3)0.5#{else}0.7#{end}em" class="chart-percentile chart-background"/>\n    <text x="$mathtool.mul($mathtool.sub($xlines, 0.5), $xstep)" y="$mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))" class="chart-percentile chart-label" dy="0.5ex">$p</text>\n  #end\n  #foreach ($d in [-3..3])\n    #getSDValue($mathtool.sub($chartConfiguration.upperAgeLimit, 1) $d)\n    <ellipse cx="$mathtool.mul($mathtool.sub($xlines, 0.85), $xstep)" cy="$mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))" ry="0.7em" rx="1.2em" class="chart-deviation chart-background"/>\n    <text x="$mathtool.mul($mathtool.sub($xlines, 0.85), $xstep)" y="$mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))" class="chart-deviation chart-label" dy="0.5ex">#if ($d >= 0)+#end${d}SD</text>\n  #end\n  #foreach ($m in $measurements)\n    #if ($m.a >= $chartConfiguration.lowerAgeLimit && $m.a < $chartConfiguration.upperAgeLimit)\n      #getValuePercentile($m.a $m.x)\n      #getValueSD($m.a $m.x)\n      #set ($d = $mathtool.roundTo(2, $d))\n      #set ($x = $mathtool.mul($mathtool.sub($m.a, $chartConfiguration.lowerAgeLimit), $xscale))\n      #set ($y = $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($m.x, $chartConfiguration.lowerValueLimit), $yscale)))\n      #if ($y > $mathtool.sub($graphHeight, 10))\n        #set ($y = $graphHeight - 4)\n        <path d="M $x $y l 7 -14 h -14 z" fill="#getPercentileColor($p)" stroke="black" stroke-width="4" title="$mathtool.roundTo(2, $m.x), $p pctl (#if ($d >= 0)+#end${d}SD)"/>\n      #elseif ($y < 10)\n        #set ($y = 4)\n        <path d="M $x $y l 7 14 h -14 z" fill="#getPercentileColor($p)" stroke="black" stroke-width="4" title="$mathtool.roundTo(2, $m.x), $p pctl (#if ($d >= 0)+#end${d}SD)"/>\n      #else\n        <circle cx="$x" cy="$y" fill="#getPercentileColor($p)" stroke="black" stroke-width="4" r="8" title="$mathtool.roundTo(2, $m.x), $p pctl (#if ($d >= 0)+#end${d}SD)"/>\n      #end\n    #end\n  #end\n  </g>\n  <rect x="0" y="0" width="$graphWidth" height="$graphHeight" class="chart-border" />\n  <text x="$mathtool.div($graphWidth, 2)" y="-55" class="chart-title">${chartConfiguration.chartTitle}, #if ($sex)$services.localization.render('phenotips.chartGenerator.chartTitle.male')#{else}$services.localization.render('phenotips.chartGenerator.chartTitle.female')#end</text>\n  <text y="$mathtool.div($graphHeight, 2)" x="-33" class="left side chart-label" transform="rotate(270 -33 $mathtool.div($graphHeight, 2))">${chartConfiguration.leftLabel}</text>\n  <text y="$mathtool.div($graphHeight, 2)" x="$mathtool.add($graphWidth, 33)" class="right side chart-label" transform="rotate(90 $mathtool.add($graphWidth, 33) $mathtool.div($graphHeight, 2))">${chartConfiguration.rightLabel}</text>\n  <text y="-20" x="$mathtool.div($graphWidth, 2)" class="top side chart-label">${chartConfiguration.topLabel}</text>\n  <text y="$mathtool.add($graphHeight, 20)" x="$mathtool.div($graphWidth, 2)" class="bottom side chart-label" dy="0.7em">${chartConfiguration.bottomLabel}</text>\n  #if ("$!chartConfiguration.chartSource" != '')\n    #if ("$!chartConfiguration.chartSourceLink" != '')<a xlink:href="${chartConfiguration.chartSourceLink}">#end\n    <text y="$mathtool.add($graphHeight, 45)" x="$mathtool.add($chartWidth, -65.5)" class="reference" dy="0.7em">${chartConfiguration.chartSource}</text>\n    #if ("$!chartConfiguration.chartSourceLink" != '')</a>#end\n  #end\n  </g>\n</svg>\n{{/html}}	1.1		PhenoTips.ChartService		0			Install extension [org.phenotips:patient-measurements-ui-1.2.6]	f	xwiki/2.1	t
7579896291726018797	PhenoTips.StudyBindingSheet	StudyBindingSheet				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:23	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n; $services.localization.render('phenotips.studyBindingSheet.selectStudy')\n#if ($doc.getObject('PhenoTips.PatientClass'))\n: $doc.getObject('PhenoTips.StudyBindingClass', true).studyReference\n#else\n: {{include reference="PhenoTips.StudyBindingClass" /}}\n#end\n{{/velocity}}\n	1.1		PhenoTips.StudyBindingClass		0			Install extension [org.phenotips:studies-ui-1.2.6]	f	xwiki/2.1	t
1965042290890080725	PhenoTips.StudyCases	StudyCases				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:30	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="PhenoTips.DatabaseFilters" /}}\n\n{{velocity}}\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($configuredColumns = $config.getProperty('livetableColumns').value)\n#if (!$configuredColumns && !($configuredColumns.length > 0))\n  #set ($configuredColumns = 'doc.name')\n#end\n#set ($columns = [])\n#set ($discard = $columns.addAll($configuredColumns))\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column.toLowerCase().indexOf('date') < 0) && ($column != 'doc.creator') && ($column != 'doc.author'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true }))\n#end\n##  toggle-filters\n#set ($topFilters = $doc.getRenderedContent("(% class='xform' %)((( {{html clean='false'}}<span class='buttonwrapper'><a class='button toggle-filters' href='#'>$services.localization.render('phenotips.studyCases.advanceDataFiltersButton')</a></span>{{/html}}\n{{velocity}}#__filters_display('xform'){{/velocity}})))", "xwiki/2.1"))\n#set ($discard = $columns.add('_actions'))\n##\n#set ($filterFrom = ", BaseObject studyBindingObj, StringProperty study")\n#set ($filterWhere = "and studyBindingObj.name = doc.fullName and studyBindingObj.className = 'PhenoTips.StudyBindingClass' and study.id.id = studyBindingObj.id and study.value = '${escapetool.sql($doc.documentReference)}'")\n#if ($isGuest)\n  #set ($filterWhere = "${filterWhere} and doc.creator = 'XWiki.XWikiGuest' and not exists (from BaseObject accessObj where accessObj.name = doc.fullName and accessObj.className = 'PhenoTips.OwnerClass')")\n#elseif (!$hasAdmin)\n  #set ($groups = [])\n  #set ($toProcess = $collectionstool.queue)\n  #if ($xcontext.userReference)\n    #set ($discard = $groups.add($xcontext.userReference))\n    #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n  #end\n  #foreach ($iteration in [0..1000])\n    #if ($toProcess.empty)\n      #break\n    #end\n    #set ($item = $toProcess.poll())\n    #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n      #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #if (!$groupObj && $group.documentReference.name.endsWith(' Administrators'))\n        #set ($group = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)))\n        #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #end\n      #if ($groupObj && !$groups.contains($group.documentReference.toString()))\n        #set ($discard = $toProcess.add($group.documentReference.toString()))\n        #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n      #end\n    #end\n  #end\n  #set ($groups = "('${stringtool.join($groups, ""','"")}')")\n  #set ($o = $services.model.serialize($xcontext.userReference, 'default'))\n  #set ($os = $services.model.serialize($xcontext.userReference, 'compactwiki'))\n  #set ($visibilityThreshold = $services.permissions.resolveVisibility('public').permissiveness)\n  #set ($publicVisibilities = [])\n  #foreach($visibility in $services.permissions.listVisibilityOptions())\n    #if ($visibility.permissiveness >= $visibilityThreshold)\n      #set ($discard = $publicVisibilities.add($visibility.name))\n    #end\n  #end\n  #set ($publicVisibilities = $stringtool.join($publicVisibilities, "','"))\n  #set ($publicVisibilities = "'${publicVisibilities}'")\n  #set ($filterWhere = "${filterWhere} and ((doc.creator in ('${o}', '${os}') and not exists (from BaseObject own where own.className = 'PhenoTips.OwnerClass' and own.name = doc.fullName)) or exists (from BaseObject accessObj, StringProperty accessProp where accessObj.className in ('PhenoTips.OwnerClass', 'PhenoTips.CollaboratorClass') and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and accessProp.value in ${groups}) or exists (from BaseObject visibilityObj, StringProperty visibilityProp where visibilityObj.name = doc.fullName and visibilityObj.className = 'PhenoTips.VisibilityClass' and visibilityObj.id = visibilityProp.id.id and visibilityProp.id.name = 'visibility' and visibilityProp.value in (${publicVisibilities})))")\n#end\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'topFilters'        : $topFilters,\n  'resultPage'        : 'PhenoTips.LiveTableResults',\n  'extraParams'       : "&filterFrom=${escapetool.url($filterFrom)}&filterWhere=${escapetool.url($filterWhere)}"\n})\n#if ("$!config.getProperty('livetableRows').value" != '' && $config.getProperty('livetableRows').value > 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('patients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}**$services.localization.render('phenotips.configurationMissing')**{{/warning}}\n#end\n{{/velocity}}	1.1		PhenoTips.StudySheet		0			Install extension [org.phenotips:studies-ui-1.2.6]	f	xwiki/2.1	t
-6795976445148865508	PhenoTips.StudySheet	StudySheet				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:16	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n$xwiki.ssx.use('PhenoTips.StudySheet')##\n$xwiki.jsx.use('PhenoTips.StudySheet')##\n#set ($groups = $services.query.xwql('from doc.object(PhenoTips.PhenoTipsGroupClass) as g where :study member of g.studies').bindValue('study', $services.model.serialize($doc.documentReference, 'local')))\n#set ($groupsCount = $groups.count())\n#set ($casesCount = $services.query.xwql('from doc.object(PhenoTips.PatientClass) as p, doc.object(PhenoTips.StudyBindingClass) as o where o.studyReference = :study').bindValue('study', $services.model.serialize($doc.documentReference, 'default')).count())\n\n#if ($xcontext.action == 'edit')\n(% class="xform" %)(((\n; {{html}}<label>$services.localization.render('phenotips.studySheet.studyName')</label>{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.studySheet.studyName.hint')\n: {{html}}<input type="text" name="title" value="$!doc.title"/>{{/html}}\n; {{html}}<label>$services.localization.render('phenotips.studySheet.studyDescription')</label>{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.studySheet.studyDescription.hint')\n: {{html wiki="false" clean="false"}}<textarea name="content" rows="20" cols="80">$!escapetool.html($doc.content)</textarea>{{/html}}\n\n(% class="buttonwrapper" %)[[{{icon name="wrench" /}} $services.localization.render('phenotips.studySheet.formConfigButton')>>path:$xwiki.getURL("${doc.fullName}", 'view')?s=form#content-form||class="button" id="patientConfigurationLink"]]\n\n)))\n#else\n$!doc.content\n#if ($xcontext.action == 'view')\n#set ($filterVal = $services.rendering.escape($doc.fullName, $doc.syntax))\n#set ($sections = [\n  {'id' : 'members', 'name' : "$services.localization.render('phenotips.studySheet.groupsSection', [$groupsCount])", 'icon' : 'group',       'content' : "((({{phenotips-groups filterby='studies' filterval='$filterVal' /}})))"},\n  {'id' : 'cases',   'name' : "$services.localization.render('phenotips.studySheet.casesSection', [$casesCount])",  'icon' : 'folder-open', 'content' : '{{include reference="PhenoTips.StudyCases"/}}'},\n  {'id' : 'form' ,   'name' : "$services.localization.render('phenotips.studySheet.formConfigSection')",  'icon' : 'cog',        'content' : "{{include reference='PhenoTips.FormDesigner' /}}"}\n])\n#set ($menu = [])\n#set ($contents = {})\n#foreach ($s in $sections)\n  #set ($discard = $menu.add({\n      'id' : $s.id,\n      'name' : "<i class='fa fa-$s.icon'></i> $s.name",\n      'url' : "?s=${s.id}#content-${s.id}"\n  }))\n  #set ($discard = $contents.put($s.id, $s.content))\n#end\n#set ($crtContent = '')\n#if ($menu.size() > 0)\n  #set ($crtItem = "$!request.s")\n  #if ("$!contents.get($crtItem)" == '')\n    #set ($crtItem = "$!menu.get(0).id")\n  #end\n  #set ($crtContent = "$!contents.get($crtItem)")\n#end\n#if ($menu.size() > 1)\n(% class="vertical-menu $!{options.cssClass}" %)(((\n#foreach ($i in $menu)\n* {{html clean=false wiki=false}}<a href="$i.url" id="group-section-$i.id" #if ($i.id == $crtItem) class="current" #end>$i.name</a>{{/html}}\n#end\n)))\n(% class="menu-section" id="content-${crtItem}" %)#end((($crtContent)))\n#end\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:studies-ui-1.2.6]	f	xwiki/2.1	t
5520793438054844335	PhenoTips.StudyBindingClass	StudyBindingClass				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:02:06	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output=false}}\n#if ("$!mode" == '' || "$!mode" == 'get')\n  #set ($mode = 'edit')\n#end\n#if ("$!name" == '')\n  #set ($name = 'studyReference')\n#end\n#if ("$!prefix" == '')\n  #set ($prefix = 'PhenoTips.StudyBindingClass_')\n#end\n#if ("$!value" == '')\n  #set ($value = '')\n#end\n{{/velocity}}\n\n{{velocity}}{{html clean="false" wiki="true"}}\n#if ($mode == 'edit')\n#set ($studiesVisibilityPreference = $xwiki.getDocument('XWiki.XWikiPreferences').getObject('XWiki.ConfigurationClass', 'property', 'study-visibility-option', false).getProperty('value').value)\n#if ($studiesVisibilityPreference == 'unrestricted')\n  #set ($studyClassName = 'PhenoTips.StudyClass')\n  #set ($studyTemplateName = 'PhenoTips.StudyTemplate')\n  #set ($query = $services.query.xwql("from doc.object(${studyClassName}) as std where doc.fullName <> :template").bindValue('template', $studyTemplateName))\n  #set ($studyDocs = $xwiki.wrapDocs($query.execute()))\n  #set ($studies = $collectionstool.sortedSet)\n  #foreach ($study in $studyDocs)\n    #set ($discard = $studies.add($services.model.serialize($study.documentReference, 'default')))\n  #end\n#else\n  #set ($toProcess = $collectionstool.queue)\n  #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n  #set ($groups = [])\n  #set ($studies = $collectionstool.sortedSet)\n  #foreach ($iteration in [0..1000])\n    #if ($toProcess.empty)\n      #break\n    #end\n    #set ($item = $toProcess.poll())\n    #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n      #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #if (!$groupObj && $group.documentReference.name.endsWith(' Administrators'))\n        #set ($groupObj = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)).getObject('PhenoTips.PhenoTipsGroupClass'))\n      #end\n      #if ($groupObj && !$groups.contains($group.documentReference.toString()))\n        #set ($discard = $toProcess.add($group.documentReference.toString()))\n        #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n        #if ($groupObj.getProperty('studies').value.isEmpty() == false)\n          #set ($discard = $studies.addAll($groupObj.getProperty('studies').value))\n        #end\n      #end\n    #end\n  #end\n#end\n<div class="form-template-option">\n<label><input type="radio" name="${prefix}${name}" value=""#if ("$!{value}" == '') checked="checked"#end/>$services.localization.render('phenotips.studyBindingClass.noStudyOption')</label>\n<p class="xHint">$services.localization.render('phenotips.studyBindingClass.noStudyOption.hint')</p>\n</div>\n#foreach ($sName in $studies)\n  #set ($s = $xwiki.getDocument($sName))\n  #if (!$s.isNew())\n    #set ($config = $s.getObject('PhenoTips.StudyClass'))\n    #set ($configTitle = '')\n    #if ("$!{s.plainTitle}" != '')\n      #set ($configTitle = "$s.plainTitle")\n    #else\n      #set ($configTitle = "${s.name}")\n    #end\n    <div class="form-template-option">\n    <label><input type="radio" name="${prefix}${name}" value="${services.rendering.escape($services.model.serialize($s.documentReference), $doc.syntax)}" #if ("$!{value}" == "${s.documentReference}") checked="checked" #end/>$services.rendering.escape($configTitle, $doc.syntax)</label>\n    <p class="xHint">$!{s.content}</p>\n    </div>\n  #end\n#end\n#else\n  #if ("$!value" == '')\n    None\n  #else\n    #set ($s = $xwiki.getDocument($value))\n    #set ($config = $s.getObject('PhenoTips.StudyClass'))\n    #set ($configTitle = '')\n    #if ("$!{s.plainTitle}" != '')\n      #set ($configTitle = "$s.plainTitle")\n    #else\n      #set ($configTitle = "${s.name}")\n    #end\n    [[${configTitle}>>${value}]]\n  #end\n#end\n{{/html}}{{/velocity}}\n	1.1		PhenoTips.StudyClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.StudyBindingClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<studyReference>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.StudyBindingClass" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>studyReference</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Configuration to use</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</studyReference>\n</class>\n	2			Install extension [org.phenotips:studies-ui-1.2.6]	f	xwiki/2.1	t
1683989050142459350	PhenoTips.StudyTemplate	StudyTemplate				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:27	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		Studies.WebHome		2			Install extension [org.phenotips:studies-ui-1.2.6]	f	xwiki/2.1	t
1510712775948946585	PhenoTips.StudyClass	StudyClass				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:02:09	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.StudyClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<fields>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>fields</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>fields</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</fields>\n<mapping>\n<cache>0</cache>\n<classname>PhenoTips.PhenotypeMappingClass</classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<idField>doc.fullName</idField>\n<multiSelect>0</multiSelect>\n<name>mapping</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>mapping</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select doc.fullName, doc.name from XWikiDocument doc, BaseObject obj where doc.fullName &lt;&gt; 'PhenoTips.PhenotypeMappingTemplate' and obj.name = doc.fullName and obj.className = 'PhenoTips.PhenotypeMappingClass'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField>doc.name</valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</mapping>\n<sections>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>sections</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>sections</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</sections>\n</class>\n	2			Install extension [org.phenotips:studies-ui-1.2.6]	f	xwiki/2.1	t
7980113832139262809	Studies.WebPreferences	WebPreferences				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	Studies		1.1		Studies.WebHome		2			Install extension [org.phenotips:studies-ui-1.2.6]	f	xwiki/2.1	t
8587073340513076794	Studies.WebHome	WebHome	Studies			0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	Studies	{{phenotips-studies fullinfo="true" tools="true" orderby="name"/}}	1.1		Main.WebHome		2			Install extension [org.phenotips:studies-ui-1.2.6]	f	xwiki/2.1	f
-4253578903835224465	Groups.WebPreferences	WebPreferences				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	Groups		1.1		Groups.WebHome		2			Install extension [org.phenotips:users-ui-1.2.6]	f	xwiki/2.1	t
4931782492601429431	Groups.WebHome	WebHome	Groups Directory			0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:03:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	Groups	{{phenotips-groups fullinfo="true" tools="true" orderby="name"/}}	1.1		Main.WebHome		2			Install extension [org.phenotips:users-ui-1.2.6]	f	xwiki/2.1	f
-655175824852894192	PhenoTips.PhenoTipsGroupClass	PhenoTipsGroupClass				0	2017-05-12 15:43:36	2017-05-12 15:43:36	2014-06-03 15:02:08	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<contact>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>contact</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Contact</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp>/^(([^@\\s]+)@((?:[-a-zA-Z0-9]+\\.)+[a-zA-Z]{2,}))?$/</validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.EmailClass</classType>\n</contact>\n<description>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>description</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Group description</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage>Some information about this group for other users visiting this page</validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<image>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}\n(% class="clearfloats" %)((()))</customDisplay>\n<disabled>0</disabled>\n<name>image</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Image</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</image>\n<public_sections>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>public_sections</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>public_sections</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>members=Show member list to non-members|cases=Show list of public cases to non-members</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</public_sections>\n<studies>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>studies</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>studies</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select doc.fullName, doc.name from XWikiDocument doc, BaseObject obj where doc.fullName &lt;&gt; 'PhenoTips.StudyTemplate' and obj.name = doc.fullName and obj.className = 'PhenoTips.StudyClass'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</studies>\n</class>\n	2			Install extension [org.phenotips:users-ui-1.2.6]	f	xwiki/2.1	t
8707828919889042076	PhenoTips.GroupSharedCases	GroupSharedCases				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2015-03-10 00:33:47	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="PhenoTips.DatabaseFilters" /}}\n\n{{velocity}}\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($configuredColumns = $config.getProperty('livetableColumns').value)\n#if (!$configuredColumns && !($configuredColumns.length > 0))\n  #set ($configuredColumns = 'doc.name')\n#end\n#set ($columns = [])\n#set ($discard = $columns.addAll($configuredColumns))\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column.toLowerCase().indexOf('date') < 0) && ($column != 'doc.creator') && ($column != 'doc.author'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true }))\n#end\n##  toggle-filters\n#set ($topFilters = $doc.getRenderedContent("(% class='xform' %)((( {{html clean='false'}}<span class='buttonwrapper'><a class='button toggle-filters' href='#'>$services.localization.render('phenotips.groups.dataFilterButton')</a></span>{{/html}}\n{{velocity}}#__filters_display('xform'){{/velocity}})))", "xwiki/2.1"))\n#set ($discard = $columns.add('_actions'))\n##\n#set ($filterFrom = ", BaseObject collaboratorObj, StringProperty collaborator")\n#set ($filterWhere = "and collaboratorObj.name = doc.fullName and collaboratorObj.className = 'PhenoTips.CollaboratorClass' and collaborator.id.id = collaboratorObj.id and collaborator.value = '${escapetool.sql($doc.documentReference)}'")\n#if (!$isMyGroup)\n  #set ($filterFrom = "${filterFrom}, BaseObject accessObj, StringProperty access")\n  #set ($filterWhere = "${filterWhere} and accessObj.name = doc.fullName and accessObj.className = 'PhenoTips.VisibilityClass' and access.id.id = accessObj.id and access.value = 'public'")\n#end\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'topFilters'        : $topFilters,\n  'resultPage'        : 'PhenoTips.LiveTableResults',\n  'extraParams'       : "&filterFrom=${escapetool.url($filterFrom)}&filterWhere=${escapetool.url($filterWhere)}"\n})\n#if ("$!config.getProperty('livetableRows').value" != '' && $config.getProperty('livetableRows').value > 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('patients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}**Configuration missing.**{{/warning}}\n#end\n{{/velocity}}	1.1		PhenoTips.PhenoTipsGroupSheet		0			Install extension [org.phenotips:users-ui-1.2.6]	f	xwiki/2.1	t
-3940016828251439610	PhenoTips.GroupCases	GroupCases				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:34	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="PhenoTips.DatabaseFilters" /}}\n\n{{velocity}}\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($configuredColumns = $config.getProperty('livetableColumns').value)\n#if (!$configuredColumns && !($configuredColumns.length > 0))\n  #set ($configuredColumns = 'doc.name')\n#end\n#set ($columns = [])\n#set ($discard = $columns.addAll($configuredColumns))\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column.toLowerCase().indexOf('date') < 0) && ($column != 'doc.creator') && ($column != 'doc.author'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true }))\n#end\n##  toggle-filters\n#set ($topFilters = $doc.getRenderedContent("(% class='xform' %)((( {{html clean='false'}}<span class='buttonwrapper'><a class='button toggle-filters' href='#'>$services.localization.render('phenotips.groups.dataFilterButton')</a></span>{{/html}}\n{{velocity}}#__filters_display('xform'){{/velocity}})))", "xwiki/2.1"))\n#set ($discard = $columns.add('_actions'))\n##\n#set ($filterFrom = ", BaseObject ownerObj, StringProperty owner")\n#set ($filterWhere = "and ownerObj.name = doc.fullName and ownerObj.className = 'PhenoTips.OwnerClass' and owner.id.id = ownerObj.id and owner.value = '${escapetool.sql($doc.documentReference)}'")\n#if (!$isMyGroup)\n  #set ($visibilityThreshold = $services.permissions.resolveVisibility('public').permissiveness)\n  #set ($publicVisibilities = [])\n  #foreach($visibility in $services.permissions.listVisibilityOptions())\n    #if ($visibility.permissiveness >= $visibilityThreshold)\n      #set ($discard = $publicVisibilities.add($visibility.name))\n    #end\n  #end\n  #set ($publicVisibilities = $stringtool.join($publicVisibilities, "','"))\n  #set ($publicVisibilities = "'${publicVisibilities}'")\n  #set ($filterFrom = "${filterFrom}, BaseObject accessObj, StringProperty access")\n  #set ($filterWhere = "${filterWhere} and accessObj.name = doc.fullName and accessObj.className = 'PhenoTips.VisibilityClass' and access.id.id = accessObj.id and access.value in (${publicVisibilities})")\n#end\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'topFilters'        : $topFilters,\n  'resultPage'        : 'PhenoTips.LiveTableResults',\n  'extraParams'       : "&filterFrom=${escapetool.url($filterFrom)}&filterWhere=${escapetool.url($filterWhere)}"\n})\n#if ("$!config.getProperty('livetableRows').value" != '' && $config.getProperty('livetableRows').value > 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('patients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}**Configuration missing.**{{/warning}}\n#end\n{{/velocity}}	1.1		PhenoTips.PhenoTipsGroupSheet		0			Install extension [org.phenotips:users-ui-1.2.6]	f	xwiki/2.1	t
3059779074258070780	PhenoTips.PhenoTipsGroupTemplate	PhenoTipsGroupTemplate	New group name			0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome		3			Install extension [org.phenotips:users-ui-1.2.6]	f	xwiki/2.1	t
-2370344842343736627	PhenoTips.PhenoTipsGroupSheet	PhenoTipsGroupSheet				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:25	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n$xwiki.ssx.use('PhenoTips.PhenoTipsGroupSheet')##\n$xwiki.jsx.use('PhenoTips.PhenoTipsGroupSheet')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.ImageDisplayer')##\n$xwiki.ssx.use('PhenoTips.ImageDisplayer')##\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n#if ($xcontext.action == 'edit')\n(% class="xform" %)(((\n; {{html}}<label>$services.localization.render('phenotips.groups.name')</label>{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.nameHint')\n: {{html}}<input type="text" name="title" value="$!doc.title"/>{{/html}}\n; {{html}}<label>$services.localization.render('phenotips.groups.image')</label>{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.imageHint')\n: $doc.display('image')\n; {{html}}<label>$services.localization.render('phenotips.groups.description')</label>{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.descriptionHint')\n: $doc.display('description')\n; {{html}}<label>$services.localization.render('phenotips.groups.contact')</label>{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.contactHint')\n: $doc.display('contact')\n; {{html}}<label>$services.localization.render('phenotips.groups.publicInfo')</label>{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.publicInfoHint')\n: $doc.display('public_sections')\n#if ($xwiki.exists('PhenoTips.StudyClass'))\n; {{html}}<label>$services.localization.render('phenotips.groups.studies')</label>{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.studiesHint')\n: $doc.display('studies')\n#end\n\n)))\n(% class="xform" %)(((\n== $services.localization.render('phenotips.groups.manageMembers') ==\n\n(% class="buttonwrapper" %)[[{{icon name="wrench" /}} $services.localization.render('phenotips.groups.manageAdmins')>>path:$xwiki.getURL("${doc.fullName} Administrators", 'edit')||rel="__blank" class="button" style="float: right" id="manage-administrators"]]\n\n{{include reference='XWiki.XWikiGroupSheet'/}}\n\n)))\n#else\n(% class="group-logo" %)(((#if ("$!{doc.getObject('PhenoTips.PhenoTipsGroupClass').getProperty('image').value}" != '')$doc.display('image')#{else}$xwiki.getDocument('PhenoTips.PhenoTipsGroupTemplate').display('image')#{end})))$doc.display('description')\n\n#set ($isMyGroup = $xwiki.user.isUserInGroup($doc.fullName) || $xwiki.user.isUserInGroup("${doc.fullName} Administrators"))\n#if ($isMyGroup){{info}}{{translation key="phenotips.groups.selfMembership"/}}{{/info}}#end\n(% class="clearfloats" %)((()))\n#end\n\n#if ($xcontext.action == 'view')\n#set ($obj = $doc.getObject('PhenoTips.PhenoTipsGroupClass'))\n#set ($sections = [\n  {'id' : 'members', 'name' : "$services.localization.render('phenotips.groups.menu.groupMembers')", 'icon' : 'users',       'content' : '{{include reference="XWiki.XWikiGroupSheet"/}}'},\n  {'id' : 'cases',   'name' : "$services.localization.render('phenotips.groups.menu.cases')",  'icon' : 'folder-open', 'content' : '{{include reference="PhenoTips.GroupCases"/}}'}\n])\n#if ($xwiki.exists('PhenoTips.CollaboratorClass'))\n  #set ($discard = $sections.add({'id' : 'sharedCases', 'name' : "$services.localization.render('phenotips.groups.menu.sharedCases')", 'icon' : 'share-square', 'content' : '{{include reference="PhenoTips.GroupSharedCases"/}}'}))\n#end\n#if ($xwiki.exists('PhenoTips.StudyClass'))\n  #set ($discard = $sections.add({'id' : 'studies' ,   'name' : "$services.localization.render('phenotips.groups.menu.studies')",  'icon' : 'copy',        'content' : "((({{phenotips-studies filterby='group' filterval='${services.rendering.escape($doc.fullName, $doc.syntax)}' /}})))"}))\n#end\n#set ($menu = [])\n#set ($contents = {})\n#foreach ($s in $sections)\n  #if ($isMyGroup || $hasAdmin || $obj.getProperty('public_sections').value.contains($s.id))\n    #set ($discard = $menu.add({\n      'id' : $s.id,\n      'name' : "<i class='fa fa-$s.icon'></i> $s.name",\n      'url' : "?s=${s.id}#content-${s.id}"\n    }))\n    #set ($discard = $contents.put($s.id, $s.content))\n  #end\n#end\n##\n#set ($crtContent = '')\n##\n#if ($menu.size() > 0)\n  #set ($crtItem = "$!request.s")\n  #if ("$!contents.get($crtItem)" == '')\n    #set ($crtItem = "$!menu.get(0).id")\n  #end\n  #set ($crtContent = "$!contents.get($crtItem)")\n#end\n#if ($menu.size() > 1)\n(% class="vertical-menu $!{options.cssClass}" %)(((\n#foreach ($i in $menu)\n* {{html clean=false wiki=false}}<a href="$i.url" id="group-section-$i.id" #if ($i.id == $crtItem) class="current" #end>$i.name</a>{{/html}}\n#end\n)))\n(% class="menu-section" id="content-${crtItem}" %)#end((($crtContent)))\n#end\n{{/velocity}}\n	1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:users-ui-1.2.6]	f	xwiki/2.1	t
625106655743598530	PhenoTips.PatientAccessRightsManagement	PatientAccessRightsManagement				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:22	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#set ($_service = $services.permissions)\n#set ($patient = $services.patients.getPatientById("$!{request.patient}"))\n#if ("$!{request.xaction}" == 'meta')\n  ## ===========================================================\n  ## Get meta information about available accessLevels\n  ## -----------------------------------------------------------\n  #set ($discard = $response.setContentType('application/json'))\n  #set ($accessLevelsMeta = {})\n  #set ($discard = $accessLevelsMeta.put('reqNo', "$!{request.reqNo}"))\n  #set ($discard = $accessLevelsMeta.put('visibilityOptions', $_service.listVisibilityOptions()))\n  #set ($discard = $accessLevelsMeta.put('userAccessLevels', $_service.listAccessLevels()))\n  $jsontool.serialize($accessLevelsMeta)\n#elseif ("$!{request.xaction}" == 'get')\n  #if (!$patient)\n    #set ($discard = $response.setStatus(400))## no patient, bad request\n  #else\n    ## ===========================================================\n    ## Get information about access levels and collaborators\n    ## -----------------------------------------------------------\n    #set ($patientAccess = $_service.getPatientAccess($patient))\n    #set ($discard = $response.setContentType('application/json'))\n    #set ($collaborators = $patientAccess.getCollaborators())\n    #set ($visibility =  $patientAccess.getVisibility())\n    #set ($data = {})\n    #set ($discard = $data.put('reqNo', "$!{request.reqNo}"))\n    #set ($discard = $data.put('query', "$!{request.patient}"))\n    #set ($discard = $data.put('visibility', "$!{visibility.name}"))\n    #set ($discard = $data.put('collaboratorsCount', $collaborators.size()))\n    #set ($collaboratorsData = [])\n    #foreach ($c in $collaborators)\n      #set ($collaborator = {})\n      #set ($discard = $collaborator.put('id', $c.user.toString()))\n      #set ($discard = $collaborator.put('type', $c.type))\n      #if ($c.type == 'user')\n        #set ($discard = $collaborator.put('name', $xwiki.getUserName("${c.user}", false)))\n      #else\n        #set ($discard = $collaborator.put('name', "$!{xwiki.getDocument($c.user).plainTitle}"))\n      #end\n      #set ($discard = $collaborator.put('accessLevel', $c.accessLevel.name))\n      #set ($discard = $collaboratorsData.add($collaborator))\n    #end\n    #set ($discard = $data.put('collaborators', $collaboratorsData))\n    $jsontool.serialize($data)\n  #end## Patient exists\n#elseif ("$!{request.xaction}" == 'update')\n  ## ===========================================================\n  ## Send update about access levels and collaborators\n  ## -----------------------------------------------------------\n  #set ($visibility = $_service.resolveVisibility("$!{request.visibility}"))\n  #set ($data = {})\n  #set ($result = true)\n  #set ($collaborators = $request.getParameterValues('collaborator'))\n  #set ($accessLevels = $request.getParameterValues('accessLevel'))\n  #set ($owner = "$!{request.get('owner')}")\n  #if ("$!{owner}" != '')\n    ## Check the validity of the new owner\n    #set ($invalidOwner = false)\n    #set ($validGroup = false)\n    #set ($validUser = false)\n    #set ($cannotTransfer = false)\n    #set ($ownerDocRef = $services.model.resolveDocument($owner))\n    #if ($xwiki.getDocument($ownerDocRef).getObject('PhenoTips.PhenoTipsGroupClass'))\n      #set ($validGroup = true)\n      ## Non-admin users can only transfer ownership to their own groups\n      ## Check to see if user has permission to transfer ownership\n      #set ($adminGroup = $owner + ' Administrators')\n      #if (!$xwiki.getUser().isUserInGroup($owner) && !$xwiki.getUser().isUserInGroup($adminGroup) && !$hasAdmin)\n        #set ($cannotTransfer = true)\n      #end\n    #elseif ($services.query.xwql("from doc.object(XWiki.XWikiUsers) as user where user.name = :ownerName").bindValue("ownerName", "$owner").count() > 0)\n      #set ($validUser = true)\n    #end\n    #if (!($validUser || $validGroup))\n      #set ($invalidOwner = true)\n    #end\n  #end\n  #if (!$patient)\n    #set ($discard = $response.setStatus(400))## no patient : bad request\n    $services.localization.render("phenotips.patientAccessRightsManagement.noPatientError",[$!{request.patient}])\n  #elseif($collaborators.size() != $accessLevels.size())\n    #set ($discard = $response.setStatus(400))## mismatched user/level parameters, bad request\n    $services.localization.render('phenotips.patientAccessRightsManagement.malformedRequest')\n  #elseif ($invalidOwner)\n    #set ($discard = $response.setStatus(400))## No user found to transfer ownership to\n    $services.localization.render('phenotips.patientAccessRightsManagement.invalidNewOwner', ["$!owner"])\n  #elseif ($cannotTransfer)\n    #set ($discard = $response.setStatus(400))## The user cannot make the specified transfer\n    $services.localization.render('phenotips.patientAccessRightsManagement.noPermissionError')\n  #else\n    #set ($patientAccess = $_service.getPatientAccess($patient))\n    #foreach ($collaborator in $collaborators)\n      #set ($discard = $data.put($services.model.resolveDocument($collaborator), $_service.resolveAccessLevel($accessLevels.get($foreach.index))))\n    #end\n    #set ($result = $result && $patientAccess.updateCollaborators($data))\n    #if ($visibility)\n      #set ($result = $result && $patientAccess.setVisibility($visibility))\n    #end\n    #if ($owner != '')\n      #set ($result = $result && $patientAccess.setOwner($services.model.resolveDocument($owner)))\n    #end\n    #if ($result)\n      #set ($discard = $response.setStatus(204))## success, no content\n    #else\n      #set ($discard = $response.setStatus(400))## unable to do the update\n      $services.localization.render('phenotips.patientAccessRightsManagement.updateError')\n    #end\n  #end## Patient exists and user/level parameters match\n#end\n{{/velocity}}	1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:patient-access-rules-ui-1.2.6]	f	xwiki/2.1	t
7185395083535528762	PhenoTips.CollaboratorClass	CollaboratorClass				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:02:08	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.CollaboratorClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<access>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>access</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Access level</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</access>\n<collaborator>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>collaborator</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Collaborator</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</collaborator>\n</class>\n	0			Install extension [org.phenotips:patient-access-rules-ui-1.2.6]	f	xwiki/2.1	t
7150924036941053467	PhenoTips.VisibilityClass	VisibilityClass				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:02:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.VisibilityClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<visibility>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>visibility</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Visibility</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</visibility>\n</class>\n	0			Install extension [org.phenotips:patient-access-rules-ui-1.2.6]	f	xwiki/2.1	t
3460685585092067712	PhenoTips.OwnerClass	OwnerClass				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:02:10	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientClass	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.OwnerClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<owner>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>owner</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Owner</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</owner>\n</class>\n	0			Install extension [org.phenotips:patient-access-rules-ui-1.2.6]	f	xwiki/2.1	t
5991644227448505380	PhenoTips.IndexOntology	IndexOntology				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:33	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ("$!{request.url}" != '' && "$!{request.ontology}" != '' && $request.form_token && $services.csrf.isTokenValid("$!{request.form_token}"))\n  #set($result = '')\n  #set($result = $services.vocabularies.get($request.ontology).reindex("$!{request.url}"))\n\n  #if ("$!{request.ajax}" == '1')\n    #if ($result == 0)\n      $services.localization.render('phenotips.IndexOntology.success')\n    #else\n      $response.setStatus(500)##\n      $services.localization.render('phenotips.IndexOntology.failure')\n    #end\n\n  #else\n    #if ($result == 0)\n      #set ($indexMessage = "{{info}}$services.localization.render('phenotips.IndexOntology.successMessage', [$!{request.url}]){{/info}}")\n    #else\n      #set ($indexMessage = "{{error}}$services.localization.render('phenotips.IndexOntology.failureMessage', [$!{request.url}]){{/error}}")\n    #end\n  #end\n#end\n#if ("$!{request.ajax}" != '1')\n$xwiki.jsx.use('PhenoTips.IndexOntology')##\n== $services.localization.render('phenotips.indexOntology.heading') ==\n(% class="half" %)(((\n{{html wiki=false clean=false}}\n#foreach ($ontology in ['hpo', 'chebi', 'hgnc'])\n<form class="xform solr-admin" action='' method="post">\n<dl>\n<dt>\n<label for="ontology-${ontology}-url">$services.localization.render("phenotips.IndexOntology.${ontology}")</label>\n#set ($version = $services.vocabularies.get($ontology).Version)\n#if (!$version)\n  <span class="xHint">$services.localization.render('phenotips.IndexOntology.noVersion')</span>\n#else\n  <span class="xHint">$services.localization.render('phenotips.IndexOntology.version',[$version])</span>\n#end\n<span class="xHint">$services.localization.render('phenotips.IndexOntology.URLhint')</span>\n</dt>\n<dd class="mandatory"><input type="text" name="url" id="ontology-${ontology}-url" value="$services.vocabularies.get($ontology).DefaultSourceLocation"/></dd>\n</dl>\n<div>\n<input type="hidden" name="ontology" value="${ontology}"/>\n<input type="hidden" name="form_token" value="$!{services.csrf.getToken()}"/>\n<span class="buttonwrapper"><input class="button" type="submit" name="actionindex" value="$services.localization.render('phenotips.IndexOntology.startReindex')"/></span>\n</div>\n</form>\n#end\n{{/html}}\n\n{{warning}}$services.localization.render('phenotips.IndexOntology.longWaitWarning'){{/warning}}\n\n)))\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:vocabularies-ui-1.2.6]	f	xwiki/2.1	t
-6835187109811913293	PhenoTips.PushPatientService	PushPatientService	PushPatientService			0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:37	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity wiki="false"}}\n#set ($service = $services.pushPatient)\n\n#if ($xcontext.action == 'get')\n  $response.setContentType('application/json')\n#end\n\n#if ($request.do == 'getremotes')\n  ## test: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&do=getremotes&patientId=P0000001\n  ## test: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&do=getremotes&patientId=P00XXXXX (should work, but returns no history)\n  #set ($configuredServers = $service.getPushTargetsWithHistory($request.patientId))\n  #set ($output = [])\n  #foreach ($mapEntry in $configuredServers.entrySet())\n    #set ($data = {})\n    #set ($success = $data.put("serverinfo", $mapEntry.key))\n    #set ($success = $data.put("pushinfo",   $mapEntry.value))\n    #set ($success = $output.add($data))\n  #end\n  $jsontool.serialize($output)   ## no error checking - local call\n#elseif ($request.do == 'getpatientjson')\n  ##test1: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&do=getpatientjson&patientid=P0000001\n  ##test2: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&do=getpatientjson&patientid=P0000001&fields=[%22gender%22,%22omim_id%22]\n  ##test3: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&do=getpatientjson&patientid=P00XXXXX  (returns null)\n  #set ($patientJSON = $service.getLocalPatientJSON($request.patientid, $request.fields))\n  $jsontool.serialize($patientJSON)   ## no error checking - local call\n#elseif ($request.do == 'getuser')\n  ## test1: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&do=getuser&serverid=PUSH1\n  ## test2: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&do=getuser&serverid=NONEEXISTENT\n  #set ($lastUsedUsername = $service.getRemoteUsername($request.serverid))\n  #if (!$lastUsedUsername)\n    #set ($lastUsedUsername = "")\n  #end\n  #set ($data = { "remoteUserName":$lastUsedUsername })\n  $jsontool.serialize($data)  ## no error checking - local call\n#elseif ($request.do == 'removetokens')\n  ## test: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&do=removetokens&serverid=PUSH1  (login with savetoken=true, passwordless login, remove, passwordless now fails)\n  #set ($serverid = $request.serverid)\n  #set ($response = $service.removeStoredLoginTokens($serverid))\n  {}\n#elseif ($request.do == 'getremoteconfig')\n  ## test1: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&do=getremoteconfig&serverid=PUSH1&usr=Zzz2&pwd=zzz123&savetoken=true\n  ## test2: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&do=getremoteconfig&serverid=PUSH1  (after test1, supposedly works using stored username/token)\n  #set ($serverId  = $request.serverid)\n  #set ($username  = $request.usr)\n  #set ($password  = $request.pwd)\n  #set ($savetoken = $request.savetoken)\n\n  #if (!$username)\n    #set ($response = $service.getRemoteConfiguration($serverId))  ## passwordless login using stored token\n  #else\n    #set ($response = $service.getRemoteConfiguration($serverId, $username, $password, $savetoken))\n  #end\n\n  ## There are many possible sources of error. Assume error until you actually get success :)\n  ##\n  #set ($data = {'status':'error'})\n  #if (!$response || $response.isIncorrectProtocolVersion())\n    #set ($data.serverconnectproblem = 'true')\n    #set ($data.cantconnect = 'true')\n  #elseif ($response.isSuccessful())\n    ## yay!\n    #set ($data = {'status':'success', 'groups':$response.getRemoteUserGroups(), 'serverfields': $response.getRemoteAcceptedPatientFields(), 'updatesEnabled': $response.remoteUpdatesEnabled()})\n  #elseif ($response.isLoginFailed_UnauthorizedServer())\n    #set ($data.serverconnectproblem = 'true')\n    #set ($data.unauthorizedserver = 'true')\n  #elseif ($response.isLoginFailed())\n    #set ($data.loginfailed = 'true')    ## one form or another of incorrect username, password or stored token\n  #end\n  $jsontool.serialize($data)\n#elseif ($request.do == 'push')\n  #set ($serverId  = $request.serverid)\n  #set ($username  = $request.usr)\n  #set ($password  = $request.pwd)\n  #set ($groupname = $request.groupname)\n  #set ($patientid = $request.patientid)\n  #set ($guid      = $request.guid)\n  #set ($fields    = $request.fields)\n\n  #if ($guid == 'auto')\n     #set ($guid = $service.getPatientPushHistory($patientid, $serverId).getRemotePatientGUID())\n  #end\n\n  #if (!$username)\n    #set ($response = $service.sendPatient($patientid, $fields, $groupname, $guid, $serverId))  ## passwordless login using stored token\n  #else\n    #set ($response = $service.sendPatient($patientid, $fields, $groupname, $guid, $serverId, $username, $password))\n  #end\n\n  ##$jsontool.serialize($response)\n\n  #set ($data = {'status':'error'})\n  #if (!$response || $response.isIncorrectProtocolVersion())\n    #set ($data.serverconnectproblem = 'true')\n    #set ($data.cantconnect = 'true')\n  #elseif ($response.isSuccessful())\n    ## DONE!\n    #set ($data = {'status':'success', 'patientid':$response.getRemotePatientID(), 'patientguid':$response.getRemotePatientGUID(), 'patienturl':$response.getRemotePatientURL()})        ## TODO\n  #elseif ($response.isLoginFailed_UnauthorizedServer())\n    #set ($data.serverconnectproblem = 'true')\n    #set ($data.unauthorizedserver = 'true')\n  #elseif ($response.isLoginFailed())\n    #set ($data.loginfailed = 'true')    ## one form or another of incorrect username, password or stored token\n  #else\n    #set ($data.pushfailed = 'true')     ## push failed: either incorrect user data, or incorrect gid or server error (TODO: differentiate more)\n    #if ($response.isActionFailed_UpdatesDisabled())\n       #set ($data.updatesdisabled = 'true')\n    #end\n    #if ($response.isActionFailed_IncorrectGUID())\n       #set ($data.invalidguid = 'true')\n    #end\n    #if ($response.isActionFailed_GUIDAccessDenied())\n       #set ($data.accessdeniedguid = 'true')\n    #end\n  #end\n  $jsontool.serialize($data)\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]	f	xwiki/2.1	t
7357814823934784508	PhenoTips.PushPatientConfiguration	PushPatientConfiguration				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:21	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="PhenoTips.TabelarDataMacros"/}}\n\n{{velocity output="false"}}\n#set ($displayDocumentName = 'PhenoTips.PushPatientConfiguration')\n#set ($displayDocument = $xwiki.getDocument($displayDocumentName))\n#set ($serverConfigurationClassname = 'PhenoTips.PushPatientServer')\n#set ($existingServers = $preferencesDoc.getObjects($serverConfigurationClassname))\n\n$xwiki.ssx.use($displayDocumentName)##\n{{/velocity}}\n\n{{velocity}}\n#if ("$!{request.xaction}" == 'lastentry')\n #set ($entryClassName = $request.dataClassName)\n  #set ($options = {})\n  #set ($discard = $options.put('propertyName', "$!{request.propertyName}"))\n  #set ($discard = $options.put('propertyValue', "$!{request.propertyValue}"))\n  #set ($discard = $options.put('labels', "$!{request.withLabel}"))\n  #set ($discard = $options.put('mode', 'edit'))\n  #__extradata_displayLastEntry($request.dataClassName $options)\n#else\n{{html clean="false"}}\n<form action="${preferencesDoc.getURL('save')}" method="post">\n<div class="hidden">\n    <input type="hidden" name="form_token" value="${escapetool.xml($services.csrf.token)}" />\n    <input type="hidden" name="classname" value="${serverConfigurationClassname}" />\n    <input type="hidden" name="xredirect" value="${doc.getURL($xcontext.action, $request.queryString)}" />\n  </div>\n{{/html}}\n  #__extradata_displayTable($serverConfigurationClassname, {'counter' : false, 'labels' : false, 'mode' : 'edit', 'addedDisplaySheet' : $displayDocumentName})\n{{html clean="false"}}\n  <div class="buttons">\n    <input class="button" type="submit" value="$services.localization.render('phenotips.PushPatientConfiguration.save')" />\n  </div>\n</form>\n{{/html}}\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]	f	xwiki/2.1	t
-174610153333464335	PhenoTips.PushPatientServer	PushPatientServer				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:02:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.PushPatientServer</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<description>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>description</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Description</prettyName>\n<rows>2</rows>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Server name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<url>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>url</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Server URL</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</url>\n</class>\n	0			Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]	f	xwiki/2.1	t
-2151136051672498111	PhenoTips.PushPatient	PushPatient				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:23	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]	f	xwiki/2.1	t
-3339746429314160282	PhenoTips.SpecificityMetricWidgetService	SpecificityMetricWidgetService				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:28	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action == 'get')\n$response.setContentType('application/json')\n$jsontool.serialize({'score' : ${services.specificity.getScore($request.getParameterValues('symptom'), $request.getParameterValues('not_symptom'))}})\n#end\n{{/velocity}}	1.1		PhenoTips.SpecificityMetricWidget		0			Install extension [org.phenotips:specificity-meter-ui-1.2.6]	f	xwiki/2.1	t
-3394119080549784423	PhenoTips.SpecificityMetricWidgetTranslations	SpecificityMetricWidgetTranslations				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:35	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	phenotips.specificityMeter.label=How informative is your phenotypic description:\nphenotips.specificityMeter.level.0=None\nphenotips.specificityMeter.level.1=Poor\nphenotips.specificityMeter.level.2=Fair\nphenotips.specificityMeter.level.3=Good\nphenotips.specificityMeter.level.4=Very good\nphenotips.specificityMeter.level.5=Excellent\nphenotips.specificityMeter.info.label=What's this?\nphenotips.specificityMeter.info.title=About the Monarch phenotype specificity meter\nphenotips.specificityMeter.info=This meter assesses the breadth and depth of your phenotype annotation profile for a given patient in the context of all curated human and model organism phenotypes integrated within Monarch. The goal is to make your annotation profile specific enough to exclude similar diseases and to identify model organisms with similar phenotypes that may have mutations in relevant genes or pathways. The patient annotation profile is also used to aid exome prioritization using the same technology.	1.1		PhenoTips.SpecificityMetricWidget		2			Install extension [org.phenotips:specificity-meter-ui-1.2.6]	f	xwiki/2.1	t
265750917640709545	PhenoTips.SpecificityMetricWidget	SpecificityMetricWidget	SpecificityMetricWidget			0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:33	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	(% style="text-align: center" %)((([[[[image:monarch-logo.png||alt="Monarch Initiative"]]>>http://monarchinitiative.org/]])))\n\n{{translation key='phenotips.specificityMeter.info'/}}	1.1		PhenoTips.WebHome		3			Install extension [org.phenotips:specificity-meter-ui-1.2.6]	f	xwiki/2.1	t
8732875579441340606	PhenoTips.DiseasePredictService	DiseasePredictService				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:16	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity filter="indent"}}\n#if ($xcontext.action == 'get')\n  $response.setHeader("X-ReqNo", "$!request.reqNo")##\n  #if ("$!request.q" != '')##\n    #set ($limit = $mathtool.toInteger("$!{request.limit}"))\n    #if (!$limit || $limit < 0)\n      #set ($limit = 20)\n    #end\n    #set ($symptoms = [])\n    #set ($freeSymptoms = [])\n    #foreach ($piece in $!request.getParameterValues('symptom'))\n      #set($discard = $symptoms.add($piece))\n    #end\n    #foreach ($piece in $!request.getParameterValues('free_symptom'))\n      #set($discard = $freeSymptoms.add($piece))\n    #end\n#if ("$!{request.format}" == 'html')\n#set ($results = $services.diagnosis.get($symptoms, $freeSymptoms, $limit))\n#if ($results.size() > 0)\n{{html clean="false"  wiki="false"}}##\n<ul>\n#foreach($term in $results)\n  #set($name = $term.getName())\n  #set ($indexOfSeparator = $name.indexOf(';'))\n  #if ($indexOfSeparator > 0)\n    #set($shortName = $name.substring(0, $indexOfSeparator))\n    #set($fullName = $name.replaceAll(';;', ';'))\n  #else\n    #set($shortName = $name)\n    #set($fullName = $name)\n  #end\n  #set($id = $term.getId())\n  <li class="disorder">\n    <span class="id" title="${id}"><a href="http://www.omim.org/entry/${id}" target="_blank" title="Read about this disorder on OMIM">[MIM:${id}]</a></span>\n    <span class="title" title="${fullName}">${shortName}</span>\n  </li>\n#end ## foreach item\n</ul>\n{{/html}}\n   #set ($hasOutput = true)\n#else\n   #set ($hasOutput = false)\n#end## results.size() > 0\n    #end## html format\n  #else\n    #set ($hasOutput = false)\n  #end## non-empty query\n#end## get action\n##\n#if (!$hasOutput)\n(% class="hint" %)No matches found\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:diagnosis-suggestion-ui-1.2.6]	f	xwiki/2.1	t
8646295617699996648	PhenoTips.PedigreeGlobalSettings	PedigreeGlobalSettings				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-08-12 12:51:24	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.PedigreeGlobalSettings</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<dateDisplayFormat>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>dateDisplayFormat</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Date display format</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>MDY=mmm dd, yyyy|DMY=dd-mm-yyyy|MY=mm-yyyy|Y=yyyy|MMY=mmm yyyy</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</dateDisplayFormat>\n<dateInputFormat>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>dateInputFormat</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Date input format</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>YMD=yyyy-mm-dd|DMY=dd-mm-yyyy|MY=mm-yyyy|Y=yyyy</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</dateInputFormat>\n<nonStandardAdoptedOutGraphic>\n<customDisplay></customDisplay>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>nonStandardAdoptedOutGraphic</name>\n<number>1</number>\n<prettyName>Use brackets-out symbol for adopted-out nodes</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</nonStandardAdoptedOutGraphic>\n<probandIsSyncedWithPatient>\n<customDisplay></customDisplay>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>probandIsSyncedWithPatient</name>\n<number>6</number>\n<prettyName>Synchronize proband with patient record</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</probandIsSyncedWithPatient>\n<propagateFatherLastName>\n<customDisplay></customDisplay>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>propagateFatherLastName</name>\n<number>2</number>\n<prettyName>Propagate father's last name to descendants</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</propagateFatherLastName>\n</class>\n	0			Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	f	xwiki/2.1	t
-641512993711611657	PhenoTips.PedigreeInterface	PedigreeInterface	PedigreeInterface			0	2017-05-12 15:43:37	2017-05-12 15:43:37	2015-03-18 22:45:42	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity wwiki="false"}}\n#macro(__convertToBooleanString $value)\n  #if ($value == "1")\n    true##\n  #else\n    false##\n  #end\n#end\n#macro(__getDisabledFields)\n  #set ($recordConfiguration = $services.recordConfiguration.getActiveConfiguration())\n  #set ($disabled = ["first_name","last_name","last_name_birth"])\n  #foreach ($section in $recordConfiguration.enabledSections)\n    #foreach ($element in $section.enabledElements)\n      #if ($element == "Patient name")\n        #set ($disabled = [])\n        #break\n      #end\n    #end\n  #end\n  $jsontool.serialize($disabled)##\n#end\n$response.setContentType('application/json')##\n{{html wiki="false" clean="false"}}\n##\n#if ("$!request.action" == '')\n  Action was not specified\n  #break\n#end\n##\n#if ("$!request.action" == "getPreferences")\n  #set($user = $!{xwiki.getDocument($xcontext.getUser()).getObject('XWiki.XWikiUsers')})##\n  #set($config = $!{xwiki.getDocument('XWiki.XWikiPreferences').getObject('PhenoTips.PedigreeGlobalSettings')})##\n  { "user": {\n        "firstName" : "$!{user.getProperty('first_name').value}",\n        "lastName" : "$!{user.getProperty('last_name').value}",\n        "hideDraggingHint": false\n    },\n    "global": {\n            "disabledFields"               : #__getDisabledFields()\n        #if ($config)\n            ,\n            "dateDisplayFormat"            : "$!{config.getProperty('dateDisplayFormat').value}",\n            "dateEditFormat"               : "$!{config.getProperty('dateInputFormat').value}",\n            "nonStandardAdoptedOutGraphic" : #__convertToBooleanString("$!{config.getProperty('nonStandardAdoptedOutGraphic').value}"),\n            "propagateFatherLastName"      : #__convertToBooleanString("$!{config.getProperty('propagateFatherLastName').value}"),\n            "probandIsSyncedWithPatient"   : #__convertToBooleanString("$!{config.getProperty('probandIsSyncedWithPatient').value}")\n        #end\n    }\n  }\n#else\n  Unknown action\n#end{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	f	xwiki/2.1	f
-9175628096756292097	PhenoTips.PedigreeMacros	PedigreeMacros				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:16	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output="false"}}\n#**\n * Macro which produces HTML for pedigree legend\n *#\n#macro(pedigreeLegend $pedigreeData $header)\n  #set ($pedigreeDataJSON = $jsontool.parse($pedigreeData))\n  #set ($disorderColors = $pedigreeDataJSON.settings.colors.disorders)\n  #set ($geneColors = $pedigreeDataJSON.settings.colors.genes)\n  #set ($cancerColors = $pedigreeDataJSON.settings.colors.cancers)\n\n  #if (($disorderColors && $disorderColors.size() > 0) || ($geneColors && $geneColors.size() > 0) || ($cancerColors && $cancerColors.size() > 0))\n    #if ($xcontext.action == 'export')\n      #set ($circle = '⬤')\n      #set ($listyle = 'margin: 0 .5em 0 0; font-family: FreeSerif, serif;')\n    #else\n      #set ($circle = '<span class="fa fa-circle fa-lg"></span>')\n      #set ($listyle = 'margin: 0 .25em 0 0;')\n    #end\n\n    #set ($divstyle="")\n    #if ($header)\n      <strong>$header</strong>\n      #set ($divstyle="margin-top: 1em; margin-left: 2em;")\n    #end\n    <div class="pedigree-legend" style="$divstyle">\n    #set ($disorderNames = $pedigreeDataJSON.settings.names.disorders)\n    #if ($disorderColors && $disorderNames && $disorderColors.size() > 0)\n      Disorders:\n      <ul class="pedigree-legend-list" style="margin-top: .4em; margin-bottom: .5em;">\n      #foreach ($color in $disorderColors.entrySet())\n        <li class="pedigree-disorder-item" style="list-style-type: none;">\n          <span class="pedigree-disorder-color" style="color: $color.value; $listyle">$circle</span>\n          <span class="pedigree-disorder-name">$escapetool.xml($disorderNames[$color.key])</span>\n        </li>\n      #end\n      </ul>\n    #end\n    #if ($geneColors && $geneColors.size() > 0)\n      Candidate Genes:\n      <ul class="pedigree-legend-list" style="margin-top: .4em">\n      #foreach ($color in $geneColors.entrySet())\n        <li class="pedigree-disorder-item" style="list-style-type: none;">\n          <span class="pedigree-disorder-color" style="color: $color.value; $listyle">$circle</span>\n          <span class="pedigree-disorder-name">$color.key</span>\n        </li>\n      #end\n      </ul>\n    #end\n    #if ($cancerColors && $cancerColors.size() > 0)\n      Cancers:\n      <ul class="pedigree-legend-list" style="margin-top: .4em">\n      #foreach ($color in $cancerColors.entrySet())\n        <li class="pedigree-disorder-item" style="list-style-type: none;">\n          <span class="pedigree-disorder-color" style="color: $color.value; $listyle">$circle</span>\n          <span class="pedigree-disorder-name">$color.key</span>\n        </li>\n      #end\n      </ul>\n    #end\n\n\n    </div>\n  #end\n#end\n{{/velocity}}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	f	xwiki/2.1	t
-2886903071405140315	PhenoTips.UIX_Field__pedigree	UIX_Field__pedigree	$services.localization.render('phenotips.patientRecord.pedigree.extensionTitle')			0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:21	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.PatientSheet		2			Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	f	xwiki/2.1	t
-2705209195239241054	PhenoTips.PedigreeConfiguration	PedigreeConfiguration				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-03-28 19:36:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output="false"}}\n#set ($displayDocumentName = 'PhenoTips.PedigreeConfiguration')\n#set ($displayDocument = $xwiki.getDocument($displayDocumentName))\n#set ($mainConfigurationClassname = 'PhenoTips.PedigreeGlobalSettings')\n#set ($existingConfigs = $preferencesDoc.getObjects($mainConfigurationClassname))\n\n#set ($targetObj = $doc.getObject($mainConfigurationClassname))\n#if (!$targetObj)\n  #set ($targetObj = $doc.newObject($mainConfigurationClassname))\n  $doc.save('Added receive patient configuration', true)##\n#end\n\n$xwiki.ssx.use($displayDocumentName)##\n{{/velocity}}\n\n==Pedigree configuration==\n\n{{velocity}}\n{{html clean="false"}}\n<form action="${preferencesDoc.getURL('save')}" method="post" class="xform">\n  <div class="hidden">\n    <input type="hidden" name="form_token" value="${escapetool.xml($services.csrf.token)}" />\n    <input type="hidden" name="classname" value="${mainConfigurationClassname}" />\n    <input type="hidden" name="xredirect" value="${escapetool.xml($doc.getURL($xcontext.action, $request.queryString))}" />\n  </div>\n  <fieldset>\n    <legend>Graphics</legend>\n    <dl>\n      <dt><label for="${targetObj.getxWikiClass().name}_${targetObj.number}_nonStandardAdoptedOutGraphic">${doc.display("nonStandardAdoptedOutGraphic", "edit", $targetObj).replaceAll('\\{\\{/?html.*?}}', '')} ${targetObj.getxWikiClass().get('nonStandardAdoptedOutGraphic').translatedPrettyName}</label></dt>\n    </dl>\n  </fieldset>\n\n  <fieldset>\n    <legend>Behavior</legend>\n    <dl>\n      <dt><label for="${targetObj.getxWikiClass().name}_${targetObj.number}_propagateFatherLastName">${doc.display("propagateFatherLastName", "edit", $targetObj).replaceAll('\\{\\{/?html.*?}}', '')} ${targetObj.getxWikiClass().get('propagateFatherLastName').translatedPrettyName}</label></dt>\n      <dt><label for="${targetObj.getxWikiClass().name}_${targetObj.number}_probandIsSyncedWithPatient">${doc.display("probandIsSyncedWithPatient", "edit", $targetObj).replaceAll('\\{\\{/?html.*?}}', '')} ${targetObj.getxWikiClass().get('probandIsSyncedWithPatient').translatedPrettyName}</label></dt>\n    </dl>\n  </fieldset>\n\n  <fieldset>\n    <legend>Date format</legend>\n    <dl>\n      <dt><label for="${targetObj.getxWikiClass().name}_${targetObj.number}_dateInputFormat">${targetObj.getxWikiClass().get('dateInputFormat').translatedPrettyName}</label></dt>\n      <dd>${doc.display("dateInputFormat", "edit", $targetObj).replaceAll('\\{\\{/?html.*?}}', '')}</dd>\n      <dt><label for="${targetObj.getxWikiClass().name}_${targetObj.number}_dateDisplayFormat">${targetObj.getxWikiClass().get('dateDisplayFormat').translatedPrettyName}</label></dt>\n      <dd>${doc.display("dateDisplayFormat", "edit", $targetObj).replaceAll('\\{\\{/?html.*?}}', '')}</dd>\n    </dl>\n  </fieldset>\n  <div class="buttons">\n    <input class="button" type="submit" value="Save" />\n  </div>\n</form>\n{{/html}}\n{{/velocity}}	1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	f	xwiki/2.1	t
4742394087926763548	PhenoTips.PedigreeEditor	PedigreeEditor	Pedigree editor#if ($request.id): $request.id#end			0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:16	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output=false}}\n$xwiki.jsfx.use('js/scriptaculous/slider.js')##\n$xwiki.jsfx.use('js/scriptaculous/dragdrop.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/raphael.js')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.ssfx.use('uicomponents/pedigree/editor.css', true)##\n$xwiki.jsfx.use('uicomponents/pedigree/model/helpers.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/queues.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/xcoordclass.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/ordering.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/baseGraph.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/import.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/export.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/edgeOptimization.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/positionedGraph.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/dynamicGraph.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/filesaver/Blob.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/filesaver/FileSaver.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/datepicker.js')\n$xwiki.jsfx.use('uicomponents/pedigree/view/nodeMenu.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/nodetypeSelectionBubble.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/ageCalc.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/graphicHelpers.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/legend.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/disorderLegend.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/cancersLegend.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/hpoLegend.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/geneLegend.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/saveLoadIndicator.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/templateSelector.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/okCancelDialogue.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/importSelector.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/exportSelector.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/abstractHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/readonlyHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/partnershipHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/abstractNode.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/abstractNodeVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/abstractPerson.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/abstractPersonVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/partnership.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/partnershipVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/person.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personGroup.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personGroupVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personGroupHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personPlaceholder.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personPlaceholderVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personPlaceholderHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/lineSet.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/workspace.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/saveLoadIndicator.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/svgWrapper.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/printEngine.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/printDialog.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/preferencesManager.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/pedigreeDate.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/disorder.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/hpoTerm.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/versionUpdater.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/saveLoadEngine.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/controller.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/undoRedo.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/pedigree.js')##\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n{{/velocity}}\n\n{{html}}\n{{/html}}\n	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	f	xwiki/2.1	t
-4996766835164301935	PhenoTips.PedigreeClass	PedigreeClass				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:02:07	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>PhenoTips.PedigreeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<data>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>data</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>data</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</data>\n<description>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>description</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<image>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>image</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Image</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</image>\n</class>\n	0			Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	f	xwiki/2.1	t
3922145072777011887	PhenoTips.TouchscreenEvents	TouchscreenEvents				0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:35	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips		1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-ui-1.2.6]	f	xwiki/2.1	t
7319943252803770311	PhenoTips.UIX Directory	UIX Directory	UIX Directory			0	2017-05-12 15:43:37	2017-05-12 15:43:37	2014-06-03 15:03:21	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity output="false"}}\n#set ($orders = {\n  'doc.name' : 'document name',\n  'doc.fullName' : 'document space',\n  'extensionId' : 'extension id',\n  'extensionPointId' : 'extension point id'\n})\n#set ($defaultOrder = 'doc.fullName')\n#set ($order = "$!{request.order}")\n#if (!$orders.get($order))\n  #set($order = $defaultOrder)\n#end\n\n#set ($uixClassName = 'XWiki.UIExtensionClass')\n#set ($uixTemplate = 'PhenoTips.UIXTemplate')\n\n#set ($uixDocs = $xwiki.wrapDocs($xwiki.searchDocuments(", BaseObject obj where doc.fullName <> ? and doc.fullName = obj.name and obj.className= ? order by doc.fullName asc", [$uixTemplate, $uixClassName])))\n\n#set($uixData = [])\n\n#foreach ($uixDoc in $uixDocs)\n  #set ($uixObjs = $uixDoc.getObjects($uixClassName))\n  #foreach ($uixObj in $uixObjs)\n    #set ($discard = $uixData.add({\n      'doc' : $uixDoc,\n      'obj' : $uixObj,\n      'doc.name' : $uixDoc.name,\n      'doc.fullName' : $uixDoc.fullName,\n      'doc.space' : $uixDoc.space,\n      'extensionId' : $uixObj.getProperty('name').value,\n      'extensionPointId' : $uixObj.getProperty('extensionPointId').value\n    }))\n  #end\n#end\n#set ($uixSortedData = $sorttool.sort($uixData, [$order]))\n\nSort UI extensions alphabetically by: ##\n#foreach ($o in $orders.keySet())\n  #if ($o == $order)\n   **$orders.get($o)**##\n  #else\n    [[$orders.get($o)>>$doc.fullName||queryString="$!{request.queryString.replaceAll('[&]?order=[^&]*', '')}&order=${o}"]]##\n  #{end}#if ($foreach.hasNext()) | #end\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ($hasAdmin)\n#set ($errorMessage = '')\n#if ($request.doCreate == '1' && $services.csrf.isTokenValid($request.form_token))\n  #if ("$!{request.name.trim()}" == '')\n    #set ($errorMessage = "$services.localization.render('phenotips.UIXDirectory.noNameError')")\n  #else\n    #set ($targetDocument = $services.model.createDocumentReference($xcontext.database, $request.space, $request.name.trim()))\n    #if ($xwiki.exists($targetDocument))\n      #set ($errorMessage = "$services.localization.render('phenotips.UIXDirectory.nameExistsError', [${request.name}])")\n    #else\n      #set ($uixPoint = 'org.phenotips.patientSheet.section.none')\n      #set ($uixName = "org.phenotips.widget.$!{request.name.trim().toLowerCase().replaceAll(' +', '-')}")\n      #set ($uixFieldPrefix = "${uixClassName}_0_")\n      $response.sendRedirect($xwiki.getURL($targetDocument, 'edit', "editor=inline&template=$escapetool.url($!{request.classTemplate})&title=$!escapetool.url($request.name)&parent=$!escapetool.url($request.parent)&${uixFieldPrefix}name=$!escapetool.url(${uixName})&${uixFieldPrefix}extensionPointId=${uixPoint}"))\n      #break\n    #end\n  #end\n#end\n\n\n#if ("$!errorMessage" != '')\n{{error}}$errorMessage{{/error}}\n\n#end\n{{html clean=false}}\n<form class="xformInline" action="$doc.getURL($xcontext.action, $request.queryString)" method="post"><div>\n  <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n  <input type="hidden" name="doCreate" value="1" />\n  <input type="hidden" name="classTemplate" value="$uixTemplate" />\n  <input type="hidden" name="space" value="$xwiki.getDocument(${uixTemplate}).space" />\n  <input type="hidden" name="parent" value="${xwiki.getDocument($uixTemplate).space}.WebHome" />\n  <label for="extension-name">$services.localization.render('phenotips.UIXDirectory.newExtension.label')</label><input type="text" name="name" id="extension-name" placeholder="$services.localization.render('phenotips.UIXDirectory.newExtension.placeholder')"/><input class="button" type="submit" value="$services.localization.render('phenotips.UIXDirectory.newExtension.create')"/>\n</div></form>\n{{/html}}\n\n#foreach ($o in $orders.keySet())\n  #if ($o == $order)\n|= $services.localization.render('phenotips.UIXDirectory.sortedBy', ["**$orders.get($o)**"])  ##\n  #else\n|= $services.localization.render('phenotips.UIXDirectory.sortBy', ["[[$orders.get($o)>>$doc.fullName||queryString='$!{request.queryString.replaceAll('[&]?order=[^&]*', '')}&order=${o}']]"]) ##\n  #{end}#if (!$foreach.hasNext())\n|=\n#end\n#end\n#foreach ($uixDatum in $uixSortedData)\n| [[$uixDatum.get('doc.fullName')]] | $uixDatum.get('doc.space') | $uixDatum.extensionId | $uixDatum.extensionPointId | (% class="tools" %)(((##\n  [[{{icon name="pencil" title="$services.localization.render('phenotips.UIXDirectory.options.edit')"/}}>>path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('edit', "editor=object&object=${uixDatum.obj.number}&classname=${uixClassName}")]] ##\n  [[{{icon name="history" title="$services.localization.render('phenotips.UIXDirectory.options.history')"/}}>>path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('view', "viewer=history")]] ##\n  [[{{icon name="copy" title="$services.localization.render('phenotips.UIXDirectory.options.copy')"/}}>>path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('view', "xpage=copy")]] ##\n  [[{{icon name="file" title="$services.localization.render('phenotips.UIXDirectory.options.rename')"/}}>>path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('view', "xpage=rename")]] ##\n  [[{{icon name="download" title="$services.localization.render('phenotips.UIXDirectory.options.download')"/}}>>path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('export', "format=xar&pages=${uixDatum.get('doc.fullName')}&name=${uixDatum.get('doc.fullName')}")]] ##\n  [[{{icon name="times" title="$services.localization.render('phenotips.UIXDirectory.options.delete')"/}}>>path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('delete')]] ##\n)))\\\\\n#end\n#end## Has Admin\n{{/velocity}}\n	1.1		PhenoTips.WebHome		2			Install extension [org.phenotips:phenotips-ui-1.2.6]	f	xwiki/2.1	t
816723195616788224	PhenoTips.PatientPhenotypeExportService	PatientPhenotypeExportService				0	2017-05-12 15:43:38	2017-05-12 15:43:38	2014-06-03 15:03:26	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action != 'get')\n  #break\n#end\n$!response.setContentType('application/json')##\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#set ($rows = [])\n#set ($result = {'rows': $rows, 'returnedrows': 0})\n#if ("$!request.id" != '')\n  #set ($patient = $services.patients.getPatientById($request.id))\n  #set ($result.source = $patient.id)\n#elseif ("$!request.eid" != '')\n  #set ($patient = $services.patients.getPatientByExternalId($request.eid))\n  #set ($result.source = $patient.externalId)\n#end\n#if (!$patient)\n  #set ($discard = $result.put('error', "$services.localization.render('phenotips.PatientPhenotyoeExportService.cantFindPatientError')"))\n  $jsontool.serialize($result)\n  #break\n#end\n#set ($result.source_url = $xwiki.getDocument($patient.document).externalURL)\n#set ($onset = $patient.getData('global-qualifiers').global_age_of_onset)\n#if ($onset)\n  #set ($result.global_age_of_onset = {'id' : $onset.id, 'label' : $onset.name})\n#end\n#set ($patientJSON = $patient.toJSON())\n#set ($discard = $result.put('hpo_version', $patient.getData('versions').hpo_version))\n#set ($discard = $result.put('specificity', $patientJSON.specificity))\n#foreach ($feature in $patientJSON.features)\n  #set ($item = {})\n  #set ($item.type = $feature.type)\n  #set ($item.phenotype_HP_id = $feature.id)\n  #set ($item.phenotype_name = $feature.label)\n  #set ($item.is_present = $feature.observed)\n  #foreach ($qualifier in $feature.qualifiers)\n    #set ($discard = $item.put($stringtool.substringAfterLast($qualifier.type, '_').concat('_HP_id'), $qualifier.id))\n    #set ($discard = $item.put($stringtool.substringAfterLast($qualifier.type, '_').concat('_name'), $qualifier.label))\n  #end\n  #if ("$!feature.notes" != '')\n    #set ($item.comments = $feature.notes)\n  #end\n  #set ($discard = $rows.add($item))\n#end\n#set ($result.returnedrows = $patient.features.size())\n$jsontool.serialize($result)\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}\n	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-ui-1.2.6]	f	xwiki/2.1	t
1893759273606009473	PhenoTips.Translations	Translations	Translations			0	2017-05-12 15:43:38	2017-05-12 15:43:38	2014-06-03 15:03:21	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	admin.ontology=Ontology index\nadmin.workgroups=Work groups\nadmin.studies=Studies\n\nsaveandview=Save and view summary\nsaveandcontinue=Quick save\ncancel=Cancel changes since last save\n\nphenotips.profile.preferences=PhenoTips preferences\nphenotips.profile.preferences.mapping=Preferred mapping\n\nXWiki.XWikiUsers_company=Affiliation\nXWiki.XWikiUsers_comment=About\n\ncore.widgets.confirmationBox.button.cancel=Cancel\n\nphenotips.globalHeader.allData=Browse All Data\nphenotips.globalHeader.search.placeholder=Search for a patient record...\n\nphenotips.OmimPredictService.linkToDisorder=Read about this disorder on OMIM\nphenotips.OmimPredictService.noMatches=No matches found\nphenotips.PatientPhenotyoeExportService.cantFindPatientError=Identifier not found.\nphenotips.SuggestPatientService.serviceInfo=This service allows to retrieve search results for the suggest UI component. Example: {0}\nphenotips.UIXDirectory.noNameError=Please enter an extension name\nphenotips.UIXDirectory.nameExistsError=An extension named "{0}" already exists. Please choose a different name\nphenotips.UIXDirectory.newExtension.label=New extension name:\nphenotips.UIXDirectory.newExtension.placeholder=E.g. My widget\nphenotips.UIXDirectory.options.edit=Edit this extension\nphenotips.UIXDirectory.options.history=View change history\nphenotips.UIXDirectory.options.copy=Copy\nphenotips.UIXDirectory.options.rename=Rename\nphenotips.UIXDirectory.options.download=Export this extension as xar\nphenotips.UIXDirectory.options.delete=Delete this extension\nphenotips.UIXDirectory.newExtension.create=Create\nphenotips.UIXDirectory.sortedBy= Sorted by {0}\nphenotips.UIXDirectory.sortBy= Sort by {0}	1.1		PhenoTips.WebHome		0			Install extension [org.phenotips:phenotips-ui-1.2.6]	f	xwiki/2.1	t
-7321084362793911833	PhenoTips.EthnicitySearch	EthnicitySearch	EthnicitySearch			0	2017-05-12 15:43:38	2017-05-12 15:43:38	2014-06-03 15:03:22	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{velocity}}\n#if ($xcontext.action == 'get')\n  #set ($input = $request.getParameter("input").toLowerCase())\n  #set ($finalResults = [])\n  #set ($lowercaseResults = [])\n\n  ##Get existing ethnicities\n  ##------------------------\n\n  #foreach($res in $services.vocabularies.ethnicity.getMatchingEthnicities($input))\n    #set ($discard = $finalResults.add($res.name))\n    #set ($discard = $lowercaseResults.add($res.name.toLowerCase()))\n  #end\n  #foreach($res in $services.query.hql('select distinct list from BaseObject as obj, DBStringListProperty as prop join prop.list list where obj.name <> ? and obj.className = ? and prop.id.id = obj.id and (prop.id.name = ? or prop.id.name = ?) and lower(list) like ?').bindValues(['PhenoTips.PatientTemplate', 'PhenoTips.PatientClass', 'maternal_ethnicity', 'paternal_ethnicity', "%${input}%"]).setLimit(10).execute())\n    #if (!$lowercaseResults.contains($res.toLowerCase()))\n      #set ($discard = $finalResults.add($res))\n    #end\n  #end\n\n  ##Display\n  ##-------\n\n  #if (!$request.getParameter("json"))\n    $response.setContentType("text/xml")\n    <?xml version="1.0" encoding="UTF-8"?>\n    <results type="3">\n    #foreach($result in $finalResults)\n      <rs id="$foreach.count" info="">$escapetool.xml($result)</rs>\n    #end\n    </results>\n  #else\n    $response.setContentType("application/json")\n    {\n      "returnedrows": $finalResults.size(),\n      "rows": [\n      #foreach($result in $finalResults)\n        #if ($foreach.count > 1)\n          ,\n        #end\n        { "index": "$foreach.count", "ethnicity": "$escapetool.json($result)" }\n      #end\n      ]\n    }\n  #end\n#end\n{{/velocity}}\n	1.1		PhenoTips.PatientClass		0			Install extension [org.phenotips:phenotips-ui-1.2.6]	f	xwiki/2.1	t
7372552029050495646	PhenoTips.WebHome	WebHome	PhenoTips Code			0	2017-05-12 15:43:38	2017-05-12 15:43:38	2014-06-03 15:03:38	XWiki.Admin	XWiki.Admin	XWiki.Admin	PhenoTips	{{include reference="Main.SpaceIndex" /}}	1.1		Main.WebHome		3			Install extension [org.phenotips:phenotips-ui-1.2.6]	f	xwiki/2.1	t
-2891722586435813814	XWiki.ConfigurationClass	ConfigurationClass				0	2017-05-12 15:43:38	2017-05-12 15:43:38	2014-06-03 15:02:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki		1.1		XWiki.XWikiClasses	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.ConfigurationClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<property>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>property</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Property</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</property>\n<value>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>value</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</value>\n</class>\n	0			Install extension [org.phenotips:phenotips-ui-1.2.6]	f	xwiki/2.1	t
-8951969440055178742	XWiki.AdminPresentationSheet	AdminPresentationSheet	AdminPresentationSheet			0	2017-05-12 15:43:38	2017-05-12 15:43:38	2014-06-03 15:02:14	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n$xwiki.jsx.use('XWiki.AdminPresentationSheet')\n### Change the skin and color theme, at global or space level\n#set ($params = {\n  'skin': ['skin'],\n  'colortheme': ['colorTheme']\n})\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}	1.1		XWiki.AdminSheet		2			Install extension [org.phenotips:phenotips-ui-1.2.6]	f	xwiki/2.0	t
7377573769106562403	XWiki.ConfigurableClassMacros	ConfigurableClassMacros	$services.localization.render('xe.admin.configurable.macros.title')			0	2017-05-12 15:43:38	2017-05-12 15:43:38	2014-06-03 15:02:32	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{velocity output="false"}}\n## Constants:\n#set($redirectParameter = 'xredirect')\n#set($nameOfThisDocument = 'XWiki.ConfigurableClass')\n\n\n#*\n * Try to determine whether a document was edited by a user who has edit right on this page. This is tricky because\n * documents are imported with the name XWiki.XWikiGuest who has no access to anything after import.\n *\n * @param theDoc - Document who's editor should be checked for edit access on this document.\n *###\n#macro(checkDocumentSavedByAuthorizedUser, $docToCheck, $currentDoc, $hasAccess)\n  ## The system is started and the only user is XWikiGuest who has admin right but gives it up when he imports the default\n  ## documents, we are checking to see if this looks like the guest imported the document with the first import.\n  #if($docToCheck.getWiki() == $xcontext.getMainWikiName()\n      && $docToCheck.getVersion() == '1.1'\n      && $docToCheck.getCreator() != $docToCheck.getContentAuthor()\n      && $docToCheck.getContentAuthor() == 'XWiki.XWikiGuest')\n  ##\n    #set($userToCheck = $docToCheck.getCreator())\n  #else\n    #set($userToCheck = $docToCheck.getAuthor())\n  #end\n  #set ($hasAccess = $NULL)\n  #setVariable ("$hasAccess" $xwiki.hasAccessLevel('edit', $userToCheck, $currentDoc))\n#end\n\n\n#*\n * Find names of documents which contain objects of the class 'XWiki.ConfigurableClass'\n *\n * @param $section - String - Look for apps which specify that they should be configured in this section,\n *                            if null or "" then returns them for all sections.\n *\n * @param $globaladmin - boolean - If true then we will look for applications which should be configured globally.\n *\n * @param $space - String - If not looking for apps which are configured globally, then this is the space where we\n *                          will look for apps in. If null or "" or if $globaladmin is true, then all spaces will be\n *                          searched.\n *\n * @param $outputList - List - The returns from this macro will be put in this list, passing the list as a parameter\n *                             a safety measure because macros can't return values.\n *###\n#macro(findNamesOfAppsToConfigure, $section, $globaladmin, $space, $outputList)\n  ## Use a parameterized sql query to prevent injection.\n  #set($params = [])\n  #if($section && $section != '')\n    #set($discard = $params.add("$section"))\n    #set($sqlA = ' StringProperty as section,')\n    #set($sqlB = " and section.id=obj.id and section.name='displayInSection' and section.value=?")\n  #else\n    ## Make sure they are "" in case they were set prior to calling the macro.\n    #set($sqlA = '')\n    #set($sqlB = '')\n  #end\n  ## Set up query based on value of $globaladmin\n  #if($globaladmin == true)\n    #set($sqlC = '1')\n  #else\n    #if($space && $space != '')\n      #set($sqlC = '0 and doc.space = ?')\n      #set($discard = $params.add($space))\n    #else\n      #set($sqlC = '0')\n    #end\n  #end\n  #set($sql = ", BaseObject as obj,$sqlA IntegerProperty as global where "\n              + "doc.fullName=obj.name and obj.className='" + $nameOfThisDocument + "'$sqlB "\n              + "and global.id=obj.id and global.name='configureGlobally' and global.value=$sqlC "\n              + "order by doc.creationDate")\n  ##\n  ## Run the search\n  #set($discard = $outputList.addAll($services.query.hql($sql).bindValues($params).addFilter('unique').execute()))\n  ##\n#end\n\n\n#macro(findCustomSectionsToConfigure $adminMenu)\n  #set ($outputList = [])\n  #set ($global = ($editor == 'globaladmin'))\n  #findNamesOfAppsToConfigure('', $global, $currentSpace, $outputList)\n  #set ($sectionsByName = {})\n  #set ($categoriesByName = {})\n  #foreach ($category in $adminMenu)\n    #set ($discard = $categoriesByName.put($category.id, $category))\n    #foreach ($section in $category.children)\n      #set ($discard = $sectionsByName.put($section.id, $section))\n    #end\n  #end\n  ##\n  #set ($query = "editor=$escapetool.url(${editor})")\n  #if ($editor != 'globaladmin')\n    #set ($query = $query + "&amp;space=$escapetool.url(${currentSpace})")\n  #end\n  #foreach ($appName in $outputList)\n    ##\n    ## Get the configurable application\n    #set ($app = $xwiki.getDocument($appName))\n    ##\n    ## If getDocument returns null, then warn the user that they don't have view access to that application.\n    #if (!$app)\n      #set ($discard = $appsUserCannotView.add($appName))\n    #end\n    ##\n    #foreach ($configurableObject in $app.getObjects($nameOfThisDocument))\n      #set ($displayInCategory = $app.getValue('displayInCategory', $configurableObject))\n      ## If there is no category specified in the object, use the default\n      #if ("$!{displayInCategory}" == '')\n        #set ($displayInCategory = 'applications')\n      #elseif ("$!{categoriesByName.get($displayInCategory)}" == '')\n        #set ($priority = $mathtool.toInteger("$!app.getValue('categoryPriority', $configurableObject)"))\n        #if ("$!priority" == '')\n          #set ($priority = 10000)\n        #end\n        #set ($newCategory = {\n          'id' : $displayInCategory,\n          'priority' : $priority,\n          'children': []\n        })\n        #set ($discard = $adminMenu.add($newCategory))\n        #set ($discard = $categoriesByName.put($newCategory.id, $newCategory))\n      #end\n      ##\n      #set ($displayInSection = $app.getValue('displayInSection', $configurableObject))\n      ## If there is no section specified in the object, just skip it\n      #if ("$!{displayInSection}" == '')\n        ## Skip, bad object\n      ## If there is no section for this configurable or if the section cannot be edited, then check if the\n      ## application can be edited by the current user, if so then we display the icon from the current app and\n      ## don't display any message to tell the user they can't edit that section.\n      #elseif ($sectionsByName.containsKey($displayInSection))\n        #set ($appSection = $sectionsByName.get($displayInSection))\n        #set ($appSection.configurable = true)\n        #set ($newSection = false)\n      #else\n        ##\n        ## If there is no section for this configurable, then we will have to add one.\n        #set($key = "admin.${displayInSection.toLowerCase()}")\n        #if($services.localization.get($key)) #set($name = $services.localization.render($key)) #else #set($name = $displayInSection) #end\n        #set ($appSection = {'id' : $displayInSection, 'name' : $name, 'url': $xwiki.getURL($currentDoc, $adminAction, "${query}&amp;section=$escapetool.url(${displayInSection})"), 'configurable' : true})\n        #if ($app.getValue('configureGlobally', $configurableObject) != 1)\n          #set ($appSection.perSpace = true)\n        #end\n        #if ($app.getValue('advancedOnly', $configurableObject) == 1)\n          #set ($appSection.advanced = true)\n        #end\n        #set ($sectionPriority = $mathtool.toInteger("$!app.getValue('sectionPriority', $configurableObject)"))\n        #if ("$!sectionPriority" != '')\n          #set ($appSection.priority = $sectionPriority)\n        #end\n        #set ($key = "admin.${displayInSection.toLowerCase()}.description")\n        #if ($services.localization.get($key))\n          #set ($appSection.description = $services.localization.render($key))\n        #end\n        #set ($discard = $sectionsByName.put($displayInSection, $appSection))\n        #set ($discard = $categoriesByName.get($displayInCategory).children.add($appSection))\n        #set ($newSection = true)\n      #end\n      ##\n      ## If an attachment by the filename iconAttachment exists and is an image\n      #set ($attachment = $app.getAttachment("$!app.getValue('iconAttachment', $configurableObject)"))\n      #if ($attachment && $attachment.isImage())\n        ## Set the icon for this section as the attachment URL.\n        #set ($appSection.iconReference = "${appName}@${attachment.getFilename()}")\n      #elseif(!$appSection.iconReference)\n        #set ($appSection.iconReference = 'XWiki.ConfigurableClass@DefaultAdminSectionIcon.png')\n      #end\n      ##\n      ## If the user doesn't have edit access to the application, we want to show a message on the icon\n      #if (!$xcontext.hasAccessLevel('edit', $app.getFullName()) && $newSection)\n        #set ($appSection.readOnly = true)\n      #elseif ($xcontext.hasAccessLevel('edit', $app.getFullName()) && $appSection.readOnly)\n        #set ($appSection.readOnly = false)\n      #end\n    #end## Foreach configurable object in this app.\n  #end## Foreach application which is configurable.\n  ##\n  ## Sort the adminMenu by category and section priority\n  ##\n  #set ($adminMenu = $sorttool.sort($adminMenu, 'priority'))\n  #foreach ($category in $adminMenu)\n    #foreach ($section in $category.children)\n      #if ("$!section.priority" == '')\n        #set ($discard = $section.put('priority', $mathtool.mul($foreach.count, 100)))\n      #end\n    #end\n      #set ($discard = $category.put('children', $sorttool.sort($category.children, 'priority')))\n  #end\n#end\n\n\n#*\n * Show the heading for configuration for a given application.\n *\n * $appName (String) Name of the application to show configuration heading for.\n *\n * $headingAlreadyShowing (boolean) If true then we don't make another heading. Otherwise it is set to true.\n *###\n#macro(showHeading, $appName, $headingAlreadyShowing)\n  #if(!$headingAlreadyShowing)\n    #set($headingAlreadyShowing = true)\n\n    = {{translation key="admin.customize"/}} __[[$appName>>$appName]]__: =\n  #end\n#end\n\n#define($formHtml)\n  #if ($objClass.getPropertyNames().size() > 0)\n    <dl>\n    #foreach($propName in $objClass.getPropertyNames())\n      #if($propertiesToShow.size() > 0 && !$propertiesToShow.contains($propName))\n        ## Silently skip over this property.\n      #else\n        #set($prettyName = "#evaluate($app.displayPrettyName($propName, $obj))")\n        ##\n        ## Further processing of the field display HTML is needed.\n        ## Step 1: Strip <pre> tags which $obj.display inserts, this won't affect content because it's escaped.\n        #set($out = $obj.display($propName, 'edit').replaceAll('<[/]?+pre>', ''))\n        ## Step 2: Select only content between first < and last > because $obj.display inserts html macros.\n        ##         Careful not to remove html macros from the content because they are not escaped!\n        #set ($out = $out.substring($out.indexOf('<'), $mathtool.add(1, $out.lastIndexOf('>'))))\n        ## Step 3: Prepend app name to all ID and FOR attributes to prevent id collision with multiple apps on one page.\n        #set ($out = $out.replaceAll(\n            " id='$objClass.getName()_$obj.getNumber()_$propName", " id='${escapedAppName}_$objClass.getName()_$obj.getNumber()_$propName").replaceAll(\n            " for='$objClass.getName()_$obj.getNumber()_$propName", " for='${escapedAppName}_$objClass.getName()_$obj.getNumber()_$propName"))\n        ## App Name is prepended to for= to make label work with id which is modified to prevent collisions.\n        <dt><label for="${escapedAppName}_$objClass.getName()_$obj.getNumber()_$propName">\n        #if ($out.indexOf('type=''checkbox''') != -1 && $out.indexOf('class="xwiki-form-listclass"') == -1)\n          $out\n          #set ($out = '')\n        #end\n        $escapetool.xml($prettyName)\n        </label>\n        #if($linkPrefix != '')\n          #set($linkScript = "$linkPrefix$propName")\n          <a href="$escapetool.xml("#evaluate($linkScript)")" class="xHelp" title="$services.localization.render('admin.documentation')">$services.localization.render('admin.documentation')</a>\n        #end\n        </dt>\n        #if ($out != '')\n          <dd>$out</dd>\n        #end\n      #end## If property is in propertiesToShow\n    #end## Foreach property in this class\n    </dl>\n  #end\n#end## define $formHtml\n{{/velocity}}	1.1		XWiki.ConfigurableClass		0			Install extension [org.phenotips:phenotips-ui-1.2.6]	f	xwiki/2.1	t
4170140448937233253	XWiki.AdminSheet	AdminSheet				0	2017-05-12 15:43:38	2017-05-12 15:43:38	2014-06-03 15:02:22	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{include reference="XWiki.ConfigurableClassMacros" /}}\n\n{{velocity output="false"}}\n#if ($request.xaction == 'switchContext')\n  $response.sendRedirect($request.target)\n  #stop\n#end\n\n#set ($adminAction = 'admin')\n#set ($crtCategoryId = "$!{request.category}")\n#if ($crtCategoryId != '')\n  #set ($crtCategoryId = $mathtool.toInteger($crtCategoryId))\n#end\n#set ($crtSectionId = "$!{request.section}")\n\n##\n## Admin menu map\n##\n#set($adminMenu = [\n  {\n    'id' : 'configuration',\n    'priority' : 100,\n    'children': [\n       {'id' : 'Editing', 'advanced' : true, 'order': 100},\n       {'id' : 'Localization', 'advanced' : true, 'order': 200},\n       {'id' : 'XWiki.OfficeImporterAdmin', 'advanced' : true, 'order': 300}\n    ]\n  },\n  {\n    'id' : 'lf',\n    'priority' : 200,\n    'children': [\n       {'id' : 'Presentation', 'perSpace' : true, 'order': 100},\n       {'id' : 'Elements', 'perSpace' : true, 'advanced' : true, 'order': 200},\n       {'id' : 'Panels.PanelWizard', 'perSpace' : true, 'advanced' : true, 'order': 300}\n    ]\n  },\n  {\n    'id' : 'usersgroups',\n    'priority' : 300,\n    'children': [\n       {'id' : 'Users', 'order': 100},\n       {'id' : 'Groups', 'order': 200},\n       {'id' : 'Rights', 'perSpace' : true, 'advanced' : true, 'order': 300},\n       {'id' : 'Registration', 'advanced' : true, 'order': 400},\n       {'id' : 'UserProfile', 'advanced' : true, 'order': 500}\n    ]\n  },\n  {\n    'id' : 'content',\n    'priority' : 400,\n    'advanced' : true,\n    'children': [\n       {'id' : 'Import', 'action' : 'import', 'order': 100},\n       {'id' : 'Export', 'action' : 'export', 'order': 200},\n       {'id' : 'Templates', 'order': 300}\n    ]\n  },\n  {\n    'id' : 'extensionmanager',\n    'priority' : 500,\n    'children': [\n       {'id' : 'XWiki.AddExtensions', 'order': 100},\n       {'id' : 'XWiki.InstalledExtensions', 'order': 200},\n       {'id' : 'XWiki.CoreExtensions', 'advanced' : true, 'order': 300},\n       {'id' : 'XWiki.ExtensionUpdater', 'order': 400},\n       {'id' : 'XWiki.ExtensionHistory', 'advanced' : true, 'order': 500}\n    ]\n  },\n  {\n    'id' : 'applications',\n    'priority' : 1000,\n    'advanced' : true,\n    'children' : []\n  }\n])\n\n#**\n * Returns whether or not the requested section exists\n *\n * Example of use:\n * #if("#admin_hasSection('sectionId')" != '')\n *   OK\n * #end\n *#\n#macro (admin_hasSection $sectionId)\n  #foreach($category in $adminMenu)\n    #foreach($section in $category.children)\n      #if($section.id == $sectionId)\n        OK\n      #end\n    #end\n  #end\n#end\n\n##\n## Fill in the list of custom applications to configure\n##\n#findCustomSectionsToConfigure($adminMenu)\n\n##\n## Filter only the sections that are valid in a space, when administering a space\n##\n#if ($editor == 'spaceadmin')\n  #set ($categoriesToRemove = [])\n  #foreach ($category in $adminMenu)\n    #set ($sectionsToRemove = [])\n    #foreach ($section in $category.children)\n      #if (!$section.perSpace)\n        #set ($discard = $sectionsToRemove.add($section))\n      #end\n    #end\n    #set ($discard = $category.children.removeAll($sectionsToRemove))\n    #if ($category.children.size() == 0)\n      #set ($discard = $categoriesToRemove.add($category))\n    #end\n  #end\n  #set ($discard = $adminMenu.removeAll($categoriesToRemove))\n#end\n##\n## For simple users, filter only the sections that are not marked as 'advanced' confoguration\n##\n#if (!$isAdvancedUser)\n  #set ($categoriesToRemove = [])\n  #foreach ($category in $adminMenu)\n    #set ($sectionsToRemove = [])\n    #foreach ($section in $category.children)\n      #if ($section.advanced)\n        #set ($discard = $sectionsToRemove.add($section))\n      #end\n    #end\n    #set ($discard = $category.children.removeAll($sectionsToRemove))\n    #if ($category.children.size() == 0 || $category.advanced)\n      #set ($discard = $categoriesToRemove.add($category))\n    #end\n  #end\n  #set ($discard = $adminMenu.removeAll($categoriesToRemove))\n#end\n#if ("$!crtCategoryId" != '' && $crtCategoryId >= $adminMenu.size())\n  #set ($crtCategoryId = '')\n#end\n\n#if ("$!crtSectionId" != '')\n  #if("#admin_hasSection($crtSectionId)" != '')\n    #set ($crtItemId = $crtSectionId)\n  #else\n    #set($crtSectionId = $NULL)\n  #end\n#elseif ("$!crtCategoryId" != '')\n  #set ($crtItemId = $adminMenu.get($crtCategoryId).id)\n#end\n#set ($crtSection = $NULL)\n#set ($crtCategory = $NULL)\n\n\n##\n## Prepare the Admin menu map for processing\n##\n#set ($filteredAdminMenu = [])\n#foreach ($category in $adminMenu)\n  ## "Standard" URLs and icons for categories\n  #set ($category.url = $xwiki.getURL($currentDoc, $adminAction, "category=${mathtool.sub($velocityCount, 1)}"))\n  #if ($xwiki.getDocument('XWiki.AdminSheet').getAttachment("${category.id}.png"))\n    #set ($category.iconReference = "XWiki.AdminSheet@${category.id}.png")\n  #else\n    #set ($category.iconReference = "XWiki.ConfigurableClass@DefaultAdminSectionIcon.png")\n  #end\n  #set ($category.description = $services.localization.render("admin.${category.id}.description").trim())\n  #set ($category.cssClass = "${category.id}Icon")\n  #set ($category.name = $services.localization.render("admin.${category.id}").trim())\n  #if ("$!{crtCategoryId}" != '' && $velocityCount == $mathtool.add($crtCategoryId, 1))\n    #set ($crtCategory = $category)\n  #end\n  ##\n  ## Process each admin section\n  #set ($filteredCategoryChildren = [])\n  #foreach ($section in $category.children)\n    #if ($xwiki.exists($section.id) || $xwiki.exists("XWiki.Admin${section.id}Sheet"))\n      #if ($crtSectionId == $section.id)\n        #set ($crtSection = $section)\n        #set ($crtCategory = $category)\n      #end\n      #set ($section.iconReference = '')\n      #if ($section.id.indexOf('.') > 0)\n        #set ($sectionDoc = $xwiki.getDocument($section.id))\n        #set ($section.name = $sectionDoc.getDisplayTitle())\n        #if ($sectionDoc.getAttachment('icon.png'))\n          #set ($section.iconReference = "${sectionDoc}@icon.png")\n        #else\n          #set ($section.iconReference = 'XWiki.ConfigurableClass@DefaultAdminSectionIcon.png')\n        #end\n      #else\n        #set ($sectionDoc = $xwiki.getDocument('XWiki.AdminSheet'))\n        #set ($section.name = $services.localization.render("admin.${section.id.toLowerCase()}"))\n        #set ($iconName = "${section.id.toLowerCase()}.png")\n        #if ($sectionDoc.getAttachment($iconName))\n          #set ($section.iconReference = "${sectionDoc}@${iconName}")\n        #else\n          #set ($section.iconReference = 'XWiki.ConfigurableClass@DefaultAdminSectionIcon.png')\n        #end\n      #end\n      #set ($query = "editor=$escapetool.url(${editor})&amp;section=$escapetool.url(${section.id})")\n      #if ($editor != 'globaladmin')\n        #set ($query = $query + "&amp;space=$escapetool.url(${currentSpace})")\n      #end\n      #set ($action = "$!{section.action}")\n      #if ($action == '')\n        #set ($action = $adminAction)\n      #end\n      #set ($section.url = $xwiki.getURL($currentDoc, $action, $query))\n      #set ($key = "admin.${section.id.toLowerCase()}.description")\n      #if ($services.localization.get($key))\n        #set ($section.description = $services.localization.render($key))\n      #end\n      #set ($discard = $filteredCategoryChildren.add($section))\n    #elseif ($section.configurable)\n      #if ($section.readOnly)\n        #set ($section.cssClass = 'readOnly')\n      #end\n      #if ($crtSectionId == $section.id)\n        #set ($crtSection = $section)\n        #set ($crtCategory = $category)\n      #end\n      #set ($discard = $filteredCategoryChildren.add($section))\n    #end\n  #end\n  #set ($category.children = $filteredCategoryChildren)\n  #if ($filteredCategoryChildren.size() > 0)\n    #set ($discard = $filteredAdminMenu.add($category))\n  #end\n#end\n#set ($adminMenu = $filteredAdminMenu)\n\n#**\n * Displays the sections from an administration category\n *\n * Expected format:\n * sections = vector of items\n * item = map with the following fields:\n *        'id'       : mandatory\n *        'name'     : the text displayed for the corresponding menu item;\n *                     optional, defaults to\n *                     $services.localization.render("$!{translationPrefix}${item.id}")\n *        'description' : the description displayed for the corresponding section;\n *                     optional\n *        'link'     : the "action" of the menu item; mandatory\n *        'cssClass' : a specific css class for the menu item for custom\n *                     styling; optional, defaults to ''\n *\n * @param $sections the sections list, in the format described above\n * @param $translationPrefix the translation prefix added to the id of each\n *        item, in order to generate the name and description; ignored when\n *        name or description are specified\n *#\n#macro(admin_displayCategory $sections $translationPrefix)\n(% class="admin-category" %)\n  #set ($sortedSections = [])\n  #sortCollectionOfMapsByField($sections, 'order', 9999, 'asc', $sortedSections)\n  #foreach ($section in $sortedSections)\n    * {{html wiki="true"}}<a href="$section.url">[[image:${section.iconReference}]] **${section.name}**</a>{{/html}} (% class="description" %)$!{section.description}\n  #end\n#end\n\n\n#**\n * Displays the administration categories\n *\n * Expected format:\n * sections = vector of items\n * item = map with the following fields:\n *        'id'       : mandatory\n *        'name'     : the text displayed for the corresponding menu item;\n *                     optional, defaults to\n *                     $services.localization.render("$!{translationPrefix}${item.id}")\n *        'description' : the description displayed for the corresponding section;\n *                     optional\n *        'link'     : the "action" of the menu item; mandatory\n *        'cssClass' : a specific css class for the menu item for custom\n *                     styling; optional, defaults to ''\n *\n * @param $sections the sections list, in the format described above\n * @param $translationPrefix the translation prefix added to the id of each\n *        item, in order to generate the name and description; ignored when\n *        name or description are specified\n *#\n#macro(admin_displayCategories $adminMenu $translationPrefix)\n(% class="admin-category" %)\n  #foreach ($category in $adminMenu)\n    * [[[[image:${category.iconReference}]] **${category.name}**>>path:${category.url}]] (% class="description" %)$!{category.description}\n  #end\n#end\n\n#**\n * Displays the drop down allowing to choose a different space to administer.\n *#\n#macro (admin_spaceSwitch)\n{{html clean="false"}}\n  <form id="change-context" class="xformInline" action="$!doc.getURL($xcontext.action)">\n    <div>\n      <input type="hidden" name="xaction" value="switchContext" />\n      <select id="goto-select" name="target">\n        #if ($xwiki.hasAccessLevel('admin', $xcontext.user, 'XWiki.XWikiPreferences'))\n          <optgroup label="$services.localization.render('admin.gotoglobaladministration')">\n            <option value="$xwiki.getURL('XWiki.XWikiPreferences', 'admin', "section=$escapetool.url($crtSectionId)")" #if("$!{editor}"=="globaladmin")selected="selected"#end>$services.localization.render('admin.globaladministration')</option>\n          </optgroup>\n        #end\n        <optgroup label="$services.localization.render('admin.gotospaceadministration')">\n        #foreach($spaceitem in $xwiki.spaces)\n          #set ($spacePreferencesDocument = $services.model.createDocumentReference('', $spaceitem, 'WebPreferences'))\n          #if ($xwiki.hasAccessLevel('admin', $xcontext.user, $services.model.serialize($spacePreferencesDocument, 'default')))\n            <option value="$xwiki.getURL($spacePreferencesDocument, 'admin', "section=$escapetool.url($crtSectionId)")" #if("$!{currentSpace}" == ${spaceitem} && "$!{editor}" != 'globaladmin')selected="selected"#end>$escapetool.xml($spaceitem)</option>\n          #end\n        #end\n        </optgroup>\n      </select>\n      <span class="buttonwrapper"><input type="submit" value="$escapetool.xml($services.localization.render('admin.switchContext'))" class="button" /></span>\n    </div>\n  </form>\n{{/html}}\n#end\n{{/velocity}}\n\n{{velocity}}\n##**************************************************************************************************\n## Administration Sheet, used to display a common UI for some wiki features (presentation, users,\n## groups, rights etc.) at global / space level and also for several applications.\n##**************************************************************************************************\n#if($xcontext.action == 'view')\n  $response.sendRedirect($xwiki.getURL($doc.getFullName(), 'admin', $request.getQueryString()))##\n#else\n  $xwiki.jsx.use('XWiki.AdminSheet')##\n  ## Construct the SSX parameter map:\n  ## - One parameter for the color theme\n  ## - Each custom ConfigurableClass can provide a custom icon to display in categories headings and\n  ##   thus we need to pass them to the SSX of the AdminSheet.\n  #set ($parameterMap = {})\n  #if ($themeDoc)\n    #set ($discard = $parameterMap.put('colorTheme', $themeDocFullName))\n  #end\n  #foreach ($adminMenuCategory in $adminMenu)\n    #set ($customIcon = $adminMenuCategory.categoryIcon)\n    #if ("$!customIcon" != '')\n      #set ($discard = $parameterMap.put("${adminMenuCategory.id}Icon", $customIcon))\n    #end\n  #end\n  $xwiki.ssx.use('XWiki.AdminSheet', $parameterMap)##\n  #if ("$!crtSectionId" != '' && $crtSectionId.indexOf('.') > 0 && $xwiki.exists($crtSectionId))\n    #set ($sectionName = $xwiki.getDocument($crtSectionId).getDisplayTitle())\n  #elseif ($crtSectionId != '' && $services.localization.get("admin.${crtSectionId.toLowerCase()}"))\n    #set ($sectionName = $services.localization.render("admin.${crtSectionId.toLowerCase()}"))\n  #elseif ("$!crtSectionId" != '')\n    #set ($sectionName = $crtSectionId)\n  #elseif ($crtCategoryId != '')\n    #set ($sectionName = $services.localization.render("admin.${crtItemId}"))\n  #elseif ($editor == 'globaladmin')\n    #set ($sectionName = $services.localization.render('xe.admin.global'))\n  #else\n    #set ($sectionName = $currentSpace)\n  #end\n#admin_spaceSwitch()\n(% id="hierarchy" %)\n(((\n\n{{html}}\n#breadcrumb_start()\n  #if ($crtCategory)\n    #breadcrumb_line($xwiki.getURL($currentDoc, $adminAction), $services.localization.render('admin.main.title'))\n    ##<li><a href="${xwiki.getURL($currentDoc, $adminAction)}">$services.localization.render('admin.main.title')</a></li>\n  #else\n    #breadcrumb_current_line($services.localization.render('admin.main.title'))\n    ##<li class="active">$services.localization.render('admin.main.title')</li>\n  #end\n  #if ($crtCategory)\n    #if ($crtSection)\n      #breadcrumb_line($crtCategory.url, $crtCategory.name)\n      ##<li><a href="$crtCategory.url">$crtCategory.name</a></li>\n    #else\n      #breadcrumb_current_line($crtCategory.name)\n      ##<li class="active">$crtCategory.name</li>\n    #end\n    #if ($crtSection)\n      #breadcrumb_current_line($crtSection.name)\n      ##<li class="active">$crtSection.name</li>\n    #end\n  #end\n#breadcrumb_end()\n{{/html}}\n\n)))\n(% id="document-title" %)(((\n  = $services.localization.render('admin.section.title', [$sectionName]) =\n)))\n\n  #verticalNavigation($adminMenu {'translationPrefix' : 'admin.', 'crtItemId' : "$!crtItemId", 'cssClass' : 'admin-menu'})\n  ##-----------------------------------------\n  ## admin-page display\n  ##-----------------------------------------\n    #if(!$crtSection && !$crtCategory)\n      #admin_displayCategories($adminMenu 'admin.')\n    #elseif (!$crtSection)\n      #admin_displayCategory($crtCategory.children 'admin.')\n    #else\n      (% id="admin-page-content" %)(((\n        ##------------------------------------------------------------------------------------------------------------\n        ## The Administration allows editing other pages from different applications inside the admin context (UI)\n        ##------------------------------------------------------------------------------------------------------------\n        #if("$!{request.editmode}" == 'inline' && $xwiki.exists($section))\n          $xcontext.setDisplayMode('edit')##\n\n          {{html clean="false"}}{{include reference="XWiki.AdminInlineSheet" /}}{{/html}}\n        #else\n          #if($xwiki.exists("XWiki.Admin${section}Sheet"))\n            ## Custom XE administration section\n\n            {{include reference="XWiki.Admin${section}Sheet" /}}\n\n          #elseif($xwiki.exists($section))\n            {{html clean="false"}}#includeForm($section){{/html}}\n          #end\n        #end\n        #if ($crtSection.configurable)\n          {{include reference="XWiki.ConfigurableClass" /}}\n        #end\n      ))) ## admin-page-content\n    #end\n#end\n{{/velocity}}	1.1		XWiki.XWikiPreferences		3			Install extension [org.phenotips:phenotips-ui-1.2.6]	f	xwiki/2.1	t
483170161964232996	XWiki.ConfigurableClass	ConfigurableClass	$services.localization.render('xe.admin.configurable.title')			0	2017-05-12 15:43:38	2017-05-12 15:43:38	2014-06-03 15:02:00	XWiki.Admin	XWiki.Admin	XWiki.Admin	XWiki	{{include reference="XWiki.ConfigurableClassMacros" /}}\n\n{{velocity}}\n#*\n * This part takes the configuration from any documents containing XWiki.ConfigurableClass objects and creates a form\n * for each. To includeForm this document, you may specify:\n *\n * $section - String - The section which we are administrating eg: "Registration", "Users", or "Import".\n *                     If none is specified then it checks for a request parameter called "section" and uses that,\n *                     if no parameter, then this code assumes that it is part of the admin icons sheet and adds icons\n *                     for any section which is not in $sections, in that event, this code assumes it is being run\n *                     inside of a <ul> block.\n *\n * $sections - List<String> - If section is not specified, any sections on this list will not have icons made for them,\n *                            the assumption being that the icons are already there. If section is specified then this\n *                            is not taken into account and may safely be undefined.\n *\n * $currentDoc - String (document.fullName) - The administration document, users who don't have permission to edit\n *                                            it will not be able to include applications (possibly injecting\n *                                            arbitrary code.) if none specified then $doc.getFullName() is used.\n *\n * $globaladmin - boolean - If set true then we will assume we are administrationg the entire wiki.\n *                          If not set then we look for a request parameter called "editor" if that exists and equals\n *                          "globaladmin" then $globaladmin is true, if it doesn't exist then we check to see if\n *                          $currentDoc.getFullName() equals "XWiki.XWikiPreferences".\n *###\n##\n## Form submission depends on this.\n$xwiki.jsfx.use('js/xwiki/actionbuttons/actionButtons.js', true)\n##\n#if(!$section)\n  #set($section = $request.getParameter('section'))\n#end\n#if(!$currentDoc)\n  #set($currentDoc = $doc.getFullName())\n#end\n## Get value of $globaladmin if not specified.\n#if("$!globaladmin" == '')\n  #if($editor != 'globaladmin'\n      && $request.getParameter('editor') != 'globaladmin'\n      && $currentDoc != 'XWiki.XWikiPreferences')\n  ##\n    #set($globaladmin = false)\n  #else\n    #set($globaladmin = true)\n  #end\n#end\n#set($currentSpace = $xwiki.getDocument($currentDoc).getSpace())\n##\n## This application should not run with programming rights because it evaluates code which may not be trustworthy.\n## Removing the next line will open a security hole.\n$doc.dropPermissions()##\n##\n##------------------------------------------------------------------------------------------------------------\n## If $section exists then we are viewing the admin page for a particular section.\n## eg: 'Registration', 'Presentation', 'Import' etc.\n##------------------------------------------------------------------------------------------------------------\n##\n#if($section && $section != '')\n  ##\n  ## This is for keeping track of whether we have shown the heading yet or not.\n  ## If the heading doesn't need to be shown, but an error occurs in processing, then we show the heading\n  ## so that the user knows what the error relates to.\n  #set($headingShowing = false)\n  ##\n  ## Searches the database for names of apps to be configured\n  #set($outputList = [])\n  #findNamesOfAppsToConfigure($section, $globaladmin, $xwiki.getDocument($currentDoc).getSpace(), $outputList)\n  ##\n  #foreach($appName in $outputList)\n    ##\n    ## Make sure the current user has permission to edit the configurable application.\n    #set($userHasAccessToDocument = $xcontext.hasAccessLevel('edit', $appName))\n    ##\n    ## If the document was not last saved by a user with edit privilege on this page\n    ## then we can't safely display the page but we should warn the viewer.\n    #if($userHasAccessToDocument)\n      ## Get the configurable application\n      #set($app = $xwiki.getDocument($appName))\n      ##\n      #set($documentSavedByAuthorizedUser = false)\n      #checkDocumentSavedByAuthorizedUser($app, $currentDoc, $documentSavedByAuthorizedUser)\n    #end\n    ##\n    ## There is no need to display a heading unless:\n    ## 1. There was already a section before this document.\n    ## 2. This is not the first document in this section.\n    ##\n    ## If we are displaying the heading and there is an error to be shown Javascript will not strip the heading.\n    #if(!$appName.equals($outputList.get(0)) || $sections.contains($section))\n      ## Create a document heading.\n      #showHeading($appName, $headingShowing)\n    #end\n    ##\n    #if(!$userHasAccessToDocument)\n      #showHeading($appName, $headingShowing)\n\n      {{error}}{{translation key="xe.admin.configurable.noPermissionThisApplication"/}}{{/error}}\n\n    #elseif(!$documentSavedByAuthorizedUser)\n      #showHeading($appName, $headingShowing)\n\n      {{error}}{{translation key="xe.admin.configurable.applicationAuthorNoAdmin" parameters="$app.Author"/}}{{/error}}\n\n    ##\n    ##------------------------------------------------------------------------------------------------------------\n    ## If the document is locked and not by the current user and forceEdit is not set true,\n    #elseif($app.getLocked() && $app.getLockingUser() != $xcontext.getUser() && !$request.getParameter('forceEdit'))\n      #set($requestURL = "$request.getRequestURL()")\n      #if($requestURL.indexOf('?') == -1)\n        #set($requestURL = "${requestURL}?")\n      #end\n      #showHeading($appName, $headingShowing)\n\n      {{error}}{{translation key="doclockedby"/}} $app.getLockingUser() [[{{translation key="forcelock"/}}>>${requestURL}&forceEdit=1]]{{/error}}\n\n    #else\n      ## If the document is not already locked, attempt to acquire the lock.\n      #if(!$app.getLocked())\n\n        {{html wiki=true}}\n          <noscript>\n\n            {{warning}}{{translation key="xe.admin.configurable.cannotLockNoJavascript"/}}{{/warning}}\n\n          </noscript>\n          <script type="text/javascript">\n            document.observe("xwiki:dom:loaded", function() {\n              XWiki.DocumentLock && new XWiki.DocumentLock('$escapetool.javascript($app.fullName)').lock();\n            });\n          </script>\n        {{/html}}\n      #end\n      ##------------------------------------------------------------------------------------------------------------\n      ## Done Locking.\n      ##\n      ## Get all objects of the "ConfigurableClass" from this document.\n      #set($allConfigurableObjs = $app.getObjects($nameOfThisDocument))\n      ## Separate out the objects which are for this section.\n      #set($configurableObjs = [])\n      #foreach($configurableObj in $allConfigurableObjs)\n        #if($app.getValue('displayInSection', $configurableObj) == $section)\n          ## If this is space admin, then don't display global, if global don't display space.\n          #if($globaladmin == ($app.getValue('configureGlobally', $configurableObj) == 1))\n            #set($discard = $configurableObjs.add($configurableObj))\n          #end\n        #end\n      #end\n      #if($configurableObjs.size() == 0)\n        ## Internal error, not translated.\n        #showHeading($appName, $headingShowing)\n\n        {{error}}Internal error: All objects were filtered out for application: $appName.{{/error}}\n\n      #else\n        #set($formAction = $xwiki.getURL($app.getFullName(), 'save'))\n        #set($formId = "${section.toLowerCase()}_${app.getFullName()}")\n        #set($escapedAppName = $escapetool.xml($app.getFullName()))\n        #foreach($configurableObj in $configurableObjs)\n          ## Display the header if one exists.\n          #set($heading = $app.getValue('heading', $configurableObj))\n          #if($heading && $heading != '')\n            == #evaluate($heading) ==\n          #end\n          ##\n          #set($codeToExecute = "$!app.getValue('codeToExecute', $configurableObj)")\n          #if($codeToExecute != '')\n            (%class="codeToExecute"%)(((##\n              #evaluate($codeToExecute)##\n            )))\n          #end\n          ##\n          ## If propertiesToShow is set, then we will only show the properties contained therein.\n          #set($propertiesToShow = $app.getValue('propertiesToShow', $configurableObj))\n          #if(!$propertiesToShow || $propertiesToShow.getClass().getName().indexOf('List') == -1)\n            #set($propertiesToShow = [])\n          #end\n          ##\n          ## If linkPrefix is set, then we will make each property label a link which starts with that prefix.\n          #set($linkPrefix = "$!app.getValue('linkPrefix', $configurableObj)")\n          ##\n          ## If the Configurable object specifies a configuration class, use it,\n          ## otherwise assume custom forms are used instead.\n          #set($configClassName = "$!app.getValue('configurationClass', $configurableObj)")\n          #if($configClassName != '')\n            #set($objClass = $xwiki.getDocument($configClassName).getxWikiClass())\n            #if(!$objClass || $objClass.getClass().getName().indexOf('.Class') == -1)\n              #showHeading($appName, $headingShowing)\n\n              {{error}}{{translation key="xe.admin.configurable.configurationClassNonexistant"/}}{{/error}}\n\n            #else\n              ## Use the first object from the document which is of the configuration class.\n              #set($obj = $app.getObject($objClass.getName()))\n              ##\n              #if(!$obj || $obj.getClass().getName().indexOf('.Object') == -1)\n                #showHeading($appName, $headingShowing)\n\n                {{error}}\n                  {{translation key="xe.admin.configurable.noObjectOfConfigurationClassFound" parameters="$objClass.getName(), $app.getFullName()"/}}\n                {{/error}}\n\n              #else\n                ##\n                ## Merge save buttons, remove headings from subsections, and make information links into popups.\n                ## This is not done if there is only a custom defined form.\n                $xwiki.jsx.use($nameOfThisDocument)##\n                ##\n                ## We don't begin the form until we have content for it so that a configurable can specify a\n                ## custom form in codeToExecute and if that configurable object is the first of it's kind in that\n                ## document, the custom form will not be put inside of our form.\n                #if(!$insideForm)\n                  ## We are opening a form and fieldset without closing it, thus we cannot clean this html.\n\n                  {{html clean=false}}\n                    <form id="$formId" method="post" action="$formAction" class="xform half">\n                      <fieldset>\n                  {{/html}}\n                  #set($insideForm = true)\n                #end\n\n                {{html}}\n                  $formHtml.toString()\n                {{/html}}\n              #end## If object exists\n            #end## If class exists\n          #end## If class name is specified.\n        #end## Foreach configurable object found in this document\n        ## If a form was started then we end it.\n        #if($insideForm)\n\n          ## This is closing an open form which was opened above, we cannot clean this html.\n          {{html clean=false}}\n          ## We add in a redirect field to prevent the user from being carried away when they save\n          ## if they don't have javascript.\n          #set($thisURL = $request.getRequestURL())\n          #if($request.getQueryString() && $request.getQueryString().length() > 0)\n            #set($thisURL = "${thisURL}?$request.getQueryString()")\n          #end\n          <input type="hidden" id="${escapedAppName}_redirect" name="$redirectParameter" value="$escapetool.xml($thisURL)" />\n          <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n          </fieldset>\n          <div class="bottombuttons">\n            <p class="admin-buttons">\n              <span class="buttonwrapper">\n                ## Text to display on the button. If there is a heading then this button should be labeled\n                ## that it is for saving this section. Otherwise it should be a generic "save" button.\n                #if($headingShowing)\n                  #set($buttonText = "$services.localization.render('admin.save') $escapedAppName")\n                #else\n                  #set($buttonText = "$services.localization.render('admin.save')")\n                #end\n                <input class="button" type="submit" name="action_saveandcontinue" value="$buttonText" />\n              </span>\n            </p>\n          </div> ## bottombuttons\n          </form>\n          #set($insideForm = false)\n          {{/html}}\n        #end\n      #end## If there are configurable objects\n    #end## If document is not locked or forceEdit is enabled\n  #end## Foreach document name in names to configure\n\n  {{html}}\n  <script type="text/javascript">\n  /* <![CDATA[ */\n  ## Alt+Shift+S presses the first saveAndContinue button it finds, not what we want so we will disable edit shortcuts.\n  document.observe('xwiki:dom:loaded', function() {\n    XWiki.actionButtons.EditActions = Object.extend(XWiki.actionButtons.EditActions, {addShortcuts : function() { }});\n  });\n  //]]>\n  </script>\n  {{/html}}##\n  ##\n#else\n  ##\n  ##------------------------------------------------------------------------------------------------------------\n  ## If section is not set then we are viewing the main administration page.\n  ##------------------------------------------------------------------------------------------------------------\n  ##\n  ## If there is no list called sections then we set sections to an empty list.\n  #if(!$sections || $sections.getClass().getName().indexOf('List') == -1)\n    #set($sections = [])\n  #end\n  ##\n  ## We have to create a list of documents which the current user doesn't have permission to view.\n  ## So we can add an error message to the bottom of the page if there are any.\n  #set($appsUserCannotView = [])\n  ##\n  ## A list of sections (to be added) which the user is not allowed to edit, icons will be displayed with a message\n  #set($sectionsUserCannotEdit = [])\n  ## List of sections to be added, in order by creationDate of oldest contained application.\n  #set($sectionsToAdd = [])\n  ## Map of URL of icon to use by the name of the section to use that icon on.\n  #set($iconBySection = {})\n  ##\n  #set($outputList = [])\n  #findNamesOfAppsToConfigure("", $globaladmin, $currentSpace, $outputList)\n  ##\n  #foreach($appName in $outputList)\n    ##\n    ## Get the configurable application\n    #set($app = $xwiki.getDocument($appName))\n    ##\n    ## If getDocument returns null, then warn the user that they don't have view access to that application.\n    #if(!$app)\n      #set($discard = $appsUserCannotView.add($appName))\n    #end\n    ##\n    #set($configurableObjects = $app.getObjects($nameOfThisDocument))\n    #foreach($configurableObject in $configurableObjects)\n      #set($displayInSection = $app.getValue('displayInSection', $configurableObject))\n      ##\n      ## If there is no section for this configurable or if the section cannot be edited, then check if the\n      ## application can be edited by the current user, if so then we display the icon from the current app and\n      ## don't display any message to tell the user they can't edit that section.\n      #if(!$sections.contains($displayInSection) || $sectionsUserCannotEdit.contains($displayInSection))\n        ##\n        ## If there is no section for this configurable, then we will have to add one.\n        #if(!$sections.contains($displayInSection) && !$sectionsToAdd.contains($displayInSection))\n          #set($discard = $sectionsToAdd.add($displayInSection))\n        #end\n        ##\n        ## If an attachment by the filename iconAttachment exists and is an image\n        #set($attachment = $app.getAttachment("$app.getValue('iconAttachment', $configurableObject)"))\n        #if($attachment && $attachment.isImage())\n          ## Set the icon for this section as the attachment URL.\n          #set($discard = $iconBySection.put($displayInSection, $app.getAttachmentURL($attachment.getFilename())))\n        #end\n        ##\n        ## If the user doesn't have edit access to the application, we want to show a message on the icon\n        #if(!$xcontext.hasAccessLevel("edit", $app.getFullName()))\n          #if(!$sectionsUserCannotEdit.contains($displayInSection))\n            #set($discard = $sectionsUserCannotEdit.add($displayInSection))\n          #end\n        #elseif($sectionsUserCannotEdit.contains($displayInSection))\n          ## If the user didn't have access to the section before but does have access to _this_ app which is\n          ## configured in the section, then the section becomes accessible.\n          #set($discard = $sectionsUserCannotEdit.remove($displayInSection))\n        #end\n      #end## If section doesn't exist or user doesn't have access.\n    #end## Foreach configurable object in this app.\n  #end## Foreach application which is configurable.\n  ##\n  ## Now we go through sectionsToAdd and generate icons for them\n  #set($defaultIcon = $xwiki.getAttachmentURL($nameOfThisDocument, 'DefaultAdminSectionIcon.png'))\n  #if($globaladmin)\n    #set($queryString = "editor=globaladmin&amp;section=")\n  #else\n    #set($queryString = "space=${currentSpace}&amp;section=")\n    #if($request.getParameter('editor'))\n      #set($queryString = "editor=$escapetool.url($request.getParameter('editor'))&amp;$queryString")\n    #end\n  #end\n\n  ## This is an html fragment and thus cannot be cleaned\n  {{html clean=false}}\n  #foreach($sectionToAdd in $sectionsToAdd)\n    #set($icon = $iconBySection.get($sectionToAdd))\n    #if(!$icon)\n      #set($icon = $defaultIcon)\n    #end\n    <li class="$escapetool.xml($sectionToAdd).replaceAll(' ', '_')">\n      #set($hasAccess = !$sectionsUserCannotEdit.contains($sectionToAdd))\n      #if($hasAccess)\n        <a href="$xwiki.getURL($currentDoc, $xcontext.getAction(), "$queryString$escapetool.url($sectionToAdd)")">\n      #else\n        <a title="$services.localization.render('xe.admin.configurable.sectionIconNoAccessTooltip')">\n      #end\n      <span>\n      <img src="$icon" alt="$escapetool.xml($sectionToAdd) icon"/>\n      ## Try to translate the names of the sections, build the key by adding an "admin." in front. \n      ## Not the best way to translate, but very inline with the way the translations are done in XWiki.AdminSheet for individual administration page titles.\n      ## If there is no translation (translated message is equals to key), don't display the message key, but the section name instead.\n      #if($services.localization.get("admin.${sectionToAdd.toLowerCase()}")) \n        #set($sectionDisplayName = $services.localization.render("admin.${sectionToAdd.toLowerCase()}")) \n      #else\n        #set($sectionDisplayName = $sectionToAdd)\n      #end\n      $escapetool.xml($sectionDisplayName)\n      </span>\n      #if(!$hasAccess)\n        <br/><span class="errormessage">$services.localization.render('xe.admin.configurable.sectionIconNoAccess')</span>\n      #end\n      </a>\n    </li>\n  #end\n  {{/html}}\n\n  ## Finally we display an error message if there are any applications which we were unable to view.\n  #if($appsUserCannotView.size() > 0)\n\n    {{error}}$services.localization.render('xe.admin.configurable.noViewAccessSomeApplications', [$appsUserCannotView]){{/error}}\n\n  #end\n#end## If we should be looking at the main administration page.\n{{/velocity}}	1.1		XWiki.WebHome	<?xml version="1.0" encoding="UTF-8"?>\n\n<class>\n<name>XWiki.ConfigurableClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<advancedOnly>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>advancedOnly</name>\n<number>5</number>\n<prettyName>advancedOnly</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</advancedOnly>\n<categoryPriority>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>categoryPriority</name>\n<number>2</number>\n<numberType>integer</numberType>\n<prettyName>categoryPriority</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</categoryPriority>\n<codeToExecute>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>codeToExecute</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>codeToExecute</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</codeToExecute>\n<configurationClass>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>configurationClass</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>configurationClass</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</configurationClass>\n<configureGlobally>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>configureGlobally</name>\n<number>8</number>\n<prettyName>configureGlobally</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</configureGlobally>\n<displayInCategory>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>displayInCategory</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>displayInCategory</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</displayInCategory>\n<displayInSection>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>displayInSection</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>displayInSection</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</displayInSection>\n<heading>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>heading</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>heading</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</heading>\n<iconAttachment>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>iconAttachment</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>iconAttachment</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</iconAttachment>\n<linkPrefix>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>linkPrefix</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>linkPrefix</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</linkPrefix>\n<propertiesToShow>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>propertiesToShow</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>propertiesToShow</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>20</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</propertiesToShow>\n<sectionPriority>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sectionPriority</name>\n<number>4</number>\n<numberType>integer</numberType>\n<prettyName>sectionPriority</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</sectionPriority>\n</class>\n	3			Install extension [org.phenotips:phenotips-ui-1.2.6]	f	xwiki/2.0	t
\.


--
-- Data for Name: xwikidoubles; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikidoubles (xwd_id, xwd_name, xwd_value) FROM stdin;
\.


--
-- Data for Name: xwikifloats; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikifloats (xwf_id, xwf_name, xwf_value) FROM stdin;
\.


--
-- Data for Name: xwikiintegers; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikiintegers (xwi_id, xwi_name, xwi_value) FROM stdin;
7325100845279448823	allow	1
7185139814747409311	allow	1
1494846150873449108	allow	1
-3909688450103167701	allow	1
4529000290858574313	nonStandardAdoptedOutGraphic	0
4529000290858574313	probandIsSyncedWithPatient	1
4529000290858574313	propagateFatherLastName	1
6697139112402408114	AllowPushesFromNonListedServers	1
-5988059480303893268	allow	1
1314300318641197968	allow	1
1345706622762835137	allow	1
-614498398768250718	accessibility	0
-614498398768250718	editcomment	0
-614498398768250718	editcomment_mandatory	\N
-614498398768250718	minoredit	0
-614498398768250718	showannotations	0
-614498398768250718	showattachments	0
-614498398768250718	showcomments	1
-614498398768250718	showhistory	0
-614498398768250718	showinformation	0
-614498398768250718	xwiki.title.mandatory	0
-2210607549116249230	allow	1
8241190800513916467	accessibility	\N
8241190800513916467	active	1
8241190800513916467	displayHiddenDocuments	1
5553794025562714273	allow	1
-7655122662871052554	parse	1
3506649722196057787	allow	0
3980527104837870639	allow	0
-22827029092784258	allow	0
7910393087932949456	allow	0
7241056948254626025	allow	0
4652057205514493530	allow	0
-8914936393023623739	allow	1
4397280938199749522	allow	1
7869835225464154104	allow	0
1419839714728922190	allow	0
-835024709258431825	allow	1
-7687805282421262670	configureGlobally	1
-4305838678640337551	parse	1
-6078261122503370161	allow	0
2279776107228674949	allow	0
5837094281802416777	allow	1
722116165808455315	configureGlobally	1
6371868270824238049	liveValidation_enabled	1
6371868270824238049	loginButton_autoLogin_enabled	0
6371868270824238049	loginButton_enabled	1
6371868270824238049	requireCaptcha	0
5098451329487711004	parse	0
6134097965481032111	allow	0
-2209213944681530944	allow	0
7638148953297804405	allow	1
-2252936800655847756	parse	1
8378817854146866053	parse	1
-4265285397647036364	parse	1
-5386731612909452646	supportsInlineMode	0
-3293952573735824191	mandatory	0
8869408063345511226	mandatory	0
7336684778027459162	mandatory	0
-7662876146999244429	mandatory	0
-1424629336355106982	mandatory	0
-7183858144813920928	mandatory	0
-237241165128514183	mandatory	0
-6354117405756303102	mandatory	0
-1738067548726089409	mandatory	0
5982650279254161969	mandatory	0
5344757774904131858	mandatory	0
-2643419207793810969	parse	1
8350928796547166764	parse	1
1265889115715036925	supportsInlineMode	1
-742676475097111767	mandatory	0
3878003441219951497	mandatory	0
-1529307941194505756	mandatory	0
771094098479979128	parse	0
7951221076831937111	parse	1
-8789460963672918823	supportsInlineMode	0
-7543057703784922832	mandatory	0
9027176932998785565	mandatory	0
-2114507803626208157	mandatory	0
4434993791194682611	parse	1
8009908531353325490	supportsInlineMode	0
-8340683372497157102	parse	1
2565425069674253556	parse	1
173995775158485649	allow	1
3782650588077848436	allow	1
-4270047942215544118	supportsInlineMode	0
-4292617225184969157	mandatory	0
2706750404654345339	mandatory	0
8033261753603887338	mandatory	0
-290433136403775361	mandatory	0
5507133455870632400	mandatory	0
7115468815733580006	mandatory	0
6398268715832411259	mandatory	0
-961982407856130685	mandatory	0
-20449174920798045	mandatory	0
4625876372974772728	mandatory	0
5907546419309148588	mandatory	0
-1110678681262197463	mandatory	0
2340271235697290149	mandatory	0
-7750451393889908950	mandatory	0
2606437970141537991	mandatory	0
1863209619509869037	mandatory	0
2832372176651909060	mandatory	0
3071263456201148754	mandatory	0
-4212519746212985691	parse	1
-8502917170642906784	parse	1
-7524852497054340135	parse	1
-528946118605285988	allow	1
6437174684837264717	supportsInlineMode	0
-3143182623433737187	mandatory	0
-3887666743881049937	mandatory	0
2065499440476739869	mandatory	0
4237577464992284344	mandatory	0
6230530917979272079	mandatory	0
8090097450957698493	mandatory	0
-5290135868479975735	allow	1
8077918042006448738	parse	1
-6953773984597868539	parse	1
-2418905723979244200	parse	1
-9108728894848501578	configureGlobally	1
-9108728894848501578	sectionOrder	\N
-4039664564421777869	configureGlobally	1
-4039664564421777869	sectionOrder	\N
3193224639151033195	configureGlobally	1
3193224639151033195	sectionOrder	\N
-7284074232723012561	parse	1
-3844444139597722093	parse	1
-5142933733793134952	parse	0
-6348726566838501671	supportsInlineMode	1
-4107477607535558306	mandatory	1
-7379524742626007554	mandatory	0
7122393996290033201	mandatory	0
6851332950790330843	mandatory	0
2044642619173841514	allow	1
-7384449520393366346	parse	1
-2077216384467554192	parse	0
7213829870165562513	parse	1
8779342943261649448	parse	1
-4102688510095098950	parse	1
-1718765091772660229	parse	0
-381624292609406307	parse	1
762845568679840330	parse	1
-2136398356499945459	parse	0
-4634018571476814268	parse	0
-7933826172608503154	parse	1
-2667627816585793507	parse	0
-8869825635248512149	parse	0
8840777577127400957	parse	0
8767386282170405520	parse	0
3324831887511834412	parse	0
-7165983680303077190	parse	1
7817692244712022440	parse	\N
1684448288439082877	parse	1
-1088741600705946960	parse	0
2400439552524166882	parse	1
-115560545996216550	parse	1
6382729201458523557	parse	1
1528580236109238144	parse	1
-8046821127321631759	parse	1
-5413005090135459356	parse	0
6194885668303409605	parse	0
-8997540330715102653	parse	1
8464333267336014519	parse	0
1029149978393615900	parse	0
-692458536091278653	parse	1
3691429869719656184	parse	1
-1970536447999040586	supportsInlineMode	0
-8752557532974133411	mandatory	\N
-7272254375090897470	mandatory	\N
-6498630665715157959	mandatory	\N
-8869167275737516035	parse	1
7083120765274645503	parse	0
2509285284474509343	parse	0
-1666382753955370540	parse	0
1564148237268091575	parse	0
2647651902204394801	parse	1
1509292906043566451	allow	1
-8465264687240425439	parse	1
-7029750735844180463	parse	0
-2772019619561421597	parse	1
8619938190454890474	supportsInlineMode	1
-1766016663854888874	mandatory	1
-891003554874154134	mandatory	1
5609995998568979095	mandatory	0
-4040532020646090681	mandatory	0
-8170685701810359526	mandatory	0
9099341308356375630	mandatory	0
-7637459130189909810	mandatory	0
-6274205128352087333	mandatory	0
3727900940027351315	mandatory	0
3817777789228802913	mandatory	0
-7149058994813736232	mandatory	0
2954648587304094412	mandatory	0
-3065312122997211821	mandatory	0
-8222245676634688845	mandatory	0
1221012321705694459	allow	1
-2399305200795184451	parse	0
823381528089157115	parse	1
-7409454071592697738	parse	1
-5454183358517115625	parse	0
-7916399137393189490	parse	1
7601018475583364651	parse	1
2707485211712707399	parse	1
4549311866376089804	parse	\N
-8338727530422061680	parse	\N
-5343433619853380891	parse	1
-5911728936807024833	parse	1
-7303074617795149086	allow	1
-5093485818302672279	allow	1
-6950051007663280108	parse	0
-4070038678022651157	allow	1
5467926099341538842	allow	1
-4470827524973375705	allow	1
-4919157053708043757	allow	1
8347436934581074556	parse	\N
1699721016323068707	allow	1
-8612909099128072630	parse	\N
-3152014185615537482	allow	1
-5347471842214447649	allow	1
-6403795007650089389	allow	1
2739420286846870014	parse	1
-4066849639251503145	parse	1
-7079714043964720575	parse	1
6295424548260315080	parse	1
6529430516254183794	parse	0
-3085580127925242763	parse	0
1745400825667077915	parse	0
-2676025870266436945	parse	0
1589205948959054510	parse	1
-292098650624942187	parse	0
-4472210235605638364	parse	1
140270767052048382	parse	1
-6371114286152634390	parse	0
2637663411216547790	parse	1
1060398250106611517	parse	1
-294279599611314197	parse	1
-9052874784795951139	parse	1
-1510750888240503256	parse	1
3318223183939778041	parse	0
-2977641234833990010	parse	0
-1317365487173417600	parse	0
8764761973697635701	parse	0
3838320918857368184	parse	1
-2788095431523390073	parse	0
-6481727310521510162	parse	1
-7388137781914369781	parse	1
-2870840246959512782	parse	1
-9075091576080308657	parse	1
8941872134116103063	parse	1
5609576143747348822	gestation	\N
5609576143747348822	proband	1
5609576143747348822	solved	0
5609576143747348822	unaffected	0
4902389464977109051	parse	\N
1776151800626855264	parse	1
-2636269436385194420	configureGlobally	1
4452184872458081486	parse	1
4987120541439898953	parse	1
-2219776247285052883	parse	1
8526841154133154525	parse	1
-2957198822781106626	parse	0
6080907093480830533	parse	0
-2829345281053977864	parse	1
-8983360167584442179	allow	1
-5313288560143497352	enableImperialUnitSystem	0
-5313288560143497352	livetableRows	\N
5770265429325257425	advancedOnly	1
5770265429325257425	categoryPriority	0
5770265429325257425	configureGlobally	1
5770265429325257425	sectionPriority	300
8433417381059088093	advancedOnly	\N
8433417381059088093	categoryPriority	0
8433417381059088093	configureGlobally	1
8433417381059088093	sectionPriority	100
-2910348294274572180	advancedOnly	\N
-2910348294274572180	categoryPriority	0
-2910348294274572180	configureGlobally	1
-2910348294274572180	sectionPriority	0
-3560279228912068454	advancedOnly	\N
-3560279228912068454	categoryPriority	0
-3560279228912068454	configureGlobally	1
-3560279228912068454	sectionPriority	150
705178565365604649	advancedOnly	\N
705178565365604649	categoryPriority	0
705178565365604649	configureGlobally	1
705178565365604649	sectionPriority	170
8673821287332809284	allow	1
-5517713055023142395	configureGlobally	1
-1023365820661524466	activated	1
-7986073282154439006	activated	1
-7986073282154439006	highlight	0
2022573344469648541	activated	1
2022573344469648541	highlight	0
-1548827347686522172	activated	1
-1548827347686522172	highlight	0
-6024107242670355211	parse	0
-892880999687888266	parse	1
9021566092119813787	parse	1
-3042698958279645626	parse	0
-3368177157800536719	parse	0
8761304744831463011	parse	1
-2463437426451842842	parse	1
8770311400200566798	parse	1
4778230998437866984	parse	\N
-2450571279076522953	advancedOnly	\N
-2450571279076522953	categoryPriority	0
-2450571279076522953	configureGlobally	1
-2450571279076522953	sectionPriority	450
1638124222887867495	advancedOnly	\N
1638124222887867495	categoryPriority	0
1638124222887867495	configureGlobally	1
1638124222887867495	sectionPriority	400
847606304787817944	parse	1
-3564872831236639289	parse	1
-8576709785714399408	supportsInlineMode	0
-895078038262117406	mandatory	0
-7527448072712228779	mandatory	0
5344695841514206043	mandatory	0
-2240667059755516459	mandatory	0
6469893864138995544	mandatory	0
3116682217299422574	mandatory	0
-5700687243988839035	allow	1
-1509591837336391582	allow	1
2073568392999882834	advancedOnly	\N
2073568392999882834	categoryPriority	0
2073568392999882834	configureGlobally	1
2073568392999882834	sectionPriority	400
7180121727829606960	parse	1
7727320115181082077	parse	1
5798038344610232394	supportsInlineMode	0
-2512908139053535367	mandatory	0
4944596992863623867	mandatory	0
-4623279692502789151	mandatory	0
-6024370860095195332	mandatory	0
6096029637276629987	mandatory	0
-4031983853031171190	mandatory	0
6064440767811824306	parse	\N
-5421123356691248741	parse	1
-2877438213821797606	advancedOnly	0
-2877438213821797606	categoryPriority	0
-2877438213821797606	configureGlobally	1
-2877438213821797606	sectionPriority	200
551609650500912368	parse	1
-8232487170375787291	parse	1
7403094704171418880	advancedOnly	0
7403094704171418880	categoryPriority	0
7403094704171418880	configureGlobally	1
7403094704171418880	sectionPriority	600
6459658409747391089	parse	1
-2505372602338148651	advancedOnly	1
-2505372602338148651	categoryPriority	0
-2505372602338148651	configureGlobally	1
-2505372602338148651	sectionPriority	1000
5021590344407417420	parse	1
-6751674827209837311	parse	1
-3681911963317287387	parse	1
5463904592636036565	parse	1
3495009035156146571	parse	1
6029009841361615301	parse	0
6893542420748668742	advancedOnly	1
6893542420748668742	categoryPriority	0
6893542420748668742	configureGlobally	1
6893542420748668742	sectionPriority	1000
-8424300188759589403	parse	1
-5833210098757145561	parse	0
7618142183311729225	advancedOnly	1
7618142183311729225	categoryPriority	0
7618142183311729225	configureGlobally	1
7618142183311729225	sectionPriority	1000
5034495970584502524	configureGlobally	0
8166411702173902761	parse	0
6352250265993074411	parse	0
-8802998659962860204	parse	1
7883403272225626124	parse	1
\.


--
-- Data for Name: xwikilargestrings; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikilargestrings (xwl_id, xwl_name, xwl_value) FROM stdin;
7325100845279448823	groups	XWiki.XWikiAdminGroup,
7325100845279448823	users	
7185139814747409311	groups	XWiki.XWikiAllGroup
7185139814747409311	users	XWiki.XWikiGuest
1494846150873449108	groups	XWiki.XWikiAllGroup
1494846150873449108	users	
-3909688450103167701	groups	XWiki.XWikiAdminGroup
-3909688450103167701	users	
3027141951835947159	description	PhenomeCentral is a repository for secure data sharing targeted to clinicians and scientists working in the rare disorder community. PhenomeCentral encourages global scientific collaboration while respecting the privacy of patients profiled in this centralized database.
-5988059480303893268	groups	XWiki.XWikiAdminGroup
-5988059480303893268	users	
1314300318641197968	groups	XWiki.XWikiAllGroup
1314300318641197968	users	
1345706622762835137	groups	
1345706622762835137	users	XWiki.XWikiGuest
-2210607549116249230	groups	XWiki.XWikiAdminGroup
-2210607549116249230	users	XWiki.Admin
8241190800513916467	address	
8241190800513916467	comment	This is the default administrative account.
5553794025562714273	groups	XWiki.XWikiAllGroup,xwiki:XWiki.XWikiAllGroup
5553794025562714273	users	XWiki.XWikiGuest
-7655122662871052554	code	(function() {\n  var addMembers = function(event) {\n    event && event.stop();\n    var form = event.element().form;\n    if (form.select('ul.accepted-suggestions li').length == 0 && $('userInput').value.strip() == ''\n      && $('groupInput').value.strip() == '') {\n      // Nothing to add.\n      return;\n    }\n    new Ajax.Request(form.action, {\n      parameters: form.serialize(),\n      onSuccess: function() {\n        // Clear the list of selected users and groups.\n        XWiki.widgets.UserPicker.instances.groupInput.clear();\n        XWiki.widgets.UserPicker.instances.userInput.clear();\n        // Reload the live table.\n        var end = editgrouptable.limit;\n        var start = Math.max(editgrouptable.lastOffset, 1);\n        editgrouptable.clearCache();\n        editgrouptable.getRows(start, end, start, end);\n        // Show notification message.\n        new XWiki.widgets.Notification("$services.localization.render('xe.admin.groups.addSuccess')", 'done', {timeout: 5});\n      },\n      onFailure: function(response) {\n        new XWiki.widgets.Notification("$services.localization.render('xe.admin.groups.addFailure')" + response.statusText, 'error', {timeout: 5});\n      }\n    });\n  }\n  var init = function() {\n    var addMembersButton = $('addMembers');\n    if (addMembersButton && !addMembersButton.__initialized) {\n      addMembersButton.observe('click', addMembers);\n      addMembersButton.__initialized = true;\n    }\n    return true;\n  };\n  (XWiki.domIsLoaded && init()) || document.observe('xwiki:dom:loaded', init);\n  document.observe('xwiki:dom:updated', init);\n})()
3506649722196057787	groups	xwiki:XWiki.XWikiAllGroup
3980527104837870639	groups	XWiki.XWikiAllGroup
-22827029092784258	users	XWiki.XWikiGuest
-6245483878953798583	html	<h2>Hello $xwiki.getUserName($userName, false),</h2>\n#set ($wikiurl = $xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI'))))\n#set ($escapedURL = $escapetool.xml($passwordResetURL))\n#set ($wikiname = $request.serverName)\n<p>A password reset was requested for your account ($userName) on <a href="$wikiurl">$wikiname</a>.\nIf you did not make the request, please ignore this message.</p>\n<p>In order to reset your password, please follow this link:<br/>\n<a href="$escapedURL">$escapedURL</a></p>\n## Prevent leaking the value of the token\n#set ($escapedURL = '')\n
-6245483878953798583	text	Hello $xwiki.getUserName($userName, false),\n\nA password reset was requested for your account ($userName) on ${request.getServerName()}.\nIf you did not make the request, please ignore this message.\n\nIn order to reset your password, please follow this link:\n\n$passwordResetURL\n
7910393087932949456	groups	xwiki:XWiki.XWikiAllGroup
7241056948254626025	groups	XWiki.XWikiAllGroup
4652057205514493530	users	XWiki.XWikiGuest
-8914936393023623739	groups	XWiki.XWikiAllGroup
4397280938199749522	users	XWiki.XWikiGuest
7869835225464154104	groups	XWiki.XWikiAllGroup
7869835225464154104	users	XWiki.XWikiGuest
1419839714728922190	groups	xwiki:XWiki.XWikiAllGroup
-835024709258431825	groups	XWiki.XWikiAllGroup
-835024709258431825	users	XWiki.XWikiGuest
-7687805282421262670	codeToExecute	{{include reference='XWiki.GoogleAnalyticsCode' /}}
-4305838678640337551	code	#set($analyticsDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsConfig'))\n#set($analyticsObj = $analyticsDoc.getObject('XWiki.GoogleAnalyticsCode'))\n#set($method = $analyticsObj.getProperty('method').value)\n#set($accounts = [])\n#if("$!analyticsObj" != "" && "$!analyticsObj.account" != "")\n#foreach($aObj in $analyticsObj.account.split(' '))\n#if("$!aObj" != "")\n#set($discard = $accounts.add($aObj))##\n#end \n#end\n#end\n#if($accounts.size() > 0)\n#if($method == 'universal')\n  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){\n  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),\n  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)\n  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');\n\n#foreach($account in $accounts)\n#set($accountName = '')\n#if($foreach.index > 0)\n#set($accountName = 't' + $foreach.index)\n  ga('create', '$account', {'name': '$accountName'});\n  ga('${accountName}.send', 'pageview');\n#else\n  ga('create', '$account');\n  ga('send', 'pageview');\n#end\n#end\n#else\n  var _gaq = _gaq || [];\n#foreach($account in $accounts)\n#set($analyticsPrefix = '')\n#if($foreach.index > 0)\n#set($analyticsPrefix = 't' + $foreach.index + '.')\n#end\n  _gaq.push(['${analyticsPrefix}_setAccount', '$account']);\n  _gaq.push(['${analyticsPrefix}_trackPageview']);\n#end\n\n  (function() {\n    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;\n    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';\n    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);\n  })();\n#end\n#end
-6078261122503370161	groups	XWiki.XWikiAllGroup
-6078261122503370161	users	XWiki.XWikiGuest
2279776107228674949	groups	xwiki:XWiki.XWikiAllGroup
5837094281802416777	groups	XWiki.XWikiAllGroup
5837094281802416777	users	XWiki.XWikiGuest
722116165808455315	codeToExecute	
6371868270824238049	registrationSuccessMessage	#set($fullName = "$request.get('register_first_name') $request.get('register_last_name')")\n{{info}}$services.localization.render('core.register.successful', ["[[$fullName>>$userSpace$userName]]", $userName]){{/info}}
6371868270824238049	welcomeMessage	{{translation key="core.register.welcome"/}}
5098451329487711004	code	ul > li > ul > li {\n  list-style-type: none;\n}\nul.showCircles li {\n  list-style-type: circle;\n}
6134097965481032111	groups	XWiki.XWikiAllGroup
6134097965481032111	users	XWiki.XWikiGuest
-2209213944681530944	groups	xwiki:XWiki.XWikiAllGroup
7638148953297804405	groups	XWiki.XWikiAllGroup
7638148953297804405	users	XWiki.XWikiGuest
-2252936800655847756	code	#set($discard = $services.localization.use('document', 'SkinsCode.Translations'))\nrequire(['jquery', 'xwiki-meta'], function($, xm) {\n\n  // The global variable that will hold the notification widget (wo we can use it in different functions without adding\n  // it to the parameters of these functions)\n  var notif = 0;\n\n  /**\n   * Function called when the user clicks on the 'delete' button of an object\n   */\n  var onDeleteObj = function() {\n    var obj = $(this).parents('.overrideObject');\n    // Getting the object number via the name of an input (eg: XWiki.XWikiSkinFileOverrideClass_3_path -> 3).\n    var objNumber = obj.find('input').prop('name').split('_')[1];\n    // Called when the user confirm the deletion\n    var deleteObjOnConfirm = function() {\n      // Perform asynchronously the deletion\n      notif = new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.deleting'))', 'inprogress');\n      $.ajax({\n        'url'      : (new XWiki.Document(xm.page, xm.space)).getURL('get'),\n        'type'     : 'POST',\n        'dataType' : 'json',\n        'data' : {\n          'action'      : 'deleteObj'            ,\n          'objNumber'   : objNumber ,\n          'form_token'  : xm.form_token       ,\n          'outputSyntax': 'plain'\n        }\n      }).done(function(data){\n        if (data.status == 'success') {\n          obj.fadeOut();\n          notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.deletingDone'))', 'done'));\n        } else if (data.status == 'fail') {\n          if (data.cause == 'form_token') {\n            notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.error.csrf'))', 'error'));\n          } else if (data.cause == 'rights') {\n            notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.error.rights'))', 'error'));\n          }\n        }\n      });\n    }\n    \n    var confirmationBoxParams = {\n      confirmationText: '$escapetool.javascript($services.localization.render('skin.sheet.js.deleteConfirmationText'))',\n      yesButtonText: '$escapetool.javascript($services.localization.render('skin.sheet.js.deleteConfirmationYes'))',\n      noButtonText: '$escapetool.javascript($services.localization.render('skin.sheet.js.deleteConfirmationNo'))'\n    };\n    \n    // Display a confirmation box\n    new XWiki.widgets.ConfirmationBox({onYes: deleteObjOnConfirm}, confirmationBoxParams);\n    \n    // Do not perform the default action bound to the <button> element\n    return false;\n  }\n\n  /**\n   * Function called when an override object is clicked.\n   * It shows/hides the properties of the object.\n   */\n  var objTitleClicked = function() {\n    var properties = $(this).parent().find('.overrideProperties');\n    if (properties.hasClass('hidden')) {\n      // It is the first time we open the object\n      // So we remove our own 'hidden' property\n      properties.removeClass('hidden');\n      // Then we hide the object via jQuery\n      properties.hide();\n      // So now we can make it slide (not possible if it were not hidden by jQuery first)\n      properties.slideDown();\n    } else {\n      // The other time, we just use the toggle function\n      properties.slideToggle();\n    }\n  }\n  \n  /**\n   * Function that performs an ajax request to get the code that displays an object and inject it in the page.\n   */\n  var displayObj = function(objNumber) {\n    $.ajax({\n      'url'  : (new XWiki.Document(xm.page, xm.space)).getURL('get'),\n      'type' : 'GET',\n      'data' : {\n        'action'    : 'displayObj',\n        'objNumber' : objNumber\n      }\n    }).done(function(data) {\n      notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.addingDone'))', 'done'));\n      // Add the html code into the document\n      $('#overrideSection').append(data);\n      // Get the new object\n      var newObj = $('.overrideObject').last();\n      // Bind the events of the new objects\n      newObj.find('.overrideTitle').click(objTitleClicked);\n      newObj.find('button').click(onDeleteObj);\n      // Show the new object\n      // First we remove our own 'hidden' class\n      newObj.find('.overrideProperties').removeClass('hidden');\n      // Then we hide the object via the jQuery API\n      newObj.hide();\n      // So now we can make it fade (not possible if it were not hidden by jQuery first)\n      newObj.fadeIn();\n      // Scroll to the element\n      $('html, body').animate({scrollTop: newObj.offset().top}, 500);\n    });\n  }\n\n  /**\n   * Function called when the user add a new override object\n   */\n  $('#newPathAdd').click(function() {\n    $.ajax({\n      'url'      : (new XWiki.Document(xm.page, xm.space)).getURL('get'),\n      'type'     : 'POST',\n      'dataType' : 'json',\n      'data' : {\n        'action'      : 'newObj'            ,\n        'path'        : $('#newPath').val() ,\n        'form_token'  : xm.form_token       ,\n        'outputSyntax': 'plain'\n      }\n    }).done(function(data) {\n      notif = new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.adding'))', 'inprogress');\n      if (data.status == 'success') {\n        displayObj(data.objNumber);\n      } else if (data.status == 'fail') {\n        if (data.cause == 'form_token') {\n          notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.error.csrf'))', 'error'));\n        } else if (data.cause == 'rights') {\n          notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.error.rights'))', 'error'));\n        }\n      }\n    });\n    \n    // Do not perform the default action bound to the <button> element\n    return false;\n  });\n  \n  var onDeprecatedPropertyClicked = function() {\n    $('.deprecatedProperties > dl').slideToggle();\n  }\n  \n  /**\n   * Function that initialize the javascript events\n   */\n  var init = function() {\n    // Bind objTitleClicked to the existing objects\n    $('.overrideTitle').click(objTitleClicked);\n    // Bind onDeleteObj to the existing objects\n    $('.overrideObject button').click(onDeleteObj);\n    $('.deprecatedProperties > dl').hide();\n    $('.deprecatedProperties > h2').click(onDeprecatedPropertyClicked);\n  }\n  \n  init();\n\n});\n
8378817854146866053	code	#template('colorThemeInit.vm')\n\n.overrideTitle:hover, .deprecatedProperties h2:hover{\n  background-color: $theme.highlightColor;\n  cursor: pointer;\n}\n\n.overrideProperties {\n  margin-left: 25px;\n}\n\n.overrideObjectDelete {\n  position: relative;\n  text-align: right;\n  margin-top: -40px;\n  float: right;\n  font-size: 130%;\n}\n\n.skin-colibri .overrideObjectDelete {\n  margin-top: -55px;\n}\n\n.newPathLabel {\n  color: $theme.linkColor;\n  display: inline;\n  font-size: 100%;\n  font-style: italic;\n  font-weight: normal;\n  margin: 0px;\n  text-transform: none;\n}\n
3331888260922603525	edit.vm	
3331888260922603525	footer.vm	
3331888260922603525	header.vm	
3331888260922603525	style.css	
3331888260922603525	view.vm	
3331888260922603525	viewheader.vm	
5158283262279666196	edit.vm	
5158283262279666196	footer.vm	
5158283262279666196	header.vm	
5158283262279666196	style.css	
5158283262279666196	view.vm	
5158283262279666196	viewheader.vm	
-4265285397647036364	code	require(["$!services.webjars.url('org.xwiki.platform:xwiki-platform-tree-webjar', 'require-config.min.js', {'evaluate': true})"], function() {\n  require(['tree'], function($) {\n    $('.xtree').xtree().one('ready.jstree', function(event, data) {\n      var tree = data.instance;\n      var openToNodeId = tree.element.attr('data-openTo');\n      // Open the tree to the specified node and select it.\n      openToNodeId && data.instance.openTo(openToNodeId);\n    });\n  });\n});
-5386731612909452646	code	{{velocity output="false"}}\n#set ($discard = $xwiki.linkx.use($services.webjars.url('org.xwiki.platform:xwiki-platform-tree-webjar', 'tree.min.css',\n  {'evaluate': true}), {'type': 'text/css', 'rel': 'stylesheet'}))\n#set ($discard = $xwiki.jsx.use($xcontext.macro.doc))\n#set ($classes = ['xtree', "$!xcontext.macro.params.get('class')"])\n#set ($noLinks = $xcontext.macro.params.links != 'true')\n#if ($noLinks)\n  #set ($discard = $classes.add('jstree-no-links'))\n#end\n#set ($attributes = [\n  "class='$!escapetool.xml($stringtool.join($classes, ' '))'",\n  'data-responsive="true"'\n])\n#if ("$!xcontext.macro.params.reference" != '')\n  #set ($reference = $xcontext.macro.params.reference)\n  #if ($reference.startsWith('path:'))\n    ## URL/Path reference\n    #set ($resourceURL = $reference.substring(5))\n  #else\n    ## Document reference\n    #if ($reference.startsWith('doc:'))\n      #set ($reference = $reference.substring(4))\n    #end\n    #set ($resourceURL = $xwiki.getURL($reference, 'get', 'outputSyntax=plain'))\n  #end\n  #set ($discard = $attributes.add("data-url='$resourceURL'"))\n  #set ($discard = $attributes.add("data-root='$!escapetool.xml($xcontext.macro.params.root)'"))\n#end\n#set ($dragAndDrop = $xcontext.macro.params.dragAndDrop == 'true')\n#set ($discard = $attributes.add("data-dragAndDrop='$dragAndDrop'"))\n#set ($contextMenu = $xcontext.macro.params.contextMenu == 'true')\n#set ($discard = $attributes.add("data-contextMenu='$contextMenu'"))\n#set ($icons = $xcontext.macro.params.icons == 'true')\n#set ($discard = $attributes.add("data-icons='$icons'"))\n#set ($edges = $xcontext.macro.params.edges == 'true')\n#set ($discard = $attributes.add("data-edges='$edges'"))\n#set ($checkboxes = $xcontext.macro.params.checkboxes == 'true')\n#set ($discard = $attributes.add("data-checkboxes='$checkboxes'"))\n#set ($discard = $attributes.add("data-openTo='$!escapetool.xml($xcontext.macro.params.openTo)'"))\n#set ($finder = $xcontext.macro.params.finder == 'true')\n#if ($finder)\n  #set ($discard = $xwiki.linkx.use($services.webjars.url('org.xwiki.platform:xwiki-platform-tree-webjar',\n    'finder.min.css', {'evaluate': true}), {'type': 'text/css', 'rel': 'stylesheet'}))\n#end\n#set ($discard = $attributes.add("data-finder='$finder'"))\n#set ($content = $xcontext.macro.content)\n#if ("$!content" == '' && $xcontext.action == 'edit')\n  #set ($content = "$services.icon.render('chart_organisation') $services.localization.render('tree.macro.editModeWarning')")\n#end\n#set ($output = "(% $stringtool.join($attributes, ' ') %)((($!content)))")\n## Parse the output and return the resulting XDOM blocks.\n#set ($xcontext.macro.result = $services.rendering.parse($output, $xwiki.currentContentSyntaxId).children)\n{{/velocity}}
-5386731612909452646	contentDescription	You can use nested HTML unordered lists to describe the tree structure. See http://www.jstree.com/docs/html/ for more information.
-5386731612909452646	description	Displays a tree hierarchy defined by the macro content or the source parameter.
-3293952573735824191	description	The reference to the resource that describes the tree structure and its context menu and which is called to perform the actions on the tree nodes. This resource is used to load the tree dynamically (on demand) when a tree node is opened and to ask for the context menu when the user right-clicks on a tree node that has it. So the resource is not static. For static trees you should use the macro content instead. The reference can be a document reference or an URL/path.
8869408063345511226	description	The root node id. This is useful if you want to display only the descendants of a given node (which is the specified root). The tree displays the children of the root node on the first level, so the root node is not actually displayed. The entire tree is displayed if the root node is not specified.
7336684778027459162	description	Specifies if the user should be able to drag & drop tree nodes.
-7662876146999244429	description	Whether to show the context menu when the user right-clicks a tree node.
-1424629336355106982	description	Additional CSS classes to add to the top level HTML element of the tree.
-7183858144813920928	description	Whether to show the tree node icons or not. You may want to hide the icons if all the tree nodes are of the same type or if you want to win some horizontal space.
-237241165128514183	description	Whether to show the edges that connect the sibling tree nodes between themselves and with their parent.
-6354117405756303102	description	Specifies whether the node labels should look and behave as links (anchors).
-1738067548726089409	description	Whether to display a checkbox in front of each tree node to allow the user to select multiple tree nodes.
5982650279254161969	description	The id of the node to open the tree to. All the ancestors of the specified node, up to the root of the tree, will be opened also.
5344757774904131858	description	Show a text input that can be used to find tree nodes. The input is displayed above the tree and offers suggestions as you type based on the content of the tree. When a suggestion is selected the tree is expanded up to the corresponding node.
-2643419207793810969	code	define(['jquery', 'xwiki-meta'], function($, xm) {\n\n  /**\n   * Globals\n   */\n   \n  // There could be only one picker at a time\n  var xwikiCurrentIconsPicker = 0;\n  \n  // Map that will contains the icons sorted by icon themes\n  var icons = {};\n  \n  // List of icon themes\n  var iconThemes = [];\n  \n  // Current icon theme used for the preview\n  var currentIconTheme = '';\n  \n  // Current input field (there could be only one picker at a time)\n  var currentInput = 0;\n  \n  // The spinner object to display when the picker is loading some data from the server\n  var spinner = 0;\n  \n  // The HTML section where the icons are displayed\n  var iconListSection = 0;\n  \n  // The HTML input to select the icon theme to use for the preview\n  var iconThemeSelector = 0;\n  \n  // Picker Dimmensions\n  var PICKER_WIDTH = 520;\n  var PICKER_HEIGHT = 300;\n\n  /**\n   * Generate an URL for getting JSON resources about icons\n   */\n  var getResourceURL = function(action, parameters) {\n    var param = 'outputSyntax=plain&action=' + action;\n    if (parameters) {\n      param += '&' + parameters;\n    }\n    return (new XWiki.Document('IconPicker', 'IconThemesCode', xm.wiki)).getURL('get', param);\n  }\n  \n  /**\n   * Close the picker\n   */\n  var closePicker = function() {\n    xwikiCurrentIconsPicker.remove();\n    xwikiCurrentIconsPicker = 0;\n  }\n  \n  /**\n   * Display the list of icons\n   */\n  var displayList = function(iconTheme) {\n    // For each icon\n    for (var i=0; i < iconTheme.length; ++i) {\n      // Display the icon\n      var displayer = $(document.createElement('div'));\n      iconListSection.append(displayer);\n      displayer.addClass('xwikiIconPickerIcon');\n      var imageDiv = $(document.createElement('div'));\n      imageDiv.addClass('xwikiIconPickerIconImage').html(iconTheme[i].render);\n      displayer.append(imageDiv);\n      var iconNameDiv = $(document.createElement('div'));\n      iconNameDiv.addClass('xwikiIconPickerIconName').text(iconTheme[i].name);\n      displayer.append(iconNameDiv);\n      // Change the input value when the icon is clicked\n      displayer.click(function(event) {\n        currentInput.val(currentInput.data('xwikiIconPickerSettings').prefix + $(event.currentTarget).children('.xwikiIconPickerIconName').text() );\n        closePicker();\n      });\n    }\n  }\n  \n  /**\n   * Load the icon list (get the JSON from the server) and display it afterwards\n   */\n  var loadIconList = function(iconTheme) {\n    $.getJSON(getResourceURL('data_icons', 'iconTheme='+iconTheme), function(dataIcons) {\n      // Put the result in the icons map\n      icons[iconTheme] = dataIcons;\n      // Display the list\n      displayList(icons[iconTheme]);\n      // Hide the spinner\n      spinner.hide();\n    });\n  }\n  \n  /**\n   * Fill the icon theme selector with the list of icon themes\n   */\n  var fillIconThemesSelector = function() {\n    // Create the icon theme selector\n    for (var i = 0; i < iconThemes.length; ++i) {\n      iconThemeSelector.append('<option>'+iconThemes[i]+'</option>');\n    }\n    // Select the icon theme\n    iconThemeSelector.val(currentIconTheme);\n  }\n  \n  /**\n   * Load the list of all icon themes and display it in the icon themes selector afterwards\n   */\n  var loadIconThemes = function() {\n    // Get the list of all icon themes\n    $.getJSON(getResourceURL('data_iconthemes'), function(data) {\n      // Save the result\n      iconThemes = data.iconThemes;\n      // Re-init the global icons map\n      icons = {};\n      // Fill the map where icon theme names are the keys\n      for (var i = 0; i < iconThemes.length; ++i) {\n        icons[iconThemes[i]] = [];\n      }\n      // The first icon theme is the current one (hack)\n      currentIconTheme = data.currentIconTheme;\n      // Get the icons of the current icon theme\n      loadIconList(currentIconTheme);\n      // Fill the selector\n      fillIconThemesSelector();\n    });\n  }\n  \n  /**\n   * Create the icon theme selector\n   */\n  var createIconThemeSelector = function() {\n    iconThemeSelector = $(document.createElement('select'));\n    // Change the current icon theme where the selector is used\n    iconThemeSelector.change(function() {\n      currentIconTheme = iconThemeSelector.val();\n      // Remove all the displayed icons\n      $('.xwikiIconPickerIcon').remove();\n      // Display the new ones\n      if (icons[currentIconTheme].length == 0) {\n        // if the icon theme has not already been loaded, load it\n        spinner.show();\n        loadIconList(currentIconTheme)\n      } else {\n        // just display what have been previously loaded\n        displayList(icons[currentIconTheme]);\n      }\n    });\n  }\n  \n  /**\n   * Set the position of the picker and handle the current window scroll status\n   */\n  var setPickerPosition = function() {\n    // If the picker does not exist, nothing to do\n    if (xwikiCurrentIconsPicker == 0) {\n      return;\n    }\n  \n    var inputOffset = currentInput.offset();\n    var inputWidth = currentInput.outerWidth();\n    var inputHeight = currentInput.outerHeight();\n    \n    // Compute the left coordinate\n    var left = inputOffset.left - $(window).scrollLeft();\n    if (inputOffset.left + PICKER_WIDTH > $('body').outerWidth()) {\n      // if there is not enough place to display the picker at the same position than the input,\n      // then display it by using the right corner of the input for the right corner of the picker\n      left = inputOffset.left + inputWidth - PICKER_WIDTH - $(window).scrollLeft();\n      if (left < 0) {\n        // if there is not enough place for this neither, center the picker\n        left = $('body').outerWidth() / 2 - PICKER_WIDTH / 2;\n      }\n    }\n    xwikiCurrentIconsPicker.css('left', left);\n    \n    // Compute the top coordinate\n    var top = inputOffset.top + inputHeight - $(window).scrollTop();\n    if (inputOffset.top + inputHeight + PICKER_HEIGHT > $('body').outerHeight()) {\n      // if there is not enough place to display the picker just under the input,\n      // then display it on the top\n      top = inputOffset.top - PICKER_HEIGHT - $(window).scrollTop();\n      if (top < 0) {\n        // if there is not enough place for this neither, center the picker\n        top = $('body').outerHeight() / 2 - PICKER_HEIGHT / 2;\n      }\n    }\n    xwikiCurrentIconsPicker.css('top', top);\n  }\n  \n  /**\n   * Create the piccker\n   */\n  var createPicker = function (input) {\n    // If the picker already exists\n    if (xwikiCurrentIconsPicker != 0) {\n      if (input != currentInput) {\n        // if it has been created for an other input, close the previous one\n        closePicker();\n      } else {\n        // the picker already exists for the current input, we do not go further\n        return;\n      }\n    }\n    // Save the input\n    currentInput = input;\n    // Create the picker\n    xwikiCurrentIconsPicker = $(document.createElement('div'));\n    xwikiCurrentIconsPicker.addClass('xwikiIconPickerContainer');\n    // Insert the picker in the DOM\n    $(body).after(xwikiCurrentIconsPicker);\n    // Set the position\n    setPickerPosition();\n    // Add the icon list section\n    iconListSection = $(document.createElement('div'));\n    iconListSection.addClass('xwikiIconPickerList');\n    xwikiCurrentIconsPicker.append(iconListSection);\n    // Display the spinner correctly, while the icons are loading\n    if (spinner == 0) {\n      spinner = $(document.createElement('img'));\n      spinner.attr('alt', '$escapetool.javascript($services.localization.render('platform.icon.picker.loading'))').attr('src', '$xwiki.getSkinFile('icons/xwiki/spinner.gif')');\n    }\n    iconListSection.append(spinner);\n    // Add the icon theme selector section\n    var iconThemeSelectorSection = $(document.createElement('div'));\n    xwikiCurrentIconsPicker.append(iconThemeSelectorSection);\n    iconThemeSelectorSection.addClass('xwikiIconPickerIconThemeSelector');\n    iconThemeSelectorSection.text('$escapetool.javascript($services.localization.render('platform.icon.picker.preview'))');\n    // Create the icon theme selector\n    createIconThemeSelector();\n    iconThemeSelectorSection.append(iconThemeSelector);\n    // Load the icon themes (if is not already loaded)\n    if (iconThemes.length == 0) {\n      loadIconThemes();\n    } else {\n      // Fill the selector\n      fillIconThemesSelector();\n      // Display icons\n      if (icons[currentIconTheme].length > 0) {\n        // display the icon theme since it has already be loaded\n        displayList(icons[currentIconTheme]);\n      } else {\n        // load the icon theme\n        loadIconList(currentIconTheme);\n      }\n    }\n    // Close the picker when the user press 'escape'.\n    currentInput.keyup(function (event) {\n      // See: http://stackoverflow.com/questions/1160008/which-keycode-for-escape-key-with-jquery\n      if (event.which == 27) {\n        closePicker();\n      }\n    });\n  }\n  \n  /**\n   * Create the jQuery plugin\n   */\n  $.fn.xwikiIconPicker = function(options) {\n    // Get the default settings if the options are not fully filled\n    var settings = $.extend({\n      prefix: 'icon:image:'\n    }, options);\n  \n    // Enable the picker on focus\n    this.each(function() {\n      var elem = $(this);\n      // Verify that the element is a valid input field\n      if (!elem.is('input')) {\n        return;\n      }\n      // Attach the settings to the input\n      $(this).data('xwikiIconPickerSettings', settings);\n      // Create the picker on focus\n      $(this).focusin(function(event) {\n        createPicker($(event.currentTarget));\n      });\n    });\n    \n    // Because the picker uses the 'fixed' position, we must recompute its position everytime the user scrolls the page\n    // Otherwise, the picker would stay in the same position *on the screen* without staying close to the input.\n    $(window).scroll(function() {\n      setPickerPosition();\n    });\n    \n    // Close the picker if the input and the picker itself have lost the focus\n    $(window).click(function(event) {\n      if (document.activeElement != currentInput[0] && !$.contains(xwikiCurrentIconsPicker[0], document.activeElement)) {\n        closePicker();\n      }\n    });\n    \n    // Return this object to enable the jQuery chaining\n    return this;\n  }\n});\n
8350928796547166764	code	#template('colorThemeInit.vm')\n\n.xwikiIconPickerContainer {\n  width: 520px;\n  height: 300px;\n  border: 1px solid black;\n  position: fixed;\n  z-index: 1000;\n  background-color: $theme.pageContentBackgroundColor;\n}\n\n.xwikiIconPickerList {\n  overflow-y: scroll;\n  height: 240px;\n}\n\n.xwikiIconPickerIcon {\n  float: left;\n  height: 80px;\n  width: 100px;\n  text-align: center;\n  border-radius: 4px;\n  vertical-align: middle;\n  overflow: hidden;\n  padding: 10px;\n  cursor: pointer;\n}\n\n.xwikiIconPickerIcon:hover {\n  background-color: $theme.highlightColor;\n}\n\n.xwikiIconPickerIconImage {\n  font-size: 24px;\n  margin: 0;\n}\n\n.xwikiIconPickerIconImage img{\n  width: 24px;\n}\n\n.xwikiIconPickerIconThemeSelector {\n  width: 100%;\n  background-color: $theme.menuBackgroundColor;\n  color: $theme.menuLinkColor;\n  padding: 10px;\n  text-align: center;\n  clear: left;\n  height: 60px;\n}\n
1265889115715036925	code	{{velocity output="false"}}\n  $xwiki.ssx.use('IconThemesCode.IconPicker')\n  ## The icons themes may need some SSX, so we ask for a rendering of an icon of each icon theme, to be able to display\n  ## all icon themes in the picker\n  ## ToDo: since it is a bit hacky, a better system would be to dynamically load the needed SSX on demand\n  #foreach($iconSetName in $services.icon.iconSetNames)\n    $services.icon.render('wiki', $iconSetName)\n  #end\n{{/velocity}}\n{{velocity}}\n{{html clean="false"}}\n<script language="javascript">\n  require.config({\n    paths: {\n      'xwiki-icon-picker': '$xwiki.getURL($services.model.createDocumentReference('', 'IconThemesCode', 'IconPicker'), 'jsx', "minify=$!{escapetool.url($request.minify)}")'\n    }\n  });\n  require(['jquery', 'xwiki-icon-picker'], function($) {\n    var options = {};\n    #if("$!xcontext.macro.params.prefix" != '')\n      options['prefix'] = '$escapetool.javascript($xcontext.macro.params.prefix)';\n    #end\n    #if("$!xcontext.macro.params.id" != '')\n      $('#${xcontext.macro.params.id}').xwikiIconPicker(options);\n    #end\n    #if("$!xcontext.macro.params.get('class')" != '')\n      $('.${xcontext.macro.params.get('class')}').xwikiIconPicker(options);\n    #end\n  });\n</script>\n{{/html}}\n{{/velocity}}\n\n
1265889115715036925	contentDescription	
1265889115715036925	description	Select an icon within the XWiki icon set.
-742676475097111767	description	DOM id of the input field where the picker will apply
3878003441219951497	description	CSS class of inputs where the picker will apply
-1529307941194505756	description	Prefix to add before the name of the icon in the input field (default: "image:icon:")
771094098479979128	code	// Sometimes IE8 loads the font *after* the rendering of the page so it does not display the icon correctly.\n// To fix this, we reload the stylesheet when we receive the 'document ready' event so that the browser recomputes\n// the display. Although, it does not solve everything (see http://jira.xwiki.org/browse/XWIKI-10813).\nrequire(['jquery'], function($) {\n  // This hack concerns IE8 only\n  if (navigator.userAgent.indexOf('MSIE 8.0') > -1) {\n    $(function() {\n      var link = $("link[href*='IconThemes/FontAwesome']");\n      link[0].href = link[0].href;\n    });\n  }\n});\n
7951221076831937111	code	/*!\n *  Font Awesome 4.2.0 by @davegandy - http://fontawesome.io - @fontawesome\n *  License - http://fontawesome.io/license (Font: SIL OFL 1.1, CSS: MIT License)\n */\n/* FONT PATH\n * -------------------------- */\n@font-face {\n  font-family: 'FontAwesome';\n  src: url("$services.webjars.url('font-awesome', 'fonts/fontawesome-webfont.eot')");\n  src: url("$services.webjars.url('font-awesome', 'fonts/fontawesome-webfont.eot')#iefix") format('embedded-opentype'), url("$services.webjars.url('font-awesome', 'fonts/fontawesome-webfont.woff')") format('woff'), url("$services.webjars.url('font-awesome', 'fonts/fontawesome-webfont.ttf')") format('truetype'), url("$services.webjars.url('font-awesome', 'fonts/fontawesome-webfont.svg')#fontawesomeregular") format('svg');\n  font-weight: normal;\n  font-style: normal;\n}\n.fa {\n  display: inline-block;\n  font: normal normal normal 14px/1 FontAwesome;\n  font-size: inherit;\n  text-rendering: auto;\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale;\n}\n/* makes the font 33% larger relative to the icon container */\n.fa-lg {\n  font-size: 1.33333333em;\n  line-height: 0.75em;\n  vertical-align: -15%;\n}\n.fa-2x {\n  font-size: 2em;\n}\n.fa-3x {\n  font-size: 3em;\n}\n.fa-4x {\n  font-size: 4em;\n}\n.fa-5x {\n  font-size: 5em;\n}\n.fa-fw {\n  width: 1.28571429em;\n  text-align: center;\n}\n.fa-ul {\n  padding-left: 0;\n  margin-left: 2.14285714em;\n  list-style-type: none;\n}\n.fa-ul > li {\n  position: relative;\n}\n.fa-li {\n  position: absolute;\n  left: -2.14285714em;\n  width: 2.14285714em;\n  top: 0.14285714em;\n  text-align: center;\n}\n.fa-li.fa-lg {\n  left: -1.85714286em;\n}\n.fa-border {\n  padding: .2em .25em .15em;\n  border: solid 0.08em #eeeeee;\n  border-radius: .1em;\n}\n.pull-right {\n  float: right;\n}\n.pull-left {\n  float: left;\n}\n.fa.pull-left {\n  margin-right: .3em;\n}\n.fa.pull-right {\n  margin-left: .3em;\n}\n.fa-spin {\n  -webkit-animation: fa-spin 2s infinite linear;\n  animation: fa-spin 2s infinite linear;\n}\n@-webkit-keyframes fa-spin {\n  0% {\n    -webkit-transform: rotate(0deg);\n    transform: rotate(0deg);\n  }\n  100% {\n    -webkit-transform: rotate(359deg);\n    transform: rotate(359deg);\n  }\n}\n@keyframes fa-spin {\n  0% {\n    -webkit-transform: rotate(0deg);\n    transform: rotate(0deg);\n  }\n  100% {\n    -webkit-transform: rotate(359deg);\n    transform: rotate(359deg);\n  }\n}\n.fa-rotate-90 {\n  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=1);\n  -webkit-transform: rotate(90deg);\n  -ms-transform: rotate(90deg);\n  transform: rotate(90deg);\n}\n.fa-rotate-180 {\n  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=2);\n  -webkit-transform: rotate(180deg);\n  -ms-transform: rotate(180deg);\n  transform: rotate(180deg);\n}\n.fa-rotate-270 {\n  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);\n  -webkit-transform: rotate(270deg);\n  -ms-transform: rotate(270deg);\n  transform: rotate(270deg);\n}\n.fa-flip-horizontal {\n  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=0, mirror=1);\n  -webkit-transform: scale(-1, 1);\n  -ms-transform: scale(-1, 1);\n  transform: scale(-1, 1);\n}\n.fa-flip-vertical {\n  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=2, mirror=1);\n  -webkit-transform: scale(1, -1);\n  -ms-transform: scale(1, -1);\n  transform: scale(1, -1);\n}\n:root .fa-rotate-90,\n:root .fa-rotate-180,\n:root .fa-rotate-270,\n:root .fa-flip-horizontal,\n:root .fa-flip-vertical {\n  filter: none;\n}\n.fa-stack {\n  position: relative;\n  display: inline-block;\n  width: 2em;\n  height: 2em;\n  line-height: 2em;\n  vertical-align: middle;\n}\n.fa-stack-1x,\n.fa-stack-2x {\n  position: absolute;\n  left: 0;\n  width: 100%;\n  text-align: center;\n}\n.fa-stack-1x {\n  line-height: inherit;\n}\n.fa-stack-2x {\n  font-size: 2em;\n}\n.fa-inverse {\n  color: #ffffff;\n}\n/* Font Awesome uses the Unicode Private Use Area (PUA) to ensure screen\n   readers do not read off random characters that represent icons */\n.fa-glass:before {\n  content: "\\f000";\n}\n.fa-music:before {\n  content: "\\f001";\n}\n.fa-search:before {\n  content: "\\f002";\n}\n.fa-envelope-o:before {\n  content: "\\f003";\n}\n.fa-heart:before {\n  content: "\\f004";\n}\n.fa-star:before {\n  content: "\\f005";\n}\n.fa-star-o:before {\n  content: "\\f006";\n}\n.fa-user:before {\n  content: "\\f007";\n}\n.fa-film:before {\n  content: "\\f008";\n}\n.fa-th-large:before {\n  content: "\\f009";\n}\n.fa-th:before {\n  content: "\\f00a";\n}\n.fa-th-list:before {\n  content: "\\f00b";\n}\n.fa-check:before {\n  content: "\\f00c";\n}\n.fa-remove:before,\n.fa-close:before,\n.fa-times:before {\n  content: "\\f00d";\n}\n.fa-search-plus:before {\n  content: "\\f00e";\n}\n.fa-search-minus:before {\n  content: "\\f010";\n}\n.fa-power-off:before {\n  content: "\\f011";\n}\n.fa-signal:before {\n  content: "\\f012";\n}\n.fa-gear:before,\n.fa-cog:before {\n  content: "\\f013";\n}\n.fa-trash-o:before {\n  content: "\\f014";\n}\n.fa-home:before {\n  content: "\\f015";\n}\n.fa-file-o:before {\n  content: "\\f016";\n}\n.fa-clock-o:before {\n  content: "\\f017";\n}\n.fa-road:before {\n  content: "\\f018";\n}\n.fa-download:before {\n  content: "\\f019";\n}\n.fa-arrow-circle-o-down:before {\n  content: "\\f01a";\n}\n.fa-arrow-circle-o-up:before {\n  content: "\\f01b";\n}\n.fa-inbox:before {\n  content: "\\f01c";\n}\n.fa-play-circle-o:before {\n  content: "\\f01d";\n}\n.fa-rotate-right:before,\n.fa-repeat:before {\n  content: "\\f01e";\n}\n.fa-refresh:before {\n  content: "\\f021";\n}\n.fa-list-alt:before {\n  content: "\\f022";\n}\n.fa-lock:before {\n  content: "\\f023";\n}\n.fa-flag:before {\n  content: "\\f024";\n}\n.fa-headphones:before {\n  content: "\\f025";\n}\n.fa-volume-off:before {\n  content: "\\f026";\n}\n.fa-volume-down:before {\n  content: "\\f027";\n}\n.fa-volume-up:before {\n  content: "\\f028";\n}\n.fa-qrcode:before {\n  content: "\\f029";\n}\n.fa-barcode:before {\n  content: "\\f02a";\n}\n.fa-tag:before {\n  content: "\\f02b";\n}\n.fa-tags:before {\n  content: "\\f02c";\n}\n.fa-book:before {\n  content: "\\f02d";\n}\n.fa-bookmark:before {\n  content: "\\f02e";\n}\n.fa-print:before {\n  content: "\\f02f";\n}\n.fa-camera:before {\n  content: "\\f030";\n}\n.fa-font:before {\n  content: "\\f031";\n}\n.fa-bold:before {\n  content: "\\f032";\n}\n.fa-italic:before {\n  content: "\\f033";\n}\n.fa-text-height:before {\n  content: "\\f034";\n}\n.fa-text-width:before {\n  content: "\\f035";\n}\n.fa-align-left:before {\n  content: "\\f036";\n}\n.fa-align-center:before {\n  content: "\\f037";\n}\n.fa-align-right:before {\n  content: "\\f038";\n}\n.fa-align-justify:before {\n  content: "\\f039";\n}\n.fa-list:before {\n  content: "\\f03a";\n}\n.fa-dedent:before,\n.fa-outdent:before {\n  content: "\\f03b";\n}\n.fa-indent:before {\n  content: "\\f03c";\n}\n.fa-video-camera:before {\n  content: "\\f03d";\n}\n.fa-photo:before,\n.fa-image:before,\n.fa-picture-o:before {\n  content: "\\f03e";\n}\n.fa-pencil:before {\n  content: "\\f040";\n}\n.fa-map-marker:before {\n  content: "\\f041";\n}\n.fa-adjust:before {\n  content: "\\f042";\n}\n.fa-tint:before {\n  content: "\\f043";\n}\n.fa-edit:before,\n.fa-pencil-square-o:before {\n  content: "\\f044";\n}\n.fa-share-square-o:before {\n  content: "\\f045";\n}\n.fa-check-square-o:before {\n  content: "\\f046";\n}\n.fa-arrows:before {\n  content: "\\f047";\n}\n.fa-step-backward:before {\n  content: "\\f048";\n}\n.fa-fast-backward:before {\n  content: "\\f049";\n}\n.fa-backward:before {\n  content: "\\f04a";\n}\n.fa-play:before {\n  content: "\\f04b";\n}\n.fa-pause:before {\n  content: "\\f04c";\n}\n.fa-stop:before {\n  content: "\\f04d";\n}\n.fa-forward:before {\n  content: "\\f04e";\n}\n.fa-fast-forward:before {\n  content: "\\f050";\n}\n.fa-step-forward:before {\n  content: "\\f051";\n}\n.fa-eject:before {\n  content: "\\f052";\n}\n.fa-chevron-left:before {\n  content: "\\f053";\n}\n.fa-chevron-right:before {\n  content: "\\f054";\n}\n.fa-plus-circle:before {\n  content: "\\f055";\n}\n.fa-minus-circle:before {\n  content: "\\f056";\n}\n.fa-times-circle:before {\n  content: "\\f057";\n}\n.fa-check-circle:before {\n  content: "\\f058";\n}\n.fa-question-circle:before {\n  content: "\\f059";\n}\n.fa-info-circle:before {\n  content: "\\f05a";\n}\n.fa-crosshairs:before {\n  content: "\\f05b";\n}\n.fa-times-circle-o:before {\n  content: "\\f05c";\n}\n.fa-check-circle-o:before {\n  content: "\\f05d";\n}\n.fa-ban:before {\n  content: "\\f05e";\n}\n.fa-arrow-left:before {\n  content: "\\f060";\n}\n.fa-arrow-right:before {\n  content: "\\f061";\n}\n.fa-arrow-up:before {\n  content: "\\f062";\n}\n.fa-arrow-down:before {\n  content: "\\f063";\n}\n.fa-mail-forward:before,\n.fa-share:before {\n  content: "\\f064";\n}\n.fa-expand:before {\n  content: "\\f065";\n}\n.fa-compress:before {\n  content: "\\f066";\n}\n.fa-plus:before {\n  content: "\\f067";\n}\n.fa-minus:before {\n  content: "\\f068";\n}\n.fa-asterisk:before {\n  content: "\\f069";\n}\n.fa-exclamation-circle:before {\n  content: "\\f06a";\n}\n.fa-gift:before {\n  content: "\\f06b";\n}\n.fa-leaf:before {\n  content: "\\f06c";\n}\n.fa-fire:before {\n  content: "\\f06d";\n}\n.fa-eye:before {\n  content: "\\f06e";\n}\n.fa-eye-slash:before {\n  content: "\\f070";\n}\n.fa-warning:before,\n.fa-exclamation-triangle:before {\n  content: "\\f071";\n}\n.fa-plane:before {\n  content: "\\f072";\n}\n.fa-calendar:before {\n  content: "\\f073";\n}\n.fa-random:before {\n  content: "\\f074";\n}\n.fa-comment:before {\n  content: "\\f075";\n}\n.fa-magnet:before {\n  content: "\\f076";\n}\n.fa-chevron-up:before {\n  content: "\\f077";\n}\n.fa-chevron-down:before {\n  content: "\\f078";\n}\n.fa-retweet:before {\n  content: "\\f079";\n}\n.fa-shopping-cart:before {\n  content: "\\f07a";\n}\n.fa-folder:before {\n  content: "\\f07b";\n}\n.fa-folder-open:before {\n  content: "\\f07c";\n}\n.fa-arrows-v:before {\n  content: "\\f07d";\n}\n.fa-arrows-h:before {\n  content: "\\f07e";\n}\n.fa-bar-chart-o:before,\n.fa-bar-chart:before {\n  content: "\\f080";\n}\n.fa-twitter-square:before {\n  content: "\\f081";\n}\n.fa-facebook-square:before {\n  content: "\\f082";\n}\n.fa-camera-retro:before {\n  content: "\\f083";\n}\n.fa-key:before {\n  content: "\\f084";\n}\n.fa-gears:before,\n.fa-cogs:before {\n  content: "\\f085";\n}\n.fa-comments:before {\n  content: "\\f086";\n}\n.fa-thumbs-o-up:before {\n  content: "\\f087";\n}\n.fa-thumbs-o-down:before {\n  content: "\\f088";\n}\n.fa-star-half:before {\n  content: "\\f089";\n}\n.fa-heart-o:before {\n  content: "\\f08a";\n}\n.fa-sign-out:before {\n  content: "\\f08b";\n}\n.fa-linkedin-square:before {\n  content: "\\f08c";\n}\n.fa-thumb-tack:before {\n  content: "\\f08d";\n}\n.fa-external-link:before {\n  content: "\\f08e";\n}\n.fa-sign-in:before {\n  content: "\\f090";\n}\n.fa-trophy:before {\n  content: "\\f091";\n}\n.fa-github-square:before {\n  content: "\\f092";\n}\n.fa-upload:before {\n  content: "\\f093";\n}\n.fa-lemon-o:before {\n  content: "\\f094";\n}\n.fa-phone:before {\n  content: "\\f095";\n}\n.fa-square-o:before {\n  content: "\\f096";\n}\n.fa-bookmark-o:before {\n  content: "\\f097";\n}\n.fa-phone-square:before {\n  content: "\\f098";\n}\n.fa-twitter:before {\n  content: "\\f099";\n}\n.fa-facebook:before {\n  content: "\\f09a";\n}\n.fa-github:before {\n  content: "\\f09b";\n}\n.fa-unlock:before {\n  content: "\\f09c";\n}\n.fa-credit-card:before {\n  content: "\\f09d";\n}\n.fa-rss:before {\n  content: "\\f09e";\n}\n.fa-hdd-o:before {\n  content: "\\f0a0";\n}\n.fa-bullhorn:before {\n  content: "\\f0a1";\n}\n.fa-bell:before {\n  content: "\\f0f3";\n}\n.fa-certificate:before {\n  content: "\\f0a3";\n}\n.fa-hand-o-right:before {\n  content: "\\f0a4";\n}\n.fa-hand-o-left:before {\n  content: "\\f0a5";\n}\n.fa-hand-o-up:before {\n  content: "\\f0a6";\n}\n.fa-hand-o-down:before {\n  content: "\\f0a7";\n}\n.fa-arrow-circle-left:before {\n  content: "\\f0a8";\n}\n.fa-arrow-circle-right:before {\n  content: "\\f0a9";\n}\n.fa-arrow-circle-up:before {\n  content: "\\f0aa";\n}\n.fa-arrow-circle-down:before {\n  content: "\\f0ab";\n}\n.fa-globe:before {\n  content: "\\f0ac";\n}\n.fa-wrench:before {\n  content: "\\f0ad";\n}\n.fa-tasks:before {\n  content: "\\f0ae";\n}\n.fa-filter:before {\n  content: "\\f0b0";\n}\n.fa-briefcase:before {\n  content: "\\f0b1";\n}\n.fa-arrows-alt:before {\n  content: "\\f0b2";\n}\n.fa-group:before,\n.fa-users:before {\n  content: "\\f0c0";\n}\n.fa-chain:before,\n.fa-link:before {\n  content: "\\f0c1";\n}\n.fa-cloud:before {\n  content: "\\f0c2";\n}\n.fa-flask:before {\n  content: "\\f0c3";\n}\n.fa-cut:before,\n.fa-scissors:before {\n  content: "\\f0c4";\n}\n.fa-copy:before,\n.fa-files-o:before {\n  content: "\\f0c5";\n}\n.fa-paperclip:before {\n  content: "\\f0c6";\n}\n.fa-save:before,\n.fa-floppy-o:before {\n  content: "\\f0c7";\n}\n.fa-square:before {\n  content: "\\f0c8";\n}\n.fa-navicon:before,\n.fa-reorder:before,\n.fa-bars:before {\n  content: "\\f0c9";\n}\n.fa-list-ul:before {\n  content: "\\f0ca";\n}\n.fa-list-ol:before {\n  content: "\\f0cb";\n}\n.fa-strikethrough:before {\n  content: "\\f0cc";\n}\n.fa-underline:before {\n  content: "\\f0cd";\n}\n.fa-table:before {\n  content: "\\f0ce";\n}\n.fa-magic:before {\n  content: "\\f0d0";\n}\n.fa-truck:before {\n  content: "\\f0d1";\n}\n.fa-pinterest:before {\n  content: "\\f0d2";\n}\n.fa-pinterest-square:before {\n  content: "\\f0d3";\n}\n.fa-google-plus-square:before {\n  content: "\\f0d4";\n}\n.fa-google-plus:before {\n  content: "\\f0d5";\n}\n.fa-money:before {\n  content: "\\f0d6";\n}\n.fa-caret-down:before {\n  content: "\\f0d7";\n}\n.fa-caret-up:before {\n  content: "\\f0d8";\n}\n.fa-caret-left:before {\n  content: "\\f0d9";\n}\n.fa-caret-right:before {\n  content: "\\f0da";\n}\n.fa-columns:before {\n  content: "\\f0db";\n}\n.fa-unsorted:before,\n.fa-sort:before {\n  content: "\\f0dc";\n}\n.fa-sort-down:before,\n.fa-sort-desc:before {\n  content: "\\f0dd";\n}\n.fa-sort-up:before,\n.fa-sort-asc:before {\n  content: "\\f0de";\n}\n.fa-envelope:before {\n  content: "\\f0e0";\n}\n.fa-linkedin:before {\n  content: "\\f0e1";\n}\n.fa-rotate-left:before,\n.fa-undo:before {\n  content: "\\f0e2";\n}\n.fa-legal:before,\n.fa-gavel:before {\n  content: "\\f0e3";\n}\n.fa-dashboard:before,\n.fa-tachometer:before {\n  content: "\\f0e4";\n}\n.fa-comment-o:before {\n  content: "\\f0e5";\n}\n.fa-comments-o:before {\n  content: "\\f0e6";\n}\n.fa-flash:before,\n.fa-bolt:before {\n  content: "\\f0e7";\n}\n.fa-sitemap:before {\n  content: "\\f0e8";\n}\n.fa-umbrella:before {\n  content: "\\f0e9";\n}\n.fa-paste:before,\n.fa-clipboard:before {\n  content: "\\f0ea";\n}\n.fa-lightbulb-o:before {\n  content: "\\f0eb";\n}\n.fa-exchange:before {\n  content: "\\f0ec";\n}\n.fa-cloud-download:before {\n  content: "\\f0ed";\n}\n.fa-cloud-upload:before {\n  content: "\\f0ee";\n}\n.fa-user-md:before {\n  content: "\\f0f0";\n}\n.fa-stethoscope:before {\n  content: "\\f0f1";\n}\n.fa-suitcase:before {\n  content: "\\f0f2";\n}\n.fa-bell-o:before {\n  content: "\\f0a2";\n}\n.fa-coffee:before {\n  content: "\\f0f4";\n}\n.fa-cutlery:before {\n  content: "\\f0f5";\n}\n.fa-file-text-o:before {\n  content: "\\f0f6";\n}\n.fa-building-o:before {\n  content: "\\f0f7";\n}\n.fa-hospital-o:before {\n  content: "\\f0f8";\n}\n.fa-ambulance:before {\n  content: "\\f0f9";\n}\n.fa-medkit:before {\n  content: "\\f0fa";\n}\n.fa-fighter-jet:before {\n  content: "\\f0fb";\n}\n.fa-beer:before {\n  content: "\\f0fc";\n}\n.fa-h-square:before {\n  content: "\\f0fd";\n}\n.fa-plus-square:before {\n  content: "\\f0fe";\n}\n.fa-angle-double-left:before {\n  content: "\\f100";\n}\n.fa-angle-double-right:before {\n  content: "\\f101";\n}\n.fa-angle-double-up:before {\n  content: "\\f102";\n}\n.fa-angle-double-down:before {\n  content: "\\f103";\n}\n.fa-angle-left:before {\n  content: "\\f104";\n}\n.fa-angle-right:before {\n  content: "\\f105";\n}\n.fa-angle-up:before {\n  content: "\\f106";\n}\n.fa-angle-down:before {\n  content: "\\f107";\n}\n.fa-desktop:before {\n  content: "\\f108";\n}\n.fa-laptop:before {\n  content: "\\f109";\n}\n.fa-tablet:before {\n  content: "\\f10a";\n}\n.fa-mobile-phone:before,\n.fa-mobile:before {\n  content: "\\f10b";\n}\n.fa-circle-o:before {\n  content: "\\f10c";\n}\n.fa-quote-left:before {\n  content: "\\f10d";\n}\n.fa-quote-right:before {\n  content: "\\f10e";\n}\n.fa-spinner:before {\n  content: "\\f110";\n}\n.fa-circle:before {\n  content: "\\f111";\n}\n.fa-mail-reply:before,\n.fa-reply:before {\n  content: "\\f112";\n}\n.fa-github-alt:before {\n  content: "\\f113";\n}\n.fa-folder-o:before {\n  content: "\\f114";\n}\n.fa-folder-open-o:before {\n  content: "\\f115";\n}\n.fa-smile-o:before {\n  content: "\\f118";\n}\n.fa-frown-o:before {\n  content: "\\f119";\n}\n.fa-meh-o:before {\n  content: "\\f11a";\n}\n.fa-gamepad:before {\n  content: "\\f11b";\n}\n.fa-keyboard-o:before {\n  content: "\\f11c";\n}\n.fa-flag-o:before {\n  content: "\\f11d";\n}\n.fa-flag-checkered:before {\n  content: "\\f11e";\n}\n.fa-terminal:before {\n  content: "\\f120";\n}\n.fa-code:before {\n  content: "\\f121";\n}\n.fa-mail-reply-all:before,\n.fa-reply-all:before {\n  content: "\\f122";\n}\n.fa-star-half-empty:before,\n.fa-star-half-full:before,\n.fa-star-half-o:before {\n  content: "\\f123";\n}\n.fa-location-arrow:before {\n  content: "\\f124";\n}\n.fa-crop:before {\n  content: "\\f125";\n}\n.fa-code-fork:before {\n  content: "\\f126";\n}\n.fa-unlink:before,\n.fa-chain-broken:before {\n  content: "\\f127";\n}\n.fa-question:before {\n  content: "\\f128";\n}\n.fa-info:before {\n  content: "\\f129";\n}\n.fa-exclamation:before {\n  content: "\\f12a";\n}\n.fa-superscript:before {\n  content: "\\f12b";\n}\n.fa-subscript:before {\n  content: "\\f12c";\n}\n.fa-eraser:before {\n  content: "\\f12d";\n}\n.fa-puzzle-piece:before {\n  content: "\\f12e";\n}\n.fa-microphone:before {\n  content: "\\f130";\n}\n.fa-microphone-slash:before {\n  content: "\\f131";\n}\n.fa-shield:before {\n  content: "\\f132";\n}\n.fa-calendar-o:before {\n  content: "\\f133";\n}\n.fa-fire-extinguisher:before {\n  content: "\\f134";\n}\n.fa-rocket:before {\n  content: "\\f135";\n}\n.fa-maxcdn:before {\n  content: "\\f136";\n}\n.fa-chevron-circle-left:before {\n  content: "\\f137";\n}\n.fa-chevron-circle-right:before {\n  content: "\\f138";\n}\n.fa-chevron-circle-up:before {\n  content: "\\f139";\n}\n.fa-chevron-circle-down:before {\n  content: "\\f13a";\n}\n.fa-html5:before {\n  content: "\\f13b";\n}\n.fa-css3:before {\n  content: "\\f13c";\n}\n.fa-anchor:before {\n  content: "\\f13d";\n}\n.fa-unlock-alt:before {\n  content: "\\f13e";\n}\n.fa-bullseye:before {\n  content: "\\f140";\n}\n.fa-ellipsis-h:before {\n  content: "\\f141";\n}\n.fa-ellipsis-v:before {\n  content: "\\f142";\n}\n.fa-rss-square:before {\n  content: "\\f143";\n}\n.fa-play-circle:before {\n  content: "\\f144";\n}\n.fa-ticket:before {\n  content: "\\f145";\n}\n.fa-minus-square:before {\n  content: "\\f146";\n}\n.fa-minus-square-o:before {\n  content: "\\f147";\n}\n.fa-level-up:before {\n  content: "\\f148";\n}\n.fa-level-down:before {\n  content: "\\f149";\n}\n.fa-check-square:before {\n  content: "\\f14a";\n}\n.fa-pencil-square:before {\n  content: "\\f14b";\n}\n.fa-external-link-square:before {\n  content: "\\f14c";\n}\n.fa-share-square:before {\n  content: "\\f14d";\n}\n.fa-compass:before {\n  content: "\\f14e";\n}\n.fa-toggle-down:before,\n.fa-caret-square-o-down:before {\n  content: "\\f150";\n}\n.fa-toggle-up:before,\n.fa-caret-square-o-up:before {\n  content: "\\f151";\n}\n.fa-toggle-right:before,\n.fa-caret-square-o-right:before {\n  content: "\\f152";\n}\n.fa-euro:before,\n.fa-eur:before {\n  content: "\\f153";\n}\n.fa-gbp:before {\n  content: "\\f154";\n}\n.fa-dollar:before,\n.fa-usd:before {\n  content: "\\f155";\n}\n.fa-rupee:before,\n.fa-inr:before {\n  content: "\\f156";\n}\n.fa-cny:before,\n.fa-rmb:before,\n.fa-yen:before,\n.fa-jpy:before {\n  content: "\\f157";\n}\n.fa-ruble:before,\n.fa-rouble:before,\n.fa-rub:before {\n  content: "\\f158";\n}\n.fa-won:before,\n.fa-krw:before {\n  content: "\\f159";\n}\n.fa-bitcoin:before,\n.fa-btc:before {\n  content: "\\f15a";\n}\n.fa-file:before {\n  content: "\\f15b";\n}\n.fa-file-text:before {\n  content: "\\f15c";\n}\n.fa-sort-alpha-asc:before {\n  content: "\\f15d";\n}\n.fa-sort-alpha-desc:before {\n  content: "\\f15e";\n}\n.fa-sort-amount-asc:before {\n  content: "\\f160";\n}\n.fa-sort-amount-desc:before {\n  content: "\\f161";\n}\n.fa-sort-numeric-asc:before {\n  content: "\\f162";\n}\n.fa-sort-numeric-desc:before {\n  content: "\\f163";\n}\n.fa-thumbs-up:before {\n  content: "\\f164";\n}\n.fa-thumbs-down:before {\n  content: "\\f165";\n}\n.fa-youtube-square:before {\n  content: "\\f166";\n}\n.fa-youtube:before {\n  content: "\\f167";\n}\n.fa-xing:before {\n  content: "\\f168";\n}\n.fa-xing-square:before {\n  content: "\\f169";\n}\n.fa-youtube-play:before {\n  content: "\\f16a";\n}\n.fa-dropbox:before {\n  content: "\\f16b";\n}\n.fa-stack-overflow:before {\n  content: "\\f16c";\n}\n.fa-instagram:before {\n  content: "\\f16d";\n}\n.fa-flickr:before {\n  content: "\\f16e";\n}\n.fa-adn:before {\n  content: "\\f170";\n}\n.fa-bitbucket:before {\n  content: "\\f171";\n}\n.fa-bitbucket-square:before {\n  content: "\\f172";\n}\n.fa-tumblr:before {\n  content: "\\f173";\n}\n.fa-tumblr-square:before {\n  content: "\\f174";\n}\n.fa-long-arrow-down:before {\n  content: "\\f175";\n}\n.fa-long-arrow-up:before {\n  content: "\\f176";\n}\n.fa-long-arrow-left:before {\n  content: "\\f177";\n}\n.fa-long-arrow-right:before {\n  content: "\\f178";\n}\n.fa-apple:before {\n  content: "\\f179";\n}\n.fa-windows:before {\n  content: "\\f17a";\n}\n.fa-android:before {\n  content: "\\f17b";\n}\n.fa-linux:before {\n  content: "\\f17c";\n}\n.fa-dribbble:before {\n  content: "\\f17d";\n}\n.fa-skype:before {\n  content: "\\f17e";\n}\n.fa-foursquare:before {\n  content: "\\f180";\n}\n.fa-trello:before {\n  content: "\\f181";\n}\n.fa-female:before {\n  content: "\\f182";\n}\n.fa-male:before {\n  content: "\\f183";\n}\n.fa-gittip:before {\n  content: "\\f184";\n}\n.fa-sun-o:before {\n  content: "\\f185";\n}\n.fa-moon-o:before {\n  content: "\\f186";\n}\n.fa-archive:before {\n  content: "\\f187";\n}\n.fa-bug:before {\n  content: "\\f188";\n}\n.fa-vk:before {\n  content: "\\f189";\n}\n.fa-weibo:before {\n  content: "\\f18a";\n}\n.fa-renren:before {\n  content: "\\f18b";\n}\n.fa-pagelines:before {\n  content: "\\f18c";\n}\n.fa-stack-exchange:before {\n  content: "\\f18d";\n}\n.fa-arrow-circle-o-right:before {\n  content: "\\f18e";\n}\n.fa-arrow-circle-o-left:before {\n  content: "\\f190";\n}\n.fa-toggle-left:before,\n.fa-caret-square-o-left:before {\n  content: "\\f191";\n}\n.fa-dot-circle-o:before {\n  content: "\\f192";\n}\n.fa-wheelchair:before {\n  content: "\\f193";\n}\n.fa-vimeo-square:before {\n  content: "\\f194";\n}\n.fa-turkish-lira:before,\n.fa-try:before {\n  content: "\\f195";\n}\n.fa-plus-square-o:before {\n  content: "\\f196";\n}\n.fa-space-shuttle:before {\n  content: "\\f197";\n}\n.fa-slack:before {\n  content: "\\f198";\n}\n.fa-envelope-square:before {\n  content: "\\f199";\n}\n.fa-wordpress:before {\n  content: "\\f19a";\n}\n.fa-openid:before {\n  content: "\\f19b";\n}\n.fa-institution:before,\n.fa-bank:before,\n.fa-university:before {\n  content: "\\f19c";\n}\n.fa-mortar-board:before,\n.fa-graduation-cap:before {\n  content: "\\f19d";\n}\n.fa-yahoo:before {\n  content: "\\f19e";\n}\n.fa-google:before {\n  content: "\\f1a0";\n}\n.fa-reddit:before {\n  content: "\\f1a1";\n}\n.fa-reddit-square:before {\n  content: "\\f1a2";\n}\n.fa-stumbleupon-circle:before {\n  content: "\\f1a3";\n}\n.fa-stumbleupon:before {\n  content: "\\f1a4";\n}\n.fa-delicious:before {\n  content: "\\f1a5";\n}\n.fa-digg:before {\n  content: "\\f1a6";\n}\n.fa-pied-piper:before {\n  content: "\\f1a7";\n}\n.fa-pied-piper-alt:before {\n  content: "\\f1a8";\n}\n.fa-drupal:before {\n  content: "\\f1a9";\n}\n.fa-joomla:before {\n  content: "\\f1aa";\n}\n.fa-language:before {\n  content: "\\f1ab";\n}\n.fa-fax:before {\n  content: "\\f1ac";\n}\n.fa-building:before {\n  content: "\\f1ad";\n}\n.fa-child:before {\n  content: "\\f1ae";\n}\n.fa-paw:before {\n  content: "\\f1b0";\n}\n.fa-spoon:before {\n  content: "\\f1b1";\n}\n.fa-cube:before {\n  content: "\\f1b2";\n}\n.fa-cubes:before {\n  content: "\\f1b3";\n}\n.fa-behance:before {\n  content: "\\f1b4";\n}\n.fa-behance-square:before {\n  content: "\\f1b5";\n}\n.fa-steam:before {\n  content: "\\f1b6";\n}\n.fa-steam-square:before {\n  content: "\\f1b7";\n}\n.fa-recycle:before {\n  content: "\\f1b8";\n}\n.fa-automobile:before,\n.fa-car:before {\n  content: "\\f1b9";\n}\n.fa-cab:before,\n.fa-taxi:before {\n  content: "\\f1ba";\n}\n.fa-tree:before {\n  content: "\\f1bb";\n}\n.fa-spotify:before {\n  content: "\\f1bc";\n}\n.fa-deviantart:before {\n  content: "\\f1bd";\n}\n.fa-soundcloud:before {\n  content: "\\f1be";\n}\n.fa-database:before {\n  content: "\\f1c0";\n}\n.fa-file-pdf-o:before {\n  content: "\\f1c1";\n}\n.fa-file-word-o:before {\n  content: "\\f1c2";\n}\n.fa-file-excel-o:before {\n  content: "\\f1c3";\n}\n.fa-file-powerpoint-o:before {\n  content: "\\f1c4";\n}\n.fa-file-photo-o:before,\n.fa-file-picture-o:before,\n.fa-file-image-o:before {\n  content: "\\f1c5";\n}\n.fa-file-zip-o:before,\n.fa-file-archive-o:before {\n  content: "\\f1c6";\n}\n.fa-file-sound-o:before,\n.fa-file-audio-o:before {\n  content: "\\f1c7";\n}\n.fa-file-movie-o:before,\n.fa-file-video-o:before {\n  content: "\\f1c8";\n}\n.fa-file-code-o:before {\n  content: "\\f1c9";\n}\n.fa-vine:before {\n  content: "\\f1ca";\n}\n.fa-codepen:before {\n  content: "\\f1cb";\n}\n.fa-jsfiddle:before {\n  content: "\\f1cc";\n}\n.fa-life-bouy:before,\n.fa-life-buoy:before,\n.fa-life-saver:before,\n.fa-support:before,\n.fa-life-ring:before {\n  content: "\\f1cd";\n}\n.fa-circle-o-notch:before {\n  content: "\\f1ce";\n}\n.fa-ra:before,\n.fa-rebel:before {\n  content: "\\f1d0";\n}\n.fa-ge:before,\n.fa-empire:before {\n  content: "\\f1d1";\n}\n.fa-git-square:before {\n  content: "\\f1d2";\n}\n.fa-git:before {\n  content: "\\f1d3";\n}\n.fa-hacker-news:before {\n  content: "\\f1d4";\n}\n.fa-tencent-weibo:before {\n  content: "\\f1d5";\n}\n.fa-qq:before {\n  content: "\\f1d6";\n}\n.fa-wechat:before,\n.fa-weixin:before {\n  content: "\\f1d7";\n}\n.fa-send:before,\n.fa-paper-plane:before {\n  content: "\\f1d8";\n}\n.fa-send-o:before,\n.fa-paper-plane-o:before {\n  content: "\\f1d9";\n}\n.fa-history:before {\n  content: "\\f1da";\n}\n.fa-circle-thin:before {\n  content: "\\f1db";\n}\n.fa-header:before {\n  content: "\\f1dc";\n}\n.fa-paragraph:before {\n  content: "\\f1dd";\n}\n.fa-sliders:before {\n  content: "\\f1de";\n}\n.fa-share-alt:before {\n  content: "\\f1e0";\n}\n.fa-share-alt-square:before {\n  content: "\\f1e1";\n}\n.fa-bomb:before {\n  content: "\\f1e2";\n}\n.fa-soccer-ball-o:before,\n.fa-futbol-o:before {\n  content: "\\f1e3";\n}\n.fa-tty:before {\n  content: "\\f1e4";\n}\n.fa-binoculars:before {\n  content: "\\f1e5";\n}\n.fa-plug:before {\n  content: "\\f1e6";\n}\n.fa-slideshare:before {\n  content: "\\f1e7";\n}\n.fa-twitch:before {\n  content: "\\f1e8";\n}\n.fa-yelp:before {\n  content: "\\f1e9";\n}\n.fa-newspaper-o:before {\n  content: "\\f1ea";\n}\n.fa-wifi:before {\n  content: "\\f1eb";\n}\n.fa-calculator:before {\n  content: "\\f1ec";\n}\n.fa-paypal:before {\n  content: "\\f1ed";\n}\n.fa-google-wallet:before {\n  content: "\\f1ee";\n}\n.fa-cc-visa:before {\n  content: "\\f1f0";\n}\n.fa-cc-mastercard:before {\n  content: "\\f1f1";\n}\n.fa-cc-discover:before {\n  content: "\\f1f2";\n}\n.fa-cc-amex:before {\n  content: "\\f1f3";\n}\n.fa-cc-paypal:before {\n  content: "\\f1f4";\n}\n.fa-cc-stripe:before {\n  content: "\\f1f5";\n}\n.fa-bell-slash:before {\n  content: "\\f1f6";\n}\n.fa-bell-slash-o:before {\n  content: "\\f1f7";\n}\n.fa-trash:before {\n  content: "\\f1f8";\n}\n.fa-copyright:before {\n  content: "\\f1f9";\n}\n.fa-at:before {\n  content: "\\f1fa";\n}\n.fa-eyedropper:before {\n  content: "\\f1fb";\n}\n.fa-paint-brush:before {\n  content: "\\f1fc";\n}\n.fa-birthday-cake:before {\n  content: "\\f1fd";\n}\n.fa-area-chart:before {\n  content: "\\f1fe";\n}\n.fa-pie-chart:before {\n  content: "\\f200";\n}\n.fa-line-chart:before {\n  content: "\\f201";\n}\n.fa-lastfm:before {\n  content: "\\f202";\n}\n.fa-lastfm-square:before {\n  content: "\\f203";\n}\n.fa-toggle-off:before {\n  content: "\\f204";\n}\n.fa-toggle-on:before {\n  content: "\\f205";\n}\n.fa-bicycle:before {\n  content: "\\f206";\n}\n.fa-bus:before {\n  content: "\\f207";\n}\n.fa-ioxhost:before {\n  content: "\\f208";\n}\n.fa-angellist:before {\n  content: "\\f209";\n}\n.fa-cc:before {\n  content: "\\f20a";\n}\n.fa-shekel:before,\n.fa-sheqel:before,\n.fa-ils:before {\n  content: "\\f20b";\n}\n.fa-meanpath:before {\n  content: "\\f20c";\n}\n
-8789460963672918823	code	{{velocity}}\n  ## TODO: add a parameter to specify the style, list or livetable\n  ## Get the number of documents to display\n  #set ($limit = $xcontext.macro.params.get('count'))\n  #if ("$!limit" == '')\n    ## 100 documents displayed by default if no value is specified\n    #set ($limit = '100')\n  #end\n  #set ($limit = $mathtool.toInteger($limit))\n  ## Compute the XWQL portion related to sorting, based on the passed "sort" parameter\n  ## Valid values are "creationDate", "modificationDate" and "docName"\n  #set ($sort = $xcontext.macro.params.get('sort'))\n  #if ("$sort" == 'docName')\n    ## Sorting alphabetically\n    #set ($sortQuery = 'doc.name asc')\n  #elseif ("$sort" == 'modificationDate')\n    ## Sorting by update date\n    #set ($sortQuery = 'doc.contentUpdateDate desc')\n  #else\n    ## Sort by creation date by default\n    #set ($sortQuery = 'doc.creationDate desc')\n  #end\n  ## Get the space to display the documents for\n  #set ($spaceParam = $doc.space)\n  #set ($spaceMacroParam = $xcontext.macro.params.get('space'))\n  #if ("$!spaceMacroParam" != '')\n    #set ($spaceParam = $spaceMacroParam)\n  #end\n  #set ($docNames = $services.query.hql("where doc.space=? order by $sortQuery").addFilter('currentlanguage').addFilter('hidden').setLimit($limit).bindValues([${spaceParam}]).execute())\n  {{html}}\n    #displayDocumentList($docNames false []) \n    ## Note: we pass an empty blacklistedSpaces list since we are used as a space dashboard, not a global dashboard\n  {{/html}}\n\n  #if ($docNames.size() == $limit)\n    #set ($docCount = $services.query.xwql('where doc.space = :space').bindValue('space', $spaceParam).addFilter('unique').count())\n    #set ($remaining = $mathtool.sub($docCount, $limit))\n    #if ($remaining > 0)\n    (% class="documentListMore" %) (((\n    // $services.localization.render('xe.dashboard.space.remainingDocumentsInSpace', [$remaining, $spaceParam])\n       [[$services.localization.render('xe.dashboard.space.visitSpaceIndex')>>Main.SpaceIndex?space=${escapetool.url($spaceParam)}]] //\n    )))\n    #end\n  #end\n  ##\n  ## Document creation.\n  ##\n  ## Only if the current user has edit rights.\n  #if ($hasCreatePage)\n  {{html}}\n    <ul class="xlist">\n      <li class="page create"><a href="$doc.getURL('create')">$services.localization.render('platform.index.spaceIndexDocumentListCreate')</a></li>\n    </ul>\n  {{/html}}\n  #end\n{{/velocity}}\n
-8789460963672918823	contentDescription	
-8789460963672918823	description	Lists documents in a space.
-7543057703784922832	description	The maximum number of documents to display. By default, up to 100 documents will be listed. If all documents should be displayed, pass 0.
9027176932998785565	description	The space to display the list of documents for. If missing, the current space will be used.
-2114507803626208157	description	Optional parameter to choose the sorting of the list of document.\nValue must be:\n- creationDate sort by creation date (default)\n- modificationDate sort by update date\n- or docName sort alphabetically
4434993791194682611	code	#template('colorThemeInit.vm')\n#spSpaceCreateItem {\n  background-image: url("$xwiki.getSkinFile('icons/silk/folder_add.png')");\n}\n\nul.xlist li.space div.spSpaceName {\n  float: left;\n}\n\n#spSpaceCreateLabel a {\n  color: $theme.textSecondaryColor;\n  text-decoration: none;\n}\n\n#spSpaceCreateForm {\n  background-color: $theme.highlightColor;\n  border-top: 1px dashed $theme.borderColor;\n  padding: .5em 0;\n}\n\n/*  Hidden elements in lists that are show on hover  */\n\nul.xlist li.xitem div.xshowonhover {\n  display: none;\n  float: right;\n  font-size: .8em;\n  padding: 0 .5em 0 0;\n}\n\nul.xlist li.xitem:hover div.xshowonhover {\n  display: block;\n}\n\nul.xlist li.xitem div.xshowonhover img {\n  float: right;\n  padding: 0 .2em;\n}
8009908531353325490	code	{{velocity}}\n##\n## List spaces within the wiki.\n##\n$xwiki.ssx.use('Main.Spaces')##\n#set($spaceList = $xwiki.getSpaces())\n{{html}}\n<ul class="xlist">\n  ##\n  ## List spaces.\n  ##\n  #foreach($space in $spaceList)\n    ## Display space only if the user has view right on space home and if the space is not blacklisted.\n    ## $blacklistedSpaces is set in xwikivars.vm\n    #set ($spaceHomeDocumentReference = $services.model.createDocumentReference($xcontext.database, $space, 'WebHome'))\n    #if($xwiki.hasAccessLevel('view', $services.model.serialize($spaceHomeDocumentReference)) && !$blacklistedSpaces.contains($space))\n      <li class="xitem xunderline xhighlight space">\n        <div class="xitemcontainer">\n          <div class="spSpaceName"><a href="$xwiki.getURL($spaceHomeDocumentReference)">${escapetool.xml($space)}</a></div>\n          <div class="xshowonhover spSpaceActions">\n            ## Link to the space index.\n            <a href="$xwiki.getURL('Main.SpaceIndex', 'view', "space=$escapetool.url($space)")" title="$services.localization.render('index.spacesMacro.spaceIndex.title')">\n              <img src="$xwiki.getSkinFile('icons/silk/book_open.png')" alt="$services.localization.render('index.spacesMacro.spaceIndex.alt')"/>\n            </a>\n            ## If the user has admin right on the space display links to administration and delete.\n            #set ($spacePreferencesDocumentReference = $services.model.createDocumentReference($xcontext.database, $space, 'WebPreferences'))\n            #if($xwiki.hasAccessLevel('admin', $services.model.serialize($spacePreferencesDocumentReference)))\n              <a href="$xwiki.getURL($spacePreferencesDocumentReference, 'admin', '')" title="$services.localization.render('index.spacesMacro.spaceAdministration.title')">\n                <img src="$xwiki.getSkinFile('icons/silk/wrench.png')" alt="$services.localization.render('index.spacesMacro.spaceAdministration.alt')"/>\n              </a>\n            #end\n          </div>\n          <div class="xspacer">&nbsp;</div>\n        </div>\n      </li>\n    #end\n  #end\n  ##\n  ## Space creation.\n  ##\n  ## Only if the current user has the right to create spaces and the current action is not inline.\n  ## If it's inline, then there is already a form, and if we render the second, nested one, the DOM is messed up in IE.\n  #if($hasCreateSpace && "$!xcontext.action" != "inline" && "$!xcontext.action" != "edit")\n    <li id="spSpaceCreateItem" class="xitem space">\n      <div class="xitemcontainer">\n        <div id="spSpaceCreateLabel" class="spSpaceName"><a href="$xwiki.getURL('XWiki.CreatePage', 'view', 'tocreate=space')" onclick="toggleClass($('spSpaceCreateForm'), 'hidden'); return false;">$services.localization.render('index.spacesMacro.createSpace.link')</a></div>\n        <div class="spacer">&nbsp;</div>\n        <div id="spSpaceCreateForm" class="hidden">\n          <form method="post" action="$doc.getURL('create')" class="xformInline">\n            <div>\n              <input name="tocreate" type="hidden" value="space" />\n              #set($newSpaceName = $escapetool.xml($services.localization.render('index.spacesMacro.createSpace.defaultSpaceName')))\n              <label class="hidden" for="spSpaceCreateTextInput">$newSpaceName</label>\n              <input id="spSpaceCreateTextInput" type="text" name="space" value="$newSpaceName" class="panelinput withTip" />\n              <span class="buttonwrapper">\n                <input type="submit" value="$services.localization.render('index.spacesMacro.createSpace.submit')" class="button" />\n              </span>\n            </div>\n          </form>\n        </div>\n        <div class="spacer">&nbsp;</div>\n      </div>\n    </li>\n  #end\n</ul>\n{{/html}}\n{{/velocity}}\n
8009908531353325490	contentDescription	
8009908531353325490	description	Displays all the spaces in this wiki.
-8340683372497157102	code	// Make sure the XWiki.index.trash.attachments 'namespace' exists.\nif (typeof XWiki == "undefined") {\n  XWiki = new Object();\n}\nif (typeof XWiki.index == "undefined") {\n  XWiki.index = new Object();\n}\nif (typeof XWiki.index.trash == "undefined") {\n  XWiki.index.trash = new Object();\n}\nif (typeof XWiki.index.trash.attachments == "undefined") {\n  XWiki.index.trash.attachments = new Object();\n}\n\n/**\n * Callback function used by the DeletedAttachments livetable for generating the HTML code needed to display an entry.\n * \n * @param row the JSON data corresponding to the entry to be displayed\n * @param i the index of the row in the list of entries\n * @param table the LiveTable javascript object\n */\nXWiki.index.trash.attachments.displayEntry = function (row, i, table) {\n  var tr = new Element('tr'); // The resulting table row\n  var file = new Element('a', {'href' : row.url}).update(row.filename);\n  tr.appendChild(new Element('td').update(file));\n  var doc = new Element('a', {'href' : row.documentUrl}).update(row.title);\n  doc.appendChild(document.createTextNode(' (' + row.docName + ')'));\n  tr.appendChild(new Element('td').update(doc));\n  tr.appendChild(new Element('td').update(row.date));\n  var deleter = new Element('a', {'href' : row.deleterurl}).update(row.deletername);\n  tr.appendChild(new Element('td').update(deleter));\n  var actions = new Element('td', {'class' : 'itemActions'});\n  if(row.canDelete) {\n    var delete_ = new Element('a', {\n        'href' : row.deleteUrl,\n        'class' : "tool delete",\n        'title' : "$services.localization.render('platform.index.trashAttachmentsActionsDeleteTooltip')"\n      }).update("$services.localization.render('platform.index.trashAttachmentsActionsDeleteText')");\n    actions.appendChild(delete_);\n    delete_.observe('click', XWiki.index.trash.attachments.confirmDelete.bindAsEventListener(delete_, table, i));\n  }\n  tr.appendChild(actions);\n  return tr;\n}\n\n/**\n * Event listener, called when clicking a delete version link. It displays a confirmation box, speeding up the two-step\n * deletion process.\n * \n * @param event the link activation event\n * @param table the LiveTable javascript object\n * @param rowIdx the index of the row corresponding to the entry to be deleted\n */\nXWiki.index.trash.attachments.confirmDelete = function(event, table, rowIdx) {\n  event.stop();\n  if (this.disabled) {\n    // Do nothing if the button was already clicked and it's waiting for a response from the server.\n    return;\n  } else {\n    new XWiki.widgets.ConfirmedAjaxRequest(\n      /* Ajax request URL */\n      this.href + '&confirm=1' + (Prototype.Browser.Opera ? "" : "&ajax=1"),\n      /* Ajax request parameters */\n      {\n        onCreate : function() {\n          // Disable the button, to avoid a cascade of clicks from impatient users\n          this.disabled = true;\n        }.bind(this),\n        onSuccess : function(table, rowIdx) {\n          // Remove the corresponding HTML element from the UI and update the livetable\n          table.deleteRow(rowIdx);\n        }.bind(this, table, rowIdx),\n        // This is an expected 404, returned when the document has been successfully deleted and is no longer found\n        on404 : function(response, table, rowIdx) {\n          response.request.options.onSuccess(table, rowIdx);\n        }.bindAsEventListener(this, table, rowIdx),\n        onComplete : function() {\n          // In the end: re-enable the button\n          this.disabled = false;\n        }.bind(this)\n      },\n      /* Interaction parameters */\n      {\n         confirmationText: "$services.localization.render('core.recyclebin.completelyDeleteConfirm')",\n         progressMessageText : "$services.localization.render('platform.index.trashAttachmentsDeleteInProgress')",\n         successMessageText : "$services.localization.render('platform.index.trashAttachmentsDeleteDone')",\n         failureMessageText : "$services.localization.render('platform.index.trashAttachmentsDeleteFailed')"\n      }\n      );\n  }\n}\n/*\n * The livetable is hidden when javascript is disabled, so that an alternative <noscript> table is displayed.\n * Re-display it when the document loads and Javascript is available.\n */\ndocument.observe('xwiki:dom:loaded', function() {\n  if ($('attachmentTrash')) {\n    $('attachmentTrash').up('.hidden').removeClassName('hidden');\n  }\n});
2565425069674253556	code	.itemActions .tool {\n  width: 16px;\n  height: 16px;\n  margin: 0 2px;\n  float: left;\n  text-indent: -1000em;\n  overflow: hidden;\n  background: transparent no-repeat center center;\n}\n.itemActions .delete {\n  background-image: url("$xwiki.getSkinFile('icons/silk/cross.png')") !important;\n}\n.itemActions .restore {\n   background-image: url("$xwiki.getSkinFile('icons/silk/arrow_refresh.png')") !important;\n}\n.itemActions .cannot-restore {\n   background-image: url("$xwiki.getSkinFile('icons/silk/page_error.png')") !important;\n}
173995775158485649	groups	XWiki.XWikiAdminGroup
173995775158485649	users	
3782650588077848436	groups	XWiki.XWikiAdminGroup
-4270047942215544118	code	{{velocity}}\n#macro (escapeMacroParam $value)$!value.replaceAll('([~"])', '~$1')#end\n#set ($docTreeConfig = {\n  'showWikis': false,\n  'showWikiPrettyName': true,\n  'showSpaces': false,\n  'showDocumentTitle': true,\n  'showTranslations': true,\n  'showAttachments': true,\n  'showObjects': false,\n  'showClassProperties': false,\n  'showChildDocuments': true,\n  'showOnlyViewable': true,\n  'filterByClass': '',\n  'root': ''\n})\n#set ($resourceParams = {'outputSyntax': 'plain'})\n#foreach ($entry in $docTreeConfig.entrySet())\n  #set ($value = $xcontext.macro.params.get($entry.key))\n  #if ("$!value" != '' && $value != "$!entry.value")\n    #set ($discard = $resourceParams.put($entry.key, $value))\n  #end\n#end\n#set ($reference = "path:$xwiki.getURL($xcontext.macro.doc.documentReference, 'get', $escapetool.url($resourceParams))")\n#set ($editable = $xcontext.macro.params.readOnly != 'true')\n#set ($isFullWidthAvailable = $xcontext.macro.params.compact != 'true')\n#set ($links = $xcontext.macro.params.links == 'true')\n#set ($checkboxes = $xcontext.macro.params.checkboxes == 'true')\n#set ($finder = $xcontext.macro.params.finder == 'true')\n## We use directly FontAwesome for the tree node icons for two reasons:\n## * the XWiki icon set (available through the icon themes) is limited\n## * jsTree expects an URL/path or a CSS class name as the value of the tree node icon configuration when JSON source is\n##   used; the icon theme API is currently only able to render an icon but there's no way to get the icon configuration\n##   as jsTree expects it. The alternative is to use the HTML source to feed the tree but then the tree definition and\n##   configuration becomes complex.\n## We don't load the FontAwesome CSS directly from its WebJar because it contains some relative paths that currently are\n## not handled correctly by the WebJar action. This has been fixed in the FontAwesome icon theme so we load the theme\n## SSX instead.\n#set ($discard = $xwiki.ssx.use('IconThemes.FontAwesome'))\n## Include also the fix for the FontAwesome loading issue on IE8.\n#set ($discard = $xwiki.jsx.use('IconThemes.FontAwesome'))\n{{tree reference="#escapeMacroParam($reference)" root="#escapeMacroParam($xcontext.macro.params.root)"\n  dragAndDrop="$editable" contextMenu="$editable" icons="$isFullWidthAvailable" edges="$isFullWidthAvailable"\n  links="$links" checkboxes="$checkboxes" openTo="#escapeMacroParam($xcontext.macro.params.openTo)"\n  finder="$finder" /}}\n{{/velocity}}
-4270047942215544118	contentDescription	
-4270047942215544118	description	Displays the tree of XWiki documents.
-4292617225184969157	description	Should the user be able to modify the tree structure, provided she has the necessary rights?
2706750404654345339	description	Whether to show the wiki nodes or not. This can be used only on the main wiki and if the tree source has been saved with programming rights.
8033261753603887338	description	Show the wiki pretty name instead of the wiki id when displaying a wiki node.
-290433136403775361	description	Whether to show the space nodes or not. The documents are grouped by space if the space nodes are displayed.
5507133455870632400	description	Whether to show the document title instead of the document name when displaying a document node.
7115468815733580006	description	Whether to show the document translations or not.
6398268715832411259	description	Whether to show the document attachments or not.
-961982407856130685	description	Whether to show the document objects or not.
-20449174920798045	description	Whether to show the class properties for documents that define classes.
4625876372974772728	description	Whether to show the child documents based on the document parent field.
5907546419309148588	description	The root node id. This is useful if you want to display only the descendants of a given node (which is the specified root). The tree displays the children of the root node on the first level, so the root node is not actually displayed. The entire tree is displayed if the root node is not specified. The format of a node identifier is entityType:entityReference, where the entity type can be for instance wiki, space, document. E.g.: wiki:xwiki, space:xwiki:Main, document:xwiki:Main.WebHome
-1110678681262197463	description	If you have limited horizontal space available then you should probably set this to true. The effect is that the node icons and the edges that connect them will be hidden. Some special styles will also be applied to ensure the tree takes less horizontal space while keeping the node labels fully visible.
2340271235697290149	description	Specifies whether the node labels should look and behave as links (anchors).
-7750451393889908950	description	Whether to display a checkbox in front of each tree node to allow the user to select multiple tree nodes.
2606437970141537991	description	The id of the node to open the tree to. All the ancestors of the specified node, up to the root of the tree, will be opened also. The format of the node id is the one used for the root parameter.
1863209619509869037	description	Show only the wiki, space and document nodes for which the current user has view right. If this is set to false then the wiki, space and document nodes that are not viewable by the current user are listed in the tree using their names. The user won't be able to see their content by following their links though (the user will just be aware of their existence).
2832372176651909060	description	Show only the documents that have an object of the specified type. The value of this parameter is the full name of an XWiki document that holds a class definition. For example, 'Blog.CategoryClass' can be used to show only the documents that represent blog categories. Leave this parameter empty if you don't want to restrict the type of documents shown in the tree.
3071263456201148754	description	Show a text input that can be used to find tree nodes. The input is displayed above the tree and offers suggestions as you type based on the content of the tree. When a suggestion is selected the tree is expanded up to the corresponding node.
-4212519746212985691	code	(function(){\n\nif (typeof XWiki == "undefined") {\n   XWiki = new Object();\n}\n\nif (typeof XWiki.index == "undefined") {\n   XWiki.index = new Object();\n}\n\nvar mimetypes = {\n  "image/svg"                     : { "src" : "$xwiki.getSkinFile('icons/silk/vector.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.svg')}", "title" : "${services.localization.render('core.viewers.attachments.mime.svg')}" },\n  "application/svg+xml"           : { "src" : "$xwiki.getSkinFile('icons/silk/vector.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.svg')}", "title" : "${services.localization.render('core.viewers.attachments.mime.svg')}" },\n  "text/plain"                    : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_text.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.text')}", "title" : "${services.localization.render('core.viewers.attachments.mime.text')}"},\n  "text/html"                     : { "src" : "$xwiki.getSkinFile('icons/silk/html.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.html')}", "title" : "${services.localization.render('core.viewers.attachments.mime.html')}"},\n  "text/css"                      : { "src" : "$xwiki.getSkinFile('icons/silk/css.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.css')}", "title" : "${services.localization.render('core.viewers.attachments.mime.css')}" },\n  "application/xml"               : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_code.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.xml')}", "title" : "${services.localization.render('core.viewers.attachments.mime.xml')}" },\n  "application/pdf"               : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_acrobat.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.pdf')}", "title" : "${services.localization.render('core.viewers.attachments.mime.pdf')}" },\n  "application/postscript"        : { "src" : "$xwiki.getSkinFile('icons/silk/page_red.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.ps')}",   "title" : "${services.localization.render('core.viewers.attachments.mime.ps')}"  },\n  "application/msword"            : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_word.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.document')}", "title" : "${services.localization.render('core.viewers.attachments.mime.document')}"},\n  "application/powerpoint"        : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_powerpoint.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.presentation')}", "title" : "${services.localization.render('core.viewers.attachments.mime.presentation')}" },\n  "application/x-shockwave-flash" : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_flash.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.flash')}", "title" : "${services.localization.render('core.viewers.attachments.mime.flash')}" },\n  "application/x-tar"             : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_compressed.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.tar')}", "title" : "${services.localization.render('core.viewers.attachments.mime.tar')}" },\n  "application/zip"               : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_zip.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.zip')}", "title" : "${services.localization.render('core.viewers.attachments.mime.zip')}" },\n  "application/x-gzip"            : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_compressed.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.gz')}", "title" : "${services.localization.render('core.viewers.attachments.mime.gz')}"  },\n  "application/java-archive"      : { "src" : "$xwiki.getSkinFile('icons/silk/cup.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.jar')}", "title" : "${services.localization.render('core.viewers.attachments.mime.jar')}" }\n};\n\n/**\n * JavasScript equivalent of the #mimetype macro.\n * Returns a 20px * 20px image (as an element) corresponding to the passed mimetype.\n * First lookup if the type is in the mimetypes object above, then handles some other cases (starts/end with, etc.)\n * This function should be cleaned at the same time the mimetype images and macro are.\n */\nfunction getMimeTypeImage(type) {\n  var image = undefined;\n  if (mimetypes[type]) {\n    image = new Element('img',{'src':mimetypes[type].src,'alt':mimetypes[type].alt,'title':mimetypes[type].title});\n  }\n  else if(type.match(/^image\\//)) {\n    image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/picture.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.image')}", 'title': "${services.localization.render('core.viewers.attachments.mime.image')}"});\n  }\n  else if(type.match(/^text\\//)) {\n    image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page_white_text.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.text')}", 'title': "${services.localization.render('core.viewers.attachments.mime.text')}"});\n  }\n  else if(type.match(/^audio\\//)){\n    image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/music.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.audio')}", 'title': "${services.localization.render('core.viewers.attachments.mime.audio')}"});\n  }\n  else if(type.match(/^video\\//)){\n    image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/film.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.video')}", 'title': "${services.localization.render('core.viewers.attachments.mime.video')}"});\n  }\n  else if(type=="application/octet-stream") {\n    if (type.match(/\\.xls$/)) {\n      image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page_white_excel.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.spreadsheet')}", 'title': "${services.localization.render('core.viewers.attachments.mime.spreadsheet')}"});\n    }\n    else if (type.match(/\\.bz$/)) {\n      image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page_white_compressed.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.bz')}", 'title': "${services.localization.render('core.viewers.attachments.mime.bz')}"});\n    }\n    else if (type.match(/\\.tgz$/)) {\n      image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page_white_compressed.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.gz')}", 'title': "${services.localization.render('core.viewers.attachments.mime.gz')}"});\n    }\n    else if (type.match(/\\.rar$/)) {\n      image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page_white_compressed.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.rar')}", 'title': "${services.localization.render('core.viewers.attachments.mime.rar')}"});\n    }\n    else if (type.match(/\\.(odt|odp|odf|ods|sxw|stw)$/)) {\n      image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.office')}", 'title': "${services.localization.render('core.viewers.attachments.mime.office')}"});\n    }\n  } \n  else if (type.match(/^application\\//)) {\n    image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/cog.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.exe')}", 'title': "${services.localization.render('core.viewers.attachments.mime.exe')}"});\n  }\n  if (typeof image == "undefined") {\n    image = new Element('img', {'src': "$xwiki.getSkinFile('icons/silk/page_white.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.attachment')}", 'title': "${services.localization.render('core.viewers.attachments.mime.attachment')}"});\n  }\n  image.style.width = '16px';\n  image.style.height = '16px';\n  return image;\n}\n\nXWiki.index.displayAttachmentEntry = function (row, i, table) {\n  var inaccessibleDocs = false;\n  if(row.acclev == true) {\n    var fileLink = new Element('a', {'href' : row.fileurl}).update(row.filename);\n    var tr = new Element('tr').update(new Element('td').update(fileLink));\n    var pageLink = new Element('a', {'href' : row.url}).update(row.page);\n    tr.appendChild(new Element('td', {'class' : 'pagename'}).update(pageLink));\n    var spaceLink = new Element('a', {'href' : row.spaceurl}).update(row.space);\n    tr.appendChild(new Element('td', {'class' : 'spacename'}).update(spaceLink));\n    tr.appendChild(new Element('td').update(row.date));\n    var aa = new Element('a', {'href' : row.authorurl}).update(row.authorname);\n    tr.appendChild(new Element('td').update(aa));\n    var type = new Element('td').update(getMimeTypeImage(row.type));\n    tr.appendChild(type);\n    return tr;\n  } else {\n    var tr = new Element('tr');\n    var page = row.fullname;\n\n    var td1 = new Element('td').update("unavailable");\n    var td2 = new Element('td', {'class' : 'pagename'}).update(page + "*");\n    var td3 = new Element('td').update(" ");\n    var td4 = new Element('td').update(" ");\n    var td5 = new Element('td').update(" ");\n    var td6 = new Element('td').update(" ");\n    tr.appendChild(td1);\n    tr.appendChild(td2);\n    tr.appendChild(td3);\n    tr.appendChild(td4);\n    tr.appendChild(td5);\n    tr.appendChild(td6);\n    $('inaccessibleDocsMessage').removeClassName('hidden');\n    return tr;\n  }\n}\n\n})();\n
-8502917170642906784	code	// Make sure the XWiki.index.trash.documents 'namespace' exists.\nif (typeof XWiki == "undefined") {\n  XWiki = new Object();\n}\nif (typeof XWiki.index == "undefined") {\n  XWiki.index = new Object();\n}\nif (typeof XWiki.index.trash == "undefined") {\n  XWiki.index.trash = new Object();\n}\nif (typeof XWiki.index.trash.documents == "undefined") {\n  XWiki.index.trash.documents = new Object();\n}\n\n/**\n * Callback function used by the DeletedDocuments livetable for generating the HTML code needed to display an entry.\n * \n * @param row the JSON data corresponding to the entry to be displayed\n * @param i the index of the row in the list of entries\n * @param table the LiveTable javascript object\n */\nXWiki.index.trash.documents.displayEntry = function (row, i, table) {\n  var tr = new Element('tr'); // The resulting table row\n  var pageTd = new Element('td');\n  var page = new Element('a', {'href' : row.url}).update(row.fullname);\n  pageTd.appendChild(page);\n  if (row.language && row.language.trim().length != 0) {\n    var language = new Element('span').update('(' + row.language.trim() + ')');\n    pageTd.appendChild(document.createTextNode(' '));\n    pageTd.appendChild(language);\n  }\n  tr.appendChild(pageTd);\n  tr.appendChild(new Element('td').update(row.title));\n  tr.appendChild(new Element('td').update(row.date));\n  var deleter = new Element('a', {'href' : row.deleterurl}).update(row.deletername);\n  tr.appendChild(new Element('td').update(deleter));\n  var actions = new Element('td', {'class' : 'itemActions'});\n  if(!row.alreadyExists) {\n    if(row.canRestore) {\n      if (row.causesOrphanedTranslation) {\n        // Can not restore: It would cause the translation to be inaccessible from the UI until the main document is restored/created.\n        var restore = new Element('a', {\n            'href' : row.originalUrl,\n            'class' : 'tool cannot-restore',\n            'title' : "$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreCausesOrphanedTranslationTooltip')"\n          }).update("$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreText')");\n        actions.appendChild(restore);\n      } else {\n        // Restore the document.\n        var restore = new Element('a', {\n            'href' : row.restoreUrl,\n            'class' : 'tool restore',\n            'title' : "$services.localization.render('platform.index.trashDocumentsActionsRestoreTooltip')"\n          }).update("$services.localization.render('platform.index.trashDocumentsActionsRestoreText')");\n        actions.appendChild(restore);\n      }\n    }\n  } else {\n    // Can not restore: A document was already restored at that location.\n    // TODO: Add an overwrite dialog here.\n    var restore = new Element('a', {\n        'href' : row.originalUrl,\n        'class' : "tool cannot-restore",\n        'title' : "$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreTooltip')"\n      }).update("$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreText')");\n    actions.appendChild(restore);\n  }\n  if(row.canDelete) {\n    var delete_ = new Element('a', {\n        'href' : row.deleteUrl,\n        'class' : "tool delete",\n        'title' : "$services.localization.render('platform.index.trashDocumentsActionsDeleteTooltip')"\n      }).update("$services.localization.render('platform.index.trashDocumentsActionsDeleteText')");\n    actions.appendChild(document.createTextNode(' '));\n    actions.appendChild(delete_);\n    delete_.observe('click', XWiki.index.trash.documents.confirmDelete.bindAsEventListener(delete_, table, i));\n  }\n  tr.appendChild(actions);\n  return tr;\n}\n\n/**\n * Event listener, called when clicking a delete version link. It displays a confirmation box, speeding up the two-step\n * deletion process.\n * \n * @param event the link activation event\n * @param table the LiveTable javascript object\n * @param rowIdx the index of the row corresponding to the entry to be deleted\n */\nXWiki.index.trash.documents.confirmDelete = function(event, table, rowIdx) {\n  event.stop();\n  if (this.disabled) {\n    // Do nothing if the button was already clicked and it's waiting for a response from the server.\n    return;\n  } else {\n    new XWiki.widgets.ConfirmedAjaxRequest(\n      /* Ajax request URL */\n      this.href + '&confirm=1' + (Prototype.Browser.Opera ? "" : "&ajax=1"),\n      /* Ajax request parameters */\n      {\n        onCreate : function() {\n          // Disable the button, to avoid a cascade of clicks from impatient users\n          this.disabled = true;\n        }.bind(this),\n        onSuccess : function(table, rowIdx) {\n          // Remove the corresponding HTML element from the UI and update the livetable\n          table.deleteRow(rowIdx);\n        }.bind(this, table, rowIdx),\n        // This is an expected 404, returned when the document has been successfully deleted and is no longer found\n        on404 : function(response, table, rowIdx) {\n          response.request.options.onSuccess(table, rowIdx);\n        }.bindAsEventListener(this, table, rowIdx),\n        onComplete : function() {\n          // In the end: re-enable the button\n          this.disabled = false;\n        }.bind(this)\n      },\n      /* Interaction parameters */\n      {\n         confirmationText: "$services.localization.render('core.recyclebin.completelyDeleteConfirm')",\n         progressMessageText : "$services.localization.render('platform.index.trashDocumentsDeleteInProgress')",\n         successMessageText : "$services.localization.render('platform.index.trashDocumentsDeleteDone')",\n         failureMessageText : "$services.localization.render('platform.index.trashDocumentsDeleteFailed')"\n      }\n      );\n  }\n}\n/*\n * The livetable is hidden when javascript is disabled, so that an alternative <noscript> table is displayed.\n * Re-display it when the document loads and Javascript is available.\n */\ndocument.observe('xwiki:dom:loaded', function() {\n  if ($('documentsTrash')) {\n    $('documentsTrash').up('.hidden').removeClassName('hidden');\n  }\n});
-7524852497054340135	code	.itemActions .tool {\n  width: 16px;\n  height: 16px;\n  margin: 0 2px;\n  float: left;\n  text-indent: -1000em;\n  overflow: hidden;\n  background: transparent no-repeat center center;\n}\n.itemActions .delete {\n  background-image: url("$xwiki.getSkinFile('icons/silk/cross.png')") !important;\n}\n.itemActions .restore {\n   background-image: url("$xwiki.getSkinFile('icons/silk/arrow_refresh.png')") !important;\n}\n.itemActions .cannot-restore {\n   background-image: url("$xwiki.getSkinFile('icons/silk/page_error.png')") !important;\n}
-528946118605285988	groups	XWiki.XWikiAdminGroup
-528946118605285988	users	
6851332950790330843	description	An additional CSS class for the icon element.
2044642619173841514	groups	XWiki.XWikiAllGroup
2044642619173841514	users	XWiki.XWikiGuest
-7384449520393366346	code	var YesNoPicker = Class.create({\n\n  hints : {\n    yes : {unselectedTitle : "$services.localization.render('phenotips.yesNoNAPicker.yes.unselectedTitle')", selectedTitle : "$services.localization.render('phenotips.yesNoNAPicker.yes.selectedTitle')", labelTitle : "$services.localization.render('phenotips.yesNoNAPicker.yes.title')"},\n    no  : {unselectedTitle : "$services.localization.render('phenotips.yesNoNAPicker.no.unselectedTitle')",  selectedTitle : "$services.localization.render('phenotips.yesNoNAPicker.no.selectedTitle')", labelTitle : "$services.localization.render('phenotips.yesNoNAPicker.no.title')"},\n    na  : {unselectedTitle : "$services.localization.render('phenotips.yesNoNAPicker.NA.unselectedTitle')", selectedTitle : "", labelTitle : "$services.localization.render('phenotips.yesNoNAPicker.NA.title')"}\n  },\n\n  initialize : function(element, label, isLabelActive) {\n    var _this = this;\n    this._hints = _this.hints;\n    this.element = $(element);\n    this.label = label;\n    element.select('input[type="checkbox"]').invoke("hide");\n    element.addClassName('yes-no-picker');\n    element.addClassName('initialized');\n\n    var yes = this.yes = element.down('label.yes');\n    var no = this.no = element.down('label.no');\n    var na = this.na = element.down('label.na');\n\n    this.yesInput = this.yes && this.yes.down('input');\n    this.noInput = this.no && this.no.down('input');\n    this.naInput = this.na && this.na.down('input');\n\n    var _onYes = this._onYes.bindAsEventListener(this);\n    var _onNo = this._onNo.bindAsEventListener(this);\n    var _onNA = this._onNA.bindAsEventListener(this);\n    var _onUnselect = this._onUnselect.bindAsEventListener(this);\n\n    this.yes && (this.yes.title = this.hints.yes.labelTitle);\n    this.no && (this.no.title = this.hints.no.labelTitle);\n    this.na && (this.na.title = this.hints.na.labelTitle);\n\n    this.yes && this.yes.observe('click', _onYes);\n    this.no && this.no.observe('click', _onNo);\n    this.na && this.na.observe('click', _onNA);\n    //this.element.observe('click', _onUnselect);\n    document.observe('ynpicker:change', this._sync.bindAsEventListener(this));\n\n    if (this.yesInput) this.yesInput.observe('suggest:change', function(event) {\n      var input = event.findElement();\n      _this._onSelect(input.checked ? 'yes' : 'na');\n    });\n    if (this.noInput) this.noInput.observe('suggest:change', function(event) {\n      var input = event.findElement();\n      _this._onSelect(input.checked ? 'no' : 'na');\n    });\n\n    if (yes.down('input').checked) this._onSelect('yes');\n    else if (no.down('input').checked) this._onSelect('no');\n    else this._onSelect('na');\n\n    if (this.label) {\n      this.label.addClassName('yes-no-picker-label');\n      if (isLabelActive) {\n        this.label.observe('click', function(event) {\n          if (!_this._isSelected('no')) {\n            _this._onYes(event);\n          }\n        });\n      }\n    }\n  },\n\n  _onYes : function (event) {\n    if (this._isSelected('yes')) this._onClick(event, 'na'); else\n    this._onClick(event, 'yes');\n  },\n  _onNo : function (event) {\n    if (this._isSelected('no')) this._onClick(event, 'na'); else\n    this._onClick(event, 'no');\n  },\n  _onNA : function (event) {\n    this._onClick(event, 'na');\n  },\n  _onClick : function (event, target) {\n    if (event) {\n      event.stop();\n    }\n    this._onSelect(target);\n    this.element.fire('ynpicker:selectionChanged', {'selected' : target});\n  },\n  _onSelect : function (target) {\n    (target == 'yes') && this._select('yes') || this._unselect('yes');\n    (target == 'no') && this._select('no') || this._unselect('no');\n    (target == 'na') && this._select('na') || this._unselect('na');\n  },\n  _onUnselect : function () {\n    this._unselect('yes');\n    this._unselect('no');\n    this._select('na');\n  },\n\n  _getInput : function(name) {\n    this[name] && this[name].down('input');\n  },\n  _isSelected : function (name) {\n     return this[name] && this[name].down('input').checked;\n  },\n  _select : function (name) {\n     if (this[name]) {\n       this[name].addClassName('selected');\n       var input = this[name].down('input');\n       input.checked = true;\n       Event.fire(input, 'picker:change');\n       document.fire('ynpicker:change', {'element' : input});\n       this.label && this.label.addClassName(name + '-selected');\n       //Expanding and collapsing the terms descendants\n       if (input._dropDown) {\n         var dropDownEnabled = false;\n         if (name == "yes") {\n           dropDownEnabled = input._dropDown.show(true);\n           dropDownEnabled ? input._trigger._root._expanded = false : null;\n         } \n         if (dropDownEnabled) {\n           input._trigger.click();\n         }\n       }\n       //this[name].title = this._hints[name].selectedTitle;\n     }\n     return this[name];\n  },\n  _unselect : function (name) {\n     if (this[name]) {\n       this[name].removeClassName('selected');\n       var input = this[name].down('input');\n       input.checked = false;\n       Event.fire(input, 'picker:change');\n       this.label && this.label.removeClassName(name + '-selected');\n       //Expanding and collapsing the terms descendants\n       if (input._dropDown) {\n         var dropDownEnabled = false;\n         if (name == "yes") {\n           dropDownEnabled = input._dropDown.show(true);\n           dropDownEnabled ? input._trigger._root._expanded = true : null;\n         } \n         if (dropDownEnabled) {\n           input._trigger.click();\n         }\n       }\n       //this[name].title = this._hints[name].unselectedTitle;\n     }\n     return this[name];\n  },\n  _sync : function(event) {\n    if (!event.memo || !event.memo.element) {\n      return;\n    }\n    var element = event.memo.element;\n    var value = element.value;\n    var selected = element.checked;\n    var label = element.parentNode;\n    if (value != this.yesInput.value || !selected || !label || (this.yesInput.name != element.name && this.noInput.name != element.name)) {\n      return;\n    }\n    if (label.hasClassName('na')) {\n      this.na && (this.naInput.checked = true);\n      this.na && this.na.addClassName('selected');\n      this.label && this.label.addClassName('na-selected');\n      this.yesInput.checked = false;\n      this.yes.removeClassName('selected');\n      this.label && this.label.removeClassName('yes-selected');\n      this.noInput.checked = false;\n      this.no.removeClassName('selected');\n      this.label && this.label.removeClassName('no-selected');\n      this.element.up('li') && this.element.up('li').removeClassName('accepted');\n    } else if (label.hasClassName('no')) {\n      this.na && (this.naInput.checked = false);\n      this.na && this.na.removeClassName('selected');\n      this.yesInput.checked = false;\n      this.yes.removeClassName('selected');\n      this.label && this.label.removeClassName('yes-selected');\n      this.noInput.checked = true;\n      this.no.addClassName('selected');\n      this.label && this.label.addClassName('no-selected');\n      this.element.up('li') && this.element.up('li').removeClassName('accepted');\n    } else {\n      this.na && (this.naInput.checked = false);\n      this.na && this.na.removeClassName('selected');\n      this.yesInput.checked = true;\n      this.yes.addClassName('selected');\n      this.label && this.label.addClassName('yes-selected');\n      this.noInput.checked = false;\n      this.no.removeClassName('selected');\n      this.label && this.label.removeClassName('no-selected');\n      this.element.up('li') && this.element.up('li').addClassName('accepted');\n    }\n  }\n});\n\nYesNoPicker.generatePickerElement = function(buttons, value, title, activate, label) {\n  var supportedValues = {\n      yes : {label: 'Y', title : "$services.localization.render('phenotips.yesNoNAPicker.yes.title')"},\n      no  : {label: 'N', title : "$services.localization.render('phenotips.yesNoNAPicker.no.title')"},\n      na  : {label: 'NA', title : "$services.localization.render('phenotips.yesNoNAPicker.NA.title')"}\n  };\n  var ynPickerElt = new Element("span", {'class': 'yes-no-picker'});\n  buttons.each(function(b) {\n     if (b.type && supportedValues[b.type]) {\n       var bLabel = new Element('label', {'class' : b.type + (b.selected && ' selected' || ''), title : supportedValues[b.type].title}).update(supportedValues[b.type].label);\n       var bInput = new Element('input', {type : 'checkbox', value : value, title: title || ''});\n       b.selected && (bInput.checked = true);\n       if (b.name) {\n         bInput.name = b.name;\n         bInput.id = typeof b.id != "undefined" ? b.id : (b.name + "_" + value);\n         bLabel.htmlFor = bInput.id;\n       }\n       bInput.hide();\n       bLabel.insert({top: bInput});\n       ynPickerElt.insert(bLabel);\n     }\n  });\n  if (activate) {\n    ynPickerElt._ynpicker = new YesNoPicker(ynPickerElt, label, label && true);\n    ynPickerElt.select('input').each(function (item) {item._ynpicker = ynPickerElt._ynpicker});\n  }\n  return ynPickerElt;\n};
-7272254375090897470	description	Some visibility levels (like 'user' and 'group') accept a parameter. In the case of the 2 mentioned levels, the value can be a serialized reference of a user or a group document.
-6498630665715157959	description	Comma separated list of visibility options that the macro should allow the user to choose from.\n\nThis list should be a sublist of the defualt ones: 'everyone', 'followers', 'group', 'user'.
8619938190454890474	description	A control to be used for object properties of the current document that are supposed to contain the name of an attachment from the current (or target) document. Allows uploading new attachments, and deleting attachments from the target document.  If no target document is specified, the current document will be used. Object properties are only saved to the current document.
-1766016663854888874	description	The full name of the document holding the XClass that contains the property associated with this picker. 
-891003554874154134	description	The name of the property associated with the picker.
4573373488719209179	header.vm	###\n### Global header deactivated for this skin\n###\n<div></div>
6437174684837264717	code	{{velocity}}\n#if ("$!xcontext.macro.params.columns" != "") \n  #set ($collist = [])\n  #foreach ($colname in $xcontext.macro.params.columns.split(','))\n    #set ($discard = $collist.add($colname.trim()))\n  #end\n#else\n  #set($collist = ['doc.name', 'doc.space', 'doc.date', 'doc.author'])\n#end\n#set($colprops = {\n  'doc.title' : { 'type' : 'text' , 'size' : 30, 'link' : 'view' },\n  'doc.fullName' : { 'type' : 'text' , 'size' : 30, 'link' : 'view' },\n  'doc.name' : { 'type' : 'text' , 'size' : 30, 'link' : 'view' },\n  'doc.space' : { 'type' : 'text', 'link' : 'space' },\n  'doc.date' : { 'type' : 'date' },\n  'doc.author' : { 'type' : 'text', 'link' : 'author' }\n})\n#set($options = { \n  'translationPrefix' : 'platform.index.',\n  'rowCount' : $xcontext.macro.params.count,\n  'description' : 'This table lists documents found on this wiki based on passed criteria. The columns can be sorted and some can be filtered.'\n})\n#if ("$!xcontext.macro.params.space" != "") \n  #set ($extraParams = "&space=$escapetool.url($xcontext.macro.params.space)")\n#end\n#if ("$!xcontext.macro.params.parent" != "") \n  #set ($extraParams = "$!{extraParams}&parent=$escapetool.url($xcontext.macro.params.parent)")\n#end\n#if ("$!extraParams" != "")\n  #set($discard = $options.put('extraParams', $extraParams))\n#end\n#if(!$isGuest && $xcontext.macro.params.actions == "true")\n  #set($discard = $collist.add('_actions'))\n  #set($discard = $colprops.put('_actions', { 'actions' : ['copy', 'rename', 'rights', 'delete'] }))\n#end\n#if ("$!xcontext.macro.params.id" != "")\n  #set ($livetableId = $xcontext.macro.params.id)\n#else\n  ## TODO: Improve this since we could have several livetables on the same page with same ids\n  #set ($livetableId = "documents-$mathtool.random(1, 1000)")\n#end\n#livetable($livetableId $collist $colprops $options)\n{{/velocity}}
6437174684837264717	contentDescription	
6437174684837264717	description	Displays a list of documents in a Livetable
-3143182623433737187	description	Number of items to display by default
-3887666743881049937	description	Whether to show the actions columns or not
2065499440476739869	description	Only lists documents found in the passed space
4237577464992284344	description	Livetable id
6230530917979272079	description	Only list pages having the specified parent
8090097450957698493	description	Specifies the list of columns to display (e.g. "doc.name,doc.space"). If not specified then the default column list of used ("doc.name,doc.space,doc.date,doc.author")
121216638294196643	content	
121216638294196643	parameters	label=$services.localization.render('extensions.applicationsPanel.install')\n## The Application Panel checks only if the current user has the right to view the specified target page. Since simple\n## users have by default view right on the XWiki.XWikiPreferences page but only admins can actually install\n## applications, we need to check admin rights here in order to hide this entry for simple users.\ntarget=#if ($xwiki.hasWikiAdminRights())XWiki.XWikiPreferences#end\ntargetQueryString=editor=globaladmin&section=XWiki.AddExtensions\nicon=icon:bullet_go
-5290135868479975735	groups	XWiki.XWikiAdminGroup
8077918042006448738	code	// Make sure the XWiki 'namespace' exists.\nif(typeof(XWiki) == 'undefined') {\n  XWiki = new Object();\n}\n// Make sure the editors 'namespace' exists.\nif(typeof(XWiki.editors) == 'undefined') {\n  XWiki.editors = new Object();\n}\n\n#includeTopic('ColorThemes.WizardPropertyMapping')\n#template("colorThemeInit.vm")\n\n/**\n * Javascript enhancements of the color theme wizard:\n * real-time preview when changing property values\n */\nXWiki.editors.ColorThemeWizard = Class.create({\n  classPrefix : '.colorthemewizard-',\n  /* Usually ColorThemes.ColorThemeClass_0_ */\n  inputNamePrefix : '$!{request.propertyPrefix}',\n  propertyMap : new Object(),\n  defaultValues : new Object(),\n  initialize : function() {\n    // Initialize widget selectors\n    this.pickerSelector  = this.classPrefix + 'picker';\n    this.triggerSelector = this.classPrefix + 'trigger';\n    this.maquetteSelector = this.classPrefix + 'page';\n    this.tipSelector = this.classPrefix + 'tip';\n    this.editableGroupSelector = this.classPrefix + 'editable-group';\n    this.visibleTriggerSelector = this.triggerSelector + '-visible';\n\n    this.logoProperty = 'logoImage';\n    this.logoSelector = this.classPrefix.substring(1) + 'logo';\n    this.logoPropertySelector = this.classPrefix + this.logoProperty;\n    this.defaultLogoURL = "$!{logoURL}"; // value computed in global.vm\n\n    // Generate default values for the theme properties\n    this.generateDefaultValues();\n\n    // Create a mapping from maquette elements to a map between\n    // the css properties that need to be set and the list\n    // of corresponding theme properties that compose their value.\n    // The map is generated using the definition from ColorThemes.WizardPropertyMapping\n    this.createPropertyMap();\n\n    // Hide 35 color palettes and other unnecessary elements\n    this.hideCSSVersionPickers();\n\n    // Attach image selectors, position pickers\n    // [TODO]\n    // Color pickers are already attached, because the corresponding\n    //   input elements have the class 'procolor', so they are\n    //   automatically detected by the Procolor extension\n    // TO BE IMPLEMENTED:\n    //   - image selector from attachment list (with previews) and new image attachment dialog\n    //   - image position and repeat pattern selector\n\n    // Attach listeners to display the pickers when clicking on the editable groups\n    // (necessary for CSS-stupid browsers)\n    // Also: force the pickers to remain visible when Procolor is active\n    this.redefineActivation();\n\n    // Attach change event listeners to all the inputs\n    this.attachChangeListeners();\n\n    // Make fullscreen\n    // TODO fix me!\n    /*\n    var fs = new XWiki.editors.FullScreenEditing();\n    $$(this.maquetteSelector).each(function(item){\n      fs.makeFullScreen(item);\n    });\n    $('mainmenu').style['z-index'] = '0';\n    */\n  },\n  generateDefaultValues : function() {\n    // Generated from the $theme object defined in colorThemeInit.vm\n    #foreach ($prop in $theme.keySet())\n      this.defaultValues['$prop'] = '${theme.get($prop)}';\n    #end\n  },\n  createPropertyMap : function() {\n    // Generated from the $elementStylingPropertyMap defined in WizardPropertyMapping\n    var cssProp;\n    #foreach($element in $elementStylingPropertyMap.keySet())\n      this.propertyMap['$element'] = new Object();\n      this.propertyMap['$element'].cssProperties = new Array();\n      #foreach($cssProp in $elementStylingPropertyMap.get($element).keySet())\n        cssProp = "${cssProp}".camelize();\n        this.propertyMap['$element'].cssProperties.push(cssProp);\n        this.propertyMap['$element'][cssProp] = new Array();\n        #set($themeProps = $elementStylingPropertyMap.get($element).get($cssProp))\n        #foreach ($themeProp in $themeProps)\n          this.propertyMap['$element'][cssProp].push('$themeProp');\n        #end\n      #end\n    #end\n  },\n  hideCSSVersionPickers : function() {\n    $$(this.classPrefix + 'picker-noscript').each(function(item){ item.hide(); });\n    // TODO: make sure all elements that must be hidden have this class!\n  },\n  fastUp : function(element, className) {\n    while (element != document.documentElement) {\n      if (element.hasClassName(className)) {\n        break;\n      }\n      element = element.up();\n    }\n    return element;\n  },\n  fastDown : function(element, className) {\n    var i, l;\n    var classNameMatcher = new RegExp("(^|\\\\s)" + className + "(\\\\s|$)");\n\n    for (i = 0, l = element.childNodes.length; i < l; ++i) {\n      if (element.childNodes[i].nodeType == 1 && classNameMatcher.test(element.childNodes[i].className)) {\n        return element.childNodes[i];\n      }\n    }\n  },\n  getMainClassName : function(element) {\n    return element.className.substring(0, element.className.indexOf(' '));\n  },\n  getMarker : function(element) {\n    return element.className.substring(this.classPrefix.length - 1, element.className.indexOf(' '));\n  },\n  redefineActivation : function() {\n    if (!$('body').hasClassName('inlinebody') && !$('body').hasClassName('editbody')) {\n      return;\n    }\n\n    // Make sure only one trigger is visible at a time;\n    // Hide the triggers of the containers of the topmost hovered element\n    $$(this.editableGroupSelector).each(function(group){\n      group.observe('mouseover', function(event){\n        var cleanClassPrefix = this.getMainClassName(group);\n        var triggerID = cleanClassPrefix + '-trigger';\n        var trigger = $(triggerID);\n        if (this.fastUp(Event.element(event), this.editableGroupSelector.substring(1)) == group) {\n          group.removeClassName(cleanClassPrefix + '-unhover');\n        } else {\n          if(this.fastDown(this.fastDown(group, "colorthemewizard-trigger"), "colorthemewizard-picker").style.display != 'block') {\n            group.addClassName(cleanClassPrefix + '-unhover');\n          }\n        }\n      }.bindAsEventListener(this));\n\n      // Enable "tooltips"\n      var trigger = $(this.fastDown(group, this.triggerSelector.substring(1)));\n      trigger.observe('mouseover', function(event) {\n        if (this.fastDown(trigger, this.pickerSelector.substring(1)).style['display'] == 'none') {\n          this.fastDown(trigger, this.tipSelector.substring(1)).style['display'] = 'block';\n        }\n      }.bindAsEventListener(this));\n      trigger.observe('mouseout', function(event) {\n        if (this.fastDown(trigger, this.pickerSelector.substring(1)).style['display'] != 'none' ||\n          (!event.toElement ||\n             !($(event.toElement).descendantOf(parent) || event.toElement == parent)\n          )\n        ) {\n          this.fastDown(trigger, this.tipSelector.substring(1)).style['display'] = '';\n        }\n      }.bindAsEventListener(this));\n      // Display pickers when clicking on the triggers\n      trigger.observe('click', this.displayPicker.bindAsEventListener(this, trigger));\n      // Hide pickers when pressing 'Esc'\n      if (Prototype.Browser.IE || Prototype.Browser.WebKit) {\n        shortcut.add('Esc', this.hidePicker.bindAsEventListener(this, trigger), {type: 'keyup'});\n      } else {\n        shortcut.add('Esc', this.hidePicker.bindAsEventListener(this, trigger), {type: 'keypress'});\n      }\n\n      // Create close buttons for each picker\n      var picker = $(this.fastDown(trigger, this.pickerSelector.substring(1)));\n      var closeButton = new Element('div', {'class' : 'close-button', 'title' : "$services.localization.render('xe.themes.colors.wizard.close')"}).update('X');\n      picker.insert({top: closeButton});\n      closeButton.observe('click', this.hidePicker.bindAsEventListener(this, this.fastUp(closeButton, this.triggerSelector.substring(1))));\n      // To override the no-script activation css rule (hover), hide the pickers from the inline style;\n      picker.style['display'] = 'none';\n    }.bind(this));\n  },\n  displayPicker : function(event, trigger) {\n    if (event) {\n      Event.stop(event);\n      if (event.element() != trigger) {\n        return;\n      }\n    }\n    // First hide open pickers\n    $$(this.visibleTriggerSelector).each(function(item){\n      this.hidePicker(null, item);\n    }.bind(this));\n    trigger.addClassName(this.visibleTriggerSelector.substring(1));\n    // Keep the trigger and the picker\n    this.fastDown(trigger, this.pickerSelector.substring(1)).style['display'] = 'block';\n    // Hide tooltip\n    this.fastDown(trigger, this.tipSelector.substring(1)).style['display'] = '';\n  },\n  hidePicker : function(event, trigger) {\n    if (event) {\n      Event.stop(event);\n    }\n    trigger.removeClassName(this.visibleTriggerSelector.substring(1));\n    this.fastDown(trigger, this.pickerSelector.substring(1)).style['display'] = 'none';\n\n    // Reset undo button values to the ones prior to the picker display\n    trigger.select('input[type=text]').each(function(input) {\n      input._x_undoButton._x_value = input.value;\n      // This should be done by procolor, but it fails to observe some changes:\n      if (/Color$/.test(input.id)) {\n        input.style['backgroundColor'] = input.value;\n        if (ProColor) {\n          var textColor = ProColor.prototype.computeTextColor(ProColor.prototype.decodeHexColor(input.value));\n          textColor = '#' + textColor.r.toColorPart() + textColor.g.toColorPart() + textColor.b.toColorPart();\n          input.style['color'] = textColor;\n        }\n      }\n      input._x_undoButton.style.visibility = "hidden";\n    }.bind(this));\n  },\n  attachChangeListeners : function() {\n    var monitoredEvents = ['keyup', 'keypress', 'procolor:changed', 'procolor:closed'];\n    $$(this.maquetteSelector + ' input[type=text]').each(function(item) {\n      monitoredEvents.each(function(monitoredEvent) {\n        item.observe(monitoredEvent, this.inputValueChanged.bindAsEventListener(this, item));\n      }.bind(this));\n      // Create undo buttons\n      item._x_undoButton = new Element('button', {'class' : 'undo', 'title' : "$services.localization.render('xe.themes.colors.wizard.undo')"}).update("$services.localization.render('xe.themes.colors.wizard.undo')");\n      item._x_undoButton._x_input = item;\n      item._x_undoButton._x_value = item.value;\n      item._x_undoButton.style.visibility = "hidden";\n      item.insert({after : item._x_undoButton})\n      item._x_undoButton.observe('click', function(event){\n        item.value = item._x_undoButton._x_value;\n        this.inputValueChanged(null, item);\n        if (ProColor) {\n          // Calling the "colorSync" function attached to the procolor button adjacent to the input field.\n          item.adjacent("a")[0].colorSync(false);\n        }\n        item._x_undoButton.style.visibility = "hidden";\n      }.bindAsEventListener(this));\n    }.bind(this));\n\n    // Listen to clicks on the form reset button and recompute the style on reset\n    // (!) We don't listen to the 'reset' event on the form; because apparently this\n    //     event is sent before the actual reset is done...\n    //     Instead, listen to click on the reset buton, stop the event, call form.reset()\n    //     and then update the styles from the maquette.\n\n    $$('input[type=reset]').each(function(btn) {\n      btn.observe('click', function(event) {\n        event.stop();\n        btn.form.reset();\n        $$(this.maquetteSelector + ', ' + this.maquetteSelector + ' *').each(function(item) {\n          this.refreshStyle(item);\n        }.bind(this));\n        // Reset the inputs' background color\n        if (ProColor) {\n          $$(this.pickerSelector + ' input[type=text]').each(function(item) {\n            // Calling the "colorSync" function attached to the procolor button adjacent to the input field.\n            var proColorButton = item.adjacent("a")[0];\n            if (proColorButton != undefined) {\n              proColorButton.colorSync(false);\n            }\n          });\n        }\n      }.bindAsEventListener(this));\n    }.bind(this));\n  },\n  retrievePropertyName : function(inputName) {\n    // Expected name: className_objectNumber_propertyName\n    return inputName.substring(this.inputNamePrefix.length);\n  },\n  inputValueChanged : function(event, input) {\n    // The theme property edited in this field, e.g. textColor\n    var propName = this.retrievePropertyName(input.name);\n    if (propName == this.logoProperty) {\n       if (input.value.strip() != '') {\n         $(this.logoSelector).src = this.wrapImagePropertyValue(propName, input.value);\n       } else {\n         $(this.logoSelector).src = this.defaultLogoURl;\n       }\n    } else {\n      // The CSS classname identifying the elements affected by this property, e.g. colorthemewizard-textColor\n      var affectedElementsClassname = this.classPrefix + propName;\n      $$(affectedElementsClassname).each(function(item) {\n        this.refreshStyle(item);\n      }.bind(this));\n    }\n    input._x_undoButton.style.visibility = "visible";\n  },\n  refreshStyle : function(item) {\n    if (this.propertyMap[this.getMarker(item)]) {\n      this.propertyMap[this.getMarker(item)].cssProperties.each(function(prop) {\n        var value = '';\n        this.propertyMap[this.getMarker(item)][prop].each(function(themeProp) {\n          var input = $(this.inputNamePrefix + themeProp);\n          var propvalue = '';\n          if (input) {\n            propvalue = input.value;\n          }\n          if (!propvalue || propvalue == ''){\n            propvalue = this.defaultValues[themeProp];\n            // Old themes don't have values for gradients. Also images are theme dependant, so gradient colors and images are not inherited from DefaultColorTheme\n            if ((themeProp.indexOf('Gradient') >= 0) || (themeProp.indexOf('Image') >= 0)) {\n              propvalue = '';\n            }\n          }\n          if (propvalue && propvalue != '') {\n            value += ' ' + this.wrapCSSPropertyValue(themeProp, propvalue);\n          }\n        }.bind(this));\n        value = value.strip();\n        if (value != '') {\n          try {\n            if (prop === 'backgroundImage') {\n              // Gradients need a special wrapping to assure cross browser support (adding browser specific sufixes)\n              value = this.wrapGradients(value);\n              item.style.cssText = item.style.cssText + ' ' + value;\n            }\n            else {\n              item.style[prop] = value;\n            }\n          } catch (exception) {\n            // Ignore invalid values, for example when the user is typing and the value is still incomplete\n          }\n        }\n      }.bind(this));\n    }\n  },\n  wrapGradients : function(value) {\n    #set($gradient1Placeholder = '__gradient1__name__placeholder__')\n    #set($gradient2Placeholder = '__gradient2__name__placeholder__')\n    var gradient1PlaceholderRegEx = new RegExp("$gradient1Placeholder",'g');\n    var gradient2PlaceholderRegEx = new RegExp("$gradient2Placeholder",'g');\n    ## #css3_backgroundLinearGradient macro (defined in macros.vm) used for the majority of browsers (FF, Chrome, Opera, IE10) that support CSS3 properties\n    #set($backgroundLinearGradientRaw= "#css3_backgroundLinearGradient({\n         'to': 'bottom',\n         'colors': [\n          {'color': ${gradient1Placeholder}, 'position': '0%'},\n          {'color': ${gradient2Placeholder}, 'position': '100%'}\n        ]\n      })")\n    var backgroundLinearGradient = "$escapetool.javascript($backgroundLinearGradientRaw)";\n    ## #css_filterGradient macro (defined in macros.vm) used for the IE8, IE9 browsers that don t support CSS3 properties\n    #set($filterGradientRaw= "#css_filterGradient(${gradient1Placeholder}, ${gradient2Placeholder})")\n    var filterGradient = "$escapetool.javascript($filterGradientRaw)";\n    ## Gradients are using 2 values that are passed to the suggested macros\n    var gradientValues = value.split(' ');\n    if (gradientValues.size() >= 2) {\n      if (gradientValues[0] != '' && gradientValues[1] != '') {\n        var constructedStyle = backgroundLinearGradient.replace(gradient1PlaceholderRegEx,gradientValues[1]).replace(gradient2PlaceholderRegEx,gradientValues[0]);\n        ## for IE browsers\n        constructedStyle = constructedStyle + filterGradient.replace(gradient1PlaceholderRegEx,gradientValues[1]).replace(gradient2PlaceholderRegEx,gradientValues[0]);\n        return constructedStyle;\n      }\n    }\n    // Other values remain unchanged\n    return value;\n  },\n  wrapCSSPropertyValue : function(propName, value) {\n    // Images need to be referenced using 'url()' and their full path\n    if (propName.indexOf('Image') >= 0) {\n      return 'url(' + this.wrapImagePropertyValue(propName, value) + ')';\n    }\n    // Other values remain unchanged\n    return value;\n  },\n  wrapImagePropertyValue : function(propName, value) {\n    // Images need to be referenced using their full path\n    if (propName.indexOf('Image') >= 0) {\n      // An url template is generated from velocity;\n      // in js, replace the attachmentNamePlaceholder with the actual attachment name given as a parameter\n      #set($attachmentNamePlaceholder = '__attachment__name__placeholder__')\n      return "${xwiki.getAttachmentURL(${request.themeDoc}, ${attachmentNamePlaceholder})}".replace("$attachmentNamePlaceholder", value);\n    }\n    // Other values remain unchanged\n    return value;\n  },\n  // for debug only, to be removed\n  info : function(message) {\n    new XWiki.widgets.Notification(message, 'info', {timeout : false});\n  }\n});\n\ndocument.observe('xwiki:dom:loaded', function(){\n  /** Force ProColor to fire an event when changing the input value */\n  if (ProColor) {\n    ProColor.prototype.options.onChanged = function(t, evtname) {\n      Event.fire(t.input || t, 'procolor:changed');\n    };\n    ProColor.prototype.options.onClosed = function(t, evtname) {\n      Event.fire(t.input || t, 'procolor:closed');\n    };\n    ProColor.prototype.options.onCancelClick = function(t, evtname) {\n      Event.fire(t.input || t, 'procolor:closed');\n    };\n  }\n\n  new XWiki.editors.ColorThemeWizard();\n});
-6953773984597868539	code	#template('colorThemeInit.vm')\n##\n## Velocity stuff\n##\n## Widgets color scheme\n#set($widgetsColors = {\n  'text'           : '#000',\n  'border'         : '#999',\n  'background'     : '#EEE',\n  'tipBackground'  : '#FEB',\n  'activeBorder'   : '#333',\n  'selectedBorder' : '#F60'\n})\n##\n## Define a mapping between:\n## - elements and the color theme properties that affect them: $elementStylingPropertyMap\n## - elements and the color theme properties are configured from them: $elementPropertyMap\n## to be used in both CSS-only version and JavaScript-enhanced version\n#includeTopic('ColorThemes.WizardPropertyMapping')\n##\n## CSS Selectors specific to IE versions\n#set($ie6 = '* html')\n#set($ie7 = '*+html')\n##\n## Elements with large padding.\n#set($paddedElements = ['mainmenu', 'panelheader', 'panelcontents', 'collapsedpanel', 'contentmenu', 'textlink', 'titlebox', 'info', 'details', 'highlight'])\n## Elements without padding.\n#set($notPaddedElements = ['headerbox', 'boxes', 'buttonbox', 'secondaryButtonbox', 'extratabs'])\n## Large containers.\n#set($largeContainers = ['page', 'content'])\n##\n##\n## CSS stuff\n##\n##\n/*==========================================\n *\n *  Generic stuff\n *\n *==========================================\n */\n/* Form reset */\n.colorthemewizard-reset {\n  text-align: right;\n}\n.colorthemewizard-reset input {\n  border: none;\n  padding: 4px 0 4px 18px;\n  background: transparent url("$xwiki.getSkinFile('icons/silk/cancel.png')") left center no-repeat;\n  color: $theme.linkColor;\n  cursor: pointer;\n}\n.colorthemewizard-reset input:hover {\n  text-decoration: underline;\n}\n/*\n * Palette triggers and pickers\n */\n/* The trigger is a small icon that appears in the corner of an editable element. */\n.colorthemewizard-trigger {\n  /* Initially hidden, will be displayed when hovering over the target element */\n  display: none;\n  position: absolute;\n  ##top: 0;\n  bottom: 0;\n  left: 0;\n  z-index: 9998;\n  width: 18px;\n  height: 18px;\n  background: $widgetsColors.background url("$xwiki.getSkinFile('icons/silk/palette.png')") 1px 1px no-repeat;\n  border: 1px outset $widgetsColors.border;\n  cursor: pointer;\n  /* Overrides styles inherited from the parent elements. */\n  text-transform: none;\n  font-size: x-small;\n  color: $widgetsColors.text;\n  font-weight: normal;\n  font-style: normal;\n}\n.colorthemewizard-trigger-visible {\n  background: transparent;\n  border: 0 none;\n  display: block;\n  z-index: 10000;\n}\n/* While for most elements the trigger is in the upper left corner, for large containers it is placed at the bottom left. */\n#foreach($i in $largeContainers)\n#colorthemewizard-${i}-trigger,\n#colorthemewizard-${i}-trigger .colorthemewizard-picker {\n  top: auto;\n  bottom: 0 !important;\n}\n#end\n/* In IE6/7 the z-index property does not properly work with positioned elements, thus we don't use absolute positioning. */\n#foreach($ie in [$ie6, $ie7])\n$ie .colorthemewizard-trigger {\n  top: auto !important;\n  left: auto !important;\n  bottom: auto !important;\n  margin: -18px 0 0 !important;\n}\n#foreach($i in $paddedElements)\n#if($velocityCount > 1),\n#end$ie #colorthemewizard-${i}-trigger#end {\n  margin-top: -15px !important;\n}\n#end\n/* The picker is an area containing various value selectors for theme properties, displayed when activating the trigger. */\n.colorthemewizard-picker {\n  /* Initially hidden, will be displayed when activating the trigger */\n  display: none;\n  position: absolute;\n  ## /* The picker element is inside the trigger element, in HTML. Because the trigger has a 1px border, shift the picker to\n  ##    overlap the border. */\n  ## top: -1px;\n  /* Place the picker under the trigger, so that the element being edited remains visible */\n  top: 19px;\n  left: -1px;\n  /* Z-index higher than the triggers', to prevent other triggers from appearing through the visible pickers. */\n  z-index: 9999;\n  background: $widgetsColors.background url("$xwiki.getSkinFile('icons/silk/palette.png')") 1px 1px no-repeat;\n  border: 1px solid $widgetsColors.border;\n  padding: 6px;\n  width: 160px;\n  cursor: default;\n}\n.colorthemewizard-panelheader:hover .colorthemewizard-picker {\n  top: 18px;\n}\n.colorthemewizard-picker .close-button {\n  cursor: pointer;\n  font-weight: bold;\n  position:absolute;\n  right: 4px;\n  top: 4px;\n}\n.colorthemewizard-picker input {\n    width: 100%;\n}\n.colorthemewizard-picker .procolor {\n    width: 92px;\n}\n/* A picker displays selectors for several properties, each one placed in it's own section. */\n.colorthemewizard-picker-section {\n  margin: 12px 0;\n}\n\n.colorthemewizard-trigger label {\n  display: block;\n  font-weight: bold;\n}\n.colorthemewizard-trigger label .more-details {\n  display: block;\n  font-weight: normal;\n  font-size: 0.9em;\n  line-height: 1.2em;\n}\n/* The tip is an informative text concerning the properties that can be edited from each element */\n.colorthemewizard-tip {\n  /* Initially hidden. Not visible in the CSS-only version, because there the picker already shows up on hover.\n     Will be displayed as a tooltip via js.*/\n  display: none;\n  position: absolute;\n  top: -1px;\n  left: 20px;\n  width: 200px;\n  padding: 4px 6px 4px 24px;\n  background: $widgetsColors.tipBackground url("$xwiki.getSkinFile('icons/silk/information.png')") 5px 5px no-repeat;\n  border: 1px outset $widgetsColors.border;\n}\n.colorthemewizard-tip ul {\n  margin: 0;\n  font-weight: bold;\n}\n.colorthemewizard-tip ul .more-details {\n  font-weight: normal;\n}\n/* Undo button : resets the value of the correspunding input. Only available in the JS version */\n.colorthemewizard-picker .undo {\n  width: 18px;\n  height: 18px;\n  background: $widgetsColors.background url("$xwiki.getSkinFile('icons/silk/arrow_undo.png')") center center no-repeat;\n  border: 1px solid $widgetsColors.background;\n  text-indent: -1000em;\n  cursor: pointer;\n  margin: 0 4px;\n  padding: 0;\n}\n.colorthemewizard-picker .undo:hover {\n  border: 1px outset $widgetsColors.border;\n}\n/* Enable the palette trigger for each editable element. */\n#foreach($element in $elementPropertyMap.keySet())\n#if($velocityCount != 1),\n#end\n.inlinebody .colorthemewizard-${element}:hover #colorthemewizard-${element}-trigger, .editbody .colorthemewizard-${element}:hover #colorthemewizard-${element}-trigger#end\n {\n  display: block;\n  /* When hovering the element, a border is displayed reducing 2px from the padding. The triggers are shifted to compensate this difference. */\n  margin: -2px;\n}\n/* Display the picker when hovering the trigger. */\n.colorthemewizard-trigger:hover .colorthemewizard-picker {\n  display: block;\n}\n\n/* All ".colorthemewizard-editable-group"s have this style. */\n.colorthemewizard-editable-group {\n  position: relative;\n  overflow: visible;\n  cursor: default;\n}\n/* In IE6/7 the z-index property does not properly work with positioned elements, thus we don't use positioning. */\n#foreach($ie in [$ie6, $ie7])\n$ie .colorthemewizard-editable-group {\n  position: static;\n}\n#end\n/* Re-redefine the position in IE6/7 for large containers, which can be positioned. */\n#foreach($i in $largeContainers)\n#body .colorthemewizard-${i} {\n  position: relative;\n}\n#end\n\n/* Set the padding and border for padded elements. */\n#foreach($i in $paddedElements)\n#if($velocityCount > 1),\n#end.colorthemewizard-$i#end {\n  padding: 3px 10px;\n}\n#foreach($i in $paddedElements)\n#if($velocityCount > 1),\n#end.inlinebody .colorthemewizard-$i:hover, .editbody .colorthemewizard-$i:hover#end {\n  padding: 1px 8px;\n  border: 2px dotted $widgetsColors.selectedBorder !important;\n}\n/* For IE6/7, where the trigger is not absolutely positioned, we must shift it to overlap the padding. */\n#foreach($ie in [$ie6, $ie7])\n#foreach($i in $paddedElements)\n#if($velocityCount > 1),\n#end$ie #colorthemewizard-${i}-trigger#end {\n  margin-left: -10px !important;\n}\n#end\n/* Set the margin and border for not padded elements. */\n#foreach($i in $notPaddedElements)\n#if($velocityCount > 1),\n#end.colorthemewizard-$i#end {\n  padding: 2px;\n}\n#foreach($i in $notPaddedElements)\n#if($velocityCount > 1),\n#end.inlinebody .colorthemewizard-$i:hover, .editbody .colorthemewizard-$i:hover#end {\n  padding: 0;\n  border: 2px dotted $widgetsColors.selectedBorder;\n}\n/* Set the border for large containers. */\n#foreach($i in $largeContainers)\n#if($velocityCount > 1),\n#end.inlinebody .colorthemewizard-$i:hover, .editbody .colorthemewizard-$i:hover#end {\n  border: 2px dotted $widgetsColors.selectedBorder;\n}\n\n#foreach($i in $largeContainers)\n.inlinebody .colorthemewizard-${i}-unhover, .editbody .colorthemewizard-${i}-unhover {\n  border-color: $widgetsColors.border !important;\n}\n#end\n#foreach($i in $largeContainers)\n.colorthemewizard-${i}-unhover #colorthemewizard-${i}-trigger {\n  display: none !important;\n}\n#end\n/*==========================================\n *\n *  Maquette layout\n *\n * (!) No colors are defined for the elements in this stylesheet.\n *     All the colors are set through inline style, using the\n *     properties of the color theme being edited.\n *\n *==========================================\n */\n/*\n * Page\n */\n.colorthemewizard-page {\n  font-size: 0.75em;\n  padding: 0;\n  /* 'Invisible' border. */\n  border: 2px solid $theme.pageContentBackgroundColor;\n}\n.inlinebody .colorthemewizard-page, .editbody .colorthemewizard-page {\n  border: 2px dotted $theme.pageContentBackgroundColor; ## $widgetsColors.activeBorder;\n}\n/* Do not shift the page trigger, since there is no change in this element's padding on hover. */\n.inlinebody .colorthemewizard-page:hover #colorthemewizard-page-trigger, .editbody .colorthemewizard-page:hover #colorthemewizard-page-trigger {\n  margin: 0;\n}\n/* Display the tip above the bottom of the page */\n#colorthemewizard-page-trigger .colorthemewizard-tip {\n  top: auto;\n  bottom: 0;\n}\n/*\n * Menu\n */\n.colorthemewizard-mainmenu,\n.colorthemewizard-contentmenu {\n  text-transform: uppercase;\n  font-weight: bold;\n  /* Re-define the padding, to also apply to the contentmenu, which is not an editable element. */\n  padding: 3px 10px;\n}\n.colorthemewizard-menuentry {\n  padding: 0 0.25em;\n}\n.colorthemewizard-menuaddentry {\n  padding: 3px 0.5em;\n}\n/*\n * Header\n */\n/* The border for the header is on the outside to prevent from shifting the header background image. */\n.colorthemewizard-headerbox {\n  margin: -2px;\n}\n/* The header trigger needs extra-shifting to align with the menu trigger, since the headerbox has a -2px margin. */\n#colorthemewizard-headerbox-trigger {\n  margin: 2px;\n}\n.inlinebody .colorthemewizard-headerbox:hover #colorthemewizard-headerbox-trigger, .editbody .colorthemewizard-headerbox:hover #colorthemewizard-headerbox-trigger {\n  margin: 0;\n}\n/*\n * Panels\n */\n.colorthemewizard-panels {\n  float: left;\n  width: 150px;\n  padding: 9px 7px;\n}\n/* IE6 box model discrepancies fix. */\n$ie6 .colorthemewizard-panels {\n  width: 164px;\n}\n\n.colorthemewizard-panelheader {\n  padding-bottom: 2px;\n  border-bottom: 1px dotted;\n}\n\n.colorthemewizard-panelheader,\n.colorthemewizard-collapsedpanel {\n  text-transform: uppercase;\n  font-weight: bold;\n}\n.colorthemewizard-collapsedpanel {\n  margin: 7px 0 0 0;\n}\n/*\n * Main column (content + tabs)\n */\n.colorthemewizard-maincolumn {\n  margin: 0 7px 0 170px;\n}\n/*\n * XWiki content\n */\n.colorthemewizard-content {\n  margin: 9px 2px;\n}\n/* Reduce 2px from the margin to make room for the border. */\n.inlinebody .colorthemewizard-content:hover, .editbody .colorthemewizard-content:hover {\n  margin: 7px 0;\n}\n\n/* In IE7 a strange float bug occurs: the content overlaps the extra tabs area when not hovering. A transparent bottom border seems to fix it. */\n$ie7 .colorthemewizard-content {\n  border-bottom: 1px solid transparent;\n}\n/* Do not shift the page trigger, since there is no change in this element's padding on hover. */\n.inlinebody .colorthemewizard-content:hover #colorthemewizard-content-trigger, .editbody .colorthemewizard-content:hover #colorthemewizard-content-trigger {\n  margin: 0;\n}\n.colorthemewizard-xwikicontent {\n  padding: 10px;\n}\n/*\n * Page title\n */\n.colorthemewizard-title {\n  margin: 0;\n  padding: 0;\n  font-size: 2em;\n  font-weight: bold;\n}\n/* Move the elements under the title closer to the title. */\n.colorthemewizard-info,\n.colorthemewizard-details {\n  margin-top: -3px;\n  font-size: 0.9em;\n}\n.colorthemewizard-info {\n  float: left;\n}\n.colorthemewizard-details {\n  float: right;\n}\n/* The details element is aligned to the right. Its picker and tooltip will be expanded towards the left in order to fit inside the page. */\n#colorthemewizard-details-picker {\n  left: auto;\n  right: 20px;\n}\n#colorthemewizard-details-trigger .colorthemewizard-tip {\n  left: auto;\n  right: 20px;\n}\n.colorthemewizard-message {\n  margin: 0 0 1em;\n  padding: 8px 8px 8px 22px;\n  /* Rules set with !important so they won't be overwritten by the inline background rule */\n  background-image: url($xwiki.getSkinFile('icons/silk/information.png')) !important;\n  background-position: 2px center !important;\n  background-repeat: no-repeat !important;\n  border: 1px dotted;\n}\n/* This fixes the IE7 hover bug, when hover occurs only when hovering the text inside an element, not its background/padding/border. */\n$ie7 .colorthemewizard-message, *+html .colorthemewizard-message * {\n  zoom: 1;\n}\n.colorthemewizard-boxes,\n.colorthemewizard-highlighted,\n.colorthemewizard-textlink {\n  margin: 1em 0;\n}\n.colorthemewizard-link{\n  text-decoration: underline;\n}\n.colorthemewizard-table {\n  margin: 0 !important;\n}\n.colorthemewizard-button,\n.colorthemewizard-secondaryButton {\n  text-transform: uppercase;\n  font-weight: bold;\n  font-size: 0.9em;\n  border: none;\n  padding: 3px 8px;\n  margin: 0;\n}\n.colorthemewizard-buttonbox,\n.colorthemewizard-secondaryButtonbox {\n  float: left;\n  margin: 9px 6px;\n  display: inline;\n}\n/* IE7 has a cloned-margin bug on floated input elements. */\n$ie7 .colorthemewizard-buttonbox,\n$ie7 .colorthemewizard-secondaryButtonbox {\n##  float: none;\n}\n/*\n * Extra tabs - comments/attachments/history/information\n */\n.colorthemewizard-extratabs {\n  margin: 0 2px 9px;\n}\n.colorthemewizard-tabshead {\n  padding: 3px 10px 0;\n  font-weight: bold;\n  text-transform: uppercase;\n}\n.colorthemewizard-tabscontent {\n  padding: 10px;\n}\n.colorthemewizard-tabentry,\n.colorthemewizard-tabentryactive {\n  display: inline-block;\n  padding: 1px 5px 3px;\n  margin-bottom: -3px;\n}\n\n/*==========================================\n *\n *  Property pickers\n *\n *==========================================\n */\n/*\n * Color palette\n */\n.colorthemewizard-palette table tbody {\n  border: 1px solid $widgetsColors.border;\n}\n.colorthemewizard-palette table tr {\n  margin: 0;\n  padding: 0;\n  border: none;\n}\n.colorthemewizard-palette table td {\n  margin: 0;\n  padding: 1px;\n  border: none;\n}\n.colorthemewizard-palette a {\n  display: block;\n  width: 18px;\n  height: 18px;\n  border: 1px solid $widgetsColors.background;\n}\n.colorthemewizard-palette a:hover {\n  border: 1px solid $widgetsColors.selectedBorder;\n}\n.colorthemewizard-palette a.current {\n  border: 1px solid $widgetsColors.activeBorder;\n}\n/*  Palette Colors */\n#includeTopic('ColorThemes.WizardWebColors')\n##\n##\n#set($lastColorIndex = $webColors.size() - 1)\n#foreach($colorID in [0..$lastColorIndex])\n.colorthemewizard-palette a.color${colorID} {\n  background-color: $webColors.get($colorID);\n}\n#end\ninput.procolor {\n  background-image: none;\n}
-2418905723979244200	code	#template('colorThemeInit.vm')\n.x-theme {\n  border: 1px dotted $theme.borderColor;\n  float: left;\n  margin: 0 1em 1em 0;\n  padding: 2px 4px;\n  width: 300px;\n  /* IE6 bugfix */\n  display: inline;\n}\n\n.x-theme-create {\n  background: url("$xwiki.getSkinFile('icons/silk/add.png')") no-repeat .2em center $theme.backgroundSecondaryColor;\n  border: 1px dotted $theme.borderColor;\n  display: inline-block;\n  padding: .5em .5em .5em 22px;\n  margin-bottom: 1em;\n}\n.x-theme-create .buttonwrapper {\n  margin: 0;\n}\n\n.current-theme {\n  background-color: $theme.highlightColor;\n}\n\n.x-theme .x-theme-title, .x-theme .x-theme-title span {\n  border: none;\n  font-size: 1.2em;\n  margin: 0 !important;\n  padding: 0 !important;\n}\n\n.x-theme-info {\n  margin-left: 60px;\n  color: $theme.textSecondaryColor;\n  font-size: .9em;\n}\n\n.x-theme-set {\n  font-size: 1.1em;\n  margin-top: .3em;\n}\n\n.x-demo-page {\n  float: left;\n  height: 60px;\n  margin: 0 4px;\n  position: relative;\n  width: 50px;\n}\n\n* html .x-demo-page {\n  border: 1px inset #000;\n  width: 52px;\n}\n\n.x-demo-page * {\n  line-height: 1px;\n  overflow: hidden;\n  position: absolute;\n}\n\n.x-demo-top-menu, .x-demo-panel-header {\n  left: 0;\n  height: 3px;\n  top: 0;\n  width: 50px;\n}\n\n.x-demo-header {\n  left: 0;\n  height: 8px;\n  top: 3px;\n  width: 50px;\n}\n\n.x-demo-right-panel {\n  height: 24px;\n  top: 12px;\n  width: 12px;\n  right: 2px;\n}\n\n.x-demo-panel-header {\n  border-bottom: 1px dotted;\n  width: 12px;\n}\n\n.x-demo-panel-header-text, .x-demo-panel-text1, .x-demo-panel-text2, .x-demo-panel-text3 {\n  height: 1px;\n  left: 2px;\n  top: 1px;\n  width: 8px;\n}\n\n.x-demo-panel-text1 {\n  top: 4px;\n}\n\n.x-demo-panel-text2 {\n  top: 7px;\n}\n\n.x-demo-panel-text3 {\n  top: 10px;\n}\n\n.x-demo-panel-contents {\n  height: 20px;\n  top: 4px;\n  width: 12px;\n}\n\n.x-demo-page-content {\n  height: 40px;\n  left: 2px;\n  overflow: hidden;\n  top: 12px;\n  width: 32px;\n}\n\n.x-demo-title {\n  height: 2px;\n  left: 3px;\n  top: 3px;\n  width: 22px;\n}\n\n.x-demo-text1, .x-demo-text2, .x-demo-text3, .x-demo-text4, .x-demo-text5 {\n  height: 1px;\n  left: 3px;\n  top: 7px;\n  width: 26px;\n}\n\n.x-demo-text2 {\n  top: 10px;\n}\n\n.x-demo-text3 {\n  top: 13px;\n}\n\n.x-demo-text4 {\n  top: 16px;\n}\n\n.x-demo-text5 {\n  top: 19px;\n}
-9108728894848501578	codeToExecute	{{include reference="Mail.GeneralMailConfigSheet" /}}
-4039664564421777869	codeToExecute	{{include reference="Mail.SendMailConfigSheet" /}}
3193224639151033195	codeToExecute	{{include reference="Mail.SendMailStatus" /}}
-7284074232723012561	code	var ExtraData = (function (ExtraData) {\n  var tools = ExtraData.tools = ExtraData.tools || {};\n  tools.Editor = Class.create({\n    initialize : function () {\n      $$('.extradata-list a.delete').invoke('observe', 'click', this.ajaxDeleteData.bindAsEventListener(this));\n      $$('.extradata-list a.reject').invoke('observe', 'click', this.ajaxRejectData.bindAsEventListener(this));\n      $$('.list-actions a.add').invoke('observe', 'click', this.ajaxAddData.bindAsEventListener(this));\n      $$('.list-actions a.add').invoke('observe', 'extradata:reject-add', this.ajaxAddData.bindAsEventListener(this));\n    },\n    ajaxDeleteData : function (event) {\n      event.stop();\n      var deleteTrigger = event.element();\n      if (deleteTrigger.disabled) {\n         return;\n      }\n      new XWiki.widgets.ConfirmedAjaxRequest(deleteTrigger.href, {\n        onCreate : function() {\n          deleteTrigger.disabled = true\n        },\n        onSuccess : function() {\n          var dataRow = deleteTrigger.up('tr:not(.head-group)');\n          var dataTable = deleteTrigger.up('table.extradata-list');\n          if (dataRow) {\n            dataRow.remove();\n            Event.fire(dataTable, 'extradata:deleted', {'element' : dataRow});\n          }\n          if (dataTable) {\n            var i = 1;\n            dataTable.select('th.row-count').each(function(item) {\n              item.update((i++));\n            });\n            Event.fire(document, 'xwiki:dom:updated', {'elements' : [dataTable]});\n          }\n        },\n        onComplete : function() {\n          deleteTrigger.disabled = false;\n        }\n      },\n      {\n         confirmationText : "$services.localization.render('phenotips.tableMacros.rowDeleteConfirmation')"\n      });\n    },\n    ajaxAddData : function (event) {\n      event.stop();\n      var addTrigger = event.element();\n      if (addTrigger.disabled) {\n         return;\n      }\n      var classname = '';\n      try {\n        var classname = /classname=([^&]+)/.exec(addTrigger.href)[1];\n      } catch (err) {\n         new XWiki.widgets.Notification('Cannot add data: type not found', 'error');\n         return;\n      }\n      var dataTable = addTrigger.up('.list-actions').previous('table[id^="extradata-list-' + classname + '"]');\n      if (!dataTable) {\n        new XWiki.widgets.Notification("$services.localization.render('phenotips.tableMacros.listNotFound')" + ' ' + classname, 'error');\n      }\n      var propertyName = addTrigger.href.replace(/.*&xredirect=.*propertyName=([^&]*).*/, '$1') || '';\n      var propertyValue = addTrigger.href.replace(/.*&xredirect=.*propertyValue=([^&]*).*/, '$1') || '';\n      var addedDisplaySheet = addTrigger.href.replace(/.*&xredirect=.*addedDisplaySheet=([^&]*).*/, '$1') || '';\n      var rejectToClass = Element.readAttribute(dataTable, 'data-reject-to-class') || '';\n      var url = addTrigger.href.replace(/(&xredirect=[^&]*)/m, '$1' + encodeURIComponent('?xpage=plain&xaction=lastentry&dataClassName=' + classname + '&withLabel=' + dataTable.hasClassName('withLabel') + '&propertyName=' + propertyName + '&propertyValue=' + propertyValue + (addedDisplaySheet ? '&sheet=' + addedDisplaySheet : '' + '&rejectToClass=' + rejectToClass))).replace(/#.*/m, '');\n      new Ajax.Request(url, {\n        onCreate : function() {\n          addTrigger.disabled = true\n          addTrigger._x_notif = new XWiki.widgets.Notification('Adding...', 'inprogress');\n        },\n        onSuccess : function (response) {\n          addTrigger._x_notif.hide();\n          var newRow = new Element('tr', {'class' : 'new'});\n          dataTable.down('tbody').insert(newRow);\n          if (dataTable.hasClassName('withCounter')) {\n            var idx = dataTable.select('.row-count').size() + 1;\n            newRow.insert(new Element('th', {'class' : 'row-count'}).update(idx));\n          }\n          newRow.insert(response.responseText);\n          newRow.down('a.delete').observe('click', this.ajaxDeleteData.bindAsEventListener(this));\n          newRow.down('a.reject') && newRow.down('a.reject').observe('click', this.ajaxRejectData.bindAsEventListener(this));\n          Event.fire(dataTable, 'extradata:added', {'element' : newRow});\n          Event.fire(document, 'xwiki:dom:updated', {'elements' : [newRow]});\n        }.bind(this),\n        onFailure : function(response) {\n          var failureReason = response.statusText;\n          if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n            failureReason = 'Server not responding';\n          }\n          if (addTrigger._x_notif) {\n            addTrigger._x_notif.replace(new XWiki.widgets.Notification("Failed: " + failureReason, "error"));\n          } else {\n            new XWiki.widgets.Notification(this.interactionParameters.failureMessageText + failureReason, "error");\n          }\n        },\n        on1223 : function(response) {\n          response.request.options.onSuccess(response);\n        },\n        on0 : function(response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          addTrigger.disabled = false\n        }\n      });\n    },\n    ajaxRejectData : function (event) {\n      event.stop();\n      var rejectTrigger = event.findElement('.reject');\n      if (rejectTrigger.disabled) {\n         return;\n      }\n      var transferToClass = rejectTrigger.getAttribute("data-bind");\n      new XWiki.widgets.ConfirmedAjaxRequest(rejectTrigger.href, {\n        onCreate : function() {\n          rejectTrigger.disabled = true\n        },\n        onSuccess : function() {\n          var dataRow = rejectTrigger.up('tr:not(.head-group)');\n          var dataTable = rejectTrigger.up('table.extradata-list');\n          if (dataRow) {\n            dataRow.remove();\n            Event.fire(dataTable, 'extradata:rejected', {'element' : dataRow, 'transferToClass' : transferToClass});\n            Event.fire(dataTable, 'extradata:deleted', {'element' : dataRow});\n          }\n          if (dataTable) {\n            var i = 1;\n            dataTable.select('th.row-count').each(function(item) {\n              item.update((i++));\n            });\n            Event.fire(document, 'xwiki:dom:updated', {'elements' : [dataTable]});\n          }\n        },\n        onComplete : function() {\n          rejectTrigger.disabled = false;\n        }\n      },\n      {\n         confirmationText : "$services.localization.render('phenotips.tableMacros.rejectConfirmation')"\n      });    \n    },\n  });\n  return ExtraData;\n}(ExtraData || {}));\n\ndocument.observe('xwiki:dom:loaded', function() {\n  new ExtraData.tools.Editor();\n})
-3844444139597722093	code	#template('colorThemeInit.vm')\ntable.extradata-list {\n    width: 100%;\n}\n.extradata-list td, .extradata-list th {\n    border: 1px solid $theme.backgroundSecondaryColor;\n    border-left: 1px solid $theme.pageContentBackgroundColor;\n    border-right: 1px solid $theme.pageContentBackgroundColor;\n}\n.extradata-list th.col-label {\n    font-weight: normal;\n    font-variant: small-caps;\n}\n.extradata th.col-label, .viewbody td {\n    text-align: center;\n}\n.viewbody td.comments, .editbody th.comments {\n    text-align: left;\n    border-right: 0 none;\n}\n.extradata-list th.row-count {\n    background: transparent;\n}\n.extradata-list th.row-count,\n.extradata-list td.start,\n.extradata-list td.end {\n    text-align: right;\n}\n.extradata-list td.start,\n.extradata-list td.end,\n.extradata-list td.band {\n    min-width: 6em;\n}\n.extradata-list th.comments {\n    min-width: 20em;\n}\n.extradata-list .xwiki-form-listclass {\n    display: block;\n    white-space: nowrap;\n}\n.extradata-list th.actions {\n  width: 24px;\n}\n.extradata-list th.actions .buttonwrapper {\n    display: block;\n    height: 2.3em;\n    position: relative;\n    margin: 0;\n}\n.extradata-list th.actions a.delete {\n  background-image: url("$xwiki.getSkinFile('icons/silk/cross.png')");\n}\n.extradata-list th.actions .add-data-button {\n    position: absolute;\n    right: 0;\n}\n.list-actions {\n  position: relative;\n  width: 50%;\n}\n.list-actions .buttonwrapper {\n  text-align: left;\n  margin: 0 !important;\n}\ntable.withLabel td, table.withLabel th {\n  border: 0 none;\n}\ntable.withLabel tr:first-child th {\n  display: none;\n}\n\n.extradata-list .file {\n  width: 160px;\n  max-width: 160px;\n}\n.extradata-list .file .attachment-list .attachment-item, .extradata-list .file .attachment-list .attachment-item input {\n  display: none;\n}\n.extradata-list .file .attachment-list .attachment-item.selected {\n  display: block;\n  width: 100%;\n}\n.extradata-list .file .attachment-list .attachment-item.image {\n  width: 150px !important;\n}\n.extradata-list .file .attachment-list .attachment-item.selected label {\n  padding: 3px 0 3px 20px;\n}\n.extradata-list .file .attachment-list .attachment-item.image label {\n  padding: 0 !important;\n}\n.extradata-list .file .attachment-list .attachment-item .attachment-preview {\n    width: 140px;\n}\n.extradata-list .file p img {\n  max-width: 480px !important;\n  max-height: 480px !important;\n}\n.extradata-list .file .attachment-list .attachment-item .view {\n  background-color: $theme.pageContentBackgroundColor;\n  bottom: 0;\n  padding: 5px;\n}\n.variant-info .extradata-list td {\n  text-align: left;\n}\n.variant-info .extradata-list td.chr {\n  text-align: center;\n}
-5142933733793134952	code	body .fa {\n  display: inline;\n  font-family: inherit;\n}\n.fa.fa-fw {\n  display: inline-block;\n}\n.fa:before {\n  display: inline-block;\n  font-family: FontAwesome;\n}\nbody .fa-spin, body .fa-pulse {\n  -webkit-animation: none;\n  animation: none;\n}\n.fa-spin:before {\n  display: inline-block;\n  -webkit-animation: fa-spin 2s infinite linear;\n  animation: fa-spin 2s infinite linear;\n}\n.fa-pulse:before {\n  -webkit-animation: fa-spin 1s infinite steps(8);\n  animation: fa-spin 1s infinite steps(8);\n}\n
-6348726566838501671	code	{{velocity output=false}}\n#set ($aliases = {\n  'public' : 'eye',\n  'private' : 'lock',\n  'hidden' : 'eye-slash',\n  'matchable' : 'search',\n  'open' : 'pencil-square-o',\n  'delete' : 'times'\n})\n#set ($iconName = $xcontext.macro.params.name)\n#if ($aliases.containsKey($iconName))\n  #set ($iconName = $aliases.get($iconName))\n#end\n#set ($supportedSizes = ['lg', '2x', '3x', '4x'])\n#set ($iconSize = $xcontext.macro.params.size)\n#if ($iconSize == 'large')\n  #set ($iconSize = 'lg')\n#end\n#if ($supportedSizes.contains($iconSize))\n  #set ($iconSize = "fa-${iconSize}")\n#else\n  #set ($iconSize = '')\n#end\n#set ($cssClass = $xcontext.macro.params.cssClass.replaceAll('"', '\\"'))\n#set ($text = " $!{xcontext.macro.content}")\n##\n## Pull the Font Awesome style\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')\n##\n{{/velocity}}{{velocity}}(% class="fa fa-$!iconName $!iconSize $!cssClass" title="$!{xcontext.macro.params.title}"%)$!{text}(%%){{/velocity}}
-6348726566838501671	contentDescription	The text to display next to the icon (optional)
-6348726566838501671	description	Inserts a Font Awesome icon
-4107477607535558306	description	The name of the icon. See the Font Awesome supported icons (http://fortawesome.github.io/Font-Awesome/icons) for a complete list.
-7379524742626007554	description	The size of the icon. Supported values: "large" (33% increase), "2x", "3x", "4x". By default, the icon size is the inherited font size.
7122393996290033201	description	A tooltip to display on hover.
-2077216384467554192	code	.yes-no-picker {\n  border: 1px solid #fff;\n  border-radius: 4px;\n  box-shadow: 0 0 10px #eee;\n  display: inline-block;\n  margin: 0 0.5em 0 0;\n  background: #fff;\n  position: relative;\n  cursor: pointer;\n  vertical-align: middle;\n  height: 20px;\n}\n.yes-no-picker label {\n  display: inline-block;\n  width: 20px !important;\n  height: 20px;\n  text-align: center;\n  overflow: hidden;\n  background: transparent none center center no-repeat;\n  box-shadow: inset 0 1px 2px #999;\n  font-size: .7em;\n  line-height: 20px !important;\n  cursor: pointer;\n  margin: 0px !important;\n  padding: 0px !important;\n  float: none !important;\n}\n#body .yes-no-picker label.highlighted {\n  background-color: #999;\n  color: #fff;\n  text-shadow: 0 1px 1px #000;\n}\n.yes-no-picker label.selected {\n  text-shadow: 0 1px 1px #000;\n}\n\n.yes-no-picker label:first-child {\n  border-top-left-radius: 4px;\n  border-bottom-left-radius: 4px;\n}\n\n.yes-no-picker label:last-child {\n  border-top-right-radius: 4px;\n  border-bottom-right-radius: 4px;\n}\n.yes-no-picker label.yes {\n  color: #000;\n  border-right: 1px solid #fff;\n  border-left: 1px solid #fff;\n}\n.yes-no-picker label.selected.yes {\n  background: #333;\n  color: #FFF;\n}\n\n.yes-no-picker label.no {\n  color: #a00;\n  border-left: 1px solid #fff;\n}\n.yes-no-picker label.semi-selected {\n  background-color: #ccc;\n}\n.yes-no-picker label.selected.no {\n  background: #a00;\n  color: #FFF;\n}\n.yes-no-picker label.na {\n  color: #888;\n  border-right: 4px solid #fff;\n}\n.yes-no-picker label.selected.na {\n  background-color: #888;\n  color: #fff;\n  cursor: default;\n}\n.yes-no-picker-label {\n  color: #777;\n}\n.yes-no-picker-label.yes-selected {\n  color: #000;\n}\n.yes-no-picker-label.no-selected {\n  color: #a00;\n  text-decoration: line-through;\n}
7213829870165562513	code	var XWiki = (function(XWiki) {\n  /** Handles the gallery buttons directly in the current page without reloading the window. */\n  XWiki.MultiImageSelector = Class.create({\n     DEDUPLICATION_PREFIX : "IMAGE_SELECTOR",\n     ENFORCE_POPUP_MARKER : "showmng",\n     CHECK_LASTATT_MARKER : "lastatt",\n    /**\n     * Constructor.\n     *\n     * @param dialog the modal dialog where the gallery was loaded\n     */\n    initialize : function(dialog, reloadTargetId, sourceList) {\n      this.dialog = dialog;\n      this.gallery = dialog.dialogBox;\n      this.list = this.gallery.down('.attachment-list');\n      this.sourceList = sourceList;\n      this.reloadTargetId = reloadTargetId;\n\n      this.filterFormUpload();\n      this.addDeleteListeners();\n      this.addCloseListener();\n    },\n    /**\n     * Catches the upload form submission and stops it if the selected file is not of the accepted types (or not selected at all),\n     * and saves the underlying form (if any) so that any unsaved changes won't be lost.\n     */\n    filterFormUpload : function() {\n      this.form = this.gallery.down('form');\n      // Make sure unsaved selections are not lost\n      this.gallery.select('.attachment-item input[type=checkbox], .attachment-item input[type=radio]').each(function(item) {\n          var twin = $(item.id.substring(XWiki.MultiImageSelector.prototype.DEDUPLICATION_PREFIX.length));\n          if (twin) {item.checked = twin.checked;}\n      });\n      if (typeof (XWiki.FileUploader) != 'undefined') {\n        // -------------------------------------------------------\n        // HTML5 ajax file uploader is available, use it\n        // -------------------------------------------------------\n        // Update the url that will provide the submission result\n        var xredirect = this.form.down('input[type=hidden][name=xredirect]');\n        var ajaxxredirect = this.form.down('input[type=hidden][name=ajaxxredirect]');\n        if (xredirect && ajaxxredirect) {\n          xredirect.value = ajaxxredirect.value + "&manage=true&dprefix="+ this.DEDUPLICATION_PREFIX;;\n          //ajaxxredirect.remove();\n        }\n        new XWiki.FileUploader(this.form, {enablePreview : false, enableFileInfo: false});\n        this.form.observe('xwiki:ajaxupload:finish', function(event) {\n           var responseContainer = this.gallery.down('.progress-info .upload-response');\n           if (responseContainer) {\n             var attachmentField = responseContainer.down('.attachment-item input[type="checkbox"], .attachment-item input[type="radio"]');\n             if (attachmentField) {\n               // is this just another version of another attachment that already exists?\n               this.gallery.select('.attachment-list .attachment-item input[type="' + attachmentField.type + '"][value="' + attachmentField.value.replace(/"/g, '\\\\"') + '"]').each(function (item) {\n                 item.up('.attachment-item').remove();\n               })\n               // if the attachment list contained some "Empty list" message, make sure to remove it\n               if (!this.list.down('.attachment-item')) {\n                 this.list.update('');\n               }\n               // only update the gallery with valid attachment-item elements\n               this.list.insert({top: responseContainer.innerHTML});\n               responseContainer.update('');\n               // delete listener for the new-comer\n               var newItemAction = this.list.down('.attachment-item .action.delete')\n               if (newItemAction) {\n                 newItemAction.observe('click', this.onDelete.bindAsEventListener(this));\n               }\n             }\n           }\n        }.bindAsEventListener(this));\n      } else {\n        // -------------------------------------------------------\n        // The browser does not support AJAX file upload. Do what you can...\n        // -------------------------------------------------------\n        new XWiki.widgets.Notification("$services.localization.render('phenotips.imageDisplayer.AJAXnotSuportedMessage')", 'info');\n        // Setup the allowed extensions for each file input\n        this.form.select('.upload-attachment input[type=file]').each(function(fileInput) {\n          fileInput.__allowedExtensions = fileInput.title.toLowerCase().replace(/\\s*[,|; ]\\s*/g, " ").strip();\n          if (fileInput.__allowedExtensions != '') {\n            fileInput.__allowedExtensions = fileInput.__allowedExtensions.split(" ");\n          } else {\n            fileInput.__allowedExtensions = false;\n          }\n        });\n        // On submit, check file extensions and make sure no data is lost\n        this.form.observe('submit', function(event) {\n          event.stop();\n          var uploadForm = event.element();\n          var hasErrors = false;\n          uploadForm.select('input[type=file]').each(function(fileInput) {\n            if (fileInput.value == '') {\n              new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.error.noFile')", 'error');\n              hasErrors = true;\n            } else if (fileInput.__allowedExtensions && fileInput.__allowedExtensions.indexOf(this.getFileExtension(fileInput.value)) == -1) {\n              new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.error.badExtension')", 'error');\n              hasErrors = true;\n            }\n          }.bind(this));\n          // No form submission by AJAX right now, because file uploads can't be done this way without HTML5, this is future work\n          // Save the document before submitting, since the current form data will be lost otherwise\n          if (!hasErrors) {\n            this.updateSource();\n            // Update the url that will provide the submission result\n            var xredirect = this.form.down('input[type=hidden][name=xredirect]');\n            if (xredirect) {\n              xredirect.value = window.location.toString().replace(/#.*$/g, "").replace(/\\?.*$/g, '')\n                               + "?" + this.ENFORCE_POPUP_MARKER + "=1"\n                               + "&" + this.CHECK_LASTATT_MARKER + "=" + this.getFileName(uploadForm.down('input[type=file]').value)\n                               + (this.reloadTargetId ? '#' + this.reloadTargetId : '');\n            }\n            document.observe('xwiki:document:saved', function() {\n              new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.inProgress')", 'inprogress');\n              uploadForm.submit();\n            })\n            document.fire('xwiki:actions:save', {'continue': true, form: $('edit') || $('inline')});\n          }\n        }.bindAsEventListener(this));\n      }\n    },\n    getFileName : function(filepath) {\n      var fpath = filepath.replace(/\\\\/g, '/');\n      var pieces = fpath.split('/');\n      if (pieces.length == 0) {\n        return null;\n      }\n      return pieces[pieces.length-1];\n    },\n    getFileExtension : function(filepath) {\n      var basename = this.getFileName(filepath);\n      pieces = basename.split('.');\n      return pieces[pieces.length-1].toLowerCase();\n    },\n\n    /** Catch attachment delete requests. */\n    addDeleteListeners : function() {\n      this.gallery.select('.action.delete').invoke('observe', 'click', this.onDelete.bindAsEventListener(this));\n    },\n\n    /** AJAX deletion of attachments. */\n    onDelete : function(event) {\n      event.stop();\n      deleteTool = event.element();\n      if (!deleteTool.disabled) {\n        new XWiki.widgets.ConfirmedAjaxRequest(\n          deleteTool.readAttribute('href'),\n          {\n            onCreate : function() { deleteTool.disabled = true },\n            onSuccess : function() {\n              var imgElt = deleteTool.up('.attachment-item');\n              var list = imgElt.up('.attachment-list');\n              if (imgElt) {\n                imgElt.remove();\n              }\n              if (!list.down('.attachment-item')) {\n                list.update(new Element('span', {'class' : 'hint'}).update("$services.localization.render('phenotips.imageDisplayer.noFiles')"));\n              }\n            }.bind(this),\n            onComplete : function() {\n              deleteTool.disabled = false;\n            }\n          },\n          {\n            confirmationText: "$services.localization.render('core.viewers.attachments.delete.confirm')",\n            progressMessageText : "$services.localization.render('core.viewers.attachments.delete.inProgress')",\n            successMessageText : "$services.localization.render('core.viewers.attachments.delete.done')",\n            failureMessageText : "$services.localization.render('core.viewers.attachments.delete.failed')"\n          }\n        );\n      }\n    },\n\n    updateSource : function () {\n      var newList = new Element('div', {'class' : 'attachment-list'});\n      this.list.select('.attachment-item').each(function(item) {\n        var label = item.down('label');\n        var input = label.down('input');\n        var image = item.down('.attachment-preview img');\n        var viewlink = item.down('a.view.hidden');\n        var id = input.id.substring(XWiki.MultiImageSelector.prototype.DEDUPLICATION_PREFIX.length);\n        var lItem = new Element('div', {'class' : item.className + (input.checked && ' selected' || '')});\n        lItem.insert({\n                  'top' : new Element('label', {'for' : id, 'title' : input.value}).update(input.value).insert({\n                              top : new Element('input', {\n                                        'type' : input.type,\n                                        'checked' : input.checked,\n                                        'id' : id,\n                                        'name' : input.name.substring(XWiki.MultiImageSelector.prototype.DEDUPLICATION_PREFIX.length),\n                                        'value' : input.value\n                                    })\n                   }),\n                  'bottom': image && new Element ('div', {'class' : 'attachment-preview'}).update(image) ||\n                                 viewlink && new Element('a', {\n                                       'class' : 'view',\n                                       'href': viewlink.href,\n                                       'title' : viewlink.title,\n                                       'target' : '_blank'}).update(viewlink.innerHTML) || ''\n        });\n        newList.insert({bottom: lItem});\n      });\n      // If there's no attachment available, copy the "no image available" message\n      if (!newList.down('.attachment-item')) {\n        newList.update(this.list.innerHTML);\n      }\n      this.sourceList.replace(newList);\n      this.sourceList = newList;\n    },\n\n    addCloseListener : function () {\n      this.dialog.__controller = this;\n      var closeButton = new Element('input', {'type' : 'button', 'class' : 'button', 'value' : "$services.localization.render('phenotips.imageDisplayer.done')"});\n      this.gallery.down('.content').insert({bottom : closeButton});\n      closeButton.observe('click', this.dialog.closeDialog.bindAsEventListener(this.dialog));\n    }\n  });\n\n  var loading = new Element('div', {'class' : 'imgcenter'}).update("<img src=\\"$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')\\"/>");\n  var dialog;\n\n  /* Hook onto the picker buttons so that the gallery is loaded via AJAX in a modal dialog. */\n  var __hookImageSelector = function(evt) {\n    var __getParameter = function (name) {\n      var result;\n      if(result = (new RegExp('[?&]'+encodeURIComponent(name)+'=([^&#]*)')).exec(window.location.search))\n        return decodeURIComponent(result[1]);\n    };\n    $$('.manage-images-button:not(.initialized)').each(function(item) {\n      item.observe('click', function(event) {\n        event.stop();\n        var targetElement = event.findElement();\n        var reloadTargetId = targetElement.up('*[id]');\n        if (reloadTargetId) {\n          reloadTargetId = reloadTargetId.id;\n        }\n        var url = targetElement.href;\n        if (url.indexOf('?') < 0) {\n          url += '?';\n        }\n        url += "&xpage=plain&dprefix="+ XWiki.MultiImageSelector.prototype.DEDUPLICATION_PREFIX;\n        dialog = new PhenoTips.widgets.ModalPopup(\n          loading, {}, {\n            'verticalPosition' : 'top',\n            'removeOnClose' : true,\n            'title' : targetElement.innerHTML,\n             onClose : function() {this.__controller.updateSource()}\n          }\n        );\n        dialog.shortcuts.close.keys = [];\n        dialog.showDialog();\n        new Ajax.Updater(loading.up(), url, {\n          onComplete : function() {\n            // Play nice with the Lightbox widget\n            if (window.gallery_lb) {\n              window.gallery_lb.updateImageList();\n            }\n            // Manually convert the special rel values into target attributes for the newly inserted content (rel="_something" => target="something")\n            if (typeof (XWiki.fixLinksTargetAttribute) == 'function') {\n              // Trick the function into updating link targets in inline mode; normally the conversion only takes place in view mode\n              var __tmp = XWiki.contextaction;\n              XWiki.contextaction = 'view';\n              XWiki.fixLinksTargetAttribute(dialog.dialog);\n              XWiki.contextaction = __tmp;\n            }\n            new XWiki.MultiImageSelector(dialog, reloadTargetId,  targetElement.up('.actions').next('.attachment-list'));\n            var toCheck = null;\n            if (toCheck = __getParameter(XWiki.MultiImageSelector.prototype.CHECK_LASTATT_MARKER)) {\n              var lastAtt = dialog.dialogBox.down('.attachment-item input[type=checkbox]'); // in 3.4+ add "[value=' + toCheck + ']"\n              if (lastAtt) {lastAtt.checked = true}\n            }\n          }\n        });\n      });\n      item.addClassName('initialized');\n    });\n    if (evt.eventName != 'xwiki:dom:loaded') {\n      return;\n    }\n    var activeAction = null;\n    if (__getParameter(XWiki.MultiImageSelector.prototype.ENFORCE_POPUP_MARKER) && window.location.hash\n        && (activeAction = $(window.location.hash.substring(1)))\n        && (activeAction = activeAction.down('.manage-images-button'))\n    ) {\n      activeAction.click();\n    }\n  };\n  ['xwiki:dom:loaded', 'xwiki:dom:updated'].each (function(eventName) {\n     document.observe(eventName, __hookImageSelector)\n  });\n\n  return XWiki;\n}(XWiki || {}));
8779342943261649448	code	var XWiki = (function(XWiki) {\n  if (typeof (FileReader) == 'undefined' || typeof (FormData) == 'undefined') {return XWiki;}\n  XWiki.FileUploader = Class.create({\n    options : {\n      maxFilesize : 1073741824, // 1GB\n      fileFilter  : /^(image\\/gif|image\\/jpeg|image\\/png|image\\/tiff)$/i,\n      enablePreview : true,\n      enableFileInfo : true,\n      enableProgressInfo : true,\n      progressAutohide : true,\n      autoUpload : true\n    },\n\n    initialize : function(form, options) {\n      this.options = Object.extend(Object.clone(this.options), options || { });\n\n      // initialize upload variables\n      this.resetUploadData();\n\n      // attach listeners\n      this.form = form;\n      var customFilter = this.form.down('input[name=filter]');\n      if (customFilter && customFilter.value != '') {\n         this.options.fileFilter = new RegExp(customFilter.value, "i");\n      }\n      this.form.select('input[type=file]').invoke('observe', 'change', this.fileSelected.bindAsEventListener(this));\n      this.form.observe('submit', this.startUploading.bindAsEventListener(this));\n      if (this.options.autoUpload) {\n        // Hide submit buttons\n        this.form.select('input[type=submit]').invoke('setStyle', {'display' : 'none'});\n      }\n\n      //initialize messages\n      this.initFeedbackMessages();\n    },\n\n    resetUploadData : function () {\n      this.fileIsValid = false;\n      this.bytesUploaded = 0;\n      this.bytesTotal = 0;\n      this.previousBytesLoaded = 0;\n      this.timer = 0;\n      this.resultFileSize = '';\n    },\n\n    initFeedbackMessages : function() {\n      var _getElt = function (cssClass, content) {\n        return new Element('div', {'class' : cssClass}).update(content ? content : '');\n      };\n\n      if (this.options.enablePreview || this.options.enableFileInfo) {\n        this.PREVIEW = new Element('img', {'class' : 'preview'});\n        this.form.insert({bottom : this.PREVIEW});\n        if (!this.options.enablePreview) {\n          this.PREVIEW.style.display = 'none';\n        }\n      }\n\n      if (this.options.enableFileInfo) {\n        this.FILE_INFO = _getElt('file-info');\n        this.FILE_NAME = _getElt('file-name');\n        this.FILE_SIZE = _getElt('file-size');\n        this.FILE_TYPE = _getElt('file-type');\n        this.FILE_DIM  = _getElt('file-dim');\n\n        this.FILE_INFO.insert({\n               top: this.FILE_NAME,\n               bottom: this.FILE_SIZE\n             }).insert({\n               bottom: this.FILE_TYPE\n             }).insert({\n               bottom: this.FILE_DIM\n             });\n\n        this.FILE_INFO.style.display = 'none';\n        this.form.insert({bottom : this.FILE_INFO});\n      }\n\n      if (this.options.enableProgressInfo) {\n        this.PROGRESS_INFO       = _getElt('progress-info');\n        this.PROGRESS_CONTAINER  = _getElt('progress-container');\n        this.PROGRESS            = _getElt('progress');\n        this.PROGRESS_PERCENTAGE = _getElt('progress-percentage', '&nbsp;');\n        this.PROGRESS_SPEED      = _getElt('progress-speed', '&nbsp;');\n        this.PROGRESS_REMAINING  = _getElt('progress-remaining', '&nbsp;');\n        this.PROGRESS_TRANSFERED = _getElt('progress-transfered', '&nbsp;');\n        this.UPLOAD_RESPONSE     = _getElt('upload-response');\n\n        this.PROGRESS_INFO.insert({\n             top: this.PROGRESS_CONTAINER.insert(this.PROGRESS),\n             bottom: this.PROGRESS_PERCENTAGE\n           }).insert({\n             bottom: new Element('div', {'class' : 'clear'})\n           }).insert({\n             bottom: new Element('div').insert({\n                                       top: this.PROGRESS_SPEED,\n                                       bottom: this.PROGRESS_REMAINING\n                                     }).insert({\n                                       bottom: this.PROGRESS_TRANSFERED\n                                     }).insert({\n                                       bottom: new Element('div', {'class' : 'clear'})\n                                     })\n           }).insert({\n             bottom: this.UPLOAD_RESPONSE\n           });\n\n        this.PROGRESS_HIDE = _getElt('progress-hide', 'hide');\n        this.PROGRESS_INFO.insert({bottom: this.PROGRESS_HIDE}).insert({bottom: new Element('div', {'class' : 'clear'})});\n        this._hideProgressInfo = function() {\n          this.PROGRESS_INFO.style.display = 'none';\n          this.PROGRESS_HIDE.style.display = 'none';\n        }.bind(this);\n        this.PROGRESS_HIDE.observe('click', this._hideProgressInfo);\n        this._hideProgressInfo()\n        this.form.insert({bottom : this.PROGRESS_INFO});\n      }\n\n      this.MESSAGE_CONTAINER      = _getElt('');\n      this.INVALID_FILE_MESSAGE   = _getElt('errormessage', "$services.localization.render('phenotips.imageDisplayer.error.invalidFile')");\n      this.UNKNOWN_ERROR_MESSAGE  = _getElt('errormessage', "$services.localization.render('phenotips.imageDisplayer.error.general')");\n      this.UPLOAD_ABORTED_MESSAGE = _getElt('errormessage' , "$services.localization.render('phenotips.imageDisplayer.error.abort')");\n      this.UPLOAD_SIZE_MESSAGE    = _getElt('errormessage' , "$services.localization.render('phenotips.imageDisplayer.error.size')".replace("__maxSize__", this.bytesToSize(this.options.maxFilesize)));\n\n      this.form.insert({top : this.MESSAGE_CONTAINER});\n    },\n\n    secondsToTime : function (secs) { // we will use this function to convert seconds in normal time format\n      var hr = Math.floor(secs / 3600);\n      var min = Math.floor((secs - (hr * 3600))/60);\n      var sec = Math.floor(secs - (hr * 3600) -  (min * 60));\n\n      if (hr < 10) {hr = "0" + hr; }\n      if (min < 10) {min = "0" + min;}\n      if (sec < 10) {sec = "0" + sec;}\n      if (hr) {hr = "00";}\n      return hr + ':' + min + ':' + sec;\n    },\n\n    bytesToSize : function (bytes) {\n      var sizes = ['Bytes', 'KB', 'MB'];\n      if (bytes == 0) return 'n/a';\n      var i = parseInt(Math.floor(Math.log(bytes) / Math.log(1024)));\n      return (bytes / Math.pow(1024, i)).toFixed(1) + ' ' + sizes[i];\n    },\n\n    fileSelected : function (event) {\n      // hide different warnings\n      this.MESSAGE_CONTAINER.update('');\n      this.UPLOAD_RESPONSE.update('');\n\n      // get selected file element\n      var lFile = event.element().files[0];\n\n      // filter files\n      if (! this.options.fileFilter.test(lFile.type)) {\n        this.MESSAGE_CONTAINER.update(this.INVALID_FILE_MESSAGE);\n        this.fileIsValid = false;\n        return;\n      }\n\n      // little test for filesize\n      if (lFile.size > this.options.maxFilesize) {\n        this.MESSAGE_CONTAINER.update(this.UPLOAD_SIZE_MESSAGE);\n        this.fileIsValid = false;\n        return;\n      }\n\n      this.fileIsValid = true;\n\n      // get preview element\n      var imgPreview = this.PREVIEW;\n\n      // prepare HTML5 FileReader\n      var fileReader = new FileReader();\n      fileReader.onload = function(e){\n        if (imgPreview) {\n          // e.target.result contains the DataURL which we will use as a source of the image\n          imgPreview.src = e.target.result;\n        }\n        if (this.options.enableFileInfo) {\n          imgPreview.onload = function () { // binding onload event\n            // we are going to display some custom image information here\n            this.resultFileSize = this.bytesToSize(lFile.size);\n            this.FILE_NAME.update('Name: ' + lFile.name);\n            this.FILE_SIZE.update('Size: ' + this.resultFileSize);\n            this.FILE_TYPE.update('Type: ' + lFile.type);\n            this.FILE_DIM.update('Dimension: ' + imgPreview.naturalWidth + ' x ' + imgPreview.naturalHeight);\n            this.FILE_INFO.style.display = 'block';\n          }.bindAsEventListener(this);\n        }\n      }.bindAsEventListener(this);\n\n    // read selected file as DataURL\n    fileReader.readAsDataURL(lFile);\n    if (this.options.autoUpload) {\n      this.startUploading();\n    }\n  },\n\n  startUploading : function (event) {\n    if (event) {\n      event.stop();\n    }\n    var fileExists = false;\n    this.form.select('input[type=file]').each(function(item) {\n      if (item.value != '') {\n         fileExists = true;\n      }\n    });\n    this.fileIsValid = this.fileIsValid && fileExists;\n    if (!this.fileIsValid) {return;}\n    // cleanup all temp states\n    this.MESSAGE_CONTAINER.update('');\n    this.resetUploadData();\n\n    if (this.options.enableProgressInfo) {\n      this.UPLOAD_RESPONSE.update('');\n      this.PROGRESS_INFO.style.display = 'block';\n      this.PROGRESS_CONTAINER.style.display = 'block';\n      this.PROGRESS.style.width = '0px';\n    }\n    // get form data for POSTing\n    //var vFD = this.form.getFormData(); // for FF3\n    var vFD = new FormData(this.form);\n\n    // create XMLHttpRequest object, adding few event listeners, and POSTing our data\n    var oXHR = new XMLHttpRequest();\n    oXHR.upload.addEventListener('progress', this.uploadProgress.bindAsEventListener(this), false);\n    oXHR.addEventListener('load', this.uploadFinish.bindAsEventListener(this), false);\n    oXHR.addEventListener('error', this.uploadError.bindAsEventListener(this), false);\n    oXHR.addEventListener('abort', this.uploadAbort.bindAsEventListener(this), false);\n    oXHR.open('POST', this.form.action);\n    oXHR.send(vFD);\n\n    // set inner timer\n    this.timer = setInterval(this.doInnerUpdates.bind(this), 30);\n  },\n\n  doInnerUpdates : function () { // we will use this function to display upload speed\n    if (this.options.enableProgressInfo) {\n      var iCB = this.bytesUploaded;\n      var iDiff = iCB - this.previousBytesLoaded;\n\n      // if nothing new loaded - exit\n      if (iDiff == 0)\n        return;\n\n      this.previousBytesLoaded = iCB;\n      iDiff = iDiff * 2;\n      var iBytesRem = this.bytesTotal - this.previousBytesLoaded;\n      var secondsRemaining = iBytesRem / iDiff;\n\n      // update speed info\n      var iSpeed = iDiff.toString() + 'B/s';\n      if (iDiff > 1024 * 1024) {\n        iSpeed = (Math.round(iDiff * 100/(1024*1024))/100).toString() + 'MB/s';\n      } else if (iDiff > 1024) {\n        iSpeed =  (Math.round(iDiff * 100/1024)/100).toString() + 'KB/s';\n      }\n      this.PROGRESS_SPEED.update(iSpeed);\n      this.PROGRESS_REMAINING.update('| ' + this.secondsToTime(secondsRemaining));\n    }\n  },\n\n  uploadProgress : function(e) { // upload process in progress\n    if (this.options.enableProgressInfo) {\n      if (e.lengthComputable) {\n        this.bytesUploaded = e.loaded;\n        this.bytesTotal = e.total;\n        var iPercentComplete = Math.round(e.loaded * 100 / e.total);\n        var iBytesTransfered = this.bytesToSize(this.bytesUploaded);\n\n        this.PROGRESS_PERCENTAGE.update(iPercentComplete.toString() + '%');\n        this.PROGRESS.style.width = (iPercentComplete).toString() + '%';\n        this.PROGRESS_TRANSFERED.update(iBytesTransfered);\n        if (iPercentComplete == 100) {\n          this.UPLOAD_RESPONSE.update('Processing...');\n          this.UPLOAD_RESPONSE.style.display = 'block';\n        }\n      } else {\n        this.PROGRESS.update('unable to compute');\n      }\n    }\n  },\n\n  uploadFinish : function(e) { // upload successfully finished\n    if (this.options.enableProgressInfo) {\n      this.UPLOAD_RESPONSE.update(e.target.responseText);\n      this.UPLOAD_RESPONSE.style.display = 'block';\n\n      this.PROGRESS_PERCENTAGE.update('100%');\n      this.PROGRESS.style.width = "100%";\n      if (this.options.enableFileInfo) {\n        this.FILE_SIZE.update(this.resultFileSize);\n      }\n      this.PROGRESS_REMAINING.update('| 00:00:00');\n      if (this.options.progressAutohide) {\n        setTimeout(this._hideProgressInfo, 5000);\n      } else {\n        this.PROGRESS_HIDE.style.display = '';\n      }\n    }\n    clearInterval(this.timer);\n\n    this.form.fire('xwiki:ajaxupload:finish');\n  },\n\n  uploadError : function(e) { // upload error\n    this.uploadAbnormalFinish(this.UNKNOWN_ERROR_MESSAGE);\n  },\n\n  uploadAbort : function(e) { // upload abort\n    this.uploadAbnormalFinish(this.UPLOAD_ABORTED_MESSAGE);\n  },\n\n  uploadAbnormalFinish : function (message) {\n    this.MESSAGE_CONTAINER.update(message);\n    if (this.options.enableProgressInfo) {\n      this.PROGRESS_HIDE.style.display = '';\n    }\n    clearInterval(this.timer);\n  }\n  });\n  return XWiki;\n}(XWiki || {}));
-4102688510095098950	code	#template('colorThemeInit.vm')\n.editbody .image-gallery {\n  background-color: $theme.backgroundSecondaryColor;\n  padding: 0.5em 1em;\n}\n.image-gallery {\n  margin: 0.5em 1em .5em 0;\n  position: relative;\n}\n.image-gallery .caption {\n  font-variant: small-caps;\n  font-weight: bold;\n  text-transform: lowercase;\n}\n.image-gallery .actions {\n  position: absolute;\n  right: 0;\n  top: 0.25em;\n}\n.image-gallery .attachment-list {\n}\n.actions {\n  position: relative;\n}\n.image-gallery .attachment-list label.selected {\n  background-color: transparent;\n  margin: 0;\n  padding: 0 5px;\n  font-weight: normal;\n}\n.image-gallery .xGallery {\n}\n.attachment-item {\n  position: relative;\n  width: 31%;\n  float: left;\n  margin: .5em 2% .5em 0;\n  overflow: hidden;\n  padding: .25em;\n}\n.attachment-item.image {\n  position: relative;\n  width: 110px;\n  float: left;\n  margin: .5em;\n  overflow: hidden;\n  border-radius: 4px;\n  box-shadow: 0 0 4px #aaa;\n}\n.attachment-item:hover {\n  background-color: $theme.pageContentBackgroundColor;\n}\n.attachment-item label {\n  font-size: 0.9em;\n  overflow: hidden;\n  white-space: nowrap;\n  padding: 0 5px;\n}\n.attachment-item .size {\n  font-size: 0.9em;\n  opacity: 0.7;\n}\n.attachment-item.pdf label, .attachment-link.pdf {\n  background-image: url("$xwiki.getSkinFile('icons/silk/page_white_acrobat.png')");\n  background-position: left center;\n  background-repeat: no-repeat;\n  display: inline-block;\n  padding: 0 0 0 20px;\n}\n.attachment-item label input {\n  margin-left: 0px;\n  vertical-align: middle;\n}\n.attachment-item .action {\n  background: $theme.pageContentBackgroundColor;\n  border-radius: 1em;\n  display: none;\n  line-height: 1.286em;\n  position: absolute;\n  right: 0;\n  top: 0;\n}\n.attachment-item:hover .action {\n  display: inline-block;\n}\n.attachment-item .view {\n  display: none;\n  position: absolute;\n  right: 0;\n}\n.attachment-item:hover .view {\n  display: inline-block;\n}\n.attachment-item .attachment-preview {\n  padding: 5px;\n  text-align: center;\n  width: 100px;\n  height: 60px;\n}\n.attachment-item .attachment-preview img{\n  max-width: 100px;\n  max-height: 60px;\n  width: auto;\n}\n.xdialog-modal-container, .xnotification-container {\n  z-index: 100015 !important;\n}
-1718765091772660229	code	.preview {\n  max-width: 400px;\n}\n.file-info {\n  font-style: italic;\n  display:none;\n  margin: .5em 0;\n  opacity: .5;\n}\n\n.progress-info, .file-info {\n  font-size: .9em;\n}\n.progress-info .progress-hide {\n  font-style: italic;\n  opacity: .5;\n  cursor: pointer;\n  float: right;\n}\n.progress-info .progress-speed, .progress-info .progress-remaining {\n  opacity: .5;\n  float:left;\n  width:100px;\n}\n.progress-info .progress-transfered {\n  opacity: .5;\n  float:right;\n  text-align:right;\n}\n.progress-info .progress-percentage {\n  opacity: .5;\n  float:right;\n}\n.progress-info .progress, .progress-info .progress-container {\n  height:6px;\n  border-radius:10px;\n}\n.progress-info .progress {\n  background: linear-gradient(#66cc00, #4b9500);\n}\n.progress-info .progress-container {\n  border:1px solid #fff;\n  display:none;\n  float:left;\n  background: linear-gradient(#f9f9f9, #ddd);\n  width: 92%;\n}\n.progress-info /*.upload-response*/ {\n  margin-top: .5em;\n  padding: 5px 10px;\n  overflow: hidden;\n  display: none;\n  border: 1px solid #fff;\n  border-radius:4px;\n  box-shadow: 0 0 5px #ccc;\n}
-381624292609406307	code	var PhenoTips = (function(PhenoTips){\n\n var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n\n if (typeof XWiki.widgets.XList == 'undefined') {\n  if (typeof console != "undefined" && typeof console.warn == "function") {\n    console.warn("[Suggest widget] Required class missing: XWiki.widgets.XList");\n  }\n } else {\n  widgets.XList = XWiki.widgets.XList;\n  widgets.XListItem = XWiki.widgets.XListItem;\n/**\n * Suggest class.\n * Provide value suggestions to users when starting to type in a text input.\n */\n widgets.Suggest = Class.create({\n  options : {\n    // The minimum number of characters after which to trigger the suggest\n    minchars : 1,\n    // The HTTP method for the AJAX request\n    method : "get",\n    // The name of the request parameter holding the input stub\n    varname : "input",\n    // The CSS classname of the suggest list\n    className : "ajaxsuggest",\n    timeout : 2500,\n    delay : 500,\n    offsety : 0,\n    // Display a "no results" message, or simply hide the suggest box when no suggestions are available\n    shownoresults : true,\n    // The message to display as the "no results" message\n    noresults : "No results!",\n    maxheight : 250,\n    cache : false,\n    seps : "",\n    icon : null,\n    // The name of the JSON variable or XML element holding the results.\n    // "results" for the old suggest, "searchResults" for the REST search.\n    resultsParameter : "results",\n    // The name of the JSON parameter or XML attribute holding the result identifier.\n    // "id" for both the old suggest and the REST search.\n    resultId : "id",\n    // The name of the JSON parameter or XML attribute holding the result value.\n    // "value" for the old suggest, "pageFullName" for the REST page search.\n    resultValue : "value",\n    // The name of the JSON parameter or XML attribute holding the result auxiliary information.\n    // "info" for the old suggest, "pageFullName" for the REST search.\n    resultInfo : "info",\n    // The name of the JSON parameter or XML attribute holding the result category.\n    resultCategory : "category",\n    // The name of the JSON parameter or XML attribute holding the result alternative name.\n    resultAltName : "",\n    // The name of the JSON parameter or XML attribute holding the result icon.\n    resultIcon: "icon",\n    // The name of the JSON parameter or XML attribute holding a potential result hint (displayed next to the value).\n    resultHint: "hint",\n    // What kind of tooltip (if any) should be attached to each entry. Default: none.\n    tooltip: false,\n    // The id of the element that will hold the suggest element\n    //parentContainer : "body",\n    // Should results fragments be highlighted when matching typed input\n    highlight: true,\n    // Fade the suggestion container on clear\n    fadeOnClear: true,\n    // Show a 'hide suggestions' button\n    enableHideButton: true,\n    insertBeforeSuggestions: null,\n    // Should id be displayed or hidden\n    displayId: false,\n    // Should value be displayed as a hint\n    displayValue: false,\n    // Display value prefix text\n    displayValueText: "Value :",\n    // How to align the suggestion list when its width is different from the input field width\n    align: "left",\n    // When there are several suggest sources, should the widget displays only one, unified, "loading" indicator for all requests undergoing,\n    // Or should it displays one loading indicator per request next to the corresponding source.\n    unifiedLoader: false,\n    // The DOM node to use to display the loading indicator when in mode unified loader (it will receive a "loading" class name for the time of the loading)\n    // Default is null, which falls back on the input itself. This option is used only when unifiedLoader is true.\n    loaderNode: null,\n    // A function returning true or false for each fetched suggestion. If defined, only suggestions for which 'true' is returned\n    // are added to the list\n    filterFunc: null\n  },\n  sInput : "",\n  nInputChars : 0,\n  aSuggestions : [],\n  iHighlighted : null,\n  isActive : false,\n\n  /**\n   * Initialize the suggest\n   *\n   * @param {Object} fld the suggest field\n   * @param {Object} param the options\n   */\n  initialize: function (fld, param){\n\n    if (!fld) {\n      return false;\n    }\n    this.setInputField(fld);\n\n    // Clone default options from the prototype so that they are not shared and extend options with passed parameters\n    this.options = Object.extend(Object.clone(this.options), param || { });\n    if (typeof this.options.sources == 'object' && this.options.sources.length > 1) {\n      // We are in multi-sources mode\n      this.sources = this.options.sources;\n    } else {\n      // We are in mono-source mode\n      this.sources = this.options;\n    }\n\n    // Flatten sources\n    this.sources = [ this.sources ].flatten().compact();\n\n    // Reset the container if the configured parameter is not valid\n    if (!$(this.options.parentContainer)) {\n      this.options.parentContainer = $(document.body);\n    }\n\n    if (this.options.seps) {\n      this.seps = this.options.seps;\n    } else {\n      this.seps = "";\n    }\n\n    // Initialize a request number that will keep track of the latest request being fired.\n    // This will help to discard potential non-last requests callbacks ; this in order to have better performance\n    // (less unneccessary DOM manipulation, and less unneccessary highlighting computation).\n    this.latestRequest = 0;\n\n  },\n\n  /**\n   * Sets or replace the input field associated with this suggest.\n   */\n  setInputField: function(input){\n    if (this.fld) {\n      this.fld.stopObserving();\n    }\n    this.fld = $(input);\n    this.fld._suggestWidget = this;\n    // Bind the key listeners on the input field.\n    this.fld.observe("keyup", this.onKeyUp.bindAsEventListener(this));\n    if (Prototype.Browser.IE || Prototype.Browser.WebKit) {\n      this.fld.observe("keydown", this.onKeyPress.bindAsEventListener(this));\n    } else {\n      this.fld.observe("keypress", this.onKeyPress.bindAsEventListener(this));\n    }\n    this.fld.observe("paste", this.onPaste.bindAsEventListener(this));\n\n    // Prevent normal browser autocomplete\n    this.fld.setAttribute("autocomplete", "off");\n\n    this.fld.observe("blur", function(event){\n      // Make sure any running request will be dropped after the input field has been left\n      this.latestRequest++;\n\n    }.bind(this));\n  },\n\n  /**\n   * Treats normal characters and triggers the autocompletion behavior. This is needed since the field value is not\n   * updated when keydown/keypress are called, so the suggest would work with the previous value. The disadvantage is\n   * that keyUp is not fired for each stroke in a long keypress, but only once at the end. This is not a real problem,\n   * though.\n   */\n  onKeyUp: function(event)\n  {\n    var key = event.keyCode;\n    switch(key) {\n      // Ignore special keys, which are treated in onKeyPress\n      case Event.KEY_RETURN:\n      case Event.KEY_ESC:\n      case Event.KEY_UP:\n      case Event.KEY_DOWN:\n        break;\n      default: {\n        // If there are separators in the input string, get suggestions only for the text after the last separator\n        // TODO The user might be typing in the middle of the field, not in the last item. Do a better detection by\n        // comparing the new value with the old one.\n        if(this.seps) {\n          var lastIndx = -1;\n          for(var i = 0; i < this.seps.length; i++) {\n            if(this.fld.value.lastIndexOf(this.seps.charAt(i)) > lastIndx) {\n              lastIndx = this.fld.value.lastIndexOf(this.seps.charAt(i));\n            }\n          }\n          if(lastIndx == -1) {\n            this.getSuggestions(this.fld.value);\n          } else {\n            this.getSuggestions(this.fld.value.substring(lastIndx+1));\n          }\n        } else {\n          this.getSuggestions(this.fld.value);\n        }\n      }\n    }\n  },\n  /**\n   * Use the key press routine to search as if some "other" key was pressed;\n   * Pasted value is not yet available at the time of the "paste" event, so schedule\n   * the handler to fire immediately after paste processing is done.\n   */\n  onPaste: function(event) {\n    setTimeout(function () {\n        this.onKeyUp({"keyCode": null});\n      }.bind(this),0);\n  },\n  /**\n   * Treats Up and Down arrows, Enter and Escape, affecting the UI meta-behavior. Enter puts the currently selected\n   * value inside the target field, Escape closes the suggest dropdown, Up and Down move the current selection.\n   */\n  onKeyPress: function(event) {\n    if(!$(this.isActive)) {\n      // Let the key events pass through if the UI is not displayed\n      return;\n    }\n    var key = event.keyCode;\n\n    switch(key) {\n      case Event.KEY_RETURN:\n        if (this.aSuggestions.length == 1) {\n          this.highlightFirst();\n        }\n        this.setHighlightedValue();\n        Event.stop(event);\n        break;\n      case Event.KEY_ESC:\n        this.clearSuggestions();\n        Event.stop(event);\n        break;\n      case Event.KEY_UP:\n        this.changeHighlight(key);\n        Event.stop(event);\n        break;\n      case Event.KEY_DOWN:\n        this.changeHighlight(key);\n        Event.stop(event);\n        break;\n      default:\n        break;\n    }\n  },\n\n  /**\n   * Get suggestions\n   *\n   * @param {Object} val the value to get suggestions for\n   */\n  getSuggestions: function (val)\n  {\n    // if input stays the same, do nothing\n    //\n    val = val.strip().toLowerCase();\n    if (val == this.sInput && val.length > 1) {\n      return false;\n    }\n\n    if (val.length == 0) {\n      this.sInput = "";\n      this.clearSuggestions();\n      return false;\n    }\n    // input length is less than the min required to trigger a request\n    // reset input string\n    // do nothing\n    //\n    if (val.length < this.options.minchars) {\n      this.sInput = "";\n      return false;\n    }\n\n    // if caching enabled, and user is typing (ie. length of input is increasing)\n    // filter results out of aSuggestions from last request\n    //\n    if (val.length>this.nInputChars && this.aSuggestions.length && this.options.cache)\n    {\n      var arr = [];\n      for (var i=0;i<this.aSuggestions.length;i++) {\n        if (this.aSuggestions[i].value.substr(0,val.length).toLowerCase() == val) {\n          arr.push( this.aSuggestions[i] );\n        }\n      }\n\n      this.sInput = val;\n      this.nInputChars = val.length;\n      this.aSuggestions = arr;\n\n      this.createList(this.aSuggestions);\n\n      return false;\n    } else  {\n      // do new request\n      this.sInput = val;\n      this.nInputChars = val.length;\n\n      this.prepareContainer();\n\n      this.latestRequest++;\n      var pointer = this;\n      var requestId = this.latestRequest;\n      clearTimeout(this.ajID);\n      this.ajID = setTimeout( function() { pointer.doAjaxRequests(requestId) }, this.options.delay );\n\n    }\n    return false;\n  },\n\n  /**\n   * Fire the AJAX Request(s) that will get suggestions\n   */\n  doAjaxRequests: function (requestId)\n  {\n    if (this.fld.value.length < this.options.minchars) {\n      return;\n    }\n\n    for (var i=0;i<this.sources.length;i++) {\n      var source = this.sources[i];\n\n      // create ajax request\n      var query = this.fld.value.strip();\n      var parameters = {};\n      if (this.options.queryProcessor != null && typeof(this.options.queryProcessor.generateParameters) == "function") {\n        parameters = this.options.queryProcessor.generateParameters(query);\n      }\n      if (this.options.queryProcessor != null && typeof(this.options.queryProcessor.processQuery) == "function") {\n        query = this.options.queryProcessor.processQuery(query);\n      }\n      var url = source.script + source.varname + "=" + encodeURIComponent(query);\n      var method = source.method || "get";\n      var headers = {};\n      if (source.json) {\n        headers.Accept = "application/json";\n      } else {\n        headers.Accept = "application/xml";\n      }\n\n      var ajx = new Ajax.Request(url, {\n        method: method,\n        parameters: parameters,\n        requestHeaders: headers,\n        onCreate : function () {\n          this.fld.addClassName("loading");\n        }.bind(this),\n        onSuccess: this.setSuggestions.bindAsEventListener(this, source, requestId),\n        onFailure: function (response) {\n          //new PhenoTips.widgets.Notification("Failed to retrieve suggestions : ')" + response.statusText, "error", {timeout: 5});\n          alert("Failed to retrieve suggestions : " + response.statusText);\n        },\n        onComplete : function () {\n          if (requestId < this.latestRequest) {\n            return;\n          }\n          this.fld.removeClassName("loading");\n        }.bind(this)\n      });\n    }\n  },\n\n  /**\n   * Set suggestions\n   *\n   * @param {Object} req\n   * @param {Object} source\n   * @param {Number} requestId the identifier of the request for which this callback is triggered.\n   */\n  setSuggestions: function (req, source, requestId)\n  {\n\n    // If there has been one or several requests fired in the mean time (between the time the request for which this callback\n    // has been triggered and the time of the callback itself) ; we don't do anything and leave it to following callbacks to\n    // set potential suggestions\n    if (requestId < this.latestRequest) {\n      return;\n    }\n\n    this.aSuggestions = this.getSuggestionList(req, source);\n    this.createList(this.aSuggestions, source);\n  },\n\n  getSuggestionList : function (req, source) {\n    var aSuggestions = [];\n    if (source && source.json) {\n      var jsondata = req.responseJSON;\n      if (!jsondata) {\n        return false;\n      }\n      var results = jsondata[source.resultsParameter || this.options.resultsParameter];\n\n      var _getResultFieldValue = function(data, fieldName) {\n        return data && data[fieldName] || '';\n      }\n\n      var _getResultFieldValueAsArray = function(data, fieldName) {\n        return new Array(data && data[fieldName] || '').flatten();\n      };\n    } else {\n      var xmldata = req.responseXML;\n      if (!xmldata) {\n        return false;\n      }\n      var results = xmldata.getElementsByTagName((source && source.resultsParameter) || this.options.resultsParameter);\n\n      var _getResultFieldValue = function(data, selector) {\n        var element = data && Element.down(data, selector);\n        return element && element.firstChild && element.firstChild.nodeValue || '';\n      }\n\n      var _getResultFieldValueAsArray = function(data, selector) {\n        var result = new Array();\n        if (data) {\n          Element.select(data, selector).each(function(item) {\n            var value = item.firstChild && item.firstChild.nodeValue;\n            if (value) {\n              result.push(value);\n            }\n          });\n        }\n        return result;\n      };\n    }\n\n    var _getExpandCollapseTriggerSymbol = function(isCollapsed) {\n      if (isCollapsed) return "&#x25B8;";\n      return "&#x25BE;";\n    }\n    for (var i = 0; i < results.length; i++) {\n      var info = new Element("dl");\n      for (var section in this.options.resultInfo) {\n        var sOptions = this.options.resultInfo[section];\n\n        sectionClass = section.strip().toLowerCase().replace(/[^a-z0-9 ]/gi, '').replace(/\\s+/gi, "-");\n\n        var sectionState = ""\n        if (sOptions.collapsed) {\n          sectionState = "collapsed";\n        }\n\n        var processingFunction = sOptions.processor;\n\n        if (sOptions.extern) {\n          var trigger =  new Element("a").update(section);\n          trigger._processingFunction = processingFunction;\n          info.insert({"bottom" : new Element("dt", {'class' : sectionState + " " + sectionClass}).insert({'bottom' : trigger})});\n          trigger._processingFunction.call(this, trigger);\n          continue;\n        }\n\n        var selector = sOptions.selector;\n        if (!selector) {\n          continue;\n        }\n\n        var sectionContents = null;\n        _getResultFieldValueAsArray(results[i], selector).each(function(item) {\n          var text = item || '';\n          if (typeof (processingFunction) == "function") {\n            text = processingFunction(text);\n          }\n          if (text == '') {return;}\n          if (!sectionContents) {\n            var trigger = new Element("a", {'class' : 'expand-tool'}).update(_getExpandCollapseTriggerSymbol(sOptions.collapsed));\n            info.insert({"bottom" : new Element("dt", {'class' : sectionState}).insert({'top' : trigger}).insert({'bottom' : section})});\n            sectionContents = new Element("dd", {'class' : 'expandable'});\n            info.insert({"bottom" : sectionContents});\n            trigger.observe('click', function(event) {\n              event.stop();\n              trigger.up().toggleClassName('collapsed');\n              trigger.update(_getExpandCollapseTriggerSymbol(trigger.up().hasClassName('collapsed')));\n            }.bindAsEventListener(this));\n          }\n          sectionContents.insert({"bottom" : new Element("div").update(text)});\n        });\n      }\n      if (!info.hasChildNodes()) {\n        info = '';\n      }\n      if (this.options.resultCategory) {\n        var category = new Element("span", {'class' : 'hidden term-category'});\n        _getResultFieldValueAsArray(results[i], this.options.resultCategory).each(function(c) {\n           category.insert(new Element('input', {'type' : 'hidden', 'value' : c}));\n        });\n      }\n      if (!this.options.resultCategory || !category.hasChildNodes()) {\n        category = '';\n      }\n\n      if (this.options.resultAltName) {\n        var bestNameMatch = '';\n        var name =  _getResultFieldValue(results[i], source.resultValue || this.options.resultValue);\n        var altNames = _getResultFieldValueAsArray(results[i], source.resultAltName || this.options.resultAltName);\n        var nameMatchScore = this.computeSimilarity(name, this.sInput);\n        for (var k = 0; k < altNames.length; ++k) {\n           var altNameMatchScore = this.computeSimilarity(altNames[k], this.sInput);\n           if (altNameMatchScore > nameMatchScore) {\n             bestNameMatch = altNames[k];\n             nameMatchScore = altNameMatchScore;\n           }\n        }\n      }\n\n      aSuggestions.push({\n        'id': _getResultFieldValue(results[i], source.resultId || this.options.resultId),\n        'value': _getResultFieldValue(results[i], source.resultValue || this.options.resultValue),\n        'altName': bestNameMatch,\n        'info'    : info,\n        'category': category\n      });\n    }\n    return aSuggestions;\n  },\n\n  /**\n   * Compute the Smith Waterman similarity between two strings\n   */\n  computeSimilarity: function(str1, str2) {\n    var score;\n    var maxSoFar=0;\n    var gapCost = 2;\n\n    // get values\n    var a = str1;\n    var m = a.length;\n\n    //n is the length of currFieldValue\n    var b = str2;\n    var n = b.length;\n\n    //declare the matrix\n    var d = new Array();\n\n    for (i = 0; i < n; i++) {\n      d[i] = new Array();\n\n      // get the substitution score\n      score = (a.charAt(i) == b.charAt(0))? 1: -1;\n\n      if (i == 0) {\n        d[0][0] = Math.max(0,-gapCost,score);\n      }else {\n        d[i][0] = Math.max(0,d[i - 1][0] - gapCost,score);\n      }\n\n      //update max possible if available\n      if (d[i][0] > maxSoFar) {\n        maxSoFar = d[i][0];\n      }\n    }\n\n    for (j = 0; j < m; j++) {\n      // get the substitution score\n      score = (a.charAt(0) == b.charAt(j))? 1: -1;\n\n      if (j == 0) {\n        d[0][0] = Math.max(0,-gapCost,score);\n      }else {\n        d[0][j] = Math.max(0,d[0][j - 1] - gapCost,score);\n      }\n\n      //update max possible if available\n      if (d[0][j] > maxSoFar) {\n        maxSoFar = d[0][j];\n      }\n    }\n\n    // cycle through rest of table filling values from the lowest cost value of the three part cost function\n    for (i = 1; i < n; i++) {\n      for (j = 1; j < m; j++) {\n        // get the substitution score\n        score = (a.charAt(i) == b.charAt(j))? 1: -1;\n\n        // find lowest cost at point from three possible\n        d[i][j] = Math.max(0,d[i - 1][j] - gapCost,d[i][j - 1] - gapCost,d[i - 1][j - 1] + score);\n        //update max possible if available\n        if (d[i][j] > maxSoFar) {\n          maxSoFar = d[i][j];\n        }\n      }\n    }\n    // return max value within matrix as holds the maximum edit score\n    return maxSoFar;\n  },\n\n\n  /**\n   * Creates the container that will hold one or multiple source results.\n   */\n  prepareContainer: function() {\n\n    var crtContainer = $(this.options.parentContainer).down('.suggestItems');\n\n    if (crtContainer && crtContainer.__targetField != this.fld) {\n       if (crtContainer.__targetField) {\n         crtContainer.__targetField._suggest.clearSuggestions();\n       } else {\n         crtContainer.remove();\n       }\n       crtContainer = false;\n    }\n\n    if (!crtContainer) {\n      // If the suggestion top container is not in the DOM already, we create it and inject it\n\n      var div = new Element("div", { 'class': "suggestItems "+ this.options.className });\n\n      // Get position of target textfield\n      var pos = $(this.options.parentContainer).tagName.toLowerCase() == 'body' ? this.fld.cumulativeOffset() : this.fld.positionedOffset();\n\n      // Container width is passed as an option, or field width if no width provided.\n      // The 2px substracted correspond to one pixel of border on each side of the field,\n      // this allows to have the suggestion box borders well aligned with the field borders.\n      // FIXME this should be computed instead, since border might not always be 1px.\n      var containerWidth = this.options.width ? this.options.width : (this.fld.offsetWidth - 2)\n\n      if (this.options.align == 'left') {\n        // Align the box on the left\n        div.style.left = pos.left + "px";\n      } else if (this.options.align == "center") {\n        // Align the box to the center\n        div.style.left = pos.left + (this.fld.getWidth() - containerWidth - 2) / 2 + "px";\n      } else {\n        // Align the box on the right.\n        // This has a visible effect only when the container width is not the same as the input width\n        div.style.left = (pos.left - containerWidth + this.fld.offsetWidth - 2) + "px";\n      }\n\n      div.style.top = (pos.top + this.fld.offsetHeight + this.options.offsety) + "px";\n      div.style.width = containerWidth + "px";\n\n      // set mouseover functions for div\n      // when mouse pointer leaves div, set a timeout to remove the list after an interval\n      // when mouse enters div, kill the timeout so the list won't be removed\n      var pointer = this;\n      div.onmouseover = function(){ pointer.killTimeout() }\n      div.onmouseout = function(){ pointer.resetTimeout() }\n\n      this.resultContainer = new Element("div", {'class':'resultContainer'});\n      div.appendChild(this.resultContainer);\n\n      // add DIV to document\n      $(this.options.parentContainer).insert(div);\n\n      this.container = div;\n\n      if (this.options.insertBeforeSuggestions) {\n        this.resultContainer.insert(this.options.insertBeforeSuggestions);\n      }\n\n      document.fire("ms:suggest:containerCreated", {\n        'container' : this.container,\n        'suggest' : this\n      });\n    }\n\n    if (this.sources.length > 1) {\n      // If we are in multi-source mode, we need to prepare a sub-container for each of the suggestion source\n      for (var i=0;i<this.sources.length;i++) {\n\n        var source = this.sources[i];\n        source.id = i\n\n        if(this.resultContainer.down('.results' + source.id)) {\n          // If the sub-container for this source is already present, we just re-initialize it :\n          // - remove its content\n          // - set it as loading\n          if (this.resultContainer.down('.results' + source.id).down('ul')) {\n            this.resultContainer.down('.results' + source.id).down('ul').remove();\n          }\n          if (!this.options.unifiedLoader) {\n            this.resultContainer.down('.results' + source.id).down('.sourceContent').addClassName('loading');\n          }\n          else {\n            (this.options.loaderNode || this.fld).addClassName("loading");\n            this.resultContainer.down('.results' + source.id).addClassName('hidden loading');\n          }\n        }\n        else {\n          // The sub-container for this source has not been created yet\n          // Really create the subcontainer for this source and inject it in the global container\n          var sourceContainer = new Element('div', {'class' : 'results results' + source.id}),\n              sourceHeader = new Element('div', {'class':'sourceName'});\n\n          if (this.options.unifiedLoader) {\n            sourceContainer.addClassName('hidden loading');\n          }\n\n          if (typeof source.icon != 'undefined') {\n            // If there is an icon for this source group, set it as background image\n            var iconImage = new Image();\n            iconImage.onload = function(){\n              this.sourceHeader.setStyle({\n                backgroundImage: "url(" + this.iconImage.src + ")"\n              });\n              this.sourceHeader.setStyle({\n                textIndent:(this.iconImage.width + 6) + 'px'\n              });\n            }.bind({\n              sourceHeader:sourceHeader,\n              iconImage:iconImage\n            });\n            iconImage.src = source.icon;\n          }\n          sourceHeader.insert(source.name)\n          sourceContainer.insert( sourceHeader );\n          var classes = "sourceContent " + (this.options.unifiedLoader ? "" : "loading");\n          sourceContainer.insert( new Element('div', {'class':classes}));\n\n          if (typeof source.before !== 'undefined') {\n            this.resultContainer.insert(source.before);\n          }\n          this.resultContainer.insert(sourceContainer);\n          if (typeof source.after !== 'undefined') {\n            this.resultContainer.insert(source.after);\n          }\n        }\n      }\n    } else {\n      // In mono-source mode, reset the list if present\n      if (this.resultContainer.down("ul")) {\n        this.resultContainer.down("ul").remove();\n      }\n    }\n\n    var ev = this.container.fire("ms:suggest:containerPrepared", {\n      'container' : this.container,\n      'suggest' : this\n    });\n\n    this.container.__targetField = this.fld;\n    if (this.options.enableHideButton && !this.container.down('.hide-button')) {\n      var hideButton = new Element('span', {'class' : 'hide-button'}).update("$services.localization.render('phenotips.widgets.suggest.hideSuggestions')");\n      hideButton.observe('click', this.clearSuggestions.bindAsEventListener(this));\n      this.container.insert({top : new Element('div', {'class' : 'hide-button-wrapper'}).update(hideButton)});\n\n      hideButton = new Element('span', {'class' : 'hide-button'}).update("$services.localization.render('phenotips.widgets.suggest.hideSuggestions')");\n      hideButton.observe('click', this.clearSuggestions.bindAsEventListener(this));\n      this.container.insert({bottom : new Element('div', {'class' : 'hide-button-wrapper'}).update(hideButton)});\n    }\n    return this.container;\n  },\n\n  /**\n   * Create the HTML list of suggestions.\n   *\n   * @param {Object} arr\n   * @param {Object} source the source for data for which to create this list of results.\n   */\n  createList: function(arr, source)\n  {\n    this.isActive = true;\n    var pointer = this;\n\n    this.killTimeout();\n    this.clearHighlight();\n\n    // create holding div\n    //\n    if (this.sources.length > 1) {\n      var div = this.resultContainer.down(".results" + source.id);\n      if (arr.length > 0 || this.options.shownoresults) {\n        div.down('.sourceContent').removeClassName('loading');\n        this.resultContainer.down(".results" + source.id).removeClassName("hidden loading");\n      }\n\n      // If we are in mode "unified loader" (showing one loading indicator for all requests and not one per request)\n      // and there aren't any source still loading, we remove the unified loading status.\n      if (this.options.unifiedLoader && !this.resultContainer.down("loading")) {\n        (this.options.loaderNode || this.fld).removeClassName("loading");\n      }\n    }\n    else {\n      var div = this.resultContainer;\n    }\n\n    // if no results, and shownoresults is false, go no further\n    if (arr.length == 0 && !this.options.shownoresults) {\n      return false;\n    }\n\n    // Ensure any previous list of results for this source gets removed\n    if (div.down('ul')) {\n      div.down('ul').remove();\n    }\n\n    // create and populate list\n    var list = this.createListElement(arr, pointer);\n    div.appendChild(list);\n    Event.fire(document, "xwiki:dom:updated", {elements : [list]})\n\n    this.suggest = div;\n\n    // remove list after an interval\n    var pointer = this;\n    if (this.options.timeout > 0) {\n      this.toID = setTimeout(function () { pointer.clearSuggestions() }, this.options.timeout);\n    }\n  },\n\n  createListElement : function(arr, pointer) {\n    var list = new PhenoTips.widgets.XList([], {\n       icon: this.options.icon,\n       classes: 'suggestList',\n       eventListeners: {\n          'click' : function () { pointer.setHighlightedValue(); return false; },\n          'mouseover' : function () { pointer.setHighlight( this.getElement() ); }\n       }\n    });\n\n    // loop throught arr of suggestions\n    // creating an XlistItem for each suggestion\n    //\n    for (var i = 0,len = arr.length; i < len; i++)\n    {\n       if (!this.options.filterFunc || this.options.filterFunc(arr[i])) {\n           list.addItem(this.generateListItem(arr[i]));\n       }\n    }\n    // no results\n    if (arr.length == 0)\n    {\n      list.addItem( new PhenoTips.widgets.XListItem(this.options.noresults, {\n                          'classes' : 'noSuggestion',\n                          noHighlight :true }) );\n    }\n    if (this.fld.hasClassName('accept-value')) {\n       var customItemId = this.fld.value.replace(/[^a-z0-9_]+/gi, "_");\n       var customItemCategoryInfo = this.fld.next('input[name="_category"]');\n       var customItemCategories = customItemCategoryInfo && customItemCategoryInfo.value.split(",") || [];\n       var customItemCategoriesElt = new Element('div', {'class' : 'hidden term-category'});\n       var categoryFieldName = this.fld.name + "__" + customItemId + "__category";\n       customItemCategories.each(function (c) {\n         if (c) {\n           customItemCategoriesElt.insert(new Element('input', {'type' : 'hidden', name: categoryFieldName, value: c}));\n         }\n       });\n       list.addItem(this.generateListItem({\n         id: this.fld.value,\n         value: this.fld.value,\n         category: customItemCategoriesElt,\n         info: new Element('div', {'class' : 'hint'}).update('(your text, not a standard term)')\n       }, 'custom-value', true));\n    }\n    return list.getElement();\n  },\n\n  generateListItem : function(data, cssClass, disableTooltip) {\n    var displayNode = new Element("div", {'class': 'tooltip-'+this.options.tooltip});\n    // If the search result contains an icon information, we insert this icon in the result entry.\n    if (data.icon) {\n      displayNode.insert(new Element("img", {'src' : data.icon, 'class' : 'icon' }));\n    }\n    if (this.options.displayId) {\n        displayNode.insert(new Element('span', {'class':'suggestId'}).update(data.id.escapeHTML()));\n    }\n    displayNode.insert(new Element('span', {'class':'suggestValue'}).update(data.value.escapeHTML()));\n\n    if (this.options.tooltip && !disableTooltip) {\n      var infoTool = new Element('span', {'class' : 'fa fa-info-circle xHelpButton ' + this.options.tooltip, 'title' : data.id});\n      infoTool.observe('click', function(event) {event.stop()});\n      displayNode.insert(' ').insert(infoTool);\n    }\n    var displayInfo = new Element('div', {'class':'suggestInfo'}).update(data.info);\n    displayNode.insert(displayInfo);\n    if(data.altName){\n        displayInfo.insert({'top' : new Element('span', {'class':'matching-alternative-name'}).update(data.altName.escapeHTML())});\n    }\n\n    var valueNode = new Element('div')\n            .insert(new Element('span', {'class':'suggestId'}).update(data.id.escapeHTML()))\n            .insert(new Element('span', {'class':'suggestValue'}).update(data.value.escapeHTML()))\n            .insert(new Element('div', {'class':'suggestCategory'}).update(data.category));\n    valueNode.store('itemData', data);\n\n    var item = new PhenoTips.widgets.XListItem( displayNode , {\n        containerClasses: 'suggestItem ' + (cssClass || ''),\n        value: valueNode,\n        noHighlight: true // we do the highlighting ourselves\n    });\n\n    Event.fire(this.fld, "ms:suggest:suggestionCreated", {element: item.getElement(), suggest: this});\n\n    return item;\n  },\n\n  /**\n   * Emphesize the elements in passed value that matches one of the words typed as input by the user.\n   *\n   * @param String input the (typed) input\n   * @param String value the value to emphasize\n   */\n  emphasizeMatches:function(input, value)\n  {\n    // If the source declares that results are matching, we highlight them in the value\n    var output = value,\n        // Separate words (called fragments hereafter) in user input\n        fragments = input.split(' ').uniq().compact(),\n        offset = 0,\n        matches = {};\n\n    for (var j=0,flen=fragments.length;j<flen;j++) {\n      // We iterate over each fragments, and try to find one or several matches in this suggestion\n      // item display value.\n      var index = output.toLowerCase().indexOf(fragments[j].toLowerCase());\n      while (index >= 0) {\n        // As long as we have matches, we store their index and replace them in the output string with the space char\n        // so that they don't get matched for ever.\n        // Note that the space char is the only one safe to use, as it cannot be part of a fragment.\n        var match = output.substring(index, index + fragments[j].length),\n            placeholder = "";\n        fragments[j].length.times(function(){\n          placeholder += " ";\n        });\n        matches[index] = match;\n        output = output.substring(0, index) + placeholder + output.substring(index + fragments[j].length);\n        index = output.toLowerCase().indexOf(fragments[j].toLowerCase());\n      }\n    }\n    // Now that we have found all matches for all possible fragments, we iterate over them\n    // to construct the final "output String" that will be injected as a suggestion item,\n    // with all matches emphasized\n    Object.keys(matches).sortBy(function(s){return parseInt(s)}).each(function(key){\n      var before = output.substring(0, parseInt(key) + offset);\n      var after = output.substring(parseInt(key) + matches[key].length + offset);\n      // Emphasize the match in the output string that will be displayed\n      output = before + "<em>" + matches[key] + "</em>" + after;\n      // Increase the offset by 9, which correspond to the number of chars in the opening and closing "em" tags\n      // we have introduced for this match in the output String\n      offset += 9;\n    });\n\n    return output;\n  },\n\n  /**\n   * Change highlight\n   *\n   * @param {Object} key\n   */\n  changeHighlight: function(key)\n  {\n    var list = this.resultContainer;\n    if (!list)\n      return false;\n\n    var n, elem;\n\n    if (this.iHighlighted) {\n      // If there is already a highlighted element, we look for the next or previous highlightable item in the list\n      // of results, according to which key has been pressed.\n      if (key == Event.KEY_DOWN) {\n        elem = this.iHighlighted.next();\n        if (!elem && this.iHighlighted.up('div.results')) {\n          // if the next item could not be found and multi-source mode, find the next not empty source\n          var source = this.iHighlighted.up('div.results').next();\n          while (source && !elem) {\n            elem = source.down('li');\n            source = source.next();\n          }\n        }\n        if(!elem) {\n          elem = list.down('li');\n        }\n      }\n      else if (key == Event.KEY_UP) {\n        elem = this.iHighlighted.previous();\n        if (!elem && this.iHighlighted.up('div.results')) {\n          // if the previous item could not be found and multi-source mode, find the previous not empty source\n          var source = this.iHighlighted.up('div.results').previous();\n          while(source && !elem) {\n            elem = source.down('li:last-child');\n            source = source.previous();\n          }\n        }\n        if (!elem) {\n          elem =  list.select('ul')[list.select('ul').length - 1].down('li:last-child');\n        }\n      }\n    }\n    else {\n      // No item is highlighted yet, so we just look for the first or last highlightable item,\n      // according to which key, up or down, has been pressed.\n      if (key == Event.KEY_DOWN) {\n        if (list.down('div.results')) {\n          elem = list.down('div.results').down('li')\n        }\n        else {\n          elem = list.down('li');\n        }\n      }\n      else if (key == Event.KEY_UP)\n        if (list.select('li') > 0) {\n          elem = list.select('li')[list.select('li').length - 1];\n        }\n    }\n\n    if (elem) {\n      this.setHighlight(elem);\n    }\n  },\n\n  /**\n   * Set highlight\n   *\n   * @param {Object} n\n   */\n  setHighlight: function(highlightedItem)\n  {\n    if (this.iHighlighted)\n      this.clearHighlight();\n\n    highlightedItem.addClassName("xhighlight");\n\n    this.iHighlighted = highlightedItem;\n\n    this.killTimeout();\n  },\n\n  /**\n   * Clear highlight\n   */\n  clearHighlight: function()\n  {\n    if (this.iHighlighted) {\n      this.iHighlighted.removeClassName("xhighlight");\n      delete this.iHighlighted;\n    }\n  },\n\n  highlightFirst: function()\n  {\n    if (this.suggest && this.suggest.down('ul')) {\n      var first = this.suggest.down('ul').down('li');\n      if (first) {\n        this.setHighlight(first);\n      }\n    }\n  },\n\n  /**\n   * return true if a suggestion is highlighted, false otherwise\n   */\n  hasActiveSelection: function(){\n    return this.iHighlighted;\n  },\n\n  setHighlightedValue: function ()\n  {\n    if (this.iHighlighted && !this.iHighlighted.hasClassName('noSuggestion'))\n    {\n      var selection, newFieldValue\n      if(this.sInput == "" && this.fld.value == "")\n        selection = newFieldValue = this.iHighlighted.down(".suggestValue").innerHTML;\n      else {\n        if(this.seps) {\n           var lastIndx = -1;\n           for(var i = 0; i < this.seps.length; i++)\n             if(this.fld.value.lastIndexOf(this.seps.charAt(i)) > lastIndx)\n               lastIndx = this.fld.value.lastIndexOf(this.seps.charAt(i));\n            if(lastIndx == -1)\n              selection = newFieldValue = this.iHighlighted.down(".suggestValue").innerHTML;\n            else\n            {\n               newFieldValue = this.fld.value.substring(0, lastIndx+1) + this.iHighlighted.down(".suggestValue").innerHTML;\n               selection = newFieldValue.substring(lastIndx+1);\n           }\n        }\n        else\n          selection = newFieldValue = this.iHighlighted.down(".suggestValue").innerHTML;\n      }\n\n      var inputData = this.iHighlighted.down('.value div').retrieve('itemData');\n      var data = {\n        suggest  : this,\n        id       : inputData.id || this.iHighlighted.down(".suggestId").innerHTML,\n        value    : inputData.value || this.iHighlighted.down(".suggestValue").innerHTML,\n        info     : inputData.info || this.iHighlighted.down(".suggestInfo").innerHTML,\n        icon     : inputData.icon || (this.iHighlighted.down('img.icon') ? this.iHighlighted.down('img.icon').src : ''),\n        category : this.iHighlighted.down(".suggestCategory").innerHTML\n      };\n      this.acceptEntry(data, selection, newFieldValue);\n    }\n  },\n\n  acceptEntry : function(data, selection, newFieldValue, silent) {\n      var event = Event.fire(this.fld, "ms:suggest:selected", data);\n\n      if (!event.stopped) {\n        if (!silent) {\n          this.sInput = selection;\n          this.fld.value = newFieldValue || this.fld.defaultValue || '';\n          this.fld.focus();\n          this.clearSuggestions();\n        }\n        // pass selected object to callback function, if exists\n        if (typeof(this.options.callback) == "function") {\n          this.options.callback(data);\n        }\n\n        //there is a hidden input\n        if(this.fld.id.indexOf("_suggest") > 0) {\n          var hidden_id = this.fld.id.substring(0, this.fld.id.indexOf("_suggest"));\n          var hidden_inp = $(hidden_id);\n          if (hidden_inp) {\n            hidden_inp.value =  info;\n          }\n        }\n      }\n  },\n\n  /**\n   * Kill timeout\n   */\n  killTimeout: function()\n  {\n    clearTimeout(this.toID);\n  },\n\n  /**\n   * Reset timeout\n   */\n  resetTimeout: function()\n  {\n    clearTimeout(this.toID);\n    var pointer = this;\n    this.toID = setTimeout(function () { pointer.clearSuggestions() }, 1000000);\n  },\n\n  /**\n   * Clear suggestions\n   */\n  clearSuggestions: function() {\n    this.killTimeout();\n    this.isActive = false;\n    var ele = $(this.container);\n    var pointer = this;\n    if (ele && ele.parentNode) {\n      if (this.options.fadeOnClear) {\n        var fade = new Effect.Fade(ele, {duration: "0.25", afterFinish : function() {\n          if($(pointer.container)) {\n            $(pointer.container).remove();\n          }\n        }});\n      }\n      else {\n        $(this.container).remove();\n      }\n      document.fire("ms:suggest:clearSuggestions", { 'suggest' : this});\n    }\n  }\n\n });\n\n }\n\n return PhenoTips;\n\n})(PhenoTips || {});
762845568679840330	code	var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.SuggestPicker = Class.create({\n\n  options : {\n    'showKey' : true,\n    'showTooltip' : false,\n    'showDeleteTool' : true,\n    'enableSort' : true,\n    'showClearTool' : true,\n    'inputType': 'hidden',\n    'listInsertionElt' : null,\n    'listInsertionPosition' : 'after',\n    'predefinedEntries' : null,\n    'acceptFreeText' : false\n  },\n  initialize: function(element, suggest, options, serializedDataInput) {\n    this.options = Object.extend(Object.clone(this.options), options || { });\n    this.serializedDataInput = serializedDataInput;\n    this.input = element;\n    this.suggest = suggest;\n    this.inputName = this.input.name;\n    if (!this.options.acceptFreeText) {\n      this.input.name = this.input.name + "__suggested";\n    } else {\n      this.input.addClassName("accept-value");\n    }\n    this.suggest.options.callback = this.acceptSuggestion.bind(this);\n    this.list = new Element('ul', {'class' : 'accepted-suggestions'});\n    var listInsertionElement;\n    if (this.options.listInsertionElt) {\n      if (typeof(this.options.listInsertionElt) == "string") {\n        listInsertionElement = this.input.up().down(this.options.listInsertionElt);\n      } else {\n        listInsertionElement = this.options.listInsertionElt;\n      }\n    }\n    if (!listInsertionElement) {\n      listInsertionElement = this.input;\n    }\n    var insertion = {};\n    insertion[this.options.listInsertionPosition] = this.list;\n    listInsertionElement.insert(insertion);\n    this.predefinedEntries = this.options.predefinedEntries ? $(this.options.predefinedEntries) : null;\n    if (this.options.showClearTool) {\n      this.clearTool = new Element('span', {'class' : 'clear-tool delete-tool invisible', 'title' : "$services.localization.render('phenotips.widgets.multiSuggest.clear.title')"}).update('$services.localization.render('phenotips.widgets.multiSuggest.clear') &#x2716;');\n      this.clearTool.observe('click', this.clearAcceptedList.bindAsEventListener(this));\n      this.list.insert({'after': this.clearTool});\n    }\n    if (typeof(this.options.onItemAdded) == "function") {\n      this.onItemAdded = this.options.onItemAdded;\n    }\n  },\n\n  acceptAddItem : function (key, negative) {\n    var searchFor = 'input[id="' + this.getInputId(key, negative).replace(/[^a-zA-Z0-9_-]/g, '\\\\$&') + '"]';\n    var input = this.predefinedEntries ? this.predefinedEntries.down(searchFor) : this.list ? this.list.down(searchFor) : $(this.getInputId(key, negative));\n    if (input) {\n      input.checked = true;\n      Event.fire(input, 'suggest:change');\n      //this.ensureVisible(input.up(), true);\n      this.synchronizeSelection(input);\n      return false;\n    }\n    return true;\n  },\n\n  ensureVisible : function (element, force) {\n    if (this.silent || (!force && this.options.silent) || element.up('.hidden')) {return;}\n    var section = element.up('.collapsed:not(.force-collapse)');\n    while (section) {\n      section.removeClassName('collapsed');\n      if (section.down('.expand-tool')) {\n        section.down('.expand-tool').update('▼');\n      }\n      section = section.up('.collapsed:not(.force-collapse)');\n    }\n    if (element.viewportOffset().top > this.input.viewportOffset().top) {\n      if (element.viewportOffset().top > document.viewport.getHeight()) {\n        if (element.viewportOffset().top - this.input.viewportOffset().top < document.viewport.getHeight()) {\n          this.input.scrollTo();\n        } else {\n          element.scrollTo();\n        }\n      }\n    } else {\n      if (element.cumulativeOffset().top < document.viewport.getScrollOffsets().top) {\n        element.scrollTo();\n      }\n    }\n  },\n\n  acceptSuggestion : function(obj) {\n    this.input.value = this.input.defaultValue || "";\n    if (this.acceptAddItem(obj.id || obj.value, obj.negative)) {\n      this.addItem(obj.id || obj.value, obj.value, obj.info, obj.category);\n    }\n    return false;\n  },\n\n  addItem : function(key, value, info, category) {\n    if (!key) {\n      return;\n    }\n    var id = this.getInputId(key);\n    var listItem = new Element("li");\n    var displayedValue = new Element("label", {"class": "accepted-suggestion", "for" : id});\n    // insert input\n    var inputOptions = {"type" : this.options.inputType, "name" : this.inputName, "id" : id, "value" : key};\n    if (this.options.inputType == 'checkbox') {\n      inputOptions.checked = true;\n    }\n    displayedValue.insert({'bottom' : new Element("input", inputOptions)});\n    // if the key should be displayed, insert it\n    if (this.options.showKey) {\n      displayedValue.insert({'bottom' : new Element("span", {"class": "key"}).update("[" + key.escapeHTML() + "]")});\n      displayedValue.insert({'bottom' : new Element("span", {"class": "sep"}).update(" ")});\n    }\n    // insert the displayed value\n    displayedValue.insert({'bottom' : new Element("span", {"class": "value"}).update(value.escapeHTML())});\n    listItem.insert(displayedValue);\n    if (category && category != '') {\n      listItem.insert(category);\n    }\n    // delete tool\n    if (this.options.showDeleteTool) {\n      var deleteTool = new Element("span", {'class': "delete-tool", "title" : "Delete this term"}).update('&#x2716;');\n      deleteTool.observe('click', this.removeItem.bindAsEventListener(this));\n      listItem.appendChild(deleteTool);\n    }\n    // tooltip, if information exists and the options state there should be a tooltip\n    if (this.options.showTooltip && info) {\n      listItem.appendChild(new Element("div", {'class' : "tooltip"}).update(info));\n      listItem.select('.expand-tool').invoke('observe', 'click', function(event){event.stop();});\n    }\n    this.list.insert(listItem);\n    var newItem = this.list ? this.list.down('input[id="' + id.replace(/[^a-zA-Z0-9_-]/g, '\\\\$&') + '"]') : $(id);\n    //this.ensureVisible(newItem);\n    this.synchronizeSelection(newItem);\n    newItem.observe('change', this.synchronizeSelection.bind(this, newItem));\n    this.updateListTools();\n    this.onItemAdded(newItem)\n    return newItem;\n  },\n\n  onItemAdded : function (element) {\n  },\n\n  removeItem : function(event) {\n    var item = event.findElement('li');\n    this.synchronizeSelection({\n      value   : (item.down('input[type=checkbox]') || item.down('input')).value,\n      checked : false\n    });\n    item.remove();\n    this.notifySelectionChange(item);\n    this.input.value = this.input.defaultValue || "";\n    this.updateListTools();\n  },\n\n  clearAcceptedList : function () {\n    // The list items are recreated after each update, so we can't cache the set of items, we must request them one by one\n    var item = this.list.down('li .delete-tool');\n    while (item) {\n      item.click();\n      item = this.list.down('li .delete-tool');\n    }\n  },\n\n  updateListTools : function () {\n    if (this.clearTool) {\n      if (this.list.select('li .accepted-suggestion').length > 0) {\n        this.clearTool.removeClassName('invisible');\n      } else {\n        this.clearTool.addClassName('invisible');\n      }\n    }\n    if (this.options.enableSort && this.list.select('li .accepted-suggestion').length > 0 && typeof(Sortable) != "undefined") {\n      Sortable.create(this.list);\n    }\n    if (this.serializedDataInput) {\n      var value = '';\n      this.list.select('li .accepted-suggestion input[type=checkbox]').each(function (entry) {\n        value += entry.value + '|';\n      });\n      this.serializedDataInput.value = value;\n    }\n  },\n\n  getInputId : function(key, negative) {\n    return (negative ? this.inputName.replace(/(_\\d+)_/, "$1_negative_") : this.inputName) + "_" + key;\n  },\n\n  synchronizeSelection : function (input) {\n    var element = (typeof (input.up) == 'function') && input.up('li');\n    if (element) {\n      if (this.input.hasClassName('generateYesNo') && !input.up('.yes-no-picker')) {\n        Element.select(element, 'input[name="fieldName"][type="hidden"]').each(function(n) {\n          var target = n.up('li').down('input[type="checkbox"]');\n          var originalName = target.name;\n          target.id = target.id.replace(target.name, n.value);\n          target.name = n.value;\n          target.up('label').addClassName(n.className);\n          target.up('label').htmlFor = target.id;\n          n.value = originalName;\n          if (n.up('.term-category')) {\n            n.up('.term-category').insert({before: n});\n          }\n        });\n        var positiveName = this.input.name.replace(/__suggested$/, "");\n        var negativeName = this.input.name.replace(/(_\\d+)_/, "$1_negative_").replace(/__suggested$/, "");;\n        var value = input.value;\n        var text = element.down('.value').firstChild.nodeValue;\n        var ynpickerElt = YesNoPicker.generatePickerElement([\n              {type: 'na',                         selected: !isValueSelected(positiveName, value) && !isValueSelected(negativeName, value)},\n              {type: 'yes', name: positiveName, selected: isValueSelected(positiveName, value)},\n              {type: 'no' , name: negativeName,    selected: isValueSelected(negativeName, value)}\n        ], value, text, true, input.next());\n        input.insert({before: ynpickerElt});\n        input.hide();\n        input.name = '';\n        input.id = '';\n        input.value = '';\n        enableHighlightChecked(ynpickerElt.down('.yes input'));\n        enableHighlightChecked(ynpickerElt.down('.no input'));\n      }\n    }\n    if (element) {\n      this.notifySelectionChange(element);\n    }\n  },\n\n  notifySelectionChange : function(elt) {\n    if (!elt.__categoryArray) {\n      elt.__categoryArray = [];\n      Element.select(elt, '.term-category input[type=hidden]').each(function(c) {\n        elt.__categoryArray.push(c.value);\n      });\n    }\n    Event.fire(this.input, 'xwiki:form:field-value-changed');\n    Event.fire(document, "custom:selection:changed", {\n       'categories' : elt.__categoryArray,\n       'trigger'    : this.input,\n       'fieldName'  : this.inputName,\n       'customElement' : elt\n    });\n  }\n});\n  return PhenoTips;\n}(PhenoTips || {}));
-2136398356499945459	code	var PhenoTips = (function (PhenoTips) {\n// Start PhenoTips augmentation.\nvar widgets = PhenoTips.widgets = PhenoTips.widgets || {};\nwidgets.ModalPopup = Class.create({\n  /** Configuration. Empty values will fall back to the CSS. */\n  options : {\n    idPrefix : "modal-popup-",\n    title : "",\n    displayCloseButton : true,\n    screenColor : "",\n    borderColor : "",\n    titleColor : "",\n    backgroundColor : "",\n    screenOpacity : "0.5",\n    verticalPosition : "center",\n    horizontalPosition : "center",\n    resetPositionOnShow: true,\n    removeOnClose : false,\n    onClose : Prototype.emptyFunction\n  },\n  /** Constructor. Registers the key listener that pops up the dialog. */\n  initialize : function(content, shortcuts, options) {\n    /** Shortcut configuration. Action name -&gt; {method: function(evt), keys: string[]}. */\n    this.shortcuts = {\n      "show" : { method : this.showDialog, keys : []},\n      "close" : { method : this.closeDialog, keys : ['Esc']}\n    },\n\n    this.content = content || "Hello world!";\n    // Add the new shortcuts\n    this.shortcuts = Object.extend(Object.clone(this.shortcuts), shortcuts || { });\n    // Add the custom options\n    this.options = Object.extend(Object.clone(this.options), options || { });\n    // Register a shortcut for showing the dialog.\n    this.registerShortcuts("show");\n\n    if (typeof (widgets.ModalPopup.instanceCounter) == 'undefined') {\n      widgets.ModalPopup.instanceCounter = 0;\n    }\n    this.id = ++widgets.ModalPopup.instanceCounter;\n  },\n\n  getBoxId : function() {\n    return this.options.idPrefix + this.id;\n  },\n\n  /** Create the dialog, if it is not already loaded. Otherwise, just make it visible again. */\n  createDialog : function(event) {\n    this.dialog = new Element('div', {'class': 'msdialog-modal-container'});\n    if (this.options.extraDialogClassName) {\n      this.dialog.addClassName(this.options.extraDialogClassName);\n    }\n    // A full-screen semi-transparent screen covering the main document\n    this.screen = new Element('div', {'class': 'msdialog-screen'}).setStyle({\n      opacity : this.options.screenOpacity,\n      backgroundColor : this.options.screenColor\n    });\n    this.dialog.update(this.screen);\n    // The dialog chrome\n    this.dialogBox = new Element('div', {'class': 'msdialog-box', 'id' : this.getBoxId()});\n    if (this.options.extraClassName) {\n      this.dialogBox.addClassName(this.options.extraClassName);\n    }\n    // Insert the content\n    this.dialogBox._x_contentPlug = new Element('div', {'class' : 'content'});\n    this.dialogBox.update(this.dialogBox._x_contentPlug);\n    this.dialogBox._x_contentPlug.update(this.content);\n    // Add the dialog title\n    if (this.options.title) {\n      var title = new Element('div', {'class': 'msdialog-title'}).update(this.options.title);\n      title.setStyle({"color" : this.options.titleColor, "backgroundColor" : this.options.borderColor});\n      this.dialogBox.insertBefore(title, this.dialogBox.firstChild);\n    }\n    // Add the close button\n    if (this.options.displayCloseButton) {\n      var closeButton = new Element('div', {'class': 'msdialog-close', 'title': 'Close'}).update("&#215;");\n      closeButton.setStyle({"color": this.options.titleColor});\n      closeButton.observe("click", this.closeDialog.bindAsEventListener(this));\n      this.dialogBox.insertBefore(closeButton, this.dialogBox.firstChild);\n    }\n    this.dialog.appendChild(this.dialogBox);\n    this.dialogBox.setStyle({\n      "textAlign": "left",\n      "borderColor": this.options.borderColor,\n      "backgroundColor" : this.options.backgroundColor\n    });\n    this.positionDialog();\n    // Append to the end of the document body.\n    document.body.appendChild(this.dialog);\n    if (typeof (Draggable) != 'undefined') {\n      new Draggable(this.getBoxId(), {\n        handle: $(this.getBoxId()).down('.msdialog-title'),\n        scroll: window,\n        change: this.updateScreenSize.bind(this)\n      });\n    }\n    this.dialog.hide();\n    var __enableUpdateScreenSize = function (event) {\n      if (this.dialog.visible()) {\n        this.updateScreenSize();\n      }\n    }.bindAsEventListener(this);\n    ['resize', 'scroll'].each(function(eventName) {\n       Event.observe(window, eventName, __enableUpdateScreenSize);\n    }.bind(this));\n    Event.observe(document, 'ms:popup:content-updated', __enableUpdateScreenSize);\n  },\n  positionDialog : function() {\n    switch(this.options.verticalPosition) {\n      case "top":\n        this.dialogBox.setStyle({"top": (document.viewport.getScrollOffsets().top + 6) + "px"});\n        break;\n      case "bottom":\n        this.dialogBox.setStyle({"bottom": ".5em"});\n        break;\n      default:\n        // TODO: smart alignment according to the actual height\n        this.dialogBox.setStyle({"top": "35%"});\n        break;\n    }\n    this.dialogBox.setStyle({"left": "", "right" : ""});\n    switch(this.options.horizontalPosition) {\n      case "left":\n        this.dialog.setStyle({"textAlign": "left"});\n        break;\n      case "right":\n        this.dialog.setStyle({"textAlign": "right"});\n        break;\n      default:\n        this.dialog.setStyle({"textAlign": "center"});\n        this.dialogBox.setStyle({"margin": "auto"});\n      break;\n    }\n  },\n  positionDialogInViewport : function(left, top) {\n    this.dialogBox.setStyle({\n      "left": (document.viewport.getScrollOffsets().left + left) + "px",\n      "top" : (document.viewport.getScrollOffsets().top  + top ) + "px",\n      "margin" : "0"\n    });\n  },\n  getPositionInViewport : function() {\n    return this.dialogBox.viewportOffset();\n  },\n\n  updateScreenSize : function() {\n    var __getNewDimension = function (eltToFit, dimensionAccessFunction, position) {\n      var crtDimension = $(document.documentElement)[dimensionAccessFunction]();\n      var viewportDimension = document.viewport.getScrollOffsets()[position] + document.viewport[dimensionAccessFunction]();\n      if (eltToFit) {\n        var limit = eltToFit.cumulativeOffset()[position] + eltToFit[dimensionAccessFunction]();\n      }\n      var result = '';\n      if (crtDimension < viewportDimension) {\n        result = viewportDimension + 'px';\n      }\n      /*if (limit && crtDimension < limit) {\n        result = limit + 'px';\n      } else if (limit && limit < viewportDimension) {\n        result = viewportDimension + 'px';\n      }*/\n      return result;\n    };\n    this.screen.style.width  = __getNewDimension(this.dialogBox, 'getWidth', 'left');\n    this.screen.style.height = __getNewDimension(this.dialogBox, 'getHeight', 'top');\n  },\n  /** Set a class name to the dialog box */\n  setClass : function(className) {\n    this.dialogBox.addClassName('msdialog-box-' + className);\n  },\n  /** Remove a class name from the dialog box */\n  removeClass : function(className) {\n    this.dialogBox.removeClassName('msdialog-box-' + className);\n  },\n  /** Set the content of the dialog box */\n  setContent : function(content) {\n     this.content = content;\n     this.dialogBox._x_contentPlug.update(this.content);\n     this.updateScreenSize();\n  },\n  /** Called when the dialog is displayed. Enables the key listeners and gives focus to the (cleared) input. */\n  showDialog : function(event) {\n    if (event) {\n      Event.stop(event);\n    }\n    // Only do this if the dialog is not already active.\n    //if (!widgets.ModalPopup.active) {\n    //  widgets.ModalPopup.active = true;\n    if (!this.active) {\n      this.active = true;\n      if (!this.dialog) {\n        // The dialog wasn't loaded, create it.\n        this.createDialog();\n      }\n      // Start listening to keyboard events\n      this.attachKeyListeners();\n      // In IE, position: fixed does not work.\n      /*if (Prototype.Browser.IE6x) {\n        this.dialog.setStyle({top : document.viewport.getScrollOffsets().top + "px"});\n        this.dialog._x_scrollListener = this.onScroll.bindAsEventListener(this);\n        Event.observe(window, "scroll", this.dialog._x_scrollListener);\n        $$("select").each(function(item) {\n          item._x_initiallyVisible = item.style.visibility;\n          item.style.visibility = 'hidden';\n        });\n      }*/\n      // Display the dialog\n      this.dialog.show();\n      if (this.options.resetPositionOnShow) {\n        this.positionDialog();\n      }\n      this.updateScreenSize();\n    }\n  },\n  onScroll : function(event) {\n    this.dialog.setStyle({top : document.viewport.getScrollOffsets().top + "px"});\n  },\n  /** Called when the dialog is closed. Disables the key listeners, hides the UI and re-enables the 'Show' behavior. */\n  closeDialog : function(event) {\n    if (event) {\n      Event.stop(event);\n    }\n    /*if (window.browser.isIE6x) {\n      Event.stopObserving(window, "scroll", this.dialog._x_scrollListener);\n      $$("select").each(function(item) {\n        item.style.visibility = item._x_initiallyVisible;\n      });\n    }*/\n    // Call optional callback\n    this.options.onClose.call(this);\n    // Hide the dialog, without removing it from the DOM.\n    this.dialog.hide();\n    if (this.options.removeOnClose) {\n      this.dialog.remove();\n    }\n    // Stop the UI shortcuts (except the initial Show Dialog one).\n    this.detachKeyListeners();\n    // Re-enable the 'show' behavior.\n    // widgets.ModalPopup.active = false;\n    this.active = false;\n  },\n  /** Enables all the keyboard shortcuts, except the one that opens the dialog, which is already enabled. */\n  attachKeyListeners : function() {\n    for (var action in this.shortcuts) {\n      if (action != "show") {\n        this.registerShortcuts(action);\n      }\n    }\n  },\n  /** Disables all the keyboard shortcuts, except the one that opens the dialog. */\n  detachKeyListeners : function() {\n    for (var action in this.shortcuts) {\n      if (action != "show") {\n        this.unregisterShortcuts(action);\n      }\n    }\n  },\n  /**\n   * Enables the keyboard shortcuts for a specific action.\n   *\n   * @param {String} action The action to register\n   * {@see #shortcuts}\n   */\n  registerShortcuts : function(action) {\n    var shortcuts = this.shortcuts[action].keys;\n    var method = this.shortcuts[action].method;\n    for (var i = 0; i < shortcuts.size(); ++i) {\n      if (Prototype.Browser.IE || Prototype.Browser.WebKit) {\n        shortcut.add(shortcuts[i], method.bindAsEventListener(this, action), {type: 'keyup'});\n      } else {\n        shortcut.add(shortcuts[i], method.bindAsEventListener(this, action), {type: 'keypress'});\n      }\n    }\n  },\n  /**\n   * Disables the keyboard shortcuts for a specific action.\n   *\n   * @param {String} action The action to unregister {@see #shortcuts}\n   */\n  unregisterShortcuts : function(action) {\n    for (var i = 0; i < this.shortcuts[action].keys.size(); ++i) {\n      shortcut.remove(this.shortcuts[action].keys[i]);\n    }\n  },\n  createButton : function(type, text, title, id) {\n    var wrapper = new Element("span", {"class" : "buttonwrapper"});\n    var button = new Element("input", {\n      "type" : type,\n      "class" : "button",\n      "value" : text,\n      "title" : title,\n      "id" : id\n    });\n    wrapper.update(button);\n    return wrapper;\n  },\n  show : function(event) {\n    this.showDialog(event);\n  },\n  close : function(event) {\n    this.closeDialog(event);\n  }\n});\n/** Whether or not the dialog is already active (or activating). */\nwidgets.ModalPopup.active = false;\n// End PhenoTips augmentation.\nreturn PhenoTips;\n}(PhenoTips || {}));\n
-4634018571476814268	code	var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.SolrQueryProcessor = Class.create({\n  initialize: function(queryFields, restriction) {\n    this.queryFields = queryFields;\n    this.restriction = restriction;\n  },\n\n  processQuery: function(query)\n  {\n    return this.inflateQuery(query);\n  },\n\n  generateParameters: function(query)\n  {\n    var parameters = {'defType': 'edismax', 'spellcheck.collate': true, 'spellcheck': true, 'lowercaseOperators': false};\n    if (this.setupMandatoryQuery(query, parameters)) {\n      return parameters;\n    }\n    this.restrictQuery(query, parameters);\n    this.setupQueryFields(query, parameters);\n    return parameters;\n  },\n\n  setupMandatoryQuery : function(query, parameters)\n  {\n    var txt = query.strip();\n    var mandatoryQuery = "";\n    var hasMandatoryFields = false;\n    for (var field in this.queryFields) {\n      var fieldOptions = this.queryFields[field];\n      var activationRegex = fieldOptions['activationRegex'];\n      if (!fieldOptions['mandatory'] || !activationRegex || !txt.match(activationRegex)) {\n        continue;\n      }\n      mandatoryQuery += field + ":" + (fieldOptions['transform'] ? fieldOptions['transform'](query) : query) + " ";\n      hasMandatoryFields = true;\n    }\n    if (mandatoryQuery) {\n      parameters.fq = mandatoryQuery.strip();\n    }\n    return hasMandatoryFields;\n  },\n\n  restrictQuery : function(query, parameters)\n  {\n    if (!this.restriction) {\n      return;\n    }\n    var result = "";\n    for (var rField in this.restriction) {\n      var restrictionString = (rField.substring(0, 1) == '-' ? '-' : '+') + "(";\n      for (var i = 0; i < this.restriction[rField].length; ++i) {\n        restrictionString += rField.replace(/^-/, '') + ":" + this.restriction[rField][i].replace(/:/g, "\\\\:") + " ";\n      }\n      restrictionString = restrictionString.strip() + ") ";\n      result += restrictionString;\n    }\n    if (result) {\n      parameters.fq = result.strip();\n    }\n  },\n\n  setupQueryFields : function(query, parameters)\n  {\n    var txt = query.strip();\n    var wordFields = "";\n    var phraseFields = "";\n    var boostQuery = "";\n    var lastWord = query.replace(/.*\\W/g, '');\n    for (var field in this.queryFields) {\n      var fieldOptions = this.queryFields[field];\n      var activationRegex = fieldOptions['activationRegex'];\n      if (activationRegex && !txt.match(activationRegex)) {\n        continue;\n      }\n      if (fieldOptions['wordBoost']) {\n        wordFields += field + "^" + fieldOptions['wordBoost'] + " ";\n      }\n      if (fieldOptions['phraseBoost']) {\n        phraseFields += field + "^" + fieldOptions['phraseBoost'] + (fieldOptions['phraseSlop'] ? "~" + fieldOptions['phraseSlop'] : "") + " ";\n      }\n      if (lastWord && fieldOptions['stubBoost']) {\n        boostQuery += field + ":" + lastWord.replace(/:/g, "\\\\:")+ "*^" + fieldOptions['stubBoost'] + " ";\n      }\n    }\n    if (wordFields) {\n      parameters.qf = wordFields.strip();\n    }\n    if (phraseFields) {\n      parameters.pf = phraseFields.strip();\n    }\n    if (boostQuery) {\n      parameters.bq = boostQuery.strip();\n    }\n  },\n\n  inflateQuery : function(query)\n  {\n    var lastWord = query.replace(/.*\\W/g, '');\n    if (!lastWord) {\n      return query;\n    }\n    var result = query;\n\n    for (var field in this.queryFields) {\n      if (this.queryFields[field].stubTrigger) {\n        result += " " + field + ":" + lastWord.replace(/:/g, "\\\\:") + "*";\n      }\n    }\n    return result.strip();\n  }\n});\n  return PhenoTips;\n}(PhenoTips || {}));
-7933826172608503154	code	var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.OntologyBrowser = Class.create({\n  options : {\n    script : "${xwiki.getURL('PhenoTips.SolrService', 'get', 'sort=nameSort asc&start=0&rows=10000')}&",\n    varname: "q",\n    method : "post",\n    json : true,\n    responseFormat : "application/json",\n    resultsParameter : "rows",\n    resultId : "id",\n    resultValue : "name",\n    resultCategory : "term_category",\n    resultParent : {\n      selector : 'is_a',\n      processingFunction : function (text){\n        var data = {};\n        data.id = text.replace(/\\s+/gm, ' ').replace(/(HP:[0-9]+)\\s*!\\s*(.*)/m, "$1");\n        data.value = text.replace(/\\s+/gm, ' ').replace(/(HP:[0-9]+)\\s*!\\s*(.*)/m, "$2");\n        return data;\n      }\n    },\n    noresults: "No sub-terms",\n    targetQueryProcessor: typeof(PhenoTips.widgets.SolrQueryProcessor) == "undefined" ? null : new PhenoTips.widgets.SolrQueryProcessor({\n                           'id' : {'activationRegex' : /^HP:[0-9]+$/i, 'mandatory' : true, 'transform': function(query) {return query.toUpperCase().replace(/:/g, "\\\\:");}}\n                         }),\n    expandQueryProcessor: typeof(PhenoTips.widgets.SolrQueryProcessor) == "undefined" ? null : new PhenoTips.widgets.SolrQueryProcessor({\n                           'is_a' : {'activationRegex' : /^HP:[0-9]+$/i, 'mandatory' : true, 'transform': function(query) {return query.toUpperCase().replace(/:/g, "\\\\:");}}\n                         }),\n    showParents : true,\n    showRoot : true,\n    enableSelection : true,\n    enableBrowse : true,\n    isTermSelected : function (id) {return false;},\n    unselectTerm : function(id) {},\n\n    defaultEntryAction: 'browse' /* {browse, select} */\n  },\n\n  initialize: function(suggest, container, options) {\n    this.options = Object.extend(Object.clone(this.options), options || { });\n    this.suggest = suggest;\n    this.loadingMessage = new Element('div', {'class' : 'plainmessage loading'}).update("Loading...");\n    if (container) {\n      this.container = container;\n    } else {\n      this.container = new PhenoTips.widgets.ModalPopup(this.loadingMessage, {}, {\n        idPrefix : 'ontology-browser-window-',\n        title : "Related terms",\n        backgroundColor : "#ffffff",\n        verticalPosition : "top",\n        extraDialogClassName : "dialog-ontology-browser",\n        removeOnClose: true\n      });\n      this.options.modal = true;\n    }\n    this._obrowserExpandEventHandler = this._obrowserExpandEventHandler.bindAsEventListener(this);\n  },\n\n  load : function(id) {\n      this.setContent(this.loadingMessage);\n      var query = id;\n      var parameters = {};\n      if (this.options.targetQueryProcessor != null && typeof(this.options.targetQueryProcessor.generateParameters) == "function") {\n        parameters = this.options.targetQueryProcessor.generateParameters(query);\n      }\n      if (this.options.targetQueryProcessor != null && typeof(this.options.targetQueryProcessor.processQuery) == "function") {\n        query = this.options.targetQueryProcessor.processQuery(query);\n      }\n      var url = this.options.script + this.options.varname + "=" + encodeURIComponent(query);\n      var headers = {};\n      headers.Accept = this.options.responseFormat;\n\n      var ajx = new Ajax.Request(url, {\n        method: this.options.method,\n        parameters: parameters,\n        requestHeaders: headers,\n        onSuccess: function (response) {\n          this.setContent(this.buildTree(this._getDataFromResponse(response)));\n          this.__crtRoot = id;\n          if (this.container.content) {\n            Event.fire(document, 'xwiki:dom:updated', {'elements' : [this.container.content]});\n          }\n        }.bind(this),\n        onFailure: function (response) {\n          this.setContent("Failed to retrieve data : " + respose.statusText);\n          this.__crtRoot = '';\n        }.bind(this)\n      });\n  },\n\n  expandTo : function (termId, categories) {\n    if (categories.indexOf(this.__crtRoot) == -1) {\n      // not in the right tree, nothing to do\n      return;\n    }\n    this._expandToStep(termId, categories.without(this.__crtRoot, termId));\n  },\n\n  _expandToStep : function (termId, categories) {\n    var _this = this;\n    //alert ("expanding " + termId + " " + categories);\n    var target = this.container.contentContainer.down('li.entry input.select-tool[value="' + termId.replace(/"/g, '\\\\"') + '"]');\n    if (target) {\n       return;\n    }\n    var finishedStep = false;\n    categories.each(function(category) {\n      if (finishedStep) {return}\n      var categoryInput = _this.container.contentContainer.down('li.entry input.select-tool[value="' + category.replace(/"/g, '\\\\"') + '"]');\n      if (categoryInput) {\n        //alert ("start expanding " + category + " " + categories);\n        var categoryEntry = categoryInput.up('li');\n        if (categoryEntry.hasClassName('collapsed') || !categoryEntry.down('.descendents')) {\n          Event.observe(categoryEntry, "obrowser:expand:finished", function(event) {\n            Event.stopObserving(categoryEntry, "obrowser:expand:finished");\n            _this._expandToStep(termId, categories.without(category));\n          });\n          _this._toggleExpandState(categoryEntry);\n          finishedStep = true;\n        }\n      }\n    });\n  },\n\n  expand : function (element, doPopulate) {\n      var query = element.__termId;\n      var parameters = {};\n      if (this.options.expandQueryProcessor != null && typeof(this.options.expandQueryProcessor.generateParameters) == "function") {\n        parameters = this.options.expandQueryProcessor.generateParameters(query);\n      }\n      if (this.options.expandQueryProcessor != null && typeof(this.options.expandQueryProcessor.processQuery) == "function") {\n        query = this.options.expandQueryProcessor.processQuery(query);\n      }\n      var url = this.options.script + this.options.varname + "=" + encodeURIComponent(query);\n      var headers = {};\n      headers.Accept = this.options.responseFormat;\n\n      var ajx = new Ajax.Request(url, {\n        method: this.options.method,\n        requestHeaders: headers,\n        parameters: parameters,\n        onCreate: function() {this._lockExpandTool(element)}.bind(this),\n        onSuccess: function (response) {\n          var memo = {};\n          if (doPopulate) {\n            var newAdditions = this.buildDescendentsList(this._getDataFromResponse(response));\n            element.insert({'bottom': newAdditions});\n            Event.fire(document, "obrowser:content:added", {added: newAdditions, obrowser: this});\n            Event.fire(element, "obrowser:expand:finished");\n            Event.fire(this.container.contentContainer || document, "obrowser:expand:finished");\n            Event.fire(document, 'xwiki:dom:updated', {'elements' : [newAdditions]});\n            //memo.data = this.buildDescendentsList(this._getDataFromResponse(response));\n            //Event.fire(element, 'obrowser:expand:done', memo);\n          } else {\n            memo.count = this.countDescendents(this._getDataFromResponse(response));\n            //Event.fire(element, 'obrowser:count:done', memo);\n          }\n          if ((memo.count === 0) || (doPopulate && !element.down('.descendents .entry, .error'))) {\n            element.addClassName('collapsed');\n            var expandTool = element.down('.expand-tool');\n            if (expandTool) {\n              expandTool.update(this._getExpandCollapseSymbol(true)).addClassName('disabled');\n              expandTool.stopObserving('click');\n            }\n          }\n          Event.fire(document, "ms:popup:content-updated", {popup: this.container});\n        }.bind(this),\n        onFailure: function (response) {\n          Event.fire(element, 'obrowser:expand:failed', {data: new Element('div', {'class' : 'error'}).update("Failed to retrieve data : " + respose.statusText), count: -1});\n        },\n        onComplete: function() {this._unlockExpandTool(element)}.bind(this)\n      });\n  },\n\n  _getDataFromResponse : function(response) {\n    if (this.options.json) {\n      return response.responseJSON;\n    }\n    return response.responseXML;\n  },\n  _getResultset_json : function(data, fieldName) {\n    return data && data[fieldName] || [];\n  },\n  _getResultFieldValue_json : function(data, fieldName) {\n    return data && data[fieldName] || '';\n  },\n  _getResultFieldValueAsArray_json : function(data, fieldName) {\n    return new Array(data && data[fieldName] || '').flatten();\n  },\n  _getResultset_xml : function(data, selector) {\n    var elements = data && data.getElementsByTagName(selector);\n    return elements;\n  },\n  _getResultFieldValue_xml : function(data, selector) {\n    var element = data && Element.down(data, selector);\n    return element && element.firstChild && element.firstChild.nodeValue || '';\n  },\n  _getResultFieldValueAsArray_xml : function(data, selector) {\n    var result = new Array();\n    if (data) {\n      Element.select(data, selector).each(function(item) {\n        var value = item.firstChild && item.firstChild.nodeValue;\n        if (value) {\n          result.push(value);\n        }\n      });\n    }\n    return result;\n  },\n  _getResultset : function(data, fieldName) {\n    if (this.options.json) {\n      return this._getResultset_json(data, fieldName);\n    }\n    return this._getResultset_xml(data, fieldName);\n  },\n  _getResultFieldValue : function(data, fieldName) {\n    if (this.options.json) {\n      return this._getResultFieldValue_json(data, fieldName);\n    }\n    return this._getResultFieldValue_xml(data, fieldName);\n  },\n  _getResultFieldValueAsArray : function(data, fieldName) {\n    if (this.options.json) {\n      return this._getResultFieldValueAsArray_json(data, fieldName);\n    }\n    return this._getResultFieldValueAsArray_xml(data, fieldName);\n  },\n\n  buildTree : function (data) {\n    var results = this._getResultset(data, this.options.resultsParameter);\n    if (results.length == 0) {\n      return new Element('div', {'class' : 'error'}).update(this.options.noresults);\n    }\n    var targetResult = results[0];\n    var newContent = new Element('div');\n    if (this.options.showParents) {\n      var parents = new Element('ul', {'class': 'parents'});\n      this._getResultFieldValueAsArray(targetResult, this.options.resultParent.selector).each(function(item) {\n        var text = item;\n        var data = {};\n        if (typeof (this.options.resultParent.processingFunction) == "function") {\n          data = this.options.resultParent.processingFunction(text);\n        }\n        parents.insert({'bottom' : this._createParentBranch(data)});\n      }.bind(this));\n      if (parents.hasChildNodes()) {\n        newContent.insert({'top' : parents});\n      }\n      Event.fire(document, "obrowser:content:added", {added: parents, obrowser: this});\n    }\n    var data = {\n      id : this._getResultFieldValue(targetResult, this.options.resultId),\n      value : this._getResultFieldValue(targetResult, this.options.resultValue),\n      category: this._generateEntryCategory(targetResult)\n    }\n    var root = this._createRoot(data);\n    newContent.insert({'bottom' : root});\n    Event.fire(document, "obrowser:content:added", {added: root, obrowser: this});\n    //this._toggleExpandState(root);\n    return newContent;\n  },\n\n  countDescendents : function(xml) {\n    return this._getResultset(xml, this.options.resultsParameter).length;\n  },\n\n  buildDescendentsList : function(xml) {\n    var results = this._getResultset(xml, this.options.resultsParameter);\n    var list = new Element('ul', {'class' : 'descendents'});\n    for (var i = 0; i < results.length; i++) {\n        var data = {\n          id : this._getResultFieldValue(results[i], this.options.resultId),\n          value : this._getResultFieldValue(results[i], this.options.resultValue),\n          category: this._generateEntryCategory(results[i])\n        };\n        list.insert({'bottom': this._createDescendentBranch(data)});\n    }\n    if (list.hasChildNodes()) {\n      return list;\n    }\n    return new Element('div', {'class' : 'descendents hint empty'}).update(this.options.noresults);\n  },\n\n  _createBranch: function (eltName, className, data, expandable) {\n    var element =  new Element(eltName, {'class' : 'entry ' + className});\n    element.__termId = data.id;\n    element.__termCategory = data.category;\n    var wrapper = new Element('div', {'class' : 'entry-data'});\n    wrapper.insert({'bottom': this._generateEntryTitle(data.id, data.value)});\n    var entryTools = new Element('span', {'class' : 'entry-tools'});\n    entryTools.observe('click', function(event) {event.stop()}); // don't forward click events\n    wrapper.insert({'bottom': entryTools});\n    element.update(wrapper);\n\n    if (!this._isRootEntry(element)) {\n      if (this.options.defaultEntryAction == 'browse') {\n        wrapper.down('.info').observe('click', this._browseEntry.bindAsEventListener(this));\n      }\n    }\n    entryTools.insert(new Element('span', {'class' : 'fa fa-info-circle phenotype-info xHelpButton', title : data.id}));\n\n    if (this.options.enableSelection) {\n      element.__selectTool = new Element('input', {'type' : 'checkbox', name: 'term_selector', value: data.id, 'class' : 'select-tool'});\n      wrapper.insert({'top': element.__selectTool});\n      if (this.options.isTermSelected(element.__termId)) {\n        element.addClassName('accepted');\n        element.__selectTool.checked = 'checked';\n      }\n      element.__selectTool.observe('click', this._toggleEntrySelection.bindAsEventListener(this));\n      if (this.options.defaultEntryAction == 'select') {\n         wrapper.down('.info').observe('click', this._toggleEntrySelection.bindAsEventListener(this));\n      }\n    }\n\n    if (expandable) {\n      var expandTool = new Element('span', {'class' : 'expand-tool'}).update(this._getExpandCollapseSymbol(!element.hasClassName('root')));\n      expandTool.observe('click', function(event) {\n        var entry = event.element().up('.entry');\n        if (!this._isExpandToolLocked(entry)){\n          this._toggleExpandState(entry);\n        }\n      }.bindAsEventListener(this));\n      wrapper.insert({'top': expandTool});\n      this.expand(element, element.hasClassName('root'));\n      //element.observe('obrowser:expand:done', this._obrowserExpandEventHandler);\n      //element.observe('obrowser:count:done', this._obrowserExpandEventHandler);\n      //element.observe('obrowser:expand:failed', this._obrowserExpandEventHandler);\n    }\n    return element;\n  },\n\n  _generateEntryTitle : function(id, value) {\n    return  new Element('span', {'class' : 'info'}).insert(\n                     {'bottom' : new Element('span', {'class' : 'key'}).update('[' + id + ']')}).insert(\n                     {'bottom' : ' '}).insert(\n                     {'bottom' : new Element('span', {'class' : 'value'}).update(value)});\n  },\n\n  _generateEntryCategory : function (xmlFragment) {\n    var category = new Element("span", {'class' : 'hidden term-category'});\n    if (this.options.resultCategory) {\n      this._getResultFieldValueAsArray(xmlFragment, this.options.resultCategory).each(function(c) {\n        category.insert(new Element('input', {'type' : 'hidden', 'value' : c}));\n      });\n    }\n    if (category.hasChildNodes()) {\n      return category;\n    } else {\n      return null;\n    }\n  },\n\n  _toggleExpandState : function(target) {\n    if (target) {\n      if (target.down('.descendents')) {\n        target.toggleClassName('collapsed');\n        Event.fire(target, "obrowser:expand:finished");\n      } else {\n        target.removeClassName('collapsed');\n        if (target.down(".error")) {\n          target.down(".error").remove();\n        }\n        this.expand(target, true);\n      }\n      target.down('.expand-tool').update(this._getExpandCollapseSymbol(target.hasClassName("collapsed")));\n    }\n  },\n\n  _obrowserExpandEventHandler : function(event) {\n     var element = event.element();\n     if (!event.memo) {\n       return;\n    }\n    if (event.memo.data) {\n       element.insert({'bottom': event.memo.data});\n       element.stopObserving('obrowser:expand:done', this._obrowserExpandEventHandler);\n    } else if (typeof (event.memo.count) != "undefined") {\n       element.stopObserving('obrowser:count:done', this._obrowserExpandEventHandler);\n    }\n    element.stopObserving('obrowser:expand:failed', this._obrowserExpandEventHandler);\n    if ((event.memo.count == "0") || (!element.hasClassName('root') && event.memo.data && !element.down('.descendents .entry, .error'))) {\n      element.addClassName('collapsed');\n      var expandTool = element.down('.expand-tool');\n      if (expandTool) {\n        expandTool.update(this._getExpandCollapseSymbol(true)).addClassName('disabled');\n        expandTool.stopObserving('click');\n      }\n    }\n    this._unlockExpandTool(element);\n    Event.fire(document, "ms:popup:content-updated", {popup: this.container});\n    if (event.memo.data) {\n      Event.fire(element, "obrowser:expand:finished");\n    }\n  },\n\n  _lockExpandTool : function(element) {\n    var expandTool = element.down('.expand-tool');\n    if (expandTool) {\n      expandTool.addClassName('locked');\n    }\n  },\n\n  _unlockExpandTool : function(element) {\n    var expandTool = element.down('.expand-tool');\n    if (expandTool) {\n      expandTool.removeClassName('locked');\n    }\n  },\n\n  _isExpandToolLocked : function(element) {\n    if (element.down('.expand-tool.locked')) {\n      return true;\n    }\n    return false;\n  },\n\n  _getExpandCollapseSymbol : function (isCollapsed) {\n    if (isCollapsed) {\n      return "&#x25ba;";\n    }\n    return "&#x25bc;";\n  },\n  _toggleEntrySelection : function(event) {\n    var trigger = event.element();\n    if (!trigger.hasClassName('select-tool')) {\n      trigger.up('.entry').down('input').click();\n      return;\n    }\n    var elt = trigger.up('.entry');\n    if (trigger.checked) {\n      this._selectEntry(elt);\n    } else {\n      this._unselectEntry(elt);\n    }\n  },\n  _selectEntry: function (entry) {\n    if (this.suggest) {\n      if (this.options.modal && typeof (this.container.getPositionInViewport) == 'function') {\n        var prevPosition = this.container.getPositionInViewport();\n      }\n      var value = entry.down('.value').firstChild.nodeValue;\n      this.suggest.acceptEntry({'id':entry.__termId, 'value':value, 'category' : entry.__termCategory, 'negative' : entry.down('.selected.no')}, value, '', true);\n      entry.addClassName('accepted');\n      if (prevPosition && (typeof (this.container.positionDialogInViewport) == 'function')) {\n        this.container.positionDialogInViewport(prevPosition.left, prevPosition.top);\n      }\n    }\n  },\n  _unselectEntry: function (entry) {\n     this.options.unselectTerm(entry.__termId);\n     this.options.unselectTerm(entry.__termId, true);\n     entry.removeClassName('accepted');\n  },\n\n  _browseEntry : function(event) {\n    event.stop();\n    var elt = event.element().up('.entry');\n    this.load(elt.__termId);\n  },\n\n  _createParentBranch: function (parent) {\n    var parent = this._createBranch('li', 'parent', parent, false);\n    return parent;\n  },\n\n  _createRoot : function (data) {\n    var root = this._createBranch('div', 'root', data, true);\n    if (!this.options.showRoot) {\n      root.addClassName('no-root');\n      root.down('.entry-data').addClassName('invisible');\n    }\n    return root;\n  },\n\n  _createDescendentBranch : function(data) {\n    return this._createBranch('li', 'descendent', data, true);\n  },\n\n  _isRootEntry : function(element) {\n    return element.hasClassName('entry') && element.hasClassName('root');\n  },\n\n  setContent : function(content) {\n    this.container.setContent(new Element('div', {'class' : 'ontology-tree'}).update(content));\n  },\n\n  show : function(id) {\n    if (id) {\n      this.container.show();\n      if (this.__crtRoot != id) {\n        this.load (id);\n      } else {\n        Event.fire(this.container.contentContainer || document, 'obrowser:expand:finished');\n      }\n    }\n  },\n\n  hide : function() {\n    this.container.close();\n  }\n  });\n\n  return PhenoTips;\n}(PhenoTips || {}));
-2667627816585793507	code	var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.DropDown = Class.create({\n  options : {},\n  initialize : function (element) {\n    this.element = element;\n    this.hasForceOpen = false;\n    var existingDropdown = element.next(".dropdown")\n    if (existingDropdown) {\n      this.contentContainer = null;\n      this.dropdown = existingDropdown;\n      this.hasForceOpen = true;\n    } else {\n      this.dropdown = new Element('div', {'class' : 'dropdown'});\n\n      this.contentContainer = new Element('div');\n      this.dropdown.update(this.contentContainer);\n    }\n    //var closeButton = new Element('div', {'class': 'close', 'title': 'Close'}).update("&#215;");\n    //closeButton.observe("click", this.close.bindAsEventListener(this));\n    //this.dropdown.insert({top: closeButton});\n  },\n  setContent : function(content) {\n    this.contentContainer != null ? this.contentContainer.update(content) : null;\n  },\n  show : function (force) {\n    if (force && !this.hasForceOpen) {\n      return false;\n    }\n    if (this.dropdown.hasClassName('invisible')) {\n      this.dropdown.removeClassName('invisible');\n    } else  {\n      this.element.insert({after : this.dropdown});\n    }\n    return true;\n  },\n  close : function (force) {\n    if (force && !this.hasForceOpen) {\n      return false;\n    }\n    this.dropdown.addClassName('invisible');\n    return true;\n    //this.dropdown.remove();\n  }\n  });\n  return PhenoTips;\n}(PhenoTips || {}));
3691429869719656184	code	#template('colorThemeInit.vm')\n\n.messagestream-tools {\n  position: relative;\n  margin: 2px 0;\n}\n.messagestream-tools .accepted-suggestions {\n  display: inline;\n}\n.messagestream-tools .accepted-suggestions .target-user,\n.messagestream-tools .accepted-suggestions .target-group {\n  background: none no-repeat scroll left center transparent;\n  display: inline-block;\n  margin-right: 1em;\n  padding: 0 1px 0 18px;\n}\n.messagestream-tools .accepted-suggestions .target-user {\n  background-image: url("$xwiki.getSkinFile('icons/silk/user.png')");\n}\n.messagestream-tools .accepted-suggestions .target-group {\n  background-image: url("$xwiki.getSkinFile('icons/silk/group.png')");\n}\n.messagestream select {\n  padding: .2em;\n  width: auto;\n}\n.messagestream input.targetName {\n  margin-right: .3em;\n  width: auto;\n}
-1970536447999040586	code	{{velocity output='false'}}\n#* Duplicate code (from Main.Activity) START *#\n##\n## User status configuration\n## -------------------------------------------------------------\n#set ($config = 'XWiki.MessageStreamConfig')\n#set ($configClass = $xwiki.getDocument($config).getxWikiClass())\n#set ($configObj = $xwiki.getDocument($config).getObject($config))\n#set ($isMessageStreamActive = ("$configObj.getProperty('active').value" == '1'))\n\n#set ($currentUser = $services.model.serialize($xcontext.userReference, 'default'))\n\n#set ($activityActionsMap = {\n  'publicMessage':    'icons/silk/user_comment.png',\n  'personalMessage':  'icons/silk/user_comment.png',\n  'directMessage':    'icons/silk/user_go.png',\n  'groupMessage':     'icons/silk/group_go.png'\n})\n##\n#**\n  * Display user avatar and action message\n  *#\n#macro(activitySnapshot $eventUser $eventType)\n  <span class='activitySnapshot'>\n    #if ($eventUser != 'XWiki.XWikiGuest')\n      <a href="$xwiki.getURL($eventUser)">#smallUserAvatar("$!eventUser")</a>\n    #else\n      #smallUserAvatar("$!eventUser")\n    #end\n    <img class='activityActionAvatar' src="$xwiki.getSkinFile($activityActionsMap.get($eventType), true)" alt="$services.localization.render("xe.activity.action.${eventType}", [$relatedEventsNo])" title="$services.localization.render("xe.activity.action.${eventType}", [$relatedEventsNo])" />\n  </span>\n#end\n##\n#* Duplicate code END *#\n##\n## Skin Extensions\n##--------------------------------------------------------------\n#set ($discard = $xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js'))\n#set ($discard = $xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js'))\n#set ($discard = $xwiki.ssx.use('Main.Activity'))\n#set ($discard = $xwiki.ssx.use('Main.MessageSenderMacro'))\n#set ($discard = $xwiki.jsx.use('Main.MessageSenderMacro'))\n{{/velocity}}\n\n{{velocity}}\n#if ($isMessageStreamActive)\n  #set ($xredirect = $doc.getURL($xcontext.action, $!{request.queryString}))\n  #set ($errorMessageKeyPrefix = "messageSender.post.error.")\n  #set ($errorMessage = $request.session.getAttribute("${errorMessageKeyPrefix}${xredirect}"))\n  #if ("$!errorMessage" != '')\n    ## Clean the error and display the message.\n    #set ($discard = $request.session.removeAttribute("${errorMessageKeyPrefix}${xredirect}"))\n    {{error}}$errorMessage{{/error}}\n\n  ##\n  ## Handle postMessage action here so that the macro can be self contained.\n  ##\n  #elseif ("$!{request.xaction}" != '')\n    #if ("$!{request.xaction}" == 'postMessage')\n      #if(!$services.csrf.isTokenValid(${request.form_token}))\n        #set($redirectURL = $services.csrf.getResubmissionURL())\n        $response.sendRedirect($redirectURL)\n      #else\n        #set ($message = "$!{request.messagestream_message.trim()}")\n        #if ($message == '')\n          ## Do nothing with empty messages\n          #if ("$!{request.xredirect}" != '')\n            $response.sendRedirect(${request.xredirect})\n          #end\n        #else\n          #set ($success = false)\n          #if (!$isGuest)\n            #set ($messageType = "$!{request.visibilityLevel}")\n            #if ($messageType == 'everyone')\n              #set ($success = $services.messageStream.postPublicMessage($message))\n            #elseif ($messageType == 'followers')\n              #set ($success = $services.messageStream.postPersonalMessage($message))\n            #elseif ($messageType == 'group')\n              #set ($success = $services.messageStream.postMessageToGroup($message, $services.model.resolveDocument("$!{request.targetName}")))\n            #elseif ($messageType == 'user')\n              #set ($success = $services.messageStream.postDirectMessageToUser($message, $services.model.resolveDocument("$!{request.targetName}")))\n            #end\n          #end\n          #if (!$success)\n            #if ($request.xpage == 'plain')\n              #if ($isGuest)\n                $response.setStatus(401)## Unauthorized\n              #else\n                $response.setStatus(403)## Forbidden\n              #end\n              $services.localization.render('xe.activity.messages.submit.failed')\n            #elseif ("$!{request.xredirect}" != '')\n              ## Pass the error message in the xredirect so that we display it in the calling page and not in the macro page.\n              $request.session.setAttribute("${errorMessageKeyPrefix}${request.xredirect}", $services.localization.render('xe.activity.messages.submit.failed'))\n              $response.sendRedirect($request.xredirect)\n            #else\n              {{error}}$services.localization.render('xe.activity.messages.submit.failed'){{/error}}\n\n            #end\n          #elseif ("$!{request.xredirect}" != '')\n            $response.sendRedirect(${request.xredirect})\n          #elseif ($request.xpage == 'plain')\n            ## Just print something for confirmation.\n            $services.localization.render('xe.activity.messages.submit.success')\n          #end\n        #end\n      #end\n    #end\n  #end\n  ##\n  ## Display the UI. Don't display it for AJAX calls and guests.\n  ##\n  #if ($request.xpage != 'plain' && !$isGuest)\n    ## When this macro is displayed in edit/inline mode, we disable the inputs and no longer display the form (because it would clash with the main form of inline edit).\n    #set ($inEditMode = ($xcontext.action == 'inline' || $xcontext.action == 'edit'))\n    #set ($actionQueryString = "xredirect=$escapetool.url($xredirect)")\n    {{html}}\n    ## Wrap the form in a div so that the layout is preserved in inline mode (where the form is stripped by the rendering).\n    <div class='messagestream activityUser xform'>\n    #if (!$inEditMode)\n    <form action="${xwiki.getURL('Main.MessageSenderMacro', 'view', $!{actionQueryString})}" method='post'>\n    #end\n      <div class='activityContent'>\n        #if(!$inEditMode)\n          ## CSRF prevention\n          <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n          <input type='hidden' name='xaction' value='postMessage' />\n        #end\n        #activitySnapshot($xcontext.user, 'personalMessage')\n        <div class='messagestream-data'>\n          <textarea name='messagestream_message' rows='3' cols='40'#if($inEditMode) disabled='disabled'#end></textarea>\n        </div>\n        <div class='messagestream-tools'>\n          #set ($possibleTargets = $xcontext.macro.params.get('visibilityOptions').split('\\s*,\\s*'))\n          #if (!$possibleTargets)\n            #set ($possibleTargets = $configClass.get('visibilityLevel').getListValues())\n          #end\n          ##\n          #set ($targetName = $xcontext.macro.params.get('visibilityParameter'))\n          ##\n          #set ($defaultTarget = $xcontext.macro.params.get('visibility'))\n          #if (!$defaultTarget)\n            #if ($doc.getObject('XWiki.XWikiGroups'))\n              #set ($defaultTarget = 'group')\n              #set ($targetName = $doc.prefixedFullName)\n            #elseif ($doc.getObject('XWiki.XWikiUsers'))\n              #if ($doc.prefixedFullName == $currentUser)\n                #set ($defaultTarget = 'followers')\n              #else\n                #set ($defaultTarget = 'user')\n                #set ($targetName = $doc.prefixedFullName)\n              #end\n            #else\n              #set ($defaultTarget = 'everyone')\n            #end\n          #end\n          <label>$services.localization.render('xe.activity.messages.visibility')\n            <select name='visibilityLevel'#if($inEditMode) disabled='disabled'#end>\n            #foreach ($target in $possibleTargets)\n              <option value="${target}"#if ($defaultTarget == $target) selected='selected'#end>$services.localization.render("XWiki.MessageStreamConfig_visibilityLevel_${target}")</option>\n            #end\n            </select>\n          </label>\n          <label for="targetName$!{targetNameCounter}">\n            <span class='hidden'>Name:</span>\n            <input type="text" name="targetName" id="targetName$!targetNameCounter" class="targetName withTip useTitleAsTip" value="$!targetName" size="15"\n              title="$services.localization.render('xe.activity.messages.visibility.targetName.tip')" #if ($inEditMode) disabled="disabled"#end/>\n          </label>\n          #if (!$targetNameCounter)\n            #set ($targetNameCounter = 1)\n          #else\n            #set ($targetNameCounter = $targetNameCounter + 1)\n          #end\n        </div>\n        <div class='messagestream-buttons'>\n          <span class='butonwrapper'><input type='submit' value="$services.localization.render('xe.activity.messages.submit')" class='button'#if($inEditMode) disabled='disabled'#end/></span>\n        </div>\n      </div>\n    #if (!$inEditMode)\n    </form>\n    #end\n    </div>\n    {{/html}}\n  #end\n#end\n{{/velocity}}
-1970536447999040586	contentDescription	
8619938190454890474	contentDescription	
-8869825635248512149	code	StickyBox = Class.create({\n    options : {\n      offsetTop : 6,\n      offsetBottom: 0,\n      resize : false,\n      isSticky : function(element) {return true}\n    },\n    initialize : function(stickyElement, stickyAreaElement, options) {\n      this.stickyElement = stickyElement;\n      this.stickyAreaElement = stickyAreaElement;\n      if (this.stickyElement && this.stickyAreaElement) {\n        this.options = Object.extend(Object.clone(this.options), options || { });\n        // Temporary, for backwards compatibility with deprecated parameter 'shadowSize'\n        if (this.options.shadowSize && options.offsetTop === undefined) {\n          this.options.offsetTop = this.options.shadowSize;\n        }\n        this.resetPosition = this.resetPosition.bindAsEventListener(this);\n        Event.observe(window, 'scroll', this.resetPosition);\n        Event.observe(window, 'resize', this.resetPosition);\n        if (typeof(this.options.makeDefault) == 'function') {\n          thid.makeDefault = this.options.makeDefault.bind(this);\n        }\n        this.resetPosition();\n      }\n    },\n\n    resetPosition : function() {\n      if (!this.options.isSticky(this.stickyElement) || this.stickyElement.getHeight() >= this.stickyAreaElement.getHeight()) {\n        return;\n      }\n      this.stickyElement.style.height = '';\n      this.stickyElement.style.overflow = '';\n      this.stickyElement.fire('size:changed');\n      this.boxHeight = this.stickyElement.getHeight();\n      var maxBoxHeight = document.viewport.getHeight() - this.options.offsetTop - this.options.offsetBottom;\n      if (this.options.resize) {\n         var memo =  {'diff' : (maxBoxHeight - this.boxHeight), 'original': this.boxHeight};\n         this.boxHeight = maxBoxHeight;\n         this.stickyElement.style.height = this.boxHeight + "px";\n         this.stickyElement.style.overflow = 'auto';\n         this.stickyElement.fire('size:changed', memo);\n      }\n      this.boxWidth = this.stickyElement.getWidth();\n      this.boxMinTop = this.stickyAreaElement.cumulativeOffset().top + this.options.offsetTop;\n      this.boxMaxTop = this.stickyAreaElement.cumulativeOffset().top + this.stickyAreaElement.getHeight() - this.boxHeight;\n      this.boxLeft = this.stickyElement.cumulativeOffset().left;\n      this.boxRelativeLeft = this.boxLeft - this.stickyElement.getOffsetParent().viewportOffset().left;\n      var relativeContentPosition = this.stickyAreaElement.viewportOffset().top;\n      this.direction = 0;\n      if (this.stickyAreaElement._prevPosition) {\n        if (this.stickyAreaElement._prevPosition > relativeContentPosition) {\n          this.direction = 1;\n        } else if (this.stickyAreaElement._prevPosition < relativeContentPosition) {\n          this.direction = -1;\n        }\n      }\n      if ((this.options.isSticky(this.stickyElement) || this.direction == 1) &&\n        document.viewport.getScrollOffsets().top >= this.boxMinTop &&\n        document.viewport.getScrollOffsets().top < this.boxMaxTop) {\n        this.makeFixed();\n      } else if ((this.options.isSticky(this.stickyElement) || this.direction == -1) &&\n        document.viewport.getScrollOffsets().top >= this.boxMaxTop) {\n        this.makeAbsolute();\n      } else {\n        this.makeDefault();\n      }\n      this.stickyAreaElement._prevPosition = relativeContentPosition;\n    },\n\n    makeFixed : function() {\n      if (this.stickyElement.style.position != 'fixed') {\n        this.stickyElement.addClassName('sticky');\n        this.stickyElement.style.left = this.boxLeft + 'px';\n        this.stickyElement.style.width = (this.boxWidth) + 'px';\n        this.stickyElement.style.top = this.options.offsetTop + 'px';\n        this.stickyElement.style.right = '';\n        this.stickyElement.style.position = 'fixed';\n      }\n    },\n    makeAbsolute : function(top) {\n      if (this.stickyElement.style.position != 'absolute') { // || top && this.stickyElement.style.top != top + 'px'){\n        this.stickyElement.addClassName('sticky');\n        top = top || (this.stickyAreaElement.getHeight() - this.stickyElement.getHeight());\n        this.stickyElement.style.top = top + 'px';\n        this.stickyElement.style.right = '';\n        var originalPosition = this.stickyElement.getStyle('position');\n        this.stickyElement.style.position = 'absolute';\n        if (originalPosition == 'fixed' && !Prototype.Browser.WebKit) {\n          this.stickyElement.style.left = (this.boxRelativeLeft - this.stickyElement.getOffsetParent().viewportOffset().left + 2) + 'px';\n        } else {\n          this.stickyElement.style.left = this.boxRelativeLeft + 'px';\n        }\n      }\n    },\n    makeDefault : function() {\n      if (this.stickyElement.style.position != ''){\n        this.stickyElement.removeClassName('sticky');\n        this.stickyElement.style.position = '';\n        this.stickyElement.style.top = '';\n        this.stickyElement.style.left = '';\n        this.stickyElement.style.right = '';\n        this.stickyElement.style.width = '';\n      }\n    },\n    isFixed: function() {\n      return (this.stickyElement.style.position == 'fixed');\n    },\n    isAbsolute: function() {\n      return (this.stickyElement.style.position == 'absolute');\n    },\n    isDefault: function() {\n      return (this.stickyElement.style.position == '');\n    }\n});
8840777577127400957	code	var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.FreeMultiselect = Class.create({\n    counter : 1,\n    options : {\n      returnKeyNavigation : false\n    },\n    initialize: function(element, options) {\n      this.options = Object.extend(Object.clone(this.options), options || { });\n      var _this = this;\n\n      // Suggest?\n      var suggestInfoSource = element.previous('input[name="xwiki-free-multiselect-suggest-script"][type="hidden"]');\n      if (suggestInfoSource && suggestInfoSource.value && typeof(XWiki.widgets.Suggest) != "undefined") {\n        this.suggestOptions = {\n          script : suggestInfoSource.value,\n          shownoresults : false,\n          varname: "input",\n          timeout : 0\n        }\n      }\n\n      // Add a delete button and a "KEY_RETURN" keypress event listener for each line\n      this.enhanceLine = this.enhanceLine.bind(this);\n      var values = element.select('li input.xwiki-free-multiselect-value');\n      values.each(this.enhanceLine);\n\n      // Generate and insert the "add" button, edit mode only\n      if (element.down('input.xwiki-free-multiselect-value')) {\n        var addTool = new Element('a', {'title' : 'add', 'href' : '#' + element.id}).update('+...');\n        element.insert(addTool.wrap('li'));\n        addTool.observe('click', function(event) {\n          event.stop();\n          var prevLine = addTool.up('li').previous();\n          var template = prevLine && prevLine.down('input.xwiki-free-multiselect-value');\n          if (template) {\n            _this.generateInput(template);\n          }\n        }.bindAsEventListener(this));\n      }\n    },\n\n    enhanceLine : function(element) {\n      element.id = this.generateId(element);\n      element.up('li').addClassName('xwiki-free-multiselect-line');\n      this.attachDeleteTool(element);\n      if (this.suggestOptions) {\n        new XWiki.widgets.Suggest(element, this.suggestOptions);\n      }\n      this.enableAddInput(element);\n    },\n\n    attachDeleteTool : function(element) {\n      var wrapper = element.up('.xwiki-free-multiselect-line');\n      var deleteTool = new Element('a', {'title' : 'delete', 'href' : '#' + element.id}).update('✖');\n      wrapper.insert(' ').insert(deleteTool);\n      deleteTool.observe('click', function(event) {\n        event.stop();\n        var wrapper = event.findElement('.xwiki-free-multiselect-line');\n        if (wrapper.previous('.xwiki-free-multiselect-line') || wrapper.next('.xwiki-free-multiselect-line')) {\n          wrapper.remove();\n        } else {\n          var target = wrapper.down('input');\n          target.value = '';\n          target.focus();\n        }\n      });\n    },\n\n    enableAddInput : function(element) {\n      var wrapper = element.up('.xwiki-free-multiselect-line');\n      var _this = this;\n      if (!wrapper) {return;}\n      element.observe('keypress', function(event) {\n        if (event.keyCode == Event.KEY_RETURN) {\n          event.stop();\n          var next = wrapper.next('.xwiki-free-multiselect-line');\n          if (_this.options.returnKeyNavigation && next && next.down('input')) {\n            next.down('input').focus();\n          } else {\n            element.next().removeClassName('inactive');\n            _this.generateInput(element);\n          }\n        } else if (event.keyCode == Event.KEY_BACKSPACE && element.value == '') {\n          event.stop();\n          var previous = wrapper.previous('.xwiki-free-multiselect-line');\n          if (previous && previous.down('input')) {\n            previous.down('input').focus();\n            element.up('.xwiki-free-multiselect-line').remove();\n          }\n        }\n      });\n    },\n\n    generateInput : function(template) {\n      var newInput = new Element('input', {'name' : template.name, id : this.generateId(template), type: template.type, size: template.size, 'class' : 'xwiki-free-multiselect-value'});\n      var newWrapper = new Element('li');\n      newWrapper.insert(newInput);\n      template.up('.xwiki-free-multiselect-line').insert({after: newWrapper});\n      this.enhanceLine(newInput);\n      newInput.focus();\n    },\n\n    generateId : function(element) {\n      return element.name + '_' + this.nextIndex();\n    },\n\n    nextIndex : function() {\n      return ++this.counter;\n    },\n\n    lastIndex : function() {\n      return this.counter;\n    }\n\n  });\n  return PhenoTips;\n}(PhenoTips || {}));\n\ndocument.observe("xwiki:dom:loaded", function() {\n  $$('.xwiki-free-multiselect').each(function(element) {\n    new PhenoTips.widgets.FreeMultiselect(element);\n  });\n});
8767386282170405520	code	var XWiki = (function(XWiki) {\n  // Start XWiki augmentation\n  var widgets = XWiki.widgets = XWiki.widgets || {};\n\n  widgets.VisibilityController =  Class.create({\n    initialize : function(element) {\n      this.element = element;\n      this.reverse = this.element.hasClassName("exclude");\n      this.controller = this.element.down(".controller input[type=checkbox]");\n      if (!this.controller) {\n        // No controller, nothing else to do...\n        return;\n      }\n      this.controlled = this.element.select(".controlled");\n      if (this.element.hasClassName("complete-hide")) {\n        this.hiddenStyle = {"display" : "none"};\n        this.visibleStyle = {"display" : ""};\n      } else {\n        this.hiddenStyle = {"visibility" : "hidden"};\n        this.visibleStyle = {"visibility" : "visible"};\n      }\n      this.controlVisibility();\n      this.controller.observe("change", this.controlVisibility.bindAsEventListener(this));\n    },\n    controlVisibility : function() {\n      if (this.controller.checked ^ this.reverse) {\n         this.controlled.invoke("setStyle", this.hiddenStyle);\n         this.element.select(".controlled input").invoke("disable");\n      } else {\n         this.controlled.invoke("setStyle", this.visibleStyle);\n         this.element.select(".controlled input").invoke("enable");\n      }\n    }\n  });\n\n  var init = function(event) {\n    ((event && event.memo.elements) || [$('body')]).each(function(element) {\n      element.select(".controlled-group").each(function(group) {\n        if (!group.__visibilityController) {\n          group.__visibilityController = new XWiki.widgets.VisibilityController(group);\n        }\n      });\n    });\n    return true;\n  };\n\n  (XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe("xwiki:dom:updated", init);\n\n  // End XWiki augmentation.\n  return XWiki;\n}(XWiki || {}));
3324831887511834412	code	var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.UnitConverter = Class.create({\n\n     CONVERSION_META : {\n        'weight': {\n           'imperial_units' : ['lb', 'oz'],\n           'metric_unit' : 'kg',\n           'inter_unit_scale' : 16,\n           'inter_system_scale' : 0.0283495\n        },\n        'length': {\n           'imperial_units' : ['ft', 'in'],\n           'metric_unit' : 'cm',\n           'inter_unit_scale' : 12,\n           'inter_system_scale' : 2.54\n        }\n     },\n\n     DEFAULT_UNIT_SYSTEM : 'metric',\n\n     initialize : function (container, selector, triggerInsertionElt, triggerInsertionPosition, system) {\n       this._selector = selector;\n       this._container = container || document.documentElement;\n       if (!this._selector || !triggerInsertionElt) {return;}\n\n       this.crtUnitSystem = system || this.DEFAULT_UNIT_SYSTEM;\n\n       this.initializeElements = this.initializeElements.bind(this);\n       this.attachConverter = this.attachConverter.bind(this);\n\n       this.generateTrigger(triggerInsertionElt, triggerInsertionPosition || 'bottom');\n\n       this.initializeElements();\n       var _this = this;\n       document.observe('xwiki:dom:updated', function(event) {\n         if (event.memo && event.memo.elements) {\n           event.memo.elements.each(_this.initializeElements.bind(_this));\n         }\n       });\n     },\n\n     generateTrigger : function(atElement, position) {\n       this._trigger = new Element('select', {"class" : "unit-system-selector"});\n\n       var optionMetric = new Element('option', {\n                value : 'metric',\n         }).update('Metric units (' + this.CONVERSION_META.weight.metric_unit + ', ' + this.CONVERSION_META.length.metric_unit + ')');\n       if (this.crtUnitSystem == 'metric') {\n          optionMetric.selected = 'selected';\n       }\n       var optionImperial = new Element('option', {\n                value : 'imperial',\n         }).update('Imperial units (' + this.CONVERSION_META.weight.imperial_units.join(' / ') + ', ' + this.CONVERSION_META.length.imperial_units.join(' / ') + ')');\n       if (this.crtUnitSystem == 'imperial') {\n          optionImperial.selected = 'selected';\n       }\n       this._trigger.insert(optionMetric).insert(optionImperial);\n\n       insertionInfo = {};\n       insertionInfo[position] = this._trigger;\n       atElement.insert(insertionInfo);\n\n       var _this = this;\n       this._trigger.observe('change', function(event) {\n         _this.crtUnitSystem = _this._trigger.options[_this._trigger.selectedIndex].value;\n         _this.switchUnits(_this.crtUnitSystem);\n       });\n     },\n\n     initializeElements : function(element) {\n       container = element || this._container;\n        if (container.__unitSwitcher || (!container.up('.measurements') && !container.hasClassName('measurements'))) {\n         return;\n       }\n       container.__unitSwitcher = this;\n       container.select(this._selector).each(this.attachConverter);\n       this.switchUnits(this.crtUnitSystem, container);\n     },\n\n     switchUnits : function(type, element) {\n       container = element || this._container;\n       container.select('.unit-conversion-values .unit-type').each(function(item) {\n          if (item.hasClassName(type)) {\n            item.show();\n          } else {\n            item.hide();\n          }\n       });\n     },\n\n     attachConverter : function(element) {\n       if (element.tagName.toLowerCase() != 'input' || element.type != 'text') {\n         return;\n       }\n       var unitElt = element.next('.unit');\n       var converterElement = new Element('div', {'class' : 'unit-conversion-values'});\n       var imperialUnits;\n       var type = (element.up('.weight')) ? 'weight' : 'length';\n\n       converterElement.addClassName(type);\n       converterElement._meta = this.CONVERSION_META[type];\n\n       var values = this.metricToImperial(converterElement._meta, parseFloat(element.value) || 0);\n\n       var metricZone = element.up('.metric');\n       if (!metricZone) {\n         metricZone = new Element('div', {'class' : 'unit-type metric'});\n         metricZone.insert(element).insert(unitElt || converterElement._meta.metric_unit);\n         element.insert({after: converterElement});\n       } else {\n         metricZone.addClassName('unit-type');\n         metricZone.insert({after: converterElement});\n       }\n       var imperialZone = new Element('div', {'class' : 'unit-type imperial'});\n       converterElement.insert(metricZone).insert(imperialZone);\n\n       converterElement._meta.imperial_units.each(function (unit) {\n         imperialZone.insert(new Element('label').insert(new Element('input', {'style' : 'width: auto', 'name' : unit, type: 'text', size : 3, value : (values[unit] || '')})).insert(unit));\n       });\n\n       this.enableSyncValues(converterElement);\n     },\n\n     enableSyncValues : function (element) {\n       var _this = this;\n       element.select('.imperial input').invoke('observe', 'change', function(event) {_this.syncMetricWithImperial(element);});\n       element.select('.metric input').invoke('observe', 'change', function(event) {_this.syncImperialWithMetric(element);});\n     },\n\n     syncMetricWithImperial : function (element) {\n        var metricInput =  element.down('.metric input');\n        metricInput.value  = this.imperialToMetric(element._meta,\n                                                      parseFloat(element.down('.imperial input[name="' + element._meta.imperial_units[0] + '"]').value) || 0,\n                                                      parseFloat(element.down('.imperial input[name="' + element._meta.imperial_units[1] + '"]').value) || 0\n                                                ) || '';\n        Event.fire(metricInput, 'phenotips:measurement-updated');\n     },\n\n     syncImperialWithMetric : function (element) {\n        var imperialValues = this.metricToImperial(element._meta, parseFloat(element.down('.metric input').value) || 0);\n        element._meta.imperial_units.each(function (unit) {\n          element.down('.imperial input[name="' + unit + '"]').value = imperialValues[unit] || '';\n        });\n     },\n\n     metricToImperial : function (conversionMeta, value) {\n        var result = {};\n        var lowerUnitValue = value / conversionMeta.inter_system_scale;\n        var higherUnitValue = Math.floor (lowerUnitValue / conversionMeta.inter_unit_scale);\n        lowerUnitValue = lowerUnitValue - higherUnitValue * conversionMeta.inter_unit_scale;\n        if (lowerUnitValue) {\n          lowerUnitValue = lowerUnitValue.toFixed(2);\n        }\n        result[conversionMeta.imperial_units[0]] = higherUnitValue;\n        result[conversionMeta.imperial_units[1]] = lowerUnitValue;\n        return result;\n     },\n\n     imperialToMetric : function (conversionMeta, higherUnitValue, lowerUnitValue) {\n        return ((conversionMeta.inter_unit_scale * higherUnitValue + lowerUnitValue) * conversionMeta.inter_system_scale).toFixed(2);\n     }\n  });\n  return PhenoTips;\n}(PhenoTips || {}));
-7165983680303077190	code	var PhenoTips = (function(PhenoTips) {\n  // Start augmentation\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n\n  widgets.HelpButton =  Class.create({\n\n    infoServices : {\n      'xHelpButton' : {\n         'hint'     : "$services.localization.render('phenotips.widgets.helpButtons.xHelpButton.hint')",\n         'callback' : function (helpButton) {\n           helpButton.helpBox.content.update(helpButton._information || '');\n         }\n       },\n      'phenotype-info' : {\n        'hint'     : "$services.localization.render('phenotips.widgets.helpButtons.phenotype.hint')",\n        'service'  : "$xwiki.getURL('PhenoTips.PhenotypeInfoService', 'get')",\n        'callback' : function (helpButton, json) {\n          var c = helpButton.helpBox.content;\n          var elt = function(type, cssClass, content) {\n            return new Element(type, cssClass && {'class' : cssClass} || {}).update(content || '');\n          };\n\n          c.update(\n                    elt('span', 'info').insert(elt('span', 'key').update(json.id))\n                                       .insert(' ')\n                                       .insert(elt('span', 'value').update(json.label))\n                  );\n          json.def && c.insert(elt('p').update(json.def.replace(/\\s*\\n\\s*/, ' ').replace(/`([^`]+)`\\s+\\(([A-Z]+:[0-9]+)`?\\)/g, '<em title="$2">$1</em>')));\n\n          var labels = {'synonym' : "$services.localization.render('phenotips.widgets.helpButtons.phenotype.synonym')", 'is_a' : "$services.localization.render('phenotips.widgets.helpButtons.phenotype.typeOf')"};\n          var advancedInfo = elt('dl');\n          for (var l in labels) {\n            if (json[l]) {\n              advancedInfo.insert(elt('dt', '', labels[l]));\n              json[l].each(function (item) {\n                advancedInfo.insert(elt('dd', '', item.label || item));\n              })\n            }\n          }\n          if (advancedInfo.firstDescendant()) {\n            c.insert(advancedInfo);\n          }\n\n          if (PhenoTips.widgets.OntologyBrowser) {\n            var browseButton = new Element('a', {'class' : 'button', href : '#'}).update("$services.localization.render('phenotips.widgets.helpButtons.phenotype.browseRelated')");\n            browseButton._id = json.id;\n            browseButton.observe('click', function(event){\n              event.stop();\n              var suggest = ($('quick-phenotype-search') || $$('input.suggestHpo')[0])._suggest;\n              var params = {};\n              if (typeof isPhenotypeSelected !== 'undefined') {\n                params = {\n                  isTermSelected : isPhenotypeSelected,\n                  unselectTerm : unselectPhenotype\n                };\n              }\n              browseButton._obrowser = new PhenoTips.widgets.OntologyBrowser(suggest, null, params);\n              browseButton._obrowser.show(browseButton._id);\n            });\n            c.insert(elt('div', 'term-tools').insert(browseButton.wrap('span', {'class' : 'buttonwrapper'})));\n          }\n        }\n      },\n      'phenotype-qualifier-info' : {\n        'hint'     : "$services.localization.render('phenotips.widgets.helpButtons.phenotypeQualifier.hint')",\n        'service'  : "$xwiki.getURL('PhenoTips.PhenotypeInfoService', 'get')",\n        'callback' : function (helpButton, json) {\n          var c = helpButton.helpBox.content;\n          var elt = function(type, cssClass, content) {\n            return new Element(type, cssClass && {'class' : cssClass} || {}).update(content || '');\n          };\n          c.update(\n                    elt('span', 'info').insert(elt('span', 'key').update(json.id))\n                                       .insert(' ')\n                                       .insert(elt('span', 'value').update(json.label))\n                  );\n          json.def && c.insert(elt('p').update(json.def.replace(/\\s*\\n\\s*/, ' ').replace(/`([^`]+)`\\s+\\(([A-Z]+:[0-9]+)`?\\)/g, '<em title="$2">$1</em>')));\n        }\n      },\n      'omim-disease-info' : {\n        'hint' : "$services.localization.render('phenotips.widgets.helpButtons.omimDisease.hint')",\n        'service'  : "$xwiki.getURL('PhenoTips.OmimInfoService', 'get')",\n        'callback' : function (helpButton, json) {\n          var c = helpButton.helpBox.content;\n          var elt = function(type, cssClass, content) {\n            return new Element(type, cssClass && {'class' : cssClass} || {}).update(content || '');\n          };\n\n          c.update(\n                    elt('span', 'info').insert(elt('span', 'key').update(json.id))\n                                       .insert(' ')\n                                       .insert(elt('span', 'value').update(json.label.splice(0, 1)[0]))\n                  );\n\n          var labels = {'label' : '', 'symptoms' : "$services.localization.render('phenotips.widgets.helpButtons.omimDisease.symptoms')", 'not_symptoms' : "$services.localization.render('phenotips.widgets.helpButtons.omimDisease.notSymptoms')"};\n          var advancedInfo = elt('dl');\n          for (var l in labels) {\n            if (json[l] && json[l].length > 0) {\n              advancedInfo.insert(elt('dt', '', labels[l]));\n              json[l].each(function (item) {\n                advancedInfo.insert(elt('dd', '', item.label || item));\n              })\n            }\n          }\n          if (advancedInfo.firstDescendant()) {\n            c.insert(advancedInfo);\n          }\n          var viewButton = new Element('a', {'class' : 'button', href : 'http://www.omim.org/entry/' + json.id, 'target' : '_blank'}).update("$services.localization.render('phenotips.widgets.helpButtons.omimDisease.linkToOmim')");\n          c.insert(elt('div', 'term-tools').insert(viewButton.wrap('span', {'class' : 'buttonwrapper'})));\n          viewButton.observe('click', function(event) {\n            event.stop();\n            window.open(viewButton.href);\n          });\n          if (json.gene_reviews_link) {\n            var geneReviewsButton = new Element('a', {'class' : 'button', href : json.gene_reviews_link, 'target' : '_blank'}).update('Read about it on Gene Reviews...');\n            c.insert(elt('div', 'term-tools').insert(geneReviewsButton.wrap('span', {'class' : 'buttonwrapper'})));\n            geneReviewsButton.observe('click', function(event) {\n              event.stop();\n              window.open(geneReviewsButton.href);\n            });\n          }\n        }\n      },\n      'gene-info' : {\n        'hint' : "$services.localization.render('phenotips.widgets.helpButtons.gene.hint')",\n        'service'  : "$xwiki.getURL('PhenoTips.GeneInfoService', 'get')",\n        'callback' : function (helpButton, json) {\n          var c = helpButton.helpBox.content;\n          var elt = function(type, cssClass, content) {\n            return new Element(type, cssClass && {'class' : cssClass} || {}).update(content || '');\n          };\n\n          c.update(\n                    elt('span', 'info').insert(elt('span', 'key').update(json.symbol))\n                                       .insert(' ')\n                                       .insert(elt('span', 'value').update(json.name))\n                  );\n\n          var labels = {'alias_symbol' : "$services.localization.render('phenotips.widgets.helpButtons.gene.alias')", 'prev_symbol' : "$services.localization.render('phenotips.widgets.helpButtons.gene.previousSymbols')", 'gene_family' : "$services.localization.render('phenotips.widgets.helpButtons.gene.family')"};\n          var advancedInfo = elt('dl');\n          for (var l in labels) {\n            if (json[l] && json[l].length > 0) {\n              advancedInfo.insert(elt('dt', '', labels[l]));\n              if (Object.prototype.toString.call(json[l]) === '[object Array]') {\n                json[l].each(function (item) {\n                  advancedInfo.insert(elt('dd', '', item.label || item));\n                })\n              } else {\n                 advancedInfo.insert(elt('dd', '', json[l]));\n              }\n            }\n          }\n          if (advancedInfo.firstDescendant()) {\n            c.insert(advancedInfo);\n          }\n\n          if (json.external_ids) {\n            var tools = elt('div', 'term-tools');\n            var externalDBs = [\n                          { name : 'GENECARDS', url : 'http://www.genecards.org/cgi-bin/carddisp.pl?gene=',          field : 'genecards_id'},\n                          { name : 'OMIM',      url : 'http://www.omim.org/entry/',                                  field : 'omim_id'},\n                          { name : 'Entrez',    url : 'http://www.ncbi.nlm.nih.gov/gene/?term=',                     field : 'entrez_id'},\n                          { name : 'RefSeq',    url : 'http://www.ncbi.nlm.nih.gov/nuccore/',                        field : 'refseq_accession'},\n                          { name : 'Ensembl',   url : 'http://useast.ensembl.org/Homo_sapiens/Gene/Compara_Tree?g=', field : 'ensembl_gene_id'}\n            ];\n            externalDBs.each(function (item) {\n                         var value = json.external_ids[item.field];\n                         if (value) {\n                           if (!value.each) {\n                             value = [value];\n                           }\n                           value.each (function (id) {\n                             tools.insert(new Element('a', {\n                               'href'   : item.url + id,\n                               'class'  : 'button'\n                             }).update(item.name + ': ' + id).wrap('span', {'class' : 'buttonwrapper'}));\n                           });\n                         }\n            });\n            // We must stop the event, otherwise this item will be selected; as a consequence, we must also manually open the link\n            tools.select('a').each(function(item) {\n                         item.observe('click', function(event) {\n                            event.stop();\n                            window.open(item.href);\n                         })\n            });\n            c.insert(tools);\n          }\n        }\n      }\n    },\n\n    initialize : function(icon) {\n      this.icon = icon;\n      this._information = this.icon._information || this.icon.title;\n      for (var label in this.infoServices) {\n        if (this.icon.hasClassName(label)) {\n          this._builder = this.infoServices[label];\n          this.icon.title = this.infoServices[label].hint || '';\n        }\n      }\n      if (!this._builder) {\n        return;\n      }\n      this.icon.observe("click", this.toggleHelp.bindAsEventListener(this));\n      this.hideAllHelpOnOutsideClick = this.hideAllHelpOnOutsideClick.bindAsEventListener(this);\n    },\n\n    toggleHelp : function() {\n      if (!this.helpBox || this.helpBox.hasClassName('hidden')) {\n        this.showHelp();\n        document.observe('click', this.hideAllHelpOnOutsideClick);\n      } else {\n        this.hideHelp();\n      }\n    },\n\n    hideAllHelpOnOutsideClick : function (event) {\n      if (!event.findElement('.xTooltip') && !event.findElement('.xHelpButton')) {\n        this.hideHelp();\n        document.stopObserving('click', this.hideAllHelpOnOutsideClick);\n      }\n    },\n\n    hideHelp : function(event) {\n      event && event.stop();\n      if (this.helpBox) {\n        if (this.helpBox.hasClassName('error')) {\n          this.helpBox.remove();\n          delete this.helpBox;\n        } else {\n          this.helpBox.addClassName('hidden');\n        }\n      }\n    },\n\n    showHelp : function() {\n      if (!this.helpBox) {\n        this.createHelpBox();\n      }\n      $$('div.xTooltip:not(.hidden)').invoke('_hideHelp');\n      this.helpBox.removeClassName('hidden');\n    },\n\n    createHelpBox : function() {\n      this.helpBox = new Element('div', {'class': 'hidden xTooltip'});\n      this.helpBox._behavior = this;\n      this.helpBox._hideHelp = function() {\n         this._behavior.hideHelp();\n      }.bind(this.helpBox);\n\n      this.helpBox.content = new Element('div');\n      this.helpBox.insert(this.helpBox.content);\n\n      if (this._builder.service) {\n        this.createHelpContentFromService();\n      } else {\n        this._builder.callback && this._builder.callback(this);\n      }\n\n      var closeButton = new Element('span', {'class': 'hide-tool', 'title': 'Hide'});\n      closeButton.update('×');\n      closeButton.observe('click', this.hideHelp.bindAsEventListener(this));\n      this.helpBox.insert({'top': closeButton});\n      this.icon.insert({'after' : this.helpBox});\n    },\n\n    createHelpContentFromService : function() {\n      var _this = this;\n      new Ajax.Request(_this._builder.service, {\n        parameters: {'id' : _this._information},\n        onCreate : function () {\n          _this.helpBox.content.update(new Element('span', {'class' : 'hint temporary'}).update("$services.localization.render('phenotips.widgets.helpButtons.loading')"));\n        },\n        onSuccess: function (response) {\n          _this._builder.callback(_this, response.responseJSON);\n        },\n        onFailure: function (response) {\n          _this.helpBox.addClassName('error');\n          _this.helpBox.down('.temporary').remove();\n          _this.helpBox.insert("$services.localization.render('phenotips.widgets.helpButtons.failedToLoad')".replace("__subject__", _this._information) + " : "+ response.statusText);\n        }\n      });\n    }\n  });\n\n  var init = function(event) {\n    ((event && event.memo.elements) || [$('body')]).each(function(element) {\n      (element.hasClassName("xHelpButton") ? [element] : element.select(".xHelpButton")).each(function(icon) {\n        if (!icon.__helpController) {\n          icon.__helpController = new PhenoTips.widgets.HelpButton(icon);\n        }\n      });\n    });\n    return true;\n  };\n\n  (XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe("xwiki:dom:updated", init);\n\n  // End augmentation.\n  return PhenoTips;\n}(PhenoTips || {}));
7817692244712022440	code	var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n\n  widgets.FuzzyDatePickerDropdown = Class.create({\n    initialize : function(options) {\n      this.span     = new Element('span');\n      this.options  = options;\n      this.callback = null;\n    },\n\n    populate : function(values) {\n      var selectedIndex = this.dropdown ? (this.dropdown.selectedIndex || this._tmpSelectedIndex) : 0;\n\n      // using raw HTML for performance reasons: generating many years takes a noticeable time using\n      // more proper methods (e.g. new Element()...)\n      // (Note: using span around select because IE9 does not allow setting innerHTML of <select>-s)\n      var optionsHTML = '<select name="' + this.options.name +\n                             '" class="' + (this.options.cssClass || this.options.name || '') +\n                             '" placeholder="' + (this.options.hint || this.options.name || '') +\n                             '" title="'       + (this.options.hint || this.options.name || '') + '">';\n\n      optionsHTML += '<option value="" class="empty"> </option>';\n      values.each(function (item) {\n         optionsHTML += '<option value="' + item.value + '"';\n         if (item.cssClass) {\n             optionsHTML += ' class="' + item.cssClass + '"';\n         }\n         if (item.selected) {\n             optionsHTML += ' selected="selected"';\n         }\n         optionsHTML += '>' + (item.text || item.value || '') + '</option>';\n      });\n      optionsHTML += "</select>";\n      this.span.innerHTML = optionsHTML;\n      this.dropdown = this.span.firstChild;\n      this.callback && this.onSelect(this.callback);\n      if (this.dropdown.selectedIndex <= 0 && selectedIndex >= 0 && selectedIndex < this.dropdown.options.length) {\n        this.dropdown.selectedIndex = selectedIndex;\n      }\n    },\n\n    enable : function () {\n      this.dropdown.enable();\n      if (this.dropdown.selectedIndex <= 0 && this._tmpSelectedIndex < this.dropdown.options.length) {\n        this.dropdown.selectedIndex = this._tmpSelectedIndex;\n        return (this._tmpSelectedIndex > 0);\n      }\n      return false;\n    },\n\n    disable : function () {\n      this.dropdown.disable();\n      this._tmpSelectedIndex = this.dropdown.selectedIndex;\n      this.dropdown.selectedIndex = 0;\n    },\n\n    getElement : function() {\n      return this.span;\n    },\n\n    onSelect : function(callback) {\n      var _this = this;\n      this.callback = callback;\n      var events = ['change'];\n      browser.isGecko && events.push('keyup');\n      events.each(function(eventName) {\n        _this.dropdown.observe(eventName, function() {\n          callback();\n          _this._tmpSelectedIndex = _this.dropdown.selectedIndex;\n        });\n      });\n    },\n\n    onFocus : function(callback) {\n      var _this = this;\n      this.dropdown.observe('focus', function() {\n        callback();\n        if (_this.dropdown.selectedIndex == -1 && _this._tmpSelectedIndex < _this.dropdown.options.size()) {\n          _this.dropdown.selectedIndex = _this._tmpSelectedIndex;\n        }\n      });\n    },\n    onBlur : function(callback) {\n      this.dropdown.observe('blur', callback);\n    },\n\n    getSelectedValue : function () {\n       return (this.dropdown.selectedIndex >= 0) ? this.dropdown.options[this.dropdown.selectedIndex].value : '';\n    },\n\n    getSelectedOption : function () {\n       return (this.dropdown.selectedIndex >= 0) ? this.dropdown.options[this.dropdown.selectedIndex].innerHTML : '';\n    }\n  });\n\n  widgets.FuzzyDatePicker = Class.create({\n    initialize : function (input) {\n      if (!input) {return};\n      this.__input = input;\n      this.__input.hide();\n      this.__fuzzyInput = $(this.__input.name + '_entered')\n      if (this.__fuzzyInput) {\n        this.__recordBoth = true;\n      }\n      if (this.__fuzzyInput && this.__fuzzyInput.value) {\n        this.__date = JSON.parse(this.__fuzzyInput.value || '{}');\n      } else if (this.__input.alt) {\n        var parsedDate = new Date(this.__input.alt);\n        this.__date = {'year': parsedDate.getUTCFullYear(), 'month': parsedDate.getUTCMonth() + 1, 'day': parsedDate.getUTCDate()};\n      } else {\n        this.__date = {};\n      }\n\n      this.container = new Element('div', {'class' : 'fuzzy-date-picker'});\n      \n      //Insertion is done before, so that validation errors can appear after it\n      this.__input.insert({before : this.container});\n      var format = (this.__input.title || 'yyyy-MM-dd').split(/\\W+/);\n      for (var i = 0; i < format.length; ++i) {\n        switch (format[i][0]) {\n          case 'y':\n            this.container.insert(this.createYearDropdown());\n            break;\n          case 'M':\n            this.container.insert(this.createMonthDropdown());\n            break;\n          case 'd':\n            this.container.insert(this.createDayDropdown());\n            break;\n        }\n      }\n\n      // TODO: yearSelector's (and month's & day's) .onSelect() does not seem to fire\n      //       upon programmatic update if a substitute is found can remove these hackish events\n      this.container.observe("datepicker:date:changed", this.onProgrammaticUpdate.bind(this));\n      this.onProgrammaticUpdate();\n    },\n\n    onProgrammaticUpdate : function() {\n        this.yearSelected();\n        this.monthSelected();\n        this.updateDate();\n    },\n    \n    createYearDropdown : function() {\n      this.yearSelector = new widgets.FuzzyDatePickerDropdown({name: "year"});\n\n      var today = new Date();\n      var crtYear = today.getYear() + 1900;\n      var startYear = 1900;\n\n      var values = [];\n      for (var y = crtYear; y >= startYear; --y) {\n        var yearSelected = (this.__date.year == y);\n        values.push({"value" : y, "selected" : yearSelected});\n        if (y % 10 == 0) {\n            values.push({"value" : (y + "s"), "cssClass" : "decade", "text" : (y + 's'), "selected" : (!yearSelected && (this.__date.decade == y + "s"))});\n        }\n      }\n      values.push({"value": "1800s", "cssClass" : "decade", "selected" : this.__date.decade == "1800s"});\n      values.push({"value": "1700s", "cssClass" : "decade", "selected" : this.__date.decade == "1700s"});\n      values.push({"value": "1600s", "cssClass" : "decade", "selected" : this.__date.decade == "1600s"});\n\n      this.yearSelector.populate(values);\n      this.yearSelector.onSelect(this.yearSelected.bind(this));\n\n      return this.yearSelector.getElement();\n    },\n\n    yearSelected : function() {\n      if (!this.yearSelector) {\n        return;\n      }\n      if (this.yearSelector.getSelectedValue() > 0) {\n      //  this.monthSelector.enable();\n        this.monthSelector && this.monthSelected();\n      //} else {\n      //  this.monthSelector.disable();\n      //  this.daySelector.disable();\n      }\n      this.updateDate();\n    },\n\n    createMonthDropdown : function() {\n      this.monthSelector = new widgets.FuzzyDatePickerDropdown({name: "month"});\n      this.monthSelector.populate(this.getZeroPaddedValueRange(1,12, this.__date.month));\n      //this.monthSelector.disable();\n      this.monthSelector.onSelect(this.monthSelected.bind(this));\n      return this.monthSelector.getElement();\n    },\n\n    monthSelected : function() {\n      if (!this.monthSelector) {\n        return;\n      }\n      if (this.monthSelector.getSelectedValue() > 0) {\n        this.daySelector && this.daySelector.populate(this.getAvailableDays());\n      //  this.daySelector.enable();\n      //} else {\n      //  this.daySelector.disable();\n      }\n      this.updateDate();\n    },\n\n    createDayDropdown : function() {\n      this.daySelector = new widgets.FuzzyDatePickerDropdown({name: "day"});\n      this.daySelector.populate(this.getZeroPaddedValueRange(1,31, this.__date.day));\n      //this.daySelector.disable();\n      this.daySelector.onSelect(this.updateDate.bind(this));\n      return this.daySelector.getElement();\n    },\n\n    getAvailableDays : function () {\n      var year = this.yearSelector.getSelectedValue() * 1;\n      var month = this.monthSelector.getSelectedValue() * 1;\n      var lastDayOfMonth = 0;\n      if ([1,3,5,7,8,10,12].indexOf(month) >= 0) {\n        lastDayOfMonth = 31;\n      } else if ([4,6,9,11].indexOf(month) >= 0) {\n        lastDayOfMonth = 30\n      } else if (month == 2) {\n        if (year % 4 == 0 && (year % 100 != 0 || year % 400 == 0)) {\n          lastDayOfMonth = 29;\n        } else {\n          lastDayOfMonth = 28;\n        }\n      }\n      return this.getZeroPaddedValueRange(1, lastDayOfMonth);\n    },\n\n    getZeroPaddedValue : function (value) {\n      return value ? ("0" + value).slice(-2) : "01";\n    },\n\n    getZeroPaddedValueRange : function (start, end, selected) {\n      var values = [];\n      if (start <= end) {\n          for (var v = start; v <= end; ++v) {\n              values.push({'value': v, 'text' : ("0" + v).slice(-2), 'selected' : selected == v});\n          }\n      } else {\n          for (var v = end; v <= start; --v) {\n              values.push({'value': v, 'text' : ("0" + v).slice(-2), 'selected' : selected == v});\n          }\n      }\n      return values;\n    },\n\n    updateDate : function () {\n        var dateObject = {};\n\n        var y = this.yearSelector.getSelectedValue();\n        if (y.match(/\\d\\d\\d\\ds$/)) {\n            dateObject["decade"] = y;\n        } else {\n            if (y != "") {\n                dateObject["year"] = y;\n                dateObject["decade"] = y + "s";\n            }\n        }\n\n        if (y > 0) {\n            var m = this.monthSelector && this.monthSelector.getSelectedValue();\n            if (m > 0) {\n                dateObject["month"] = this.monthSelector.getSelectedOption();\n\n                var d = this.daySelector && this.daySelector.getSelectedValue();\n                if (d > 0) {\n                    dateObject["day"] = this.daySelector.getSelectedOption();\n                }\n            }\n        }\n\n        var newValue = JSON.stringify(dateObject);\n        if (this.__recordBoth) {\n          var oldValue = this.__fuzzyInput.value;\n          if (newValue != oldValue) {\n            this.__fuzzyInput.value = JSON.stringify(dateObject);\n            this.__input.value = (y && !y.match(/\\d\\d\\d\\ds$/)) ? (y + "-" + this.getZeroPaddedValue(m) + "-" + this.getZeroPaddedValue(d)) : "";\n            this.__input.alt = (y && !y.match(/\\d\\d\\d\\ds$/)) ? (y + "-" + this.getZeroPaddedValue(m) + "-" + this.getZeroPaddedValue(d) + "T00:00:00Z") : "";\n            this.__input.fire("xwiki:date:changed");\n          }\n        } else {\n          var oldValue = this.__input.value;\n          if (newValue != oldValue) {\n            this.__input.value = JSON.stringify(dateObject);\n            this.__input.alt = (y && !y.match(/\\d\\d\\d\\ds$/)) ? (y + "-" + this.getZeroPaddedValue(m) + "-" + this.getZeroPaddedValue(d) + "T00:00:00Z") : "";\n            this.__input.fire("xwiki:date:changed");\n          }\n        }\n    }\n  });\n\n  var init = function(event) {\n    ((event && event.memo.elements) || [$('body')]).each(function(element) {\n      (element.hasClassName("fuzzy-date") ? [element] : element.select(".fuzzy-date")).each(function(dateInput) {\n        if (!dateInput.__datePicker) {\n          dateInput.__datePicker = new PhenoTips.widgets.FuzzyDatePicker(dateInput);\n        }\n      });\n    });\n    return true;\n  };\n\n  (XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe("xwiki:dom:updated", init);\n\n  // End augmentation.\n\n  return PhenoTips;\n}(PhenoTips || {}));
1684448288439082877	code	(function() {\n  var init = function(event) {\n    var containers = (event && event.memo.elements) || [$('body')];\n    containers.each(function(container) {\n      container.select('input.suggestWorkgroups').each(function(input) {\n        if (!input.hasClassName('initialized')) {\n          var options = {\n            script: new XWiki.Document('SuggestWorkgroupsService', 'PhenoTips').getURL('get', 'outputSyntax=plain&'),\n            noresults: "$services.localization.render('phenotips.widgets.workgroupPicker.noResults')"\n          };\n          // The picker suggests by default local workgroups.\n          if (input.hasClassName('global')) {\n            // Suggest global users or groups.\n            options.script = options.script + 'wiki=global&';\n          }\n          new XWiki.widgets.UserPicker(input, options);\n          input.addClassName('initialized');\n        }\n      });\n    });\n  };\n  (XWiki.domIsLoaded && init()) || document.observe('xwiki:dom:loaded', init);\n  document.observe('xwiki:dom:updated', init);\n})()
-1088741600705946960	code	var PhenoTips = (function(PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.SegmentedBar = Class.create({\n    options: {\n      segments : 5,\n      displayValue : true\n    },\n    /**\n    A PhenoTips widget for displaying a value as a segmented bar HTML element. It uses the current text color and font size, so adjusting the look of the bar means changing the color and font-size on the HTML element returned by the generateSegmentedBar method, or on one of its ancestors, either via a CSS extension or programmatically. Example:\n\n        var barOptions = {\n          segments : 10,\n          displayValue : false\n        };\n        container.insert(new PhenoTips.widgets.SegmentedBar(score, barOptions).generateSegmentedBar().setStyle({color: 'red', fontSize: '200%'}));\n\n    @param value The value that this bar is meant to display. Must be between 0 and 1.\n\n    @param options Options for styling the segmented bar, all values are optional:\n\n    {\n      segments: The number of segments in the bar; default is 5,\n      displayValue: Option to display the percentage value after the bar; default is true\n    }\n\n    */\n    initialize : function(value, options) {\n      this.value = value;\n      this.options = Object.extend(Object.clone(this.options), options || { });\n    },\n    generateSegmentedBar: function() {\n      if (this.value > 1 || this.value < 0) {\n        console.log("Invalid segmented bar value");\n        return;\n      }\n      var bar = new Element('div', {\n        'class' : 'segmented-bar',\n        'title': Math.round(this.value * 100) + '%' || ''\n      });\n      var valueUnit = 1 / this.options.segments;\n      for (var i = 0; i < this.options.segments; ++i) {\n        var segmentFill = 100 * Math.min(Math.max((this.value - i * valueUnit) / valueUnit, 0), 1);\n        var segment = new Element('span', {\n          'class': 'segmented-unit'\n        });\n        var segmentFillElement =  new Element('span', {\n          'class': 'segmented-unit-fill'\n        });\n        segmentFillElement.setStyle({\n          width: segmentFill + '%',\n        });\n        segment.insert(segmentFillElement);\n        bar.insert(segment);\n      }\n      if(this.options.displayValue){\n        bar.insert(' ' + Math.round(this.value * 100) + '%');\n      }\n      return bar;\n    }\n  });\n  return PhenoTips;\n})(PhenoTips || {});
-1970536447999040586	description	A control that allows users to enter messages that are handled by the MessageStream module.
-8752557532974133411	description	Default selected visibility when the macro is displayed.\n\nIf not specified, it is determined automatically based on the page where the macro is used.\n\nValid values are: 'everyone', 'followers', 'group' or 'user'. 
2400439552524166882	code	#template('colorThemeInit.vm')\n.msdialog-modal-container {\n  position: absolute;/*fixed;*/\n  top: 0px;\n  bottom: 0px;\n  left: 0px;\n  right: 0px;\n  width: 100%;\n  height: 100%;\n  text-align: center;\n  z-index: 100014;/*1005;*/\n}\n/* For IE6, which doesn't understand position: fixed. */\n* html .msdialog-modal-container {\n  position: absolute;\n}\n/* Semi-transparent overlay screen that covers the entire page. */\n.msdialog-screen {\n  position: absolute;\n  top: 0px;\n  bottom: 0px;\n  left: 0px;\n  right: 0px;\n  width: 100%;\n  height: 100%;\n  background-color: #000;\n}\n.msdialog-box {\n  text-align: left;\n  padding: 0;\n  margin: auto;\n  position: relative;\n  width: 60%;\n  color: #000;\n  border: 2px solid #333;\n  background-color: #f5f5f5;\n  border-radius: 8px;\n  box-shadow: 0 0 6px $theme.linkColor;\n}\n.msdialog-box .content{\n  margin: .8em;\n}\n.msdialog-close {\n  float: right;\n  cursor: pointer;\n  width: .8em;\n  margin-right: .4em;\n  height: 1.4em;\n  text-align : center;\n  font-weight: bold;\n  font-family: Arial, Helvetica, sans-serif;\n  line-height: 1.4em;\n  color: #FFF;\n}\n* html .msdialog-close {\n  width: 22px;\n}\n.msdialog-title {\n  font-size: 80%;\n  font-weight: bold;\n  color: #FFF;\n  background-color: #333;\n  border-radius: 5.5px 5.5px 0 0;\n  padding: .3em 1.2em .3em .8em;\n  cursor: move;\n}\n.msdialog-box .xform {\n  width: 100%;\n}
-115560545996216550	code	#template('colorThemeInit.vm')\n.xhover {\n  background:red;\n}\n\ninput[type="text"].suggest {\n  border-width: 1px;\n}\n\nbody {\n  position: relative;\n}\n\ndiv.suggestItems {\n  position:absolute;\n  border: 1px solid #eee;\n  border-top: none;\n  background: white;\n  z-index: 100013;\n  text-align:left;\n  box-shadow: 0 4px 8px #777;\n  margin-left: 1px;\n  margin-top: 5px;\n}\ndiv.suggestItems:before {\n  border-left: 11px solid transparent;\n  border-right: 11px solid transparent;\n  border-top: 0 none;\n  border-bottom: 11px solid $theme.borderColor;\n  content: "";\n  display: block;\n  left: 50%;\n  margin-left: -11px;\n  position: absolute;\n  top: -11px;\n}\ndiv.suggestItems:after {\n  border-left: 10px solid transparent;\n  border-right: 10px solid transparent;\n  border-top: 0 none;\n  border-bottom: 10px solid $theme.pageContentBackgroundColor;\n  content: "";\n  display: block;\n  left: 50%;\n  margin-left: -10px;\n  position: absolute;\n  top: -10px;\n}\n\ndiv.suggestItems .hide-button-wrapper {\n  text-align: right;\n  line-height: 1em;\n  border-bottom: 1px dotted;\n}\ndiv.suggestItems .hide-button {\n  color: $theme.linkColor;\n  cursor: pointer;\n  font-size: 0.8em;\n  font-style: italic;\n  opacity: 1;\n  padding: 0 0.5em;\n  margin: 0 4px;\n}\ndiv.suggestItems ul {\n  margin: 0px;\n}\n\ndiv.suggestItems li {\n  overflow:hidden;\n  white-space:normal !important;\n  width: auto !important;\n  float: none !important;\n  padding: 4px;\n}\n\ndiv.suggestItems .suggestItem.custom-value .suggestId {\n  display: none !important;\n}\n\ndiv.suggestItems em {\n  font-weight:normal !important;\n  margin-right:2px;\n}\n\ndiv.suggestItems span.info span.hint {\n  color: #777;\n  margin-left:5px;\n}\n\ndiv.suggestItems span.matching-alternative-name {\n  display: inline-block;\n  padding-left: 55px;\n}\n\ndiv.suggestItems span.matching-alternative-name:before {\n  content: "(also known as: ";\n  font-size: 0.8em;\n  opacity: .4;\n}\n\ndiv.suggestItems span.matching-alternative-name:after {\n  content: ")";\n  font-size: 0.8em;\n  opacity: .4;\n}\n\ndiv.suggestItems div.info {\n  color: #777;\n  font-size: 0.8em;\n  padding-left:5px;\n}\n\ndiv.suggestItems div.info span.legend {\n  font-weight: normal;\n}\n\nul.suggestList {\n  margin:0px !important;\n  text-transform:none;\n  color: #333;\n  font-weight:normal;\n  padding: 0;\n}\n\nul.suggestList li{\n  padding: 4px;\n  border-top: 1px dotted #777;\n}\nul.suggestList li:first-child{\n  border-top: 0 none;\n}\nul.suggestList .xhighlight {\n  background-color: $theme.highlightColor;\n  cursor:pointer;\n}\n\ndiv.suggestItemName {\n  text-indent: 0;\n}\n\ndiv.suggestItem, li.noSuggestion div {\n  color: #333;\n  font-size: 0.875em;\n}\n\ndiv.suggestItemName,\ndiv.suggestItemInfo {\n  text-decoration: inherit;\n}\n\n.highlight {\n  background-color: $theme.highlightColor;\n  color: #000;\n  font-weight:bold;\n  text-decoration: inherit;\n}\n\ndiv.resultContainer div.sourceName {\n  background-color: #DDD;\n  font-variant: small-caps;\n  font-weight: 700;\n  color: #333;\n  padding-top:3px;\n  font-size:0.875em;\n  background-position:3px 3px;\n  background-repeat:no-repeat;\n}\n\n.horizontalLayout div.resultContainer div.sourceName {\n  float:left;\n  width:150px;\n  margin-right:3px;\n  padding-right:20px;\n  text-align:right;\n  background-position:right center;\n}\n\n.horizontalLayout div.resultContainer div.xitemcontainer {\n  margin-left:10px;\n}\n\n.horizontalLayout div.resultContainer div.results {\n  clear:both;\n  background-color: #DDD;\n}\n\n.horizontalLayout div.resultContainer ul.suggestList {\n  background-color:white;\n}\n\ndiv.resultContainer div.sourceContent.loading {\n  background-position:center center;\n  min-height:30px;\n}\n\n.suggestId:before {\n  content: "[";\n}\n.suggestId:after {\n  content: "] ";\n}\n.suggestId {\n  font-size: 87%;\n}\n.suggestInfo {\n  font-size: 100%;\n  word-wrap: normal !important;\n  display: inline-block;\n  width: 100%;\n  float: right;\n  line-height:1.2em !important;\n}\n.suggestInfo dl {\n  display: inline;\n}\n.suggestInfo dt {\n  font-style: italic;\n}\n\n.suggestInfo dt, .suggestInfo dd {\n  margin-left: 1.2em;\n  position: relative;\n}\n.suggestInfo dt.collapsed + dd {\n  display: none;\n}\n.suggestInfo dt .expand-tool {\n  cursor: pointer;\n  position: absolute;\n  top: 0em;\n  left: -1.2em;\n}
6382729201458523557	code	#template('colorThemeInit.vm')\n.accepted-suggestions {\n  margin: 0 0 1em !important;\n  list-style-type: none;\n  padding: 0;\n}\n\n.accepted-suggestions li {\n  position: relative;\n  line-height: 1.3em;\n}\n.accepted-suggestion {\n  padding: .05em 0;\n}\n.accepted-suggestions li .key {\n  font-size: 87%;\n  color: #777;\n}\n.accepted-suggestions li .value {\n  margin-right: 1em;\n}\n.accepted-suggestions li .delete-tool,\n.clear-tool {\n  display: none;\n  color: #a00;\n  line-height: 1em;\n  font-size: 87%;\n  margin: 0 0.5em;\n  cursor: pointer;\n  float: right;\n}\n.clear-tool {\n  display: block;\n}\n.accepted-suggestions li:hover {\n  background: $theme.highlightColor;\n}\n.accepted-suggestions li:hover .delete-tool {\n  position: absolute;\n  top: .4em;\n  right: 0;\n  display: inline;\n}\n.accepted-suggestions li .tooltip {\n  display: none;\n  position: absolute;\n  top: 1.35em;\n  left: 12.5%;\n  width: 75%;\n  border: 0 none;\n  background: #fff;\n  padding: 4px 8px;\n  border-radius: 0 12px 12px 12px;\n  box-shadow: 0 0 6px #777;\n  z-index: 20;\n}\n.accepted-suggestions li:hover .tooltip {\n  display: block;\n}\n.accepted-suggestions li .tooltip dt {\n  color: #000;\n  font-style: italic;\n  margin: .4em 0 0.2em;\n}
1528580236109238144	code	#template("colorThemeInit.vm")\n\n.ontology-tree {\n}\n.ontology-tree .parents{\n  list-style-type: none;\n  margin: 0;\n  padding: 0;\n}\n\n.ontology-tree .parents .parent:before {\n  display: inline-block;\n  float: left;\n  font-size: 1.2em;\n  content: "\\251C"; /*"\\2523";*/\n  width: .8em;\n}\n.ontology-tree .parent:first-child:before {\n  content: "\\250C";/*"\\250f";*/\n}\n\n.ontology-tree .root:before {\n  display: inline-block;\n  float: left;\n  content: "\\2514\\2500";/*"\\2517\\2501";*/\n  width: 1.4em;\n  font-size: 1.2em;\n  font-weight: normal;\n  color: transparent;\n}\n\n.ontology-tree .parents+.root:before {\n  color: $theme.textColor;\n}\n\n.ontology-tree .key {\n  opacity: .4;\n  font-size: .8em;\n}\n.ontology-tree .root>.entry-data .value {\n  font-weight: bold;\n}\n.ontology-tree .root>.descendents {\n  margin-left: 2.4em;\n}\n.ontology-tree .no-root>.descendents {\n  margin: 0 0;\n}\n.ontology-tree .no-root:before {\n  display: none;\n}\n.ontology-tree .root>.empty {\n  margin-left: 3.8em;\n}\n.ontology-tree .descendents li {\n  clear: both;\n}\n.ontology-tree .collapsed .descendents {\n  display: none;\n}\n.ontology-tree .descendents {\n  list-style-type: none;\n  margin: 0 0 0 1em;\n  padding: 0;\n}\n.ontology-tree .hint {\n  margin-left: 1.6em;\n}\n.ontology-tree .entry-tools {\n  /* float: right; */\n  display: inline-block;\n  margin-left: 0.5em;\n  margin-right: 0.5em;\n  min-width: 17px;\n  vertical-align: middle;\n}\n.ontology-tree .entry-data {\n  line-height: 1.4em;\n}\n.ontology-tree .info {\n  cursor: pointer;\n}\n.ontology-tree .entry-data:hover {\n  background: $theme.highlightColor;\n}\n\n.ontology-tree .accepted >.entry-data {\n  background-color: $theme.backgroundSecondaryColor;\n}\n.ontology-tree .accepted >.entry-data .info .value {\n  font-weight: bold;\n}\n\n.ontology-tree .entry, .term-entry {\n  position: relative;\n}\n.expand-tool {\n  display: inline-block;\n  color: $theme.linkColor;\n  width: .8em;\n  text-shadow: 0 0 5px #ccc;\n  cursor: pointer;\n  font-size: .8em;\n  margin-right: 0.5em;\n  vertical-align: middle;\n}\n.expand-tool.locked {\n  color: $theme.textColor;\n  opacity: .4;\n  cursor: default;\n}\n.expand-tool.disabled {\n  visibility: hidden;\n  cursor: default;\n}\n.select-tool {\n  vertical-align: middle;\n}\n.ontology-tree .subterm-selected .select-tool {\n  opacity: .5;\n}\n.ontology-tree .subterm-selected .expand-tool:after {\n  background: none repeat scroll 0 0 $theme.linkColor;\n  color: $theme.linkColor;\n  content: "...";\n  display: inline-block;\n  font-weight: bold;\n  margin-left: 1.3em;\n  position: absolute;\n  text-align: center;\n  top: .3em;\n  width: 11px;\n}\n.msdialog-box .ontology-tree .term-tools {\n  display: none;\n}\n.dialog-ontology-browser {\n  z-index: 400000 !important;\n}
-8046821127321631759	code	#template('colorThemeInit.vm')\n.dropdown {\n  margin-left: 1.2em;\n  width: 95%;\n  z-index: 100;\n}\n.dropdown.emphasized-box {\n  margin-left: -4px;\n  padding: 0.25em 0.25em 0.25em 1.05em;\n  /*position: absolute;*/\n}\n.dropdown .close {\n  cursor: pointer;\n  right: .25em;\n  position: absolute;\n}\n.dropdown .ontology-tree .entry-data {\n  line-height: 1.4em;\n  padding-right: 1.1em;\n}\n.dropdown .ontology-tree .entry-data>.info .key {\n  display: none;\n}\n.term-label .expand-tool {\n  display: inline-block;\n  margin-top: -0.5em;\n}\n.dropdown:not(.invisible) + br {\n  display: none;\n}
-5413005090135459356	code	ol.xwiki-free-multiselect {\n  list-style-position: outside;\n}\ninput.xwiki-free-multiselect-value {\n  max-width: 50% !important;\n}
6194885668303409605	code	.unit-system-selector {\n  float: right;\n  padding: 3px 3px 0;\n  border-radius: 3px;\n}
-8997540330715102653	code	#template('colorThemeInit.vm')\n\n/* The help icon, already displayed as a question mark character. */\n.xHelpButton {\n  cursor: pointer;\n  line-height: 0.75em;\n  display: inline-block;\n  padding: .125em;\n}\n.xHelpButton:hover {\n  color: $theme.linkColor;\n}\n\n/* The box containing the tooltip, displayed when clicking on the help icon. */\n.xTooltip {\n  background: $theme.pageContentBackgroundColor;\n  border: 0 none;\n  border-radius: 0 1em 1em;\n  box-shadow: 0 0 6px rgba(0, 0, 0, 0.2);\n  color: $theme.textColor;\n  display: inline-block;\n  margin: 0.7em 0 0 -0.3em;\n  max-width: 80%;\n  padding: 0.75em 1em;\n  position: absolute;\n  z-index: 25;\n}\n.xTooltip.error {\n  color: $theme.notificationErrorColor;\n  font-weight: bold;\n}\n.xTooltip .hide-tool {\n  cursor: pointer;\n  float: right;\n  margin-right: -0.5em;\n  margin-top: -0.6em;\n}\n\n.xTooltip .value {\n  font-weight: bold;\n}\n.xTooltip .key {\n  font-size: .8em;\n  opacity: .7;\n}\n.xTooltip dl {\n  margin: .3em 0;\n}\n.xTooltip dt {\n  font-style: italic;\n  margin: .4em 0 0.2em;\n}\n.xTooltip .term-tools {\n  margin: .4em 0;\n}
8464333267336014519	code	input.suggestWorkgroups {\n  background-image: url('/resources/icons/datamodel/groups.png');\n  background-position: 0.3em center;\n  background-repeat: no-repeat;\n  padding-left: 2em;\n}
1029149978393615900	code	.segmented-bar {\n  white-space: nowrap;\n  width: auto;\n}\n.segmented-bar .segmented-unit {\n  border: 1px solid currentColor;\n  border-radius: 1px;\n  display: inline-block;\n  height: 1ex;\n  margin: 0;\n  padding: 0;\n  width: 1ex;\n}\n.segmented-bar .segmented-unit+.segmented-unit {\n  margin-left: 0.2ex;\n}\n.segmented-bar .segmented-unit-fill {\n  display: block;\n  height: 100%;\n  background: currentColor;\n}
-692458536091278653	code	#set ($userSuggestScope = 'local')\n#if ($services.wiki.user && $services.wiki.user.userScope != "LOCAL_ONLY")\n  #set ($userSuggestScope = 'global')\n#end\nvar XWiki = (function (XWiki) {\n// Start XWiki augmentation.\n/**\n * Extends the UserPicker in order to display the selected user/group inline after the target text input.\n */\nvar CustomUserPicker = Class.create(XWiki.widgets.UserPicker, {\n  // @Override\n  _createSelectionManager: function($super, options) {\n    var selectionManager = $super(Object.extend(options, {\n      listInsertionPosition : 'after',\n      acceptFreeText : false\n    }));\n    // Overwrite the way the selected item is displayed.\n    selectionManager.displayItem = function(suggestion) {\n      var targetInfo = new Element('span').update(suggestion.info).insert(this.createDeleteTool());\n      var targetClass = this.suggest.sources[0].script.indexOf('uorg=group') > 0 ? 'target-group' : 'target-user';\n      return new Element('li', {'class': targetClass}).insert(targetInfo).insert(this.createItemInput(suggestion));\n    }.bind(selectionManager);\n    return selectionManager;\n  }\n});\n\nXWiki.MessageStream = Class.create({\n  targetsWithName : ['user', 'group'],\n  suggestParameters : {\n    user : {\n      script: '$doc.getURL("get", "xpage=uorgsuggest&uorg=user&wiki=${userSuggestScope}")&',\n      noresults: "$escapetool.javascript($services.localization.render('core.widgets.userPicker.noResults'))"\n    },\n    group : {\n      script: "$doc.getURL('get', 'xpage=uorgsuggest&uorg=group')&",\n      noresults: "$escapetool.javascript($services.localization.render('core.widgets.groupPicker.noResults'))"\n    }\n  },\n  initialize : function() {\n    this.prepareForms();\n    this.enhanceSelect();\n  },\n  prepareTargetInput : function(event, element) {\n    var targetType = element.options[element.selectedIndex].value;\n    element.className = targetType;\n    if (!element.__targetNameInput) {return;}\n    if (this.targetsWithName.indexOf(targetType) < 0) {\n      element.__targetNameInput.addClassName('hidden');\n      if (element.__targetNameInput.__x_suggest) {\n        element.__targetNameInput.__x_suggest.detach();\n      }\n    } else {\n      // Focus the text input so that the place-holder value is cleared if present. Otherwise the user picker will treat\n      // the place-holder value as if it was typed by the user and will automatically select the corresponding suggestion.\n      element.__targetNameInput.removeClassName('hidden').activate();\n      // Defer the creation of the user picker to allow the focus listeners to be called first (in order to clear the\n      // place-holder value).\n      this.suggestParameters[targetType] && function() {\n        new CustomUserPicker(element.__targetNameInput, this.suggestParameters[targetType]);\n      }.bind(this).defer();\n    }\n  },\n  enhanceSelect: function () {\n    $$('.messagestream select[name="visibilityLevel"]').each(function(element) {\n      element.addClassName(element.options[element.selectedIndex].value);\n      element.__targetNameInput = element.up('.messagestream').down('input[name="targetName"]');\n      if (element.__targetNameInput && this.targetsWithName.indexOf(element.options[element.selectedIndex].value) < 0) {\n        element.__targetNameInput.addClassName('hidden');\n      }\n      element.observe('change', this.prepareTargetInput.bindAsEventListener(this, element));\n      this.prepareTargetInput(null, element);\n    }.bind(this));\n  },\n  prepareForms: function() {\n    $$('.messagestream form').each(function(msForm) {\n      msForm.action = msForm.action.replace(/xredirect=.*$/, 'xpage=plain')\n      msForm.observe('submit', function(event) {\n        event.stop();\n        if (msForm._disabled == true || msForm.down('textarea').value.strip() == '') {\n          return;\n        }\n        new Ajax.Request(\n          msForm.action, {\n            parameters: msForm.serialize(true),\n            onCreate: function() {\n              msForm._disabled = true;\n              msForm._notification = new XWiki.widgets.Notification("$services.localization.render('xe.activity.messages.submit.inProgress')", 'inprogress');\n            },\n            onSuccess: function() {\n              if (msForm) {\n                msForm.messagestream_message.value = '';\n              }\n              if (msForm && msForm._notification) {\n                msForm._notification.hide();\n              }\n              msForm._notification = new XWiki.widgets.Notification("$services.localization.render('xe.activity.messages.submit.success')", 'done');\n\n              document.fire('xwiki:activity:newActivity', msForm);\n            },\n            onFailure: function(response) {\n              var failureReason = '';\n              if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                failureReason = 'Server not responding';\n              } else {\n                failureReason = response.statusText;\n              }\n              if (msForm) {\n                msForm._disabled = false\n                if (msForm._notification) {\n                  msForm._notification.hide();\n                }\n                msForm._notification = new XWiki.widgets.Notification("$services.localization.render('xe.activity.messages.submit.failed'): " + failureReason, 'error');\n              }\n            },\n            on1223 : function(response) { /*SUCCESS*/\n              response.request.options.onSuccess(response);\n            },\n            on0 : function(response) {  /*FAILURE*/\n              response.request.options.onFailure(response);\n            },\n            onComplete: function() {\n              msForm._disabled = false;\n            }.bind(this)\n          }\n        );\n      }.bindAsEventListener(this));\n    }.bind(this));\n  }\n});\n\nvar init = function() {\n  return new XWiki.MessageStream();\n};\n(XWiki.domIsLoaded && init()) || document.observe('xwiki:dom:loaded', init);\n\n// End XWiki augmentation.\nreturn XWiki;\n}(XWiki || {}));
-8869167275737516035	code	#set($dayFormats = {\n   'dayNames' : 'EEEE',\n   'abbreviatedDayNames' : 'EEE',\n   'shortestDayNames' : 'EE',\n   'firstLetterDayNames' : 'E'\n})\n#set($monthFormats = {\n   'monthNames' : 'MMMM',\n   'abbreviatedMonthNames' : 'MMM'\n})\n#set($weekdays = ['sun', 'mon', 'tue', 'wed', 'thu', 'fri', 'sat'])\n#set($months = ['jan', 'feb', 'mar', 'apr', 'may', 'jun', 'jul', 'aug', 'sep', 'oct', 'nov', 'dec'])\n\n#set ($templateDate = $services.jodatime.mutableDateTime)\n\n#macro(datePicker_generateLocalizedDateComponent $jsvar2FormatMap, $values, $templateDate, $targetDateComponent)\n  #foreach ($entry in $jsvar2FormatMap.entrySet())\n  $entry.key : [ ##\n    #foreach($i in $values)\n      #set($discard = $targetDateComponent.set($i))\n      '$xwiki.formatDate($templateDate.toDate(), $entry.value)'#if ($velocityHasNext), #end\n    #end\n  ],\n  #end\n#end\n\n#macro(datePicker_generateLocalizedDateComponentRegExp $varnames, $jsvar2FormatMap, $templateDate, $targetDateComponent)\n  #foreach ($varname in $varnames)\n    #set($discard = $targetDateComponent.set($velocityCount))\n    $varname : /^#foreach ($format in $jsvar2FormatMap)($xwiki.formatDate($templateDate.toDate(), $format))#if($velocityHasNext)|#end#end/i#if ($velocityHasNext), #end\n  #end\n#end\n\nDate.CultureInfo={\n  name:"en-US",\n  englishName:"English (United States)",\n  nativeName:"English (United States)",\n  #datePicker_generateLocalizedDateComponent ($dayFormats, [1..7], $templateDate, $templateDate.dayOfWeek())\n  #datePicker_generateLocalizedDateComponent ($monthFormats, [1..12], $templateDate, $templateDate.monthOfYear())\n  amDesignator:"AM",\n  pmDesignator:"PM",\n  firstDayOfWeek: $mathtool.add($datetool.calendar.firstDayOfWeek, -1),\n  dateElementOrder:"mdy",\n  formatPatterns:{\n    shortDate:"M/d/yyyy",\n    longDate:"dddd, MMMM dd, yyyy",\n    shortTime:"h:mm tt",\n    longTime:"h:mm:ss tt",\n    fullDateTime:"dddd, MMMM dd, yyyy h:mm:ss tt",\n    sortableDateTime:"yyyy-MM-ddTHH:mm:ss",\n    universalSortableDateTime:"yyyy-MM-dd HH:mm:ssZ",\n    rfc1123:"ddd, dd MMM yyyy HH:mm:ss GMT",\n    monthDay:"MMMM dd",yearMonth:"MMMM, yyyy"},\n    regexPatterns:{\n        #datePicker_generateLocalizedDateComponentRegExp($months, $monthFormats, $templateDate, $templateDate.monthOfYear()),\n        #datePicker_generateLocalizedDateComponentRegExp($weekdays, $dayFormats, $templateDate, $templateDate.dayOfWeek()),\n        future:/^next/i,\n        past:/^last|past|prev(ious)?/i,\n        add:/^(\\+|aft(er)?|from|hence)/i,\n        subtract:/^(\\-|bef(ore)?|ago)/i,\n        yesterday:/^yes(terday)?/i,today:/^t(od(ay)?)?/i,\n        tomorrow:/^tom(orrow)?/i,\n        now:/^n(ow)?/i,\n        millisecond:/^ms|milli(second)?s?/i,\n        second:/^sec(ond)?s?/i,\n        minute:/^mn|min(ute)?s?/i,\n        hour:/^h(our)?s?/i,\n        week:/^w(eek)?s?/i,\n        month:/^m(onth)?s?/i,\n        day:/^d(ay)?s?/i,\n        year:/^y(ear)?s?/i,\n        shortMeridian:/^(a|p)/i,\n        longMeridian:/^(a\\.?m?\\.?|p\\.?m?\\.?)/i,\n        timezone:/^((e(s|d)t|c(s|d)t|m(s|d)t|p(s|d)t)|((gmt)?\\s*(\\+|\\-)\\s*\\d\\d\\d\\d?)|gmt|utc)/i,\n        ordinalSuffix:/^\\s*(st|nd|rd|th)/i,\n        timeContext:/^\\s*(\\:|a(?!u|p)|p)/i},\n        timezones:[\n          {name:"UTC",offset:"-000"},\n          {name:"GMT",offset:"-000"},\n          {name:"EST",offset:"-0500"},\n          {name:"EDT",offset:"-0400"},\n          {name:"CST",offset:"-0600"},\n          {name:"CDT",offset:"-0500"},\n          {name:"MST",offset:"-0700"},\n          {name:"MDT",offset:"-0600"},\n          {name:"PST",offset:"-0800"},\n          {name:"PDT",offset:"-0700"}\n        ]\n  };\n\n_translations = {\n  "OK": 'OK', //"$services.localization.render('xe.dateTimePicker.confirm')",\n  "Now": 'Now', //"$services.localization.render('xe.dateTimePicker.now')",\n  "Today": 'Today', //"$services.localization.render('xe.dateTimePicker.today')",\n  "Clear": 'Clear' //"$services.localization.render('xe.dateTimePicker.clear')"\n};\n
7083120765274645503	code	/**\n * Version: 1.0 Alpha-1 \n * Build Date: 12-Nov-2007\n * Copyright (c) 2006-2007, Coolite Inc. (http://www.coolite.com/). All rights reserved.\n * License: Licensed under The MIT License. See license.txt and http://www.datejs.com/license/. \n * Website: http://www.datejs.com/ or http://www.coolite.com/datejs/\n */\n\n/**\n * Gets the month number (0-11) if given a Culture Info specific string which is a valid monthName or abbreviatedMonthName.\n * @param {String}   The name of the month (eg. "February, "Feb", "october", "oct").\n * @return {Number}  The day number\n */\nDate.getMonthNumberFromName = function (name) {\n    var n = Date.CultureInfo.monthNames, m = Date.CultureInfo.abbreviatedMonthNames, s = name.toLowerCase();\n    for (var i = 0; i < n.length; i++) {\n        if (n[i].toLowerCase() == s || m[i].toLowerCase() == s) { \n            return i; \n        }\n    }\n    return -1;\n};\n\n/**\n * Gets the day number (0-6) if given a CultureInfo specific string which is a valid dayName, abbreviatedDayName or shortestDayName (two char).\n * @param {String}   The name of the day (eg. "Monday, "Mon", "tuesday", "tue", "We", "we").\n * @return {Number}  The day number\n */\nDate.getDayNumberFromName = function (name) {\n    var n = Date.CultureInfo.dayNames, m = Date.CultureInfo.abbreviatedDayNames, o = Date.CultureInfo.shortestDayNames, s = name.toLowerCase();\n    for (var i = 0; i < n.length; i++) { \n        if (n[i].toLowerCase() == s || m[i].toLowerCase() == s) { \n            return i; \n        }\n    }\n    return -1;  \n};\n\n/**\n * Determines if the current date instance is within a LeapYear.\n * @param {Number}   The year (0-9999).\n * @return {Boolean} true if date is within a LeapYear, otherwise false.\n */\nDate.isLeapYear = function (year) { \n    return (((year % 4 === 0) && (year % 100 !== 0)) || (year % 400 === 0)); \n};\n\n/**\n * Gets the number of days in the month, given a year and month value. Automatically corrects for LeapYear.\n * @param {Number}   The year (0-9999).\n * @param {Number}   The month (0-11).\n * @return {Number}  The number of days in the month.\n */\nDate.getDaysInMonth = function (year, month) {\n    return [31, (Date.isLeapYear(year) ? 29 : 28), 31, 30, 31, 30, 31, 31, 30, 31, 30, 31][month];\n};\n\nDate.getTimezoneOffset = function (s, dst) {\n    return (dst || false) ? Date.CultureInfo.abbreviatedTimeZoneDST[s.toUpperCase()] :\n        Date.CultureInfo.abbreviatedTimeZoneStandard[s.toUpperCase()];\n};\n\nDate.getTimezoneAbbreviation = function (offset, dst) {\n    var n = (dst || false) ? Date.CultureInfo.abbreviatedTimeZoneDST : Date.CultureInfo.abbreviatedTimeZoneStandard, p;\n    for (p in n) { \n        if (n[p] === offset) { \n            return p; \n        }\n    }\n    return null;\n};\n\n/**\n * Returns a new Date object that is an exact date and time copy of the original instance.\n * @return {Date}    A new Date instance\n */\nDate.prototype.clone = function () {\n    return new Date(this.getTime()); \n};\n\n/**\n * Compares this instance to a Date object and return an number indication of their relative values.  \n * @param {Date}     Date object to compare [Required]\n * @return {Number}  1 = this is greaterthan date. -1 = this is lessthan date. 0 = values are equal\n */\nDate.prototype.compareTo = function (date) {\n    if (isNaN(this)) { \n        throw new Error(this); \n    }\n    if (date instanceof Date && !isNaN(date)) {\n        return (this > date) ? 1 : (this < date) ? -1 : 0;\n    } else { \n        throw new TypeError(date); \n    }\n};\n\n/**\n * Compares this instance to another Date object and returns true if they are equal.  \n * @param {Date}     Date object to compare [Required]\n * @return {Boolean} true if dates are equal. false if they are not equal.\n */\nDate.prototype.equals = function (date) { \n    return (this.compareTo(date) === 0); \n};\n\n/**\n * Determines is this instance is between a range of two dates or equal to either the start or end dates.\n * @param {Date}     Start of range [Required]\n * @param {Date}     End of range [Required]\n * @return {Boolean} true is this is between or equal to the start and end dates, else false\n */\nDate.prototype.between = function (start, end) {\n    var t = this.getTime();\n    return t >= start.getTime() && t <= end.getTime();\n};\n\n/**\n * Adds the specified number of milliseconds to this instance. \n * @param {Number}   The number of milliseconds to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addMilliseconds = function (value) {\n    this.setMilliseconds(this.getMilliseconds() + value);\n    return this;\n};\n\n/**\n * Adds the specified number of seconds to this instance. \n * @param {Number}   The number of seconds to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addSeconds = function (value) { \n    return this.addMilliseconds(value * 1000); \n};\n\n/**\n * Adds the specified number of seconds to this instance. \n * @param {Number}   The number of seconds to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addMinutes = function (value) { \n    return this.addMilliseconds(value * 60000); /* 60*1000 */\n};\n\n/**\n * Adds the specified number of hours to this instance. \n * @param {Number}   The number of hours to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addHours = function (value) { \n    return this.addMilliseconds(value * 3600000); /* 60*60*1000 */\n};\n\n/**\n * Adds the specified number of days to this instance. \n * @param {Number}   The number of days to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addDays = function (value) { \n    return this.addMilliseconds(value * 86400000); /* 60*60*24*1000 */\n};\n\n/**\n * Adds the specified number of weeks to this instance. \n * @param {Number}   The number of weeks to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addWeeks = function (value) { \n    return this.addMilliseconds(value * 604800000); /* 60*60*24*7*1000 */\n};\n\n/**\n * Adds the specified number of months to this instance. \n * @param {Number}   The number of months to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addMonths = function (value) {\n    var n = this.getDate();\n    this.setDate(1);\n    this.setMonth(this.getMonth() + value);\n    this.setDate(Math.min(n, this.getDaysInMonth()));\n    return this;\n};\n\n/**\n * Adds the specified number of years to this instance. \n * @param {Number}   The number of years to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addYears = function (value) {\n    return this.addMonths(value * 12);\n};\n\n/**\n * Adds (or subtracts) to the value of the year, month, day, hour, minute, second, millisecond of the date instance using given configuration object. Positive and Negative values allowed.\n * Example\n<pre><code>\nDate.today().add( { day: 1, month: 1 } )\n \nnew Date().add( { year: -1 } )\n</code></pre> \n * @param {Object}   Configuration object containing attributes (month, day, etc.)\n * @return {Date}    this\n */\nDate.prototype.add = function (config) {\n    if (typeof config == "number") {\n        this._orient = config;\n        return this;    \n    }\n    var x = config;\n    if (x.millisecond || x.milliseconds) { \n        this.addMilliseconds(x.millisecond || x.milliseconds); \n    }\n    if (x.second || x.seconds) { \n        this.addSeconds(x.second || x.seconds); \n    }\n    if (x.minute || x.minutes) { \n        this.addMinutes(x.minute || x.minutes); \n    }\n    if (x.hour || x.hours) { \n        this.addHours(x.hour || x.hours); \n    }\n    if (x.month || x.months) { \n        this.addMonths(x.month || x.months); \n    }\n    if (x.year || x.years) { \n        this.addYears(x.year || x.years); \n    }\n    if (x.day || x.days) {\n        this.addDays(x.day || x.days); \n    }\n    return this;\n};\n\n// private\nDate._validate = function (value, min, max, name) {\n    if (typeof value != "number") {\n        throw new TypeError(value + " is not a Number."); \n    } else if (value < min || value > max) {\n        throw new RangeError(value + " is not a valid value for " + name + "."); \n    }\n    return true;\n};\n\n/**\n * Validates the number is within an acceptable range for milliseconds [0-999].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateMillisecond = function (n) {\n    return Date._validate(n, 0, 999, "milliseconds");\n};\n\n/**\n * Validates the number is within an acceptable range for seconds [0-59].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateSecond = function (n) {\n    return Date._validate(n, 0, 59, "seconds");\n};\n\n/**\n * Validates the number is within an acceptable range for minutes [0-59].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateMinute = function (n) {\n    return Date._validate(n, 0, 59, "minutes");\n};\n\n/**\n * Validates the number is within an acceptable range for hours [0-23].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateHour = function (n) {\n    return Date._validate(n, 0, 23, "hours");\n};\n\n/**\n * Validates the number is within an acceptable range for the days in a month [0-MaxDaysInMonth].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateDay = function (n, year, month) {\n    return Date._validate(n, 1, Date.getDaysInMonth(year, month), "days");\n};\n\n/**\n * Validates the number is within an acceptable range for months [0-11].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateMonth = function (n) {\n    return Date._validate(n, 0, 11, "months");\n};\n\n/**\n * Validates the number is within an acceptable range for years [0-9999].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateYear = function (n) {\n    return Date._validate(n, 1, 9999, "seconds");\n};\n\n/**\n * Set the value of year, month, day, hour, minute, second, millisecond of date instance using given configuration object.\n * Example\n<pre><code>\nDate.today().set( { day: 20, month: 1 } )\n\nnew Date().set( { millisecond: 0 } )\n</code></pre>\n * \n * @param {Object}   Configuration object containing attributes (month, day, etc.)\n * @return {Date}    this\n */\nDate.prototype.set = function (config) {\n    var x = config;\n\n    if (!x.millisecond && x.millisecond !== 0) { \n        x.millisecond = -1; \n    }\n    if (!x.second && x.second !== 0) { \n        x.second = -1; \n    }\n    if (!x.minute && x.minute !== 0) { \n        x.minute = -1; \n    }\n    if (!x.hour && x.hour !== 0) { \n        x.hour = -1; \n    }\n    if (!x.day && x.day !== 0) { \n        x.day = -1; \n    }\n    if (!x.month && x.month !== 0) { \n        x.month = -1; \n    }\n    if (!x.year && x.year !== 0) { \n        x.year = -1; \n    }\n\n    if (x.millisecond != -1 && Date.validateMillisecond(x.millisecond)) {\n        this.addMilliseconds(x.millisecond - this.getMilliseconds()); \n    }\n    if (x.second != -1 && Date.validateSecond(x.second)) {\n        this.addSeconds(x.second - this.getSeconds()); \n    }\n    if (x.minute != -1 && Date.validateMinute(x.minute)) {\n        this.addMinutes(x.minute - this.getMinutes()); \n    }\n    if (x.hour != -1 && Date.validateHour(x.hour)) {\n        this.addHours(x.hour - this.getHours()); \n    }\n    if (x.month !== -1 && Date.validateMonth(x.month)) {\n        this.addMonths(x.month - this.getMonth()); \n    }\n    if (x.year != -1 && Date.validateYear(x.year)) {\n        this.addYears(x.year - this.getFullYear()); \n    }\n    \n\t/* day has to go last because you can't validate the day without first knowing the month */\n    if (x.day != -1 && Date.validateDay(x.day, this.getFullYear(), this.getMonth())) {\n        this.addDays(x.day - this.getDate()); \n    }\n    if (x.timezone) { \n        this.setTimezone(x.timezone); \n    }\n    if (x.timezoneOffset) { \n        this.setTimezoneOffset(x.timezoneOffset); \n    }\n    \n    return this;   \n};\n\n/**\n * Resets the time of this Date object to 12:00 AM (00:00), which is the start of the day.\n * @return {Date}    this\n */\nDate.prototype.clearTime = function () {\n    this.setHours(0); \n    this.setMinutes(0); \n    this.setSeconds(0);\n    this.setMilliseconds(0); \n    return this;\n};\n\n/**\n * Determines whether or not this instance is in a leap year.\n * @return {Boolean} true if this instance is in a leap year, else false\n */\nDate.prototype.isLeapYear = function () { \n    var y = this.getFullYear(); \n    return (((y % 4 === 0) && (y % 100 !== 0)) || (y % 400 === 0)); \n};\n\n/**\n * Determines whether or not this instance is a weekday.\n * @return {Boolean} true if this instance is a weekday\n */\nDate.prototype.isWeekday = function () { \n    return !(this.is().sat() || this.is().sun());\n};\n\n/**\n * Get the number of days in the current month, adjusted for leap year.\n * @return {Number}  The number of days in the month\n */\nDate.prototype.getDaysInMonth = function () { \n    return Date.getDaysInMonth(this.getFullYear(), this.getMonth());\n};\n\n/**\n * Moves the date to the first day of the month.\n * @return {Date}    this\n */\nDate.prototype.moveToFirstDayOfMonth = function () {\n    return this.set({ day: 1 });\n};\n\n/**\n * Moves the date to the last day of the month.\n * @return {Date}    this\n */\nDate.prototype.moveToLastDayOfMonth = function () { \n    return this.set({ day: this.getDaysInMonth()});\n};\n\n/**\n * Move to the next or last dayOfWeek based on the orient value.\n * @param {Number}   The dayOfWeek to move to.\n * @param {Number}   Forward (+1) or Back (-1). Defaults to +1. [Optional]\n * @return {Date}    this\n */\nDate.prototype.moveToDayOfWeek = function (day, orient) {\n    var diff = (day - this.getDay() + 7 * (orient || +1)) % 7;\n    return this.addDays((diff === 0) ? diff += 7 * (orient || +1) : diff);\n};\n\n/**\n * Move to the next or last month based on the orient value.\n * @param {Number}   The month to move to. 0 = January, 11 = December.\n * @param {Number}   Forward (+1) or Back (-1). Defaults to +1. [Optional]\n * @return {Date}    this\n */\nDate.prototype.moveToMonth = function (month, orient) {\n    var diff = (month - this.getMonth() + 12 * (orient || +1)) % 12;\n    return this.addMonths((diff === 0) ? diff += 12 * (orient || +1) : diff);\n};\n\n/**\n * Get the numeric day number of the year, adjusted for leap year.\n * @return {Number} 0 through 364 (365 in leap years)\n */\nDate.prototype.getDayOfYear = function () {\n    return Math.floor((this - new Date(this.getFullYear(), 0, 1)) / 86400000);\n};\n\n/**\n * Get the week of the year for the current date instance.\n * @param {Number}   A Number that represents the first day of the week (0-6) [Optional]\n * @return {Number}  0 through 53\n */\nDate.prototype.getWeekOfYear = function (firstDayOfWeek) {\n    var y = this.getFullYear(), m = this.getMonth(), d = this.getDate();\n    \n    var dow = firstDayOfWeek || Date.CultureInfo.firstDayOfWeek;\n\t\n    var offset = 7 + 1 - new Date(y, 0, 1).getDay();\n    if (offset == 8) {\n        offset = 1;\n    }\n    var daynum = ((Date.UTC(y, m, d, 0, 0, 0) - Date.UTC(y, 0, 1, 0, 0, 0)) / 86400000) + 1;\n    var w = Math.floor((daynum - offset + 7) / 7);\n    if (w === dow) {\n        y--;\n        var prevOffset = 7 + 1 - new Date(y, 0, 1).getDay();\n        if (prevOffset == 2 || prevOffset == 8) { \n            w = 53; \n        } else { \n            w = 52; \n        }\n    }\n    return w;\n};\n\n/**\n * Determine whether Daylight Saving Time (DST) is in effect\n * @return {Boolean} True if DST is in effect.\n */\nDate.prototype.isDST = function () {\n    console.log('isDST');\n    /* TODO: not sure if this is portable ... get from Date.CultureInfo? */\n    return this.toString().match(/(E|C|M|P)(S|D)T/)[2] == "D";\n};\n\n/**\n * Get the timezone abbreviation of the current date.\n * @return {String} The abbreviated timezone name (e.g. "EST")\n */\nDate.prototype.getTimezone = function () {\n    return Date.getTimezoneAbbreviation(this.getUTCOffset, this.isDST());\n};\n\nDate.prototype.setTimezoneOffset = function (s) {\n    var here = this.getTimezoneOffset(), there = Number(s) * -6 / 10;\n    this.addMinutes(there - here); \n    return this;\n};\n\nDate.prototype.setTimezone = function (s) { \n    return this.setTimezoneOffset(Date.getTimezoneOffset(s)); \n};\n\n/**\n * Get the offset from UTC of the current date.\n * @return {String} The 4-character offset string prefixed with + or - (e.g. "-0500")\n */\nDate.prototype.getUTCOffset = function () {\n    var n = this.getTimezoneOffset() * -10 / 6, r;\n    if (n < 0) { \n        r = (n - 10000).toString(); \n        return r[0] + r.substr(2); \n    } else { \n        r = (n + 10000).toString();  \n        return "+" + r.substr(1); \n    }\n};\n\n/**\n * Gets the name of the day of the week.\n * @param {Boolean}  true to return the abbreviated name of the day of the week\n * @return {String}  The name of the day\n */\nDate.prototype.getDayName = function (abbrev) {\n    return abbrev ? Date.CultureInfo.abbreviatedDayNames[this.getDay()] : \n        Date.CultureInfo.dayNames[this.getDay()];\n};\n\n/**\n * Gets the month name.\n * @param {Boolean}  true to return the abbreviated name of the month\n * @return {String}  The name of the month\n */\nDate.prototype.getMonthName = function (abbrev) {\n    return abbrev ? Date.CultureInfo.abbreviatedMonthNames[this.getMonth()] : \n        Date.CultureInfo.monthNames[this.getMonth()];\n};\n\n// private\nDate.prototype._toString = Date.prototype.toString;\n\n/**\n * Converts the value of the current Date object to its equivalent UTC string representation.\n * Format Specifiers\n<pre>\nFormat  Description                                                                  Example\n------  ---------------------------------------------------------------------------  -----------------------\n s      The seconds of the minute between 1-59.                                      "1" to "59"\n ss     The seconds of the minute with leading zero if required.                     "01" to "59"\n \n m      The minute of the hour between 0-59.                                         "1"  or "59"\n mm     The minute of the hour with leading zero if required.                        "01" or "59"\n \n h      The hour of the day between 1-12.                                            "1"  to "12"\n hh     The hour of the day with leading zero if required.                           "01" to "12"\n \n H      The hour of the day between 1-23.                                            "1"  to "23"\n HH     The hour of the day with leading zero if required.                           "01" to "23"\n \n d      The day of the month between 1 and 31.                                       "1"  to "31"\n dd     The day of the month with leading zero if required.                          "01" to "31"\n ddd    Abbreviated day name. Date.CultureInfo.abbreviatedDayNames.                  "Mon" to "Sun" \n dddd   The full day name. Date.CultureInfo.dayNames.                                "Monday" to "Sunday"\n \n M      The month of the year between 1-12.                                          "1" to "12"\n MM     The month of the year with leading zero if required.                         "01" to "12"\n MMM    Abbreviated month name. Date.CultureInfo.abbreviatedMonthNames.              "Jan" to "Dec"\n MMMM   The full month name. Date.CultureInfo.monthNames.                            "January" to "December"\n\n yy     Displays the year as a maximum two-digit number.                             "99" or "07"\n yyyy   Displays the full four digit year.                                           "1999" or "2007"\n \n t      Displays the first character of the A.M./P.M. designator.                    "A" or "P"\n        Date.CultureInfo.amDesignator or Date.CultureInfo.pmDesignator\n tt     Displays the A.M./P.M. designator.                                           "AM" or "PM"\n        Date.CultureInfo.amDesignator or Date.CultureInfo.pmDesignator\n</pre>\n * @param {String}   A format string consisting of one or more format spcifiers [Optional].\n * @return {String}  A string representation of the current Date object.\n */\nDate.prototype.toString = function (format) {\n    var self = this.toUTC();\n\n    var p = function p(s) {\n        return (s.toString().length == 1) ? "0" + s : s;\n    };\n\n    return format ? format.replace(/dd?d?d?|MM?M?M?|yy?y?y?|hh?|HH?|mm?|ss?|tt?|zz?z?/g, \n    function (format) {\n        switch (format) {\n        case "hh":\n            return p(self.getHours() < 13 ? self.getHours() : (self.getHours() - 12));\n        case "h":\n            return self.getHours() < 13 ? self.getHours() : (self.getHours() - 12);\n        case "HH":\n            return p(self.getHours());\n        case "H":\n            return self.getHours();\n        case "mm":\n            return p(self.getMinutes());\n        case "m":\n            return self.getMinutes();\n        case "ss":\n            return p(self.getSeconds());\n        case "s":\n            return self.getSeconds();\n        case "yyyy":\n            return self.getFullYear();\n        case "yy":\n            return self.getFullYear().toString().substring(2, 4);\n        case "dddd":\n            return self.getDayName();\n        case "ddd":\n            return self.getDayName(true);\n        case "dd":\n            return p(self.getDate());\n        case "d":\n            return self.getDate().toString();\n        case "MMMM":\n            return self.getMonthName();\n        case "MMM":\n            return self.getMonthName(true);\n        case "MM":\n            return p((self.getMonth() + 1));\n        case "M":\n            return self.getMonth() + 1;\n        case "t":\n            return self.getHours() < 12 ? Date.CultureInfo.amDesignator.substring(0, 1) : Date.CultureInfo.pmDesignator.substring(0, 1);\n        case "tt":\n            return self.getHours() < 12 ? Date.CultureInfo.amDesignator : Date.CultureInfo.pmDesignator;\n        case "zzz":\n        case "zz":\n        case "z":\n            return 'Z';\n        }\n    }\n    ) : this._toString();\n};\n\n/**\n * Version: 1.0 Alpha-1 \n * Build Date: 12-Nov-2007\n * Copyright (c) 2006-2007, Coolite Inc. (http://www.coolite.com/). All rights reserved.\n * License: Licensed under The MIT License. See license.txt and http://www.datejs.com/license/. \n * Website: http://www.datejs.com/ or http://www.coolite.com/datejs/\n */\n \n/* \n * TimeSpan(days, hours, minutes, seconds, milliseconds);\n * TimeSpan(milliseconds);\n */\nTimeSpan = function (days, hours, minutes, seconds, milliseconds) {\n    this.days = 0;\n    this.hours = 0;\n    this.minutes = 0;\n    this.seconds = 0;\n    this.milliseconds = 0;\n    \n    if (arguments.length == 5) { \n        this.days = days; \n        this.hours = hours; \n        this.minutes = minutes; \n        this.seconds = seconds; \n        this.milliseconds = milliseconds; \n    } \n    else if (arguments.length == 1 && typeof days == "number") {\n        var orient = (days < 0) ? -1 : +1;\n        this.milliseconds = Math.abs(days);\n        \n        this.days = Math.floor(this.milliseconds / (24 * 60 * 60 * 1000)) * orient;\n        this.milliseconds = this.milliseconds % (24 * 60 * 60 * 1000);\n\n        this.hours = Math.floor(this.milliseconds / (60 * 60 * 1000)) * orient;\n        this.milliseconds = this.milliseconds % (60 * 60 * 1000);\n\n        this.minutes = Math.floor(this.milliseconds / (60 * 1000)) * orient;\n        this.milliseconds = this.milliseconds % (60 * 1000);\n\n        this.seconds = Math.floor(this.milliseconds / 1000) * orient;\n        this.milliseconds = this.milliseconds % 1000;\n\n        this.milliseconds = this.milliseconds * orient;\n        return this;\n    } \n    else {\n        return null;\n    }\n};\n\nTimeSpan.prototype.compare = function (timeSpan) {\n    var t1 = new Date(1970, 1, 1, this.hours(), this.minutes(), this.seconds()), t2;\n    if (timeSpan === null) { \n        t2 = new Date(1970, 1, 1, 0, 0, 0); \n    }\n    else { \n        t2 = new Date(1970, 1, 1, timeSpan.hours(), timeSpan.minutes(), timeSpan.seconds()); /* t2 = t2.addDays(timeSpan.days()); */ \n    }\n    return (t1 > t2) ? 1 : (t1 < t2) ? -1 : 0;\n};\n\nTimeSpan.prototype.add = function (timeSpan) { \n    return (timeSpan === null) ? this : this.addSeconds(timeSpan.getTotalMilliseconds() / 1000); \n};\n\nTimeSpan.prototype.subtract = function (timeSpan) { \n    return (timeSpan === null) ? this : this.addSeconds(-timeSpan.getTotalMilliseconds() / 1000); \n};\n\nTimeSpan.prototype.addDays = function (n) { \n    return new TimeSpan(this.getTotalMilliseconds() + (n * 24 * 60 * 60 * 1000)); \n};\n\nTimeSpan.prototype.addHours = function (n) { \n    return new TimeSpan(this.getTotalMilliseconds() + (n * 60 * 60 * 1000)); \n};\n\nTimeSpan.prototype.addMinutes = function (n) { \n    return new TimeSpan(this.getTotalMilliseconds() + (n * 60 * 1000)); \n};\n\nTimeSpan.prototype.addSeconds = function (n) {\n    return new TimeSpan(this.getTotalMilliseconds() + (n * 1000)); \n};\n\nTimeSpan.prototype.addMilliseconds = function (n) {\n    return new TimeSpan(this.getTotalMilliseconds() + n); \n};\n\nTimeSpan.prototype.getTotalMilliseconds = function () {\n    return (this.days() * (24 * 60 * 60 * 1000)) + (this.hours() * (60 * 60 * 1000)) + (this.minutes() * (60 * 1000)) + (this.seconds() * (1000)); \n};\n\nTimeSpan.prototype.get12HourHour = function () {\n    return ((h = this.hours() % 12) ? h : 12); \n};\n\nTimeSpan.prototype.getDesignator = function () { \n    return (this.hours() < 12) ? Date.CultureInfo.amDesignator : Date.CultureInfo.pmDesignator;\n};\n\nTimeSpan.prototype.toString = function (format) {\n    function _toString() {\n        if (this.days() !== null && this.days() > 0) {\n            return this.days() + "." + this.hours() + ":" + p(this.minutes()) + ":" + p(this.seconds());\n        }\n        else { \n            return this.hours() + ":" + p(this.minutes()) + ":" + p(this.seconds());\n        }\n    }\n    function p(s) {\n        return (s.toString().length < 2) ? "0" + s : s;\n    } \n    var self = this;\n    return format ? format.replace(/d|dd|HH|H|hh|h|mm|m|ss|s|tt|t/g, \n    function (format) {\n        switch (format) {\n        case "d":\t\n            return self.days();\n        case "dd":\t\n            return p(self.days());\n        case "H":\t\n            return self.hours();\n        case "HH":\t\n            return p(self.hours());\n        case "h":\t\n            return self.get12HourHour();\n        case "hh":\t\n            return p(self.get12HourHour());\n        case "m":\t\n            return self.minutes();\n        case "mm":\t\n            return p(self.minutes());\n        case "s":\t\n            return self.seconds();\n        case "ss":\t\n            return p(self.seconds());\n        case "t":\t\n            return ((this.hours() < 12) ? Date.CultureInfo.amDesignator : Date.CultureInfo.pmDesignator).substring(0, 1);\n        case "tt":\t\n            return (this.hours() < 12) ? Date.CultureInfo.amDesignator : Date.CultureInfo.pmDesignator;\n        }\n    }\n    ) : this._toString();\n};\n\n/* \n * TimePeriod(startDate, endDate);\n */\nvar TimePeriod = function (years, months, days, hours, minutes, seconds, milliseconds) {\n    this.years = 0;\n    this.months = 0;\n    this.days = 0;\n    this.hours = 0;\n    this.minutes = 0;\n    this.seconds = 0;\n    this.milliseconds = 0;\n    \n    // startDate and endDate as arguments\n    if (arguments.length == 2 && arguments[0] instanceof Date && arguments[1] instanceof Date) {\n    \n        var date1 = years.clone();\n        var date2 = months.clone();\n    \n        var temp = date1.clone();\n        var orient = (date1 > date2) ? -1 : +1;\n        \n        this.years = date2.getFullYear() - date1.getFullYear();\n        temp.addYears(this.years);\n        \n        if (orient == +1) {\n            if (temp > date2) {\n                if (this.years !== 0) {\n                    this.years--;\n                }\n            }\n        } else {\n            if (temp < date2) {\n                if (this.years !== 0) {\n                    this.years++;\n                }\n            }\n        }\n        \n        date1.addYears(this.years);\n\n        if (orient == +1) {\n            while (date1 < date2 && date1.clone().addDays(date1.getDaysInMonth()) < date2) {\n                date1.addMonths(1);\n                this.months++;\n            }\n        }\n        else {\n            while (date1 > date2 && date1.clone().addDays(-date1.getDaysInMonth()) > date2) {\n                date1.addMonths(-1);\n                this.months--;\n            }\n        }\n        \n        var diff = date2 - date1;\n\n        if (diff !== 0) {\n            var ts = new TimeSpan(diff);\n            \n            this.days = ts.days;\n            this.hours = ts.hours;\n            this.minutes = ts.minutes;\n            this.seconds = ts.seconds;\n            this.milliseconds = ts.milliseconds;\n        }\n\n        // UTC Hacks required...\n        return this;\n    }\n \n};\n\n/**\n * Version: 1.0 Alpha-1 \n * Build Date: 12-Nov-2007\n * Copyright (c) 2006-2007, Coolite Inc. (http://www.coolite.com/). All rights reserved.\n * License: Licensed under The MIT License. See license.txt and http://www.datejs.com/license/. \n * Website: http://www.datejs.com/ or http://www.coolite.com/datejs/\n */\n\n/**\n **************************************************************\n ** SugarPak - Domain Specific Language -  Syntactical Sugar **\n **************************************************************\n */\n \n/**\n * Gets a date that is set to the current date and time. \n * @return {Date}    The current date and time.\n */\nDate.now = function () {\n    return new Date();\n};\n\n/** \n * Gets a date that is set to the current date. The time is set to the start of the day (00:00 or 12:00 AM).\n * @return {Date}    The current date.\n */\nDate.today = function () {\n    return Date.now().clearTime();\n};\n\n// private\nDate.prototype._orient = +1;\n\n/** \n * Moves the date to the next instance of a date as specified by a trailing date element function (eg. .day(), .month()), month name function (eg. .january(), .jan()) or day name function (eg. .friday(), fri()).\n * Example\n<pre><code>\nDate.today().next().friday();\nDate.today().next().fri();\nDate.today().next().march();\nDate.today().next().mar();\nDate.today().next().week();\n</code></pre>\n * \n * @return {Date}    this\n */\nDate.prototype.next = function () {\n    this._orient = +1;\n    return this;\n};\n\n/** \n * Moves the date to the previous instance of a date as specified by a trailing date element function (eg. .day(), .month()), month name function (eg. .january(), .jan()) or day name function (eg. .friday(), fri()).\n * Example\n<pre><code>\nDate.today().last().friday();\nDate.today().last().fri();\nDate.today().last().march();\nDate.today().last().mar();\nDate.today().last().week();\n</code></pre>\n *  \n * @return {Date}    this\n */\nDate.prototype.last = Date.prototype.prev = Date.prototype.previous = function () {\n    this._orient = -1;\n    return this;\n};\n\n// private\nDate.prototype._is = false;\n    \n/** \n * Performs a equality check when followed by either a month name or day name function.\n * Example\n<pre><code>\nDate.today().is().friday(); // true|false\nDate.today().is().fri();\nDate.today().is().march();\nDate.today().is().mar();\n</code></pre>\n *  \n * @return {bool}    true|false\n */\nDate.prototype.is = function () { \n    this._is = true; \n    return this; \n}; \n\n// private\nNumber.prototype._dateElement = "day";\n\n/** \n * Creates a new Date (Date.now()) and adds this (Number) to the date based on the preceding date element function (eg. second|minute|hour|day|month|year).\n * Example\n<pre><code>\n// Undeclared Numbers must be wrapped with parentheses. Requirment of JavaScript.\n(3).days().fromNow();\n(6).months().fromNow();\n\n// Declared Number variables do not require parentheses. \nvar n = 6;\nn.months().fromNow();\n</code></pre>\n *  \n * @return {Date}    A new Date instance\n */\nNumber.prototype.fromNow = function () {\n    var c = {};\n    c[this._dateElement] = this;\n    return Date.now().add(c);\n};\n\n/** \n * Creates a new Date (Date.now()) and subtract this (Number) from the date based on the preceding date element function (eg. second|minute|hour|day|month|year).\n * Example\n<pre><code>\n// Undeclared Numbers must be wrapped with parentheses. Requirment of JavaScript.\n(3).days().ago();\n(6).months().ago();\n\n// Declared Number variables do not require parentheses. \nvar n = 6;\nn.months().ago();\n</code></pre>\n *  \n * @return {Date}    A new Date instance\n */\nNumber.prototype.ago = function () {\n    var c = {};\n    c[this._dateElement] = this * -1;\n    return Date.now().add(c);\n};\n\n// Build dynamic date element, month name and day name functions.\n(function () {\n    var $D = Date.prototype, $N = Number.prototype;\n\n    /* Do NOT modify the following string tokens. These tokens are used to build dynamic functions. */\n    var dx = ("sunday monday tuesday wednesday thursday friday saturday").split(/\\s/),\n        mx = ("january february march april may june july august september october november december").split(/\\s/),\n        px = ("Millisecond Second Minute Hour Day Week Month Year").split(/\\s/),\n        de;\n    \n    // Create day name functions and abbreviated day name functions (eg. monday(), friday(), fri()).\n    var df = function (n) {\n        return function () { \n            if (this._is) { \n                this._is = false; \n                return this.getDay() == n; \n            }\n            return this.moveToDayOfWeek(n, this._orient);\n        };\n    };\n    \n    for (var i = 0 ; i < dx.length ; i++) { \n        $D[dx[i]] = $D[dx[i].substring(0, 3)] = df(i);\n    }\n    \n    // Create month name functions and abbreviated month name functions (eg. january(), march(), mar()).\n    var mf = function (n) { \n        return function () {\n            if (this._is) { \n                this._is = false; \n                return this.getMonth() === n; \n            }\n            return this.moveToMonth(n, this._orient); \n        };\n    };\n    \n    for (var j = 0 ; j < mx.length ; j++) { \n        $D[mx[j]] = $D[mx[j].substring(0, 3)] = mf(j);\n    }\n    \n    // Create date element functions and plural date element functions used with Date (eg. day(), days(), months()).\n    var ef = function (j) { \n        return function () {\n            if (j.substring(j.length - 1) != "s") { \n                j += "s"; \n            }\n            return this["add" + j](this._orient); \n        };\n    };\n    \n    // Create date element functions and plural date element functions used with Number (eg. day(), days(), months()).\n    var nf = function (n) {\n        return function () {\n            this._dateElement = n;\n            return this;\n        };\n    };\n    \n    for (var k = 0 ; k < px.length ; k++) {\n        de = px[k].toLowerCase();\n        $D[de] = $D[de + "s"] = ef(px[k]);\n        $N[de] = $N[de + "s"] = nf(de);\n    }\n}());\n\n/**\n * Converts the current date instance into a JSON string value.\n * @return {String}  JSON string of date\n */\nDate.prototype.toJSONString = function () {\n    return this.toString("yyyy-MM-ddThh:mm:ssZ");\n};\n\n/**\n * Converts the current date instance to a string using the culture specific shortDatePattern.\n * @return {String}  A string formatted as per the culture specific shortDatePattern\n */\nDate.prototype.toShortDateString = function () {\n    return this.toString(Date.CultureInfo.formatPatterns.shortDatePattern);\n};\n\n/**\n * Converts the current date instance to a string using the culture specific longDatePattern.\n * @return {String}  A string formatted as per the culture specific longDatePattern\n */\nDate.prototype.toLongDateString = function () {\n    return this.toString(Date.CultureInfo.formatPatterns.longDatePattern);\n};\n\n/**\n * Converts the current date instance to a string using the culture specific shortTimePattern.\n * @return {String}  A string formatted as per the culture specific shortTimePattern\n */\nDate.prototype.toShortTimeString = function () {\n    return this.toString(Date.CultureInfo.formatPatterns.shortTimePattern);\n};\n\n/**\n * Converts the current date instance to a string using the culture specific longTimePattern.\n * @return {String}  A string formatted as per the culture specific longTimePattern\n */\nDate.prototype.toLongTimeString = function () {\n    return this.toString(Date.CultureInfo.formatPatterns.longTimePattern);\n};\n\n/**\n * Get the ordinal suffix of the current day.\n * @return {String}  "st, "nd", "rd" or "th"\n */\nDate.prototype.getOrdinal = function () {\n    switch (this.getDate()) {\n    case 1: \n    case 21: \n    case 31: \n        return "st";\n    case 2: \n    case 22: \n        return "nd";\n    case 3: \n    case 23: \n        return "rd";\n    default: \n        return "th";\n    }\n};\n/*\n ********************************************************************************\n * Formatting\n ********************************************************************************\n */\nDate.ISO8601Format = 'yyyy-MM-ddTHH:mm:ssZ';\nDate.prototype.toISO8601 = function() {\n  var result = this.toString(Date.ISO8601Format);\n  if (result.indexOf("NaN") > -1) {\n    result = "";\n  }\n  return result;\n};\nDate.prototype.toUTC = function() {\n   return new Date(\n          this.getUTCFullYear(),\n          this.getUTCMonth(),\n          this.getUTCDate(),\n          this.getUTCHours(),\n          this.getUTCMinutes(),\n          0,\n          0\n   );\n}\nDate.prototype.setAsUTC = function() {\n   var date = this.getDate();\n   var month = this.getMonth();\n   var year = this.getFullYear();\n   var hours = this.getHours();\n   var minutes = this.getMinutes();\n   this.setUTCDate( date );\n   this.setUTCMonth( month );\n   this.setUTCFullYear( year );\n   this.setUTCHours( hours );\n   this.setUTCMinutes( minutes );\n} \nDate.prototype.toFormattedString = function(display_options){\n   var hour, str;\n   var mask = display_options.format_mask;\n   var display_date = display_options.convert_to_UTC ? this.toUTC() : this;\n   var sdf = new SimpleDateFormat(mask);\n   str = sdf.format(display_date);\n   return str;\n}\nDate.parseISO_8601 = function(string) {\n   var pieces = /^(\\d{4})-(\\d{2})-(\\d{2})T(\\d{2}):(\\d{2}):(\\d{2})(\\.\\d+)?(([+-](\\d{2})([:]?(\\d{2}))?)|Z)$/.exec(string);\n   if (pieces) {\n     if (pieces[8] == 'Z') {\n       return new Date(Date.UTC(\n             parseInt(pieces[1], 10),\n             parseInt(pieces[2], 10) - 1,\n             parseInt(pieces[3], 10),\n             parseInt(pieces[4], 10),\n             parseInt(pieces[5], 10),\n             parseInt(pieces[6], 10)\n           ));\n     } else {\n       return new Date(\n             parseInt(pieces[1], 10),\n             parseInt(pieces[2], 10) - 1,\n             parseInt(pieces[3], 10),\n             parseInt(pieces[4], 10),\n             parseInt(pieces[5], 10),\n             parseInt(pieces[6], 10)\n           );\n     }\n   }\n}
2509285284474509343	code	// CalendarDateSelect version 1.16.1 - a prototype based date picker\n// Questions, comments, bugs? - see the project page: http://code.google.com/p/calendardateselect\nif (typeof Prototype == 'undefined') alert("CalendarDateSelect Error: Prototype could not be found. Please make sure that your application's layout includes prototype.js *before* it includes calendar_date_select.js");\nif (Prototype.Version < "1.6") alert("Prototype > 1.6.0 is required.");\n\nDateUtils = Class.create({\n  weekdays : [],\n  months : $A(Date.CultureInfo.monthNames),\n  firstDayOfWeek : Date.CultureInfo.firstDayOfWeek,\n  msecondsInOneDay : 24 * 60 * 60 * 1000,\n  initialize : function () {\n    var wdays = $A(Date.CultureInfo.firstLetterDayNames);\n    this.weekdays = [];\n    var f = (this.firstDayOfWeek + 6) % 7;\n    for (var i = f; i >= 0 && i < wdays.length; ++i) {\n      this.weekdays.push(wdays[i]);\n    }\n    for (var i = 0; i < wdays.length && i < f; ++i) {\n      this.weekdays.push(wdays[i]);\n    }\n  },\n  daysDistance : function(date1, date2) {\n    return Math.round((date2 - date1) / this.msecondsInOneDay);\n  },\n  getAMPMHour : function(date) {\n    var hour = date.getHours();\n    return (hour == 0) ? 12 : (hour > 12 ? hour - 12 : hour )\n  },\n  getAMPM : function() {\n    return (this.getHours() < 12) ? "AM" : "PM";\n  }\n});\n\nSelectBox = Class.create({\n  initialize: function(parent, values, cssClass, changeListener) {\n    this.element = new Element('select', {'class' : cssClass || ''});\n    this.populate(values);\n    Element.insert(parent, this.element);\n    this.element.observe('change', changeListener);\n  },\n  populate: function (values) {\n    var container = this.element;\n    container.update('');\n    $A(values).each(function(data) {\n      if (typeof(data) != "object") {\n        data = [data, data];\n      }\n      container.insert(new Element("option", { value: data[1]}).update(data[0]));\n    });\n  },\n  setValue: function(value) {\n    var e = this.element;\n    var matched = false;\n    $R(0, e.options.length - 1 ).each(function(i) {\n      if(e.options[i].value == value.toString()) {\n        e.selectedIndex = i;\n        matched = true;\n      };\n    });\n    return matched;\n  },\n  getValue: function() { return $F(this.element)}\n});\n\nCalendarDateSelect = Class.create({\n  options : {\n      hour_format_12: false,\n      default_format_mask: "dd/MM/yyyy",\n      format_mask: null,\n      convert_to_UTC:false,\n      embedded: false,\n      popup: null,\n      time: false,\n      buttons: true,\n      clear_button: true,\n      year_range: 10,\n      close_on_click: null,\n      minute_interval: 5,\n      month_year: "dropdowns",\n      valid_date_check: null\n  },\n  initialize : function(target_element, options) {\n    this.target_element = $(target_element); // make sure it's an element, not a string\n    if (!this.target_element) { alert("Target element " + target_element + " not found!"); return false;}\n    if (this.target_element.tagName != "INPUT") this.target_element = this.target_element.down("INPUT")\n    \n    this.target_element.calendar_date_select = this;\n    this.last_click_at = 0;\n    // initialize the date control\n    this.options = Object.extend(Object.clone(this.options), options || {});\n    this.options.popup_by = this.target_element,\n    this.options.onchange = this.options.onchange || this.target_element.onchange;\n    // change the format to reflect the options\n    var mask = this.target_element.title || this.options.format_mask || this.options.default_format_mask;\n    if (this.options.time && \n         !mask.toLowerCase().include('h') && \n         !mask.include('m') && \n         !mask.include('a')) {\n      if( this.options.hour_format_12 ) {\n        this.options.format_mask = mask + " hh:mm tt";\n      } else {\n        this.options.format_mask = mask + " HH:mm";\n      }\n    } else {\n      this.options.format_mask = mask;\n    }\n    this.dateUtils = new DateUtils();\n    this.use_time = this.options.time;\n    this.parseDate();\n    this.callback("before_show")\n    this.initCalendarDiv();\n    if(!this.options.embedded) {\n      this.positionCalendarDiv()\n      // set the click handler to check if a user has clicked away from the document\n      Event.observe(document, "mousedown", this.closeIfClickedOut_handler = this.closeIfClickedOut.bindAsEventListener(this));\n      Event.observe(document, "keypress", this.keyPress_handler = this.keyPress.bindAsEventListener(this));\n    }\n    this.callback("after_show")\n  },\n  newElement : function (type, options) {\n    options = options || {};\n    var element = new Element(type, options.attrs || {}).update(options.content || '');\n    if (options.style) {\n      element.setStyle(options.style);\n    }\n    if (options.parent) {\n      Element.insert(options.parent, element);\n    }\n    if (options.events) {\n      for (var eventName in options.events) {\n        Event.observe(element, eventName, options.events[eventName]);\n      }\n    }\n    if (options.customData) {\n      for (var fieldName in options.customData) {\n        element[fieldName] = options.customData[fieldName];\n      }\n    }\n    return element;\n  },\n  positionCalendarDiv : function() {\n    var above = false;\n    var c_pos = this.calendar_div.cumulativeOffset(),\n        c_left = c_pos[0],\n        c_top = c_pos[1],\n        c_dim = this.calendar_div.getDimensions(),\n        c_height = c_dim.height,\n        c_width = c_dim.width; \n    var w_top = document.viewport.getScrollOffsets().top,\n        w_height = document.viewport.getHeight();\n    var e_dim = $(this.options.popup_by).cumulativeOffset(),\n        e_top = e_dim[1],\n        e_left = e_dim[0],\n        e_height = $(this.options.popup_by).getDimensions().height,\n        e_bottom = e_top + e_height;\n    \n    if ((( e_bottom + c_height ) > (w_top + w_height)) && ( e_bottom - c_height > w_top )) {\n      above = true;\n    }\n    var left_px = e_left.toString() + "px",\n        top_px = (above ? (e_top - c_height ) : ( e_top + e_height )).toString() + "px";\n    \n    this.calendar_div.style.left = left_px;\n    this.calendar_div.style.top = top_px;\n    \n    this.calendar_div.setStyle({visibility : ''});\n    \n    // draw an iframe behind the calendar -- ugly hack to make IE 6 happy\n    if(navigator.appName=="Microsoft Internet Explorer") {\n      this.iframe = this.newElement('iframe', {\n        parent : $(document.body),\n        attrs : {src : "javascript:false", 'class' : "ie6_blocker"},\n        style: {left : left_px, top : top_px, height : c_height.toString() + "px", width : c_width.toString() + "px", border : "0px"}\n      });\n    }\n  },\n  initCalendarDiv : function() {\n    if (this.options.embedded) {\n      var parent = this.target_element.parentNode;\n      var style = {}\n    } else {\n      var parent = document.body\n      var style = { position:"absolute", visibility: "hidden", left:0, top:0 }\n    }\n    this.calendar_div = this.newElement('div', {'parent' : $(parent), attrs: {'class': "calendar_date_select"}, 'style' : style});\n    \n    var context = this;\n    // create the divs\n    $w("top header body buttons footer bottom").each(function(name) {\n      eval("context." + name + "_div = context.newElement('div', {parent : context.calendar_div, attrs : { 'class': 'cds_part cds_" + name + "' } }); ");\n    });\n    \n    this.initHeaderDiv();\n    this.initButtonsDiv();\n    this.initCalendarGrid();\n    this.updateFooter("&#160;");\n    \n    this.refresh();\n    this.setUseTime(this.use_time);\n  },\n  initHeaderDiv : function() {\n    this.close_button = this.newElement('a', {\n        attrs : {'href' : '#', 'class' : 'close'},\n        content : 'x',\n        parent : this.header_div,\n        events : {\n          'click': function(event) {\n             event.stop();\n             this.close();\n          }.bindAsEventListener(this)\n        }\n    });\n    this.next_month_button = this.newElement('a', {\n        attrs : {'href' : '#', 'class' : 'next'},\n        content : '&raquo;',\n        parent : this.header_div,\n        events : {\n          'click': function(event) {\n             event.stop();\n             this.navMonth(event, this.date.getMonth() + 1);\n          }.bindAsEventListener(this)\n        }\n    });\n    this.prev_month_button = this.newElement('a', {\n        attrs : {'href' : '#', 'class' : 'prev'},\n        content : '&laquo;',\n        parent : this.header_div,\n        events : {\n          'click': function(event) {\n             event.stop();\n             this.navMonth(event, this.date.getMonth() - 1);\n          }.bindAsEventListener(this)\n        }\n    });\n    var dateUtils = this.dateUtils;\n    if (this.options.month_year == "dropdowns") {\n      this.month_select = new SelectBox(\n        this.header_div,\n        $R(0,11).map(function(m){return [dateUtils.months[m], m]}),\n        "month",\n        this.navMonth.bindAsEventListener(this)\n      ); \n      this.year_select = new SelectBox(\n        this.header_div,\n        [],\n        "year",\n        this.navYear.bindAsEventListener(this)\n      ); \n      this.populateYearRange();\n    } else {\n      this.month_year_label = this.newElement("span", {parent : this.header_div});\n    }\n  },\n  initCalendarGrid : function() {\n    var body_div = this.body_div;\n    this.calendar_day_grid = [];\n    var days_table = this.newElement('table', {parent : body_div});\n    var weekdays_row =  this.newElement('tr', {parent : this.newElement('thead', {parent : days_table})});\n    function isLatin(str) {\n      var fcc = str.charCodeAt(0);\n      if (64 <= fcc && fcc <= 7929) return true;\n      return false;\n    }\n    this.dateUtils.weekdays.each( function(weekday) {\n      Element.insert(weekdays_row, new Element('th').update(isLatin(weekday) ? weekday.substring(0,2) : weekday));\n    });\n    \n    var days_tbody = this.newElement('tbody', {parent : days_table});\n    var row_number = 0, weekday;\n    for (var cell_index = 0; cell_index < 42; cell_index++) {\n      weekday = (cell_index) % 7;//(cell_index + this.dateUtils.firstDayOfWeek) % 7;\n      if (cell_index % 7 == 0) {\n        days_row = this.newElement('tr', {parent : days_tbody, attrs : {'class' : 'row_' + row_number++}});\n      }\n      this.calendar_day_grid[cell_index] = this.newElement('td', {\n          content : new Element('div'),\n          parent: days_row,\n          attrs : {'class': ((weekday == (7 - this.dateUtils.firstDayOfWeek) % 7) || (weekday == (13 - this.dateUtils.firstDayOfWeek) % 7)) ? "weekend" : ""},\n          events : {\n            mouseover: function () { this.calendar_date_select.dayHover(this); },\n            mouseout: function () { this.calendar_date_select.dayHoverOut(this) },\n            click: function() { this.calendar_date_select.updateSelectedDate(this, true); }\n          },\n          customData : {calendar_date_select: this}\n        }\n      );\n    }\n  },\n  initButtonsDiv : function() {\n    var _formatNumber0d = function(value) {\n      var formatted = parseInt(value, 10);\n      if (value < 10) {\n        formatted = "0" + formatted;\n      }\n      return formatted;\n    }\n    \n    var buttons_div = this.buttons_div;\n    var time_div = this.newElement('div', {parent : buttons_div, attrs : {'class': "timediv"}});\n    if (this.options.time) {\n      var blank_time = $A(this.options.time == "mixed" ? [[" - ", ""]] : []);\n      time_div.update(new Element("span", {'class': "at_sign"}).update('@'));\n      \n      if (this.options.hour_format_12) {\n        var t = new Date();\n        blank_time = blank_time.concat($R(0, 23).map(function(x) {\n          t.setHours(x); return $A([this.dateUtils.getAMPMHour(t) + " " + this.dateUtils.getAMPM(t), x])\n        }));\n      } else { \n        blank_time = blank_time.concat($R(0, 23).map(function(x) {\n          return $A([_formatNumber0d(x), x])\n        }));\n      }\n      this.hour_select = new SelectBox(\n        time_div,\n        blank_time,\n        "hour",\n        this.calendar_date_select.updateSelectedDate.bind(this, {hour: this.value })\n      );\n      this.hour_select.calendar_date_select = this;\n      \n      time_div.insert(new Element ("span", {'class' : "separator"}).update(':'));\n      var context = this;\n      blank_time = $A([]);\n      this.minute_select = new SelectBox(\n        time_div,\n        blank_time.concat($R(0,59).select(function(x) {\n          return (x % context.options.minute_interval == 0)\n        }).map(function(x) {\n          return $A([_formatNumber0d(x), x]);\n        })),\n        "minute",\n        this.calendar_date_select.updateSelectedDate.bind(this, {minute: this.value})\n      );\n      this.minute_select.calendar_date_select = this;\n      \n    } else if (!this.options.buttons) {\n      buttons_div.remove();\n    }\n    \n    if (this.options.buttons) {\n      var _insertButton = function(parent, textKey, clickListener) {\n        this.newElement("a", {\n          parent :  parent,\n          content : _translations[textKey],\n          attrs: {'href' : "#"},\n          events : {'click' : clickListener}\n        });\n      }.bind(this);\n      var _insertButtonSeparator = function(parent) {\n        this.newElement("span", {\n          parent : parent,\n          content : "&#160;|&#160;",\n          attrs : {'class' : "button_separator"}\n        })\n      }.bind(this);\n      \n      this.newElement('span', {parent : buttons_div, content : "&#160;"});\n      if (this.options.time == "mixed" || !this.options.time) {\n        _insertButton(buttons_div, "Today", function(event) {this.today(false); event.stop(); return false;}.bindAsEventListener(this));\n      }\n      if (this.options.time == "mixed") {\n        _insertButtonSeparator(buttons_div);\n      }\n      if (this.options.time) {\n        _insertButton(buttons_div, "Now", function(event) {this.today(true); event.stop(); return false;}.bindAsEventListener(this));\n      }\n      if (!this.options.embedded && !this.closeOnClick()) {\n        _insertButtonSeparator(buttons_div);\n        _insertButton(buttons_div, "OK", function(event) {this.close(); event.stop(); return false;}.bindAsEventListener(this));\n      }\n      if (this.options.clear_button) {\n        _insertButtonSeparator(buttons_div);\n        _insertButton(buttons_div, "Clear", function(event) {this.clearDate(); if (!this.options.embedded) this.close(); event.stop(); return false;}.bindAsEventListener(this));\n      }\n    }\n  },\n  refresh: function () {\n    this.refreshMonthYear();\n    this.refreshCalendarGrid();\n    \n    this.setSelectedClass();\n    this.updateFooter();\n  },\n  refreshCalendarGrid: function () {\n    this.beginning_date = new Date(this.date).clearTime();\n    this.beginning_date.setDate(1);\n    this.beginning_date.setHours(12); // Prevent daylight savings time boundaries from showing a duplicate day\n    var pre_days = this.beginning_date.getDay() // draw some days before the fact\n    if (pre_days < 3) pre_days += 7;\n    this.beginning_date.setDate(1 - pre_days + this.dateUtils.firstDayOfWeek);\n    \n    var iterator = new Date(this.beginning_date);\n    \n    var today = new Date().clearTime();\n    var this_month = this.date.getMonth();\n    vdc = this.options.valid_date_check;\n    for (var cell_index = 0; cell_index < 42; cell_index++) {\n      day = iterator.getDate();\n      month = iterator.getMonth();\n      cell = this.calendar_day_grid[cell_index];\n      cell.update(new Element('div', {'class' : (month != this_month) ? 'other' : ''}).update(day));\n      cell.day = day;\n      cell.month = month;\n      cell.year = iterator.getFullYear();\n      if (vdc) {\n        if (vdc(iterator.clearTime())) {\n          cell.removeClassName("disabled");\n        } else {\n          cell.addClassName("disabled")\n        };\n      }\n      iterator.setDate(day + 1);\n    }\n    \n    if (this.today_cell) {\n      this.today_cell.removeClassName("today");\n    }\n    \n    if ($R(0, 41).include(days_until = this.dateUtils.daysDistance(this.beginning_date.clearTime(), (today)))) {\n      this.today_cell = this.calendar_day_grid[days_until];\n      this.today_cell.addClassName("today");\n    }\n  },\n  \n  refreshMonthYear : function() {\n    var m = this.date.getMonth();\n    var y = this.date.getFullYear();\n    // set the month\n    if (this.options.month_year == "dropdowns") {\n      this.month_select.setValue(m, false);\n      var e = this.year_select.element; \n      if (this.flexibleYearRange() &&\n        (!(this.year_select.setValue(y, false)) || e.selectedIndex <= 1 || e.selectedIndex >= e.options.length - 2 )\n      ) {\n        this.populateYearRange();\n      }\n      this.year_select.setValue(y);\n      \n    } else {\n      this.month_year_label.update(this.dateUtils.months[m] + " " + y.toString());\n    }\n  },\n  \n  populateYearRange : function() {\n    this.year_select.populate(this.yearRange().toArray());\n  },\n  yearRange : function() {\n    if (!this.flexibleYearRange()) {\n      return $R(this.options.year_range[0], this.options.year_range[1]);\n    }\n    var y = this.date.getFullYear();\n    return $R(y - this.options.year_range, y + this.options.year_range);\n  },\n  flexibleYearRange : function() {\n    return (typeof(this.options.year_range) == "number");\n  },\n  validYear : function(year) {\n    if (this.flexibleYearRange()) {\n      return true;\n    } else {\n      return this.yearRange().include(year);\n    }\n  },\n  dayHover: function(element) {\n    var hover_date = new Date(this.selected_date);\n    hover_date.setFullYear(element.year, element.month, element.day);\n    this.updateFooter(hover_date.toFormattedString(this.options));\n  },\n  dayHoverOut: function(element) { this.updateFooter(); },\n  clearSelectedClass: function() {\n    if (this.selected_cell) {\n      this.selected_cell.removeClassName("selected");\n    }\n  },\n  setSelectedClass: function() {\n    if (!this.selection_made) return;\n    this.clearSelectedClass();\n    if ($R(0,42).include(days_until = this.dateUtils.daysDistance(this.beginning_date.clearTime(), this.selected_date.clearTime()))) {\n      this.selected_cell = this.calendar_day_grid[days_until];\n      this.selected_cell.addClassName("selected");\n    }\n  },\n  reparse: function() {\n    this.parseDate();\n    this.refresh();\n  },\n  dateString: function() {\n    return (this.selection_made) ? this.selected_date.toFormattedString( this.options ) : "&#160;";\n  },\n  parseDate: function() {\n    var value = this.target_element.readAttribute('alt').strip()\n    var default_time = this.options.default_time;\n    this.selection_made = (value != "" || default_time);\n    this.date = value=="" ? NaN : Date.parseISO_8601(value);\n    if (isNaN(this.date) && !default_time) {\n        this.date = new Date();\n    } else if (isNaN(this.date) && default_time) {\n        this.date = (Object.prototype.toString.apply(default_time) === '[object Function]') ? default_time() : default_time;\n    }\n    if (!this.validYear(this.date.getFullYear())) {\n      this.date.setYear((this.date.getFullYear() < this.yearRange().start) ? this.yearRange().start : this.yearRange().end);\n    }\n    this.selected_date = new Date(this.date);\n    this.use_time = /[0-9]:[0-9]{2}/.exec(value) ? true : false;\n    this.date.setDate(1);\n  },\n  updateFooter: function(text) {\n    this.footer_div.update(new Element('span').update(text || this.dateString()));\n  },\n  clearDate: function() {\n    if ((this.target_element.disabled || this.target_element.readOnly) && this.options.popup != "force") {\n      return false;\n    }\n    var last_value = this.target_element.value;\n    this.target_element.value = "";\n    this.target_element.writeAttribute('alt', '');\n    this.clearSelectedClass();\n    this.updateFooter('&#160;');\n    if (last_value!=this.target_element.value) {\n      this.callback("onchange");\n    }\n  },\n  updateSelectedDate:function(partsOrElement, via_click) {\n    var parts = $H(partsOrElement);\n    if ((this.target_element.disabled || this.target_element.readOnly) && this.options.popup != "force") {\n      return false;\n    }\n    if (parts.get("day")) {\n      var t_selected_date = this.selected_date, vdc = this.options.valid_date_check;\n      t_selected_date.setFullYear(parts.get("year"), parts.get("month"), parts.get("day"));\n      \n      if (vdc && ! vdc(t_selected_date.clearTime())) { return false; }\n      this.selected_date = t_selected_date;\n      this.selection_made = true;\n    }\n    if (!isNaN(parts.get("hour"))) {\n      this.selected_date.setHours(parts.get("hour"));\n    }\n    if (!isNaN(parts.get("minute"))) {\n      this.selected_date.setMinutes(this.alignMinutesToInterval(parts.get("minute")) );\n    }\n    if (parts.get("hour") === "" || parts.get("minute") === "") {\n      this.setUseTime(false);\n    } else if (!isNaN(parts.get("hour")) || !isNaN(parts.get("minute"))) {\n      this.setUseTime(true);\n    }\n    this.updateFooter();\n    this.setSelectedClass();\n    if (this.selection_made) {\n      this.updateValue();\n    }\n    if (via_click && this.closeOnClick()) {\n      this.close();\n    }\n    if (via_click && !this.options.embedded) {\n      if ((new Date() - this.last_click_at) < 333) {\n        this.close();\n      }\n      this.last_click_at = new Date();\n    }\n  },\n  closeOnClick: function() {\n    if (this.options.embedded) return false;\n    if (this.options.close_on_click === null) {\n      return (this.options.time) ? false : true\n    } else {\n      return (this.options.close_on_click)\n    }\n  },\n  navMonth: function(event, month) {\n    (target_date = new Date(this.date)).setMonth(typeof(month) == 'number' ? month : this.month_select.getValue());\n    return (this.navTo(target_date));\n  },\n  navYear: function(event, year) {\n    (target_date = new Date(this.date)).setYear(typeof(year) == 'number' ? year : this.year_select.getValue());\n    return (this.navTo(target_date));\n  },\n  navTo: function(date) {\n    if (!this.validYear(date.getFullYear())) return false;\n    this.date = date;\n    this.date.setDate(1);\n    this.refresh();\n    this.callback("after_navigate", this.date);\n    return true;\n  },\n  alignMinutesToInterval : function(value) {\n    var interval = this.options.minute_interval;\n    return Math.floor(value/interval) * interval;\n  },\n  setUseTime: function(turn_on) {\n    this.use_time = this.options.time && (this.options.time == "mixed" ? turn_on : true) // force use_time to true if time==true && time!="mixed"\n    if (this.use_time && this.selected_date) { // only set hour/minute if a date is already selected\n      var minute = this.alignMinutesToInterval(this.selected_date.getMinutes());\n      var hour = this.selected_date.getHours();\n      \n      this.hour_select.setValue(hour);\n      this.minute_select.setValue(minute)\n    } else if (this.options.time == "mixed") {\n      this.hour_select.setValue(""); this.minute_select.setValue("");\n    }\n  },\n  updateValue: function() {\n    var last_value = this.target_element.value;\n    this.target_element.value = this.dateString();\n    this.target_element.writeAttribute('alt', this.selected_date.toISO8601());\n    if (last_value!=this.target_element.value) {\n      this.callback("onchange");\n    }\n  },\n  today: function(now) {\n    var d = new Date(); this.date = new Date();\n    var o = $H({ day: d.getDate(), month: d.getMonth(), year: d.getFullYear(), hour: d.getHours(), minute: d.getMinutes()});\n    if ( ! now ) o = o.merge({hour: "", minute:""}); \n    this.updateSelectedDate(o, true);\n    this.refresh();\n  },\n  close: function() {\n    if (this.closed) return false;\n    this.callback("before_close");\n    this.target_element.calendar_date_select = null;\n    Event.stopObserving(document, "mousedown", this.closeIfClickedOut_handler);\n    Event.stopObserving(document, "keypress", this.keyPress_handler);\n    this.calendar_div.remove(); this.closed = true;\n    if (this.iframe) {\n      this.iframe.remove();\n    }\n    if (this.target_element.type != "hidden" && ! this.target_element.disabled) {\n      this.target_element.focus();\n    }\n    this.callback("after_close");\n  },\n  closeIfClickedOut: function(e) {\n    if (! ($(Event.element(e)).descendantOf && $(Event.element(e)).descendantOf(this.calendar_div)) ) this.close();\n  },\n  keyPress: function(e) {\n    if (e.keyCode==Event.KEY_ESC) this.close();\n  },\n  callback: function(name, param) {\n    if (this.options[name]) {\n      this.options[name].bind(this.target_element)(param);\n    }\n  }\n});
-1666382753955370540	code	var XWiki = (function (XWiki) {\n  var widgets = XWiki.widgets = XWiki.widgets || {};\n  widgets.DateTimePicker = Class.create({\n    selector : "input.xwiki-date",\n    options : {\n      year_range: 10,\n      time: false,\n      convert_to_UTC: false,\n      hour_format_12: false,\n      minute_interval: 1,\n      popup:'force'\n    },\n    initialize : function(options) {\n      this.options = Object.extend(Object.clone(this.options), options || {});\n      this.attachPickers();\n    },\n    attachPickers : function (container) {\n      var dateInputs = container && container.select(this.selector) || $$(this.selector);\n      dateInputs.invoke('observe', 'click', this.onClick.bindAsEventListener(this));\n      dateInputs.each(function(element) {\n        element.readOnly = true;\n      });\n    },\n    onClick : function(event) {\n      this.showCalendar(event.element());\n    },\n    showCalendar : function (target) {\n      var cOptions = Object.clone(this.options);\n      cOptions.time = cOptions.time || target.hasClassName('withTime');\n      cOptions.convert_to_UTC = cOptions.convert_to_UTC || target.hasClassName('withUTC');\n      cOptions.onchange = function () {\n        Event.fire(target, 'xwiki:date:changed');\n        Event.fire(target, 'xwiki:form:field-value-changed');\n      }\n      target.addClassName('initialized');\n      target._selector = new CalendarDateSelect(target, cOptions);\n    }\n  });\n  return XWiki;\n}(XWiki || {}));\n\ndocument.observe('xwiki:dom:loaded', function () {\n  var crtYear = new Date().getFullYear();\n  window.dateTimePicker = new XWiki.widgets.DateTimePicker({year_range: [crtYear - 99, crtYear + 1]});\n});
1564148237268091575	code	/**\n * Copyright 2007 Tim Down.\n * \n * Licensed under the Apache License, Version 2.0 (the "License");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n * \n *      http://www.apache.org/licenses/LICENSE-2.0\n * \n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an "AS IS" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License.\n */\n \n/**\n * simpledateformat.js\n *\n * A faithful JavaScript implementation of Java's SimpleDateFormat's format\n * method. All pattern layouts present in the Java implementation are\n * implemented here except for z, the text version of the date's time zone.\n *\n * Thanks to Ash Searle (http://hexmen.com/blog/) for his fix to my\n * misinterpretation of pattern letters h and k.\n * \n * See the official Sun documentation for the Java version:\n * http://java.sun.com/j2se/1.5.0/docs/api/java/text/SimpleDateFormat.html\n *\n * Author: Tim Down <tim@timdown.co.uk>\n * Last modified: 6/2/2007\n * Website: http://www.timdown.co.uk/code/simpledateformat.php\n */\n \n/* ------------------------------------------------------------------------- */\n\nvar SimpleDateFormat;\n\n(function() {\n\tfunction isUndefined(obj) {\n\t\treturn typeof obj == "undefined";\n\t}\n\n\tvar regex = /('[^']*')|(G+|y+|M+|w+|W+|D+|d+|F+|E+|a+|H+|k+|K+|h+|m+|s+|S+|Z+)|([a-zA-Z]+)|([^a-zA-Z']+)/;\n\tvar monthNames = Date.CultureInfo.monthNames;\n\tvar dayNames = Date.CultureInfo.dayNames;\n\tvar TEXT2 = 0, TEXT3 = 1, NUMBER = 2, YEAR = 3, MONTH = 4, TIMEZONE = 5;\n\tvar types = {\n\t\tG : TEXT2,\n\t\ty : YEAR,\n\t\tM : MONTH,\n\t\tw : NUMBER,\n\t\tW : NUMBER,\n\t\tD : NUMBER,\n\t\td : NUMBER,\n\t\tF : NUMBER,\n\t\tE : TEXT3,\n\t\ta : TEXT2,\n\t\tH : NUMBER,\n\t\tk : NUMBER,\n\t\tK : NUMBER,\n\t\th : NUMBER,\n\t\tm : NUMBER,\n\t\ts : NUMBER,\n\t\tS : NUMBER,\n\t\tZ : TIMEZONE\n\t};\n\tvar ONE_DAY = 24 * 60 * 60 * 1000;\n\tvar ONE_WEEK = 7 * ONE_DAY;\n\tvar DEFAULT_MINIMAL_DAYS_IN_FIRST_WEEK = 1;\n\n\tvar newDateAtMidnight = function(year, month, day) {\n\t\tvar d = new Date(year, month, day, 0, 0, 0);\n\t\td.setMilliseconds(0);\n\t\treturn d;\n\t}\n\n\tDate.prototype.getDifference = function(date) {\n\t\treturn this.getTime() - date.getTime();\n\t};\n\n\tDate.prototype.isBefore = function(d) {\n\t\treturn this.getTime() < d.getTime();\n\t};\n\n\tDate.prototype.getUTCTime = function() {\n\t\treturn Date.UTC(this.getFullYear(), this.getMonth(), this.getDate(), this.getHours(), this.getMinutes(),\n\t\t\t\tthis.getSeconds(), this.getMilliseconds());\n\t};\n\n\tDate.prototype.getTimeSince = function(d) {\n\t\treturn this.getUTCTime() - d.getUTCTime();\n\t};\n\n\tDate.prototype.getPreviousSunday = function() {\n\t\t// Using midday avoids any possibility of DST messing things up\n\t\tvar midday = new Date(this.getFullYear(), this.getMonth(), this.getDate(), 12, 0, 0);\n\t\tvar previousSunday = new Date(midday.getTime() - this.getDay() * ONE_DAY);\n\t\treturn newDateAtMidnight(previousSunday.getFullYear(), previousSunday.getMonth(),\n\t\t\t\tpreviousSunday.getDate());\n\t}\n\n\tDate.prototype.getWeekInYear = function(minimalDaysInFirstWeek) {\n\t\tif (isUndefined(this.minimalDaysInFirstWeek)) {\n\t\t\tminimalDaysInFirstWeek = DEFAULT_MINIMAL_DAYS_IN_FIRST_WEEK;\n\t\t}\n\t\tvar previousSunday = this.getPreviousSunday();\n\t\tvar startOfYear = newDateAtMidnight(this.getFullYear(), 0, 1);\n\t\tvar numberOfSundays = previousSunday.isBefore(startOfYear) ?\n\t\t\t0 : 1 + Math.floor(previousSunday.getTimeSince(startOfYear) / ONE_WEEK);\n\t\tvar numberOfDaysInFirstWeek =  7 - startOfYear.getDay();\n\t\tvar weekInYear = numberOfSundays;\n\t\tif (numberOfDaysInFirstWeek < minimalDaysInFirstWeek) {\n\t\t\tweekInYear--;\n\t\t}\n\t\treturn weekInYear;\n\t};\n\n\tDate.prototype.getWeekInMonth = function(minimalDaysInFirstWeek) {\n\t\tif (isUndefined(this.minimalDaysInFirstWeek)) {\n\t\t\tminimalDaysInFirstWeek = DEFAULT_MINIMAL_DAYS_IN_FIRST_WEEK;\n\t\t}\n\t\tvar previousSunday = this.getPreviousSunday();\n\t\tvar startOfMonth = newDateAtMidnight(this.getFullYear(), this.getMonth(), 1);\n\t\tvar numberOfSundays = previousSunday.isBefore(startOfMonth) ?\n\t\t\t0 : 1 + Math.floor((previousSunday.getTimeSince(startOfMonth)) / ONE_WEEK);\n\t\tvar numberOfDaysInFirstWeek =  7 - startOfMonth.getDay();\n\t\tvar weekInMonth = numberOfSundays;\n\t\tif (numberOfDaysInFirstWeek >= minimalDaysInFirstWeek) {\n\t\t\tweekInMonth++;\n\t\t}\n\t\treturn weekInMonth;\n\t};\n\n\tDate.prototype.getDayInYear = function() {\n\t\tvar startOfYear = newDateAtMidnight(this.getFullYear(), 0, 1);\n\t\treturn 1 + Math.floor(this.getTimeSince(startOfYear) / ONE_DAY);\n\t};\n\n\t/* ----------------------------------------------------------------- */\n\n\tSimpleDateFormat = function(formatString) {\n\t\tthis.formatString = formatString;\n\t};\n\n\t/**\n\t * Sets the minimum number of days in a week in order for that week to\n\t * be considered as belonging to a particular month or year\n\t */\n\tSimpleDateFormat.prototype.setMinimalDaysInFirstWeek = function(days) {\n\t\tthis.minimalDaysInFirstWeek = days;\n\t};\n\n\tSimpleDateFormat.prototype.getMinimalDaysInFirstWeek = function(days) {\n\t\treturn isUndefined(this.minimalDaysInFirstWeek)\t?\n\t\t\tDEFAULT_MINIMAL_DAYS_IN_FIRST_WEEK : this.minimalDaysInFirstWeek;\n\t};\n\n\tSimpleDateFormat.prototype.format = function(date) {\n    if (date == "Invalid Date") {\n      return "";\n    }\n    var formattedString = "";\n\t\tvar result;\n\t\tvar padWithZeroes = function(str, len) {\n\t\t\twhile (str.length < len) {\n\t\t\t\tstr = "0" + str;\n\t\t\t}\n\t\t\treturn str;\n\t\t};\n\n\t\tvar formatText = function(data, numberOfLetters, minLength) {\n\t\t\treturn (numberOfLetters >= 4) ? data : data.substr(0, Math.max(minLength, numberOfLetters));\n\t\t};\n\n\t\tvar formatNumber = function(data, numberOfLetters) {\n\t\t\tvar dataString = "" + data;\n\t\t\t// Pad with 0s as necessary\n\t\t\treturn padWithZeroes(dataString, numberOfLetters);\n\t\t};\n\n\t\tvar searchString = this.formatString;\n\t\twhile ((result = regex.exec(searchString))) {\n\t\t\tvar matchedString = result[0];\n\t\t\tvar quotedString = result[1];\n\t\t\tvar patternLetters = result[2];\n\t\t\tvar otherLetters = result[3];\n\t\t\tvar otherCharacters = result[4];\n\n\t\t\t// If the pattern matched is quoted string, output the text between the quotes\n\t\t\tif (quotedString) {\n\t\t\t\tif (quotedString == "''") {\n\t\t\t\t\tformattedString += "'";\n\t\t\t\t} else {\n\t\t\t\t\tformattedString += quotedString.substring(1, quotedString.length - 1);\n\t\t\t\t}\n\t\t\t} else if (otherLetters) {\n\t\t\t\t// Swallow non-pattern letters by doing nothing here\n\t\t\t} else if (otherCharacters) {\n\t\t\t\t// Simply output other characters\n\t\t\t\tformattedString += otherCharacters;\n\t\t\t} else if (patternLetters) {\n\t\t\t\t// Replace pattern letters\n\t\t\t\tvar patternLetter = patternLetters.charAt(0);\n\t\t\t\tvar numberOfLetters = patternLetters.length;\n\t\t\t\tvar rawData = "";\n\t\t\t\tswitch (patternLetter) {\n\t\t\t\t\tcase "G":\n\t\t\t\t\t\trawData = "AD";\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "y":\n\t\t\t\t\t\trawData = date.getFullYear();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "M":\n\t\t\t\t\t\trawData = date.getMonth();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "w":\n\t\t\t\t\t\trawData = date.getWeekInYear(this.getMinimalDaysInFirstWeek());\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "W":\n\t\t\t\t\t\trawData = date.getWeekInMonth(this.getMinimalDaysInFirstWeek());\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "D":\n\t\t\t\t\t\trawData = date.getDayInYear();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "d":\n\t\t\t\t\t\trawData = date.getDate();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "F":\n\t\t\t\t\t\trawData = 1 + Math.floor((date.getDate() - 1) / 7);\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "E":\n\t\t\t\t\t\trawData = dayNames[date.getDay()];\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "a":\n\t\t\t\t\t\trawData = (date.getHours() >= 12) ? "PM" : "AM";\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "H":\n\t\t\t\t\t\trawData = date.getHours();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "k":\n\t\t\t\t\t\trawData = date.getHours() || 24;\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "K":\n\t\t\t\t\t\trawData = date.getHours() % 12;\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "h":\n\t\t\t\t\t\trawData = (date.getHours() % 12) || 12;\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "m":\n\t\t\t\t\t\trawData = date.getMinutes();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "s":\n\t\t\t\t\t\trawData = date.getSeconds();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "S":\n\t\t\t\t\t\trawData = date.getMilliseconds();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "Z":\n\t\t\t\t\t\trawData = date.getTimezoneOffset(); // This is returns the number of minutes since GMT was this time.\n\t\t\t\t\t\tbreak;\n\t\t\t\t}\n\t\t\t\t// Format the raw data depending on the type\n\t\t\t\tswitch (types[patternLetter]) {\n\t\t\t\t\tcase TEXT2:\n\t\t\t\t\t\tformattedString += formatText(rawData, numberOfLetters, 2);\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase TEXT3:\n\t\t\t\t\t\tformattedString += formatText(rawData, numberOfLetters, 3);\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase NUMBER:\n\t\t\t\t\t\tformattedString += formatNumber(rawData, numberOfLetters);\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase YEAR:\n\t\t\t\t\t\tif (numberOfLetters <= 3) {\n\t\t\t\t\t\t\t// Output a 2-digit year\n\t\t\t\t\t\t\tvar dataString = "" + rawData;\n\t\t\t\t\t\t\tformattedString += dataString.substr(2, 2);\n\t\t\t\t\t\t} else {\n\t\t\t\t\t\t\tformattedString += formatNumber(rawData, numberOfLetters);\n\t\t\t\t\t\t}\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase MONTH:\n\t\t\t\t\t\tif (numberOfLetters >= 3) {\n\t\t\t\t\t\t\tformattedString += formatText(monthNames[rawData], numberOfLetters, numberOfLetters);\n\t\t\t\t\t\t} else {\n\t\t\t\t\t\t\t// NB. Months returned by getMonth are zero-based\n\t\t\t\t\t\t\tformattedString += formatNumber(rawData + 1, numberOfLetters);\n\t\t\t\t\t\t}\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase TIMEZONE:\n\t\t\t\t\t\tvar isPositive = (rawData > 0);\n\t\t\t\t\t\t// The following line looks like a mistake but isn't\n\t\t\t\t\t\t// because of the way getTimezoneOffset measures.\n\t\t\t\t\t\tvar prefix = isPositive ? "-" : "+";\n\t\t\t\t\t\tvar absData = Math.abs(rawData);\n\n\t\t\t\t\t\t// Hours\n\t\t\t\t\t\tvar hours = "" + Math.floor(absData / 60);\n\t\t\t\t\t\thours = padWithZeroes(hours, 2);\n\t\t\t\t\t\t// Minutes\n\t\t\t\t\t\tvar minutes = "" + (absData % 60);\n\t\t\t\t\t\tminutes = padWithZeroes(minutes, 2);\n\n\t\t\t\t\t\tformattedString += prefix + hours + minutes;\n\t\t\t\t\t\tbreak;\n\t\t\t\t}\n\t\t\t}\n\t\t\tsearchString = searchString.substr(result.index + result[0].length);\n\t\t}\n\t\treturn formattedString;\n\t};\n})();
2647651902204394801	code	#template('colorThemeInit.vm')\ninput.xwiki-date {\n  background-image: url("$xwiki.getSkinFile('icons/silk/date.png')");\n  background-position: right center;\n  background-repeat: no-repeat;\n  min-height: 16px;\n  cursor: pointer;\n}\n.calendar_date_select {\n  color:$theme.textColor;\n  border: $theme.pageContentBackgroundColor 1px solid;\n  box-shadow: 0 0 6px $theme.borderColor;\n  display:block;\n  width:13.929em;\n  z-index: 1000;\n}\n/* this is a fun ie6 hack to get drop downs to stay behind the popup window.  This should always be just underneath .calendar_date_select */\niframe.ie6_blocker {\n  position: absolute;\n  z-index: 999;\n}\n\n.calendar_date_select thead th {\n  font-weight:bold;\n  background-color: $theme.panelHeaderBackgroundColor;\n  border-top:1px solid $theme.borderColor;\n  border-bottom:2px solid $theme.borderColor;\n  color: $theme.panelHeaderTextColor !important;\n  text-align:center;\n}\n\n.calendar_date_select .cds_part {\n  clear: left;\n}\n.calendar_date_select .cds_buttons {\n  text-align:center;\n  padding:0.357em 0;\n  background-color: $theme.backgroundSecondaryColor;\n}\n\n.calendar_date_select .cds_footer {\n  color: $theme.panelHeaderTextColor;\n  background-color: $theme.panelHeaderBackgroundColor;\n  padding:0.214em;\n  font-size:0.857em;\n  text-align:center;\n}\n\n.calendar_date_select table {\n  margin: 0;\n  padding: 0;\n}\n\n\n.calendar_date_select .cds_header {\n  background-color: $theme.backgroundSecondaryColor;\n  border-bottom:2px solid $theme.borderColor;\n  text-align:center;\n}\n\n.calendar_date_select .cds_header span {\n  font-size:1.071em;\n  color: $theme.textColor;\n  font-weight: bold;\n}\n\n.calendar_date_select select { font-size:0.786em;}\n\n.calendar_date_select .cds_header a:hover {\n  color: $theme.textColor;\n}\n.calendar_date_select .cds_header a {\n  width:1.571em;\n  height:1.429em;\n  text-decoration: none;\n  font-size:1em;\n  color:$theme.textColor !important;\n}\n\n.calendar_date_select .cds_header a.prev {\n  float:left;\n}\n.calendar_date_select .cds_header a.next {\n  float:right;\n}\n.calendar_date_select .cds_header a.close {\n  float:right;\n  display:none;\n}\n\n*html div.calendar_date_select .cds_header select.month {\n  width:5.714em;\n}\n\n.calendar_date_select .cds_buttons a {\n  color: $theme.textColor;\n  font-size:0.643em;\n}\n.calendar_date_select td {\n  cursor: pointer;\n  font-size:0.857em;\n  width: 1.714em;\n  height: 1.5em;\n  text-align:center;\n  vertical-align: middle;\n  background-color: $theme.pageContentBackgroundColor;\n}\n.calendar_date_select td.weekend {\n  background-color: $theme.backgroundSecondaryColor;\n}\n\n.calendar_date_select td div {\n  color: $theme.linkColor;\n}\n.calendar_date_select td div.other {\n  color: $theme.textSecondaryColor;\n}\n.calendar_date_select td.selected div {\n  color:$theme.textColor;\n  font-weight:bold;\n}\n\n.calendar_date_select .cds_body table {\n  cell-padding: 0;\n  cell-spacing: 0;\n  width: 100%;\n}\n\n.calendar_date_select tbody td {\n  border-bottom: 1px solid $theme.borderColor;\n}\n.calendar_date_select td.selected {\n  background-color: $theme.pageBackgroundColor;\n}\n\n.calendar_date_select td:hover {\n  background-color: $theme.highlightColor;\n}\n\n.calendar_date_select td.today {\n  border: 2px solid $theme.linkColor;\n}\n\n.calendar_date_select td.disabled div {\n  color: $theme.textSecondaryColor;\n}\n\n\n.fieldWithErrors .calendar_date_select {\n  border: 2px solid $theme.notificationWarningColor;\n}\n\n*html .calendar_date_select .cds_top, *html .calendar_date_select .cds_bottom {\n  display:none;\n}\n
1509292906043566451	groups	XWiki.XWikiAllGroup
1509292906043566451	users	XWiki.XWikiGuest
-8465264687240425439	code	var XWiki = (function(XWiki) {\n  /** Handles the gallery buttons directly in the current page without reloading the window. */\n  XWiki.AttachmentPicker = Class.create({\n    /**\n     * Constructor.\n     *\n     * @param property the property being edited, as the containing div with class="attachment-picker"\n     * @param dialog the modal dialog where the gallery was loaded\n     */\n    initialize : function(property, dialog) {\n      this.property = property;\n      this.dialog = dialog;\n      this.gallery = dialog.dialogBox;\n      if (!this.property.down('input')) {\n        this.directSave = true;\n      }\n      this.defaultValue = '';\n      var defaultValueElement = this.gallery.down('.gallery_emptyChoice .gallery_attachmenttitle');\n      if (defaultValueElement) {\n        this.defaultValue = defaultValueElement.title;\n      }\n      this.defaultImageSource = '';\n      var defaultImage = this.gallery.down('.gallery_emptyChoice.gallery_image img');\n      if (defaultImage) {\n        this.defaultImageSource = defaultImage.src.replace(/\\?.*$/, '');\n      }\n      this.filterFormUpload();\n      this.addDeleteListeners();\n      this.addSelectListeners();\n      this.updateCurrentSelection();\n      this.addCloseListener();\n      var img = this.property.down('img');\n      if (img) {\n        img.observe('load', function() {img.up('div').removeClassName('hidden');});\n        img.observe('error', function() {img.up('div').addClassName('hidden');});\n      }\n    },\n    /**\n     * Catches the upload form submission and stops it if the selected file is not of the accepted types (or not selected at all),\n     * and saves the underlying form (if any) so that any unsaved changes won't be lost.\n     */\n    filterFormUpload : function() {\n      this.gallery.select('.uploadAttachment input.attachment').each(function(fileInput) {\n        fileInput.__allowedExtensions = fileInput.title.toLowerCase().replace(/\\s*[,|; ]\\s*/g, " ").strip();\n        if (fileInput.__allowedExtensions != '') {\n          fileInput.__allowedExtensions = fileInput.__allowedExtensions.split(" ");\n        } else {\n          fileInput.__allowedExtensions = false;\n        }\n      });\n      this.gallery.select(".uploadAttachment").invoke('observe', 'submit', function(event) {\n        event.stop();\n        var uploadForm = event.element();\n        var hasErrors = false;\n        uploadForm.select('input.attachment').each(function(fileInput) {\n          if (fileInput.value == '') {\n            new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.error.noFile')", 'error');\n            hasErrors = true;\n          } else if (fileInput.__allowedExtensions && fileInput.__allowedExtensions.indexOf(this.getFileExtension(fileInput.value)) == -1) {\n            new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.error.badExtension')", 'error');\n            hasErrors = true;\n          }\n        }.bind(this));\n        // No form submission by AJAX right now, because file uploads can't be done this way without HTML5, this is future work\n        // Save the document before submitting, since the current form data will be lost otherwise\n        if (!hasErrors) {\n          if (this.directSave) {\n            uploadForm.submit();\n          } else {\n            // FIXME This fails in HTML5, will deal with it later:\n            // this.property.down('input').value = uploadForm.down('.attachment').value;\n            // uploadForm.xredirect.value = window.location.pathname;\n            document.observe('xwiki:document:saved', function() {\n              new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.inProgress')", 'inprogress');\n              uploadForm.submit();\n            })\n            document.fire('xwiki:actions:save', {'continue': true, form: this.property.up('form')});\n          }\n        }\n      }.bindAsEventListener(this));\n    },\n    getFileExtension : function(filename) {\n      var fpath = filename.replace('\\\\', '/');\n      var pieces = fpath.split('/');\n      if (pieces.length == 0) {\n        return null;\n      }\n      var basename = pieces[pieces.length-1];\n      pieces = basename.split('.');\n      return pieces[pieces.length-1].toLowerCase();\n    },\n\n    /** Catch attachment delete requests. */\n    addDeleteListeners : function() {\n      this.gallery.select('.gallery_actions .tool.delete').invoke('observe', 'click', this.onDelete.bindAsEventListener(this));\n    },\n\n    /** Catch attachment selection requests. */\n    addSelectListeners : function() {\n      this.gallery.select('.gallery_actions .tool.select').invoke('observe', 'click', this.onSelect.bindAsEventListener(this));\n    },\n\n    /** AJAX deletion of attachments. */\n    onDelete : function(event) {\n      event.stop();\n      deleteTool = event.element();\n      if (!deleteTool.disabled) {\n        new XWiki.widgets.ConfirmedAjaxRequest(\n          deleteTool.readAttribute('href'),\n          {\n            onCreate : function() { deleteTool.disabled = true },\n            onSuccess : function() {\n              var attachmentBox = deleteTool.up('.gallery_attachmentbox');\n              if (attachmentBox) {\n                if (attachmentBox.hasClassName('current')) {\n                   this.updateAttachment(this.defaultValue, this.defaultImageSource);\n                   if (this.gallery.down('.gallery_emptyChoice')) {\n                     this.gallery.down('.gallery_emptyChoice').addClassName('current');\n                   }\n                   if (!this.directSave) {\n                     this.property.down('input').value = this.defaultValue;\n                   }\n                }\n                attachmentBox.remove();\n              }\n            }.bind(this),\n            onComplete : function() {\n              deleteTool.disabled = false;\n            }\n          },\n          {\n            confirmationText: "$services.localization.render('core.viewers.attachments.delete.confirm')",\n            progressMessageText : "$services.localization.render('core.viewers.attachments.delete.inProgress')",\n            successMessageText : "$services.localization.render('core.viewers.attachments.delete.done')",\n            failureMessageText : "$services.localization.render('core.viewers.attachments.delete.failed')"\n          }\n        );\n      }\n    },\n\n    /** Update the property with the selected value without reloading the page. */\n    onSelect : function(event) {\n      event.stop();\n      var targetElement = event.element();\n      var attachmentName = targetElement.up('.gallery_attachmentbox').down('.gallery_attachmenttitle').title;\n      var imageSource = targetElement.up('.gallery_attachmentbox.gallery_image');\n      if (imageSource) {\n        imageSource = imageSource.down('.gallery_attachmentframe img');\n        if (imageSource) {\n          imageSource = imageSource.src.replace(/\\?.*$/, '');\n        }\n      }\n      if (!imageSource) {\n        imageSource = '';\n      }\n      if (this.directSave) {\n        // save via ajax\n        if (!targetElement.disabled) {\n          new Ajax.Request(event.element().href, {\n            onCreate : function() {\n              targetElement.disabled = true;\n              targetElement._x_notif = new XWiki.widgets.Notification("$services.localization.render('core.widgets.confirmationBox.notification.inProgress')", 'inprogress');\n            },\n            onSuccess : function () {\n              targetElement._x_notif.hide();\n              // on success, update image\n              this.updateAttachment(attachmentName, imageSource);\n              this.dialog.closeDialog();\n            }.bindAsEventListener(this),\n            onFailure : function(response) {\n              var failureReason = response.statusText;\n              if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                failureReason = 'Server not responding';\n              }\n              if (targetElement._x_notif) {\n                targetElement._x_notif.replace(new XWiki.widgets.Notification("$services.localization.render('core.widgets.confirmationBox.notification.failed')" + failureReason, "error"));\n              } else {\n                new XWiki.widgets.Notification(this.interactionParameters.failureMessageText + failureReason, "error");\n              }\n            },\n            on1223 : function(response) {\n              response.request.options.onSuccess(response);\n            },\n            on0 : function(response) {\n              response.request.options.onFailure(response);\n            },\n            onComplete : function() {\n              targetElement.disabled = false;\n            }\n          });\n        }\n      } else {\n        this.updateAttachment(attachmentName, imageSource);\n        this.property.down('input').value = attachmentName;\n        this.dialog.closeDialog();\n      }\n    },\n\n    /** Update the property display. */\n    updateAttachment : function(attachmentName, imageSource) {\n      var img = this.property.down('img');\n      if (img) {\n        img.src = img.src.replace(/^[^\\?]+($|\\?)/, imageSource + "$1");\n        var link = img.up('a');\n        if (link) {\n          link.href = link.href.replace(/^[^\\?]+($|\\?)/, imageSource + "$1");\n        }\n      } else {\n        var displayed = this.property.down('.displayed');\n        if (displayed) {\n          displayed.update(attachmentName);\n          var link = displayed.up('a');\n          if (link) {\n            link.href = link.href.replace(/^[^\\?]+($|\\?)/, attachmentName + "$1");\n          }\n        }\n      }\n    },\n\n    /** Update the gallery to reflect the currently selected value. */\n    updateCurrentSelection : function() {\n      if (!this.directSave) {\n        var selectedName =  this.property.down('input').value;\n        var selectedElement = this.gallery.down('.gallery_attachmenttitle[title="' + selectedName.replace('"', '\\\\22 ') + '"]');\n        if (selectedElement) {\n          selectedElement = selectedElement.up('.gallery_attachmentbox');\n        } else {\n          selectedElement = this.gallery.down('.gallery_emptyChoice');\n        }\n        if (!selectedElement.hasClassName('current')) {\n          this.gallery.select('.gallery_attachmentbox.current .tool.select').invoke('removeClassName', 'hidden');\n          this.gallery.select('.gallery_attachmentbox.current').invoke('removeClassName', 'current');\n          selectedElement.addClassName('current');\n        }\n        selectedElement.down('.tool.select').addClassName('hidden');\n      } else {\n        this.gallery.down('.current .tool.select').addClassName('hidden');\n      }\n    },\n    addCloseListener : function () {\n      var closeButton = $('attachment-picker-close');\n      if (closeButton) {\n        closeButton.observe('click', function(event) {\n          event.stop();\n          this.dialog.closeDialog();\n        }.bindAsEventListener(this));\n      }\n    }\n  });\n\n  var loading = new Element('div', {'class' : 'imgcenter'}).update("<img src=\\"$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')\\"/>");\n  var dialog;\n\n  /* Hook onto the picker buttons so that the gallery is loaded via AJAX in a modal dialog. */\n  document.observe('xwiki:dom:loaded', function() {\n    $$('.attachment-picker-start').invoke('observe', 'click', function(event) {\n      event.stop();\n      var targetElement = event.element();\n      var url = targetElement.href;\n      if (url.indexOf('?') < 0) {\n        url += '?';\n      }\n      url += "&xpage=plain";\n      dialog = new XWiki.widgets.ModalPopup(\n        loading, {}, {\n          'verticalPosition' : 'top',\n          'removeOnClose' : true,\n          'title' : "$services.localization.render('xe.attachmentSelector.gallery.title')"\n        }\n      );\n      dialog.shortcuts.close.keys = [];\n      dialog.showDialog();\n      if (window.browser.isIE6x) {\n        dialog.dialog.down().setStyle({position: "absolute"});\n      } else {\n        dialog.dialog.down().setStyle({position: "fixed"});\n      }\n      dialog.dialog.setStyle({top: document.viewport.getScrollOffsets().top + "px", position: "absolute"});\n      dialog.dialogBox.setStyle({overflow: "hidden", width: "80%", margin: "0 10%"});\n      new Ajax.Updater(loading.up(), url, {\n        onComplete : function() {\n          // Play nice with the Lightbox widget\n          if (window.gallery_lb) {\n            window.gallery_lb.updateImageList();\n          }\n          // Manually convert the special rel values into target attributes for the newly inserted content (rel="_something" => target="something")\n          if (typeof (XWiki.fixLinksTargetAttribute) == 'function') {\n            // Trick the function into updating link targets in edit mode; normally the conversion only takes place in view mode\n            var __tmp = XWiki.contextaction;\n            XWiki.contextaction = 'view';\n            XWiki.fixLinksTargetAttribute(dialog.dialog);\n            XWiki.contextaction = __tmp;\n          }\n          new XWiki.AttachmentPicker(targetElement.up('.attachment-picker'), dialog);\n        }\n      });\n    });\n  });\n  return XWiki;\n}(XWiki || {}));
-7029750735844180463	code	XWiki.widgets.ModalPopup.prototype.showDialog = function(event) {\n  if (event) {\n    Event.stop(event);\n  }\n  // Only do this if the dialog is not already active.\n  if (!this.active) {\n    this.active = true;\n    if (!this.dialog) {\n      // The dialog wasn't loaded, create it.\n      this.createDialog();\n    }\n    // Start listening to keyboard events\n    this.attachKeyListeners();\n    // Display the dialog\n    this.dialog.show();\n  }\n};\nXWiki.widgets.ModalPopup.prototype.closeDialog = function(event) {\n  if (event) {\n    Event.stop(event);\n  }\n  // Call optional callback\n  this.options.onClose.call(this);\n  // Hide the dialog, without removing it from the DOM.\n  this.dialog.hide();\n  if (this.options.removeOnClose) {\n    this.dialog.remove();\n  }\n  // Stop the UI shortcuts (except the initial Show Dialog one).\n  this.detachKeyListeners();\n  // Re-enable the 'show' behavior.\n  this.active = false;\n}\n
-2772019619561421597	code	#template("colorThemeInit.vm")\n#set ($boxSize = 170)\n#set ($boxPadding = 5)\n#set ($boxMargin = 5)\n## Make the upload box two times as wide, so that the input fits nicely.\n## |                                                     |\n## |                         |  |                        |\n## | 1 width + 1 border + 2 margins + 1 border + 1 width |\n#set ($uploadBoxSize = $mathtool.add(2, $mathtool.add($mathtool.mul($boxSize, 2), $mathtool.mul($boxMargin, 2))))\n#set ($imgSize = $mathtool.sub($boxSize, $mathtool.mul($boxPadding, 2)))\n#set ($actionsHeight = 20)\n#set ($actionsWidth = 16)\n/*--------------------------------------------------------*/\n/* Attachment picker layout fixes                              */\n.attachment-picker p {\n  margin: 0;\n  padding : 0;\n}\n.attachment-picker picture {\n  max-width: 100%;\n}\n/*--------------------------------------------------------*/\n/* Gallery attachmentboxes                                     */\n.gallery p {\n  margin: 0;\n}\n.gallery_attachmentbox {\n  background: $theme.pageContentBackgroundColor;\n  border: 1px solid $theme.borderColor;\n  border-radius: 5px;\n  float: left;\n  margin: ${boxMargin}px;\n  overflow: hidden;\n  position: relative;\n  width: ${boxSize}px;\n}\n/* Broken IE6 box model, add the border width to the total width. */\n* html .gallery_attachmentbox {\n  width: ${mathtool.add($boxSize, 2)}px;\n}\n.gallery .current {\n  background-color: $theme.highlightColor;\n  border-width: 3px;\n  margin: 3px;\n}\n/* Broken IE6 box model, add the border width to the total width. */\n* html .gallery .current {\n  width: ${mathtool.add($boxSize, 6)}px;\n}\n.gallery .current .gallery_attachmenttitle {\n  font-weight: bold;\n}\n.gallery_attachmentbox:hover {\n  background-color: $theme.highlightColor;\n}\n\n.gallery_attachmenttitle {\n  background: $theme.backgroundSecondaryColor;\n  border-bottom: 1px dotted $theme.borderColor;\n  border-radius: 5px 5px 0px 0px;\n  font-size: 85%;\n  padding: 3px ${boxPadding}px;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n}\n.gallery_attachmenttitle p {\n  text-align: center;\n  overflow: hidden;\n}\n\n.gallery_attachmentframe {\n  padding: ${boxPadding}px;\n  height: ${imgSize}px;\n  overflow: hidden;\n  position: relative;\n}\n\n.gallery_attachmentframe a {\n  display: block;\n  text-align: center;\n}\n\n.gallery_attachmentbox img {\n  max-height: ${imgSize}px;\n  max-width: ${imgSize}px;\n  width: auto;\n}\n.gallery_attachmentframe ul {\n  list-style-type: none;\n  margin: 0;\n  padding: 0;\n}\n.gallery_attachmentframe li {\n  margin: 0.5em 0 0.5em 20px;\n  font-size: 0.8em;\n}\n.gallery_attachmentframe .mime {\n  margin: 0 2px 0 -20px;\n}\n.gallery_attachmentframe .mime img {\n  vertical-align: top;\n}\n.gallery_attachmentframe li .filename {\n  display: inline-block;\n  font-weight: bold;\n  width: $mathtool.sub($imgSize, 22)px;\n  word-wrap: break-word;\n}\n\n/* Actions */\n.gallery_actions {\n  width: auto;\n  position: absolute;\n  bottom: 0px;\n  right: ${boxPadding}px;\n}\n.gallery_actions .tool {\n  background: none no-repeat 50% transparent;\n  cursor: pointer;\n  display: block;\n  float: left;\n  height: ${actionsHeight}px;\n  padding: 0 !important;\n  overflow: hidden;\n  text-indent: -1000em;\n  opacity: 0.6;\n  width: ${actionsWidth}px;\n}\n.gallery_actions .tool:hover {\n  opacity: 1;\n}\n.gallery_actions .select {\n  background-image: url("$xwiki.getSkinFile('icons/silk/tick.png')");\n}\n.gallery_actions .delete {\n  background-image: url("$xwiki.getSkinFile('icons/silk/cross.png')");\n}\n.gallery_actions .view {\n  background-image: url("$xwiki.getSkinFile('icons/silk/link.png')");\n}\n.gallery_actions .download {\n  background-image: url("$xwiki.getSkinFile('icons/silk/arrow_down.png')");\n}\n/*--------------------------------------------------*/\n/* Upload form                                      */\n.gallery_upload {\n  ## Make this box twice as large as the others\n  width: ${uploadBoxSize}px;\n}\n* html .gallery_upload {\n  width: ${mathtool.add($uploadBoxSize, 2)}px;\n}\n.gallery_upload, .gallery_upload:hover {\n  background-color: $theme.backgroundSecondaryColor;\n}\n\n.gallery_upload .gallery_attachmenttitle {\n  background-position: 1px center;\n  background-image: url("$xwiki.getSkinFile('icons/silk/bullet_add.png')");\n  background-repeat: no-repeat;\n  padding-left: 16px;\n}\n.gallery_upload form {\n  height: ${imgSize}px;\n}\n.gallery_upload .xHint {\n  text-transform: none !important;\n}\n.gallery_upload input.attachment {\n  font-size: 83.3%;\n  margin: 0; /* Overrides viewers/attachments.css */\n  padding: 0; /* Overrides viewers/attachments.css */\n  width: ${mathtool.sub($uploadBoxSize, $mathtool.mul($boxPadding, 2))}px;\n}\n.gallery_upload .buttonwrapper {\n  margin: 0;\n}\n.gallery_upload .button {\n  font-size: .65em;\n}\n\n/* ------------------------------------ */\n/* Buttons on top:                      */\n.gallery_actions {\n  top: 1px;\n  right: 3px;\n}\n.gallery_attachmenttitle p {\n  text-align: left;\n  margin-right: ${mathtool.add($mathtool.mul(2, $actionsWidth), $boxPadding)}px;\n}\n/* ------------------------------------ */\n/* Cancel button                        */\n.gallery_buttons {\n  clear: both;\n  margin: ${boxMargin}px;\n}
8619938190454890474	code	{{velocity output="false"}}\n$xwiki.jsfx.use('js/xwiki/widgets/modalPopup.js', true)##\n$xwiki.ssfx.use('js/xwiki/widgets/modalPopup.css', true)##\n$xwiki.jsx.use($xcontext.macro.doc.fullName)##\n$xwiki.ssx.use($xcontext.macro.doc.fullName)##\n$xwiki.jsfx.use('js/scriptaculous/builder.js')##\n## Integrates the optional Lightbox widget (from http://extensions.xwiki.org/xwiki/bin/view/Extension/Lightbox+Application )\n#if ($xwiki.exists('XWiki.Lightbox'))\n  $xwiki.jsx.use('XWiki.Lightbox')\n  $xwiki.ssx.use('XWiki.Lightbox')\n#end\n\n##\n## Prepare parameters\n##\n## Keep track for when we have a target document\n#set ($hasTargetDoc = false)\n#set ($targetdoc = "$!{xcontext.macro.params.targetdocname}")\n###\n## Set the targetdoc we want to save to (default to current doc if not set)\n#if ("$!{targetdoc}" != '')\n  ## Check access on targetdocname\n  #set ($targetPermView = $xwiki.hasAccessLevel('view',$xcontext.user,${targetdoc}))\n  #set ($targetPermEdit = $xwiki.hasAccessLevel('edit',$xcontext.user,${targetdoc}))\n  #set ($targetdoc = $xwiki.getDocument($targetdoc) )\n  #set ($hasTargetDoc = true)\n#else\n  ## The user should have edit and view permissions for the current doc\n  #set ($targetPermView = true)\n  #set ($targetPermEdit = true)\n  #set($targetdoc = $doc)\n#end\n#set ($classname = "$!{xcontext.macro.params.classname}")\n#set ($property = "$!{xcontext.macro.params.property}")\n#set ($object = $mathtool.toInteger("$!{xcontext.macro.params.object}"))\n#if ("$!{object}" != $!{xcontext.macro.params.object})\n  #set ($object = ${doc.getObject($classname).number})\n  #if ("$!{object}" == '')\n    #set ($object = 0)\n  #end\n#end\n\n#if ("$!{xcontext.macro.params.displayImage}" == 'true' && $targetPermView)\n  #set ($displayImage = true)\n#else\n  #set ($displayImage = false)\n#end\n#if ($displayImage)\n  #set ($alt = "$!{xcontext.macro.params.alternateText}")\n  #set ($width = "$!{xcontext.macro.params.width}")\n  #set ($height = "$!{xcontext.macro.params.height}")\n  #set ($imageParams = '')\n  #if ("${width}" != '')\n    #set($imageParams = "$!{imageParams} width=${width}")\n  #end\n  #if ("${height}" != '')\n    #set ($imageParams = "$!{imageParams} height=${height}")\n  #end\n  #set ($imageParams = "$!{imageParams} alt='${alt}'")\n  #if ("$!{imageParams}" != '')\n    #set ($imageParams = "||${imageParams.trim()}")\n  #end\n#end\n#if ("$!{xcontext.macro.params.link}" == 'true')\n  #set ($link = true)\n#else\n  #set ($link = false)\n#end\n\n#set ($cssClass = "displayed x-attachment $!{xcontext.macro.params.cssClass}")\n#set ($defaultValue = "$!{xcontext.macro.params.defaultValue}")\n#if ($defaultValue != '')\n  #set ($defaultReference = $services.model.resolveAttachment($defaultValue))\n#else\n  #set ($defaultReference = false)\n#end\n#set ($filter = ${xcontext.macro.params.filter})\n\n#set ($buttontext = "$!{xcontext.macro.params.buttontext}")\n#if ($buttontext == '')\n  #set ($buttontext = $services.localization.render('xe.attachmentSelector.selectFile'))\n#end\n\n#set ($savemode = "$!{xcontext.macro.params.savemode}")\n#if ($savemode != 'direct')\n  #set ($savemode = 'form')\n#end\n\n#set ($propValue = "$!{doc.getObject($classname, $object).getProperty($property).value}")\n##\n\n#macro (attachmentPicker_displayAttachment $name $displayImage $withLink $forceElement)\n  #set ($attachment = $targetdoc.getAttachment("$!{name}"))\n  #if ("$!{name}" != '' && "$!{attachment}" != '')\n    #set ($attachmentRef = $services.model.createAttachmentReference(${targetdoc.documentReference}, ${name}))\n    #set ($attachmentName = $name)\n  #else\n    #set ($attachmentRef = $defaultReference)\n    #if ($attachmentRef)\n      #set ($docReference = $attachmentRef.documentReference)\n    #else\n      #set ($docReference = $targetdoc.documentReference)\n    #end\n    #set ($attachmentName = $attachmentRef.name)\n    #set ($attachment = $xwiki.getDocument($docReference).getAttachment($attachmentName))\n    #if (!$attachment)\n      #set ($withLink = false)\n    #end\n  #end\n  #if ($attachmentRef)\n    #set ($attachmentResource = $services.model.serialize($attachmentRef, 'local'))\n  #else\n    #set ($attachmentResource = '')\n  #end\n  #if ($displayImage)\n    (% class="$!{cssClass}#if (!$attachment) hidden#end" %)(((#if ("$!{attachmentResource}" != '' || $forceElement)#if($withLink)[[#end[[image:${attachmentResource}$!{imageParams}]]#if($withLink)>>attach:${attachmentResource}||rel=lightbox]]#{end}#end)))##\n  #else\n    (% class="$!{cssClass}" %)#if ("$!{attachmentResource}" != '' || $forceElement)#if ($withLink)[[attach:${attachmentResource}||rel=__blank]]#{else}(% class="displayed" %)#if($targetPermView)$!{attachmentName}#{else}Access Denied#{end}(% %)#{end}#end(%%)##\n  #end\n#end\n\n## Display the "Choose an attachment" button if they can:\n##  1. Edit the current page\n##  2. View the target attachment page. (can be the same page)\n#macro (attachmentPicker_displayButton)\n  #if ($hasEdit && $targetPermView)(% class="buttonwrapper" %)[[${buttontext}>>${xcontext.macro.doc.fullName}||queryString="#if ($hasTargetDoc)targetdocname=${escapetool.url($targetdoc.fullName)}&#{end}docname=${escapetool.url($doc.fullName)}&classname=${classname}&property=${property}&object=${object}&savemode=${savemode}&defaultValue=$escapetool.url($defaultValue)&filter=$!{filter}&displayImage=${displayImage}" class="attachment-picker-start button" title="${buttontext}"]](%%)#end\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ("${savemode}" == 'direct')\n  (% class="attachment-picker" %)(((#attachmentPicker_displayAttachment($propValue $displayImage $link true) #attachmentPicker_displayButton())))\n#elseif ($xcontext.action == 'inline' || $xcontext.action == 'edit')\n  (% class="attachment-picker" %)(((##\n    #attachmentPicker_displayAttachment($propValue $displayImage false true) #attachmentPicker_displayButton()##\n    {{html}}<input type="hidden" name="${classname}_${object}_${property}" value="${propValue}"/>{{/html}}##\n  )))\n#else\n  #attachmentPicker_displayAttachment($propValue $displayImage $link false)\n#end\n{{/velocity}}
5609995998568979095	description	The identifier (number) of the object for which the property is displayed by this picker. If missing, the first instance of the class given by the parameter classname found in the document will be considered.
-4040532020646090681	description	A CSS class for the element surrounding the property value.
-8170685701810359526	description	States how the property is updated. Accepted values: "form" (default)  meaning that the selected value is stored in an input that will be saved via an external form; "direct" meas that the picker is responsible with updating the property value.
9099341308356375630	description	Text of the button that triggers the picker. Defaults to $services.localization.render('xe.attachmentSelector.selectFile').
-7637459130189909810	description	What attachment is displayed in view mode if the property is empty. Should either be empty or in the form of a wiki attachment reference (e.g. "attachment.txt", "Another.Document@attachment.txt").
-6274205128352087333	description	Comma separated list of file extensions accepted by the property (to become a comma separated list of mimetypes when XWiki will use HTML5). All files are accepted if this parameter is empty.
3727900940027351315	description	States whether images are displayed or just their name is printed like for other attachments. Possible values: true, false (default).
3817777789228802913	description	The width of the displayed image, only taken into account if displayImage=true.
-7149058994813736232	description	The height of the displayed image, only taken into account if displayImage=true
2954648587304094412	description	The alternate text of the displayed image, only taken into account if displayImage=true
-3065312122997211821	description	States whether a link to the attachment is associated in view mode with the displayed attachment name/image. Possible values: true, false (default).
-8222245676634688845	description	The target document name to save/list attachments from
-8418460622719868029	content	{{velocity}}\n#set($uixs = $services.uix.getExtensions("org.phenotips.header.top:${doc.space}"))\n#if ($uixs.size() > 0)\n  #foreach ($uix in $uixs)\n    {{html clean=false}}$services.rendering.render($uix.execute(), 'xhtml/1.0'){{/html}}\n  #end\n#else\n  {{html clean=false}}#template("menuview.vm"){{/html}}\n#end
-8418460622719868029	parameters	
-3302589865837533320	content	{{velocity}}\n#set($uixs = $services.uix.getExtensions("org.phenotips.header.bottom:${doc.space}"))\n#if ($uixs.size() > 0)\n  #foreach ($uix in $uixs)\n    {{html clean=false}}$services.rendering.render($uix.execute(), 'xhtml/1.0'){{/html}}\n  #end\n#end\n{{/velocity}}
-3302589865837533320	parameters	
-1116793825665508075	content	{{velocity}}\n#set($uixs = $services.uix.getExtensions("org.phenotips.main.top:${doc.space}"))\n#if ($uixs.size() > 0)\n  #foreach ($uix in $uixs)\n    {{html clean=false}}$services.rendering.render($uix.execute(), 'xhtml/1.0'){{/html}}\n  #end\n#else\n  #if($displayContentMenu)\n    #if ($xcontext.action == 'edit')\n      #set ($menuName = 'editmenu')\n    #else\n      #set ($menuName = 'contentmenu')\n    #end\n    #set ($menuTemplate = "${menuName}.vm")\n    #if ("$!editor" == 'inline')\n      #set ($menuTemplate = 'contentmenu.vm')\n    #end\n    {{html clean=false}}\n    <div id="${menuName}" class="actionmenu">\n      #template($menuTemplate)\n    </div>\n    {{/html}}\n  #end\n#end\n{{/velocity}}
-1116793825665508075	parameters	
835703195384632547	content	{{velocity}}\n#set($uixs = $services.uix.getExtensions("org.phenotips.content.top:${doc.space}"))\n#if ($uixs.size() > 0)\n  #foreach ($uix in $uixs)\n    {{html clean=false}}$services.rendering.render($uix.execute(), 'xhtml/1.0'){{/html}}\n\n  #end\n#else\n  {{html clean=false}}\n  #template("hierarchy.vm")\n  #if (($editor == 'wiki' == 'inline' || $editor == 'wiki' || $editor == 'wysiwyg') && !$request.section)\n    #template('editmeta.vm')\n  #end\n  {{/html}}\n#end\n{{/velocity}}
835703195384632547	parameters	
1221012321705694459	groups	xwiki:XWiki.XWikiAllGroup,XWiki.XWikiAllGroup
1221012321705694459	users	XWiki.XWikiGuest
-2399305200795184451	code	document.observe('xwiki:dom:loaded', function() {\n  var tocLinkClicked = function(event) {\n    //event.stop();\n    var trigger = event.findElement('a');\n    var targetName = trigger && trigger.getAttribute('href');\n    var target = targetName && $(targetName.substring(1));\n    var parent = target && (target.up('.collapsible-group') || target.up('.chapter'));\n    if (parent && parent.hasClassName('collapsed')) {\n       parent.removeClassName('collapsed');\n       if (parent.down('.expand-tool')) {\n         parent.down('.expand-tool').update('▼');\n       }\n       if (parent.up('.chapter')) {\n         parent.up('.chapter').removeClassName('collapsed');\n       }\n       //parent.scrollTo();\n    } else {\n       //target.scrollTo();\n    }\n  };\n\n  var tocElement = $('table-of-contents')\n  var tocMenuEntry = $('toc-entry');\n  if (!tocElement || !tocMenuEntry || !tocElement.down('ul')) {\n    tocMenuEntry && tocMenuEntry.up('li').remove();\n    return;\n  }\n  tocMenuEntry = tocMenuEntry.up('li');\n  tocMenuEntry.down('ul').replace(tocElement.down('ul'));\n\n  tocMenuEntry.down('ul').select('a').invoke('observe', 'click', tocLinkClicked);\n});
823381528089157115	code	document.observe('xwiki:dom:loaded', function() {\n  var deleteTool = $('prActionDelete');\n  if (!deleteTool) {\n    return false;\n  }\n  deleteTool.observe('click', function(clickEvent) {\n    clickEvent.stop();\n    var item = clickEvent.element();\n    item.blur();\n    if (item.disabled) {\n      // Do nothing if the button was already clicked and it's waiting for a response from the server.\n      return;\n    } else {\n      var url = item.readAttribute('href') + "?confirm=1&form_token=" + $$('meta[name=form_token]')[0].content + (Prototype.Browser.Opera ? "" : "&ajax=1");\n      new XWiki.widgets.ConfirmedAjaxRequest(\n        /* Ajax request URL */\n        url,\n        /* Ajax request parameters */\n        {\n          onCreate : function() {\n            // Disable the button, to avoid a cascade of clicks from impatient users\n            item.disabled = true;\n          },\n          onSuccess : function() {\n            // Go to space WebHome\n            window.location = new XWiki.Document('WebHome', XWiki.Document.currentSpace).getURL('view');\n          },\n          onFailure : function() {\n            // Better luck next time!\n            item.disabled = false;\n          }\n        },\n        /* Interaction parameters */\n        {\n          confirmationText: "$services.localization.render('core.recyclebin.confirm')"\n        }\n      );\n    }\n  });\n});
-5343433619853380891	code	if (browser.isIE && browser.versionMajor < 9) {\n  new XWiki.widgets.ModalPopup("${services.localization.render('phenotips.skin.incompatibleBrowserWarning')}", {}, {"title": "${services.localization.render('phenotips.skin.incompatibleBrowserWarning.title')}"}).showDialog();\n}
-5911728936807024833	code	#template('colorThemeInit.vm')\n\n## Remove this after it's implemented by default in the base skin\n*::-moz-focus-inner {\n  padding: 0;\n  border: 0\n}\n\n#body {\n  font-family: Arial,Verdana,sans-serif;\n}\n.edit_section {\n  display: none !important;\n}\n#headerglobal {\n  position: relative;\n}\n#company h1 a {\n  color: $theme.pageBackgroundColor !important;\n  text-decoration: none !important;\n}\n#company h1 {\n  border: 0 none;\n  color: $theme.pageBackgroundColor;\n  font-size: 1.2em;\n  margin: 0 20px 0;\n  position: absolute;\n  right: 5%;\n  text-shadow: 0 0 6px #777;\n  text-transform: uppercase;\n}\n.xdocCreation {\n  float: right;\n  width: 48%;\n}\n#document-title h1 {\n  margin: 0 0 0.5em;\n  padding: 5px 0 0;\n}\n#mainContentArea, #mainEditArea {\n  overflow: visible;\n  padding: 10px;\n  position: relative;\n}\n\n.actionmenu {\n  height: 1.8em;\n}\n#phenotips-mainmenu, #phenotips-globalTools {\n  background-color: rgba(255, 255, 255, 0.1);\n  box-shadow: 0 0 1px rgba(0, 0, 0, 0.2);\n  color: $theme.menuLinkColor;\n  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.5)\n}\n#phenotips-mainmenu .topmenuentry {\n  background-image: none;\n  white-space: nowrap;\n}\n#phenotips-mainmenu a, #phenotips-globalTools a {\n  display: inline-block;\n  float: none;\n}\n#phenotips-globalTools .search input {\n  height: 1.7em;\n  margin-left: 0;\n  margin-right: 5px;\n  margin-top: 0.05em;\n  min-height: 22px;\n  padding: 0 3px;\n  width: 20em;\n}\n\n#phenotips-globalTools label {\n  margin-left: 2em;\n  white-space: nowrap;\n}\n\n#create-patient-record {\n  box-sizing: content-box;\n  background: transparent;\n  border: 0 none;\n  color: $theme.menuLinkColor;\n  cursor: pointer;\n  display: inline-block;\n  font: 700 0.8em/1.8em sans-serif;\n  height: 1.8em;\n  padding: 2px 0 0;\n  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.5);\n  text-transform: uppercase;\n  white-space: nowrap;\n  width: auto;\n}\n#create-patient-record:hover {\n  text-decoration: underline;\n}\n#phenotips-globalTools .search .icon-search, #phenotips-globalTools .search .fa-search {\n  color: $theme.menuLinkColor;\n  display: inline-block;\n  margin-right: 5px;\n}\n\n.bottombuttons {\n  background: #F9F9F9;\n  border: 1px solid #FFFFFF;\n  bottom: 0;\n  box-shadow: 0 0 8px rgba(0, 0, 0, 0.2);\n  left: 0;\n  margin: 0 25px !important;\n  padding: 0.5em 10px;\n  position: fixed;\n  right: 0;\n  z-index: 3;\n}\n.bottombuttons input[name="action_cancel"] {\n  float: right;\n}\n\ninput.button:disabled, .buttonwrapper button:disabled, input.button:disabled:hover, .buttonwrapper button:disabled:hover {\n    background-image: none;\n}\n\n.add-data-button,\n.buttonwrapper a.add-data-button:link,\n.buttonwrapper a.add-data-button:visited,\n.buttonwrapper a.add-data-button:active {\n  background-color: $theme.buttonPrimaryBackgroundColor;\n  border-radius: 4px;\n  box-shadow: 0 0 6px $theme.borderColor;\n  color: $theme.buttonPrimaryTextColor;\n  display: inline-block;\n  font: normal normal 700 .8em/140% "Helvetica",sans-serif;\n  padding: .3em .2em .3em  2.2em;\n  position: relative;\n  text-transform: uppercase;\n  white-space: nowrap;\n}\n.add-data-button:hover,\n.buttonwrapper a.add-data-button:hover {\n  box-shadow: 0 0 6px $theme.linkColor;\n}\n.general-tools {\n  float: right;\n  margin: -1.6em 3px 0;\n  padding: 3px 0;\n  position: relative;\n}\n.general-tools label {\n  color: $theme.linkColor;\n  cursor: pointer;\n}\n.general-tools label:hover {\n  text-decoration: underline;\n}\n#patient-creation-form {\n  position: relative;\n}\n.xwiki-livetable-pagination #patient-creation-form {\n  float: left;\n}\nlabel.create-button-label, .add-data-button:before {\n  color: $theme.buttonPrimaryTextColor;\n  cursor: pointer;\n  display: inline-block;\n  font-size: 1.25em;\n  font-weight: bold;\n  height: .8em;\n  left: .4em;\n  line-height: .9em;\n  position: absolute;\n  text-align: center;\n  text-shadow: none;\n  top: .24em;\n  vertical-align: middle;\n  width: .8em !important;\n  z-index: 2;\n}\n\nthead.xwiki-livetable-display-header td.xwiki-livetable-display-header-filter input, thead.xwiki-livetable-display-header td.xwiki-livetable-display-header-filter select {\n  padding: .3em !important;\n}\n\ninput[type=text], input[type=password], textarea {\n  border-color: $theme.borderColor;\n  border-radius: 4px;\n  box-shadow: 0 1px 2px rgba(0,0,0,.4) inset !important;\n  width: 100%;\n}\ntextarea {\n  box-sizing: border-box;\n  width: 100%;\n}\ninput[type=text]:focus, input[type=password]:focus, textarea:focus {\n  border-color: $theme.linkColor;\n}\n\nbody .xwiki-livetable-topfilters-container, body .xwiki-livetable-tagcloud-container {\n  background-color: $theme.backgroundSecondaryColor;\n  border-color: $theme.buttonPrimaryBackgroundColor;\n}\nbody .xwiki-livetable-topfilters-tip .tippointer, body .xwiki-livetable-tagcloud-tip .tippointer {\n  border-top-color: $theme.buttonPrimaryBackgroundColor;\n}\nbody .xwiki-livetable-topfilters-tip .tippointer div, body .xwiki-livetable-tagcloud-tip .tippointer div {\n  border-top-color: $theme.backgroundSecondaryColor;\n  top: -22px;\n}\nbody .xwiki-livetable-topfilters-container .value-cloud-tools a {\n  color: $theme.textColor;\n  font-weight: bold;\n}\n#patients.xwiki-livetable .actions {\n  text-align: right;\n}\nh1:target, h2:target, h3:target {\n  background-color: $theme.highlightColor;\n}\n#globallinks {\n  display: none;\n}\n\n## Disable gradients\n#mainmenu {\n  background-image: none;\n  box-shadow: none;\n}\n#mainmenu * {\n  text-shadow: none;\n}\n.editbody #footerglobal {\n  margin-bottom: 4em;\n}\n.main {\n  padding-bottom: 0;\n}\n.gadget label[for=create-patient-record] {\n  color: $theme.linkColor;\n  cursor: pointer;\n  float: right;\n}\n#xdocFooter {\n  display: none;\n}
-7303074617795149086	groups	XWiki.XWikiAllGroup
-7303074617795149086	users	XWiki.XWikiGuest
-6385201033440160936	edit.vm	
-6385201033440160936	footer.vm	
-6385201033440160936	header.vm	
-6385201033440160936	style.css	
-6385201033440160936	view.vm	
-6385201033440160936	viewheader.vm	
-5093485818302672279	groups	XWiki.XWikiAllGroup
-5093485818302672279	users	XWiki.XWikiGuest
4573373488719209179	edit.vm	
-7409454071592697738	code	document.observe('xwiki:dom:loaded', function() {\n  // Only do this in edit mode\n  if (XWiki.contextaction != 'edit') { return; }\n  var form = $('edit') || $('inline');\n  if (!form) {return; }\n  var formToken = form.form_token && form.form_token.value;\n\n  // What the form initially looked like\n  var originalFormData = form.serialize();\n\n  // Warn users when they navigate away from this page without submitting the form, if the data changed\n  /*window.onbeforeunload = function(uEvent) {\n    if (originalFormData != form.serialize()) {\n      return "$services.localization.render('phenotips.contentTopMenu.unsavedDataWarning')";\n    }\n  };\n  form.observe('submit', function(event) {\n     window.onbeforeunload = function() {};\n  });*/\n\n  // Obtain the number of the loaded version\n  var originalVersion = ($$("meta[name=version]").length > 0) ? $$("meta[name=version]")[0].content : false;\n\n  // What could happen on cancel:\n  var __getRollbackURL = function (version) {\n    return XWiki.currentDocument.getURL('rollback', 'rev=' + version + "&confirm=1&form_token=" + formToken);\n  }\n  var deleteURL =  XWiki.currentDocument.getURL('delete', "confirm=1&form_token=" + formToken);\n  var NEW_DOCUMENT = 'none';\n\n  if (originalVersion) {\n     var cancelURL = __getRollbackURL(originalVersion);\n  }\n\n  var versionProviderURL = XWiki.currentDocument.getRestURL();\n  var __getDocumentVersionFromREST = function(xml) {\n    var version = xml.getElementsByTagName('version');\n    if (version.length > 0) {\n       return version[0].firstChild.nodeValue;\n    }\n    return false;\n  };\n\n  // In background, check if the document actually exists; if not, it should be deleted on cancel\n  // (non-existing documents have 1.1 in their meta version)\n  new Ajax.Request(\n            versionProviderURL, {\n              method: 'get',\n              onSuccess : function (response) {\n                // only update if the information was unavailable in the meta section\n                if (!originalVersion && (originalVersion = __getDocumentVersionFromREST(response.responseXML))) {\n                   cancelURL = __getRollbackURL(originalVersion);\n                }\n              },\n              onFailure : function (response) {\n                if (response.statusCode == 404) {\n                   //Document missing\n                   originalVersion = NEW_DOCUMENT;\n                   cancelURL = deleteURL;\n                }\n              }.bind(this)\n            }\n      );\n\n  //form.select('input[name=action_cancel]').invoke('stopOserving', 'click');\n  form.select('input[name=action_cancel]').invoke('observe', 'click', function (event) {\n    // Continue with the default behavior if the cancel action is being forced after form version verification\n    // or if at this point we still have no information regarding the original document version\n    if (form._isVersionVerified || !originalVersion || !cancelURL) { return; }\n    Event.stop(event);\n    // Find the current version\n    new Ajax.Request(\n            versionProviderURL,\n            {\n              method: 'get',\n              onCreate : function() {\n                form._isVersionVerified = true;\n              },\n              onSuccess : function(response) {\n                var crtVersion = __getDocumentVersionFromREST(response.responseXML);\n                window.onbeforeunload = function() {};\n                if (crtVersion && crtVersion != originalVersion) {\n                  // Go to the original state (i.e. rollback or delete)\n                  window.location = cancelURL;\n                } else {\n                  //just cancel\n                  event.element().click();\n                }\n              }.bind(this),\n              onFailure : function (response) {\n                window.onbeforeunload = function() {};\n                // Fail silently\n                event.element().click();\n              }.bind(this),\n              on0 : function (response) {\n                response.request.options.onFailure(response);\n              }\n            }\n      );\n  });\n});
-5454183358517115625	code	(function(){\n  var init = function(event) {\n    var docContent = $('mainContentArea');\n    var docActions = $('patient-record-actions');\n    if (docContent && docActions) {\n      var daSticky  = new StickyBox(docActions, docContent, {offsetTop : 0});\n    }\n  };\n\n  (XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);\n})();
-7916399137393189490	code	document.observe("xwiki:dom:loaded", function () {\n  var exportLinks = $$(' .export-link');\n  exportLinks.invoke('observe', 'click', function (event) {\n    event.stop();\n    if (typeof event.findElement('.editbody') !== "undefined") {\n      // We are in edit mode. Ask whether to save first\n      new XWiki.widgets.ConfirmationBox(\n        {\n          onYes : function() {\n            var myWindow = window.open("","_blank");\n            var exportAfterSave = function() {\n              myWindow.location = event.findElement().href;\n              document.stopObserving('xwiki:document:saved', exportAfterSave);\n            };\n            document.observe('xwiki:document:saved', exportAfterSave);\n            document.fire('xwiki:actions:save', {'continue' : true, 'form' : event.findElement('form')});\n          },\n          onNo : function() {\n            window.open(event.findElement().href,"_blank");\n          }\n        },\n        /* Interaction parameters */\n        { confirmationText: "$services.localization.render('phenotips.contentTopMenu.saveBeforeExport')", showCancelButton: true }\n      );\n    } else {\n      // View mode\n      window.open(event.findElement().href,"_blank");\n    }\n  });\n});
7601018475583364651	code	#template("colorThemeInit.vm")\n\n#patient-record-actions {\n  float: right;\n  margin: 0;\n  position: absolute;\n  right: 0px;\n  top: 0;\n  z-index: 3000;\n}\n\n#patient-record-actions .menu.menu-horizontal {\n  border: 0 none;\n  font-size: 1em;\n  height: 1.833em;\n  padding: 0 0 0 10px;\n  text-shadow: none;\n}\n#patient-record-actions .menu.menu-horizontal a:hover {\n  text-decoration: none !important;\n  text-shadow: 0 0 2px $theme.highlightColor;\n}\n\n#patient-record-actions .menu-horizontal > ul > li {\n  padding: 0.2em 1.3em 0.2em 0.3em;\n}\n#patient-record-actions .menu-horizontal > ul {\n  white-space: nowrap;\n}\n#patient-record-actions .menu-horizontal ul ul {\n  white-space: normal;\n}\n.menu-vertical li:empty, .menu-horizontal li li:empty {\n  min-height: 1px !important;\n}\n\n#patient-record-actions .menu-horizontal input {\n  background: transparent !important;\n  /* Buttons without a border in IE don't trigger the :hover state */\n  border: 1px solid transparent !important;\n  color: inherit !important;\n  margin: 0 !important;\n  padding: 0 !important;\n}\n#patient-record-actions .menu-horizontal label:hover, #patient-record-actions .menu-horizontal label:hover input {\n  cursor: pointer;\n  text-shadow: 0 0 2px $theme.highlightColor;\n}
2707485211712707399	code	#template('colorThemeInit.vm')\n\n/* General Styles */\n\n.menu-horizontal ul {\n  list-style-type: none;\n  margin: auto;\n}\n\n.menu-horizontal ul * {\n  line-height: normal;\n}\n\n.menu-horizontal li {\n  cursor: default;\n  line-height: 16px;\n  min-height: 16px;\n}\n\n.menu-horizontal img {\n  vertical-align: middle;\n}\n\n/* Horizontal separator */\n.menu-horizontal li li:empty {\n  border-top: 1px solid $theme.borderColor;\n  line-height: 1px;\n  min-height: auto;\n  padding: 0;\n}\n\n/* Horizontal Menu */\n\n.menu.menu-horizontal {\n  background-color: $theme.menuBackgroundColor;\n  #css3_backgroundLinearGradient({\n    'to': 'bottom',\n    'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n  color: $theme.menuLinkColor;\n  font-size: .85em;\n  height: 2em;\n  padding-left: 25px;\n}\n\n.menu-horizontal li {\n  padding: 0.2em 1.3em;\n}\n\n.menu-horizontal li li:empty {\n  border-top: 1px solid $theme.textSecondaryColor;\n  margin: .5em 1em;\n}\n\n/* Vertical separator */\n.menu-horizontal > ul > li:empty {\n  border-left: 1px solid $theme.textSecondaryColor;\n  margin: 0 .5em;\n  padding: 0;\n  vertical-align: middle;\n}\n\n.menu-horizontal li a, .menu-horizontal li a:visited {\n  color: inherit;\n}\n\n.menu-horizontal > ul > li {\n  display: inline-block;\n}\n\n.menu-horizontal > ul > li > .xDropdown:after {\n  content: '\\25BC';\n  font-size: .8em;\n  margin-left: .5em;\n}\n\n.menu-horizontal > ul ul {\n  background: none repeat scroll 0 0 $theme.menuBackgroundColor;\n  border-radius: 0 0 .8em .8em;\n  box-shadow: 0 1px 1px $theme.borderColor;\n  display: none;\n  margin: 0.2em 0 0 -1.3em;\n  padding-bottom: .3em;\n  position: absolute;\n  z-index: 1000;\n}\n\n.menu-horizontal li:hover > ul {\n  display: block;\n}\n\n/* The only way to have a menu with more than 2 levels without JavaScript is to use a fixed width. */\n.menu-horizontal.fixedWidth li li {\n  position: relative;\n}\n\n.menu-horizontal.fixedWidth ul ul {\n  width: 12em;\n}\n\n.menu-horizontal.fixedWidth ul ul ul {\n  left: 12em;\n  margin: 0;\n  top: 0;\n}\n
-2657345898464548869	content	{{velocity}}\n#macro (__icon $name){{html clean="false"}}<span class="fa fa-fw fa-${name}"> </span>{{/html}}#end\n#if ($doc.getObject('PhenoTips.PatientClass'))\n#set ($colorTheme = $xwiki.getUserPreference('colorTheme'))\n#if ("$!colorTheme" != '')\n  ## Make sure we use an absolute reference (see XWIKI-9672)\n  #set ($colorTheme = $services.model.resolveDocument($colorTheme, $doc.documentReference))\n#end\n$xwiki.ssx.use('PhenoTips.ContentTopMenu', {'colorTheme': $colorTheme})##\n$xwiki.jsx.use('PhenoTips.ContentTopMenu')##\n(% id="patient-record-actions" %)(((\n(% id="pr-more-actions-menu" class="menu menu-horizontal" %)(((\n#if ($xcontext.action == 'view')\n#if($hasEdit && !$isReadOnly)\n  #set($editaction = $doc.getDefaultEditMode())\n* [[#__icon("pencil")$services.localization.render('core.menu.edit')>>path:$doc.getURL($editaction, $!languageparams)|| id="prActionEdit"]]\n#end## HAS EDIT\n#set ($canDelete = !$doc.isNew() && $xwiki.hasAccessLevel('delete'))\n#if ($canDelete)\n* [[#__icon("times")$services.localization.render('core.menu.delete')>>path:$doc.getURL('delete', $!languageparams)|| id="prActionDelete"]]\n#end## HAS DELETE\n#else## NOT IN VIEW MODE, SHOW EDIT MODE ACTIONS\n* (% class="xDropdown" %){{html clean="false"}}<span class="fa fa-fw fa-check"> </span><label><input type="submit" value="$services.localization.render('phenotips.contentTopMenu.save')" name="action_saveandcontinue"/></label>{{/html}}\n** {{html clean="false"}}<label><input id="tmActionSave" type="submit" value="$services.localization.render('saveandcontinue')" title="$services.localization.render('saveandcontinue')" name="action_saveandcontinue"/></label>{{/html}}\n** {{html clean="false"}}<label><input id="tmActionSaveAndContinue" type="submit" value="$services.localization.render('saveandview')" title="$services.localization.render('saveandview')" name="action_save"/></label>{{/html}}\n* {{html clean="false"}}<span class="fa fa-fw fa-ban"> </span><label><input id="tmActionCancel" type="submit" value="$services.localization.render('phenotips.contentTopMenu.cancel')" title="$services.localization.render('phenotips.contentTopMenu.cancel.title')" name="action_cancel"/></label>{{/html}}\n#end## DONE WITH EDIT MODE SPECIFIC ACTIONS\n* (% class="xDropdown" %){{html clean="false"}}<span class="fa fa-fw fa-list"> </span><span id="toc-entry">$services.localization.render('phenotips.contentTopMenu.jumpMenu')</span>{{/html}}\n##The ToC will be populated by JS\n** ----\n* (% class="xDropdown" %)#__icon("cog") $services.localization.render('phenotips.contentTopMenu.moreActionsMenu')\n#if ($xcontext.action != 'view' || $viewer != 'content')\n** [[$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.viewMode')>>$doc.fullName|| title="$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.viewMode.title')" target="_blank"]]\n#end\n#if ($isAdvancedUser && $xcontext.action != 'view' || $viewer != 'history')\n** [[$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.history')>>path:$doc.getURL('view', 'viewer=history')|| target="_blank" title="$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.history.title')"]]\n#end\n#if ($xwiki.getDocument($xwiki.getSpacePreference('colorTheme')).getObject('XWiki.PDFClass'))\n  #set ($pdfTemplate = $xwiki.getSpacePreference('colorTheme'))\n#else\n  #set ($pdfTemplate = 'PhenoTips.PatientSheetCode')\n#end\n** (% class="empty" %)----\n** [[$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.exportPDF')>>path:$doc.getURL('export', "format=pdf&pdfcover=0&pdftoc=0&pdftemplate=${pdfTemplate}")|| class="export-link"]]\n#if($isAdvancedUser)\n** [[$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.exportXAR')>>path:$doc.getURL('export', "format=xar&name=${doc.fullName}&pages=${doc.fullName}")|| class="export-link"]]\n** [[$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.exportJSON')>>path:$xwiki.getURL('PhenoTips.ExportPatient', 'get', "id=${escapetool.url($doc.documentReference.name)}&outputSyntax=plain")|| class="export-link"]]\n#end\n#foreach ($e in $services.uix.getExtensions("org.phenotips.patientRecordMenu.moreActions"))\n  #set ($extensionContent = $services.rendering.render($e.execute(), 'xhtml/1.0'))\n  #if ($stringtool.isNotBlank($extensionContent) && !$foreach.hasContent)\n    #if (!$foreach.hasContent)\n      ** ----\n      #set ($foreach.hasContent = true)\n    #end\n    ** {{html clean=false}}$extensionContent{{/html}}\n  #end\n#end\n)))## menu\n)))## container\n#end{{/velocity}}
-2657345898464548869	parameters	title=Patient sheet top menu\norder=1
4549311866376089804	code	
-8338727530422061680	code	
-6481094477948054101	content	
-6481094477948054101	parameters	
4573373488719209179	footer.vm	###\n### Global footer deactivated for this skin\n###\n<div></div>
4573373488719209179	style.css	@import "$xwiki.getSkinFile('css/microformats.css')";\n@import "$xwiki.getSkinFile('colibri.css', true)#if ("$!{request.colorTheme}" != '')?colorTheme=${request.colorTheme}#end";\n\n#menuview, #document-head, #document-actions, #table-of-contents {\n  display: none;\n}\n#mainContentArea {\n  margin: 0 !important; \n}\n.main {\n  padding: 0 0 4em !important;\n}\n#body .bottombuttons {\n  left: 0;\n  right: 0;\n  margin: 0.5em 11px !important;\n}
4573373488719209179	view.vm	
4573373488719209179	viewheader.vm	
-6950051007663280108	code	.start-box {\n  width: 47%;\n  margin: 1%;\n  float: left;\n  text-align: center;\n}\n.start-button {\n  margin: 6px !important;\n  padding: 1em 2em !important;\n  border-radius: 4px;\n}\n.start-box .info {\n  font-size: .7em;\n  opacity: .5;\n}\n#document-info {\n  display:none;\n}\n
-4070038678022651157	groups	XWiki.XWikiAllGroup
-4070038678022651157	users	XWiki.XWikiGuest
5467926099341538842	groups	XWiki.XWikiAdminGroup
5467926099341538842	users	
-4470827524973375705	groups	XWiki.XWikiAllGroup
-4470827524973375705	users	XWiki.XWikiGuest
-4919157053708043757	groups	XWiki.XWikiAllGroup
-4919157053708043757	users	XWiki.XWikiGuest
8347436934581074556	code	#phenotips-mainmenu, #phenotips-globalTools {\n   background-color: rgba(0, 0, 0, 0.1) !important;\n   text-shadow: 0 1px 1px #FFF !important;\n}\n#headerglobal {\n    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.1);\n}
1699721016323068707	groups	XWiki.XWikiAllGroup
1699721016323068707	users	XWiki.XWikiGuest
-8612909099128072630	code	#phenotips-mainmenu, #phenotips-globalTools {\n   background-color: rgba(0, 0, 0, 0.1) !important;\n   text-shadow: 0 1px 1px rgba(0, 0, 0, 0.5);\n}\n#phenotips-mainmenu .leftmenu, #phenotips-globalTools .leftmenu {\n   text-shadow: 0 1px 1px #FFF;\n}\n#phenotips-globalTools .rightmenu label,\n#phenotips-globalTools .rightmenu label a,\n#phenotips-globalTools .rightmenu label span,\n#phenotips-globalTools .rightmenu input[type="submit"],\n.rightmenu #create-patient-record,\n#phenotips-mainmenu .rightmenu .topmenuentry, \n#phenotips-mainmenu .rightmenu .topmenuentry a {\n    color: #FFF !important;\n}\n#headerglobal {\n    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.1);\n}
-3152014185615537482	groups	XWiki.XWikiAllGroup
-3152014185615537482	users	XWiki.XWikiGuest
-5347471842214447649	groups	XWiki.XWikiAllGroup
-5347471842214447649	users	XWiki.XWikiGuest
-6403795007650089389	groups	XWiki.XWikiAllGroup
-6403795007650089389	users	XWiki.XWikiGuest
1722615445707298589	content	{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n<div id="phenotips-mainmenu" class="layoutsubsection actionmenu">\n<strong id="xwikimenutitle" class="hidden">$services.localization.render('core.menu.main.title')</strong>\n<div class="rightmenu">\n#set ($workspaceManagerMainDocumentReference = $services.model.createDocumentReference($xcontext.mainWikiName, 'WorkspaceManager', 'WebHome'))\n#set ($isWorkspaceManagerAppInstalled = $xwiki.exists($workspaceManagerMainDocumentReference))\n#set ($isWorkspace = $services.workspace.isWorkspace($xcontext.database))\n#set ($isMainWikiUser = ($xcontext.mainWikiName == "$!{xcontext.userReference.wikiReference.name}"))\n##\n## User\n##\n#if (!$xcontext.action.startsWith('login'))\n  #if ($isGuest)\n    #set ($loginurl = $xwiki.getURL('XWiki.XWikiLogin', 'login', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!loginurl $!services.localization.render('login') 'tmLogin' 'fa fa-sign-in')\n  #else\n    #set ($logouturl = $xwiki.getURL('XWiki.XWikiLogout', 'logout', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!logouturl $!services.localization.render('logout') 'tmLogout' 'fa fa-sign-out')\n  #end\n#end\n#if ($isGuest && $xwiki.hasAccessLevel('register', 'XWiki.XWikiPreferences'))\n  #set ($regurl = $xwiki.getURL('XWiki.Register', 'register'))\n  #xwikitopmenuentry($!regurl $!services.localization.render('core.register') 'tmRegister' 'fa fa-plus-square')\n#end\n##\n##\n#if (!$isGuest)\n#if ($isSuperAdmin)\n  #xwikitopmenuentry('#' $!services.localization.render('superadmin') 'tmUser' 'fa fa-user')\n#else\n  #xwikitopmenuentry("$!xwiki.getURL($xcontext.user)" "$!xwiki.getUserName($xcontext.user, false)" 'tmUser' 'fa fa-user')\n#end\n#end\n</div>\n<div class="leftmenu">\n##\n## Administration\n##\n#set ($isAdminAppInstalled = $xwiki.exists('XWiki.AdminSheet'))\n#if ($isAdminAppInstalled && $hasSpaceAdmin)\n  #set ($adminspaceaction = $!xwiki.getURL("XWiki.XWikiPreferences", 'admin'))\n  #xwikitopmenuentry($adminspaceaction "$services.localization.render('admin')" 'tmAdminSpace' 'fa fa-cogs')\n#end\n</div>\n</div>\n{{/html}}{{/velocity}}
1722615445707298589	parameters	
2057799063539361021	content	{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n<div id="phenotips-globalTools" class="layoutsubsection actionmenu">\n  <div class="rightmenu">\n    <div class="topmenuentry search">\n      #if ($displayQuickSearch && ($xwiki.exists('Main.Search') || $xwiki.exists('Main.WebSearch')))\n        <div class="globalsearch"><input type="hidden" name="space" value="data"/>\n          <label for="headerglobalsearchinput"><span class="fa fa-search"> </span></label><input class="globalsearchinput" id="headerglobalsearchinput" type="text" name="text" placeholder="$services.localization.render('phenotips.globalHeader.search.placeholder')" size="20"/>\n        </div>\n      #end\n    </div>\n    <div class="topmenuentry all"><label for="browse-all-patients"><span class="fa fa-folder-open"> </span><a id="browse-all-patients" href="$xwiki.getURL('data.AllData')">$services.localization.render('phenotips.globalHeader.allData')</a></label></div>\n    #if ($hasCreatePage)\n      <div class="topmenuentry add">\n{{/html}}\n\n{{include reference="PhenoTips.CreatePatientRecordForm" /}}\n\n{{html clean=false}}</div>\n    #end\n  </div>\n  <div class="breadcrumbs leftmenu">\n    <a href="$!xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))" title="Home" rel="home"><span class="fa fa-home fa-lg"></span></a> &raquo;\n    <a href="$!xwiki.getURL("${doc.space}.WebHome")" >$!{doc.space}</a>\n    #if ($doc.name != 'WebHome')\n      &raquo; <a href="$doc.getURL()">$doc.displayTitle</a>\n    #end\n  </div>\n</div>\n{{/html}}{{/velocity}}
2057799063539361021	parameters	
2181430748800771902	content	
2181430748800771902	parameters	
1722652126108119459	content	
1722652126108119459	parameters	
2739420286846870014	code	//\n// Enable the live preview of the selected phenotype mapping\n//\nvar init = function(event) {\n  // Check for the elements needed to do the preview:\n  // 1. the container where the preview is to be displayed\n  var previewContainer = $('mappingPreview');\n  // 2. a/ the input containing the selected value\n  var textInputs = $$('input[type="text"][name$="apping_suggest"]');\n  // or b/ the radio buttons for the options\n  var options = $$('input[type="radio"][name$="apping"]');\n  // If 1 or 2 are missing, move along, there's nothing to do here\n  if (!previewContainer || !(textInputs.size() == 1 || options.size() > 0)) {\n    return;\n  }\n\n\n  // Make it easy for the user to look at long mappings:\n  previewContainer.style.maxHeight = (.9 * document.viewport.getHeight()) + 'px';\n  Event.observe(window, 'resize', function (event) {\n    previewContainer.style.maxHeight = (.9 * document.viewport.getHeight()) + 'px';\n  });\n\n\n  // Preview requests should have increasing identifiers and only the response of the latest one should be displayed\n  // Store the ID of the latest request:\n  previewContainer.reqNo = 0;\n\n  // -------------------------------------------------------------------\n  // Requesting a preview based on the selected value:\n  var updatePreview = function(selectedValue) {\n    // Mark that this is a new request\n    previewContainer.reqNo++;\n    // No value? No preview\n    if (!selectedValue) {\n      previewContainer.update('');\n      return;\n    }\n    // Make the request:\n    new Ajax.Request(new XWiki.Document('PhenotypeMappingPreview', 'PhenoTips').getURL('get'), {\n        parameters: {\n           mapping: selectedValue,\n           reqNo : previewContainer.reqNo\n        },\n        onCreate : function() {\n           // Always ignore all but the latest request\n           if (this.parameters.reqNo < previewContainer.reqNo) {\n             return;\n           }\n           // Clean up the preview container and add a spinner while waiting for the result to come\n           previewContainer.update('').addClassName('loading');\n        },\n        onSuccess : function(response) {\n           // Always ignore all but the latest request\n           if (response.request.options.parameters.reqNo < previewContainer.reqNo) {\n             return;\n           }\n           // Display the results\n           previewContainer.update(response.responseText);\n           // Disable all inputs (this is a preview, there should be no interaction)\n           previewContainer.select('input').each(function (item) {\n             item.disabled = 'disabled';\n           });\n        },\n        onFailure : function(response) {\n           // Always ignore all but the latest request\n           if (response.request.options.parameters.reqNo < previewContainer.reqNo) {\n             return;\n           }\n           // Tell the user why the preview request failed\n           var failureReason = response.responseText || response.statusText;\n           if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n              failureReason = 'Server not responding';\n           }\n           previewContainer.update(new Element('div', {'class' : 'errormessage'}).update('Failed to generate preview. ' + failureReason));\n        },\n        on0 : function (response) {\n           response.request.options.onFailure(response);\n        },\n        onComplete : function(response) {\n           // Always ignore all but the latest request\n           if (response.request.options.parameters.reqNo < previewContainer.reqNo) {\n             return;\n           }\n           // Done one way or the other, remove spinner\n           previewContainer.removeClassName('loading');\n        }\n     });\n  };\n\n\n  // Handling the value in the input\n  var handleInputValue = function(event) {\n    // What do we have in the input, a newly selected value or the initial one?\n    var selectedValue = event && event.memo && event.memo.info || input.value && input.previous('input').value;\n\n    // No value? No preview\n    if (!selectedValue) {\n      updatePreview();\n      mappingCustomizationTool.href = '#';\n      mappingCustomizationTool.addClassName('hidden');\n      return;\n    }\n\n    // Update the preview\n    updatePreview(selectedValue);\n\n    // Update the customization link\n    var targetDocumentReference = XWiki.resource.get(selectedValue, XWiki.EntityType.DOCUMENT);\n    mappingCustomizationTool.href = new XWiki.Document(targetDocumentReference.name, targetDocumentReference.space).getURL('edit');\n    mappingCustomizationTool.removeClassName('hidden');\n  }\n\n  // Handling the selected option\n  var handleSelectedOption = function(event) {\n    var selectedValue = '';\n    options.each(function (item) {\n      if (item.checked) {\n         selectedValue = item.value;\n      }\n    });\n\n    // Update the preview\n    updatePreview(selectedValue);\n  }\n\n\n  // -------------------------------------------------------------------\n  // What kind of config selection UI do we have?\n  // 1. input with suggestions:\n  if (textInputs.size() == 1) {\n    var input = textInputs[0];\n\n    // Add a link permitting the user to modify the selected mapping\n    var mappingCustomizationTool = new Element('a', {'class': 'button hidden', 'href' : '#', 'id' : 'customizeMapping', 'target' : '_blank'}).update('Customize');\n    input.insert({'before' : mappingCustomizationTool.wrap('span', {'class' : 'buttonwrapper customize-button'})});\n\n    // Show the preview for the initial value\n    handleInputValue();\n    // Update preview every time the value changes\n    input.observe('xwiki:suggest:selected', handleInputValue);\n    // Correct behavior for emptying the input\n    input.observe('change', function (event) {\n      if (input.value == '') {\n      input.previous('input').value = '';\n        input.fire('xwiki:suggest:selected', {'id' : '', 'value' : '', 'info' : ''});\n      }\n    });\n  }\n  // 2. radio buttons:\n  if (options.size() > 0) {\n    options.each(function (item) {\n      var container = new Element('div', {'class' : 'option-container'});\n      var label = item.up('label');\n      label.insert({after : container});\n      container.insert(label);\n      // Add "customize" buttons to each options\n      if (item.value != '') {\n        //    - first compute urls\n        var targetDocumentReference = XWiki.resource.get(item.value, XWiki.EntityType.DOCUMENT);\n        var url = new XWiki.Document(targetDocumentReference.name, targetDocumentReference.space).getURL('edit');\n\n        //     - then generate and insert buttons\n        var container = new Element('div', {'class' : 'option-container'});\n        var label = item.up('label');\n        label.insert({after : container});\n        container.insert(\n                 new Element('a', {'class': 'button', 'href' : url, 'id' : 'customizeMapping', 'target' : '_blank'})\n                            .update("$services.localization.render('phenotips.phenotypeMappingPreview.customizeButton')")\n                            .wrap('span', {'class' : 'buttonwrapper customize-button'}\n                 )\n        );\n      }\n      // Handle selection change\n      item.observe('change', handleSelectedOption);\n    });\n    // Show preview for the initial value\n    handleSelectedOption();\n  }\n};\n\n(XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);
-4066849639251503145	code	#template('colorThemeInit.vm')\n\n#mappingPreview {\n  background: none repeat scroll 0 0 $theme.backgroundSecondaryColor;\n  border: 1px solid $theme.pageContentBackgroundColor;\n  box-shadow: 0 0 4px $theme.borderColor, 0 0 4px $theme.borderColor inset;\n  font-size: 0.8em;\n  max-height: 300px;\n  min-height: 20px;\n  overflow: auto;\n  padding: 1em;\n}\n/*\n * Fix the style of the mapping to match what is displayed in the actual patient form\n */\n#mappingPreview h3 {\n  text-transform: uppercase;\n  font-weight: normal;\n  margin-bottom: 5px;\n}\n#mappingPreview .yes-no-picker input {\n  display: none;\n}\n\n#mappingPreview .term-entry:before {\n  content: "►";\n  cursor: default;\n  visibility: hidden;\n}\n#mappingPreview .term-entry.dropdown-root:before {\n  color: $theme.linkColor;\n  cursor: pointer;\n  visibility: visible;\n}\n/*\n * Preview can be displayed either to the right of or under the mapping selector; style differently\n */\n\n.mappingPreviewContainer {\n  width: 47%;\n  float: right;\n  padding: 0 1% 1em;\n}\n.mappingPreviewContainer.side {\n  width: 40%;\n}\n.customize-button {\n  float: right;\n  margin-top: -1.4em;\n  margin-right: 1%;\n}\n.mappingPreviewContainer .customize-button {\n  margin-right: 0;\n}\n.mappingPreviewContainer .hint.side:before {\n  border-bottom: 32px solid rgba(0, 0, 0, 0);\n  border-left: 32px solid;\n  border-top: 32px solid rgba(0, 0, 0, 0);\n  left: 50%;\n  margin-left: 16px;\n}\n\n.mappingPreviewContainer .hint:before, .mappingPreviewContainer .hint:after {\n  color: $theme.linkColor;\n  content: "";\n  display: block;\n  opacity: .3;\n  position: absolute;\n  top: 2.5em;\n  z-index: 10;\n}\n.mappingPreviewContainer .hint.side:after {\n  border: 16px solid;\n  left: 50%;\n  margin-left: -16px;\n  margin-top: 16px;\n}\n.mappingPreviewContainer .hint.side {\n  left: -15%;\n}\n.mappingPreviewContainer .hint.side,  .mappingPreviewContainer .hint.under {\n  position: relative;\n  text-align: center;\n  top: 1em;\n  width: 5%;\n  font-style: italic;\n}\n\n.mappingPreviewContainer .hint.under:before {\n  border-left: 32px solid rgba(0, 0, 0, 0);\n  border-top: 32px solid;\n  border-right: 32px solid rgba(0, 0, 0, 0);\n  top: 3.5em;\n  margin-top: 16px;\n  margin-left: -16px;\n}\n.mappingPreviewContainer .hint.under:after {\n  border: 16px solid;\n  top: 3.5em;\n  margin-top: -16px;\n}\n.mappingPreviewContainer .hint.under {\n  margin: auto;\n  margin-bottom: 64px;\n  padding-bottom: 3.5em;\n}\n/*\n * Fix the styling of some default form elements\n */\n.option-container {\n  padding: .3em 0;\n}\n.option-container:hover {\n  background: $theme.highlightColor;\n}\n.option-container .customize-button {\n##  margin-top: 0;\n  visibility: hidden;\n}\n.option-container:hover .customize-button {\n  visibility: visible;\n}\n.option-container label.default input[type="radio"][value=""], .option-container label.default option[value=""] {\n  display: inline-block !important;\n}\n.option-container label.default {\n  color: $theme.textPrimaryColor;\n}
-5133891471780726474	description	A thorough set of physical abnormalities affecting specific body parts. Includes several neurological signs.
844134387371561617	description	Enter your description here. A configuration stub with three sections, "Growth parameters", "Neurological signs" and "Other", is provided below.
-7079714043964720575	code	var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.PatientFormDesigner = Class.create({\n\n    _ENHANCED_TOOL_CSS_CLASS : 'initialized',\n    _NEW_TOOL_SELECTOR: ':not(.initialized)',\n    \n    initialize : function (element) {\n      if (!element) return;\n      this._element = element;\n      this._form = element.up('form');\n      this._globalConfig = element.hasClassName('global');\n      this._enhanceExtensionTools();\n      this._handleSubmit();\n      this._handleNewSection();\n    },\n\n    _enhanceExtensionTools : function () {\n      this._silenceMoveButtons();\n      this._enableRequiredFlags();\n      this._enableAjaxDeletion();\n      this._enableSectionToggle();\n      this._enableSectionReorder();\n      this._enableFieldToggle();\n      if (this._globalConfig) {\n        this._enableFieldDragDrop();\n      } else {\n        this._enableFieldReorder();\n      }\n    },\n\n    _silenceMoveButtons : function () {\n      this._element.select('a.move' + this._NEW_TOOL_SELECTOR).invoke('observe', 'click', function(event) {\n        event.stop();\n      });\n      this._element.select('a.move' + this._NEW_TOOL_SELECTOR).invoke('addClassName', this._ENHANCED_TOOL_CSS_CLASS);\n    },\n\n    _enableRequiredFlags : function () {\n      var _this = this;\n      this._element.select('label.flag' + this._NEW_TOOL_SELECTOR).each(function(item) {\n        item._syncSource = item.down('input.uix-required');\n        if (item._syncSource.checked) {\n           item.addClassName('required');\n        } else {\n           item.removeClassName('required');\n        }\n        item.observe('click', function(event) {\n          var elt = event.findElement('label.flag');\n          if (elt._syncSource.checked) {\n            elt.addClassName('required');\n          } else {\n            elt.removeClassName('required');\n          }\n        });\n        item.addClassName(_this._ENHANCED_TOOL_CSS_CLASS);\n      });\n    },\n\n    _enableAjaxDeletion : function() {\n      var _this = this;\n      this._element.select('.section-maquette a.delete' + this._NEW_TOOL_SELECTOR + ', .extension-maquette a.delete' + this._NEW_TOOL_SELECTOR).invoke('observe', 'click', function(event) {\n        event.stop();\n        var trigger = event.findElement('a');\n        trigger.blur();\n        if (trigger.disabled) {\n          // Do nothing if the button was already clicked and it's waiting for a response from the server.\n          return;\n        }\n        var url = trigger.readAttribute('href') + "?confirm=1&form_token=" + $$('meta[name=form_token]')[0].content + (Prototype.Browser.Opera ? "" : "&ajax=1");\n        new XWiki.widgets.ConfirmedAjaxRequest(\n          /* Ajax request URL */\n          url,\n          /* Ajax request parameters */\n          {\n            onCreate : function() {\n              // Disable the button, to avoid a cascade of clicks from impatient users\n              trigger.disabled = true;\n            },\n            onSuccess : function() {\n              // remove the element\n              // move all extensions (if any) to the "available extenions" panel\n              var container = trigger.up('.section-maquette');\n              var extensionsPanel = _this._element.down('.designer-panel.extensions .section-contents');\n              if (container && extensionsPanel) {\n                container.select('.extension-maquette').each(function(item) {\n                  extensionsPanel.insert(item);\n                });\n                _this._updateOrder(extensionsPanel, true);\n              }\n              trigger.up('.extension-maquette, .section-maquette').remove();\n            },\n            onFailure : function() {\n              // Better luck next time!\n              trigger.disabled = false;\n            }\n          },\n          /* Interaction parameters */\n          {\n            confirmationText: "$services.localization.render('core.recyclebin.confirm')"\n          }\n        );\n      });\n      this._element.select('.section-maquette a.delete' + this._NEW_TOOL_SELECTOR + ', .extension-maquette a.delete' + this._NEW_TOOL_SELECTOR).invoke('addClassName', this._ENHANCED_TOOL_CSS_CLASS);\n    },\n\n    _enableSectionToggle : function () {\n      this._enableExtensionToggle('.section-maquette', '.section-title input[type="checkbox"]');\n    },\n\n    _enableFieldToggle : function () {\n      this._enableExtensionToggle('.extension-maquette', '.extension-title input[type="checkbox"]');\n    },\n\n   _enableExtensionToggle : function (extensionSelector, toggleSelector) {\n      var _this = this;\n      var syncSectionAppearance = function(extension, enabled) {\n        if (enabled) {\n          extension.removeClassName('disabled');\n        } else {\n          extension.addClassName('disabled');\n        }\n      };\n      var activateSyncSectionAppearance = function(enablingElement) {\n        enablingElement.addClassName(_this._ENHANCED_TOOL_CSS_CLASS);\n        var extension = enablingElement.up(extensionSelector);\n        syncSectionAppearance(extension, enablingElement.checked);\n        enablingElement.observe('click', function(event) {\n          syncSectionAppearance(extension, enablingElement.checked);\n        });\n      };\n      this._element.select(extensionSelector + ' ' + toggleSelector + this._NEW_TOOL_SELECTOR).each(activateSyncSectionAppearance);\n    },\n\n    _enableSectionReorder : function () {\n       var sectionsPanel = this._element.down('.designer-panel.sections');\n       this._updateOrder(sectionsPanel)\n       var _this = this;\n       Sortable.destroy(sectionsPanel);\n       Sortable.create(sectionsPanel, {\n         tag : 'div',\n         only: 'section-maquette',\n         format: /^.*\\.([^.]+)$/,\n         handle : 'move',\n         onUpdate : function(container) {\n           _this._updateOrder(container);\n         }\n       });\n    },\n\n    _enableFieldReorder : function () {\n       var _this = this;\n       this._element.select('.designer-panel.sections .section-maquette .section-contents').each (function (section) {\n         _this._updateOrder(section, true);\n         Sortable.create(section, {\n           tag : 'div',\n           only: 'extension-maquette',\n           format: /^.*\\.([^.]+)$/,\n           handle : 'move',\n           onUpdate : function(container) {\n             _this._updateOrder(container, true);\n           }\n         });\n       });\n    },\n\n    _enableFieldDragDrop : function () {\n       var _this = this;\n       var sections = this._element.select('.designer-panel .section-maquette .section-contents');\n       sections.each (function (section) {\n         _this._updateOrder(section, true);\n         Sortable.create(section, {\n           tag : 'div',\n           only: 'extension-maquette',\n           format: /^.*\\.([^.]+)$/,\n           containment: sections,\n           dropOnEmpty: true,\n           constraint: false,\n           handle : 'move',\n           scroll: window,\n           onUpdate : function(container) {\n             _this._updateOrder(container, true);\n           }\n         });\n       });\n    },\n   \n    _updateOrder : function (container, updateContainer) {\n       var i = 0;\n       container.select ((updateContainer ? '.extension' : '.section') + '-title input.uix-order').each(function(item) {\n         item.value = ++i;\n       });\n       if (updateContainer) {\n         var uixid = container.up('.section-maquette').id;\n         if (uixid) {\n           container.select ('input.uix-pointid').each(function(item) {\n             item.value = uixid;\n           });\n         }\n       }\n    },\n\n    _handleSubmit : function () {\n      var _this = this;\n\n      var submitButton = this._form.down('input[type="submit"]');\n      submitButton._originalValue = submitButton.value;\n\n      var sectionsPanel = this._element.down('.designer-panel.sections');\n\n      this._form.observe ('submit', function(event) {\n        event.stop();\n        // Update the order of the selected sections/fields\n        _this._updateOrder(sectionsPanel);\n        sectionsPanel.select('.section-maquette .section-contents').each (function (section) {\n          _this._updateOrder(section);\n        });\n\n        // -----------------------------\n        // TODO remove me!\n        // -----------------------------\n        _this._form.submit();\n        return;\n        // -----------------------------\n\n        // ajax submit the form\n        var formData = new Hash(_this._form.serialize(true));\n        _this._form.disable();\n        submitButton.value = 'Saving configuration...';\n        submitButton.addClassName('loading');\n        new Ajax.Request(_this._form.action, {\n            method : 'post',\n            parameters : formData,\n            onSuccess : function () {\n              submitButton.value = 'Configuration saved';\n              submitButton.removeClassName('loading');\n              submitButton.addClassName('success');\n              new PeriodicalExecuter(function(pe) {\n                submitButton.value = submitButton._originalValue;\n                submitButton.removeClassName('success');\n                pe.stop();\n              }, 3);\n            },\n            onFailure : function (response) {\n              var failureReason = response.statusText;\n              if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                failureReason = 'Server not responding';\n              }\n              submitButton.value = submitButton._originalValue;\n              submitButton.removeClassName('loading');\n              new XWiki.widgets.Notification("$services.localization.render('core.viewers.comments.add.failed')" + failureReason, "error");\n            },\n            on0 : function (response) {\n              response.request.options.onFailure(response);\n            },\n            onComplete : function () {\n              _this._form.enable();\n            }\n        });\n      });\n    },\n\n    _handleNewSection : function () {\n      var _this = this;\n      var newSectionForm = $('create-section-form');\n      var newSectionInputs = $('new-section')\n      if (!newSectionInputs) {\n        return;\n      }\n      var newSectionButton = newSectionInputs.down('input[type="button"]');\n      if (!newSectionForm || !newSectionInputs || !newSectionButton) {return;}\n      // hide that form and duplicate the inputs under the section list\n       newSectionButton._originalValue =  newSectionButton.value;\n      newSectionForm.hide();\n      newSectionButton.observe('click', function() {\n        newSectionForm.select('input[type="text"]').each(function(input) {\n          input.value = newSectionInputs.down('input[type="text"][name="' + input.name + '"]').value;\n        });\n        // AJAX submission\n        var formData = new Hash(newSectionForm.serialize(true));\n        newSectionForm.disable();\n        newSectionButton.value = 'Creating section...';\n        newSectionButton.addClassName('loading');\n        new Ajax.Request(newSectionForm.action, {\n            method : 'post',\n            parameters : formData,\n            onSuccess : function (response) {\n              newSectionButton.value = 'Section created';\n              newSectionButton.removeClassName('loading');\n              newSectionButton.addClassName('success');\n              newSectionInputs.insert({before : response.responseText});\n              new PeriodicalExecuter(function(pe) {\n                newSectionButton.value = newSectionButton._originalValue;\n                newSectionButton.removeClassName('success');\n                pe.stop();\n              }, 3);\n              _this._enhanceExtensionTools();\n            },\n            onFailure : function (response) {\n              var failureReason = response.statusText;\n              if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                failureReason = 'Server not responding';\n              }\n              newSectionButton.value = newSectionButton._originalValue;\n              newSectionButton.removeClassName('loading');\n              new XWiki.widgets.Notification("$services.localization.render('core.viewers.comments.add.failed')" + failureReason, "error");\n            },\n            on0 : function (response) {\n              response.request.options.onFailure(response);\n            },\n            onComplete : function () {\n              newSectionForm.enable();\n            }\n        });\n      });\n    }\n  });\n  return PhenoTips;\n}(PhenoTips || {}));\n\ndocument.observe("xwiki:dom:loaded", function(){\n  window.wiz = new PhenoTips.widgets.PatientFormDesigner($('patient-form-designer'));\n});
3976041187894402198	parameters	title=$services.localization.render('phenotips.UIXSection.patientInfo')\nenabled=true\nrequired=\norder=1
-226647626601705576	content	
6295424548260315080	code	#template("colorThemeInit.vm")\n\n.designer-panel {\n  width: 45%;\n  float: left;\n  position: relative;\n}\n.designer-panel.sections {\n}\n.designer-panel.hint {\n  width: 10%;\n}\n.designer-panel.extensions {\n}\n.designer-panel.hint p {\n  font-size: 0.9em;\n  font-style: italic;\n  opacity: 0.5;\n  padding: 80px 5px;\n  text-align: center;\n}\n.designer-panel.hint:before, .designer-panel.hint:after {\n  color: $theme.linkColor;\n  content: "";\n  display: block;\n  position: absolute;\n  top: 2.5em;\n  z-index: 10;\n}\n\n.designer-panel.hint:before {\n  border-top: 32px solid transparent;\n  border-bottom: 32px solid transparent;\n  border-right: 32px solid;\n  margin-top: -16px;\n  margin-left: -32px;\n  left: 50%;\n}\n\n.designer-panel.hint:after {\n  border: 16px solid;\n  margin-left: -16px;\n  left: 50%;\n}\n.designer-panel .new-section {\n  margin: 10px 10px 25px;\n}\n.designer-panel .new-section .section-title{\n  color $theme.titleColor;\n  text-transform: uppercase;\n  padding-left: 16px;\n  background: transparent url("$xwiki.getSkinFile('icons/silk/bullet_add.png')") left center no-repeat;\n}\n.designer-panel .section-maquette {\n  margin: 10px 10px 25px;\n}\n.designer-panel .section-maquette .section-contents {\n  min-height: 20px;\n}\n.extension-tools {\n  float: right;\n  margin-top: -25px;\n}\n.extension-tool {\n  background-color: $theme.buttonSecondaryBackgroundColor;\n  border: 1px solid $theme.borderColor;\n  border-radius: 2px;\n  box-shadow: 1px 1px 5px $theme.borderColor, -1px -1px 2px $theme.buttonSecondaryGradientColor inset;\n  color: $theme.textColor !important;\n  display: inline-block;\n  width: 20px;\n  height: 20px;\n  line-height: 20px;\n  margin: 2px;\n  overflow: hidden;\n  text-decoration: none !important;\n  text-align: center;\n  text-shadow: 0 0 3px $theme.borderColor;\n}\n\n.extension-tool:hover {\n  text-shadow: 0 0 3px $theme.linkColor;\n}\n.extension-tool.flag input {\n  display: none;\n}\n.extension-tool.flag {\n  cursor: pointer;\n}\n.extension-tool.flag i {\n  opacity: 0.3;\n}\n.extension-tool.flag.required {\n  color: $theme.notificationErrorColor !important;\n}\n.extension-tool.flag.required i {\n  opacity: .8;\n}\n.extension-tool.flag:hover {\n  color: $theme.textColor !important;\n}\n.extension-tool.flag:hover i {\n  opacity: .7 !important;\n}\n.extension-tool.flag.required:hover {\n  color: $theme.notificationErrorColor !important;\n}\n.extension-tool.flag.required:hover i {\n  opacity: 1 !important;\n}\n.extension-tool.delete {\n  color: $theme.notificationErrorColor !important;\n}\n.extension-tool.move {\n  cursor: move;\n}\n\n.designer-panel.sections .disabled {\n  opacity: .3;\n}\n.designer-panel.extensions input[type="checkbox"] {\n  display: none;\n}\n\n.section-maquette .section-title {\n  color $theme.titleColor;\n  text-transform: uppercase;\n}\n.section-maquette .section-title * {\n  margin: 0 !important;\n}\n.section-maquette .section-contents {\n  border: 1px dotted $theme.borderColor;\n  background: $theme.backgroundSecondaryColor;\n  padding: .5em 1em;\n}\n.extension-maquette {\n  background-color: $theme.pageContentBackgroundColor;\n  border: 1px solid $theme.borderColor;\n  border-radius: .5em;\n  color: $theme.buttonSecondaryTextColor;\n  margin: 5px;\n  padding: .5em;\n  width: auto;\n}\n.extension-maquette:hover, .sections .section-maquette .section-contents:hover {\n  background-color: $theme.highlightColor;\n}\n.extension-title {\n  margin-right: 64px;\n}\n.extension-title p {\n  margin: 0;\n}
6529430516254183794	code	['xwiki:dom:loaded', 'xwiki:dom:updated'].each(function (eventName) {\n  document.observe(eventName, function() {\n    $$('.hpo-branch .term-entry:not(.initialized) .tooltip .hide-tool').invoke('observe', 'click', function(event) {\n      event.findElement('.tooltip').addClassName('invisible');\n    });\n    $$('.hpo-branch .term-entry:not(.initialized) .info-tool').invoke('observe', 'click', function(event) {\n      event.findElement('.hpo-branch').select('.tooltip').invoke('addClassName', 'invisible');\n      event.findElement('.term-entry').down('.tooltip').removeClassName('invisible');\n    });\n    $$('.hpo-branch .term-entry:not(.initialized)').invoke('addClassName', 'initialized');\n  });\n});
-3085580127925242763	code	.hpo-branch ul {\n  list-style-type: none;\n  margin: 0;\n}\n.hpo-branch ul ul {\n  margin-left: 1.2em;\n}\n.hpo-branch > ul {\n  -moz-column-count: 2;\n  /* removing the following line until we can fix issue https://github.com/phenotips/phenotips/issues/865 more elegantly:\n  -webkit-column-count: 2; */\n  column-count: 2;\n}\n.hpo-branch .hpo-unknown {\n  margin-bottom: 0.5em;\n}\n.hpo-branch .term-entry {\n  display: inline-block;\n  width: 100%;\n  position: relative;\n}\n.hpo-branch .term-entry .info-tool {\n  cursor: help;\n}
8773870381975704130	description	A generic set of common phenotypes, covering most anatomical systems from top to bottom, and including neurological and behavioral signs.
-156395709663949507	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayFormatted('2-col' 'gender' '' 'gender' 'group-title')\n{{/velocity}}
-156395709663949507	parameters	title=$services.localization.render('phenotips.UIXField.gender')\nenabled=true\nrequired=\norder=7\nfields=gender\nprivacy_level=1
4391400638661747159	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('global_age_of_onset')\n{{/velocity}}
4391400638661747159	parameters	title=$services.localization.render('phenotips.UIXField.globalAgeOfOnset')\nenabled=true\norder=3\nrequired=\nfields=global_age_of_onset\nprivacy_level=1
-1098646284755533130	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#set ($origObj = $obj)\n#set ($obj = $doc.getObject('PhenoTips.AllergiesDataClass', true))\n#set ($origObjClass = $doc.getActiveClass())\n#set ($discard = $doc.use($obj))\n#set ($origClass = $class)\n#set ($class = $xwiki.getClass('PhenoTips.AllergiesDataClass'))\n##\n#__hasDataToDisplay('allergies', $showAllergies)\n#__hasBooleanDataToDisplay('NKDA' $showNKDA)\n#if ($showNKDA || $showAllergies)\n  (% class="fieldset allergies %)(((\n    #__label('allergies' 'section group-title' '')\n    #if ($xcontext.action == 'edit')\n      (% class="displayed-value"%)(((\n      $doc.display('NKDA') #__label('NKDA' '' "$class.get('NKDA').translatedPrettyName")\n      )))\n    #else\n      #if ($showNKDA)\n        (% class="displayed-value"%)(((\n        $class.get('NKDA').translatedPrettyName\n        )))\n      #end\n    #end\n    #if ($xcontext.action == 'edit' || ($doc.display('allergies') != ''))\n      #__display('allergies')\n    #end\n  )))\n#end\n##\n#set ($class = $origClass)\n#set ($discard = $doc.use($origObj))\n#set ($obj = $origObj)\n{{/velocity}}\n
-1098646284755533130	parameters	title=$services.localization.render('phenotips.UIXField.allergies')\nenabled=true\norder=2\nrequired=\nfields=\nprivacy_level=1
-4180717956669538269	content	
-4180717956669538269	parameters	title=$services.localization.render('phenotips.UIXSection.diagnosisInfo')\nenabled=true\nrequired=\norder=9
-8913398776091479712	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#__displayIfSet('multipleGestation', false)\n{{/velocity}}
-8913398776091479712	parameters	title=$services.localization.render('phenotips.UIXField.multipleGestation')\nenabled=true\nrequired=\norder=0\nfields=multipleGestation\nprivacy_level=3
-1036706414952163240	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n#set ($targetClassName = 'PhenoTips.VariantClass')\n#if ($xcontext.action == 'edit' || $doc.getObject($targetClassName))\n  #__extradata_displayTable($targetClassName, {'counter' : true, 'labels' : false, 'mode' : $xcontext.action})\n#end\n{{/velocity}}
-1036706414952163240	parameters	title=$services.localization.render('phenotips.UIXField.variants')\nenabled=true\nrequired=\norder=1\nfields=
1745400825667077915	code	(function () {\n  var init = function() {\n    var button = $('patient-consent-save');\n    button.observe('click', function(event) {\n      event.stop();\n      document.fire("xwiki:actions:save", {"continue" : true, "form" : button.up("form")});\n      document.observe('xwiki:document:saved', function(event) {\n        window.location.reload();\n      });\n    });\n  };\n  (XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);\n})();
-5413791625578606682	content	{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.jsx.use('PhenoTips.PatientConsent')##\n  #set ($consentObj = $doc.getObject('PhenoTips.PatientConsent'))\n  #if ("$!{consentObj}" == '')\n    #set ($consentObj = $doc.getObject('PhenoTips.PatientConsent', true))\n    $doc.save('Added Consent object', true)##\n  #end\n  #set ($consentClass = $consentObj.getxWikiClass())\n  #foreach ($property in $consentClass.getPropertyNames())\n    {{html clean='false' wiki='true'}}\n    <p><label>$consentObj.display($property, 'edit') $consentClass.get($property).translatedPrettyName</label></p>\n    {{/html}}\n\n  #end\n  {{html clean='false' wiki='false'}}##\n    <span class="buttonwrapper" id="patient-consent-save">##\n      <a class="button" href="#">Save</a>##\n    </span>##\n  {{/html}}##\n#end\n{{/velocity}}\n
-5413791625578606682	parameters	disabled=true
-226647626601705576	parameters	title=$services.localization.render('phenotips.UIXSection.measurementInfo')\nenabled=true\nrequired=\norder=5
-5003776548285228195	parameters	title=$services.localization.render('phenotips.UIXField.consanguinity')\nenabled=true\nrequired=\norder=8\nfields=consanguinity\nprivacy_level=3
-2676025870266436945	code	document.observe('xwiki:dom:loaded', function() {\n\n  var fetchGeneDetails = function(geneRefs, geneNames) {\n    if (!geneNames) {\n      geneNames = geneRefs.pluck('value');\n    }\n    var i = 0;\n    geneRefs.each(function (element) {\n      element._name = geneNames[i];\n      ++i;\n    });\n    geneNames = geneNames.findAll(function(n){return encodeURIComponent(n);});\n    if (geneNames.size() == 0) {\n      return;\n    }\n    var queryString = '?outputSyntax=plain&g=' + geneNames.join("&g=");\n    new Ajax.Request(new XWiki.Document('GeneNameService', 'PhenoTips').getURL('get') + queryString,\n       {\n         onCreate : function() {\n           geneRefs.each(function(element) {\n             var geneLinks = element.next('div.gene-links');\n             if (!geneLinks) {\n               geneLinks = new Element('div', {'class' : 'gene-links', style : 'min-height: 16px'});\n               element.insert({after: geneLinks});\n             }\n             geneLinks.addClassName('loading').update('');\n           });\n         },\n         onSuccess : function(response) {\n           geneRefs.each(function(element) {\n             var data = response.responseJSON;\n             var geneName = element._name;\n             var info = data && data.response && data.response[geneName] && data.response[geneName].external_ids;\n             if (info) {\n\n                var geneLinks = element.next('div.gene-links') || new Element('div', {'class' : 'gene-links'});\n                var externalDBs = [\n                          { name : 'GENECARDS', url : 'http://www.genecards.org/cgi-bin/carddisp.pl?gene=',          field : 'genecards_id'},\n                          { name : 'OMIM',      url : 'http://www.omim.org/entry/',                                  field : 'omim_id'},\n                          { name : 'Entrez',    url : 'http://www.ncbi.nlm.nih.gov/gene/?term=',                     field : 'entrez_id'},\n                          { name : 'RefSeq',    url : 'http://www.ncbi.nlm.nih.gov/nuccore/',                        field : 'refseq_accession'},\n                          { name : 'Ensembl',   url : 'http://useast.ensembl.org/Homo_sapiens/Gene/Compara_Tree?g=', field : 'ensembl_gene_id'}\n                ];\n                externalDBs.each(function (item) {\n                         var value = info[item.field];\n                         if (value) {\n                           if (!value.each) {\n                             value = [value];\n                           }\n                           value.each (function (id) {\n                             geneLinks.insert(new Element('a', {\n                               'href'   : item.url + id,\n                               'class'  : 'button secondary'\n                             }).update(item.name + ': ' + id).wrap('span', {'class' : 'buttonwrapper'}));\n                           });\n                         }\n                });\n                geneLinks.select('a').each(function(item) {\n                         item.observe('click', function(event) {\n                            event.stop();\n                            window.open(item.href);\n                         })\n                });\n                if (!element.__handleEmptyValue) {\n                   element.__handleEmptyValue = true;\n                   ['keyup', 'change', 'keypress'].each(function(eventName) {\n                     element.observe(eventName, function (event) {\n                       if (element.value == '') {\n                         geneLinks && geneLinks.update('');\n                       }\n                     })\n                   });\n                }\n             }\n           });\n         },\n         onComplete : function () {\n           geneRefs.each(function(element) {\n             var geneLinks = element.next('div.gene-links');\n             if (geneLinks) {\n               geneLinks.removeClassName('loading');\n             }\n           });\n         }\n       }\n    );\n  }\n\n  fetchGeneDetails($$('input.gene-name'));\n\n  $$('input.gene-name').invoke('observe', "ms:suggest:selected", function (event) {\n    fetchGeneDetails([event.findElement()], event.memo && [event.memo.value] || []);\n  });\n\n  document.observe("xwiki:dom:updated", function(event) {\n    if (event.memo && event.memo.elements) {\n      event.memo.elements.each(function (elt) {\n        fetchGeneDetails(elt.select('input.gene-name'));\n        elt.select('input.gene-name').invoke('observe', "ms:suggest:selected", function (event) {\n          fetchGeneDetails([event.findElement()], event.memo && [event.memo.value] || []);\n        });\n      });\n    }\n  })\n})
1589205948959054510	code	document.observe("xwiki:dom:loaded", function(event) {\n  var geneSuggestOptions = {\n            script: new XWiki.Document('GeneNameService', 'PhenoTips').getURL('get', 'outputSyntax=plain') + "&",\n            varname: "q",\n            noresults: "$services.localization.render('phenotips.UIXField.genes.noMatches')",\n            json: true,\n            resultsParameter : "docs",\n            resultId : 'symbol',\n            resultValue : 'symbol',\n            resultAltName : "alias_symbol",\n            enableHierarchy: false,\n            tooltip : 'gene-info',\n            resultInfo : {},\n            fadeOnClear : false,\n            timeout : 30000,\n            parentContainer : null\n  };\n\n  // -----------------------------------------------------------------\n  // Create and attach the suggests\n  // -----------------------------------------------------------------\n  var attachPickers = function() {\n    if (typeof(PhenoTips.widgets.Suggest) != "undefined") {\n      $$('input.suggest-gene').each(function(item) {\n        if (!item.hasClassName('initialized')) {\n          item._suggest = new PhenoTips.widgets.Suggest(item, geneSuggestOptions);\n          item.addClassName('initialized');\n        }\n      });\n    }\n  };\n  attachPickers();\n  document.observe("xwiki:dom:updated", attachPickers);\n});
-292098650624942187	code	.extradata-list td.counter {\n  width: 3em;\n}\n.extradata-list td.gene {\n  width: 50%;\n  text-align: left;\n}
-1548304891250386851	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n$xwiki.ssx.use('PhenoTips.UIX_Field__genes')##\n$xwiki.jsx.use('PhenoTips.UIX_Field__genes')##\n#set ($targetClassName = 'PhenoTips.InvestigationClass')\n#if ($xcontext.action == 'edit' || $doc.getObject($targetClassName))\n  === $services.localization.render('phenotips.UIXField.genes.sheetTitle')===\n\n  #__extradata_displayTable($targetClassName, {'counter' : true, 'labels' : false, 'propertyName' : 'type', 'propertyValue' : 'molecular', 'mode' : $xcontext.action, 'rejectToClass' : "RejectedGenesClass"})\n#end\n{{/velocity}}
-1548304891250386851	parameters	title=$services.localization.render('phenotips.UIXField.genes')\nenabled=true\nrequired=\norder=1\nfields=\nprivacy_level=1
-507856605642471160	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('global_mode_of_inheritance')\n{{/velocity}}
-507856605642471160	parameters	title=$services.localization.render('phenotips.UIXField.globalModeOfInheritance')\nenabled=true\nrequired=\norder=12\nfields=global_mode_of_inheritance\nprivacy_level=1
110755453634907383	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  (% class="ncbi-search-box" %)(((\n    === $services.localization.render('phenotips.UIXField.diagnosisSuggestions.omimSearch')===\n\n    (% class="ncbi-search-box-content"%)(((\n      (% class="hint"%)$services.localization.render('phenotips.UIXField.diagnosisSuggestions.omimSearch.Hint')(%%)\n      {{html wiki=false clean=false}}<input type="hidden" id="defaultSearchTermsInput" value="" /><input type="hidden" id="defaultSearchTermIDsInput" value="" />{{/html}}\n      (% id="defaultSearchTerms" %)((()))\n      ##(% class="hint"%)$services.localization.render('phenotips.UIXField.diagnosisSuggestions.omimSearch.defaultTerms')(%%)\n      ## {{html wiki=false clean=false}}<input type="text" id="customSearchTermsInput" value="" />{{/html}}\n      (% class="background-search omim-search hidden" %)(((\n        ====$services.localization.render('phenotips.UIXField.diagnosisSuggestions.omimSearch.matchingDisorders')====\n        (% id="omim-search-results" class="background-suggestions" %)((()))\n      )))\n    )))\n  )))## ncbi-search-box\n  (% class="clear" %)((()))\n#end\n{{/velocity}}
110755453634907383	parameters	title=$services.localization.render('phenotips.UIXField.diagnosisSuggestions')\nenabled=true\nrequired=\norder=4\nfields=\nprivacy_level=1
-5096871906417101995	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayFormatted('2-col' 'gestation' '' '' '')\n{{/velocity}}
-5096871906417101995	parameters	title=$services.localization.render('phenotips.UIXField.gestation')\nenabled=true\nrequired=\norder=1\nfields=gestation\nprivacy_level=3
2637663411216547790	code	var XWiki = (function(XWiki) {\n  var init = function(event) {\n    ((event && event.memo.elements) || [$('body')]).each(function(element) {\n      element.select(".mandatory input[type='text']").each(function(element) {\n        if (!element.__validation) {\n          element.__validation = new LiveValidation(element, {validMessage: '', wait : 500});\n        }\n        element.__validation.add(Validate.Presence, {failureMessage: "$services.localization.render('phenotips.PatientSheetCode.failureEnterValue')"});\n      });\n      element.select(".mandatory input[type='checkbox']").each(function(element) {\n        if (!element.__validation) {\n          element.__validation = new LiveValidation(element, {validMessage: '', wait : 500});\n        }\n        element.__validation.add(Validate.Acceptance, {failureMessage: "$services.localization.render('phenotips.PatientSheetCode.failureTickCheck')"});\n      });\n    });\n    return true;\n  };\n\n  (XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe("xwiki:dom:updated", init);\n\n  // End XWiki augmentation.\n  return XWiki;\n}(XWiki || {}));\n\n// Returns true if birth_date is before than death_date, false if birth_date is after death_date and undefined if they cannot be compared\n// A decade value is understood as the first day of the decade for a birth date, and the last day of the decade for a death date \n// (so only the years are compared)\nvar isDateAfter = function(birth_date, death_date) {\n\n   var birth = birth_date;\n   var death = death_date;\n   var used_decade = false;\t \n\n   if (birth.decade && !birth.year) {\n     birth.year = birth.decade.substring(0, birth.decade.length-1);\n     used_decade = true;\n   }\n   if (death.decade && !death.year) {\n     death.year = Number(death.decade.substring(0, death.decade.length-1)) + 9;\n     used_decade = true;\n   }\n  \n   // compare years\n   if (typeof birth.year == "undefined" || typeof death.year == "undefined") {\n      // dates cannot be compared\n      return;\n   }\n   if (birth.year < death.year) {\n      return true;\n   }\n   if (birth.year > death.year) {\n      return false;\n   }\n   if (used_decade) {\n     // here birth.year == death.year\n     return true;\n   }\n\n   // years are the same, compare months\n   if (typeof birth.month == "undefined" || typeof death.month == "undefined") {\n      // dates cannot be compared\n      return;\n   }\n   if (birth.month < death.month) {\n      return true;\n   }\n   if (birth.month > death.month) {\n      return false;\n   }\n\n   // months are the same, check days\n   if (typeof birth.day == "undefined" || typeof death.day == "undefined") {\n      // dates cannot be compared\n      return;\n   }\n   if (birth.day < death.day || birth.day == death.day) {\n      return true;\n   } else {\n      return false;\n   }\n}\n\nvar is_death_date_after_birth_date = function () {\n   var birth_date = $$("[id$='date_of_birth_entered']")[0].value.evalJSON();\n   var death_date = $$("[id$='date_of_death_entered']")[0].value.evalJSON();\n   if (isDateAfter(birth_date,death_date) == false) {\n      Validate.fail("$services.localization.render('phenotips.PatientSheetCode.birthDate.afterDeathDate')");\n   } else {\n      return true;\n   }\n}\n\n// registers LiveValidation and birth/death dates observers\ndocument.observe('xwiki:dom:loaded', function() \n{\n  var date_of_birth = $$("[id$='date_of_birth']")[0];\n  var date_of_death = $$("[id$='date_of_death']")[0];\n\n  if (typeof date_of_birth == "undefined" || typeof date_of_death == "undefined") {\n     return;\n  }\n\n  var validate_birth_death_dates = function() {\n     date_of_death.__validation.validate();\n  }\n\n  date_of_birth.observe('xwiki:date:changed', validate_birth_death_dates);\n  date_of_death.observe('xwiki:date:changed', validate_birth_death_dates);\n\n  date_of_death.__validation = new LiveValidation(date_of_death);\n  date_of_death.__validation.add(is_death_date_after_birth_date);\n  \n  // when date of death years are given as a decade, the value of that field is empty.\n  // LiveValidation does not show error message on this case\n  date_of_death.__validation.displayMessageWhenEmpty = true;\n});\n\n
1060398250106611517	code	var XWiki = (function(XWiki) {\n  var init = function() {\n    // ------------------------------------------------------------------------\n    // Creation of suggest widgets\n\n    // hpo: namespace:medical_genetics\n    // go : namespace:\n    var suggestionsMapping = {\n        "hpo" : {\n            script: new XWiki.Document('SolrService', 'PhenoTips').getURL("get") + "?",\n            queryProcessor: typeof(PhenoTips.widgets.SolrQueryProcessor) == "undefined" ? null : new PhenoTips.widgets.SolrQueryProcessor({}, {}),\n            varname: "q",\n            noresults: "No matching terms",\n            json: true,\n            resultsParameter : "rows",\n            resultId : "id",\n            resultValue : "name",\n            resultAltName: "synonym",\n            resultCategory : "term_category",\n            resultInfo : {},\n            tooltip: 'phenotype-info',\n            enableHierarchy: true,\n            resultParent : "is_a",\n            fadeOnClear : false,\n            timeout : 30000,\n            parentContainer : null\n        },\n        "omim" : {\n            script: new XWiki.Document('SolrService', 'PhenoTips').getURL("get", "vocabulary=omim") + "&",\n            varname: "q",\n            noresults: "No matching terms",\n            json: true,\n            resultsParameter : "rows",\n            resultId : "id",\n            resultValue : "name",\n            resultInfo : {\n                           "Locus"      : {"selector"  : "Locus"}\n                         },\n            tooltip: 'omim-disease-info',\n            enableHierarchy: false,\n            fadeOnClear : false,\n            timeout : 30000,\n            parentContainer : null\n        }\n    };\n    var pickerSpecialClassOptions = {\n      'defaultPicker' : {},\n      'quickSearch' : {\n                  'showKey' : false,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : false,\n                  'inputType': 'checkbox',\n                  'listInsertionElt' : $(document.documentElement).down('.phenotype-info div.phenotype-group.catch-all .phenotype-other'),\n                  'listInsertionPosition' : 'top',\n                  'predefinedEntries' : $(document.documentElement).down('.phenotype'),\n                  'silent' : true,\n                  'onItemAdded' : restoreCategory\n                },\n      'generateShortList' : {\n                  'showKey' : true,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : false,\n                  'inputType': 'checkbox'\n                },\n      'generateCheckboxes' : {\n                  'showKey' : false,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : false,\n                  'inputType': 'checkbox',\n                  'listInsertionElt' : '.label-other',\n                  'listInsertionPosition' : 'before',\n                  'onItemAdded' : enableHighlightChecked\n                },\n      'generateYesNo' : {\n                  'showKey' : false,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : false,\n                  'inputType': 'checkbox',\n                  'listInsertionElt' : '.label-other',\n                  'listInsertionPosition' : 'before',\n                  'predefinedEntries' : $(document.documentElement),\n                  'onItemAdded' : enableHighlightChecked\n                }\n    }\n    // ------------------------------------------------------------------------\n    // Generate selection summary\n    // ------------------------------------------------------------------------\n    selectionSummary = $('current-phenotype-selection');\n    if (selectionSummary) {\n        selectionSummary._updateVisibility = function() {\n           if (!this.down('.group-contents input[type="checkbox"]')) {\n             this.up().style.visibility = 'hidden';\n           } else {\n             this.up().style.visibility = '';\n           }\n        }.bind(selectionSummary);\n\n        $$('.browse-phenotype-categories .phenotype-group h3').each(function(groupTitle) {\n           var group = new Element('div', {'class' : 'summary-group', id : 'summary-group-' + groupTitle.id});\n           group.insert({\n             top: new Element('h3').update(groupTitle.down('span:not(.expand-tool)').innerHTML),\n             bottom: new Element('div', {'class' : 'group-contents'})\n           });\n           selectionSummary.insert(group);\n           group._updateGroupVisibility = function() {\n             if (!this.down('.group-contents input')) {\n               this.hide();\n             } else {\n               this.show();\n             }\n             selectionSummary._updateVisibility();\n           }.bind(group);\n           group._find = function(value, type) {\n             return this.down('.group-contents .' + type + ' input[value="' + value + '"]');\n           }.bind(group);\n           group._add = function(element) {\n             this.down('.group-contents').insert(element) ;\n           }.bind(group);\n           group._updateGroupVisibility();\n        });\n        selectionSummary._getGroup = function(name) {\n          return $('summary-group-' + name);\n        }.bind(selectionSummary);\n\n        selectionSummary._find = function(value, type) {\n             return this.down('.summary-group .summary-item .' + type + ' input[value="' + value + '"]');\n        }.bind(selectionSummary);\n\n        selectionSummary._silentRemove = function(value, type, sectionId) {\n             var exists = this._find(value,type);\n             if (exists) {\n               var group = exists.up('.summary-group');\n               if (sectionId && this._getGroup(sectionId) != group) {return;}\n               exists.up('.summary-item').remove();\n               if (!group) {return;}\n               group._updateGroupVisibility();\n             }\n        }.bind(selectionSummary);\n        selectionSummary._remove = function(value, type) {\n             var exists = this._find(value, type);\n             if (exists) {\n               var source = exists.up('.summary-item').__source;\n               if (source._ynpicker) {\n                 source._ynpicker._onUnselect();\n               } else {\n                 source.click();\n               }\n             }\n        }.bind(selectionSummary);\n\n        selectionSummary._preparePreview = function(pdItem) {\n          var details ='';\n          var commentPreview = pdItem.down('.comments-preview');\n          var comment = pdItem.down('.comments textarea');\n          if (comment) {\n             if (!commentPreview) {\n               commentPreview = new Element('dd', {'class' : 'comments-preview preview' });\n               comment.up().insert({after: commentPreview});\n             }\n             commentPreview.update(comment.value.escapeHTML());\n             commentPreview.title = comment.value;\n             details += comment.value;\n          } else {\n            if (commentPreview) {commentPreview.update('');}\n          }\n\n          var qualifiers = [\n             'age_of_onset',\n             'pace_of_progression',\n             'severity',\n             'temporal_pattern',\n             'spatial_pattern',\n             'laterality'\n          ];\n          qualifiers.each (function (qualifier) {\n             var qualifierPreview = pdItem.down('.' + qualifier + '-preview');\n             var qualifierElt = false;\n             pdItem.select('.' + qualifier + ' input[type="radio"]').each(function(item) {\n               if (item.checked && item.value != '') {\n                 qualifierElt = item;\n               }\n             });\n             if (qualifierElt) {\n               if (!qualifierPreview) {\n                 qualifierPreview = new Element('dd', {'class' : qualifier + '-preview preview' });\n                 qualifierElt.up('dd').insert({after: qualifierPreview});\n               }\n               qualifierPreview.update(qualifierElt.title);\n               details += qualifierElt.title;\n             } else {\n               if (qualifierPreview) {qualifierPreview .update('');}\n             }\n          });\n          var noPreview = pdItem.down('.no-preview');\n          if (details.strip() == '') {\n            if (!noPreview) {\n               noPreview = new Element('dd', {'class' : 'no-preview preview' });\n               pdItem.insert({bottom: noPreview});\n            }\n            noPreview.update("$services.localization.render('phenotips.patientSheetCode.termSuggest.noAdditionalInfo')");\n          } else {\n            noPreview && noPreview.update('');\n          }\n\n          pdItem.addClassName('collapsed');\n        }.bind(selectionSummary);\n\n        selectionSummary._focusDetails = function(info) {\n          var pfTarget;\n          if (typeof (info.findElement) == 'function') {\n            pdTarget = info.findElement('.phenotype-details');\n          } else if (typeof (info.up) == 'function') {\n            pdTarget = info;\n          } else {\n            return;\n          }\n          if (this._crtFocus && pdTarget != this._crtFocus) {\n             this._crtFocus.removeClassName('focused');\n             this._preparePreview(this._crtFocus);\n          }\n          if (pdTarget) {\n             this._crtFocus = pdTarget;\n             pdTarget.addClassName('focused');\n             pdTarget.removeClassName('collapsed');\n             var doneBtn = pdTarget.down('.action-done');\n             if (!doneBtn) {\n               doneBtn = new Element('div', {'class' : 'action-done'}).update('×');\n               pdTarget.insert(doneBtn);\n               doneBtn.observe('click', function(event) {\n                 event.stop();\n                 selectionSummary._preparePreview(pdTarget);\n                 pdTarget.removeClassName('focused');\n               });\n             }\n          } else {\n             this._crtFocus = undefined;\n          }\n        }.bind(selectionSummary);\n\n        document.observe("click", function(event) {\n           selectionSummary._focusDetails(event);\n        });\n\n        selectionSummary._updateSummary = function(inputElt, type, forceUpdate) {\n          if (!inputElt || !inputElt.value) {return}\n          var sectionId = inputElt.up('.phenotype-group') && inputElt.up('.phenotype-group').down('h3');\n          if (sectionId) {\n            sectionId = sectionId.id;\n          } else {\n            return;\n          }\n          if (inputElt.checked) {\n             if (forceUpdate) {\n                this._silentRemove(inputElt.value, type);\n             }\n             var exists = this._find(inputElt.value, type);\n             if (!exists) {\n               var group = this._getGroup(sectionId);\n               if (!group) {return;}\n               var isCustomEntry = !inputElt.value.startsWith("HP:");\n               var newItem = new Element('div', {'class' : 'summary-item' + (isCustomEntry ? ' custom-entry': '')}).update(\n                  new Element('label', {'class' : type}).insert({\n                     'top': new Element('input', {'value' : inputElt.value, checked : 'checked', type : 'checkbox', 'class': 'hidden'}),\n                     'bottom' : inputElt.title.escapeHTML() || inputElt.nextSibling.nodeValue.escapeHTML() || inputElt.nextSibling.firstChild.nodeValue.escapeHTML() || inputElt.value.escapeHTML()\n                  })\n               );\n               if (isCustomEntry) {\n                 newItem.insert({top: new Element('span', {'class': "fa fa-exclamation-triangle", title: "$services.localization.render('phenotips.patientSheetCode.termSuggest.nonStandardPhenotype')"}).update(' ')})\n               }\n               newItem.__source = inputElt;\n               var tools = new Element('span', {'class' : 'tools hint'});\n               var deleteTool = new Element('span', {'class' : 'buttonwrapper'}).insert(\n                 new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update("$services.localization.render('phenotips.patientSheetCode.termSuggest.delete')")\n               );\n\n               tools.insert(deleteTool);\n               deleteTool.observe('click', function(event) {\n                 var source = event.findElement('.summary-item').__source;\n                 if (source._ynpicker) {\n                   source._ynpicker._onUnselect();\n                 } else {\n                   source.click();\n                 }\n               });\n               var detailsUrl = $('phenotype-meta-add-action') && $('phenotype-meta-add-action').value;\n             if (detailsUrl) {\n               var detailsTool = new Element('span', {'class' : 'buttonwrapper'}).insert(\n                 new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update("$services.localization.render('phenotips.patientSheetCode.termSuggest.addDetails')")\n               );\n               var clearTool = new Element('span', {'class' : 'buttonwrapper'}).insert(\n                 new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update("$services.localization.render('phenotips.patientSheetCode.termSuggest.clearDetails')")\n               );\n               var editTool = new Element('span', {'class' : 'buttonwrapper'}).insert(\n                 new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update("$services.localization.render('phenotips.patientSheetCode.termSuggest.editDetails')")\n               );\n               var editClearTools = new Element('span').insert(editTool).insert(clearTool);\n               tools.insert(detailsTool).insert(editClearTools);\n               detailsTool.observe('click', function(event) {\n                 var source = event.findElement('.summary-item');\n                 var detailsElt = new Element('div', {'class' : 'phenotype-details loading'}).update("$services.localization.render('phenotips.patientSheetCode.termSuggest.loading')");\n                 source.insert(detailsElt);\n                 var addTrigger = event.findElement('.buttonwrapper');\n                 addTrigger.hide();\n                 clearTool.__target = detailsElt;\n                 editTool.__target = detailsElt;\n                 editClearTools.show();\n\n                 if (addTrigger.disabled) {\n                   return;\n                 }\n                 var url = detailsUrl.replace(/([&?]classname=)(.*?)([&$])/, "$1$2&$2_target_property_name=" + inputElt.name.replace(/^.*_\\d+_/, '') + "&$2_target_property_value=" + encodeURIComponent(inputElt.value) + "$3");\n                 new Ajax.Request(url, {\n                   onCreate : function() {\n                     addTrigger.disabled = true\n                     addTrigger._x_notif = new XWiki.widgets.Notification('Adding...', 'inprogress');\n                   },\n                   onSuccess : function (response) {\n                     addTrigger._x_notif.hide();\n                     detailsElt.update(response.responseText);\n                     selectionSummary._givePhenotypeQualifiersCollapseButtons(detailsElt);\n                     detailsElt.removeClassName('loading');\n                     selectionSummary._focusDetails(detailsElt);\n                     detailsElt.select('input, textarea').invoke('observe', 'focus', function(event){selectionSummary._focusDetails(detailsElt)});\n                     var deleteUrl = detailsElt.down('input[name="delete-action"]');\n                     if (deleteUrl) {\n                       deleteUrl = deleteUrl.value;\n                       deleteUrl && (clearTool.__url = deleteUrl);\n                     }\n                     Event.fire(document, 'xwiki:dom:updated', {'elements' : [detailsElt]});\n                   }.bind(this),\n                   onFailure : function(response) {\n                     var failureReason = response.statusText;\n                     if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                       failureReason = 'Server not responding';\n                     }\n                     if (addTrigger._x_notif) {\n                       addTrigger._x_notif.replace(new XWiki.widgets.Notification("Failed: " + failureReason, "error"));\n                     } else {\n                       new XWiki.widgets.Notification(this.interactionParameters.failureMessageText + failureReason, "error");\n                     }\n                   },\n                   on1223 : function(response) {\n                     response.request.options.onSuccess(response);\n                   },\n                   on0 : function(response) {\n                     response.request.options.onFailure(response);\n                   },\n                   onComplete : function() {\n                     addTrigger.disabled = false\n                   }\n                 });\n               });\n               var existingDetails = $('phenotypeMeta__' + inputElt.name + '__' + inputElt.value);\n               if (existingDetails) {\n                  var detailsElt = new Element('div', {'class' : 'phenotype-details'});\n                  var deleteUrl = existingDetails.next('input[name="delete-action"]');\n                  if (deleteUrl) {\n                     deleteUrl = deleteUrl.value;\n                     deleteUrl && (clearTool.__url = deleteUrl);\n                     clearTool.__target = detailsElt;\n                     editTool.__target = detailsElt;\n                  }\n                  detailsElt.update(existingDetails);\n                  selectionSummary._preparePreview(detailsElt);\n                  detailsElt.select('input, textarea').invoke('observe', 'focus', function(event){selectionSummary._focusDetails(detailsElt)});\n                  detailsTool.hide();\n               }  else {\n                  editClearTools.hide();\n               }\n               editTool.observe('click', function(event) {\n                 var target = event.findElement('.buttonwrapper').__target;\n                 if (!target.hasClassName('focused')) {\n                   event.stop();\n                   selectionSummary._focusDetails(target);\n                 }\n               });\n               clearTool.observe('click', function(event) {\n                 event.stop();\n                 var deleteTrigger = event.findElement('.buttonwrapper');\n                 if (deleteTrigger.disabled) {\n                    return;\n                 }\n                 if (deleteTrigger.__url) {\n                   new XWiki.widgets.ConfirmedAjaxRequest(deleteTrigger.__url, {\n                     onCreate : function() {\n                       deleteTrigger.disabled = true\n                     },\n                     onSuccess : function() {\n                       if (deleteTrigger.__target) {\n                         deleteTrigger.__target.remove();\n                         delete deleteTrigger.__target;\n                       }\n                       delete deleteTrigger.__url;\n                       deleteTrigger.up().hide();\n                       detailsTool.show();\n                     },\n                     onComplete : function() {\n                       deleteTrigger.disabled = false;\n                     }\n                   },\n                   {\n                      confirmationText : "$services.localization.render('phenotips.PatientSheetCode.deleteConfirmation')"\n                   });\n                 }\n               });// clearTool.observe('click'\n             } // detailsUrl exists\n               newItem.insert(tools);\n               detailsElt && newItem.insert(detailsElt);\n               group._add(newItem);\n               group._updateGroupVisibility();\n               Event.fire(document, "summary-item:added", {element: newItem});\n             }\n          } else {\n             this._silentRemove(inputElt.value, type, sectionId);\n          }\n        }.bind(selectionSummary);\n\n        selectionSummary._givePhenotypeQualifiersCollapseButtons = function (elem) {\n            var collapseContainers = elem.select("dt .collapse-button");\n            collapseContainers.each(function(e){\n                e.update(PhenoTips.widgets.OntologyBrowser.prototype._getExpandCollapseSymbol(true));\n                var header = e.up();\n                var dataContainer = header.next();\n                var selectedOption = dataContainer.down("input[type='radio']:checked");\n                var selectedName = new Element('span', {'class' : (selectedOption && selectedOption.value && 'selected' || 'none')}).update(\n                    selectedOption && selectedOption.readAttribute('title') || ''\n                );\n                header.insert({bottom: selectedName});\n                var cClassName = "collapsed";\n                header.addClassName("collapsible");\n                dataContainer.addClassName(cClassName);\n\n                header.observe('click', function() {\n                    if (dataContainer.hasClassName(cClassName)) {\n                        dataContainer.removeClassName(cClassName);\n                        e.update(PhenoTips.widgets.OntologyBrowser.prototype._getExpandCollapseSymbol(false));\n                    } else {\n                        dataContainer.addClassName(cClassName);\n                        e.update(PhenoTips.widgets.OntologyBrowser.prototype._getExpandCollapseSymbol(true));\n                    }\n                });\n                dataContainer.select("input[type='radio']").each(function(radio) {\n                    radio.observe('click', function(){\n                        dataContainer.addClassName(cClassName);\n                        selectedName.update(radio.readAttribute('title'));\n                        if (radio.value) {\n                          selectedName.addClassName('selected');\n                          selectedName.removeClassName('none');\n                        } else {\n                          selectedName.removeClassName('selected');\n                          selectedName.addClassName('none');\n                        }\n                        e.update(PhenoTips.widgets.OntologyBrowser.prototype._getExpandCollapseSymbol(true));\n                    });\n                });\n            });\n        }.bind(selectionSummary);\n\n        selectionSummary._updateVisibility();\n    }\n    // -----------------------------------------------------------------\n    // Create and attach the suggests\n    // -----------------------------------------------------------------\n    if (typeof(PhenoTips.widgets.Suggest) != "undefined") {\n\n      // close all suggest pickers when clicking outside the picker and dialogues invoked by the picker\n      document.observe('mousedown', function(event) {\n        if (!event.findElement('.suggestItems') && !event.findElement('.dialog-ontology-browser')) {\n          $$('.suggestItems').each(function(item) {\n            if (item.__targetField && (item.__targetField._suggest || item.__targetField._suggestWidget)) {\n              (item.__targetField._suggest || item.__targetField._suggestWidget).clearSuggestions();\n             }\n          });\n        }\n      });\n\n      var keys = Object.keys(suggestionsMapping);\n      var specialClasses = Object.keys(pickerSpecialClassOptions);\n      for (var i = 0; i < keys.length; i++) {\n        var selector = 'input.suggest-' + keys[i] + ':not(.initialized)';\n        $$(selector).each(function(item) {\n          if (!item.hasClassName('initialized')) {\n            item._customOptions = Object.clone(suggestionsMapping[keys[i]]);\n            item._restriction = item.up('.phenotype-group')\n            if (item._restriction) {\n              item._restriction = item._restriction.down('input[name=_category]');\n              if (item._restriction && item._restriction.value.strip() != '') {\n                item._restriction = item._restriction.value.strip().split(",");\n              } else {\n                item._restriction = null;\n              }\n            }\n            if (item._customOptions.queryProcessor && item._restriction) {\n              item._customOptions.queryProcessor = Object.clone(item._customOptions.queryProcessor);\n              item._customOptions.queryProcessor.restriction = {\n                'term_category' : item._restriction\n              }\n            }\n            // Create the Suggest.\n            item._suggest = new PhenoTips.widgets.Suggest(item, item._customOptions);\n            if (item.hasClassName('multi') && typeof(PhenoTips.widgets.SuggestPicker) != "undefined") {\n              var multiSuggestOptions = {};\n              for (var j = 0; j < specialClasses.length; j++) {\n                if (item.hasClassName(specialClasses[j])) {\n                  multiSuggestOptions = pickerSpecialClassOptions[specialClasses[j]];\n                  // FIXME! If the input has more than one special class, does the ordering declared in pickerSpecialClassOptions guarantee we choose the right one?\n                  break;\n                }\n              }\n              var suggestPicker = new PhenoTips.widgets.SuggestPicker(item, item._suggest, multiSuggestOptions);\n              item._suggestPicker = suggestPicker;\n\n              // Integrate the custom fields\n              // 1. find the container element displaying them\n              var customFieldsContainer = suggestPicker.list.up().down('.custom-display-data');\n              if (customFieldsContainer) {\n                 // 2. get rid of the container\n                 customFieldsContainer.remove();\n                 // 3. find all the values and display them as part of the multi suggest picker\n                 var tmp = suggestPicker.silent;\n                 suggestPicker.silent = true;\n                 customFieldsContainer.select('.term-entry').each(function(entry) {\n                   var negativeCheckbox = entry.down('.yes-no-picker .no input');\n                   var value =  entry.down('input[type="checkbox"]').value;\n                   var text = negativeCheckbox && negativeCheckbox.title || entry.down('input[type="checkbox"]').title;\n                   var category = entry.down('.term-category');\n                   if (negativeCheckbox && negativeCheckbox.checked) {\n                     var negative = new Element('input', {type: 'hidden', name : 'fieldName', value : negativeCheckbox.name});\n                     category && category.insert(negative) || (category = negative);\n                   }\n                   suggestPicker.addItem(value, text, '', category || '');\n                 });\n                 suggestPicker.silent = tmp;\n              }\n\n            }\n            item.addClassName('initialized');\n\n            // ------------------------------------------------------------------------\n            // Add y/n pickers to generated suggestions\n            if (item.hasClassName('generateYesNo')) {\n              item.observe("ms:suggest:suggestionCreated", function(event) {\n                var negativeName = item.name.replace(/(_\\d+)_/, "$1_negative_").replace(/__suggested$/, '');\n                var suggestion = event.memo && event.memo.element;\n                if (suggestion) {\n                  var suggest = event.memo.suggest;\n                  var value =  suggestion.down(".suggestId").firstChild.nodeValue;\n                  var text =  suggestion.down(".suggestValue").firstChild.nodeValue;\n                  var ynpicker = YesNoPicker.generatePickerElement([\n                    {type: 'yes', selected: isValueSelected(item.name.replace(/__suggested$/, ''), value)},\n                    {type: 'no' , selected: isValueSelected(negativeName, value)}\n                  ], value, text);\n                  suggestion.down(".suggestValue").up().insert({top: ynpicker});\n                  // Prevent click events from the label from activating the suggestion selection twice because of being forwarded to the input\n                  ynpicker.select('input').invoke('observe', 'click', function(event) {event.stop()});\n\n                  // Make it clear visually that clicking on the suggestion is equivalent to clicking on Y\n                  suggestion.observe('mouseover', function(event) {\n                    suggestion.down('label.yes').addClassName('highlighted');\n                  })\n                  suggestion.observe('mouseout', function(event) {\n                    suggestion.down('label.yes').removeClassName('highlighted');\n                  })\n                  suggestion.down('label.no').observe('mouseover', function(event) {\n                    event.stop();\n                    event.findElement().addClassName('highlighted');\n                    event.findElement().previous('label.yes').removeClassName('highlighted');\n                  })\n                  suggestion.down('label.no').observe('mouseout', function(event) {\n                    event.findElement().removeClassName('highlighted');\n                  })\n\n                  // Keep the default behavior for the Y button\n                  //  but capture the N button clicks and make sure the value is selected for the negative property field\n                  var nLabel = ynpicker.down('.no');\n                  nLabel.observe('click', function(event) {\n                    var predefinedCheckBox = $(negativeName + "_" + value);\n                    if (predefinedCheckBox && !predefinedCheckBox.checked) {\n                      predefinedCheckBox._ynpicker._onNo();\n                      suggest.clearSuggestions();\n                      suggest.fld.value = '';\n                      suggest.fld.focus();\n                      suggest.fld.blur();\n                      event.stop();\n                    }\n                    suggestion.down('.suggestCategory').insert({\n                      top : new Element('input', {type: 'hidden', name : 'fieldName', value : negativeName, 'class' : 'no'})\n                    });\n                    suggestion.down('.suggestCategory').select('input[name]').each(function(category) {\n                      category.name = category.name.replace(/(_\\d+)_/, "$1_negative_");\n                    });\n                  });\n                }\n              });\n            }\n          }\n        });\n      }\n\n      // ------------------------------------------------------------------------\n      // Complete selection summary behavior\n      // ------------------------------------------------------------------------\n       if (selectionSummary) {\n        $$('.browse-phenotype-categories .phenotype-group .term-label.selected input, .browse-phenotype-categories .accepted-suggestion.selected input').each(function(input) {\n           selectionSummary._updateSummary(input);\n        });\n        $$('.browse-phenotype-categories .phenotype-group .accepted-suggestions').invoke('addClassName', 'hidden');\n        $$('.browse-phenotype-categories .phenotype-group .suggest-hpo.multi').each(function (sItem){\n           if (sItem._suggest) {\n             sItem._suggest.silent = true;\n           }\n        });\n        document.observe('phenotype:selected', function(event) {\n          if (!event.memo || !event.memo.key) {return;}\n          if (!event.memo.enable) {\n            selectionSummary._silentRemove(event.memo.key, event.memo.type);\n          }\n        });\n        document.observe("custom:selection:category:changed", function(event) {\n          if (!event.memo || !event.memo.customElement) {return;}\n          var input = event.memo.customElement.select('input').find(function(item) { return item.checked; });\n          selectionSummary._updateSummary(input, input.up('label.no') ? 'no' : 'yes', true);\n        });\n      }\n\n      // ------------------------------------------------------------------------\n      // Add dropdowns to all predefined elements\n      // ------------------------------------------------------------------------\n      $$('.phenotype-group, .prenatal_phenotype-group').each(function(group) {\n        var sugestedInput = group.down('.suggested.multi');\n        if (sugestedInput) {\n          group.select('.predefined-entries label.term-entry > input[type=checkbox], .predefined-entries .term-entry .yes-no-picker .yes input[type=checkbox]').each(function(item) {\n            var item_subsection = item.up('.subsection');\n            if (item_subsection) {\n              if (item_subsection.hasClassName('single-select')){\n                 // TODO: ensure single select within this group\n              }\n            }\n            item._dropDown = new PhenoTips.widgets.DropDown(item.up('.term-entry'));\n            item._trigger = new Element('span', {'class' : 'expand-tool'}).update(PhenoTips.widgets.OntologyBrowser.prototype._getExpandCollapseSymbol(true));\n            item._trigger._source = item;\n            item._trigger._root = item.up('.term-entry');\n            item._trigger._root.insert({'top' : item._trigger});\n\n            var __loadOntologyBranch = function(source, doExpand) {\n              source._ontologyBrowser || (source._ontologyBrowser = new PhenoTips.widgets.OntologyBrowser(\n                sugestedInput._suggest,\n                source._dropDown,\n                {\n                  isTermSelected : isPhenotypeSelected,\n                  unselectTerm : unselectPhenotype,\n                  showParents: false,\n                  showRoot: false,\n                  defaultEntryAction: 'select',\n                  enableBrowse: false\n                }\n              ));\n              source._ontologyBrowser.show(source.value);\n              if (!doExpand) {\n                source._ontologyBrowser.hide();\n              }\n            }\n\n            if (item._trigger._root.hasClassName('dropdown-root')) {\n              item._trigger.observe('click', function(event) {\n                event.stop();\n                var trigger =  event.element();\n                var source  =  trigger._source;\n                var root    =  trigger._root;\n                __loadOntologyBranch(source, !root._expanded);\n\n                trigger.update(source._ontologyBrowser._getExpandCollapseSymbol(root._expanded));\n                root._expanded = !root._expanded;\n              });\n            } else {\n              item._trigger.addClassName('disabled');\n            }\n\n            // Info buttons behavior\n            item.up('.term-entry').insert(' ').insert(new Element('span', {'class' : 'fa fa-info-circle phenotype-info xHelpButton', title : item.value}));\n\n            // ------------------------------------------------------------------------\n            // Add  y/n selection\n            // ------------------------------------------------------------------------\n            var ynPickerElt = item.up('.yes-no-picker');\n            if (ynPickerElt) {\n              item._ynpicker = new YesNoPicker(ynPickerElt, item.up('.term-entry').down('.yes-no-picker-label'), true);\n              enableHighlightChecked(item, true);\n              var negItem = ynPickerElt.down('.no input');\n              if (negItem) {\n                enableHighlightChecked(negItem, true);\n                negItem._ynpicker = item._ynpicker;\n              }\n            }\n          });\n        }\n      });\n\n      // ------------------------------------------------------------------------\n      // Sync dynamic subtree selections\n      // ------------------------------------------------------------------------\n      var fieldName = '';\n      var source = '';\n      var categories = '';\n      var DO_EXPAND = !selectionSummary;\n      var syncTermCategory = function(term) {\n        var field = $(document.documentElement).down('label.term-label.dropdown-root input[type=checkbox][name=' + fieldName + '][value=' + term +']');\n        if (field) {\n          var subtermsInCategory = $$('label.accepted-suggestion[for^=' + fieldName + '_] + .term-category input[type=hidden][value=' + term + ']');\n          var selectedSubterms  = 0;\n          var countIfSelectedSubterm = function (categoryElement) {\n            var subtermElement = categoryElement.up('li').down('label.accepted-suggestion input[type=checkbox]');\n            if (subtermElement && subtermElement.checked) {\n              ++selectedSubterms;\n            }\n          };\n          subtermsInCategory.each(countIfSelectedSubterm);\n          if (selectedSubterms > 0) {\n            //if (source) {source.addClassName('invisible');}\n            field.up('label').addClassName('subterm-selected');\n            if (DO_EXPAND && field._ontologyBrowser && field._trigger && field._trigger._root) {\n              field._ontologyBrowser.show(field.value);\n              field._trigger.update(field._ontologyBrowser._getExpandCollapseSymbol(false));\n              field._trigger._root._expanded = true;\n              var sourceInput = source && source.down('input[type=checkbox]');\n              if (sourceInput && sourceInput.checked) {\n                Event.observe(field._ontologyBrowser.container.contentContainer, 'obrowser:expand:finished', function(event) {\n                  Event.stopObserving(field._ontologyBrowser.container.contentContainer, 'obrowser:expand:finished');\n                  field._ontologyBrowser.expandTo(sourceInput.value, categories);\n                });\n              }\n            }\n          } else {\n            field.up('label').removeClassName('subterm-selected');\n          }\n        }\n      };\n      document.observe('custom:selection:changed', function(event) {\n        categories = event.memo && event.memo.categories;\n        source = event.memo && event.memo.customElement;\n        if (categories) {\n          fieldName = event.memo.fieldName || '';\n          categories.each(syncTermCategory);\n        }\n        if (selectionSummary) {\n          var input = event.memo.customElement.select('input').find(function(item) { return item.checked; });\n          input && selectionSummary._updateSummary(input, input.up('label.no') ? 'no' : 'yes', true);\n        }\n      });\n    }\n\n    // --------------------------------------------------------------\n    // Ontology browser y/n pickers\n    // --------------------------------------------------------------\n    document.observe('obrowser:content:added', function(event) {\n      if (!event.memo) return;\n      if (event.memo.added && event.memo.obrowser && event.memo.obrowser.suggest && event.memo.obrowser.suggest.fld && event.memo.obrowser.suggest.fld.hasClassName('generateYesNo')) {\n        event.memo.added.select('.entry-data input.select-tool').each(function (item) {\n          var positiveName = event.memo.obrowser.suggest.fld.name.replace(/__suggested$/, "");\n          var negativeName = event.memo.obrowser.suggest.fld.name.replace(/(_\\d+)_/, "$1_negative_").replace(/__suggested$/, "");\n          var value = item.value;\n          var text = item.up('.entry-data').down('.value').firstChild;\n          text = text && text.nodeValue || false;\n          if (!text) {\n            item.up(".parents").remove();\n            return;\n          }\n          var ynpickerElt = YesNoPicker.generatePickerElement([\n              {type: 'na', selected: !isValueSelected(positiveName, value) && !isValueSelected(negativeName, value)},\n              {type: 'yes', selected: isValueSelected(positiveName, value)},\n              {type: 'no' , selected: isValueSelected(negativeName, value)}\n          ], value, text, true, item.next());\n          item.insert({before: ynpickerElt});\n          item.remove();\n          ynpickerElt._obrowser = event.memo.obrowser;\n          enableHighlightChecked(ynpickerElt.down('.yes input'));\n          enableHighlightChecked(ynpickerElt.down('.no input'));\n\n          ynpickerElt.observe('ynpicker:selectionChanged', function(event){\n            var selected = event.memo && event.memo.selected;\n            var elt = event.findElement('.entry');\n            if (!selected || !elt) {return;}\n            var id = elt.__termId;\n            if (selected == 'na') {\n               ynpickerElt._obrowser._unselectEntry(elt);\n               return;\n            } else if (selected == 'no') {\n                var negative = new Element('input', {type: 'hidden', name : 'fieldName', value : negativeName});\n                elt.__termCategory &&  elt.__termCategory.insert(negative) || (elt.__termCategory = negative);\n            }\n            // both yes & no:\n            ynpickerElt._obrowser._selectEntry(elt);\n          });\n        });\n      }\n    });\n    if (selectionSummary && selectionSummary._givePhenotypeQualifiersCollapseButtons) {\n        selectionSummary._givePhenotypeQualifiersCollapseButtons(selectionSummary);\n    }\n\n    Event.fire(document, 'xwiki:dom:updated', {'elements' : $$('.chapter.phenotype-info .xHelpButton', '.chapter.prenatal-info .xHelpButton')});\n  };\n  (XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);\n  return XWiki;\n}(XWiki || {}));
-294279599611314197	code	var PhenoTips = (function(PhenoTips) {\n  // Start PhenoTips augmentation\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n\n  //  ========================================================================\n  /**\n   * Measurement processor\n   * */\n  widgets.MeasurementProcessor = Class.create({\n    /**\n     * Initialization\n     * */\n    initialize : function(dataTable) {\n      /** Measurement evaluation service */\n      this.measurementsService = new XWiki.Document('PatientToolsService', 'PhenoTips').getURL('get');\n      this.solarService = new XWiki.Document('SolrService', 'PhenoTips').getURL("get");\n\n      this.dataTable = dataTable;\n      this.dataTable._processor = this;\n      this.dataType = this.dataTable.hasClassName('at-birth') ? 'at-birth' : 'postnatal';\n\n      // Track requests to the measurement evaluation service:\n      this.lastRequestID = 0;\n      // Reorganize the rows of large tables\n      if (dataTable.hasClassName('full')) {\n        this._reorganizeRow = this._reorganizeRow.bind(this);\n        this.dataTable.select('tr').each(this._reorganizeRow);\n      } else {\n        this.dataTable.select('tr').invoke('addClassName', 'data-row');\n      }\n      // Attach event listeners to inputs\n      this._valueChanged = this._valueChanged.bindAsEventListener(this);\n      this._updateDataRow = this._updateDataRow.bind(this);\n      this._handleInputValueChanged(this.dataTable.select('input[type=text]'));\n      this._handleInputValueChanged($$('input[name$=date_of_birth], input[name$=gender]'));\n      this._handleRowAdded();\n      this._handleRowDeleted();\n      // Attach a measurement unit switcher (imperila|metric) if enabled\n      var configuredUnitSystem = this.dataTable.hasClassName('enable-unit-switch');\n      //   - this element will exist iff switching to imeprial system is enabled\n      if (configuredUnitSystem) {\n        var unitSwitchContainer = this.dataTable.down('.unit-switch-container');\n        new PhenoTips.widgets.UnitConverter(\n           this.dataTable,\n           'input[type="text"]:not([name$="date"])',\n           unitSwitchContainer || this.dataTable,\n           unitSwitchContainer && 'top' || 'before',\n           this.dataTable.hasClassName('imperial') && 'imperial' || ''\n        );\n      }\n    },\n    /**\n     * Reorganize data rows for large tables\n     * */\n    _reorganizeRow : function(row) {\n      // Skip table headers\n      if (row.down('th')) {return;}\n      // each row becomes a new table\n      var table = new Element('table');\n      var tbody = new Element('tbody');\n      table.update(tbody);\n\n      // Start building the table\n      this._rowMapping.each(function (data) {\n        var newRow = new Element('tr', {'class' : data.name + '-group'});\n        newRow.insert(new Element('td', {'class' : 'icon'}))\n        data.values.each(function (className) {\n          var element = row.down('td.' + className);\n          if (element) {\n            newRow.insert(element);\n            if (className == 'age') { element.setAttribute('colspan', 6);}\n          }\n        });\n        if (newRow.down('td')) {\n          tbody.insert(newRow);\n        }\n      });\n      row.update(table.wrap('td'));\n      row.addClassName('data-row');\n    },\n    /**\n     * Reorganization of rows for large table: this is how the rows should be split:\n     * */\n    _rowMapping : [\n      {\n        name : 'head',\n        values : ['date', 'age', 'actions']\n      }, {\n        name : 'general',\n        values : ['weight', 'weight_evaluation', 'height', 'height_evaluation', 'bmi', 'bmi_evaluation']\n      }, {\n        name : 'ratios',\n        values : ['armspan', 'armspan_evaluation', 'sitting', 'sitting_evaluation']\n      }, {\n        name : 'face',\n        values : ['hc', 'hc_evaluation', 'philtrum', 'philtrum_evaluation', 'ear', 'ear_evaluation', 'ear_right', 'ear_right_evaluation']\n      }, {\n        name : 'eyes',\n        values : ['ocd', 'ocd_evaluation', 'icd', 'icd_evaluation', 'pfl', 'pfl_evaluation', 'ipd', 'ipd_evaluation']\n      }, {\n        name : 'left-side',\n        values : ['hand', 'hand_evaluation', 'palm', 'palm_evaluation', 'foot', 'foot_evaluation']\n      }, {\n        name : 'right-side',\n        values : ['hand_right', 'hand_right_evaluation', 'palm_right', 'palm_right_evaluation', 'foot_right', 'foot_right_evaluation']\n      }\n    ],\n    /*\n     * Prepare to re-evaluate when measurement or measurement context has changed\n     * */\n    _handleInputValueChanged : function(elementsList) {\n      var dataTable = this.dataTable;\n      // TODO: make sure events work on all browsers\n      ['blur', 'keypress', 'keyup', 'phenotips:measurement-updated', 'xwiki:date:changed'].each(function (eventName) {\n        elementsList.invoke('observe', eventName, this._valueChanged);\n      }.bind(this));\n      ['blur', 'phenotips:measurement-updated', 'xwiki:date:changed'].each(function (eventName) {\n        elementsList.invoke('observe', eventName, function(event) {\n           Event.fire(dataTable, 'phenotips:measurement-info:updated');\n        });\n      });\n    },\n    /**\n     * When a new row is added, attach all the listeners that will enable evaluating the data in it\n     * */\n    _handleRowAdded : function() {\n      var _this = this;\n      this.dataTable.observe('extradata:added', function (event) {\n        var elements = event && event.memo && event.memo.element && event.memo.element.select('input[type=text]');\n        if (elements) {\n          _this._reorganizeRow(event.memo.element);\n          _this._handleInputValueChanged(elements);\n          if (window.dateTimePicker) {\n            window.dateTimePicker.attachPickers(event.memo.element);\n          } else {\n            var crtYear = new Date().getFullYear();\n            window.dateTimePicker = new XWiki.widgets.DateTimePicker({year_range: [crtYear - 99, crtYear + 1]});\n          }\n        }\n      });\n    },\n\n    /**\n     * When a row is deleted:\n     * */\n    _handleRowDeleted : function() {\n      var _this = this;\n      this.dataTable.observe('extradata:deleted', function (event) {\n        _this.dataTable.select('tr.data-row').each(function (row) {\n          _this._updateDataRow(row);\n        });\n        Event.fire(_this.dataTable, 'phenotips:measurement-info:updated');\n      });\n    },\n\n    /**\n     * A value affecting measurement evaluation has changed. It can be an actual measurement, in which case only\n     * the current measurement set needs to be updated, or it can be a value affecting the context of all measurements\n     * (e.g. gender or date of birth), in which case all measurements need to be evaluated.\n     * */\n    _valueChanged : function(event) {\n      // Get inputs holding the values needed for computing the dependent values\n      var row = event && event.element && event.element() && event.element().up('tr.data-row');\n      if (row) {\n        this._updateDataRow(row);\n      } else {\n         this.dataTable.select('tr.data-row').each(this._updateDataRow);\n      }\n    },\n\n    /**\n     * Request the re-evaluation of all measurements on a row ans display the results\n     * */\n    _updateDataRow : function(row) {\n      // Generate the query string to pass to the measurement evaluation service\n      var qs = this._createRowQueryString(row);\n      if (qs == '') {return;}\n\n      var sex = $(document.documentElement).down('input[name$=gender]:checked');\n      var requestID = ++this.lastRequestID;\n\n      var ajx = new Ajax.Request(this.measurementsService, {\n        method: 'post',\n        parameters:  qs + this._createReqParamSex('s', sex) + '&outputSyntax=plain',\n        requestHeaders: {Accept : "application/json"},\n        onSuccess: function(response) {\n          if (requestID < this.lastRequestID) {return;}\n          this._updateDependentValues(row, response.responseJSON)\n        }.bind(this),\n        onFailure: function (response) {}\n      });\n    },\n\n     /**\n     * Generate query string for all data\n     * */\n    _createQueryString : function () {\n      var _this = this;\n      var qs = '';\n      this.dataTable.select('tr.data-row').each(function(row) {\n        qs += _this._createRowQueryString(row, true);\n      })\n      if (qs != '') {\n        var sex = $(document.documentElement).down('input[name$=gender]:checked');\n        qs += this._createReqParamSex('s', sex);\n      }\n      return qs;\n    },\n\n    /**\n     * Generate querry string for updating the evaluations on a data row\n     * */\n    _createRowQueryString : function (row, forceParam) {\n      return this._createReqParam('weight', row.down('td.weight input'), forceParam) +\n             this._createReqParam('height', row.down('td.height input'), forceParam) +\n             this._createReqParam('bmi', row.down('td.bmi input'), forceParam) +\n             this._createReqParam('hc', row.down('td.hc input'), forceParam) +\n             this._createReqParam('ocd', row.down('td.ocd input'), forceParam) +\n             this._createReqParam('icd', row.down('td.icd input'), forceParam) +\n             this._createReqParam('pfl', row.down('td.pfl input'), forceParam) +\n             this._createReqParam('ipd', row.down('td.ipd input'), forceParam) +\n             this._createReqParam('ear', row.down('td.ear input'), forceParam) +\n             this._createReqParam('hand', row.down('td.hand input'), forceParam) +\n             this._createReqParam('palm', row.down('td.palm input'), forceParam) +\n             this._createReqParam('foot', row.down('td.foot input'), forceParam) +\n             this._createReqParam('ear_right', row.down('td.ear_right input'), forceParam) +\n             this._createReqParam('hand_right', row.down('td.hand_right input'), forceParam) +\n             this._createReqParam('palm_right', row.down('td.palm_right input'), forceParam) +\n             this._createReqParam('foot_right', row.down('td.foot_right input'), forceParam) +\n             this._createReqParam('philtrum', row.down('td.philtrum input'), forceParam) +\n             this._createReqParam('armspan', row.down('td.armspan input'), forceParam) +\n             this._createReqParam('sitting', row.down('td.sitting input'), forceParam) +\n             (this.dataType == 'at-birth' ? '&a=0' : this._createReqParamAge('a', row.down('td.date input'), forceParam));\n    },\n\n    /**\n     * Generate the query string fragment corresponding to a specific measurement\n     * */\n    _createReqParam : function (name, sourceInput, forceParam) {\n      var value = sourceInput && sourceInput.value != '' && parseFloat(sourceInput.value);\n      if (value) {\n        return '&' + name + '=' + encodeURIComponent(value);\n      }\n      return forceParam && ('&' + name + '=') || '';\n    },\n\n    /**\n     * Generate the query string fragment corresponding to the age\n     * */\n    _createReqParamAge : function (name, crtDate, forceParam) {\n      var birthDate = $(document.documentElement).down('input[name$=date_of_birth]');\n      if (!birthDate || !crtDate) {return ''}\n      var bDateObj = Date.parseISO_8601(birthDate.alt || '');\n      var cDateObj = Date.parseISO_8601(crtDate.alt || '');\n      if (bDateObj && cDateObj) {\n        // The two dates have different timezones, move back the birthdate to the local timezone\n        bDateObj.setTimezoneOffset(bDateObj.getTimezoneOffset() * -10/3);\n        var daysInMonth = 30.4375;\n        var age = (cDateObj.getFullYear() - bDateObj.getFullYear()) * 12 + (cDateObj.getMonth() - bDateObj.getMonth()) + (cDateObj.getDate() < bDateObj.getDate() ? -1 : 0);\n        var ageOffset = (cDateObj.getDate() < bDateObj.getDate()) ? (daysInMonth+cDateObj.getDate()-bDateObj.getDate())/daysInMonth : (cDateObj.getDate() - bDateObj.getDate())/daysInMonth;\n        var age = age + ageOffset;\n      } else {\n        age=null;\n      }\n      if (age != null && age >= 0) {\n        var displayedAge = '';\n        var y = Math.floor(age / 12);\n        var m = Math.floor(age % 12);\n        if (y > 0) {\n          displayedAge = y + 'y ';\n        }\n        if (m >= 0) {\n          displayedAge += m + 'm ';\n        }\n        var target = crtDate.up('tr') && crtDate.up('tr').down('td.age');\n        if (target) {\n          if (target.down('input')) {\n            target.down('input').value = age;\n          }\n          if (target.down('.displayed-value')) {\n            target.down('.displayed-value').update(displayedAge);\n          }\n        }\n      } else if (age == null){\n        var target = crtDate.up('tr') && crtDate.up('tr').down('td.age');\n        if (target) {\n          if (target.down('input')) {\n            target.down('input').value = age;\n          }\n          if (target.down('.displayed-value')) {\n            target.down('.displayed-value').update("-");\n          }\n        }\n      }\n      return (age >= 0) && ('&' + name + '=' + encodeURIComponent(age)) || forceParam && ('&' + name + '=') || '';\n    },\n\n    /**\n     * Generate the query string fragment corresponding to the gender\n     * */\n    _createReqParamSex : function (name, sourceInput) {\n      return (sourceInput && sourceInput.value && ('&' + name + '=' + encodeURIComponent(sourceInput.value))) || '';\n    },\n\n    /**\n     * Perform the actual update of all the measurement evals in a data row and select phenotypes corresponding to abnormal measurements\n     * */\n    _updateDependentValues : function (row, values) {\n      var _this = this;\n      var _info = this._measurementEvaluationInfo;\n      for (var p in values) {\n        ['value', 'evaluation'].each( function (value) {\n          if (values[p] && values[p][value] && _info[p] && _info[p][value]) {\n            var cell = row.down(_info[p][value]);\n            if (!cell) {\n              return;\n            }\n            _this._updateValue(cell, values[p][value], (value == 'evaluation') && values[p]['valCategory']);\n            var target = _info[p];\n            if (value == 'evaluation' && target['valueHooks'] && _this._getMostRecentEntry() == cell.up('tr.data-row')) {\n              var targetElt = values[p]['valCategory'] && (target['valueHooks'][values[p]['valCategory']] || target['valueHooks'][values[p]['valCategory'].sub("extreme-", '')]);\n              targetElt = _this._selectFormElementForPhenotype(targetElt);\n              _this._selectMeasurementTerm(targetElt);\n              if (values[p]['valCategory']) {\n                ['extreme-below-normal', 'below-normal', 'above-normal', 'extreme-above-normal'].without(values[p]['valCategory'], values[p]['valCategory'].sub("extreme-", '')).each(function(val) {\n                  var elt = findFormElementForPhenotype(target['valueHooks'][val]);\n                  _this._unselectMeasurementTerm(elt);\n                });\n              }\n            }\n          }\n        });\n      }\n    },\n\n    /**\n     *\n     * */\n    _selectMeasurementTerm : function (elt, force) {\n      if (elt && (!elt.checked || force)) {\n        if (elt._ynpicker) {\n          elt._ynpicker._select('yes');\n        } else {\n          elt.checked = true;\n        }\n        highlightChecked(elt);\n        var addedItem = $('current-phenotype-selection').down('label input[value="' + elt.value + '"]');\n        if (addedItem) {\n          addedItem.up('label').insert({before : new Element('span', {\n                                                               'class' : 'fa fa-bolt',\n                                                               'title' : 'This phenotype was automatically added based on abnormal measurement values'\n          }).update(' ')});\n        }\n      }\n    },\n\n\n    /**\n     *\n     * */\n    _unselectMeasurementTerm : function (elt) {\n      if (elt && elt.checked) {\n        if (elt._ynpicker) {\n          elt._ynpicker._onUnselect();\n        } else {\n          elt.checked = false;\n        }\n      }\n    },\n\n    _selectFormElementForPhenotype: function(id) {\n      if (!id) {\n        return null;\n      }\n      var _this = this;\n      var existingElement = findFormElementForPhenotype(id);\n      if (existingElement == null) {\n        var suggestWidget = $("quick-phenotype-search")._suggestWidget;\n        if (!suggestWidget) {\n           return null;\n        }\n        searchURL = this.solarService + "?q=" + id;\n        new Ajax.Request(searchURL, {\n          method: 'get',\n          onSuccess: function(transport) {\n            var response = transport.responseJSON.rows[0];\n            if (response) {\n              var categories = '<span class="hidden term-category">';\n              response.term_category.each(function(category){categories += '<input type="hidden" value="' + category + '">'});\n              categories + "</span>";\n              var data = {'id':id, 'value':response.name, 'category': categories}\n              var title =  response.name;\n              suggestWidget.acceptEntry(data, title, title);\n              _this._selectMeasurementTerm(findFormElementForPhenotype(id), true);\n            }\n          }\n        });\n        return null;\n      } else {\n        return existingElement;\n      }\n    },\n\n    /**\n     * Information about how to handle each measurement:\n     * - where to find the value (selector to be used using the current data row as root)\n     * - where to put the evaluation (selector to be used using the current data row as root)\n     * - what phenotype elements to select when an abnormal value is found (optional)\n     * */\n    _measurementEvaluationInfo : {\n       bmi : {\n         value : 'td.bmi',\n         evaluation : 'td.bmi_evaluation',\n         valueHooks : {\n           'above-normal': 'HP:0001513'\n         }\n       },\n       weight : {\n         evaluation : 'td.weight_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0004325',\n           'above-normal': 'HP:0004324'\n         }\n       },\n       height : {\n         evaluation : 'td.height_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0004322',\n           'above-normal': 'HP:0000098'\n         }\n       },\n       hc : {\n         evaluation : 'td.hc_evaluation',\n         valueHooks : {\n           'extreme-below-normal': 'HP:0000252',\n           'above-normal': 'HP:0000256'\n         }\n       },\n       ocd : {\n         evaluation : 'td.ocd_evaluation'\n       },\n       icd : {\n         evaluation : 'td.icd_evaluation'\n       },\n       pfl : {\n         evaluation : 'td.pfl_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0012745',\n           'above-normal': 'HP:0000637'\n         }\n       },\n       ipd : {\n         evaluation : 'td.ipd_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0000601',\n           'above-normal': 'HP:0000316'\n         }\n       },\n       ear : {\n         evaluation : 'td.ear_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0008551',\n           'above-normal': 'HP:0000400'\n         }\n       },\n       hand : {\n         evaluation : 'td.hand_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0200055',\n           'above-normal': 'HP:0001176'\n         }\n       },\n       palm : {\n         evaluation : 'td.palm_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0004279',\n           'above-normal': 'HP:0011302'\n         }\n       },\n       foot : {\n         evaluation : 'td.foot_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0001773',\n           'above-normal': 'HP:0001833'\n         }\n       },\n       ear_right : {\n         evaluation : 'td.ear_right_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0008551',\n           'above-normal': 'HP:0000400'\n         }\n       },\n       hand_right : {\n         evaluation : 'td.hand_right_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0200055',\n           'above-normal': 'HP:0001176'\n         }\n       },\n       palm_right : {\n         evaluation : 'td.palm_right_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0004279',\n           'above-normal': 'HP:0011302'\n         }\n       },\n       foot_right : {\n         evaluation : 'td.foot_right_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0001773',\n           'above-normal': 'HP:0001833'\n         }\n       },\n       philtrum : {\n         evaluation : 'td.philtrum_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0000322',\n           'above-normal': 'HP:0000343'\n         }\n       },\n       armspan : {\n         evaluation : 'td.armspan_evaluation'\n       },\n       sitting : {\n         evaluation : 'td.sitting_evaluation'\n       }\n    },\n\n    /**\n     * Perform the actual update of a specific measurement eval\n     * */\n    _updateValue : function (target, value, fuzzyValue) {\n      var input = target.down('input[type=hidden]');\n      var displayed = target.down('.displayed-value');\n      input && (input.value = value);\n      displayed.update(value || '-');\n\n      ['extreme-below-normal', 'below-normal', 'normal', 'above-normal', 'extreme-above-normal'].each(function (cssClass) {\n        displayed.removeClassName(cssClass);\n      });\n      if (fuzzyValue) {\n        displayed.addClassName(fuzzyValue);\n      }\n    },\n\n    /**\n     * Find the latest measurements entered in the data table\n     * */\n    _getMostRecentEntry : function() {\n      var mostRecentEntry;\n      var mostRecentDate;\n      this.dataTable.select('tr input.xwiki-date').each(function(element) {\n        var date = Date.parseISO_8601(element.alt.strip());\n        if (!mostRecentDate || mostRecentDate < date) {\n          mostRecentDate = date;\n          mostRecentEntry = element.up('tr.data-row');\n        }\n      })\n      return mostRecentEntry;\n    }\n  });\n\n  //  ========================================================================\n  /**\n   * Chart generator\n   * */\n  widgets.ChartGenerator = Class.create({\n    /**\n     * Initialization\n     * */\n    initialize : function(container, dataSources) {\n      // Check that there is a container where the charts are to be displayed and at least one data source\n      if (!container || dataSources.size() == 0) {\n        return;\n      }\n      this.chartContainer = container;\n      if (this.chartContainer.innerHTML == '') {\n        this.chartContainer.up().hide();\n      }\n      this.dataSources = dataSources;\n      /** Chart update service */\n      this.chartService = new XWiki.Document('ChartService', 'PhenoTips').getURL('get');\n      // Track requests to the chart update service\n      this.lastRequestID = 0;\n      // Initialize the element: enable expand/collapse, adjust sizes, etc\n      this.initChartsWidget();\n      // Listen to changes in the data sources\n      this._updateCharts = this._updateCharts.bindAsEventListener(this);\n      this.dataSources.invoke('observe', 'phenotips:measurement-info:updated', this._updateCharts);\n    },\n     /**\n     * Initialize the element: enable expand/collapse, adjust sizes, etc\n     * */\n    initChartsWidget : function() {\n      // If the charts are not enabled or if they're already initialized, nothing more to do here\n      if (!this.chartContainer || this.chartContainer.hasClassName('initialized')) {\n        return;\n      }\n      // Enable expand/collapse\n      var chartsZone = this.chartContainer.up('.growth-charts-section');\n      if (chartsZone) {\n        chartsZone.select('h3, .expand-tools .tool').invoke('observe', 'click', function(event) {\n           event.element().up('.growth-charts-section').toggleClassName('collapsed');\n        });\n      }\n      this.__adjustAllSVGHeights();\n      Event.observe(window, 'resize', this.__adjustAllSVGHeights.bindAsEventListener(this));\n\n      // Mark the chart widget as initialized\n      this.chartContainer.addClassName('initialized');\n    },\n    /**----------------------------------------------------------------------------\n     * Workaround for webkit bug https://bugs.webkit.org/show_bug.cgi?id=68995\n     * Inspired by http://www.brichards.co.uk/blog/webkit-svg-height-bug-workaround\n     * (adapted from jQuery to Prototype.js)\n     * */\n    __adjustSVGHeight : function(svgElt) {\n       // Original width/height of the svg graphic: 952 X 1225\n       svgElt.setStyle({ 'height' : (1225 / 952 * svgElt.getWidth()) + 'px'});\n    },\n    __adjustAllSVGHeights : function() {\n       this.chartContainer && this.chartContainer.select('.chart-wrapper').each(this.__adjustSVGHeight.bind(this));\n    },\n    /**\n     * Request to re-generate growth charts\n     * */\n    _updateCharts : function(event) {\n      if (!this.chartContainer) {\n        return;\n      }\n      var _this = this;\n      // Generate the query string to pass to the chart service\n      var qs = '';\n      this.dataSources.each(function (item) {\n        qs += item._processor._createQueryString();\n      });\n      if (qs == '') {return;}\n\n      var requestID = ++this.lastRequestID;\n      var ajx = new Ajax.Request(this.chartService, {\n        method: 'get',\n        parameters : qs + "&width=" + this.chartContainer.getDimensions()['width'],\n        onSuccess: function(response) {\n          if (requestID < this.lastRequestID) {return;}\n          this.chartContainer.update(response.responseText);\n          if (response.responseText == '<div class="clear"></div>') {\n            this.chartContainer.up().hide();\n          } else {\n            this.chartContainer.up().show();\n          }\n          this.__adjustAllSVGHeights();\n        }.bind(this),\n        onFailure: function (response) {}\n      });\n    }\n  });\n\n\n  //  ========================================================================\n  /**\n   * Attach the behaviors that will allow evaluating measurements and generating charts in real time\n   * */\n\n  var init = function(event) {\n    // Enamble the MeasurementProcessor for each measurements table (e.g. at birth, postnatal)\n    ((event && event.memo.elements) || [$('body')]).each(function(element) {\n      var chartDataSources = [];\n      element.select('table.measurements').each(function(dataTable) {\n        new PhenoTips.widgets.MeasurementProcessor(dataTable);\n        chartDataSources.push(dataTable);\n      });\n      new PhenoTips.widgets.ChartGenerator($('charts'), chartDataSources);\n    });\n\n    // Create a warning when measurements are being entered but no birth date is specified\n    var dateOfBirth = $(document.documentElement).down('input[name$=date_of_birth]');\n    if (dateOfBirth) {\n      _updateNoBirthDateWarning();\n      dateOfBirth.observe('xwiki:date:changed', _updateNoBirthDateWarning);\n    }\n    function _updateNoBirthDateWarning(){\n      birthdate = dateOfBirth.value;\n      var warningInsertionPoint = $$('.measurement-info > .expand-tools')[0] ? $$('.measurement-info > .expand-tools')[0] : $('HMeasurements');\n      if (!warningInsertionPoint) { return; }\n      if (!birthdate && !$('no-birth-date-warning')) {\n        warningInsertionPoint.insert({\n          after:"<div id ='no-birth-date-warning' class='box warningmessage'>$services.localization.render('phenotips.patientSheetCode.noBirthdateWarning')</div>"\n        });\n      } else if (birthdate && $('no-birth-date-warning')) {\n        $('no-birth-date-warning').remove();\n      }\n    };\n    // ------------------------------------------------------------------------------------------\n    // And one more thing (not exactly related to measurements directly:\n    // If we're collecting data about gestational age, select premature birth for low gestational ages\n    var gaInput = $$('input[type="text"][name$="_gestation"]');\n    var gaTermInput = $$('input[type="checkbox"][name$="_gestation"]');\n    gaInput = gaInput.size() > 0 && gaInput[0] || '';\n    gaTermInput = gaTermInput.size() > 0 && gaTermInput[0] || '';\n    var pbInput = findFormElementForPhenotype('HP:0001622', false, 'prenatal');\n    if (gaInput && pbInput) {\n      gaInput.observe('blur', function (event) {\n        var ga = parseInt(gaInput.value);\n        var targetElt = pbInput;\n        if (!isNaN(ga)) {\n          if (ga < 37) {\n            if (!targetElt.checked) {\n              if (targetElt._ynpicker) {\n                targetElt._ynpicker._onClick(false, 'yes');\n              } else {\n                targetElt.checked = true;\n              }\n              highlightChecked(targetElt);\n            }\n          } else {\n            if (targetElt._ynpicker) {\n              targetElt._ynpicker._onClick(false, 'no');\n              highlightChecked(targetElt);\n            }\n          }\n        } else {\n          if (targetElt._ynpicker) {\n            targetElt._ynpicker._onNA();\n            highlightChecked(targetElt);\n          }\n        }\n      });\n    }\n    // FIXME This code is a bit fragile... Both inputs should be handled in the same method\n    if (gaTermInput && pbInput) {\n      gaTermInput.observe('blur', function (event) {\n        var targetElt = pbInput;\n        if (gaTermInput.checked && targetElt._ynpicker) {\n          targetElt._ynpicker._onClick(false, 'no');\n          highlightChecked(targetElt);\n        }\n      });\n    }\n\n    return true;\n  };\n\n  (XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe('xwiki:dom:updated', init);\n\n  // End PhenoTips augmentation.\n  return PhenoTips;\n}(PhenoTips || {}));
-4472210235605638364	code	document.observe('xwiki:dom:loaded', function() {\n  // ------------------------------------------------------------------------\n  // Phenotype Section Nav Tools\n  // ------------------------------------------------------------------------\n  if (!$('inline')) {\n    // If not in edit mode, no behavior to add\n    return;\n  }\n\n  $$('.chapter .browser .browser-title').each(function(item) {\n    item.insert({after: new Element('span', {'class' : 'expand-tools'})});\n  });\n  var showIcon = '<span class="fa fa-plus-square-o fa-lg"></span>&nbsp;';\n  var phBrowserExpandAll = new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update(showIcon+"$services.localization.render('phenotips.UIXField.phenotype.expand')");\n  var phBrowserExpandAllWrapper = new Element('span', {'class' : 'buttonwrapper expand-all'}).insert(phBrowserExpandAll);\n  var hideIcon = '<span class="fa fa-minus-square-o fa-lg"></span>&nbsp;';\n  var phBrowserCollapseAll = new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update(hideIcon+"$services.localization.render('phenotips.UIXField.phenotype.collapse')");\n  var phBrowserCollapseAllWrapper = new Element('span', {'class' : 'buttonwrapper collapse-all'}).insert(phBrowserCollapseAll);\n  var phBrowserExpandTools = new Element('span', {'class' : 'inner-expand-tools'}).insert(phBrowserExpandAllWrapper).insert(phBrowserCollapseAllWrapper);\n\n  $$('.chapter.phenotype-info .browser h3+.expand-tools').invoke('insert', {'top' : phBrowserExpandTools});\n  $$('.chapter.phenotype-info .collapsible-group h3').each(function(item) {\n    item.insert({'top': new Element('span', {'class' : 'expand-tool'}).update('▼')});\n  });\n\n  var toggleCategory = function(target) {\n    if (!target) {return;}\n    if (typeof (target.element) == 'function') {\n      return toggleCategory(target.findElement());\n    }\n    var parent = target.up('.collapsible-group');\n    if (parent) {\n      var heightBefore = parent.getHeight();\n      parent.toggleClassName('collapsed');\n      parent.down('.expand-tool').update(parent.hasClassName('collapsed') && '►' || '▼');\n\n      var summary = parent.up('.selector-panel.current-phenotype-selection');\n      if (summary) {\n        summary.fire('size:changed', {diff : (heightBefore - parent.getHeight())});\n      }\n    }\n  }\n\n  var relayoutSummaryStickyBox = function() {\n    if (sSticky) {\n      sSticky.makeDefault();\n      sSticky.resetPosition();\n    }\n  }\n\n  $$('.chapter.phenotype-info .collapsible-group h3').each(function(item){\n     if (item.up('.browser') && !item.up('.collapsible-group').down('input[type=checkbox]:checked')) {\n       toggleCategory(item);\n     }\n     item.observe('click', function() {\n       toggleCategory(item);\n       relayoutSummaryStickyBox();\n     });\n  });\n  phBrowserExpandAllWrapper.observe('click', function(event){\n    event.element().up('.chapter').select('.collapsible-group.collapsed h3').each(function(item) {\n      toggleCategory(item);\n    });\n    relayoutSummaryStickyBox();\n  });\n  phBrowserCollapseAllWrapper.observe('click', function(event){\n    event.element().up('.chapter').select('.collapsible-group:not(.collapsed) h3').each(function(item) {\n      toggleCategory(item);\n    });\n    relayoutSummaryStickyBox();\n  });\n\n  phBrowserCollapseAll.click();\n\n  // ------------------------------------------------------------------------\n  // Behavior of the quick search box\n  // ------------------------------------------------------------------------\n  var offsetTop = $('patient-record-actions') && $('patient-record-actions').getHeight() || 0;\n  var qsBox = $('quick-search-box');\n  if (qsBox) {\n    var content = qsBox.up('div');\n    if (content) {\n      qsBox.__x_qsInput = qsBox.down('input[type=text]') || {};\n      var qsSticky = new StickyBox(qsBox, content, {offsetTop : offsetTop, isSticky : function(element) {return !element.__x_qsInput._activeSuggest} });\n      Event.observe(document, 'ms:suggest:containerCreated', function(event) {\n        if (event.memo.suggest.fld == qsBox.__x_qsInput) {\n          qsBox.__x_qsInput._activeSuggest = true;\n          var qsSuggest = event.memo.container;\n          if (qsBox.getStyle('position') == 'fixed') {\n            qsSuggest.style.position = 'fixed';\n          }\n          qsSuggest.style.top = (qsBox.__x_qsInput.cumulativeOffset().top + qsBox.__x_qsInput.getHeight()) + 'px';\n          qsSuggest.style.left = qsBox.__x_qsInput.cumulativeOffset().left;\n        }\n      });\n      Event.observe(document, 'ms:suggest:clearSuggestions', function(event) {\n        if (event.memo.suggest.fld == qsBox.__x_qsInput) {\n          qsBox.__x_qsInput._activeSuggest = false;\n        }\n      });\n    }\n  }\n\n  // ------------------------------------------------------------------------\n  // Behavior of the selection summary box\n  // ------------------------------------------------------------------------\n  var offsetBottom = document.documentElement.down('.bottombuttons') && document.documentElement.down('.bottombuttons').getHeight();\n  var summaryContent = $('current-phenotype-selection');\n  var summary = summaryContent && summaryContent.up('.selector-panel');\n  if (summary) {\n    var container = summary.up();\n    summary.addClassName('absolute');\n    var sSticky  = new StickyBox(summary, container, {offsetTop : offsetTop, offsetBottom: offsetBottom, resize: true, isSticky : function(element) {return element.hasClassName('half-width') && element.getHeight() < element.previous().getHeight()}});\n    summary.observe('size:changed', function(event) {\n      if (!event.memo) {\n         summaryContent.style.height = '';\n         summaryContent.style.overflow = '';\n      } else {\n         summaryContent.style.height = (summaryContent.getHeight() + (event.memo.diff || 0)) + 'px';\n         summaryContent.style.overflow = 'auto';\n         summary.style.overflow = '';\n      }\n    });\n  }\n});
140270767052048382	code	#template("colorThemeInit.vm")\n\n/** ----------------------------------------------------------- */\n/** Quick search box & suggest */\n.emphasized-box {\n  background: $theme.backgroundSecondaryColor;\n  border: 1px solid $theme.backgroundSecondaryColor;\n  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2), 0 10px 10px #F9F9F9, inset 0 0 50px rgba(0, 0, 0, 0.15);\n}\n.quick-search-box.sticky {\n  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2), 0 -1.8em 0px #f9f9f9, 0 10px 10px #F9F9F9, inset 0 0 50px rgba(0, 0, 0, 0.15);\n}\n.quick-search-box {\n  border: 0 none;\n  z-index: 1000;\n  background-color: $theme.menuBackgroundColor;\n  #css3_backgroundLinearGradient({\n    'to': 'bottom',\n    'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n.quick-search-box fieldset {\n  border: 1px solid $theme.backgroundSecondaryColor;\n  padding: .5em .8em;\n}\n.quick-search-box table {\n  margin: 0;\n  width: 100%;\n}\n.quick-search-box table td {\n  border: 0 none;\n  padding: 0;\n}\n.quick-search-box table label {\n  color: $theme.menuLinkColor;\n  font-weight: bold;\n  text-shadow: 0 1px 1px $theme.menuBackgroundColor;\n}\n.quick-search-box table td.icon {\n  width: 3.2em;\n  vertical-align: middle;\n}\n.quick-search-box input:focus {\n  color: $theme.textColor;\n  font-style: normal;\n}\n\n/* ------------------------------------------------- */\n.editbody .clinical-info .predefined-entries label.section {\n  font-weight: normal;\n}\n.editbody .clinical-info .phenotypes-main label.section:before {\n  content: "\\25bc";\n  display: inline-block;\n  color: $theme.textSecondaryColor;\n  font-size: .75em;\n  top: -0.5em;\n  text-shadow: 0 0 5px $theme.textSecondaryColor;\n  opacity: .3;\n}\n\n/* -------------------------------------------------- */\n.chapter.collapsed #quick-search-box {\n  display: block;\n}\n.selector-panels {\n  position: relative;\n}\n\n.phenotype-info h3 .expand-tool {\n  vertical-align: top;\n  width: 1em;\n  font-size: 1em;\n}\n.phenotype-group.collapsed *,\n.negative_phenotype-group.collapsed * {\n  display: none;\n}\n.phenotype-group.collapsed h3,\n.negative_phenotype-group.collapsed h3 {\n  display: block;\n}\n.phenotype-group.collapsed h3 *,\n.negative_phenotype-group.collapsed h3 * {\n  display: inline;\n}\n.phenotypes-main {\n  position: relative;\n}\n.phenotypes-main .hint {\n  margin-left: 20px;\n}\n.subsection {\n  margin-left: 1.3em;\n}\n.subsection .phenotypes-main br {\n  display: none;\n}\n.subsection .phenotypes-main br:last-child {\n  display: block;\n  clear: left;\n}\n.subsection .phenotypes-main {\n  display: block;\n}\n.subsection .phenotypes-main label {\n  float: left;\n  margin: 0 1% 0 0;\n  padding: 0 8px;\n  width: auto;\n  font-weight: normal !important;\n}\n.subsection .phenotypes-main label.section {\n  clear: both;\n  display: block;\n  float: none;\n}\n.chapter .phenotype-group,\n.chapter .negative_phenotype-group {\n  padding: 0 1em;\n}\n.chapter .phenotype-group h3,\n.chapter .negative_phenotype-group h3 {\n  overflow: visible;\n  text-transform: uppercase;\n  font-size: 1.1em;\n  cursor: pointer;\n  margin-left: -1em;\n  margin-bottom: .3em;\n}\n.editbody .chapter .custom-entries {\n  margin-top: .5em;\n  padding-top: .5em;\n  padding-left: .8em;\n  border-top: 1px dotted $theme.borderColor;\n}\n.editbody .chapter .predefined-entries:empty ~ .custom-entries {\n  border-top: 0 none;\n  margin-top: 0;\n  padding-top: 0;\n}\n.browse-phenotype-categories {\n  margin: .5em .75% 0em !important;\n  padding-right: .75%;\n}\n.current-phenotype-selection {\n  padding: 0 !important;\n  background-color: #FFFFFF;\n  border: 1px solid #FFFFFF;\n  border-radius: 4px;\n  box-shadow: 0 1px 8px #DDDDDD inset;\n  float: right;\n  margin-left: 0 !important;\n  margin-right: 0 !important;\n}\n#current-phenotype-selection {\n  margin: 0 !important;\n  padding: 0 !important;\n}\n.sub-panel > h3 {\n  font-size: 0.8em !important;\n  font-weight: 700;\n  letter-spacing: 0;\n  margin: 0 !important;\n  padding: 5px 20px 5px 15px !important;\n  text-align: left;\n  text-transform: uppercase;\n  background-color: $theme.panelHeaderBackgroundColor;\n  #css3_backgroundLinearGradient({\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.panelHeaderGradientColor, 'position': '0%'},\n      {'color': $theme.panelHeaderBackgroundColor, 'position': '100%'}\n    ]\n  })\n  border-radius: 4px 4px 0 0;\n  border: 1px solid $theme.borderColor;\n  color: $theme.panelHeaderTextColor;\n  text-shadow: 0 1px 0 $theme.panelHeaderGradientColor;\n}\n\n.diffDiagnosis-search {\n  background-color: $theme.highlightColor;\n  margin: 0 !important;\n  padding: 0 !important;\n}\n.diffDiagnosis-search .hint {\n  padding: 0.92em;\n}\n#diffDiagnosis-search-results ul li {\n  margin: 0;\n}\n#diffDiagnosis-search-results ul .id {\n  display: none;\n}\n\n.current-phenotype-selection h3 {\n  margin-left: 1em;\n  margin-right: 1em;\n}\n.current-phenotype-selection.half-width {\n  width: 47.5%;\n}\n#current-phenotype-selection .summary-group {\n  margin: 1em;\n}\n#current-phenotype-selection .summary-item {\n  padding-left: 18px;\n  margin-left: 1em;\n  margin-bottom: .5em;\n}\n#current-phenotype-selection .summary-item .no, .value-checked.no-selected {\n  color: $theme.notificationErrorColor;\n}\n#current-phenotype-selection .summary-item .no:before {\n  content: "NO ";\n}\n#current-phenotype-selection .summary-item label {\n  width: auto;\n  margin-right: 1em;\n}\n#current-phenotype-selection .summary-item .tools {\n  color: $theme.textPrimaryColor;\n  font-size: 0.8em;\n}\n#current-phenotype-selection .summary-item .tools .tool:hover {\n  color: $theme.linkColor;\n  cursor: pointer;\n}\n.fieldset .displayed-value p {\n  line-height: 1.4em;\n  margin: 0;\n}\n.fieldset .displayed-value {\n  margin: 0 0 0.5em;\n}\nlabel.selected, label.subterm-selected {\n  background-color: $theme.backgroundSecondaryColor;\n  font-weight: bold;\n}\n/** -------------------------------------------- **/\n/** Suggestions **/\n.accepted-suggestions li .delete-tool, .clear-tool {\n  background-color: $theme.buttonPrimaryBackgroundColor;\n  color: $theme.buttonPrimaryTextColor;\n  border-radius: 3px;\n  padding: 2px;\n}\n/** -------------------------------------------- **/\n/** Negative phenotypes **/\n\n.negative_phenotype-group h3 {\n  color: $theme.notificationErrorColor;\n}\n.negative_phenotype-group h3 em {\n  font-weight: bold;\n}\n.negative_phenotype-group .infomessage {\n  margin-left: -4px;\n}\n.negative_phenotype-group .phenotypes-main .hint {\n  margin-left: 0;\n}\n.negative_phenotype-group .label-other {\n  display: none;\n}\n.negative_phenotype-group .selected .value, .viewbody .negative_phenotype-group .value-checked , .viewbody .negative_phenotype-group .section {\n  text-decoration: line-through;\n  color: $theme.notificationErrorColor;\n}\n/** -------------------------------------------- **/\n/** "Unaffected" zone **/\n.unaffected label {\n  display: inline;\n  font-weight: bold;\n}
5438551172213685513	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n$xwiki.ssx.use('PhenoTips.UIX_Field__phenotype', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.UIX_Field__phenotype')##\n#macro (__qsBox $fieldName $cssClass)\n  #if ($xcontext.action == 'edit')\n   (% id="quick-search-box"  class="group-other quick-search-box emphasized-box $!{cssClass}" %)(((\n    {{html clean="false" wiki="false"}}\n    <fieldset>\n      <table><tbody><tr><td class="icon"><label for="quick-phenotype-search"><span class="fa fa-search fa-3x"> </span></label></td>\n      <td><label for="quick-phenotype-search">$services.localization.render('phenotips.UIXField.phenotype.quickSearch')</label>\n      <input type='text' name='$!{fieldName}' class='suggested multi suggest-hpo quickSearch withTip generateYesNo' placeholder="$services.localization.render('phenotips.UIXField.phenotype.quickSearch.placeholder')" size='16' id='quick-phenotype-search'/></td>\n      </tr></tbody></table>\n    </fieldset>\n    {{/html}}\n   )))\n  #end\n#end\n##\n##\n#__hasBooleanDataToDisplay('unaffected', $showUnaffected)\n#__hasDataToDisplay('phenotype' $showPhenotype)\n#__hasDataToDisplay('negative_phenotype' $showNegativePhenotype)\n##\n##\n#if ($showUnaffected || $showPhenotype || $showNegativePhenotype)\n  (% class="controlled-group complete-hide" %)(((\n  (% class="fieldset unaffected controller exclude" %)(((\n  #if ($xcontext.action == 'edit')\n    $doc.display('unaffected') #__label('unaffected' '' "$class.get('unaffected').prettyName")\n\n    (% class="hint controlled" %)$services.localization.render('phenotips.UIXField.phenotype.selectPhenotypes')(%%) {{icon name="question-circle" cssClass="xHelpButton controlled" title="$services.localization.render("PhenoTips.PatientClass_select_phenotypes_hint").replace('"', '~~~"')"/}}\n  #else\n    #if ($showUnaffected)$class.get('unaffected').prettyName#end\n  #end\n  )))\n  (% class="controlled" %) (((\n  #if ($xcontext.action == 'edit')\n    (% class="selector-panels"%)(((\n    (% class="half-width selector-panel browser browse-phenotype-categories force-collapse"%)(((\n    #__qsBox("$!{class.name}_$!{obj.number}_phenotype" "controlled")\n    (% class="browser-title"%)\n    === **$services.localization.render('phenotips.UIXField.phenotype.browseCategories')** ===\n  #end\n  (% class="phenotype" %)(((\n    #if ($xcontext.action == 'edit' || !$showUnaffected)$doc.display('phenotype')#end##\n  )))\n  #if ($xcontext.action == 'edit')\n    #__phenotypeMeta_displayAll('edit')##\n    )))## browse-phenotype-categories\n    (% class="half-width selector-panel current-phenotype-selection"%)(((\n    (% class='sub-panel'%)(((\n    === **$services.localization.render('phenotips.UIXField.phenotype.currentSelection')** ===\n    (% id="current-phenotype-selection"%)(((\n    {{html clean="false"}}<input type="hidden" id="phenotype-meta-add-action" value="$doc.getURL('objectadd', "classname=PhenoTips.PhenotypeMetaClass&amp;xredirect=$escapetool.url($doc.getURL('edit', 'xaction=lastmeta&xpage=plain'))&amp;form_token=$!{services.csrf.getToken()}")"/>{{/html}}\n    )))\n    )))\n    (% class="background-search diffDiagnosis-search phenotype-group collapsible-group hidden sub-panel" %)(((\n    === $services.localization.render('phenotips.UIXField.phenotype.suggestedPhenotypes') ===\n    (% class="hint" %)$services.localization.render('phenotips.UIXField.phenotype.suggestedPhenotypes.hint')\n    (% id="diffDiagnosis-search-results" class="background-suggestions" %)((()))\n    )))\n    )))\n    (% class="clear"%)((()))\n    )))## selector-panels\n  #end\n  )))## controlled (phenotype)\n  )))## controlled-group\n#end## section has content\n{{/velocity}}
5438551172213685513	parameters	title=$services.localization.render('phenotips.UIXField.phenotype')\nenabled=true\nrequired=\norder=1\nfields=unaffected,phenotype,negative_phenotype\nprivacy_level=1
1240644555127670220	content	
1240644555127670220	parameters	title=$services.localization.render('phenotips.UIXSection.phenotypeInfo')\nenabled=true\nrequired=\norder=8
-3478887088785183937	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('prenatal_development')\n{{/velocity}}
-3478887088785183937	parameters	title=$services.localization.render('phenotips.UIXField.prenatalDevellopment')\nenabled=true\nrequired=\norder=5\nfields=prenatal_development\nprivacy_level=3
-976918384487463105	content	{{include reference="PhenoTips.ChartServiceMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'export' && $doc.getObject('PhenoTips.MeasurementsClass'))\n\n  {{html clean=false}}#pagebreak(){{/html}}\n  #set($chartOptions = {'targetClassName' : 'PhenoTips.MeasurementsClass', 'obj': $obj, 'link': false})\n  #_measurementCharts($chartOptions)\n#end\n{{/velocity}}
-976918384487463105	parameters	title=$services.localization.render('phenotips.UIXField.growthChartsExported')\nenabled=true\nrequired=\norder=10
-6371114286152634390	code	var selectionSummary = '';\nvar highlightChecked = function(element, initialization) {\n      var type = element.up().hasClassName('no') ? 'no' : 'yes';\n      if (initialization !== true && element.id == element.name + '_' + element.value) {\n        Event.fire(document, 'phenotype:selected', {\n              key : element.value,\n              text: element.title || (element.nextSibling && (element.nextSibling.firstChild && element.nextSibling.firstChild.nodeValue || element.nextSibling.nodeValue)) || '',\n              enable: element.checked,\n              element : element,\n              type : type\n        });\n      }\n      if (selectionSummary) {selectionSummary._updateSummary(element, type);}\n};\nvar enableHighlightChecked = function(element, initialization) {\n      highlightChecked(element, initialization);\n      ['click', 'change', 'suggest:change', 'picker:change'].each(function(eventName) {\n        element.observe(eventName, highlightChecked.bind(element,element));\n      });\n};\n\nvar restoreCategory = function (element) {\n  var parentElement = element.up('.accepted-suggestions li');\n  var selector = '';\n  var ignoredCategories = this.suggest && this.suggest.options &&\n          this.suggest.options.queryProcessor && this.suggest.options.queryProcessor.restriction &&\n          this.suggest.options.queryProcessor.restriction.term_category;\n  if (parentElement) {\n    var originalName = parentElement.down('input[name="fieldName"]');\n    parentElement.select('.term-category input[type=hidden]').each(function (item) {\n      if (ignoredCategories && ignoredCategories.indexOf(item.value) >= 0) return;\n      selector += 'input.suggested[name^="' + (originalName && originalName.value || element.name) + '"] + input[type=hidden][name=_category][value*="' + item.value +'"], '\n    });\n  }\n  var chapter = parentElement.up(".chapter");\n  if (chapter != undefined) {\n    var matchingCategory = chapter.down(selector);\n  } else {\n    var matchingCategory = document.documentElement.down(selector);\n  }\n  if (matchingCategory) {\n    var matchingList = matchingCategory.previous('ul.accepted-suggestions');\n    if (matchingList) {\n      matchingList.insert(parentElement);\n      Event.fire(document, "custom:selection:category:changed", {\n       'customElement' : parentElement\n      });\n    }\n  }\n  enableHighlightChecked(element);\n  if (typeof (this.ensureVisible) == 'function') {\n    this.ensureVisible(element, !selectionSummary);\n  } else if (!this.silent) {\n    element.scrollTo();\n  }\n}\n\nvar findPropertyField = function(name) {\n  if ($('prefix'))\n    return $($('prefix').value + name);\n  return null;\n}\n\nvar findFormElementForPhenotype = function(id, negative, subtype) {\n  var result = null;\n  if ($('prefix')) {\n    result = $($('prefix').value + (negative ? 'negative_' : '') + (subtype ? subtype + '_' : '') + 'phenotype_' + id);\n  }\n  return result;\n};\n\nvar isPhenotypeSelected = function (id, negative) {\n  var elt = findFormElementForPhenotype(id, negative);\n  return (elt && elt.checked);\n};\nvar unselectPhenotype = function (id, negative) {\n  var targetElt = findFormElementForPhenotype(id, negative);\n  if (targetElt && targetElt.checked) {\n    if (targetElt.up('label')) {\n      targetElt.up('label').click();\n    } else {\n      targetElt.click();\n    }\n  }\n};\n\nvar isValueSelected = function (fieldName, value) {\n  var elt = $(fieldName + '_' + value);\n  return (elt && elt.checked);\n};\n\ndocument.observe('xwiki:dom:loaded', function() {\n  // ------------------------------------------------------------------------\n  // Capture the ENTER key on the form and prevent it from submitting the form\n  // ------------------------------------------------------------------------\n  ['keypress', 'keyup', 'keydown'].each(function (eventName) {\n     $$('.editbody form#inline').invoke('observe', eventName, function (event) {\n        if (event.keyCode == Event.KEY_RETURN && !(event.findElement('textarea') || event.findElement('.xwiki-free-multiselect-value'))) {\n           event.stop();\n        }\n     });\n  });\n  // ------------------------------------------------------------------------\n  // Selected term highlighting\n  // ------------------------------------------------------------------------\n  ["yes", "no"].each(function (type) {\n    $$('.term-label .' + type + ' input[type=checkbox]').each(function (input) {\n      enableHighlightChecked(input, true);\n      input.observe('click', function(event) {\n          $$('.' + type + ' input[type=checkbox][value=' + event.element().value +']').each(function(item) {\n            if (item.checked != event.element().checked) {\n              item.click();\n            }\n          });\n      });\n    });\n  });\n});
8074666911626387884	header	{{velocity}}$escapetool.xml($doc.name)#if ("$!{doc.getValue('external_id')}" != '') ($escapetool.xml($doc.getValue('external_id')))#end{{/velocity}}
8074666911626387884	style	#template('colorThemeInit.vm')\nh3 {\n  text-transform: uppercase;\n  font-weight: normal;\n  font-size: 1em;\n}\nhr {\n  display: none;\n}\n.patient-info h2 {\n  display: none;\n}\n.patient-info p {\n  margin: 0;\n  padding: 0;\n  text-indent: 0;\n}\n.no-selected {\n  color: $theme.notificationErrorColor;\n}\n
8074666911626387884	xhtmlxsl	
-6481727310521510162	code	#template('colorThemeInit.vm')\n\n/** ----------------------------------------------------------- */\n/** Default style fixes **/\n.space-data #mainContentArea, .space-data #mainEditArea {\n    background-color: #F9F9F9;\n    border: 0 none;\n    box-shadow: 0 0 8px rgba(0, 0, 0, 0.2);\n    margin: 3em 0;\n    padding: 0.5em 10px;\n    text-shadow: 1px 1px 0 #FFFFFF;\n}\n.space-data .bottombuttons {\n   margin: 3em -10px -3em;\n}\n.space-data #document-head {\n  margin: -2.9em -11px 0;\n}\n.space-data #document-head #document-title {\n  display: inline-block;\n  line-height: 0;\n  vertical-align: bottom;\n}\n\n.space-data #document-head h1 {\n  border: 0 none;\n  border-bottom: 0 none;\n  background-color: $theme.menuBackgroundColor;\n  #css3_backgroundLinearGradient({\n    'to': 'bottom',\n    'colors': [\n      {'color': $theme.menuBackgroundColor, 'position': '0%'},\n      {'color': $theme.menuGradientColor, 'position': '50%'}\n    ]\n  })\n  border-radius: 8px 8px 0 0;\n  box-shadow: 0 -3px 3px rgba(0, 0, 0, 0.15);\n  color: $theme.menuLinkColor;\n  display: inline-block;\n  font-size: 1.2em;\n  letter-spacing: 2px;\n  margin: 0;\n  padding: 0.4em 11px;\n  text-shadow: 0 0 1px $theme.buttonPrimaryTextColor;\n  text-transform: uppercase;\n}\n\n.space-data #document-head #document-authors {\n  background-color: $theme.menuBackgroundColor;\n  #css3_backgroundLinearGradient({\n    'to': 'bottom',\n    'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n  color: $theme.menuLinkColor;\n  border: 0 none;\n  font-size: 0.87em;\n  padding: 0.5em 10px;\n  text-shadow: 1px 0 0 rgba(0, 0, 0, .3);\n  vertical-align: top;\n  display: block;\n  border-bottom: 0 none;\n}\n\n#document-head #document-authors .sep {\n  margin: 0 .5em;\n}\n#document-head #document-authors .document-author {\n  color: inherit;\n  font-weight: bold;\n}\n.before-patient-data {\n  border: 0 none;\n  font-size: .87em;\n  margin: 0 -11px;\n  padding: 5px 10px;\n}\n.before-patient-data a.button {\n  font-size: 1em;\n  text-transform: none;\n  font-weight: normal\n}\n\n#xwikicontent {\n  overflow: visible;\n}\n\n.xwiki-form-listclass {\n  display: inline-block;\n}\n.xwiki-form-listclass input[type="radio"][value=""], .xwiki-form-listclass option[value=""] {\n  display: none;\n}\n.buttonwrapper, .button {\n  text-shadow: none;\n}\nhr {\n  border-bottom: 1px solid $theme.pageContentBackgroundColor;\n  border-left: 0 none;\n  border-right: 0 none;\n  border-top: 1px solid $theme.borderColor;\n  clear: both;\n}\n.xform .xHint {\n  color: $theme.notificationInfoColor;\n  font-size: 87%;\n}\n.fullScreenEditLinkContainer {\n  display: none !important;\n}\n.errormessage {\n  background-color: $theme.highlightColor;\n}\n.suggestItems .suggestValue {\n  color: $theme.textColor;\n}\n.suggestItem .related-terms, .suggestItem .browse-related-terms {\n  font-size: 100%;\n  font-weight: bold;\n  float: right;\n  margin: 0;\n  color: $theme.buttonPrimaryTextColor;\n  background-color: $theme.buttonPrimaryBackgroundColor;\n  border-radius: 2px;\n}\n.suggestItem .related-terms a, .suggestItem .browse-related-terms a {\n  color: $theme.buttonPrimaryTextColor;\n  display: inline-block;\n  padding: 2px .5em;\n}\n/** ----------------------------------------------------------- */\n/** ----------------------------------------------------------- */\n/** Layout **/\n.invisible {\n  display: none !important;\n}\n.clear {\n  display: block;\n  float: none;\n  clear: both;\n}\n.twothird-width {\n  width: 66%;\n  float: left;\n}\n.half-width {\n  width: 48.5%;\n  margin-right: 1%;\n  float: left;\n}\n.half-width+.half-width {\n  margin-left: 2%;\n  margin-right: 0;\n}\n.third-width {\n  width: 32%;\n  float: left;\n  margin-right: 1%;\n}\n/** ----------------------------------------------------------- */\n/** Specific form elements **/\n.hint {\n  color: $theme.notificationInfoColor;\n  font-size: 87%;\n  padding: 0;\n  margin: 0;\n  font-style: normal;\n}\n.chapter {\n  margin: 3.5em 0 1em;\n  padding: 0 10px 5px;\n  position: relative;\n}\nh2 a.action-edit {\n  display: inline-block;\n  font-size: .8em;\n  color: $theme.textColor;\n  visibility: hidden;\n  opacity: .8;\n  margin: 0 0 0 1em;\n}\n.chapter:hover a.action-edit {\n  visibility: visible;\n}\nh1, h2, h3, h4 {\n  text-shadow: 1px 1px 0 $theme.pageContentBackgroundColor;\n}\n.chapter > h2 {\n  border-bottom: 1px solid $theme.titleColor;\n  cursor: default;\n  font-family: Georgia,serif;\n  font-size: 1.5em;\n  margin: -1.5em -10px 0;\n  padding-left: 10px;\n}\n.editbody .chapter > h2 {\n  cursor: pointer;\n}\n.chapter > h2+.hint {\n  margin: 1em 0;\n}\n.chapter h3 {\n  font-size: 1.2em;\n  text-transform: uppercase;\n  margin: 1em 0;\n  padding: 0 20px 0 0;\n}\n/** ----------------------------------------------------------- */\n/** Patient info zone **/\n.clinical-info .fieldset {\n  margin: 1em 0 !important;\n}\n.editbody .family_study {\n  margin-top: 1.2em ! important;\n}\n.clinical-info .side {\n  padding-top: .3em;\n}\n.viewbody .clinical-info .label, .viewbody .clinical-info label {\n  font-weight: bold;\n  display: inline-block;\n  width: 33%;\n}\n.viewbody .family_study .label {\n  display: inline;\n}\n.viewbody .family_study .half-width {\n  width: 33%;\n}\n.viewbody .family_study .half-width * {\n  margin: 0 !important;\n}\n.omim_id.half-width p {\n  margin: 0;\n}\n/** ----------------------------------------------------------- */\n/** PubMed search box & suggest */\n.pubmed-search-box {\n  width: 42.5% !important;\n  position: absolute;\n  top: auto;\n  bottom: -1.4em !important;\n  margin-right: -46% !important;\n}\n.pubmed-search-box fieldset {\n  border: 1px solid $theme.backgroundSecondaryColor;\n  padding: .5em .8em;\n}\n#pubmed-search-history ul {\n  max-height: 5em;\n  overflow: auto;\n  font-size: .8em;\n}\n#pubmed-search-history h4 {\n  margin-bottom: 0;\n}\n#pubmed-search-history ul li {\n  padding-left: 20px;\n  background-image: url("$xwiki.getSkinFile('icons/silk/page.png')");\n  background-position: left 2px;\n  background-repeat: no-repeat;\n}\n#pubmed-search-history ul li input{\n  display: none;\n}\n/** ----------------------------------------------------------- */\n/** Clinical info zone **/\n/** view mode **/\n.viewbody .clinical-info .displayed-value {\n  padding-left: 8px;\n  margin-left: 8px;\n  border-left: 2px solid $theme.borderColor;\n}\n.value-checked, .viewbody .clinical-info label.section {\n  padding-left: 18px;\n  background: transparent none left 40% no-repeat;\n}\n.value-checked.fa::before {\n  margin-right: 0.25em;\n}\n.viewbody .subsection {\n  margin-left: 18px;\n}\n/** edit mode **/\n.editbody .clinical-info label.section {\n  line-height: 1.4em;\n  font-weight: bold;\n}\n.chapter div .expand-tools {\n  margin-top: -3.5em;\n  margin-right: 0;\n}\n.chapter .expand-tools {\n  color: $theme.textPrimaryColor;;\n  float: right;\n  font-size: 0.9em;\n  margin-right: -10px;\n  margin-top: -2em;\n}\n.chapter .browser .expand-tools {\n  margin-right: 0;\n  margin-top: -3em;\n}\n.expand-tools .tool:hover {\n  color: $theme.linkColor;\n  cursor: pointer;\n}\n.chapter.collapsed .expand-tools .inner-expand-tools,\n.chapter.collapsed .expand-tools .hide,\n.chapter.collapsed > *,\n.chapter.collapsed table,\n.chapter .expand-tools .show {\n  display: none;\n}\n.chapter.collapsed .expand-tools, .chapter.collapsed .expand-tools .show {\n  display: inline\n}\n.chapter.collapsed > h2 {\n  display: block;\n}\n/** --------------------------------------------- **/\n/** Charts **/\n.growth-charts-section.collapsed #charts,\n.growth-charts-section.collapsed .expand-tools .hide,\n.growth-charts-section .expand-tools .show {\n  display: none;\n}\n.growth-charts-section.collapsed .expand-tools .show {\n  display: inline;\n}\n.growth-charts-section h3.expandable {\n  cursor: pointer;\n}\n\n.chart-wrapper {\n  box-shadow: 0 0 6px $theme.borderColor;\n  display:inline-block;\n  width:24%;\n  margin-left:1%;\n}\n.chart-wrapper:hover {\n  text-decoration: none;\n}\n.term-entry {\n  display: block;\n  width: auto;\n}\n\n.enable-columns .predefined-entries {\n -moz-column-count: 2;\n -webkit-column-count: 2;\n column-count: 2;\n}\n.enable-columns .predefined-entries .subsection {\n  -webkit-column-break-before:avoid;\n  -moz-column-break-before:avoid;\n  column-break-before:avoid;\n  -webkit-column-break-inside:avoid;\n  -moz-column-break-inside:avoid;\n  column-break-inside:avoid;\n  display: table;\n}\n\n.ethnicity label, .ethnicity .label {\n  font-size: 100% !important;\n  color: inherit !important;\n  font-weight: bold !important;\n}\n/** --------------------------------------------- **/\n/** Pedigree **/\n.pedigree-legend {\n  margin-top: 1em !important;\n  margin-left: 2em !important;\n}
-5003776548285228195	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#__displayIfSet('consanguinity', false)\n{{/velocity}}
-9052874784795951139	code	document.observe('xwiki:dom:loaded', function() {\n  // Edit buttons for every heading in view mode\n  var editButton = $('prActionEdit');\n  if (editButton) {\n    $$('.chapter > h2[id]').each(function(title) {\n      var editLink = new Element('a', {'class' : 'action-edit fa fa-pencil', 'href' : editButton.href + '#' + title.id, 'title' : 'Edit'});\n      title.insert(editLink);\n    });\n  }\n  if (!$('inline')) {return;}\n\n  // , .chapter.phenotype-info .negative_phenotype-group\n  $$('.chapter.phenotype-info .phenotype-group').invoke('addClassName', 'collapsible-group');\n\n  $$('.chapter > h2').each(function(item){\n    var showIcon = '<span class="fa fa-plus-square-o fa-lg"></span>&nbsp;';\n    var chapterShow = new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update(showIcon+"$services.localization.render('phenotips.patientSheet.expandSection')");\n    var hideIcon = '<span class="fa fa-minus-square-o fa-lg"></span>&nbsp;';\n    var chapterHide = new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update(hideIcon+"$services.localization.render('phenotips.patientSheet.collapseSection')");\n    var chapterShowWrapper = new Element('span', {'class' : 'buttonwrapper show'}).insert(chapterShow);\n    var chapterHideWrapper = new Element('span', {'class' : 'buttonwrapper hide'}).insert(chapterHide);\n    var chapterExpandTools = new Element('span', {'class' : 'expand-tools'}).insert(chapterShowWrapper).insert(chapterHideWrapper);\n    item.insert({after: chapterExpandTools});\n    [chapterShow, chapterHide, item].invoke('observe', 'click', function (event) {\n      event.element().up('.chapter').toggleClassName('collapsed');\n    });\n  });\n  $$('.chapter:not(.patient-info)').each(function(item) {\n     if (!(window.location.hash && item.down(window.location.hash))) {\n       item.addClassName('collapsed');\n     }\n  });\n});
-1510750888240503256	code	document.observe('xwiki:dom:loading', function() {\n\n  var defaultSearchTerms = $('defaultSearchTerms');\n  var defaultSearchTermsInput = $('defaultSearchTermsInput');\n  var defaultSearchTermIDsInput = $('defaultSearchTermIDsInput');\n  var customSearchTermsInput = $('customSearchTermsInput');\n\n  var omimField = $('prefix') && $($('prefix').value + 'omim_id');\n\n  var services = {\n    'omim' : {\n       'script' : new XWiki.Document('DiseasePredictService', 'PhenoTips').getURL('get', 'format=html') + "&q=",\n       'source' : [defaultSearchTermIDsInput],\n       'target' : $('omim-search-results'),\n       'suggestFor' : omimField,\n       'tooltip': 'omim-disease-info'\n    },\n    'diffDiagnosis' : {\n       'script' : new XWiki.Document('DiffDiagnosisService', 'PhenoTips').getURL('get', 'format=html') + "&q=",\n       'source' : [defaultSearchTermIDsInput],\n       'target' : $('diffDiagnosis-search-results'),\n       'suggestFor' : $('quick-phenotype-search'),\n       'tooltip': 'phenotype-info'\n    }\n  };\n\n  if (!defaultSearchTerms || !defaultSearchTermsInput || (!services.omim.target && !services.diffDiagnosis.target)) {return;}\n\n  var cache = {'all' : {}, 'displayed' : {}};\n\n  var updateSearchValue = function() {\n    var prevValue = defaultSearchTermsInput.value;\n    defaultSearchTermsInput.value = '';\n    defaultSearchTermIDsInput.value = '';\n    var termNames = [];\n    defaultSearchTerms.select('.search-term:not(.disabled)').each(function(term) {\n      termNames.push(term.innerHTML);\n      defaultSearchTermsInput.value += ' "' + term.innerHTML + '"';\n      defaultSearchTermIDsInput.value += term.__key + ' ';\n    });\n    if (defaultSearchTermsInput.value != prevValue) {\n      document.fire('phenotips:phenotypeChanged', {phenotype: cache});\n      doSearch('omim');\n      doSearch('diffDiagnosis');\n    }\n  }\n\n  var updateDefaultSearchTerms = function() {\n    var container = new Element('div', { 'class' : 'default-search-terms-container'});\n    for (var k in cache.displayed) {\n       var obj = cache.all[k];\n       if (obj) {\n          var elt = new Element('span', {'class' : 'search-term ' + obj.type}).update(obj.text);\n          elt.__key = obj.key;\n          elt.title = obj.disabled && "$services.localization.render('phenotips.patientSheetCode.diagnosisZone.clickToEnable')" || "$services.localization.render('phenotips.patientSheetCode.diagnosisZone.clickToDisable')";\n          if (obj.disabled) {\n            elt.addClassName('disabled');\n          }\n          container.insert(elt);\n          elt.observe('click', function(event) {\n             var target = event.element();\n             target.toggleClassName('disabled');\n             cache.all[target.__key].disabled = target.hasClassName('disabled');\n             target.title = cache.all[target.__key].disabled && "$services.localization.render('phenotips.patientSheetCode.diagnosisZone.clickToEnable')" || "$services.localization.render('phenotips.patientSheetCode.diagnosisZone.clickToDisable')";\n             updateSearchValue();\n          })\n       }\n    }\n    defaultSearchTerms.update(container);\n    updateSearchValue();\n  }\n\n  var requestCreated = function(service, request) {\n    service.target.addClassName('loading');\n    service.target.select('li').each(function(element){element.update(' ')});\n  }\n  var responseReceived = function(service, request) {\n    if (request && request.getHeader('X-ReqNo') == service.expectedReqNo) {\n      service.target.removeClassName('loading');\n    } else {\n      request.request.container = {};\n    }\n  }\n\n  var updateDone = function(service) {\n    if (service.suggestFor  && service.suggestFor._suggestPicker) {\n        service.target.select('li').each(function (item) {\n          if (item.down('input[type=checkbox]')) {return;}\n          var idElt = item.down('.id');\n          var nameElt = item.down('.title');\n          var id = idElt && idElt.title;\n          var name = item.down('.title a') && item.down('.title a').innerHTML || item.down('.title') && item.down('.title').innerHTML;\n          var categoryElt = item.down('.term-category');\n          if (id && name) {\n            if (service.suggestFor.hasClassName('generateYesNo')) {\n              // generate yn pickers\n              var positiveName = service.suggestFor.name.replace(/__suggested$/, '');\n              var negativeName = positiveName.replace(/(_\\d+)_/, "$1_negative_");\n              var ynpicker = YesNoPicker.generatePickerElement([\n                    {type: 'yes', name: positiveName, id: '', selected: isValueSelected(positiveName, id)},\n                    {type: 'no' , name: negativeName, id: '', selected: isValueSelected(negativeName, id)}\n                  ], id, name, true, nameElt);\n              item.insert({top: ynpicker});\n\n              ynpicker.up().select('label, .yes-no-picker-label').invoke('observe', 'click', function(event) {\n               var option = Event.findElement(event);\n               var input = option.down('input[type="checkbox"]') || option.previous('.yes-no-picker').down('.yes input[type="checkbox"]'); // defaults to 'Y' when clicking on the text\n               if (!input) {return;}\n               if (input.checked) {\n                 var negative = option.hasClassName('no');\n                 var categoryClone = categoryElt.clone(true);\n                 if (negative) {\n                     categoryClone.insert(new Element('input', {type: 'hidden', name : 'fieldName', value : input.name}));\n                 }\n                 service.suggestFor._suggestPicker.silent = true;\n                 service.suggestFor._suggestPicker.acceptSuggestion({'id' : id, 'value' : name, 'category' : categoryClone, 'negative' : negative});\n                 service.suggestFor._suggestPicker.silent = false;\n                 new XWiki.widgets.Notification("$services.localization.render('phenotips.PatientSheetCode.added')".replace("__name__", name), 'done');\n               } else {\n                 var existingValue = $(service.suggestFor.id + '_' + input.value);\n                 if (existingValue) {\n                   existingValue.checked = false;\n                   new XWiki.widgets.Notification("$services.localization.render('phenotips.PatientSheetCode.removed')".replace("__name__", name), 'done');\n                 }\n               }\n            });\n\n            // enableHighlightChecked(ynpicker.down('.yes input'));\n            // enableHighlightChecked(ynpicker.down('.no input'));\n            } else {\n            // generate simple checkboxes\n            var trigger = new Element('input', {'type' :  'checkbox', 'value' : id, 'title' : 'Select', id : 'result__' + id});\n            var existingValue = $(service.suggestFor.id + '_' + id);\n            if (existingValue && existingValue.checked) {\n              trigger.checked = true;\n            }\n            trigger.__suggestion = {'id' : id, 'value' : name};\n            nameElt.wrap('label', {'for' : 'result__' + id});\n            idElt.insert({'before' : trigger});\n            trigger.observe('click', function(event) {\n               var input = Event.findElement(event, 'input[type=checkbox]');\n               if (input.checked) {\n                 service.suggestFor._suggestPicker.silent = true;\n                 service.suggestFor._suggestPicker.acceptSuggestion(input.__suggestion);\n                 service.suggestFor._suggestPicker.silent = false;\n                 new XWiki.widgets.Notification("$services.localization.render('phenotips.PatientSheetCode.added')".replace("__name__", input.__suggestion.value ), 'done');\n               } else {\n                 var existingValue = $(service.suggestFor.id + '_' + input.value);\n                 if (existingValue) {\n                   existingValue.up('li').remove();\n                   new XWiki.widgets.Notification("$services.localization.render('phenotips.PatientSheetCode.removed')".replace("__name__", input.__suggestion.value), 'done');\n                 }\n               }\n            });\n            } // generate simple checkboxes, not yn pickers\n            // -----------------------------------------------------\n            // Insert info boxes where available\n            if (typeof(service.tooltip) != 'undefined') {\n             item.insert(new Element('span', {'class' : 'xHelpButton fa fa-info-circle ' + service.tooltip, 'title' : id}));\n            }\n            // -----------------------------------------------------\n            // Enable navigation by pages for trait suggestions\n            service.target.select(".navigation").each(function(navButton){\n              navButton.observe("click", function(event) {\n                doSearch('diffDiagnosis', navButton.select("input")[0].value, 0);\n              });\n            });\n          } //End of ID and Name conditional\n        }); //End of loop over all li\n    }\n    if (service.target.__hiddenParent) {\n      if (service.target.down('li')) {\n         //has results\n         service.target.__hiddenParent.removeClassName('hidden');\n      } else {\n         service.target.__hiddenParent.addClassName('hidden');\n      }\n    }\n    Event.fire (document, 'xwiki:dom:updated', {'elements' : [service.target]});\n  };\n\n  var doSearch = function(service, page, searchDelay) {\n    var data = services[service];\n    if (!data || !data.target || !data.script) {return;}\n    if (data.__pendingRequest !== undefined) {\n      window.clearTimeout(data.__pendingRequest);\n      data.__pendingRequest = undefined;\n    }\n    data.target.__initialized || (data.target.__initialized = true) && (data.target.__hiddenParent = data.target.up('.background-search.hidden'));\n    if (!data.expectedReqNo) {\n      data.expectedReqNo = 0;\n    }\n    //var queryString = (customSearchTermsInput && (customSearchTermsInput.value.strip() + ' ') || '') + defaultSearchTermsInput.value.strip();\n    var queryString = '';\n    var parameters = {};\n    for (var k in cache.displayed) {\n      var obj = cache.all[k];\n      if (obj && !obj.disabled) {\n        var list = parameters[obj.type];\n        if (!list) {\n          list = [];\n          parameters[obj.type] = list;\n        }\n        list.push(obj.key);\n      }\n    }\n\n    if (page !==  undefined) {\n      parameters['page'] = page;\n    }\n\n    data.source.each(function(source) {\n       queryString += ((source && source.value.strip()) + ' ') || '';\n    });\n\n    searchDelay = (searchDelay === undefined) ? 0.8 : searchDelay;\n\n    data.__pendingRequest = function() {\n      data.__pendingRequest = undefined;\n      new Ajax.Updater(data.target, data.script + encodeURIComponent(queryString.strip()) + "&reqNo=" + ++data.expectedReqNo, {\n        parameters: parameters,\n        onCreate : requestCreated.bind(this, data),\n        onSuccess : responseReceived.bind(this, data),\n        onComplete : updateDone.bind(this, data)\n      });\n    }.bind(this).delay(searchDelay);\n  }\n\n  document.observe('phenotype:selected', function(event) {\n    if (!event.memo || !event.memo.key || !event.memo.element) {return;}\n    var key = event.memo.key;\n    var text = event.memo.text || event.memo.key;\n    var obj = cache.all[key];\n    // The event is sent for NA, Yes and No checkboxes, in this order, with partial results along the way.\n    // If we want to check the final state of the value, we only take the No checkbox into account.\n    if (event.memo.type == 'no') {\n      var yesSelected = event.memo.element.up('.yes-no-picker').down('.yes input').checked;\n      var noSelected = event.memo.enable;\n      if (yesSelected || noSelected) {\n        if (!obj) {\n          obj = {'key' : key, 'text' : text};\n          cache.all[key] = obj;\n        } else {\n          obj.hidden = false;\n        }\n        obj.type = noSelected ? 'not_symptom' : (key.startsWith('HP:') ? 'symptom' : 'free_symptom');\n        cache.displayed[key] = true;\n      } else {\n        if (obj) {\n          obj.hidden = true;\n          delete cache.displayed[key];\n        }\n      }\n    }\n    updateDefaultSearchTerms();\n  });\n\n  document.observe('xwiki:dom:loaded', function() {\n    $$(".yes-no-picker").each(function(element) {\n      var yesInput = element.down('.yes input');\n      var noInput = element.down('.no input');\n      if (yesInput.name === noInput.name) {\n        // Not a phenotype\n        return;\n      }\n      var key = yesInput.value;\n      // FIXME The nextSibling part is supposed to make simple checkboxes work as well, but we're already selecting only YesNo pickers.\n      // Should be revisited to add back support for simple checkboxes.\n      var text = yesInput.title || (element.nextSibling && (element.nextSibling.firstChild && element.nextSibling.firstChild.nodeValue || element.nextSibling.nodeValue)) || key;\n      var obj = cache.all[key];\n      var enable = !element.down('.na input').checked;\n      if (enable) {\n        if (!obj) {\n          obj = {'key' : key, 'text' : text};\n          cache.all[key] = obj;\n        } else {\n          obj.hidden = false;\n        }\n        obj.type = (noInput.checked ? 'not_symptom' : (key.startsWith('HP:') ? 'symptom' : 'free_symptom'));\n        cache.displayed[key] = true;\n      } else {\n        if (obj) {\n          obj.hidden = true;\n          delete cache.displayed[key];\n        }\n      }\n    });\n    updateDefaultSearchTerms();\n  });\n\n  if (customSearchTermsInput) {\n    customSearchTermsInput.observe('keyup', function(event) {\n       doSearch('omim');\n       doSearch('diffDiagnosis');\n    });\n  }\n});
3318223183939778041	code	document.observe('xwiki:dom:loaded', function() {\n  $$('.month-year-date').each(function(dateWidget){\n    var dateValueInput = dateWidget.down('input.xwiki-date-hidden');\n    var monthSelect = dateWidget.down('select.month');\n    var yearSelect = dateWidget.down('select.year');\n    if (!dateValueInput || !dateValueInput.title || !monthSelect || !yearSelect) {return;}\n    [monthSelect, yearSelect].invoke('observe', 'change', function(event) {\n       var format = dateValueInput.title;\n       var month = monthSelect.selectedIndex >= 0 && monthSelect.options[monthSelect.selectedIndex].value;\n       var year = yearSelect.selectedIndex >= 0 && yearSelect.options[yearSelect.selectedIndex].value;\n       if (month && year) {\n          var date = new Date();\n          date.setFullYear(year, month, 1);\n          if (typeof (SimpleDateFormat) != 'undefined') {\n            var formatter = new SimpleDateFormat(format);\n            dateValueInput.value = formatter.format(date);\n            dateValueInput.alt = date.toISO8601();\n            Event.fire(dateValueInput, 'xwiki:date:changed');\n          }\n       }\n    })\n  })\n});
-2977641234833990010	code	document.observe('xwiki:dom:loaded', function() {\n  // --------------------------------------------------------------------------------------------\n  // Drag phenotypes to select...\n  var summaryDroppable = webkit_drop.add(document.documentElement.down('.selector-panels'), {\n     accept: ['term-label', 'info'],\n     onDrop: function(dropped, event) {\n       var input = dropped.down('input[type=checkbox]') || dropped.previous('input[type=checkbox]');\n       if (input && !input.checked) {\n         input.click();\n       }\n     }\n  })\n  var createDraggablePhenotype = function (element) {\n     element.addClassName('draggable-initialized');\n     new webkit_draggable(element, {revert : 'always', scroll : true});\n  }\n  $$('.browse-phenotype-categories label.term-label').each(function(item){\n    createDraggablePhenotype(item);\n  });\n\n  document.observe("obrowser:content:added", function(event) {\n    var data = event.memo && event.memo.added;\n    if (!data) { return; }\n    data.select('.entry-data .info:not(.draggable-initialized)').each(function(item) {\n       createDraggablePhenotype(item);\n    });\n  });\n\n  // --------------------------------------------------------------------------------\n  // Drag summary-items back to delete them...\n  var browserDroppable = webkit_drop.add(document.documentElement.down('.browse-phenotype-categories'), {\n      accept: ['summary-item'],\n      onDrop: function(dropped, event) {\n        var input = dropped.down('input[type=checkbox]');\n        if (input && selectionSummary) {selectionSummary._remove(input.value);}\n      }\n   });\n   var createDraggableSummaryItem = function (element) {\n      element.addClassName('draggable-initialized');\n      new webkit_draggable(element, {revert : true, scroll : true});\n   }\n   document.observe("summary-item:added", function(event) {\n      var element = event.memo && event.memo.element;\n      if (element && !element.hasClassName('draggable-initialized')) {\n        createDraggableSummaryItem(element);\n      }\n   });\n});
-1317365487173417600	code	document.observe('xwiki:dom:loaded', function() {\n  $$('.yes-no-picker:not(.initialized)').each(function (ynpickerElt) {\n     if (!ynpickerElt._ynpicker) {\n      ynpickerElt._ynpicker = new YesNoPicker(ynpickerElt, ynpickerElt.next('label'), true);\n     }\n  });\n});
8764761973697635701	code	document.observe('xwiki:dom:loaded', function() {\n  if (!$('prefix')) {return;}\n  new XWiki.editors.AutoSave({\n    form : 'inline',\n    enabled: true,\n    frequency: 10,\n    showConfigurationUI: false\n  });\n});
3838320918857368184	code	var XWiki = (function(XWiki) {\n  // Start XWiki augmentation\n  var widgets = XWiki.widgets = XWiki.widgets || {};\n\n  widgets.UniquenessValidator = Class.create({\n    initialize : function(input) {\n      this.input = input;\n      this.valid = true;\n      this.state = 'NEW';\n      this.request = 0;\n      this.value = input.value;\n      this.serviceUrl = new XWiki.Document('CheckID', 'PhenoTips').getURL('get');\n      if (!this.input.__validation) {\n        this.input.__validation = new LiveValidation(this.input, {validMessage: '', wait : 500});\n      }\n      this.input.__validation.add(this.validate.bind(this));\n    },\n    check : function() {\n      if (this.input.value != this.value) {\n        this.value = this.input.value;\n        this.state = 'CHECKING';\n        new Ajax.Request(this.serviceUrl, {\n          parameters : { outputSyntax: 'plain', eid: this.value, id: XWiki.Model.serialize(new XWiki.DocumentReference(XWiki.currentDocument.wiki, XWiki.currentDocument.space, XWiki.currentDocument.page))},\n          on200 : this.self.bindAsEventListener(this),\n          on403 : this.empty.bindAsEventListener(this),\n          on404 : this.available.bindAsEventListener(this),\n          on409 : this.exists.bindAsEventListener(this),\n          onComplete: this.responded.bindAsEventListener(this)\n        });\n      }\n    },\n    validate : function(value) {\n      if (this.state == 'DONE') {\n        this.value == value && (this.valid || Validate.fail("$services.localization.render('phenotips.PatientSheetCode.identifierExists')"));\n      }\n      this.check();\n      return true;\n    },\n    self : function() {\n      this.valid = true;\n    },\n    available : function() {\n      this.valid = true;\n    },\n    empty : function() {\n      this.valid = false;\n    },\n    exists : function() {\n      this.valid = false;\n    },\n    responded : function() {\n      this.state = 'DONE';\n      this.input.__validation.validate();\n    }\n  });\n\n  var init = function(event) {\n    ((event && event.memo.elements) || [$('body')]).each(function(element) {\n      element.select('input.check-unique, .external_id input').each(function(input) {\n        if (!input.__uniqueness_validator) {\n          input.__uniqueness_validator = new XWiki.widgets.UniquenessValidator(input);\n        }\n      });\n    });\n    return true;\n  };\n\n  (XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe('xwiki:dom:updated', init);\n\n  // End XWiki augmentation.\n  return XWiki;\n}(XWiki || {}));
-2788095431523390073	code	Event.observe(window, 'load', function() {\n  for (binding in shortcut.all_shortcuts) {\n    shortcut.remove(binding);\n  }\n});
8074666911626387884	footer	Page (% class="page-number" %)#(%%) of (% class="page-total" %)#(%%)\n\n{{velocity}}(% style="margin-top: 1em; font-size: 70%" %)(((\n$services.localization.render('phenotips.PatientSheetCode.PDFFooterDocInfo', [$xwiki.getUserName($tdoc.author, false), $!xwiki.formatDate($tdoc.date), $xwiki.getUserName($xcontext.user, false)])\n$services.localization.render('phenotips.PatientSheetCode.PDFFooterDisclaimer', [$xwiki.formatDate($util.date)]) [[PhenoTips>>$doc.getExternalURL()]].\n))){{/velocity}}
8074666911626387884	fopxsl	<?xml version="1.0" encoding="UTF-8"?>\n<xsl:stylesheet version="1.0"\n    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"\n    xmlns:fo="http://www.w3.org/1999/XSL/Format"\n    xmlns:html="http://www.w3.org/1999/xhtml">\n\n  <xsl:output method="xml"/>\n\n  <xsl:template match="@*|node()">\n    <xsl:copy>\n      <xsl:apply-templates select="@*|node()"/>\n    </xsl:copy>\n  </xsl:template>\n\n  <!-- Skip fo:table-and-caption because Fop won't render tables otherwise -->\n  <xsl:template match="fo:table-and-caption">\n    <xsl:apply-templates/>\n  </xsl:template>\n\n  <!-- Ignore fo:table-caption because it is not supported -->\n  <xsl:template match="fo:table-caption" />\n\n  <!-- Change the page dimensions to Letter -->\n  <xsl:template match="fo:simple-page-master/@page-height">\n    <xsl:attribute name="page-height">\n      <xsl:value-of select="'11in'"/>\n    </xsl:attribute>\n  </xsl:template>\n  <xsl:template match="fo:simple-page-master/@page-width">\n    <xsl:attribute name="page-width">\n      <xsl:value-of select="'8.5in'"/>\n    </xsl:attribute>\n  </xsl:template>\n  <!-- Change the font to FreeSans -->\n  <xsl:template match="fo:root/@font-family">\n    <xsl:attribute name="font-family">\n      <xsl:value-of select="'FreeSans'"/>\n    </xsl:attribute>\n  </xsl:template>\n\n  <!-- Ignore some elements -->\n  <xsl:template match="fo:block[@id='document-actions']" />\n  <xsl:template match="fo:block[@role='html:h1']" />\n</xsl:stylesheet>
-7388137781914369781	code	.measurement-info .extradata-list td {\n  text-align: left;\n}\n.measurement-info .extradata-list th {\n  width: 16em;\n}\n.extradata-list .bmi, .extradata-list .hc_percentile {\n  min-width: 4em;\n}\n.extradata-list .normal {\n  color: $theme.notificationSuccessColor;\n}\n.extradata-list .extreme-below-normal, .extradata-list .extreme-above-normal {\n  color: $theme.notificationErrorColor;\n}\n.extradata-list .below-normal, .extradata-list .above-normal {\n  color: $theme.notificationWarningColor;\n}\n.extradata-list .extreme-below-normal:before, .extradata-list .extreme-above-normal:before,\n.extradata-list .below-normal:before, .extradata-list .above-normal:before {\n  border-radius: 50%;\n  color: $theme.pageContentBackgroundColor;\n  display: inline-block;\n  height: 1.4em;\n  margin-right: 0.5em;\n  text-align: center;\n  text-shadow: none;\n  width: 1.4em;\n}\n.extradata-list .extreme-below-normal:before, .extradata-list .extreme-above-normal:before {\n  background-color: $theme.notificationErrorColor;\n  content: "!!";\n}\n.extradata-list .below-normal:before, .extradata-list .above-normal:before {\n  background-color: $theme.notificationWarningColor;\n  content: "!";\n}\nform .extradata-list tr:hover td {\n  background-color: $theme.highlightColor;\n}\n.extradata-list.measurements {\n  border-collapse: separate;\n  border-spacing: 0 0;\n}\n.extradata-list.measurements td {\n  text-align: left;\n}\n.extradata-list.measurements .displayed-value {\n  white-space: nowrap;\n}\n.extradata-list.measurements table {\n  width: 100% !important;\n}\n.extradata-list.measurements td.date label.hint,\n.extradata-list.measurements td.age label.hint {\n  font-size: 1em;\n  color: $theme.textColor;\n  font-weight: bold;\n}\n.extradata-list.measurements td input {\n  width: auto;\n}\n.extradata-list.measurements td.date input {\n  width: 10em;\n  margin: 0 0 0 .7em;\n}\n.extradata-list.measurements td.age .displayed-value {\n  display: inline;\n}\n.extradata-list.measurements td.actions a.delete{\n  margin: 0;\n  background-image: none;\n  width: 1em;\n  height: auto;\n  float: right;\n  text-indent: 0;\n  text-align: center;\n  text-decoration: none !important;\n}\n\n.extradata-list .head-group label {\n  font-weight: bold;\n}\n.extradata-list .icon {\n  width: 20px;\n  background: transparent none center center no-repeat;\n}\n.extradata-list .head-group .icon {\n  background-image: url("$xwiki.getSkinFile('icons/datamodel/calendar.png')");\n}\n.extradata-list .general-group .icon {\n  background-image: url("$xwiki.getSkinFile('body-icon-s.png')");\n  opacity: .4;\n}\n.extradata-list .face-group .icon {\n  background-image: url("$xwiki.getSkinFile('head-icon-s.png')");\n  opacity: .4;\n}\n.extradata-list .ratios-group .icon {\n  background-image: url("$xwiki.getSkinFile('ratios-icon-s.png')");\n  opacity: .4;\n}\n.extradata-list .eyes-group .icon {\n  background-image: url("$xwiki.getSkinFile('eye.png')");\n}\n.extradata-list .organs-group .icon {\n  background-image: url("$xwiki.getSkinFile('body-icon-left-s.png')");\n  opacity: .4;\n}\n.extradata-list .left-side-group .icon {\n  background-image: url("$xwiki.getSkinFile('body-icon-left-s.png')");\n  opacity: .4;\n}\n.extradata-list .right-side-group .icon {\n  background-image: url("$xwiki.getSkinFile('body-icon-right-s.png')");\n  opacity: .4;\n}\n\n.extradata-list .relative_type, .extradata-list .relative_of {\n  width: 50%;\n  text-align: left;\n}\n.extradata-list .relative_type label, .extradata-list .relative_of label {\n  width: auto;\n}\n
-2870840246959512782	code	#template('colorThemeInit.vm')\n/*--------------------------------------------------------------*/\n/** Box style */\n.ncbi-search-box {\n  margin-top: 2em;\n}\n/*--------------------------------------------------------------*/\n/** Search terms from phenotypes */\n.default-search-terms-container {\n  margin: .5em 0;\n  padding: .5em 1em;\n  border: 1px dotted $theme.borderColor;\n  background-color: $theme.highlightColor;\n}\n.search-term {\n  margin: 0 1.5em 0 0;\n  cursor: pointer;\n}\n.search-term:hover, .search-term.disabled:hover {\n  opacity: .7;\n}\n.search-term.disabled {\n  opacity: .5;\n  text-decoration: line-through;\n}\n.search-term.not_symptom {\n  color: #C00;\n}\n.search-term.not_symptom:before {\n  content: "NO ";\n}\n/** ----------------------------------------------------------- */\n/** PubMed & OMIM suggestions */\n.background-suggestions li {\n  margin: .7em 0;\n  font-size: .85em;\n  line-height: 1.2em;\n}\n.background-suggestions .journal {\n  font-style: italic;\n}\n.background-suggestions .locus {\n  display: block;\n}\n.background-suggestions .title {\n  font-size: 1.25em;\n}\n#pubmed-search-results ul li {\n  background-image: url("$xwiki.getSkinFile('icons/silk/page.png')");\n  padding-left: 20px;\n  background-position: left 2px;\n  background-repeat: no-repeat;\n  page-break-inside: avoid;\n}\n#omim-search-results ul li label input {\n  vertical-align: middle;\n}\n.background-search h4 {\n  font-size: 1.2em;\n  margin: 0;\n  padding: 0 20px 0 0;\n}\n.background-search {\n  margin-top: 1em;\n  background: transparent none right top no-repeat;\n}\n.background-search.loading, .plainmessage.loading {\n  background-image: url("$xwiki.getSkinFile('icons/xwiki/spinner.gif')");\n}\n\n.background-search h3 {\n  font-weight: bold !important;\n  margin-top: 0;\n}\n.background-suggestions ul {\n  list-style-type: none;\n  margin: 0;\n  padding-left: 0.8em;\n  -moz-column-count: 2;\n  -moz-column-gap: 1em;\n  -webkit-column-count: 2;\n  -webkit-column-gap: 1em;\n  column-count: 2;\n  column-gap: 1em;\n}\n\n#diffDiagnosis-search-results {\n  display: table; \n  width: 100%;\n}\n\n#diffDiagnosis-search-results > * {\n  display: table-cell;\n  vertical-align: middle;\n}\n.collapsed #diffDiagnosis-search-results > * {\n  display: none;\n}\n\n#diffDiagnosis-search-results > ul {\n  padding-bottom: 0.3em;\n  padding-left: 1em;\n  width: 90%;\n}\n\n#diffDiagnosis-search-results > span {\n  text-align: center;\n}\n\n#diffDiagnosis-search-results > .navigation:hover {\n  background-color: rgba(0,0,0,0.1);\n  color: $theme.linkColor;\n  cursor: pointer;\n  transition: all 0.2s linear;\n}
-9075091576080308657	code	#template('colorThemeInit.vm')\n.phenotype-details {\n  background-color: #F9F9F9;\n  background-position: left center;\n  background-repeat: no-repeat;\n  border-radius: 0 .5em .5em .5em;\n  border: 1px solid #FFF;\n  color: $theme.textSecondaryColor;\n  font-size: 87.5%;\n  margin-left: 20px;\n  padding: .5em 20px;\n  position: relative;\n  width: 80%;\n}\n.phenotype-details.collapsed {\n  background-position: 99% .25em;\n  cursor: pointer;\n  padding-left: 16px;\n}\n.phenotype-details .collapsed {\n  display: none;\n}\n.phenotype-details .comments-preview {\n  display: block;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n  max-height: 1.2em;\n}\n\n.phenotype-details input[type="text"] {\n  padding: 0;\n  width: 50%;\n  color: $theme.textSecondaryColor;\n  font-size: 87.5%;\n  box-shadow: none !important;\n  background: transparent !important;\n  border-color: transparent !important;\n}\n.phenotype-details .action-done {\n  cursor: pointer;\n  font-size: 2em;\n  position: absolute;\n  right: 0.25em;\n  top: 0;\n}\n.phenotype-details .action-done:hover {\n  color: $theme.linkColor;\n}\n.phenotype-details.collapsed dt,\n.phenotype-details.collapsed dd,\n.phenotype-details.collapsed .action-done,\n.phenotype-details.focused .preview {\n  display: none;\n}\n\n.phenotype-details.collapsed .preview {\n  display: block;\n}\n\n.phenotype-details.focused {\n  background-image: none;\n  box-shadow: 0 2px 5px #999;\n}\n\n.phenotype-details dt {\n  font-weight: normal;\n}\n\n.phenotype-details dt label {\n  color: $theme.textColor;\n}\n\n.phenotype-details dt .selected {\n  color: $theme.textColor;\n  font-weight: bold;\n}\n\n.phenotype-details.focused input {\n  color: $theme.textColor;\n  background: #FFF !important;\n  border-color: #FFF !important;\n}\n\n.phenotype-details .attachment-list .attachment-item,\n.phenotype-details .attachment-list .attachment-item input {\n  display: none;\n  margin: 0;\n  padding: 0;\n  box-shadow: none;\n}\n.phenotype-details .attachment-list .attachment-item.selected,\n.phenotype-details .attachment-list .attachment-preview {\n  display: block;\n  width: 100%;\n  max-height: inherit;\n  height: auto;\n  box-sizing: border-box;\n}\n.phenotype-details .attachment-list .attachment-item.image {\n  max-width: 100%;\n}\n.phenotype-details .attachment-list .attachment-item.selected label {\n  padding: 3px 0 3px 20px;\n}\n.phenotype-details .attachment-list .attachment-item.image label {\n  padding: 0 !important;\n}\n.phenotype-details .attachment-item img {\n  max-width: 100% !important;\n  max-height: inherit !important;\n}\n.phenotype-details .attachment-list .attachment-item .view {\n  background-color: $theme.pageContentBackgroundColor;\n  bottom: 0;\n  padding: 5px;\n}\n.phenotype-details .actions {\n  float: right;\n}\n.phenotype-details .collapsible {\n  cursor: pointer !important;\n}
8941872134116103063	code	#template('colorThemeInit.vm')\n.LV_validation_message {\n  position: static !important;\n}\n.LV_valid {\n  display: none;\n}\ninput.LV_invalid_field {\n  background-color: $theme.highlightColor;\n  border: 1px solid $theme.notificationErrorColor;\n  color: $theme.textColor !important;\n}\ninput[type="checkbox"] + .LV_validation_message {\n  float: right;\n}
203962400083476626	content	
203962400083476626	parameters	title=$services.localization.render('phenotips.UIXSection.filesInfo')\nenabled=false\nrequired=\norder=10
8554973203633654227	content	{{include reference="PhenoTips.ChartServiceMacros" /}}\n\n{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#set ($targetClassName = 'PhenoTips.MeasurementsClass')\n#if ($xcontext.action != 'export' && ($xcontext.action == 'edit' || $doc.getObject($targetClassName)))\n  (% class="growth-charts-section" %)(((\n    #if($xcontext.action == 'edit')\n      (% class="expandable" %)\n      === $services.localization.render('phenotips.UIXField.growthCharts.heading') ===\n      #__expandTools()\n    #else\n      === $services.localization.render('phenotips.UIXField.growthCharts.heading') ===\n    #end\n\n    (% id="charts"%)(((\n      #_measurementCharts({'targetClassName' : $targetClassName, 'obj': $obj, 'link': true})\n    )))\n  )))\n  (% class="clear"%)((()))\n#end\n{{/velocity}}
8554973203633654227	parameters	title=$services.localization.render('phenotips.UIXField.growthCharts')\nenabled=true\nrequired=\norder=4\nfields=\nprivacy_level=3
-1660613253161046934	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasBooleanDataToDisplay('solved', $showSolved)\n##\n##\n#if ($showSolved)\n  (% class="controlled-group complete-hide exclude" %)(((\n  (% class="fieldset unaffected controller" %)(((\n  #if ($xcontext.action == 'edit')\n    $doc.display('solved') #__label('solved' '' "$class.get('solved').prettyName") {{icon name="question-circle" cssClass="xHelpButton" title="$services.localization.render("PhenoTips.PatientClass_solvedCase_hint").replace('"', '~~~"')"/}}\n\n  #else\n    #if ($showSolved)$class.get('solved').translatedPrettyName#end\n  #end\n  )))\n  (% class="controlled" %) (((\n     #__displayIfNotEmpty2Col('solved__pubmed_id')\n     #__displayIfNotEmpty2Col('solved__gene_id')\n     #__displayIfNotEmpty2Col('solved__notes')\n  )))## controlled (pubmed/gene)\n  )))## controlled-group\n#end## section has content\n{{/velocity}}
-1660613253161046934	parameters	title=Case resolution\nenabled=true\nrequired=\norder=1\nfields=solved,solved__pubmed_id,solved__gene_id,solved__notes\nprivacy_level=1
5609576143747348822	diagnosis_notes	
5609576143747348822	family_history	
5609576143747348822	indication_for_referral	
5609576143747348822	medical_history	
5609576143747348822	prenatal_development	
5609576143747348822	solved__notes	
8945688276831170559	data	
8945688276831170559	description	
8945688276831170559	image	
3923990827706018899	content	
3923990827706018899	parameters	enabled=true\norder=11\ntitle=Case resolution
8434677893931049112	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n$xwiki.ssx.use('PhenoTips.ImageDisplayer', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.ImageDisplayer')##\n#set ($targetClassName = 'PhenoTips.ExternalImageClass')\n#if ($xcontext.action == 'edit' || $xcontext.action != 'export' && $doc.getObject($targetClassName))\n  === Imaging ===\n  #__extradata_displayTable($targetClassName, {'counter' : true, 'labels' : false, 'mode' : $xcontext.action})\n#end\n{{/velocity}}
8434677893931049112	parameters	title=$services.localization.render('phenotips.UIXField.additionalImages')\nenabled=true\nrequired=\norder=3\nfields=
7828773430998734372	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('indication_for_referral')\n{{/velocity}}
7828773430998734372	parameters	title=$services.localization.render('phenotips.UIXField.indicationForReferral')\nenabled=true\nrequired=\norder=11\nfields=indication_for_referral\ncontains_PII=true\nprivacy_level=1
3976041187894402198	content	
-8772225941158543190	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$!{themeDocFullName}"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#set ($assistedReproductionQuestions = ['assistedReproduction_fertilityMeds', 'assistedReproduction_iui', 'ivf', 'icsi', 'assistedReproduction_surrogacy', 'assistedReproduction_donoregg', 'assistedReproduction_donorsperm'])\n#set ($displayedContent = "")\n#foreach ($question in $assistedReproductionQuestions)\n  #set ($displayedContent = "${displayedContent}#__displayIfSet(${question}, false)${util.newline}")\n#end\n#set ($displayedContent = $displayedContent.replaceAll("${util.newline}{2,}", "${util.newline}"))\n#if ($displayedContent.trim() != '')\n**$services.localization.render('phenotips.UIXField.assistedReproduction.label')**\n$displayedContent.trim()\n#end\n{{/velocity}}
-8772225941158543190	parameters	title=$services.localization.render('phenotips.UIXField.assistedReproduction')\nenabled=true\nrequired=\norder=2\nfields=assistedReproduction_fertilityMeds,assistedReproduction_iui,ivf,icsi,assistedReproduction_surrogacy,assistedReproduction_donoregg,assistedReproduction_donorsperm\nprivacy_level=3
1185118687322623748	content	{{velocity}}\n#if ($xcontext.action == 'edit')\n  {{info}}$services.localization.render('phenotips.UIXField.requiredMeasurements.warning'){{/info}}\n#end\n{{/velocity}}
1185118687322623748	parameters	title=$services.localization.render('phenotips.UIXField.requiredMeasurements')\nenabled=true\nrequired=\norder=1\nfields=\nprivacy_level=3
1364237315358742195	content	
1364237315358742195	parameters	title=$services.localization.render('phenotips.UIXSection.prenatalInfo')\nenabled=true\nrequired=\norder=3
3727276020073422038	content	{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n#set ($targetClassName = 'PhenoTips.MeasurementsClass')\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('XWiki.DateTimePicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('XWiki.DateTimePicker')##\n  #if ($config && "$!{config.getProperty('enableImperialUnitSystem').value}" == '1')\n    #set ($measurementUnitInfo = "enable-unit-switch $!{config.getProperty('measurementUnitSystem').value}")\n  #else\n    #set ($measurementUnitInfo = '')\n  #end\n\n  #__extradata_displayTable($targetClassName, {'counter' : false, 'labels' : true, 'mode' : $xcontext.action, 'cssClass' : "measurements full $!{measurementUnitInfo}"})\n#elseif ($doc.getObject($targetClassName))\n  #set($dataClass = $xwiki.getDocument('PhenoTips.MeasurementsClass').xWikiClass)\n  #if ($dataClass)\n    #set($dataObjects = $doc.getObjects('PhenoTips.MeasurementsClass'))\n    (% class="extradata-list" %)\n    ##\n    ## Sort dataObjects\n    #set ($sortedDataObjects = [])\n    #foreach ($o in $dataObjects)\n       #set ($discard = $sortedDataObjects.add({\n           'age' : $o.getValue('age'),\n           'date' : $o.getValue('date'),\n           'obj' : $o\n       }))\n    #end\n    #set ($sortedDataObjects = $sorttool.sort($sortedDataObjects, ['age:asc', 'date:asc']))\n    ##\n    #foreach ($obj in $sortedDataObjects )\n      #set ($o = $obj.obj)\n      #foreach($prop in $dataClass.properties)\n        #if ($prop.name == 'date' || $prop.name == 'age')\n          |= ${prop.prettyName}: |=(% colspan="2" %) $doc.display($prop.getName(), $o)\n        #elseif (!$prop.name.endsWith('_evaluation') && "$!o.getProperty($prop.getName()).value" != '')\n          |= ${prop.prettyName}: | $doc.display($prop.getName(), $o) | $!doc.display("${prop.getName()}_evaluation", $o)\n        #end\n      #end\n    #end## foreach object\n    ##\n  #end## if dataclass\n#end\n{{/velocity}}
3727276020073422038	parameters	title=$services.localization.render('phenotips.UIXField.measurements')\nenabled=true\nrequired=\norder=2\nfields=\nprivacy_level=3
5967691431549296708	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n#set ($targetClassName = 'PhenoTips.RelativeClass')\n#if ($xcontext.action == 'edit' || $doc.getObject($targetClassName))\n  (% class="clear relatives-info" %)(((\n    === $services.localization.render('phenotips.UIXField.family.heading') ===\n    #__extradata_displayTable($targetClassName, {'counter' : false, 'labels' : true, 'mode' : $xcontext.action})\n  )))\n#end\n{{/velocity}}
5967691431549296708	parameters	title=$services.localization.render('phenotips.UIXField.family')\nenabled=true\nrequired=\norder=1\nfields=\nprivacy_level=3
9018479057853265151	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasDataToDisplay('date_of_death', $showDod)\n#__hasBooleanDataToDisplay('date_of_death_unknown' $showDodUnknown)\n#if ($showDod || $showDodUnknown)\n  (% class="controlled-group complete-hide" %)(((\n  #if ($showDodUnknown)\n  (% class="controller" %)(((\n    #if ($xcontext.action == 'edit')\n      $doc.display('date_of_death_unknown') #__label('date_of_death_unknown' '' "$class.get('date_of_death_unknown').translatedPrettyName")\n    #else\n      $class.get('date_of_death_unknown').translatedPrettyName\n    #end\n  )))\n  #end\n  #if ($showDod)\n    (% class="controlled" %) (((\n    #__displayFormatted('2-col' 'date_of_death' '' 'date' '')\n    )))\n  #end\n  )))\n#end\n{{/velocity}}
9018479057853265151	parameters	title=Date of death\nenabled=true\nrequired=\norder=6\nfields=date_of_death, date_of_death_unknown\ncontains_PII=true\nprivacy_level=1
-6609433245919938890	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasKnownDataToDisplay('apgar1' $showApgar1Score)\n#__hasKnownDataToDisplay('apgar5' $showApgar5Score)\n#if ($showApgar1Score)\n  #__displayFormatted('2-col' 'apgar1' '' '' '')\n#end\n#if ($showApgar5Score)\n  #__displayFormatted('2-col' 'apgar5' '' '' '')\n#end\n{{/velocity}}
-6609433245919938890	parameters	title=$services.localization.render('phenotips.UIXField.apgar')\nenabled=true\nrequired=\norder=3\nfields=apgar1,apgar5\nprivacy_level=3
-7336163050248758201	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasBooleanDataToDisplay('proband', $showProband)\n#__hasDataToDisplay('family_of' $showFamilyOf)\n#if ($showProband || $showFamilyOf)\n  #if ($xcontext.action == 'edit')\n    (% class="controlled-group complete-hide" %)(((\n      (% class="controller" %)(((\n        $doc.display('proband') #__label('proband' 'section' "$class.get('proband').prettyName")\n      )))\n      (% class="controlled" %)(((\n        #__displayFormatted('2-col' 'family_of' '' '' '')\n      )))\n    )))\n  #else\n    #if ($showProband)\n      $class.get('proband').prettyName\n    #else\n      #__displayFormatted('2-col' 'family_of' '' '' '')\n    #end\n  #end\n#end\n{{/velocity}}
-7336163050248758201	parameters	title=$services.localization.render('phenotips.UIXField.probandInfo')\nenabled=false\nrequired=\norder=2\nfields=proband,family_of\ncontains_PII=true
2611774919915831742	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasDataToDisplay('pedigree' $showPedigree)\n#if ($showPedigree)\n  ===$services.localization.render('phenotips.UIXField.pedigreeFile.sheetTitle')===\n  $doc.display('pedigree')\n#end\n{{/velocity}}
2611774919915831742	parameters	title=$services.localization.render('phenotips.UIXField.pedigreeFile')\nenabled=false\nrequired=\norder=15\nfields=pedigree\ncontains_PII=true
-764790084925510049	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('diagnosis_notes')\n{{/velocity}}
-764790084925510049	parameters	title=$services.localization.render('phenotips.UIXField.diagnosisNotes')\nenabled=true\nrequired=\norder=2\nfields=diagnosis_notes\ncontains_PII=true\nprivacy_level=1
991841268510404417	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasDataToDisplay('reports_history' $showReportsHistory)\n#if ($xcontext.action != 'export' && $showReportsHistory)\n  === $services.localization.render('phenotips.UIXField.reportsHistory.sheetTitle') ===\n  $doc.display('reports_history')\n#end\n{{/velocity}}
991841268510404417	parameters	title=$services.localization.render('phenotips.UIXField.reportsHistory')\nenabled=true\nrequired=\norder=4\nfields=reports_history\nprivacy_level=4
-307009263461415052	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#__displayIfSet('miscarriages', false)\n{{/velocity}}
-307009263461415052	parameters	title=$services.localization.render('phenotips.UIXField.miscarriages')\nenabled=true\nrequired=\norder=9\nfields=miscarriages\nprivacy_level=3
-8476100274704283223	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('medical_history')\n{{/velocity}}
-8476100274704283223	parameters	title=$services.localization.render('phenotips.UIXField.medicalHistory')\nenabled=true\nrequired=\norder=1\nfields=medical_history\nprivacy_level=3
5271128316904831087	content	
5271128316904831087	parameters	title=$services.localization.render('phenotips.UIXSection.variantInfo')\nenabled=false\nrequired=\norder=7
-8569186381944649084	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit' || "$!{doc.display('last_name')}$!{doc.display('first_name')}" != '')\n  (% class="fieldset" %)(((\n    #__label('last_name' 'section clear' "$services.localization.render('phenotips.UIXField.patientName.label')") ##\n    #if ($xcontext.action == 'edit')\n      #__displayFormatted('half-width' 'last_name')\n      #__displayFormatted('half-width' 'first_name')\n     (% class="clear" %)((()))\n    #else\n      (% class="displayed-value"%)${doc.display('last_name').replaceAll('^(\\{\\{html clean="false" wiki="false"}})?<p>|</p>(\\{\\{/html}})?$', '$1$2')}, ${doc.display('first_name').replaceAll('^(\\{\\{html clean="false" wiki="false"}})?<p>|</p>(\\{\\{/html}})?$', '$1$2')}(%%)##\n    #end\n  )))##fieldset\n#end\n{{/velocity}}
-8569186381944649084	parameters	title=$services.localization.render('phenotips.UIXField.patientName')\nenabled=true\nrequired=\norder=4\nfields=last_name,first_name\ncontains_PII=true\nprivacy_level=1
2408108398840016633	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayFormatted('2-col' 'external_id' '' '' '')\n{{/velocity}}
2408108398840016633	parameters	title=$services.localization.render('phenotips.UIXField.externalID')\nenabled=true\nrequired=\norder=2\nfields=external_id\nprivacy_level=1
-530863808007637964	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasDataToDisplay('maternal_ethnicity' $showMaternalEthnicity)\n#__hasDataToDisplay('paternal_ethnicity' $showPaternalEthnicity)\n#if ($showMaternalEthnicity || $showPaternalEthnicity)\n  (% class="fieldset ethnicity" %)(((\n    #__displayFormatted('half-width' 'maternal_ethnicity')\n    #__displayFormatted('half-width' 'paternal_ethnicity')\n    (% class="clearfloats" %)((()))\n  )))##fieldset\n#end\n{{/velocity}}
-530863808007637964	parameters	title=$services.localization.render('phenotips.UIXField.ethnicity')\nenabled=true\nrequired=\norder=4\nfields=maternal_ethnicity,paternal_ethnicity\nprivacy_level=3
-7733359520204819767	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('XWiki.DateTimePicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('XWiki.DateTimePicker')##\n#end\n#__displayFormatted('2-col' 'date_of_birth' '' 'date' '')\n{{/velocity}}
-7733359520204819767	parameters	title=$services.localization.render('phenotips.UIXField.dateOfBirth')\nenabled=true\nrequired=\norder=5\nfields=date_of_birth\ncontains_PII=true\nprivacy_level=1
5168516724145124850	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if (!$services.permissions.getPatientAccess($services.patients.getPatientById($doc.documentReference)).hasAccessLevel('edit'))\n  #break\n#end\n\n#if ($xcontext.action == 'edit')\n=== $services.localization.render('phenotips.vcf.sheetTitle') ===\n\n#set ($originalObj = $obj)\n#set ($originalClass = $class)\n#set ($obj = $doc.getObject('PhenoTips.VCF'))\n#if (!$obj)\n  #set ($obj = $doc.getObject('PhenoTips.VCF', true))\n  #set ($discard = $doc.save('Added mandatory PhenoTips.VCF object', true))\n#end\n#set ($class = $xwiki.getClass('PhenoTips.VCF'))\n#set ($discard = $doc.use($obj))\n#__displayIfNotEmpty('filename')\n#__displayIfNotEmpty('reference_genome')\n#set ($obj = $originalObj)\n#set ($class = $originalClass)\n#set ($discard = $doc.use($obj))\n(% class="clearfloats" %)((()))\n#elseif ($xcontext.action == 'view' && $doc.getObject('PhenoTips.VCF').getProperty('filename').value.isEmpty() == false)\n=== $services.localization.render('phenotips.vcf.sheetTitle') ===\n\n[[attach:${doc.getObject('PhenoTips.VCF').getProperty('filename').value}]] (reference genome ${doc.getObject('PhenoTips.VCF').getProperty('reference_genome').value})\n#elseif ($xcontext.action == 'export')\n##\n#end\n{{/velocity}}
5168516724145124850	parameters	title=$services.localization.render('phenotips.vcf.title')\nenabled=true\nrequired=\norder=2\nfields=\nprivacy_level=2
7975350629303934440	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('family_history')\n{{/velocity}}
7975350629303934440	parameters	title=$services.localization.render('phenotips.UIXField.familyHistory')\nenabled=true\nrequired=\norder=6\nfields=family_history\nprivacy_level=3
-2130164487751517287	content	{{velocity}}\n#if ($xcontext.action == 'export' && $doc.getObject('PhenoTips.ExternalImageClass'))\n  #foreach ($o in $doc.getObjects('PhenoTips.ExternalImageClass'))\n    #if ("$!{o.getProperty('file').value}" != '' && ${o.getProperty('print').value} == '1')\n      {{html clean=false}}#pagebreak(){{/html}}\n      [[image:@$!{o.getProperty('file').value}]]\n\n      $!{o.getProperty('comments').value}\n    #end\n  #end\n#end\n{{/velocity}}
-2130164487751517287	parameters	title=$services.localization.render('phenotips.UIXField.additionalImageExports')\nenabled=true\nrequired=\norder=20
4857991400143507865	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('XWiki.DateTimePicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('XWiki.DateTimePicker')##\n#end\n#__displayFormatted('2-col' 'exam_date' '' '' '')\n{{/velocity}}
4857991400143507865	parameters	title=$services.localization.render('phenotips.UIXField.examDate')\nenabled=false\nrequired=\norder=3\nfields=exam_date
-5634258157532034655	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayFormatted('2-col' 'health_card' '' '' '')\n{{/velocity}}
-5634258157532034655	parameters	title=$services.localization.render('phenotips.UIXField.healthCard')\nenabled=false\nrequired=\norder=8\nfields=health_card\ncontains_PII=true
-1255206162679304456	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayFormatted('2-col' 'identifier' '' '' '')\n{{/velocity}}
-1255206162679304456	parameters	title=$services.localization.render('phenotips.UIXField.identifier')\nenabled=false\nrequired=\norder=1\nfields=identifier\ncontains_PII=true
2439067458154922506	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#set ($origObj = $obj)\n#set ($obj = $doc.getObject('PhenoTips.ParentalInformationClass', true))\n#set ($origObjClass = $doc.getActiveClass())\n#set ($discard = $doc.use($obj))\n#set ($origClass = $class)\n#set ($class = $xwiki.getClass('PhenoTips.ParentalInformationClass'))\n##\n#__hasDataToDisplay('maternal_age', $showMaternalAge)\n#__hasDataToDisplay('paternal_age', $showPaternalAge)\n#if ($showMaternalAge)\n  #__displayFormatted('2-col' 'maternal_age' '' '' '')\n#end\n#if ($showPaternalAge)\n  #__displayFormatted('2-col' 'paternal_age' '' '' '')\n#end\n##\n#set ($class = $origClass)\n#set ($discard = $doc.use($origObj))\n#set ($obj = $origObj)\n{{/velocity}}
2439067458154922506	parameters	title=$services.localization.render('phenotips.UIXField.parentalAge')\nenabled=true\nrequired=\norder=2\nfields=\nprivacy_level=3
1866621421289733079	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasDataToDisplay('prenatal_phenotype' $showPrenatalPhenotype)\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#if ($showPrenatalPhenotype)\n  $doc.display('prenatal_phenotype')\n#end\n{{/velocity}}
1866621421289733079	parameters	title=$services.localization.render('phenotips.UIXField.prenatalPhenotype')\nenabled=true\nrequired=\norder=4\nfields=prenatal_phenotype,negative_prenatal_phenotype\nprivacy_level=3
7385052798141217275	content	
7385052798141217275	parameters	title=$services.localization.render('phenotips.UIXSection.genotype')\nenabled=true\nrequired=\norder=6
-2602910287359672869	content	
-2602910287359672869	parameters	title=$services.localization.render('phenotips.UIXSection.familyInfo')\nenabled=true\nrequired=\norder=2
7371445097842592406	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#__displayIfSet('affectedRelatives', false)\n{{/velocity}}
7371445097842592406	parameters	title=$services.localization.render('phenotips.UIXField.affectedRelatives')\nenabled=true\nrequired=\norder=10\nfields=affectedRelatives\nprivacy_level=3
-1988242395712856245	content	
-1988242395712856245	parameters	title=$services.localization.render('phenotips.UIXSection.medicalHistory')\nenabled=true\nrequired=\norder=4
19015968192784928	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n$xwiki.ssx.use('PhenoTips.ImageDisplayer', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.ImageDisplayer')##\n#set ($targetClassName = 'PhenoTips.ExternalFileClass')\n#if ($xcontext.action == 'edit' || $xcontext.action != 'export' && $doc.getObject($targetClassName))\n  === Documents ===\n  #__extradata_displayTable($targetClassName, {'counter' : true, 'labels' : false, 'mode' : $xcontext.action})\n#end\n{{/velocity}}
19015968192784928	parameters	title=$services.localization.render('phenotips.UIXField.additionalDocuments')\nenabled=true\nrequired=\norder=1\nfields=
4902389464977109051	code	/*\nOn 'reject' event takes the data row that has been passed to it,\ncreates a new data row in the table that the transfer is directed towards,\nand merges the new data row with the old.\n*/\ndocument.observe('extradata:rejected', function(parameters) { \n  var tableClass = parameters.memo.transferToClass;\n  var dataTables = $$(".extradata-list");\n  var dataTable = null;\n  var regExp = new RegExp(".*" + tableClass + ".*");\n  dataTables.each(function(table){\n    if(regExp.test(table.id)) {\n      dataTable = table;\n      return false;\n    }\n  });\n  if (dataTable != null) {\n    var oldRow = parameters.memo.element;\n    var geneName = oldRow.down(".gene").down("input").getValue();\n    var comment = oldRow.down(".comments").down("textarea").getValue();\n\n    var lastRow = dataTable.down("tr:last-child");\n    var lastRowNameInput = lastRow.down(".gene").down("input");\n    var lastRowCommentInput = lastRow.down(".comments").down("textarea");\n\n    if (!(lastRowNameInput || lastRowCommentInput) || ((lastRowNameInput && lastRowCommentInput) && (lastRowNameInput.getValue() || lastRowCommentInput.getValue()))) {\n      var addButton = dataTable.next(".list-actions").down(".add");\n      Event.observe(dataTable, "extradata:added", function(event){\n        lastRow = event.memo.element;\n        lastRow.down(".gene").down("input").setValue(geneName);\n        lastRow.down(".comments").down("textarea").setValue(comment);\n        Event.stopObserving(dataTable, "extradata:added");\n      });\n\n      Event.fire(addButton, "extradata:reject-add");\n    } else {\n      lastRow.down(".gene").down("input").setValue(geneName);\n      lastRow.down(".comments").down("textarea").setValue(comment);\n    }\n  }\n})
-7642655803473087326	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n$xwiki.ssx.use('PhenoTips.UIX_Field__genes')##\n$xwiki.jsx.use('PhenoTips.UIX_Field__genes')##\n$xwiki.jsx.use('PhenoTips.UIX_Field__rejected_genes')##\n#set ($targetClassName = 'PhenoTips.RejectedGenesClass')\n#if ($xcontext.action == 'edit' || $doc.getObject($targetClassName))\n  === $services.localization.render('phenotips.UIXField.rejectedGenes.list') ===\n\n  #__extradata_displayTable($targetClassName, {'counter' : true, 'labels' : false, 'mode' : $xcontext.action})\n#end\n{{/velocity}}
-7642655803473087326	parameters	title=$services.localization.render('phenotips.UIXField.rejectedGenes')\nenabled=true\nrequired=\norder=2\nfields=\nprivacy_level=1
-2198110047830767495	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty2Col('omim_id' '' '' '')\n{{/velocity}}
-2198110047830767495	parameters	title=$services.localization.render('phenotips.UIXField.omimID')\nenabled=true\nrequired=\norder=1\nfields=omim_id\nprivacy_level=1
9021566092119813787	code	#template('colorThemeInit.vm')\n\n.activity-follow {\n  padding-bottom: 10px;\n  margin-bottom: 20px;\n}\n\n.activity-follow .unfollow {\n  background: transparent 0 center url("$xwiki.getSkinFile('icons/silk/cross.png')") no-repeat;\n  color: $theme.notificationErrorColor;\n  display: inline-block;\n  overflow: hidden;\n  font-size: 83.3%;\n  text-indent: 17px;\n  vertical-align: middle;\n  width: 16px;\n}\n.activity-follow .unfollow:hover {\n  overflow: visible;\n  text-decoration: none;\n  width: auto;\n}\n\n.activity-follow .follow, .activity-follow .following {\n  background: $theme.menuAddEntryBackgroundColor 2px center url("$xwiki.getSkinFile('icons/silk/accept.png')") no-repeat;\n  border-radius: 4px;\n  color: $theme.menuAddEntryLinkColor !important;\n  display: inline-block;\n  font-size: 83.3%;\n  line-height: 1.6em;\n  min-height: 16px;\n  padding: 3px 6px 3px 22px;\n}\n.activity-follow .follow {\n  background-image: url("$xwiki.getSkinFile('icons/silk/add.png')");\n}
-3042698958279645626	code	.remove-button {\n  float: right;\n}
-7655721308476192203	properties	given-name:first_name\nfamily-name:last_name\norg:company\nnote:comment
-5107571275666992228	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#set ($origObj = $obj)\n#set ($obj = $doc.getObject('PhenoTips.ParentalInformationClass', true))\n#set ($origObjClass = $doc.getActiveClass())\n#set ($discard = $doc.use($obj))\n#set ($origClass = $class)\n#set ($class = $xwiki.getClass('PhenoTips.ParentalInformationClass'))\n##\n#__hasDataToDisplay('pregnancy_history__gravida', $hasGravidaValue)\n#__hasDataToDisplay('pregnancy_history__para', $hasParaValue)\n#__hasDataToDisplay('pregnancy_history__term', $hasTermValue)\n#__hasDataToDisplay('pregnancy_history__preterm', $hasPretermValue)\n#__hasDataToDisplay('pregnancy_history__sab', $hasSabValue)\n#__hasDataToDisplay('pregnancy_history__tab', $hasTabValue)\n#__hasDataToDisplay('pregnancy_history__births', $hasBirthsValue)\n#if ($hasGravidaValue || $hasParaValue || $hasTermValue || $hasPretermValue || $hasSabValue || $hasTabValue || $hasBirthsValue)\n  === {{translation key='phenotips.UIXField.obstetricHistory' /}} ===\n  (% style="width: 100%" %)\n  |=${class.pregnancy_history__gravida.translatedPrettyName}|=${class.pregnancy_history__para.translatedPrettyName}|=${class.pregnancy_history__term.translatedPrettyName}|=${class.pregnancy_history__preterm.translatedPrettyName}|=${class.pregnancy_history__sab.translatedPrettyName}|=${class.pregnancy_history__tab.translatedPrettyName}|=${class.pregnancy_history__births.translatedPrettyName}\n  |$doc.display('pregnancy_history__gravida')|$doc.display('pregnancy_history__para')|$doc.display('pregnancy_history__term')|$doc.display('pregnancy_history__preterm')|$doc.display('pregnancy_history__sab')|$doc.display('pregnancy_history__tab')|$doc.display('pregnancy_history__births')\n#end\n##\n#set ($class = $origClass)\n#set ($discard = $doc.use($origObj))\n#set ($obj = $origObj)\n{{/velocity}}
-5107571275666992228	parameters	title=$services.localization.render('phenotips.UIXField.obstetricHistory')\nenabled=false\nrequired=\norder=3\nfields=\nprivacy_level=3
1776151800626855264	code	#template('colorThemeInit.vm')\nul.custom-display-list {\n  list-style-type: none;\n  margin: 0 0 0 16px;\n}\nul.col-2 {\n  -moz-column-count: 2;\n  -webkit-column-count: 2;\n  column-count: 2;\n}\nul.custom-display-list li:hover {\n  background-color: $theme.highlightColor;\n}\nul.custom-display-list li .move {\n  background: url($xwiki.getSkinFile('icons/datamodel/move.png')) no-repeat center center transparent;\n  cursor: move;\n  display: inline-block;\n  float: right;\n  height: 16px;\n  text-indent: -9999px;\n  vertical-align: baseline;\n  width: 16px;\n}
-4886940583401620716	content	
-4886940583401620716	parameters	label=$services.localization.render('search.extension.title.database')\nadmin=\nsearch=Main.DatabaseSearch
-2636269436385194420	codeToExecute	{{include reference="XWiki.SearchAdmin"/}}
4452184872458081486	code	require(['jquery'], function($) {\n  //-----------------------\n  // Search engine tab bar.\n  //-----------------------\n  $('.searchEngines a').click(function(event) {\n    event.stopPropagation();\n    event.preventDefault();\n    $(this).closest('.searchEngines').children().removeClass('active');\n    $(this).closest('li').addClass('active');\n    $('.searchSuggestSources').addClass('hidden');\n    $($(this).attr('href')).removeClass('hidden');\n  });\n\n  // Toggle source details.\n  var sourceHeaderClickHandler = function() {\n    $(this).next('.source-body').toggleClass('hidden');\n  };\n  $('.searchSuggestSources .source-header').click(sourceHeaderClickHandler);\n\n  //--------------------\n  // Ajax source delete.\n  //--------------------\n  var sourceDeleteHandler = function(event) {\n    event.stopPropagation();\n    event.preventDefault();\n    var deleteLink = this;\n    if (deleteLink.disabled) return;\n    new XWiki.widgets.ConfirmedAjaxRequest(\n      /* Ajax request URL */\n      this.href,\n      /* Ajax request parameters */\n      {\n        onCreate : function() {\n          deleteLink.disabled = true;\n        },\n        onSuccess : function() {\n          $(deleteLink).closest('.source').parent().remove();\n        },\n        onComplete : function() {\n          deleteLink.disabled = false;\n        }\n      },\n      /* Interaction parameters */\n      {\n        confirmationText: "$escapetool.javascript($services.localization.render('core.editors.object.delete.confirm'))",\n        progressMessageText : "$escapetool.javascript($services.localization.render('core.editors.object.delete.inProgress'))",\n        successMessageText : "$escapetool.javascript($services.localization.render('core.editors.object.delete.done'))",\n        failureMessageText : "$escapetool.javascript($services.localization.render('core.editors.object.delete.failed'))"\n      }\n    );\n  };\n  $('.searchSuggestSources .source-header .delete').click(sourceDeleteHandler);\n\n  //-----------------\n  // Ajax source add.\n  //-----------------\n  var targetDocument = new XWiki.Document('SearchSuggestConfig', 'XWiki');\n  var createSourceDeleteLink = function(objectNumber) {\n    var icon = document.createElement('img');\n    $(icon).addClass('icon').attr('alt', 'cross')\n      .attr('src', "$xwiki.getSkinFile('icons/silk/cross.png')");\n    var link = document.createElement('a');\n    var deleteSourceURL = targetDocument.getURL('objectremove', $.param({\n      form_token: $('meta[name="form_token"]').attr('content'),\n      classname: 'XWiki.SearchSuggestSourceClass',\n      classid: objectNumber\n    }));\n    $(link).addClass('delete').attr('href', deleteSourceURL)\n      .append(icon).click(sourceDeleteHandler);\n    return link;\n  };\n  var createSourceUI = function(sourceFormHTML) {\n    var container = document.createElement('li');\n    $(container).html('<div class="source"><div class="source-header"><span class="name">'\n      + "$escapetool.javascript($escapetool.xml($services.localization.render('platform.search.suggestNewSourceName')))"\n      + '</span><div class="actions"/></div><div class="source-body"/></div>');\n    $(container).find('.source-body').html(sourceFormHTML);\n    var objectNumber = parseInt($(container).find('input[type="text"]')\n      .attr('name').substr('XWiki.SearchSuggestSourceClass_'.length));\n    $(container).find('.source-header').click(sourceHeaderClickHandler)\n      .find('.actions').append(createSourceDeleteLink(objectNumber));\n    return container;\n  };\n  var insertSource = function(sourceFormHTML) {\n    var searchEngines = $(this).closest('p').prevAll('.searchEngines');\n    if (searchEngines.length == 0) {\n      // There is no search suggest source present. This will be the first one.\n      // TODO: Prepare the search engine tab bar.\n      // TODO: Prepare the search suggest sources container.\n    }\n    var source = createSourceUI(sourceFormHTML);\n    searchEngines.nextAll(searchEngines.find('li.active a').attr('href')).append(source);\n  }\n  $('.addSearchSuggestSource').click(function(event) {\n    event.stopPropagation();\n    event.preventDefault();\n    if ($(this).hasClass('loading')) return;\n    $(this).addClass('loading');\n    var notification = new XWiki.widgets.Notification("$services.localization.render('core.editors.object.add.inProgress')", 'inprogress');\n    var addLink = this;\n    $.get(targetDocument.getURL('objectadd'), {\n      form_token: $(this).closest('form').find('input[name="form_token"]').prop('value'),\n      classname: 'XWiki.SearchSuggestSourceClass',\n      xredirect: targetDocument.getURL('get', $.param({\n        sheet: 'XWiki.SearchSuggestSourceSheet',\n        xobjectNumber: '',\n      }))\n    })\n    .done(function(data) {\n      insertSource.call(addLink, data);\n      notification.replace(new XWiki.widgets.Notification("$services.localization.render('core.editors.object.add.done')", 'done'));\n    })\n    .fail(function() {\n      notification.replace(new XWiki.widgets.Notification("$services.localization.render('core.editors.object.add.failed')", 'error'));\n    })\n    .always(function() {\n      $(addLink).removeClass('loading');\n    });\n  });\n})
4987120541439898953	code	#template('colorThemeInit.vm')\nul.searchEngines {\n  margin-top: 1.2em;\n  text-transform: capitalize;\n}\nul.searchSuggestSources {\n  border: 1px solid $theme.borderColor;\n  list-style-type: none;\n  margin: 0;\n  padding: 1em 0.5em;\n}\n.searchSuggestSources .source-header {\n  border-left: 2px solid $theme.borderColor;\n  cursor: pointer;\n  margin-bottom: 2px;\n  padding: 0.1em 0.1em 0.1em 0.3em;\n  position: relative;\n}\n.searchSuggestSources .source:hover .source-header {\n  background-color: $theme.highlightColor;\n}\n.searchSuggestSources .source-header.activated {\n  border-left-color: $theme.notificationSuccessColor;\n}\n.searchSuggestSources .limit {\n  color: $theme.textSecondaryColor;\n}\n.searchSuggestSources .source-header.highlighted .limit {\n  background-color: yellow;\n}\n.searchSuggestSources .source-header > p,\n.searchSuggestSources .source-header .actions > p {\n  margin: 0;\n}\n.searchSuggestSources .source-header .actions {\n  display: none;\n  position: absolute;\n  right: .2em;\n  top: 0;\n}\n.searchSuggestSources .source:hover .actions {\n  display: block;\n}\n.searchSuggestSources .source-body {\n  border-left: 1px dotted $theme.borderColor;\n  font-size: 85%;\n  margin-bottom: 1.2em;\n  padding-left: 1em;\n  padding-top: 1.2em;\n}\n.searchSuggestSources .source-body .xform dt:first-of-type {\n  margin-top: 0;\n}\n.addSearchSuggestSource {\n  background: url("$xwiki.getSkinFile('icons/silk/add.png')") no-repeat scroll left center transparent;\n  padding-left: 20px;\n}\n.addSearchSuggestSource.loading {\n  background-image: url("$xwiki.getSkinFile('icons/xwiki/spinner.gif')");\n}
6580011987323805505	content	{{velocity}}\n#panelhiddenheader($services.localization.render('panels.search.title'))\n{{html}}\n  <form action="$xwiki.getURL('Main.Search')" class='xformInline'>\n    <div class="globalsearch input-group">\n      <label for="globalsearchinput" class="hidden">$services.localization.render('panels.search.query')</label>\n      <input id="globalsearchinput" class="globalsearchinput withTip useTitleAsTip" type="text" name="text" title="$services.localization.render('panels.search.inputText')" size="15"/>\n      <span class="input-group-btn buttonwrapper">\n        <button type="submit" class="btn btn-primary">\n          $services.icon.renderHTML('search')<span class="hidden">$services.localization.render('panels.search.submit')</span>\n        </button>\n      </span>\n    </div>\n  </form>\n{{/html}}\n#panelfooter()\n{{/velocity}}
6580011987323805505	description	Search Tool.
9088924276358756200	properties	email:email\ntel:phone\nadr:address
8334590174041001341	sections	personal\ncontact
-2219776247285052883	code	document.observe('xwiki:livetable:displayComplete', function(tableEvent){\n  $(tableEvent.memo.tableId).select("tr.xwiki-livetable-display-filters td input").each(function(item) {\n    item.placeholder = "$services.localization.render('phenotips.livetable.filter.placeholder')";\n  });\n});\ndocument.observe('xwiki:livetable:newrow', function(tableEvent){\n  tableEvent.memo.row.select(".actionedit").invoke('setAttribute', 'title', 'Edit');\n  tableEvent.memo.row.select(".actiondelete").invoke('setAttribute', 'title', 'Delete');\n  tableEvent.memo.row.select(".actiondelete").invoke('observe', 'click', function(clickEvent){\n    clickEvent.stop();\n    var item = clickEvent.element();\n    item.blur();\n    if (item.disabled) {\n      // Do nothing if the button was already clicked and it's waiting for a response from the server.\n      return;\n    } else {\n      var form_token = $$('meta[name=form_token]')[0].content;\n      new XWiki.widgets.ConfirmedAjaxRequest(\n        /* Ajax request URL */\n        item.readAttribute('href') + "?confirm=1&form_token=" + form_token + (Prototype.Browser.Opera ? "" : "&ajax=1"),\n        /* Ajax request parameters */\n        {\n          onCreate : function() {\n            // Disable the button, to avoid a cascade of clicks from impatient users\n            item.disabled = true;\n          },\n          onSuccess : function() {\n            // Refresh the table after deleting the row\n            var table = tableEvent.memo.table;\n            table.clearCache();\n            table.showRows(table.lastOffset, table.limit);\n          },\n          onFailure : function() {\n            // Better luck next time!\n            item.disabled = false;\n          }\n        },\n        /* Interaction parameters */\n        {\n          confirmationText: "$services.localization.render('core.delete.confirm')"\n        }\n      );\n    }\n  });\n});
8526841154133154525	code	document.observe('xwiki:dom:loading', function() {\n  var suggestionsMapping = {\n        "hpo" : {\n            script: new XWiki.Document('SolrService', 'PhenoTips').getURL("get") + "?",\n            varname: "q",\n            noresults: "$services.localization.render('phenotips.DBWebHomeSheet.noResults')",\n            json: true,\n            resultsParameter : "rows",\n            resultId : "id",\n            resultValue : "name",\n            resultAltName: "synonym",\n            resultCategory : "term_category",\n            resultInfo : {},\n            tooltip: 'phenotype-info',\n            enableHierarchy: true,\n            resultParent : "is_a",\n            fadeOnClear : false,\n            timeout : 30000\n        },\n        "omim" : {\n            script: new XWiki.Document('SolrService', 'PhenoTips').getURL("get", "vocabulary=omim") + "&",\n            varname: "q",\n            noresults: "$services.localization.render('phenotips.DBWebHomeSheet.noResults')",\n            json: true,\n            resultsParameter : "rows",\n            resultId : "id",\n            resultValue : "name",\n            resultInfo : {\n                           "Locus"      : {"selector"  : "Locus"}\n                         },\n            tooltip: 'omim-disease-info',\n            enableHierarchy: false,\n            fadeOnClear : false,\n            timeout : 30000\n        }\n  };\n  // =================================================================================\n  // Suggest maps\n  var pickerSpecialClassOptions = {\n    'defaultPicker' : {},\n    'generateShortList' : {\n                  'showKey' : true,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : true,\n                  'inputType': 'checkbox'\n                },\n    'generateCheckboxes' : {\n                  'showKey' : false,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : true,\n                  'inputType': 'checkbox',\n                  'listInsertionElt' : '.label-other',\n                  'listInsertionPosition' : 'after',\n                  'acceptFreeText' : true\n                }\n  };\n\n  var enhanceDialog = function(content) {\n    // =============================================================================\n    // Prepare to copy existing filters:\n    var tableFilters = $('patients-topfilters');\n    if (tableFilters) {\n      tableFilters = tableFilters.down('ul.filters');\n    }\n    //============================================================================\n    // Copy all text inputs, checkboxes and radio buttons\n    if (tableFilters) {\n      content.select('input[type="text"]').each(function(input) {\n        var source = tableFilters.down('input[type="' + input.type + '"][name="' + input.name + '"]');\n        if (source) {\n          input.value = source.value;\n        }\n      });\n      content.select('input[type="radio"], input[type="checkbox"]').each(function(input) {\n        var source = tableFilters.down('input[type="' + input.type + '"][name="' + input.name + '"][value="' + input.value + '"]');\n        if (source) {\n          input.checked = source.checked;\n        }\n      });\n    }\n    // =============================================================================\n    // Copy entries from users suggest\n    if (tableFilters) {\n      content.select('input.suggestUsers').each(function(input) {\n        var source = tableFilters.down('input[type="text"][name="' + input.name + '"]');\n        var selectionContainer = source && source.previous('ul.accepted-suggestions')\n        if (selectionContainer) {\n          selectionContainer.select('li').each(function(entry) {\n            var entryData = {\n              'id': entry.down('.user-alias').childNodes[0].nodeValue,\n              'value': entry.down('input[type="hidden"]').value,\n              'info': entry.down('img').alt,\n              'icon' : entry.down('img').src,\n              'hint' : ''\n            };\n            input.__x_suggest.options.callback(entryData);\n          });\n        } // done with selected entries\n      });\n      // TODO: Groups\n    }\n    // =============================================================================\n    // Phenotype suggest: create suggest and copy existing entries\n    if (typeof(PhenoTips.widgets.Suggest) != "undefined") {\n      var keys = Object.keys(suggestionsMapping);\n      var specialClasses = Object.keys(pickerSpecialClassOptions);\n      for (var i = 0; i < keys.length; i++) {\n        var selector = 'input.suggest' + keys[i].capitalize();\n        content.select(selector).each(function(item) {\n          if (!item.hasClassName('initialized')) {\n            item._customOptions = Object.clone(suggestionsMapping[keys[i]]);\n            item._restriction = item.up('.phenotype-group')\n            if (item._restriction) {\n              item._restriction = item._restriction.down('input[name=_category]');\n              if (item._restriction && item._restriction.value.strip() != '') {\n                item._restriction = item._restriction.value.strip().split(",");\n              } else {\n                item._restriction = null;\n              }\n            }\n            if (item._customOptions.queryProcessor && item._restriction) {\n              item._customOptions.queryProcessor = Object.clone(item._customOptions.queryProcessor);\n              item._customOptions.queryProcessor.restriction = {\n                'term_category' : item._restriction\n              }\n            }\n            // Create the Suggest.\n            item._suggest = new PhenoTips.widgets.Suggest(item, item._customOptions);\n            if (item.hasClassName('multi') && typeof(PhenoTips.widgets.SuggestPicker) != "undefined") {\n              var multiSuggestOptions = {};\n              for (var j = 0; j < specialClasses.length; j++) {\n                if (item.hasClassName(specialClasses[j])) {\n                  multiSuggestOptions = pickerSpecialClassOptions[specialClasses[j]];\n                  break;\n                }\n              }\n              var suggestPicker = new PhenoTips.widgets.SuggestPicker(item, item._suggest, multiSuggestOptions);\n              item._suggestPicker = suggestPicker;\n\n              // Format the predefined value\n              item.value.split(',').each(function(value) {\n                item._suggestPicker.addItem(value, value, '', '');\n              });\n              item.value = '';\n            }\n            if (tableFilters) {\n              // Integrate the custom fields\n              // 1. find the container element displaying them\n              var source = tableFilters.down('input[type="text"][name="' + item.name + '"]');\n              var selectionContainer = source && source.next('.accepted-suggestions');\n              if (selectionContainer) {\n                // 2. find all the values and display them as part of the multi suggest picker\n                var tmp = suggestPicker.silent;\n                suggestPicker.silent = true;\n                selectionContainer.select('.accepted-suggestion').each(function(entry) {\n                  var value =  entry.down('input[type="checkbox"]').value;\n                  var text = entry.down('.value').innerHTML;\n                  var category = entry.down('.term-category');\n                  suggestPicker.addItem(value, text, '', category || '');\n                });\n                suggestPicker.silent = tmp;\n              }\n            } // done with selected entries\n            item.addClassName('initialized');\n          }\n        });\n      }\n    }\n\n    //============================================================================\n    // Date pickers: create pickers and copy existing dates\n    var crtYear = new Date().getFullYear();\n    if (tableFilters) {\n      content.select('.xwiki-date').each(function(input) {\n        var source = tableFilters.down('input[name="' + input.name + '"]');\n        if (source) {\n          input.value = source.value;\n          input.alt = source.alt;\n        }\n      });\n    }\n    window.dateTimePicker = new XWiki.widgets.DateTimePicker({year_range: [crtYear - 99, crtYear + 1]});\n\n    //============================================================================\n    // Column selection\n    var columnList = content.down('.section.columns ul');\n    if (columnList) {\n      var selectionTools = new Element('div', { 'class' : 'selection-tools' }).update("$services.localization.render('phenotips.DBWebHomeSheet.colSelect.label') ");\n      var all = new Element('span', {'class' : 'selection-tool select-all'}).update("$services.localization.render('phenotips.DBWebHomeSheet.colSelect.all')");\n      var none = new Element('span', {'class' : 'selection-tool select-none'}).update("$services.localization.render('phenotips.DBWebHomeSheet.colSelect.none')");\n      var invert = new Element('span', {'class' : 'selection-tool select-invert'}).update("$services.localization.render('phenotips.DBWebHomeSheet.colSelect.invert')");\n      var restore = new Element('span', {'class' : 'selection-tool select-restore'}).update("$services.localization.render('phenotips.DBWebHomeSheet.colSelect.restore')");\n      selectionTools.insert(all).insert(' · ').insert(none).insert(' · ').insert(invert).insert(' · ').insert(restore);\n\n      columnList.select('input[type=checkbox]').each(function(elt) {elt._originallyChecked = elt.checked});\n\n      all.observe('click', function(event) {\n        columnList.select('input[type=checkbox]').each(function(elt) {elt.checked = true});\n      });\n      none.observe('click', function(event) {\n        columnList.select('input[type=checkbox]').each(function(elt) {elt.checked = false});\n      });\n      invert.observe('click', function(event) {\n        columnList.select('input[type=checkbox]').each(function(elt) {elt.checked = !elt.checked});\n      });\n      restore.observe('click', function(event) {\n        columnList.select('input[type=checkbox]').each(function(elt) {elt.checked = elt._originallyChecked});\n      });\n      columnList.insert({'before' : selectionTools});\n    }\n\n    //============================================================================\n    // Column selection\n    var cancelButton = $('export_cancel');\n    if (cancelButton) {\n      cancelButton.observe('click', function(event) {\n        content.__dialog && content.__dialog.closeDialog();\n      });\n    }\n\n    //==========================================================================\n    // Live updates\n    var liveMatchCounter = $('filter-match-count');\n    var form = liveMatchCounter && liveMatchCounter.up('form');\n    if (liveMatchCounter && form && !liveMatchCounter.initialized) {\n      liveMatchCounter.initialized = true;\n      var lastRequestID = 0;\n      var updateMatchCounter = function(event) {\n        var url = "$xwiki.getURL('PhenoTips.ExportFilter', 'get')?count=true&" + form.serialize();\n        var requestID = ++lastRequestID;\n        var ajx = new Ajax.Request(url, {\n          method: 'get',\n          onSuccess: function(response) {\n            if (requestID < lastRequestID) {return;}\n            liveMatchCounter.update(response.responseText);\n          },\n          onFailure: function (response) {}\n        });\n      };\n      updateMatchCounter();\n      content.select('.xwiki-date').invoke('observe', 'xwiki:form:field-value-changed', updateMatchCounter);\n      document.observe('custom:selection:changed', updateMatchCounter);\n      document.observe('xwiki:multisuggestpicker:selectionchanged', updateMatchCounter);\n      content.select('input[type=radio]').invoke('observe', 'click', updateMatchCounter);\n      content.select('input[type=checkbox]').invoke('observe', 'click', updateMatchCounter);\n      content.select('input[name=external_id]').invoke('observe', 'keyup', updateMatchCounter);\n    }\n  };\n  var exportTools = $$('.phenotips_export_tool');\n  if (exportTools && exportTools.length != 0) {\n    exportTools.each(function(exportTool) {\n      exportTool.observe('click', function(event) {\n        event.stop();\n        var dialog = new PhenoTips.widgets.ModalPopup('<img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')"/>', false, {'title':"$services.localization.render('phenotips.DBWebHomeSheet.exportPreferences.title')", 'verticalPosition': 'top', 'removeOnClose': true, 'extraClassName': 'export-dialog'});\n        dialog.showDialog();\n        // =================================================================================\n        // Generate the dialog content\n        new Ajax.Request(new XWiki.Document('ExportPreferences', 'PhenoTips').getURL('get', 'space=' + /space=([^&]+)/.exec(exportTool.href)[1]), {\n          parameters: {export_endpoint: exportTool.readAttribute("href"), export_id: exportTool.readAttribute("id")},\n          onSuccess: function(transport) {\n            var content = dialog.dialogBox._x_contentPlug;\n            content.update(transport.responseText);\n            content.__dialog = dialog;\n            document.fire('xwiki:dom:updated', {'elements': [content]});\n          }\n        });\n      });\n    });\n  } else if (!$('patients-topfilters')) {\n    // No filters and no export, nothing to do\n    return;\n  }\n\n  document.observe('xwiki:multisuggestpicker:selectionchanged', function() {\n    document.fire('xwiki:livetable:patients:filtersChanged');\n  });\n  ['xwiki:dom:loaded', 'xwiki:dom:updated'].each(function(eventName) {\n    document.observe(eventName, function(event) {\n      var elements = event.memo && event.memo.elements || [document.documentElement];\n      elements && elements.each(function(item) {\n        // We defer so that the standard suggests have time to initialize before applying the enhanced suggests\n        enhanceDialog.defer(item);\n      });\n    });\n  });\n});
-2957198822781106626	code	document.observe('xwiki:dom:loaded', function() {\n  $$('.xwiki-livetable-topfilters-container .toggle-filters').invoke('observe', 'click', function(event) {\n    event.stop();\n    $('patients-topfilters').toggleClassName('collapsed');\n  });\n  $('patients-topfilters') && $('patients-topfilters').addClassName('collapsed');\n});
6080907093480830533	code	#xwikicontent {\n  overflow: visible;\n}\n#document-title h1 {\n  border: 0 none;\n}\n#patients-topfilters .toggle-filters:before {\n  content: "▼ ";\n}\n#patients-topfilters.collapsed .toggle-filters:before {\n  content: "► ";\n}\n#patients-topfilters.collapsed .filters {\n  display: none;\n}
-2829345281053977864	code	#template("colorThemeInit.vm")\n.export-dialog {\n  width: 80% !important;\n}\n.export-dialog .xform .xHint {\n  margin: 0;\n}\n.filters {\n  list-style-position: outside !important;\n}\n.filters ul {\n  list-style-type: none;\n  margin: 0 0 1.5em;\n  padding: 0;\n  font-size: .9em;\n}\n.filters ul label {\n  font-weight: bold;\n}\n.filters input[type=text] {\n  width: 99%;\n  display: block;\n}\n\n.date-range {\n  clear: both;\n}\n.date-range label {\n  box-sizing: border-box;\n  display: inline-block;\n  font-size: .9em;\n  font-style: italic;\n  width: 50%;\n  padding-left: 0.5em;\n}\n.date-range label:first-child {\n  padding-left: 0;\n  padding-right: 0.5em;\n}\n.xform input[type="text"] {\n  box-sizing: border-box;\n  width: 100%;\n}\n.calendar_date_select, .suggestItems {\n  z-index : 300000 !important;\n}\n\n.export-dialog .section {\n  float: left;\n  width: 46%;\n  padding: 0 2% 1em;\n  margin: 0;\n  border-radius: .6em;\n}\n.export-dialog .section:hover {\n  background-color: $theme.highlightColor;\n}\n\n.export-dialog .section h3 {\n  margin-top: 0;\n}\n\n.export-dialog .section .selection-tools {\n  margin: 0 0 1em;\n}\n.export-dialog .section .selection-tool {\n  color: $theme.textPrimaryColor;\n  cursor: pointer;\n  font-style: italic;\n}\n.export-dialog .section .selection-tool:hover {\n  color: $theme.linkColor;\n}\n\n.export-dialog .buttons {\n  clear: both;\n}\n\n.export-dialog .step {\n  display: inline-block;\n  height: 1.2em;\n  width: 1.2em;\n  border-radius: .6em;\n  background: $theme.titleColor;\n  color: $theme.backgroundSecondaryColor;\n  text-align: center;\n  font-size: .87em;\n  margin-bottom: .2em;\n}\n\n.export-dialog .field-list {\n  list-style-type: none;\n  margin: 0;\n  padding: 0;\n}\n\n.xdialog-modal-container {\n  z-index: 400000 !important;\n}\n.xdialog-box {\n  max-width: 600px;\n  width: inherit;\n}\n.xdialog-box .buttons {\n  margin-left: 25px;\n  margin-top: 0px;\n}\n.xdialog-box .button {\n  width: 100px;\n}\n.xdialog-box .question {\n  padding: 4px 0 6px 25px;\n  white-space: nowrap;\n}
-8983360167584442179	groups	XWiki.XWikiAdminGroup
-8983360167584442179	users	
3548927377854748195	data	{"GG":[{"id":0,"prop":{"gender":"U"}}],"ranks":[3],"order":[[],[],[],[0]],"positions":[5]}
3548927377854748195	description	Proband
3548927377854748195	image	<svg viewBox="-30 182 180 180" width="200" height="200" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg" version="1.1"><desc>Created with Raphaël 2.1.0</desc><defs><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:145-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:245-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient></defs><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="192" x="-20"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="182" x="-30"></rect><rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,209.9066,41.4832)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"></rect><rect stroke-width="5.092592592592593" transform="matrix(0.7637,0.7637,-0.7637,0.7637,221.8992,18.4598)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:145-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"></rect><path stroke-width="1" transform="matrix(1,0,0,1,2.8873,291.1127)" opacity="1" d="M9.182800000000002,25.3319C9.182800000000002,25.3319,0.8701000000000001,33.6424,0.8701000000000001,33.6424C0.8701000000000001,33.6424,3.8665000000000003,36.6388,3.8665000000000003,36.6388C3.8665000000000003,36.6388,12.177000000000001,28.3272,12.17744,28.3272C12.177000000000001,28.3272,14.425400000000002,30.574500000000004,14.425400000000002,30.574500000000004C14.425400000000002,30.574500000000004,17.1578,20.376400000000004,17.1578,20.376400000000004C17.1578,20.376400000000004,6.959700000000001,23.108800000000002,6.959700000000001,23.108800000000002C6.959700000000001,23.108800000000002,9.182800000000002,25.3319,9.182800000000002,25.331350000000004C9.182800000000002,25.3319,9.182800000000002,25.3319,9.182800000000002,25.3319" stroke="none" fill="#595959" style="opacity: 1;"></path><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="182" x="-30"></rect></svg>
8946889359780582029	data	{"GG":[{"id":0,"prop":{"gender":"U"}},{"id":1,"chhub":true,"prop":{},"outedges":[{"to":0}]},{"id":2,"rel":true,"hub":true,"prop":{},"outedges":[{"to":1}]},{"id":3,"prop":{"gender":"F"},"outedges":[{"to":2}]},{"id":4,"prop":{"gender":"M"},"outedges":[{"to":2}]}],"ranks":[3,2,1,1,1],"order":[[],[4,2,3],[1],[0]],"positions":[5,5,5,17,-7]}
8946889359780582029	description	Proband with parents
8946889359780582029	image	<svg version="1.1" xmlns="http://www.w3.org/2000/svg" viewBox="-174 -362 468 452" width="200" height="200" xmlns:xlink="http://www.w3.org/1999/xlink"><circle cx="-58" cy="-347" r="6" fill="#cccccc" stroke="#000" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></circle><rect x="-115" y="-352.5" width="11" height="11" rx="0" ry="0" fill="#cccccc" stroke="#000" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></rect><path fill="none" stroke="#555555" d="M-104,-347L-64,-347" stroke-width="1.6666666666666667" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><circle cx="230" cy="-347" r="6" fill="#cccccc" stroke="#000" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></circle><rect x="173" y="-352.5" width="11" height="11" rx="0" ry="0" fill="#cccccc" stroke="#000" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></rect><path fill="none" stroke="#555555" d="M184,-347L224,-347" stroke-width="1.6666666666666667" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#303058" d="M60,-272L60,-144" stroke-width="1.25" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></path><path fill="none" stroke="#303058" d="M60,-144L60,-144" stroke-width="1.25" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></path><path fill="none" stroke="#303058" d="M60,-144L60,0" stroke-width="1.25" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></path><path fill="none" stroke="#303058" d="M-84,-272L60,-272" stroke-width="1.25" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></path><path fill="none" stroke="#303058" d="M60,-272L204,-272" stroke-width="1.25" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></path><desc style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);">Created with Raphaël 2.1.0</desc><defs style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><linearGradient id="grad:145-_ffffff:0-_B8B8B8:100" x1="0" y1="0.9999999999999998" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:245-_ffffff:0-_B8B8B8:100" x1="0" y1="0.9999999999999998" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:260-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:270-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:370-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:380-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:7245-_ffffff:0-_B8B8B8:100" x1="0" y1="0.9999999999999998" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:76330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:750-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:81330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:800-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:85330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:840-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:920-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:98330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:970-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><radialGradient id="grad:104r_.5_.1__ccc-_ccc" fx="0.5" fy="0.1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></radialGradient><radialGradient id="grad:103r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_" fx="0.5" fy="0.9" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></radialGradient><linearGradient id="grad:108330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:1070-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:112330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:1110-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><radialGradient id="grad:119r_.5_.1__ccc-_ccc" fx="0.5" fy="0.1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></radialGradient><radialGradient id="grad:118r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_" fx="0.5" fy="0.9" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></radialGradient><linearGradient id="grad:1200-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:126330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:1250-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><radialGradient id="grad:132r_.5_.1__ccc-_ccc" fx="0.5" fy="0.1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></radialGradient><radialGradient id="grad:131r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_" fx="0.5" fy="0.9" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></radialGradient><linearGradient id="grad:136330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><linearGradient id="grad:1350-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></linearGradient><radialGradient id="grad:140r_.5_.1__ccc-_ccc" fx="0.5" fy="0.1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></radialGradient><radialGradient id="grad:139r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_" fx="0.5" fy="0.9" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"><stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop><stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></stop></radialGradient></defs><rect x="-20" y="-80" width="160" height="160" rx="5" ry="5" fill="#000000" stroke="none" opacity="0" fill-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0;"></rect><rect x="-30" y="-90" width="180" height="180" rx="5" ry="5" fill="#808080" stroke="none" opacity="0" fill-opacity="0.35" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"></rect><path fill="none" stroke="#808080" d="M60,0L60,-57L-5,-57" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M60,-57L60,-86" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M60,0L60,55" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M60,0L115,0" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><rect x="28.88730162779191" y="-31.11269837220809" width="62.22539674441618" height="62.22539674441618" rx="0" ry="0" fill="#808080" stroke="none" opacity="0.3" fill-opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,17.5736,-38.1838)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0.3; fill-opacity: 1;" stroke-width="1"></rect><rect x="28.88730162779191" y="-31.11269837220809" width="62.22539674441618" height="62.22539674441618" rx="0" ry="0" fill="url(#grad:145-_ffffff:0-_B8B8B8:100)" stroke="#595959" opacity="1" fill-opacity="1" transform="matrix(0.7637,0.7637,-0.7637,0.7637,14.1795,-45.8205)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1;" stroke-width="5.092592592592593"></rect><path fill="#595959" stroke="none" d="M9.182800000000002,25.3319C9.182800000000002,25.3319,0.8701000000000001,33.6424,0.8701000000000001,33.6424C0.8701000000000001,33.6424,3.8665000000000003,36.6388,3.8665000000000003,36.6388C3.8665000000000003,36.6388,12.177000000000001,28.3272,12.17744,28.3272C12.177000000000001,28.3272,14.425400000000002,30.574500000000004,14.425400000000002,30.574500000000004C14.425400000000002,30.574500000000004,17.1578,20.376400000000004,17.1578,20.376400000000004C17.1578,20.376400000000004,6.959700000000001,23.108800000000002,6.959700000000001,23.108800000000002C6.959700000000001,23.108800000000002,9.182800000000002,25.3319,9.182800000000002,25.331350000000004C9.182800000000002,25.3319,9.182800000000002,25.3319,9.182800000000002,25.3319" opacity="1" transform="matrix(1,0,0,1,2.8873,19.1127)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1;" stroke-width="1"></path><path fill="none" stroke="#808080" d="M-3.333333333333333,-57L-2.5,-27" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M60,53L60,75" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M113,0L135,0" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><rect x="-30" y="-90" width="180" height="180" rx="0" ry="0" fill="#008000" stroke="none" opacity="0" fill-opacity="0.35" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"></rect><rect x="124" y="-352" width="160" height="160" rx="5" ry="5" fill="#000000" stroke="none" opacity="0" fill-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0;"></rect><rect x="114" y="-362" width="180" height="180" rx="5" ry="5" fill="#808080" stroke="none" opacity="0" fill-opacity="0.35" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"></rect><path fill="none" stroke="#808080" d="M204,-272L204,-329L139,-329" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M204,-272L204,-217" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M204,-272L259,-272" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><circle cx="204" cy="-272" r="40" fill="#808080" stroke="none" opacity="0.3" fill-opacity="1" transform="matrix(1,0,0,1,3,3)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0.3; fill-opacity: 1;"></circle><circle cx="204" cy="-272" r="40" fill="url(#grad:260-_ffffff:0-_B8B8B8:100)" stroke="#595959" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1;"></circle><path fill="none" stroke="#808080" d="M140.66666666666666,-329L141.5,-299" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M204,-329L204,-347" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M204,-219L204,-197" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M257,-272L279,-272" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><rect x="114" y="-362" width="180" height="180" rx="0" ry="0" fill="#008000" stroke="none" opacity="0" fill-opacity="0.35" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"></rect><rect x="-164" y="-352" width="160" height="160" rx="5" ry="5" fill="#000000" stroke="none" opacity="0" fill-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0;"></rect><rect x="-174" y="-362" width="180" height="180" rx="5" ry="5" fill="#808080" stroke="none" opacity="0" fill-opacity="0.35" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"></rect><path fill="none" stroke="#808080" d="M-84,-272L-84,-329L-149,-329" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M-84,-272L-84,-217" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M-84,-272L-29,-272" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><rect x="-124" y="-312" width="80" height="80" rx="0" ry="0" fill="#808080" stroke="none" opacity="0.3" fill-opacity="1" transform="matrix(1,0,0,1,3,3)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0.3; fill-opacity: 1;"></rect><rect x="-124" y="-312" width="80" height="80" rx="0" ry="0" fill="url(#grad:370-_ffffff:0-_B8B8B8:100)" stroke="#595959" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1;"></rect><path fill="none" stroke="#808080" d="M-147.33333333333334,-329L-146.5,-299" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M-84,-329L-84,-347" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M-84,-219L-84,-197" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><path fill="none" stroke="#808080" d="M-31,-272L-9,-272" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><rect x="-174" y="-362" width="180" height="180" rx="0" ry="0" fill="#008000" stroke="none" opacity="0" fill-opacity="0.35" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"></rect><rect x="34" y="-304" width="52" height="92" rx="5" ry="5" fill="#808080" stroke="none" opacity="0" fill-opacity="0.35" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"></rect><path fill="none" stroke="#808080" d="M60,-272L60,-257" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><circle cx="60" cy="-272" r="6.5" fill="#dc7868" stroke="#000000" stroke-width="2" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></circle><text x="60" y="-292" text-anchor="middle" font-family="Tahoma" font-size="14px" stroke="none" fill="#000000" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-292" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"></tspan></text><path fill="none" stroke="#808080" d="M60,-257L60,-236" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"></path><rect x="34" y="-304" width="52" height="92" rx="0" ry="0" fill="#008000" stroke="none" opacity="0" fill-opacity="0.35" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"></rect><rect x="28.88730162779191" y="-31.11269837220809" width="62.22539674441618" height="62.22539674441618" rx="0" ry="0" fill="#000000" stroke="none" opacity="1" fill-opacity="0" transform="matrix(0.7637,0.7637,-0.7637,0.7637,14.1795,-45.8205)" stroke-width="5.092592592592593" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 0; cursor: pointer; display: none;"></rect><rect x="-7.540000000000001" y="-32.04" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:750-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-19.8241,-6.1403)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></rect><rect x="-7.540000000000001" y="-32.04" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:76330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-19.8241,-6.1403)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></rect><rect x="54.96" y="69.96" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:800-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,70.6066,-20.4594)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></rect><rect x="54.96" y="69.96" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:81330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,70.6066,-20.4594)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></rect><rect x="129.96" y="-5.040000000000001" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:840-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,39.5406,-95.4594)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></rect><rect x="129.96" y="-5.040000000000001" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:85330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,39.5406,-95.4594)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></rect><circle cx="204" cy="-272" r="40" fill="#000000" stroke="none" opacity="1" fill-opacity="0" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 0; cursor: pointer; display: none;"></circle><rect x="271.87075" y="-355.4485" width="14.9955" height="14.997" rx="1" ry="1" fill="#808080" stroke="#000" opacity="0" stroke-width="0" class="delete" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; display: none;"></rect><path fill="#990000" stroke="none" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" transform="matrix(1,0,0,1,269.5,-357.5)" class="delete" opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; display: none;"></path><rect x="136.46" y="-304.04" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:970-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-169.9805,-187.6307)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></rect><rect x="136.46" y="-304.04" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:98330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-169.9805,-187.6307)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></rect><ellipse cx="204" cy="-347" rx="6.6000000000000005" ry="6.6000000000000005" fill="url(#grad:103r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="none" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></ellipse><ellipse cx="204" cy="-347" rx="5.28" ry="6.2700000000000005" fill="url(#grad:104r_.5_.1__ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></ellipse><rect x="198.96" y="-202.04" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:1070-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-79.5498,-201.9497)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></rect><rect x="198.96" y="-202.04" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:108330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-79.5498,-201.9497)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></rect><rect x="273.4" y="-277.6" width="11.200000000000001" height="11.200000000000001" rx="0" ry="0" fill="url(#grad:1110-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></rect><rect x="273.4" y="-277.6" width="11.200000000000001" height="11.200000000000001" rx="1" ry="1" fill="url(#grad:112330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></rect><rect x="67.07075" y="-299.6485" width="14.9955" height="14.997" rx="1" ry="1" fill="#808080" stroke="#000" opacity="0" stroke-width="0" class="delete" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; display: none;"></rect><path fill="#990000" stroke="none" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" transform="matrix(1,0,0,1,64.7,-301.7)" class="delete" opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; display: none;"></path><circle cx="60" cy="-272" r="6.5" fill="#000000" stroke="none" stroke-width="2" transform="matrix(1,0,0,1,0,0)" fill-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); fill-opacity: 0; cursor: pointer; display: none;"></circle><ellipse cx="60" cy="-236" rx="6.6000000000000005" ry="6.6000000000000005" fill="url(#grad:118r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="none" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></ellipse><ellipse cx="60" cy="-236" rx="5.28" ry="6.2700000000000005" fill="url(#grad:119r_.5_.1__ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></ellipse><rect x="-124" y="-312" width="80" height="80" rx="0" ry="0" fill="#000000" stroke="none" opacity="1" fill-opacity="0" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 0; cursor: pointer; display: none;"></rect><rect x="-16.12925" y="-355.4485" width="14.9955" height="14.997" rx="1" ry="1" fill="#808080" stroke="#000" opacity="0" stroke-width="0" class="delete" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; display: none;"></rect><path fill="#990000" stroke="none" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" transform="matrix(1,0,0,1,-18.5,-357.5)" class="delete" opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; display: none;"></path><rect x="-151.54" y="-304.04" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:1250-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-254.3338,16.0161)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></rect><rect x="-151.54" y="-304.04" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:126330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-254.3338,16.0161)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></rect><ellipse cx="-84" cy="-347" rx="6.6000000000000005" ry="6.6000000000000005" fill="url(#grad:131r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="none" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></ellipse><ellipse cx="-84" cy="-347" rx="5.28" ry="6.2700000000000005" fill="url(#grad:132r_.5_.1__ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></ellipse><rect x="-89.04" y="-202.04" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:1350-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-163.9031,1.697)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></rect><rect x="-89.04" y="-202.04" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:136330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-163.9031,1.697)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></rect><ellipse cx="-9" cy="-272" rx="6.6000000000000005" ry="6.6000000000000005" fill="url(#grad:139r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="none" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"></ellipse><ellipse cx="-9" cy="-272" rx="5.28" ry="6.2700000000000005" fill="url(#grad:140r_.5_.1__ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"></ellipse></svg>
2629381308697840408	data	{"GG":[{"id":0,"prop":{"gender":"U"}},{"id":1,"chhub":true,"prop":{},"outedges":[{"to":0}]},{"id":2,"rel":true,"hub":true,"prop":{},"outedges":[{"to":1}]},{"id":3,"prop":{"gender":"F"},"outedges":[{"to":2}]},{"id":4,"prop":{"gender":"M"},"outedges":[{"to":2}]},{"id":5,"chhub":true,"prop":{},"outedges":[{"to":4}]},{"id":6,"rel":true,"hub":true,"prop":{},"outedges":[{"to":5}]},{"id":7,"prop":{"gender":"F"},"outedges":[{"to":6}]},{"id":8,"prop":{"gender":"M"},"outedges":[{"to":6}]},{"id":9,"chhub":true,"prop":{},"outedges":[{"to":3}]},{"id":10,"rel":true,"hub":true,"prop":{},"outedges":[{"to":9}]},{"id":11,"prop":{"gender":"F"},"outedges":[{"to":10}]},{"id":12,"prop":{"gender":"M"},"outedges":[{"to":10}]}],"ranks":[5,4,3,3,3,2,1,1,1,2,1,1,1],"order":[[],[8,6,7,12,10,11],[5,9],[4,2,3],[1],[0]],"positions":[15,15,15,37,-7,-7,-7,5,-19,37,37,49,25]}
2629381308697840408	description	Proband with two generations of ancestors
2629381308697840408	image	<svg viewBox="-318 -362 996 724" width="200" height="200" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg" version="1.1"><circle style="display: none;" stroke="#000" fill="#cccccc" r="6" cy="-347" cx="-202"></circle><rect style="display: none;" stroke="#000" fill="#cccccc" ry="0" rx="0" height="11" width="11" y="-352.5" x="-259"></rect><path stroke-width="1.6666666666666667" d="M-248,-347L-208,-347" stroke="#555555" fill="none" style="display: none;"></path><path stroke-width="1.25" d="M444,-272L444,-144" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M444,-144L444,-144" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M444,-144L444,0" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M300,-272L444,-272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M444,-272L588,-272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M180,0L180,128" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M180,128L180,128" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M180,128L180,272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-84,0L180,0" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M180,0L444,0" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-84,-272L-84,-144" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-84,-144L-84,-144" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-84,-144L-84,0" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-228,-272L-84,-272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-84,-272L60,-272" stroke="#303058" fill="none" style=""></path><desc>Created with Raphaël 2.1.0</desc><defs><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:14045-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:14145-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1460-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1470-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1510-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1520-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1860-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1870-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1970-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1980-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2720-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2730-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2830-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2840-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3170-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:323330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3220-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient><radialGradient fy="0.1" fx="0.5" id="grad:329r_.5_.1__ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></radialGradient><radialGradient fy="0.9" fx="0.5" id="grad:328r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></radialGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:333330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3320-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient><radialGradient fy="0.1" fx="0.5" id="grad:337r_.5_.1__ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></radialGradient><radialGradient fy="0.9" fx="0.5" id="grad:336r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></radialGradient></defs><rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="192" x="-20"></rect><rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="182" x="-30"></rect><rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,329.9066,41.4832)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"></rect><rect stroke-width="5.092592592592593" transform="matrix(0.7637,0.7637,-0.7637,0.7637,341.8992,18.4598)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:14045-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"></rect><path stroke-width="1" transform="matrix(1,0,0,1,122.8873,291.1127)" opacity="1" d="M9.182800000000002,25.3319C9.182800000000002,25.3319,0.8701000000000001,33.6424,0.8701000000000001,33.6424C0.8701000000000001,33.6424,3.8665000000000003,36.6388,3.8665000000000003,36.6388C3.8665000000000003,36.6388,12.177000000000001,28.3272,12.17744,28.3272C12.177000000000001,28.3272,14.425400000000002,30.574500000000004,14.425400000000002,30.574500000000004C14.425400000000002,30.574500000000004,17.1578,20.376400000000004,17.1578,20.376400000000004C17.1578,20.376400000000004,6.959700000000001,23.108800000000002,6.959700000000001,23.108800000000002C6.959700000000001,23.108800000000002,9.182800000000002,25.3319,9.182800000000002,25.331350000000004C9.182800000000002,25.3319,9.182800000000002,25.3319,9.182800000000002,25.3319" stroke="none" fill="#595959" style="opacity: 1;"></path><rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="182" x="-30"></rect><rect transform="matrix(1,0,0,1,240,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-80" x="124"></rect><rect transform="matrix(1,0,0,1,240,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-90" x="114"></rect><circle stroke-width="1" transform="matrix(1,0,0,1,243,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="0" cx="204"></circle><circle transform="matrix(1,0,0,1,240,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1460-_ffffff:0-_B8B8B8:100)" r="40" cy="0" cx="204"></circle><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-80" x="-164"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-90" x="-174"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-40" x="-124"></rect><rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1510-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-40" x="-124"></rect><rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-32" x="34"></rect><circle transform="matrix(1,0,0,1,120,0)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="0" cx="60"></circle><text transform="matrix(1,0,0,1,120,0)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-20" x="60" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-20"></tspan></text><rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-32" x="34"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-90" x="-174"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="-20"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="-30"></rect><circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-272" cx="60"></circle><circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1860-_ffffff:0-_B8B8B8:100)" r="40" cy="-272" cx="60"></circle><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="-30"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="-308"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="-318"></rect><path stroke-width="5" d="M-228,-272L-228,-329L-293,-329" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M-228,-272L-228,-217" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M-228,-272L-173,-272" stroke="#808080" fill="none" style="display: none;"></path><rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-312" x="-268"></rect><rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1970-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-312" x="-268"></rect><path stroke-width="5" d="M-291.3333333333333,-329L-290.5,-299" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M-228,-329L-228,-347" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M-228,-219L-228,-197" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M-175,-272L-153,-272" stroke="#808080" fill="none" style="display: none;"></path><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="-318"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-304" x="-110"></rect><circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-272" cx="-84"></circle><text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-292" x="-84" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-292"></tspan></text><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-304" x="-110"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,240,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-90" x="114"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="508"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="498"></rect><circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-272" cx="588"></circle><circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:2720-_ffffff:0-_B8B8B8:100)" r="40" cy="-272" cx="588"></circle><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="498"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="220"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="210"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-312" x="260"></rect><rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:2830-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-312" x="260"></rect><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="210"></rect><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-27.648500000000002" x="187.07075"></rect><path stroke-width="1" class="delete" transform="matrix(1,0,0,1,184.7,-29.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"></path><circle fill-opacity="0" transform="matrix(1,0,0,1,120,0)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="0" cx="60"></circle><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-304" x="418"></rect><circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-272" cx="444"></circle><text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-292" x="444" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-292"></tspan></text><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-304" x="418"></rect><rect transform="matrix(1,0,0,1,0,0)" stroke-width="1" fill-opacity="0" opacity="1" style="opacity: 1; fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" ry="0" rx="0" height="80" width="80" y="-312" x="-268"></rect><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-355.4485" x="-160.12924999999998"></rect><path opacity="1" class="delete" transform="matrix(1,0,0,1,-162.5,-357.5)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="opacity: 1; display: none;"></path><rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-296.5104,117.8394)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:3220-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="-295.54"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-296.5104,117.8394)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:323330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="-295.54"></rect><ellipse fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:328r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-347" cx="-228"></ellipse><ellipse stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:329r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-347" cx="-228"></ellipse><rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-206.0797,103.5204)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:3320-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="-233.04"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-206.0797,103.5204)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:333330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="-233.04"></rect><ellipse fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:336r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-272" cx="-153"></ellipse><ellipse stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:337r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-272" cx="-153"></ellipse></svg>
-4308797316450567105	data	{"GG":[{"id":0,"prop":{"gender":"U"}},{"id":1,"chhub":true,"prop":{},"outedges":[{"to":0}]},{"id":2,"rel":true,"hub":true,"prop":{},"outedges":[{"to":1}]},{"id":3,"prop":{"gender":"F"},"outedges":[{"to":2}]},{"id":4,"prop":{"gender":"M"},"outedges":[{"to":2}]},{"id":5,"chhub":true,"prop":{},"outedges":[{"to":4}]},{"id":6,"rel":true,"hub":true,"prop":{},"outedges":[{"to":5}]},{"id":7,"prop":{"gender":"F"},"outedges":[{"to":6}]},{"id":8,"prop":{"gender":"M"},"outedges":[{"to":6}]},{"id":9,"chhub":true,"prop":{},"outedges":[{"to":3}]},{"id":10,"rel":true,"hub":true,"prop":{},"outedges":[{"to":9}]},{"id":11,"prop":{"gender":"F"},"outedges":[{"to":10}]},{"id":12,"prop":{"gender":"M"},"outedges":[{"to":10}]},{"id":13,"chhub":true,"prop":{},"outedges":[{"to":8}]},{"id":14,"rel":true,"hub":true,"prop":{},"outedges":[{"to":13}]},{"id":15,"prop":{"gender":"F"},"outedges":[{"to":14}]},{"id":16,"prop":{"gender":"M"},"outedges":[{"to":14}]},{"id":17,"chhub":true,"prop":{},"outedges":[{"to":7}]},{"id":18,"rel":true,"hub":true,"prop":{},"outedges":[{"to":17}]},{"id":19,"prop":{"gender":"F"},"outedges":[{"to":18}]},{"id":20,"prop":{"gender":"M"},"outedges":[{"to":18}]},{"id":21,"chhub":true,"prop":{},"outedges":[{"to":12}]},{"id":22,"rel":true,"hub":true,"prop":{},"outedges":[{"to":21}]},{"id":23,"prop":{"gender":"F"},"outedges":[{"to":22}]},{"id":24,"prop":{"gender":"M"},"outedges":[{"to":22}]},{"id":25,"chhub":true,"prop":{},"outedges":[{"to":11}]},{"id":26,"rel":true,"hub":true,"prop":{},"outedges":[{"to":25}]},{"id":27,"prop":{"gender":"F"},"outedges":[{"to":26}]},{"id":28,"prop":{"gender":"M"},"outedges":[{"to":26}]}],"ranks":[7,6,5,5,5,4,3,3,3,4,3,3,3,2,1,1,1,2,1,1,1,2,1,1,1,2,1,1,1],"order":[[],[16,14,15,20,18,19,24,22,23,28,26,27],[13,17,21,25],[8,6,7,12,10,11],[5,9],[4,2,3],[1],[0]],"positions":[47,47,47,91,3,3,3,25,-19,91,91,113,69,-19,-19,-7,-31,25,25,37,13,69,69,81,57,113,113,125,101]}
-4308797316450567105	description	Proband with three generations of ancestors
-4308797316450567105	image	<svg viewBox="-462 -634 2052 996" width="200" height="200" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg"  version="1.1" ><circle style="display: none;" stroke="#000" fill="#cccccc" r="6" cy="-619" cx="-346"></circle><rect style="display: none;" stroke="#000" fill="#cccccc" ry="0" rx="0" height="11" width="11" y="-624.5" x="-403"></rect><path stroke-width="1.6666666666666667" d="M-392,-619L-352,-619" stroke="#555555" fill="none" style="display: none;"></path><path stroke-width="1.25" d="M1356,-544L1356,-416" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M1356,-416L1356,-416" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M1356,-416L1356,-272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M1212,-544L1356,-544" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M1356,-544L1500,-544" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M1092,-272L1092,-144" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M1092,-144L1092,-144" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M1092,-144L1092,0" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M828,-272L1092,-272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M1092,-272L1356,-272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M564,0L564,128" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M564,128L564,128" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M564,128L564,272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M36,0L564,0" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M564,0L1092,0" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M828,-544L828,-416" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M828,-416L828,-416" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M828,-416L828,-272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M684,-544L828,-544" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M828,-544L972,-544" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M300,-544L300,-416" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M300,-416L300,-416" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M300,-416L300,-272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M156,-544L300,-544" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M300,-544L444,-544" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M36,-272L36,-144" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M36,-144L36,-144" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M36,-144L36,0" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-228,-272L36,-272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M36,-272L300,-272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-228,-544L-228,-416" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-228,-416L-228,-416" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-228,-416L-228,-272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-372,-544L-228,-544" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M-228,-544L-84,-544" stroke="#303058" fill="none" style=""></path><desc>Created with Raphaël 2.1.0</desc><defs><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:745-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:845-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:130-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:140-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:180-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:190-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:530-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:540-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:640-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:650-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1330-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1340-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1440-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1450-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2340-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2350-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2450-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2460-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3140-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3150-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3250-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3260-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4180-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4190-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4290-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4300-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5300-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5310-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5410-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5420-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5890-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:595330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5940-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:600330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5990-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient><radialGradient fy="0.1" fx="0.5" id="grad:604r_.5_.1__ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></radialGradient><radialGradient fy="0.9" fx="0.5" id="grad:603r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></radialGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6230-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:629330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6280-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:634330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6330-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:638330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6370-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient><radialGradient fy="0.1" fx="0.5" id="grad:645r_.5_.1__ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></radialGradient><radialGradient fy="0.9" fx="0.5" id="grad:644r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></radialGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6460-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:652330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6510-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient><radialGradient fy="0.1" fx="0.5" id="grad:658r_.5_.1__ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></radialGradient><radialGradient fy="0.9" fx="0.5" id="grad:657r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></radialGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:662330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6610-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient><radialGradient fy="0.1" fx="0.5" id="grad:666r_.5_.1__ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></radialGradient><radialGradient fy="0.9" fx="0.5" id="grad:665r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></radialGradient></defs><rect transform="matrix(1,0,0,1,504,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="192" x="-20"></rect><rect transform="matrix(1,0,0,1,504,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="182" x="-30"></rect><rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,713.9066,41.4832)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"></rect><rect stroke-width="5.092592592592593" transform="matrix(0.7637,0.7637,-0.7637,0.7637,725.8992,18.4598)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:745-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"></rect><path stroke-width="1" transform="matrix(1,0,0,1,506.8873,291.1127)" opacity="1" d="M9.182800000000002,25.3319C9.182800000000002,25.3319,0.8701000000000001,33.6424,0.8701000000000001,33.6424C0.8701000000000001,33.6424,3.8665000000000003,36.6388,3.8665000000000003,36.6388C3.8665000000000003,36.6388,12.177000000000001,28.3272,12.17744,28.3272C12.177000000000001,28.3272,14.425400000000002,30.574500000000004,14.425400000000002,30.574500000000004C14.425400000000002,30.574500000000004,17.1578,20.376400000000004,17.1578,20.376400000000004C17.1578,20.376400000000004,6.959700000000001,23.108800000000002,6.959700000000001,23.108800000000002C6.959700000000001,23.108800000000002,9.182800000000002,25.3319,9.182800000000002,25.331350000000004C9.182800000000002,25.3319,9.182800000000002,25.3319,9.182800000000002,25.3319" stroke="none" fill="#595959" style="opacity: 1;"></path><rect transform="matrix(1,0,0,1,504,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="182" x="-30"></rect><rect transform="matrix(1,0,0,1,888,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-80" x="124"></rect><rect transform="matrix(1,0,0,1,888,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-90" x="114"></rect><circle stroke-width="1" transform="matrix(1,0,0,1,891,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="0" cx="204"></circle><circle transform="matrix(1,0,0,1,888,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:130-_ffffff:0-_B8B8B8:100)" r="40" cy="0" cx="204"></circle><rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-80" x="-164"></rect><rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-90" x="-174"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,123,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-40" x="-124"></rect><rect transform="matrix(1,0,0,1,120,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:180-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-40" x="-124"></rect><rect transform="matrix(1,0,0,1,504,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-32" x="34"></rect><circle transform="matrix(1,0,0,1,504,0)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="0" cx="60"></circle><text transform="matrix(1,0,0,1,504,0)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-20" x="60" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-20"></tspan></text><rect transform="matrix(1,0,0,1,504,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-32" x="34"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-90" x="-174"></rect><rect transform="matrix(1,0,0,1,240,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="-20"></rect><rect transform="matrix(1,0,0,1,240,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="-30"></rect><path stroke-width="5" d="M300,-272L300,-329L235,-329" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M300,-329L300,-358" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M300,-272L300,-217" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M300,-272L355,-272" stroke="#808080" fill="none" style="display: none;"></path><circle stroke-width="1" transform="matrix(1,0,0,1,243,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-272" cx="60"></circle><circle transform="matrix(1,0,0,1,240,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:530-_ffffff:0-_B8B8B8:100)" r="40" cy="-272" cx="60"></circle><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="-308"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="-318"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-312" x="-268"></rect><rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:640-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-312" x="-268"></rect><rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-304" x="-110"></rect><circle transform="matrix(1,0,0,1,120,0)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-272" cx="-84"></circle><text transform="matrix(1,0,0,1,120,0)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-292" x="-84" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-292"></tspan></text><rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-304" x="-110"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,888,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-90" x="114"></rect><rect transform="matrix(1,0,0,1,768,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="508"></rect><rect transform="matrix(1,0,0,1,768,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="498"></rect><circle stroke-width="1" transform="matrix(1,0,0,1,771,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-272" cx="588"></circle><circle transform="matrix(1,0,0,1,768,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1330-_ffffff:0-_B8B8B8:100)" r="40" cy="-272" cx="588"></circle><rect transform="matrix(1,0,0,1,528,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="220"></rect><rect transform="matrix(1,0,0,1,528,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="210"></rect><path stroke-width="5" d="M828,-272L828,-329L763,-329" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M828,-329L828,-358" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M828,-272L828,-217" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M828,-272L883,-272" stroke="#808080" fill="none" style="display: none;"></path><rect stroke-width="1" transform="matrix(1,0,0,1,531,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-312" x="260"></rect><rect transform="matrix(1,0,0,1,528,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1440-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-312" x="260"></rect><rect transform="matrix(1,0,0,1,648,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-304" x="418"></rect><circle transform="matrix(1,0,0,1,648,0)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-272" cx="444"></circle><text transform="matrix(1,0,0,1,648,0)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-292" x="444" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-292"></tspan></text><rect transform="matrix(1,0,0,1,648,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-304" x="418"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="-318"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="-164"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="-174"></rect><circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-544" cx="-84"></circle><circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:2340-_ffffff:0-_B8B8B8:100)" r="40" cy="-544" cx="-84"></circle><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="-174"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="-452"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="-462"></rect><path stroke-width="5" d="M-372,-544L-372,-601L-437,-601" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M-372,-544L-372,-489" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M-372,-544L-317,-544" stroke="#808080" fill="none" style="display: none;"></path><rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-584" x="-412"></rect><rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:2450-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-584" x="-412"></rect><path stroke-width="5" d="M-435.3333333333333,-601L-434.5,-571" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M-372,-601L-372,-619" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M-372,-491L-372,-469" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M-319,-544L-297,-544" stroke="#808080" fill="none" style="display: none;"></path><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="-462"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-576" x="-254"></rect><path stroke-width="5" d="M-228,-544L-228,-529" stroke="#808080" fill="none" style="display: none;"></path><circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-544" cx="-228"></circle><text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-564" x="-228" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-564"></tspan></text><path stroke-width="5" d="M-228,-529L-228,-508" stroke="#808080" fill="none" style="display: none;"></path><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-576" x="-254"></rect><path stroke-width="5" d="M236.66666666666666,-329L237.5,-299" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M300,-219L300,-197" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M353,-272L375,-272" stroke="#808080" fill="none" style="display: none;"></path><rect stroke-width="1" transform="matrix(1,0,0,1,240,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="-30"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="364"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="354"></rect><circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-544" cx="444"></circle><circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:3140-_ffffff:0-_B8B8B8:100)" r="40" cy="-544" cx="444"></circle><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="354"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="76"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="66"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-584" x="116"></rect><rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:3250-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-584" x="116"></rect><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="66"></rect><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-299.6485" x="43.070750000000004"></rect><path stroke-width="1" class="delete" transform="matrix(1,0,0,1,40.7,-301.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"></path><circle fill-opacity="0" transform="matrix(1,0,0,1,120,0)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-272" cx="-84"></circle><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-576" x="274"></rect><circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-544" cx="300"></circle><text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-564" x="300" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-564"></tspan></text><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-576" x="274"></rect><path stroke-width="5" d="M764.6666666666666,-329L765.5,-299" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M828,-219L828,-197" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M881,-272L903,-272" stroke="#808080" fill="none" style="display: none;"></path><rect stroke-width="1" transform="matrix(1,0,0,1,528,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="210"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="892"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="882"></rect><circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-544" cx="972"></circle><circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:4180-_ffffff:0-_B8B8B8:100)" r="40" cy="-544" cx="972"></circle><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="882"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="604"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="594"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-584" x="644"></rect><rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:4290-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-584" x="644"></rect><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="594"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-576" x="802"></rect><circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-544" cx="828"></circle><text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-564" x="828" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-564"></tspan></text><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-576" x="802"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,768,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="498"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="1420"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="1410"></rect><circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-544" cx="1500"></circle><circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:5300-_ffffff:0-_B8B8B8:100)" r="40" cy="-544" cx="1500"></circle><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="1410"></rect><rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="1132"></rect><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="1122"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-584" x="1172"></rect><rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:5410-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-584" x="1172"></rect><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="1122"></rect><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-27.648500000000002" x="571.0707500000001"></rect><path stroke-width="1" class="delete" transform="matrix(1,0,0,1,568.7,-29.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"></path><circle fill-opacity="0" transform="matrix(1,0,0,1,504,0)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="0" cx="60"></circle><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-299.6485" x="1099.0707499999999"></rect><path stroke-width="1" class="delete" transform="matrix(1,0,0,1,1096.7,-301.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"></path><circle fill-opacity="0" transform="matrix(1,0,0,1,648,0)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-272" cx="444"></circle><rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-576" x="1330"></rect><circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-544" cx="1356"></circle><text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-564" x="1356" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-564"></tspan></text><rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-576" x="1330"></rect><rect transform="matrix(1,0,0,1,528,0)" stroke-width="1" fill-opacity="0" opacity="1" style="opacity: 1; fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" ry="0" rx="0" height="80" width="80" y="-312" x="260"></rect><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-355.4485" x="895.87075"></rect><path stroke-width="1" opacity="1" class="delete" transform="matrix(1,0,0,1,893.5,-357.5)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="opacity: 1; display: none;"></path><rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,12.7848,-628.8653)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:5940-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="760.46"></rect><rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,12.7848,-628.8653)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:595330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="760.46"></rect><rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,103.2155,-643.1844)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:5990-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="822.96"></rect><rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,103.2155,-643.1844)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:600330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="822.96"></rect><ellipse stroke-width="1" fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:603r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-272" cx="903"></ellipse><ellipse stroke-width="1" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:604r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-272" cx="903"></ellipse><circle transform="matrix(1,0,0,1,240,0)" stroke-width="1" fill-opacity="0" opacity="1" style="opacity: 1; fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" r="40" cy="-272" cx="60"></circle><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-355.4485" x="367.87075"></rect><path opacity="1" class="delete" transform="matrix(1,0,0,1,365.5,-357.5)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="opacity: 1; display: none;"></path><rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-141.8628,-255.5129)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:6280-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="232.46"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-141.8628,-255.5129)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:629330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="232.46"></rect><rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-51.4321,-269.832)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:6330-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="294.96"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-51.4321,-269.832)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:634330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="294.96"></rect><rect stroke-width="0.75" fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:6370-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="11.200000000000001" width="11.200000000000001" y="-277.6" x="369.4"></rect><rect stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:638330-_ccc-_ccc)" ry="1" rx="1" height="11.200000000000001" width="11.200000000000001" y="-277.6" x="369.4"></rect><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-571.6485" x="-220.92925"></rect><path opacity="1" class="delete" transform="matrix(1,0,0,1,-223.3,-573.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="opacity: 1; display: none;"></path><circle fill-opacity="0" transform="matrix(1,0,0,1,0,0)" stroke-width="2" style="fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" r="6.5" cy="-544" cx="-228"></circle><ellipse fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:644r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-508" cx="-228"></ellipse><ellipse stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:645r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-508" cx="-228"></ellipse><rect transform="matrix(1,0,0,1,0,0)" stroke-width="1" fill-opacity="0" opacity="1" style="opacity: 1; fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" ry="0" rx="0" height="80" width="80" y="-584" x="-412"></rect><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-627.4485" x="-304.12925"></rect><path opacity="1" class="delete" transform="matrix(1,0,0,1,-306.5,-629.5)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="opacity: 1; display: none;"></path><rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-531.0201,139.9959)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:6510-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-576.04" x="-439.54"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-531.0201,139.9959)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:652330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-576.04" x="-439.54"></rect><ellipse fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:657r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-619" cx="-372"></ellipse><ellipse stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:658r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-619" cx="-372"></ellipse><rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-440.5894,125.6768)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:6610-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-474.04" x="-377.04"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-440.5894,125.6768)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:662330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-474.04" x="-377.04"></rect><ellipse fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:665r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-544" cx="-297"></ellipse><ellipse stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:666r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-544" cx="-297"></ellipse></svg>
2605999092808823074	data	{"GG":[{"id":0,"prop":{"gender":"U"}},{"id":1,"chhub":true,"prop":{},"outedges":[{"to":0}]},{"id":2,"rel":true,"hub":true,"prop":{},"outedges":[{"to":1}]},{"id":3,"prop":{"gender":"F"},"outedges":[{"to":2}]},{"id":4,"prop":{"gender":"M"},"outedges":[{"to":2}]},{"id":5,"chhub":true,"prop":{},"outedges":[{"to":4}]},{"id":6,"rel":true,"hub":true,"prop":{},"outedges":[{"to":5}]},{"id":7,"prop":{"gender":"U"},"outedges":[{"to":6}]},{"id":8,"prop":{"gender":"U"},"outedges":[{"to":6}]},{"id":9,"chhub":true,"prop":{},"outedges":[{"to":3}]},{"id":10,"rel":true,"hub":true,"prop":{},"outedges":[{"to":9}]},{"id":11,"prop":{"gender":"U"},"outedges":[{"to":10}]},{"id":12,"prop":{"gender":"U"},"outedges":[{"to":10}]},{"id":13,"chhub":true,"prop":{},"outedges":[{"to":7},{"to":12}]},{"id":14,"rel":true,"hub":true,"prop":{},"outedges":[{"to":13}]},{"id":15,"prop":{"gender":"F"},"outedges":[{"to":14}]},{"id":16,"prop":{"gender":"M"},"outedges":[{"to":14}]}],"ranks":[7,6,5,5,5,4,3,3,3,4,3,3,3,2,1,1,1],"order":[[],[16,14,15],[13],[8,6,7,12,10,11],[5,9],[4,2,3],[1],[0]],"positions":[39,39,39,61,17,17,17,29,5,61,61,73,49,39,39,51,27]}
2605999092808823074	description	Consanguineous marriage - cousins
2605999092808823074	image	<svg viewBox="-30 -90 996 996" width="200" height="200" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg" version="1.1"><path stroke-width="1.25" d="M468,0L468,160" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M348,160L588,160" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M588,160L588,272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M348,160L348,272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M324,0L468,0" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M468,0L612,0" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M732,272L732,400" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M732,400L732,400" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M732,400L732,544" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M732,272L876,272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M588,272L732,272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M204,272L204,400" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M204,400L204,400" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M204,400L204,544" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M60,272L204,272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M204,272L348,272" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M468,544L468,672" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M468,672L468,672" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M468,672L468,816" stroke="#303058" fill="none" style=""></path><path stroke-width="1.25" d="M206.5,541.5L470.5,541.5" stroke="#402058" fill="none" style=""></path><path stroke-width="1.25" d="M201.5,546.5L465.5,546.5" stroke="#402058" fill="none" style=""></path><path stroke-width="1.25" d="M470.5,546.5L734.5,546.5" stroke="#402058" fill="none" style=""></path><path stroke-width="1.25" d="M465.5,541.5L729.5,541.5" stroke="#402058" fill="none" style=""></path><desc>Created with Raphaël 2.1.0</desc><defs><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:6445-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:6545-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:890-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:900-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1000-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1010-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4750-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4760-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4860-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4870-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:70545-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:70645-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:74945-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:75045-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:81845-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:81945-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:84845-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:84945-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:90845-_ffffff:0-_B8B8B8:100"><stop stop-color="#ffffff" offset="0%"></stop><stop stop-color="#b8b8b8" offset="100%"></stop></linearGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:914330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:9130-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:919330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:9180-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient><linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:923330-_ccc-_ccc"><stop stop-color="#cccccc" offset="0%"></stop><stop stop-opacity="0" stop-color="#cccccc" offset="100%"></stop></linearGradient><linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:9220-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"><stop stop-color="#009cbf" offset="0%"></stop><stop stop-color="#1f3a3f" offset="100%"></stop></linearGradient></defs><rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="144" x="-20"></rect><rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="134" x="-30"></rect><rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,583.9655,619.4243)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="192.8873016277919" x="28.88730162779191"></rect><rect stroke-width="5.092592592592593" transform="matrix(0.7637,0.7637,-0.7637,0.7637,593.2428,599.1162)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:6445-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="192.8873016277919" x="28.88730162779191"></rect><path stroke-width="1" transform="matrix(1,0,0,1,410.8873,835.1127)" opacity="1" d="M9.182800000000002,25.3319C9.182800000000002,25.3319,0.8701000000000001,33.6424,0.8701000000000001,33.6424C0.8701000000000001,33.6424,3.8665000000000003,36.6388,3.8665000000000003,36.6388C3.8665000000000003,36.6388,12.177000000000001,28.3272,12.17744,28.3272C12.177000000000001,28.3272,14.425400000000002,30.574500000000004,14.425400000000002,30.574500000000004C14.425400000000002,30.574500000000004,17.1578,20.376400000000004,17.1578,20.376400000000004C17.1578,20.376400000000004,6.959700000000001,23.108800000000002,6.959700000000001,23.108800000000002C6.959700000000001,23.108800000000002,9.182800000000002,25.3319,9.182800000000002,25.331350000000004C9.182800000000002,25.3319,9.182800000000002,25.3319,9.182800000000002,25.3319" stroke="none" fill="#595959" style="opacity: 1;"></path><rect stroke-width="1" transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="134" x="-30"></rect><rect transform="matrix(1,0,0,1,528,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-128" x="124"></rect><rect transform="matrix(1,0,0,1,528,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-138" x="114"></rect><circle stroke-width="1" transform="matrix(1,0,0,1,531,595)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-48" cx="204"></circle><circle stroke-width="1" transform="matrix(1,0,0,1,528,592)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:890-_ffffff:0-_B8B8B8:100)" r="40" cy="-48" cx="204"></circle><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-128" x="-164"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-138" x="-174"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,291,595)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-88" x="-124"></rect><rect transform="matrix(1,0,0,1,288,592)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1000-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-88" x="-124"></rect><rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-80" x="34"></rect><circle transform="matrix(1,0,0,1,408,592)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-48" cx="60"></circle><text transform="matrix(1,0,0,1,408,592)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-68" x="60" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-68"></tspan></text><rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-80" x="34"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-138" x="-174"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-400" x="-20"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-410" x="-30"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-400" x="-308"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-410" x="-318"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-5.0538,663.7372)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="-259.1126983722081"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-5.0538,659.4945)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:70545-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="-259.1126983722081"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-410" x="-318"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-352" x="-110"></rect><circle transform="matrix(1,0,0,1,288,592)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-320" cx="-84"></circle><text transform="matrix(1,0,0,1,288,592)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-340" x="-84" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-340"></tspan></text><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-352" x="-110"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,528,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-138" x="114"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-400" x="508"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-410" x="498"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,233.947,86.738)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="556.8873016277919"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,233.947,82.4954)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:74945-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="556.8873016277919"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-410" x="498"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-400" x="220"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-410" x="210"></rect><path stroke-width="5" d="M588,272L588,215L523,215" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M588,215L588,186" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M588,272L588,327" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M588,272L643,272" stroke="#808080" fill="none" style="display: none;"></path><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,149.5938,290.3848)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="268.8873016277919"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,149.5938,286.1421)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:84845-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="268.8873016277919"></rect><path stroke-width="5" d="M524.6666666666666,215L525.5,245" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M588,325L588,347" stroke="#808080" fill="none" style="display: none;"></path><path stroke-width="5" d="M641,272L663,272" stroke="#808080" fill="none" style="display: none;"></path><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-410" x="210"></rect><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-352" x="418"></rect><circle transform="matrix(1,0,0,1,288,592)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-320" cx="444"></circle><text transform="matrix(1,0,0,1,288,592)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-340" x="444" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-340"></tspan></text><rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-352" x="418"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,79.2994,460.0904)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="28.88730162779191"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,79.2994,455.8478)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:81845-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="28.88730162779191"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-410" x="-30"></rect><rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-672" x="124"></rect><rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-682" x="114"></rect><circle stroke-width="1" transform="matrix(1,0,0,1,411,595)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-592" cx="204"></circle><circle stroke-width="1" transform="matrix(1,0,0,1,408,592)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:4750-_ffffff:0-_B8B8B8:100)" r="40" cy="-592" cx="204"></circle><rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-682" x="114"></rect><rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-672" x="-164"></rect><rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-682" x="-174"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,411,595)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-632" x="-124"></rect><rect stroke-width="1" transform="matrix(1,0,0,1,408,592)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:4860-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-632" x="-124"></rect><rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-682" x="-174"></rect><rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-624" x="34"></rect><circle transform="matrix(1,0,0,1,408,592)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-592" cx="60"></circle><text transform="matrix(1,0,0,1,408,592)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-612" x="60" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"><tspan dy="-612"></tspan></text><rect stroke-width="1" transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-624" x="34"></rect><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="516.3515" x="475.07075"></rect><path stroke-width="1" class="delete" transform="matrix(1,0,0,1,472.7,514.3)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"></path><circle fill-opacity="0" transform="matrix(1,0,0,1,408,592)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-48" cx="60"></circle><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="244.3515" x="211.07075"></rect><path stroke-width="1" class="delete" transform="matrix(1,0,0,1,208.7,242.3)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"></path><circle fill-opacity="0" transform="matrix(1,0,0,1,288,592)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-320" cx="-84"></circle><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="244.3515" x="739.0707500000001"></rect><path stroke-width="1" class="delete" transform="matrix(1,0,0,1,736.7,242.3)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"></path><circle fill-opacity="0" transform="matrix(1,0,0,1,288,592)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-320" cx="444"></circle><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-27.648500000000002" x="475.07075"></rect><path stroke-width="1" class="delete" transform="matrix(1,0,0,1,472.7,-29.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"></path><circle fill-opacity="0" transform="matrix(1,0,0,1,408,592)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-592" cx="60"></circle><circle opacity="1" stroke-width="1" style="opacity: 1;" stroke="#888888" fill="#666666" r="3.25" cy="160" cx="468"></circle><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,149.5938,286.1421)" fill-opacity="0" opacity="1" style="opacity: 1; fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="268.8873016277919"></rect><rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="188.55149999999998" x="655.87075"></rect><path opacity="1" class="delete" transform="matrix(1,0,0,1,653.5,186.5)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none; opacity: 1;"></path><rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,327.1565,-299.8258)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:9130-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="239.96" x="520.46"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,327.1565,-299.8258)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:914330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="239.96" x="520.46"></rect><rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,417.5873,-314.1448)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:9180-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="341.96" x="582.96"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,417.5873,-314.1448)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:919330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="341.96" x="582.96"></rect><rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,386.5212,-389.1448)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:9220-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="266.96" x="657.96"></rect><rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,386.5212,-389.1448)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:923330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="266.96" x="657.96"></rect></svg>
5770265429325257425	codeToExecute	
8433417381059088093	codeToExecute	{{include reference="PhenoTips.FormDesigner"/}}
-2910348294274572180	codeToExecute	#set($targetDocName = 'data.WebHome')\n#set($targetDoc = $xwiki.getDocument($targetDocName))\n#set($className = 'XWiki.GadgetClass')\n#set($gadgetObj = $targetDoc.getObject($className))\n#set($prefix = "${className}_${gadgetObj.number}_")\n#set($fullPrefix = "${targetDocName}_${prefix}")\n\n{{html clean=false}}\n<form id="welcome_${targetDocName}" method="post" action="$targetDoc.getURL('save')" class="xform half">\n<fieldset><dl>\n<dt><label for="${targetDocName}title">$services.localization.render('phenotips.navigation.webHome.homepage.label')</label></dt>\n<dd><input id="${targetDocName}title" name="title" size="30" type="text" value="$!escapetool.xml($targetDoc.title)"></input></dd>\n<dt><label for="${fullPrefix}title">$services.localization.render('phenotips.navigation.webHome.welcomeMessage.label')</label></dt>\n<dd><input id="${fullPrefix}title" name="${prefix}title" size="30" type="text" value="$!escapetool.xml($gadgetObj.getProperty('title').value)"></input></dd>\n<dt><label for="${fullPrefix}content">$services.localization.render('phenotips.navigation.webHome.welcomeMessageContent.label')</label></dt>\n<dd><textarea cols="40" id="${fullPrefix}content" name="${prefix}content" rows="10">$!escapetool.xml($gadgetObj.getProperty('content').value)</textarea></dd>\n</dl>\n<input type="hidden" id="${targetDocName}_redirect" name="xredirect" value="$escapetool.xml($doc.getURL($xcontext.action, $request.queryString))" />\n<input type="hidden" name="form_token" value="$!{escapetool.xml($services.csrf.token)}" />\n</fieldset>\n<div class="bottombuttons"><p class="admin-buttons">\n<span class="buttonwrapper"><input class="button" type="submit" name="action_saveandcontinue" value="$services.localization.render('phenotips.navigation.webHome.save')" /></span>\n</p></div>\n</form>\n{{/html}}
-3560279228912068454	codeToExecute	{{info}}$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.info'){{/info}}\n\n#if ($isAdvancedUser)\n#set ($errorMessage = '')\n#if ($request.doCreate == '1' && $services.csrf.isTokenValid($request.form_token))\n  #if ("$!{request.name.trim()}" == '')\n    #set ($errorMessage = "$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.error.noName')")\n  #else\n    #set ($targetDocument = $services.model.createDocumentReference($xcontext.database, $request.space, $request.name.trim()))\n    #if ($xwiki.exists($targetDocument))\n      #set ($errorMessage = "$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.error.nameExists', [${request.name}])")\n    #else\n      $response.sendRedirect($xwiki.getURL($targetDocument, 'edit', "editor=inline&template=$escapetool.url($!{request.classTemplate})&title=$!escapetool.url($request.name)&parent=$!escapetool.url($request.parent)"))\n      #break\n    #end\n  #end\n#end\n\n\n#if ("$!errorMessage" != '')\n{{error}}$errorMessage{{/error}}\n\n#end\n{{html clean=false}}\n<form class="xformInline" action="$doc.getURL($xcontext.action, $request.queryString)" method="post"><div>\n  <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n  <input type="hidden" name="doCreate" value="1" />\n  <input type="hidden" name="classTemplate" value="PhenoTips.PhenotypeMappingTemplate" />\n  <input type="hidden" name="space" value="PhenoTips" />\n  <input type="hidden" name="parent" value="data.WebHome" />\n  <label for="config-name">$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.newConfig.label') </label><input type="text" name="name" id="config-name" placeholder="$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.newConfig.placeholder')"/><input class="button" type="submit" value="$services.localization.render('phenotips.navigation.webHome.create')"/>\n</div></form>\n{{/html}}\n#end\n\n(% class="mappingPreviewContainer side" %)(((\n(% class="hint side" %)(((Preview)))\n(% id="mappingPreview"%)((()))\n)))\n$xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.Widgets', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.PatientSheetCode', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.PhenotypeMappingPreview', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.jsx.use('PhenoTips.PhenotypeMappingPreview')##
705178565365604649	codeToExecute	
-27458081436434210	content	{{translation key="phenotips.homepage.welcome.message" /}}\n\n{{comment}}\nThese are translation keys, automatically replaced with the proper translation for the current language.\n\nTo write a custom message, you can remove the existing code and write your message here directly.\n{{/comment}}
409878110249750461	content	{{phenotips-groups /}}
-3368177157800536719	code	document.observe("xwiki:dom:loaded", function () {\n  (function(link) {\n    var saveAfterClick = function() {\n      event.stop();\n      document.observe('xwiki:document:saved', followLinkAfterSave);\n      document.fire('xwiki:actions:save', {'continue' : true, 'form' : event.findElement('form')});\n    };\n    var followLinkAfterSave = function() {\n      document.stopObserving('xwiki:document:saved', followLinkAfterSave);\n      link.stopObserving('click', saveAfterClick)\n      link.click();\n      link.observe('click', saveAfterClick);\n    };\n    link.observe('click', saveAfterClick);\n  })($("patientConfigurationLink"));\n});
6183827161773043371	content	{{velocity}}\n#if ($isGuest)\n#set ($availableData = $services.query.xwql("from doc.object(PhenoTips.PatientClass) as pat, doc.object(PhenoTips.OwnerClass) as owner where doc.fullName <> 'PhenoTips.PatientTemplate' and (owner.owner = '' or owner.owner is null) and pat.identifier >= 0").addFilter('unique').count())\n#else\n#set ($availableData = $services.query.xwql("from doc.object(PhenoTips.PatientClass) as pat, doc.object(PhenoTips.OwnerClass) as owner where doc.fullName <> 'PhenoTips.PatientTemplate' and owner.owner = :o and pat.identifier >= 0").bindValue('o', $services.model.serialize($xcontext.userReference, 'default')).addFilter('unique').count())\n#end\n#if ($availableData > 0)\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($columns = ['external_id', 'doc.creator', 'doc.creationDate', '_actions'])\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column == 'external_id'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true  }))\n#end\n##\n##\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'resultPage'        : 'PhenoTips.LiveTableResults'\n})\n#set ($filterFrom = ", BaseObject ownerObj, StringProperty ownerProp, LongProperty iid")\n#if ($isGuest)\n  #set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value >= 0 and ownerObj.name = doc.fullName and ownerObj.className = 'PhenoTips.OwnerClass' and ownerProp.id.id = ownerObj.id and (ownerProp.value = '' or ownerProp.value is null)")\n#else\n  #set ($o = $escapetool.sql($services.model.serialize($xcontext.userReference, 'default')))\n  #set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value >= 0 and ownerObj.name = doc.fullName and ownerObj.className = 'PhenoTips.OwnerClass' and ownerProp.id.id = ownerObj.id and ownerProp.value = '${o}'")\n#end\n#set ($discard = $options.put('extraParams', "&filterFrom=${escapetool.url($filterFrom)}&filterWhere=${escapetool.url($filterWhere)}"))\n#if ("$!config.getProperty('livetableRows').value" != '' && $config.getProperty('livetableRows').value > 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('mypatients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}**$services.localization.render('phenotips.configurationMissing')**{{/warning}}\n#end\n#else\n{{info}}$services.localization.render('phenotips.homepage.myData.noDataMessage'){{/info}}\n#end\n{{/velocity}}
4384502243639797541	content	{{velocity}}\n#if (!$isGuest)\n#set ($groupsAndSelf = [$xcontext.userReference.toString()])\n#set ($groups = [])\n#set ($toProcess = $collectionstool.queue)\n#set ($discard = $toProcess.add($xcontext.userReference.toString()))\n#foreach ($iteration in [0..1000])\n  #if ($toProcess.empty)\n    #break\n  #end\n  #set ($item = $toProcess.poll())\n  #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n    #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n    #if (!$groupObj && $group.documentReference.name.endsWith(' Administrators'))\n      #set ($group = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)))\n      #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n    #end\n    #if ($groupObj && !$groups.contains($group.documentReference.toString()))\n      #set ($discard = $toProcess.add($group.documentReference.toString()))\n      #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n      #set ($discard = $groupsAndSelf.add($escapetool.sql($group.documentReference.toString())))\n    #end\n  #end\n#end\n#set ($groupsString = "('${stringtool.join($groups, ""','"")}')")\n#if ($groups.empty)\n  #set ($query = ", BaseObject accessObj, StringProperty accessProp, BaseObject patientObj, LongProperty iid where patientObj.name = doc.fullName and doc.fullName <> 'PhenoTips.PatientTemplate' and patientObj.className = 'PhenoTips.PatientClass' and iid.id.id = patientObj.id and iid.id.name = 'identifier' and iid.value >= 0 and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and accessObj.className = 'PhenoTips.CollaboratorClass' and accessProp.value in ('${stringtool.join($groupsAndSelf, ""','"")}') and not exists (from BaseObject ownerObj, StringProperty ownerProp where ownerObj.className = 'PhenoTips.OwnerClass' and ownerObj.name = doc.fullName and ownerProp.id.id = ownerObj.id and ownerProp.value = '$escapetool.sql($xcontext.userReference.toString())')")\n#else\n  #set ($query = ", BaseObject accessObj, StringProperty accessProp, BaseObject patientObj, LongProperty iid where patientObj.name = doc.fullName and doc.fullName <> 'PhenoTips.PatientTemplate' and patientObj.className = 'PhenoTips.PatientClass' and iid.id.id = patientObj.id and iid.id.name = 'identifier' and iid.value >= 0 and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and ((accessObj.className = 'PhenoTips.OwnerClass' and accessProp.value in ('${stringtool.join($groups, ""','"")}')) or (accessObj.className = 'PhenoTips.CollaboratorClass' and accessProp.value in ('${stringtool.join($groupsAndSelf, ""','"")}'))) and not exists (from BaseObject ownerObj, StringProperty ownerProp where ownerObj.className = 'PhenoTips.OwnerClass' and ownerObj.name = doc.fullName and ownerProp.id.id = ownerObj.id and ownerProp.value = '$escapetool.sql($xcontext.userReference.toString())')")\n#end\n#set ($availableData = $services.query.hql($query).count())\n#if ($availableData > 0)\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($columns = ['external_id', 'doc.creator', 'doc.creationDate', '_actions'])\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column == 'external_id'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true  }))\n#end\n##\n##\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'resultPage'        : 'PhenoTips.LiveTableResults'\n})\n#set ($filterFrom = ", BaseObject accessObj, StringProperty accessProp, LongProperty iid")\n#set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value >= 0 and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and (")\n#if (!$groups.isEmpty())\n  #set ($filterWhere = "${filterWhere}(accessObj.className = 'PhenoTips.OwnerClass' and accessProp.value in ('${stringtool.join($groups, ""','"")}')) or ")\n#end\n#set ($discard = $groups.add($services.model.serialize($xcontext.userReference, 'default')))\n#set ($filterWhere = "${filterWhere}(accessObj.className = 'PhenoTips.CollaboratorClass' and accessProp.value in ('${stringtool.join($groups, ""','"")}'))) and not exists (from BaseObject ownerObj, StringProperty ownerProp where ownerObj.className = 'PhenoTips.OwnerClass' and ownerObj.name = doc.fullName and ownerProp.id.id = ownerObj.id and ownerProp.value = '$escapetool.sql($xcontext.userReference.toString())')")\n#set ($discard = $options.put('extraParams', "&filterFrom=${escapetool.url($filterFrom)}&filterWhere=${escapetool.url($filterWhere)}"))\n#if ("$!config.getProperty('livetableRows').value" != '' && $config.getProperty('livetableRows').value > 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('sharedpatients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}**$services.localization.render('phenotips.configurationMissing')**{{/warning}}\n#end\n#else\n{{info}}$services.localization.render('phenotips.homepage.sharedData.noDataMessage'){{/info}}\n#end\n#else\n{{info}}$services.localization.render('phenotips.homepage.sharedData.noDataMessage'){{/info}}\n#end\n{{/velocity}}
3232495135464493548	content	{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n<div id="phenotips-mainmenu" class="layoutsubsection actionmenu">\n<strong id="xwikimenutitle" class="hidden">$services.localization.render('core.menu.main.title')</strong>\n<div class="rightmenu">\n#set ($workspaceManagerMainDocumentReference = $services.model.createDocumentReference($xcontext.mainWikiName, 'WorkspaceManager', 'WebHome'))\n#set ($isWorkspaceManagerAppInstalled = $xwiki.exists($workspaceManagerMainDocumentReference))\n#set ($isWorkspace = $services.workspace.isWorkspace($xcontext.database))\n#set ($isMainWikiUser = ($xcontext.mainWikiName == "$!{xcontext.userReference.wikiReference.name}"))\n##\n## User\n##\n#if (!$xcontext.action.startsWith('login'))\n  #if ($isGuest)\n    #set ($loginurl = $xwiki.getURL('XWiki.XWikiLogin', 'login', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!loginurl $!services.localization.render('login') 'tmLogin' 'fa fa-sign-in')\n  #else\n    #set ($logouturl = $xwiki.getURL('XWiki.XWikiLogout', 'logout', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!logouturl $!services.localization.render('logout') 'tmLogout' 'fa fa-sign-out')\n  #end\n#end\n#if ($isGuest && $xwiki.hasAccessLevel('register', 'XWiki.XWikiPreferences'))\n  #set ($regurl = $xwiki.getURL('XWiki.Register', 'register'))\n  #xwikitopmenuentry($!regurl $!services.localization.render('core.register') 'tmRegister' 'fa fa-plus-square')\n#end\n##\n##\n#if (!$isGuest)\n#if ($isSuperAdmin)\n  #xwikitopmenuentry('#' $!services.localization.render('superadmin') 'tmUser' 'fa fa-user')\n#else\n  #xwikitopmenuentry("$!xwiki.getURL($xcontext.user)" "$!xwiki.getUserName($xcontext.user, false)" 'tmUser' 'fa fa-user')\n#end\n#end\n</div>\n<div class="leftmenu">\n##\n## Administration\n##\n#set ($isAdminAppInstalled = $xwiki.exists('XWiki.AdminSheet'))\n#if ($isAdminAppInstalled && $hasSpaceAdmin)\n  #set ($adminspaceaction = $!xwiki.getURL("XWiki.XWikiPreferences", 'admin'))\n  #xwikitopmenuentry($adminspaceaction "$services.localization.render('admin')" 'tmAdminSpace' 'fa fa-cogs')\n#end\n</div>\n</div>\n{{/html}}{{/velocity}}
3232495135464493548	parameters	
2514130779551080996	content	{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n<div id="phenotips-globalTools" class="layoutsubsection actionmenu">\n  <div class="rightmenu">\n    <div class="topmenuentry search">\n      #if ($displayQuickSearch && ($xwiki.exists('Main.Search') || $xwiki.exists('Main.WebSearch')))\n        <div class="globalsearch"><input type="hidden" name="space" value="data"/>\n          <label for="headerglobalsearchinput"><span class="fa fa-search"> </span></label><input class="globalsearchinput" id="headerglobalsearchinput" type="text" name="text" placeholder="$services.localization.render('phenotips.globalHeader.search.placeholder')" size="20"/>\n        </div>\n      #end\n    </div>\n    <div class="topmenuentry all"><label for="browse-all-patients"><span class="fa fa-folder-open"> </span><a id="browse-all-patients" href="$xwiki.getURL('data.AllData')">$services.localization.render('phenotips.globalHeader.allData')</a></label></div>\n    #if ($hasCreatePage)\n      <div class="topmenuentry add">\n{{/html}}\n\n{{include reference="PhenoTips.CreatePatientRecordForm" /}}\n\n{{html clean=false}}</div>\n    #end\n  </div>\n  <div class="breadcrumbs leftmenu">\n    <a href="$!xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))" title="Home" rel="home"><span class="fa fa-home fa-lg"></span></a> &raquo;\n    <a href="$!xwiki.getURL("${doc.space}.WebHome")" >$!{doc.space}</a>\n    #if ($doc.name != 'WebHome')\n      &raquo; <a href="$doc.getURL()">$doc.displayTitle</a>\n    #end\n  </div>\n</div>\n{{/html}}{{/velocity}}
2514130779551080996	parameters	
8913594883756574192	content	
8913594883756574192	parameters	
-8415318328982618260	content	
-8415318328982618260	parameters	
8673821287332809284	groups	XWiki.XWikiAdminGroup,
8673821287332809284	users	
-5517713055023142395	codeToExecute	{{html clean="false"}}\n<form id="$formId" method="post" action="$formAction" class="xform half">\n{{/html}}\n\n{{include reference="XWiki.SearchSuggestConfig" context="new" /}}\n\n{{html clean=false}}\n  ## We add in a redirect field to prevent the user from being carried away when they save if they don't have JavaScript.\n  #set ($thisURL = $request.getRequestURL())\n  #if ($request.getQueryString() && $request.getQueryString().length() > 0)\n    #set ($thisURL = "${thisURL}?$request.getQueryString()")\n  #end\n  <fieldset>\n    <input type="hidden" id="${escapedAppName}_redirect" name="$redirectParameter" value="$escapetool.xml($thisURL)" />\n    <input type="hidden" name="form_token" value="$!services.csrf.token" />\n    <input type="hidden" name="comment" value="$escapetool.xml($services.localization.render('platform.search.suggestConfigSaveComment'))" />\n  </fieldset>\n  <div class="bottombuttons">\n    <p class="admin-buttons">\n      <span class="buttonwrapper">\n        <input class="button" type="submit" name="action_saveandcontinue" value="$services.localization.render('admin.save')" />\n      </span>\n    </p>\n  </div>\n</form>\n{{/html}}
-7986073282154439006	query	__INPUT__
2022573344469648541	query	__INPUT__
-1548827347686522172	query	__INPUT__
-6024107242670355211	code	var XWiki = (function (XWiki) {\n// Start XWiki augmentation.\nObject.extend(XWiki, {\n  userprofile : {\n    init : function() {\n      this.crtCategory = '';\n      this.tabsContainer = $('user-vertical-menu');\n      if (!this.tabsContainer) {\n        return;\n      }\n      this.tabsContainer.select('.category-tab').each(function (tabElement) {\n        tabElement.observe('click', function(event) {\n          Event.stop(event);\n          this.switchTab(tabElement.id, true);\n        }.bindAsEventListener(this));\n      }.bind(this));\n      this.tabsContainer.select('.category-tab.current').each(function (activeTab) {\n        this.updateCategoryFields(activeTab.id);\n        document.fire('xwiki:profile:switchedCategory', {'category' : activeTab.id});\n      }.bind(this));\n      this.handleCancelAction();\n\n      // History navigation through our pushed states.\n      window.addEventListener('popstate', function(event) {\n        if (event.state && event.state.category) {\n          this.switchTab('vertical-menu-' + event.state.category);\n        }\n      }.bindAsEventListener(this));\n      // Store the initial history state so we can go back.\n      history.replaceState({\n        category: window.location.search.toQueryParams().category || 'profile'\n      }, document.title, document.location.href);\n    },\n\n    switchTab : function(tab, pushHistory) {\n      var tabName = tab.substring(14); // 14 = len('vertical-menu-')\n      $("user-page-content").select("div.user-page-pane").each(function(pane){\n        pane.addClassName('hidden');\n      });\n      $(tabName + 'Pane').removeClassName('hidden');\n      $("user-vertical-menu").select("span.category-tab").each(function(tab){\n        tab.removeClassName('current');\n      });\n      $(tab).addClassName('current');\n      this.updateCategoryFields(tab);\n      if (pushHistory) {\n        this.updateURL(tabName);\n      }\n      document.fire('xwiki:profile:switchedCategory', {'category' : tab});\n    },\n\n    updateCategoryFields : function (category) {\n      category = category.substring(14); // 14 = len('vertical-menu-')\n      this.crtCategory = category;\n      this.updateField('xredirect', XWiki.currentDocument.getURL('view', 'category=' + category));\n      this.updateField('xcontinue', XWiki.currentDocument.getURL('edit', 'editor=inline&category=' + category));\n      this.updateField('category', category);\n    },\n\n    updateURL : function (category) {\n      if (history.pushState) {\n        var params = window.location.search.toQueryParams();\n        params.category = category;\n        newQueryString = Object.toQueryString(params);\n\n        var newURL = window.location.protocol + '//' + window.location.host + window.location.pathname + '?' + newQueryString;\n        window.history.pushState({category : category}, '', newURL);\n      }\n    },\n\n    updateField : function (fieldName, value) {\n      var element = $$('input[name=' + fieldName + ']');\n      if (element && element.size() > 0) {\n        element[0].value = value;\n      }\n    },\n\n    handleCancelAction : function() {\n      var elements = $$('form .buttons input[type=submit][name=action_cancel]');\n      if (elements && elements.size() > 0) {\n        var button = elements[0];\n        Event.stopObserving(button, 'click');\n        button.observe('click', function(event){\n          event.stop();\n          window.location = XWiki.currentDocument.getURL('view', 'category=' + this.crtCategory)\n        }.bindAsEventListener(this));\n      }\n    }\n  }\n});\n\nvar init = function() {\n  XWiki.userprofile.init();\n  return true;\n};\n(XWiki.domIsLoaded && init()) || document.observe('xwiki:dom:loaded', init);\ndocument.observe('lightbox:userprofile:loaded', init);\n// End XWiki augmentation.\nreturn XWiki;\n}(XWiki || {}));
-892880999687888266	code	#template("colorThemeInit.vm")\n#set($tabswidth = "130px")\n/* ----- User menu ----- */\n#user-menu-col{\n  float: left;\n  width: 13em;\n}\n\n#avatar p {\n  text-align: center;\n}\n\n#avatar img {\n  border: 1px solid $theme.borderColor;\n  border-radius: 5px 5px 5px 5px;\n  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.15);\n  margin: 0 auto;\n  padding: 0.3em;\n  width: 95%;\n}\n\n.profile-menu .category-tab:before{\n  float: left;\n  margin: 5px 0 0 5px;\n}\n\n.profile-menu .user-menu-profile:before{\n  content: url("$xwiki.getSkinFile('icons/silk/vcard.png')");\n}\n\n.profile-menu .user-menu-preferences:before{\n  content: url("$xwiki.getSkinFile('icons/silk/wrench.png')");\n}\n\n.profile-menu .user-menu-watchlist:before{\n  content: url("$xwiki.getSkinFile('icons/silk/star.png')");\n}\n\n.profile-menu .user-menu-network:before{\n  content: url("$xwiki.getSkinFile('icons/silk/group.png')");\n}\n\n.profile-menu .user-menu-dashboard:before{\n  content: url("$xwiki.getSkinFile('icons/silk/application_view_tile.png')");\n}\n\n.profile-menu .user-menu-wikis:before{\n  content: url("$xwiki.getSkinFile('icons/silk/chart_organisation.png')");\n}\n\n.skin-colibri .profile-menu .group.user-menu-title{\n  #set ($menuIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/user.png')${escapetool.S})")\n  #css3_backgroundIconAndLinearGradient($menuIcon, {\n    'to': 'bottom',\n    'colors': [\n      {'color':$theme.menuContentGradientColor,    'position': '0%'},\n      {'color':$theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })  \n}\n\n.profile-menu .group, .profile-menu .group:hover {\n  background-position: 7px 50%,top center;\n}\n\n.user-menu-title a:hover{\n  color: $theme.panelHeaderTextColor !important;\n}\n\n/* ----- Page content ---- */\n#user-page-content{\n  margin-left: 14em;\n}\n\n.column h1 {\n  font-weight:bold;\n  font-size:115%;\n  margin:10px 0;\n}\n\n.column h2 {\n  font-size: 110%;\n}\n\n/* For columns that don't adapt well to limited width. */\n.column.min-half {\n  min-width: 49.9%;\n}\n\ndiv.profile-section,\ndiv.userInfo, div.userRecentChanges, div.userPreferences, div.passwordManagement, div.watchlistManagement, div.watchlistRss, div.watchlistElements, \ndiv.userDashboard, #dashboardPane .dashboard {\n  margin: 5px 10px 10px;\n  padding: 5px 10px 10px;\n}\n\n/* ----- Profile ----- */\ntd.recentChangesLeft, .recentChangesMoreActions {\n  display:none;\n}\n\ntd.recentChangesRight {\n  padding: 0 !important;\n}\n\ndiv.profile-section,\ndiv.userInfo, div.userRecentChanges, div.userPreferences, div.passwordManagement, div.watchlistManagement, div.watchlistRss, div.watchlistElements, \ndiv.userDashboard, #dashboardPane .dashboard {\n  margin: 5px 10px 10px;\n  padding: 5px 10px 10px;\n}\n\ndiv.highlighted-profile-section,\ndiv.userInfo, div.userPreferences, div.watchlistManagement, div.userDashboard {\n  background-color: $theme.backgroundSecondaryColor;\n}\n\n.userInfo {\n  -ms-word-break: break-all; /* IE8, IE9 */\n}\n\n.userInfo a {\n  word-wrap: break-word;\n}\n\n.userInfo img {\n  max-width: 100%;\n}\n\ndiv.userInfo input[type="text"], div.userInfo input[type="password"], div.userInfo textarea, div.userInfo select, div.userPreferences select {\n  width: 100%;\n}\n\ndiv.editProfileCategory {\n  float:right;\n}\n\ndiv.editProfileCategory a {\n  display:block;\n  width: 16px;\n  height: 16px;\n  background: url("$xwiki.getSkinFile('icons/silk/pencil.png')") no-repeat;\n}\n\n/* Watchlist */\n\n#watchlistRssLink {\n  background: url("$xwiki.getSkinFile('icons/xwiki/rss-medium.png')") no-repeat;\n  padding-left: 18px;\n  font-weight: bold;\n}\n\nspan#avatarUpload {\n  display:block;\n  width:$tabswidth;\n  position:absolute;\n  font-size: 10px;\n  font-weight: bold;\n  background-color: white;\n}\n\n\n\n## --------------------------------------\n## Network sections style\n#networkPane .following ul {\n  list-style-type: none;\n  margin: 0;\n  padding: 0;\n}\n#networkPane .following li {\n  padding: 2px 20px 2px 2px;\n}\n#networkPane .following li:hover {\n  background-color: $theme.highlightColor;\n}\n#networkPane .following img {\n  float: left;\n  margin-right: 5px;\n}\n#networkPane .following .user-info {\n  float: left;\n}\n#networkPane .following .user-id {\n  font-size: .8em;\n  font-weight: 900;\n}\n#networkPane .following .unfollow {\n  float: right;\n  margin-right: -16px;\n  padding: 0;\n}\n## --------------------------------------\n## Picker style\n.attachment-picker {\n  position: relative;\n  margin: auto;\n  width: 100%;\n}\n.attachment-picker p {\n  padding: 0;\n  margin: 0;\n}\n\n.attachment-picker .picture {\n  z-index: -1;\n}\n.attachment-picker .buttonwrapper {\n  margin: 0;\n}\n\n.attachment-picker-start {\n  background: url("$xwiki.getSkinFile('icons/silk/picture_edit.png')") no-repeat center center $theme.pageContentBackgroundColor !important;\n  border: 0 none !important;\n  border-bottom-left-radius: 8px;\n  height: 18px;\n  position: absolute;\n  right: 0;\n  text-align: left;\n  text-indent: -9999px;\n  top: 1px;\n  width: 18px !important;\n  z-index: 1;\n}\n\n## --------------------------------------\n## Dashboard\n/* prevent the clearfloats between buttons & dashboard gadgets from clearing the tabs as well, only the buttons float */\n.dashboard .clearfloats, \n.dashboard .clearfloats:after, .dashboard .clearfloats:before {\n  clear: right;\n}
8761304744831463011	code	#template("colorThemeInit.vm")\n\n.doc-tools {\n  float: right;\n  font-size: 1.5em;\n}\n\n.doc-tools a.doc-tool.edit {\n  margin: -1.2em -0.3em 0 0 !important;\n  padding: 0.1em 0 0 0.3em !important;\n}\n.group-logo {\n  float: left;\n  max-width: 30%;\n  margin: 0 10px 10px 0;\n}\n.vertical-menu a {\n  color: $theme.textColor !important;\n  text-transform: uppercase;\n  padding-left: .5em;\n}\n.vertical-menu i {\n  font-size: 1.2em;\n}\n.menu-section {\n  margin-left: 16em;\n}\n.menu-section h2 {\n  margin-top: 0;\n}\n.menu-section input[name="action_save"] {\n    background-image: none !important;\n}
-2463437426451842842	code	document.observe("xwiki:dom:loaded", function(event) {\n   var newPatientForm = $('patient-creation-form');\n   if (!newPatientForm || !newPatientForm.down('input[name="sheet"]')) {\n     return;\n   }\n   var sheetElt = newPatientForm.down('input[name="sheet"]');\n   var sheet = sheetElt.value;\n   var documentReference = XWiki.resource.get(sheet, XWiki.EntityType.DOCUMENT);\n\n   var templateSelectionContainer = new Element('div');\n   var templateSelectionForm = new Element('form', {'action' : newPatientForm.action, 'class' : 'xform'});\n   var formDataWrapper = new Element('div');\n   templateSelectionForm.insert(formDataWrapper);\n   newPatientForm.select('input[type="hidden"]').each(function(item) {\n     if (item.name != 'sheet') {\n         formDataWrapper.insert(new Element('input', {type : item.type, name: item.name, value: item.value}));\n     }\n   });\n   formDataWrapper.insert(templateSelectionContainer);\n   var submitButton = new Element('input', {type : 'submit', value : "$services.localization.render('phenotips.studyBindingClass.createButton')", 'class' : 'button'});\n   formDataWrapper.insert(submitButton);\n   var cancelButton = new Element('input', {type : 'button', value : "$services.localization.render('phenotips.studyBindingClass.cancelButton')", 'class' : 'button secondary'});\n   formDataWrapper.insert(' ').insert(cancelButton);\n   var modalBox = new PhenoTips.widgets.ModalPopup(templateSelectionForm, false, {'title': "$services.localization.render('phenotips.studyBindingClass.popupTitle')", 'verticalPosition': 'top', 'removeOnClose': false});\n   cancelButton.observe('click', function(event) {\n     modalBox.closeDialog();\n   });\n\n   newPatientForm.observe('submit', function (event) {\n     event.stop();\n     new Ajax.Request(new XWiki.Document(documentReference.name, documentReference.space).getURL('get'), {\n        onCreate : function() {\n          templateSelectionContainer.update('<img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')"/>');\n          modalBox.showDialog();\n        },\n        onSuccess : function(response) {\n           templateSelectionContainer.update(response.responseText);\n        },\n        onFailure : function(response) {\n          var failureReason = response.responseText || response.statusText;\n          if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n             failureReason = "$services.localization.render('phenotips.studyBindingClass.failure.noResponse')";\n          }\n          _this._messages.update(new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.studyBindingClass.failureMessage')" + ' ' + failureReason));\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        }\n     });\n   });\n});
8770311400200566798	code	document.observe("xwiki:dom:loaded", function(event) {\n   var studyAssignmentTool = $('study-assignment-config');\n   if (!studyAssignmentTool) {\n     return;\n   }\n   var templateSelectionContainer = new Element('div');\n   var templateSelectionForm = new Element('form', {'action' : studyAssignmentTool.down('input').value, 'class' : 'xform', 'method': 'post'});\n   var formDataWrapper = new Element('div');\n   templateSelectionForm.insert(formDataWrapper);\n   formDataWrapper.insert(templateSelectionContainer);\n   var submitButton = new Element('input', {type : 'submit', value : "$services.localization.render('phenotips.studyBindingClass.saveButton')", 'class' : 'button'});\n   formDataWrapper.insert(submitButton);\n   var cancelButton = new Element('input', {type : 'button', value : "$services.localization.render('phenotips.studyBindingClass.cancelButton')", 'class' : 'button secondary'});\n   formDataWrapper.insert(' ').insert(cancelButton);\n   var modalBox = new PhenoTips.widgets.ModalPopup(templateSelectionForm, false, {'title': "$services.localization.render('phenotips.studyBindingClass.popupTitle')", 'verticalPosition': 'top', 'removeOnClose': false});\n   cancelButton.observe('click', function(event) {\n     modalBox.closeDialog();\n   });\n   submitButton.observe('click', function(event) {\n     if (studyAssignmentTool.hasClassName('edit')) {\n       //if in edit mode, save form first, then submit\n       event.stop();\n       var form = event.findElement('form');\n       document.fire('xwiki:actions:save', {'continue' : true, 'form' : studyAssignmentTool.up('form')});\n       document.observe('xwiki:document:saved', function () {\n          form.submit();\n       });\n     }\n   });\n\n   studyAssignmentTool.observe('click', function (event) {\n     event.stop();\n     new Ajax.Request(studyAssignmentTool.href, {\n        onCreate : function() {\n          templateSelectionContainer.update('<img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')"/>');\n          modalBox.showDialog();\n        },\n        onSuccess : function(response) {\n           templateSelectionContainer.update(response.responseText);\n        },\n        onFailure : function(response) {\n          var failureReason = response.responseText || response.statusText;\n          if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n             failureReason = "$services.localization.render('phenotips.studyBindingClass.failure.noResponse')";\n          }\n          _this._messages.update(new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.studyBindingClass.failureMessage')" + ' ' + failureReason));\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        }\n     });\n   });\n});
4778230998437866984	code	.xform .form-template-option {\n  margin: 1em 0;\n}\n.xform .form-template-option label input[type="radio"]  {\n  vertical-align: middle;\n}\n.study-assignment-config {\n  width: 48%;\n  float: left;\n}\n.study-assignment-config a.button {\n  cursor: text;\n  font-size: 1em;\n  font-weight: normal;\n  text-transform: none;\n}\n\n
-5114398573335484231	content	{{velocity}}\n#if ($xcontext.action == 'export')\n  #break\n#end\n#set ($sheetName = 'PhenoTips.StudyBindingSheet')\n#set ($className = 'PhenoTips.StudyBindingClass')\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use($className)##\n$xwiki.ssx.use($className)##\n#set ($studiesVisibilityPreference = $xwiki.getDocument('XWiki.XWikiPreferences').getObject('XWiki.ConfigurationClass', 'property', 'study-visibility-option', false).getProperty('value').value)\n#if ($studiesVisibilityPreference == 'unrestricted')\n  #set ($studyClassName = 'PhenoTips.StudyClass')\n  #set ($studyTemplateName = 'PhenoTips.StudyTemplate')\n  #set ($query = $services.query.xwql("from doc.object(${studyClassName}) as std where doc.fullName <> :template").bindValue('template', $studyTemplateName))\n  #set ($studyDocs = $xwiki.wrapDocs($query.execute()))\n  #set ($studies = $collectionstool.sortedSet)\n  #foreach ($study in $studyDocs)\n    #set ($discard = $studies.add($services.model.serialize($study.documentReference, 'default')))\n  #end\n#else\n  #set ($toProcess = $collectionstool.queue)\n  #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n  #set ($groups = [])\n  #set ($studies = $collectionstool.sortedSet)\n  #foreach ($iteration in [0..1000])\n    #if ($toProcess.empty)\n      #break\n    #end\n    #set ($item = $toProcess.poll())\n    #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n      #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #if (!$groupObj && $group.documentReference.name.endsWith(' Administrators'))\n        #set ($groupObj = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)).getObject('PhenoTips.PhenoTipsGroupClass'))\n      #end\n      #if ($groupObj && !$groups.contains($group.documentReference.toString()))\n        #set ($discard = $toProcess.add($group.documentReference.toString()))\n        #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n        #if ($groupObj.getProperty('studies').value.isEmpty() == false)\n          #set ($discard = $studies.addAll($groupObj.getProperty('studies').value))\n        #end\n      #end\n    #end\n  #end\n#end\n#if ($studies.size() > 0)\n  #set ($studyConfig = $doc.getObject($className, true))\n  #set ($value = $studyConfig.getProperty('studyReference').value)\n  #if ("$!value" == '')\n    #set($displayedValue = '(% class="hint" %)None(%%)')\n  #else\n    #set ($s = $xwiki.getDocument($value))\n    #set ($config = $s.getObject('PhenoTips.StudyClass'))\n    #set ($configTitle = '')\n    #if ("$!{s.plainTitle}" != '')\n      #set ($configTitle = "$s.plainTitle")\n    #else\n      #set ($configTitle = "${s.name}")\n    #end\n    #set($displayedValue = "(% class='buttonwrapper' %)[[{{icon name='copy' /}} ${services.rendering.escape($configTitle, $doc.syntax)}>>${services.rendering.escape($value, $doc.syntax)}||rel='__blank' class='button secondary']]")\n  #end\n  #set ($faction = $doc.getURL('save', "form_token=${services.csrf.token}&objectPolicy=updateOrCreate&xredirect=$escapetool.url($doc.getURL($xcontext.action))"))\n(% class="study-assignment-config" %)(((Study: $displayedValue (% class="buttonwrapper" %)[[ {{icon name="edit" title="$services.localization.render('phenotips.studyBindingClass.changeStudyButton.title')" /}} {{html clean=false}}<input type="hidden" name="faction" value="$faction"/>{{/html}}>>path:$doc.getURL('get', "sheet=$!{sheetName}&faction=$!{escapetool.url($faction)}")||class="button" rel="__blank" id="study-assignment-config" class="$xcontext.action"]])))\n#end\n{{/velocity}}
-5114398573335484231	parameters	
-2450571279076522953	codeToExecute	#set ($errorMessage = '')\n#if ($request.doCreate == '1' && $services.csrf.isTokenValid($request.form_token))\n  #if ("$!{request.name.trim()}" == '')\n    #set ($errorMessage = "$services.localization.render('phenotips.studyClass.errorMessage.blankName')")\n  #else\n    #set ($targetDocument = $services.model.createDocumentReference($xcontext.database, $request.space, $request.name.trim()))\n    #if ($xwiki.exists($targetDocument))\n      #set ($errorMessage = "$services.localization.render('phenotips.studyClass.errorMessage.nameExists', [${request.name}])")\n    #else\n      $response.sendRedirect($xwiki.getURL($targetDocument, 'edit', "editor=inline&template=$escapetool.url($!{request.classTemplate})&title=$!escapetool.url($request.name)&parent=$!escapetool.url($request.parent)"))\n      #break\n    #end\n  #end\n#end\n#if ($errorMessage != '')\n{{error}}$errorMessage{{/error}}\n\n#end\n#set ($studyClassName = 'PhenoTips.StudyClass')\n#set ($studyTemplateName = 'PhenoTips.StudyTemplate')\n#set ($studiesHome = 'Studies.WebHome')\n\n{{html}}\n<form id="study-creation-form" class="xformInline" action="$doc.getURL($xcontext.action, $request.queryString)" method="post"><div>\n  <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n  <input type="hidden" name="doCreate" value="1" />\n  <input type="hidden" name="classTemplate" value="$studyTemplateName" />\n  <input type="hidden" name="space" value="$xwiki.getDocument(${studiesHome}).space" />\n  <input type="hidden" name="parent" value="${studiesHome}" />\n  <label><span class="fa fa-plus-circle"> </span>$services.localization.render('phenotips.studyClass.newStudy.label') <input type="text" name="name" placeholder="$services.localization.render('phenotips.studyClass.newStudy.placeHolder')" value="" size="30"/></label> <input type="submit" class="button" value="$services.localization.render('phenotips.studyClass.newStudy.submit')"/>\n</div></form>\n{{/html}}\n\n{{include reference="Studies.WebHome" /}}
1638124222887867495	codeToExecute	{{html clean="false"}}\n#set ($preferenceObject = $doc.getObject('XWiki.ConfigurationClass', 'property', 'study-visibility-option', false))\n#if (!$preferenceObject)\n  #set ($preferenceObject = $doc.newObject('XWiki.ConfigurationClass'))\n  #set ($discard = $preferenceObject.set('property', 'study-visibility-option'))\n  $doc.save('Added study visibility configuration', true)\n#end\n#set ($prefix = "XWiki.ConfigurationClass_${preferenceObject.number}_value")\n<form action="$doc.getURL('save')" method="post" class="xform half" id="study-visibility-option">\n<fieldset>\n<dl>\n  <dt>${services.localization.render('phenotips.studies.visibility')}</dt>\n#foreach ($option in ['unrestricted', 'group-subscription'])\n  <dd><label for="${prefix}_${option}"><input type="radio" name="${prefix}" value="${option}" id="${prefix}_${option}"#if ($option == $preferenceObject.getProperty('value').value) checked="checked"#end /> $services.localization.render("phenotips.studies.visibility.${option}")</label></dd>\n#end\n</dl>\n<input type="hidden" id="XWiki.XWikiPreferences_redirect" name="xredirect" value="$escapetool.xml($doc.getURL($xcontext.action, $request.queryString))" />\n<input type="hidden" name="form_token" value="$!{escapetool.xml($services.csrf.token)}" />\n</fieldset>\n<div class="bottombuttons"><p class="admin-buttons">\n<span class="buttonwrapper"><input class="button" type="submit" name="action_saveandcontinue" value="Save" /></span>\n</p></div>\n</form>\n{{/html}}
847606304787817944	code	document.observe('xwiki:dom:loaded', function() {\n  var studiesTable = $('studies-directory');\n  if (!studiesTable) {\n    return false;\n  }\n  studiesTable.select('tr .tools a.tool.delete').invoke('observe', 'click', function(clickEvent) {\n    clickEvent.stop();\n    var item = clickEvent.findElement('a');\n    item.blur();\n    if (item.disabled) {\n      // Do nothing if the button was already clicked and it's waiting for a response from the server.\n      return;\n    } else {\n      var url = item.href + "?confirm=1&form_token=" + $$('meta[name=form_token]')[0].content + (Prototype.Browser.Opera ? "" : "&ajax=1");\n      new XWiki.widgets.ConfirmedAjaxRequest(\n        /* Ajax request URL */\n        url,\n        /* Ajax request parameters */\n        {\n          onCreate : function() {\n            // Disable the button, to avoid a cascade of clicks from impatient users\n            item.disabled = true;\n          },\n          onSuccess : function() {\n            // Go to space WebHome\n            // window.location = new XWiki.Document('WebHome', XWiki.Document.currentSpace).getURL('view');\n            item.up('tr').remove();\n          },\n          onFailure : function() {\n            // Better luck next time!\n            item.disabled = false;\n          }\n        },\n        /* Interaction parameters */\n        {\n          confirmationText: "$services.localization.render('phenotips.studyClass.deleteStudy.confirmation')"\n        }\n      );\n    }\n  });\n\n  var creationForm = $('study-creation-form');\n  if (creationForm) {\n    creationForm.observe('submit', function(event) {\n      var iName = creationForm.down('input[name="name"]');\n      if (iName.value.strip() == '') {\n        event.stop();\n        iName.focus();\n      }\n    });\n  }\n});
-3564872831236639289	code	#template("colorThemeInit.vm")\n\n#studies-directory td {\n  border: 0 none;\n  border-bottom: 2px solid $theme.borderColor;\n  padding: 1em;\n  vertical-align: top;\n}\n#studies-directory tr:last-child td {\n  border-bottom: 0 none;\n}\n\n#studies-directory .members, #studies-directory .patients {\n  font-size: .8em;\n  font-style: italic;\n  opacity: .5;\n}\n\n#studies-directory td.desc > div {\n  background-color: $theme.backgroundSecondaryColor;\n  border-radius: 0 4px 4px;\n  padding: 0.5em 1em;\n  position: relative;\n}\n#studies-directory td.desc > div:before {\n  content: "";\n  border-top: 0 none;\n  border-right: 16px solid $theme.backgroundSecondaryColor;\n  border-bottom: 16px solid transparent;\n  border-left: 0 none;\n  position: absolute;\n  top: 0;\n  left: -16px;\n}\n\n#study-creation-form input {\n  width: auto;\n}\n#studies-tools {\n  text-align: right;\n}\n#studies-tools .read-more {\n  font-size: .9;\n}
-8576709785714399408	code	{{velocity output="false"}}\n#set ($studyClassName = 'PhenoTips.StudyClass')\n#set ($studyTemplateName = 'PhenoTips.StudyTemplate')\n#set ($studiesHome = 'Studies.WebHome')\n#set ($orders = {\n  'name' : 'asc',\n  'members' : 'desc',\n  'cases' : 'desc'\n})\n#set ($defaultOrder = 'name')\n#set ($order = "$!xcontext.macro.params.orderby")\n#if (!$orders.get($order))\n  #set($order = $defaultOrder)\n#end\n\n#set ($query = $services.query.xwql("from doc.object(${studyClassName}) as std where doc.fullName <> :template").bindValue('template', $studyTemplateName))\n#set ($studyDocs = $xwiki.wrapDocs($query.execute()))\n#set ($studyData = [])\n\n#foreach ($studyDoc in $studyDocs)\n  #set ($studyObj = $studyDoc.getObject($studyClassName))\n  #set ($filterby = "$!{xcontext.macro.params.filterby}")\n  #set ($filterbyprop = $studyObj.getProperty($filterby))\n  #set ($filterval = "$!{xcontext.macro.params.filterval}")\n  #set ($isFilterActive = ($filterby != '' && ("$!filterbyprop" != '' || $filterby == 'group')))\n  #if ($filterby == '' || "$!filterbyprop" != '' && ($filterbyprop.value == $filterval || $filterbyprop.value.contains($filterval)) || $filterby == 'group' && $!xwiki.getDocument($filterval).getObject('PhenoTips.PhenoTipsGroupClass').getProperty('studies').value.contains($services.model.serialize($studyDoc.documentReference, 'local')))\n    #set ($discard = $studyData.add({\n      'doc' : $studyDoc,\n      'obj' : $studyObj,\n      'doc.fullName' : $studyDoc.fullName,\n      'name' : $studyDoc.title,\n      'groups' : $services.query.xwql('from doc.object(PhenoTips.PhenoTipsGroupClass) as g where :study member of g.studies').bindValue('study', $services.model.serialize($studyDoc.documentReference, 'local')).count(),\n      'cases' : $services.query.xwql('from doc.object(PhenoTips.PatientClass) as p, doc.object(PhenoTips.StudyBindingClass) as o where o.studyReference = :study').bindValue('study', $services.model.serialize($studyDoc.documentReference, 'default')).count()\n    }))\n  #end\n#end\n#set ($studySortedData = $sorttool.sort($studyData, ["${order}:${orders.get($order)}"]))\n\n#set ($max = $mathtool.toInteger($xcontext.macro.params.max))\n#if (!($max && $max > 0 && $max < $studySortedData.size()))\n  #set ($max = $studySortedData.size())\n#end\n\n$xwiki.ssx.use($studyClassName, {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})\n$xwiki.jsx.use($studyClassName)\n{{/velocity}}\n\n{{velocity}}\n(% id="studies-directory" %)\n#if ($studySortedData.size() == 0)\n#if ($isFilterActive)\n\n{{info}}$services.localization.render('phenotips.studyClass.filter.noMatches'){{/info}}\n\n#else\n\n{{info}}$services.localization.render('phenotips.studyClass.noneDefined')#if($hasAdmin && $doc.documentReference.name != 'XWikiPreferences') [[$services.localization.render('phenotips.studyClass.manage')>>path:${xwiki.getDocument('XWiki.XWikiPreferences').getURL('admin', 'editor=globaladmin&section=studies')}]]#end{{/info}}\n\n#end\n#else\n#foreach ($studyDatum in $studySortedData)#if ($foreach.index < $max)\n|(% class="name" %) [[${services.rendering.escape($studyDatum.get('name'), $doc.syntax)}>>${services.rendering.escape($studyDatum.get('doc.fullName'), $doc.syntax)}]] \\\\(% class="members"%)$studyDatum.get('groups') group#if($studyDatum.get('groups') != 1)s#end(%%) \\\\(% class="patients"%)$studyDatum.get('cases') case#if($studyDatum.get('cases') != 1)s#end(%%)##\n#if ($xcontext.macro.params.fullinfo == 'true')|#if ("$!{studyDatum.get('obj').getProperty('description').value.trim()}" != '')(% class="desc" %) ((($studyDatum.get('doc').display('description'))))#end#end\n#if ($xcontext.macro.params.tools == 'true' && $hasAdmin)|(% class="tools" %) (((##\n  [[{{icon name="pencil" title="$services.localization.render('phenotips.studyClass.edit')"/}}>>path:$xwiki.getURL($studyDatum.get('doc.fullName'), 'edit')||class="tool edit"]]##\n  [[{{icon name="times" title="$services.localization.render('phenotips.studyClass.delete')"/}}>>path:$xwiki.getURL($studyDatum.get('doc.fullName'), 'delete')||class="tool delete"]]##\n)))#end\\\\\n#end#end\n#end\n{{/velocity}}
-8576709785714399408	contentDescription	
-8576709785714399408	description	Lists PhenoTips studies
-895078038262117406	description	Whether to display the group description (true|false; defaults to false)
-7527448072712228779	description	Whether to display the study management tools (edit, delete) for administrators (true|false; defaults to false)
5344695841514206043	description	How to sort the studies. Supported values: name, groups. Default: name.
-2240667059755516459	description	How many entries to display for a list not displayed in full. Values that are not between 1 and the size of the list are interpreted as "display the entire list".
6469893864138995544	description	
3116682217299422574	description	
-5700687243988839035	groups	XWiki.XWikiAdminGroup
4147277654376925842	content	{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n<div id="phenotips-mainmenu" class="layoutsubsection actionmenu">\n<strong id="xwikimenutitle" class="hidden">$services.localization.render('core.menu.main.title')</strong>\n<div class="rightmenu">\n#set ($workspaceManagerMainDocumentReference = $services.model.createDocumentReference($xcontext.mainWikiName, 'WorkspaceManager', 'WebHome'))\n#set ($isWorkspaceManagerAppInstalled = $xwiki.exists($workspaceManagerMainDocumentReference))\n#set ($isWorkspace = $services.workspace.isWorkspace($xcontext.database))\n#set ($isMainWikiUser = ($xcontext.mainWikiName == "$!{xcontext.userReference.wikiReference.name}"))\n##\n## User\n##\n#if (!$xcontext.action.startsWith('login'))\n  #if ($isGuest)\n    #set ($loginurl = $xwiki.getURL('XWiki.XWikiLogin', 'login', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!loginurl $!services.localization.render('login') 'tmLogin' 'fa fa-sign-in')\n  #else\n    #set ($logouturl = $xwiki.getURL('XWiki.XWikiLogout', 'logout', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!logouturl $!services.localization.render('logout') 'tmLogout' 'fa fa-sign-out')\n  #end\n#end\n#if ($isGuest && $xwiki.hasAccessLevel('register', 'XWiki.XWikiPreferences'))\n  #set ($regurl = $xwiki.getURL('XWiki.Register', 'register'))\n  #xwikitopmenuentry($!regurl $!services.localization.render('core.register') 'tmRegister' 'fa fa-plus-square')\n#end\n##\n##\n#if (!$isGuest)\n#if ($isSuperAdmin)\n  #xwikitopmenuentry('#' $!services.localization.render('superadmin') 'tmUser' 'fa fa-user')\n#else\n  #xwikitopmenuentry("$!xwiki.getURL($xcontext.user)" "$!xwiki.getUserName($xcontext.user, false)" 'tmUser' 'fa fa-user')\n#end\n#end\n</div>\n<div class="leftmenu">\n##\n## Administration\n##\n#set ($isAdminAppInstalled = $xwiki.exists('XWiki.AdminSheet'))\n#if ($isAdminAppInstalled && $hasSpaceAdmin)\n  #set ($adminspaceaction = $!xwiki.getURL("XWiki.XWikiPreferences", 'admin'))\n  #xwikitopmenuentry($adminspaceaction "$services.localization.render('admin')" 'tmAdminSpace' 'fa fa-cogs')\n#end\n</div>\n</div>\n{{/html}}{{/velocity}}
4147277654376925842	parameters	
-59026427093726044	content	{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n<div id="phenotips-globalTools" class="layoutsubsection actionmenu">\n  <div class="rightmenu">\n    <div class="topmenuentry search">\n      #if ($displayQuickSearch && ($xwiki.exists('Main.Search') || $xwiki.exists('Main.WebSearch')))\n        <div class="globalsearch"><input type="hidden" name="space" value="data"/>\n          <label for="headerglobalsearchinput"><span class="fa fa-search"> </span></label><input class="globalsearchinput" id="headerglobalsearchinput" type="text" name="text" placeholder="$services.localization.render('phenotips.globalHeader.search.placeholder')" size="20"/>\n        </div>\n      #end\n    </div>\n    <div class="topmenuentry all"><label for="browse-all-patients"><span class="fa fa-folder-open"> </span><a id="browse-all-patients" href="$xwiki.getURL('data.AllData')">$services.localization.render('phenotips.globalHeader.allData')</a></label></div>\n    #if ($hasCreatePage)\n      <div class="topmenuentry add">\n{{/html}}\n\n{{include reference="PhenoTips.CreatePatientRecordForm" /}}\n\n{{html clean=false}}</div>\n    #end\n  </div>\n  <div class="breadcrumbs leftmenu">\n    <a href="$!xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))" title="Home" rel="home"><span class="fa fa-home fa-lg"></span></a> &raquo;\n    <a href="$!xwiki.getURL("${doc.space}.WebHome")" >$!{doc.space}</a>\n    #if ($doc.name != 'WebHome')\n      &raquo; <a href="$doc.getURL()">$doc.displayTitle</a>\n    #end\n  </div>\n</div>\n{{/html}}{{/velocity}}
-59026427093726044	parameters	
5080734207733223018	content	
5080734207733223018	parameters	
-2682039314733007197	content	
-2682039314733007197	parameters	
-1509591837336391582	groups	XWiki.XWikiAdminGroup
-3400690524879772823	content	{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n<div id="phenotips-mainmenu" class="layoutsubsection actionmenu">\n<strong id="xwikimenutitle" class="hidden">$services.localization.render('core.menu.main.title')</strong>\n<div class="rightmenu">\n#set ($workspaceManagerMainDocumentReference = $services.model.createDocumentReference($xcontext.mainWikiName, 'WorkspaceManager', 'WebHome'))\n#set ($isWorkspaceManagerAppInstalled = $xwiki.exists($workspaceManagerMainDocumentReference))\n#set ($isWorkspace = $services.workspace.isWorkspace($xcontext.database))\n#set ($isMainWikiUser = ($xcontext.mainWikiName == "$!{xcontext.userReference.wikiReference.name}"))\n##\n## User\n##\n#if (!$xcontext.action.startsWith('login'))\n  #if ($isGuest)\n    #set ($loginurl = $xwiki.getURL('XWiki.XWikiLogin', 'login', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!loginurl $!services.localization.render('login') 'tmLogin' 'fa fa-sign-in')\n  #else\n    #set ($logouturl = $xwiki.getURL('XWiki.XWikiLogout', 'logout', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!logouturl $!services.localization.render('logout') 'tmLogout' 'fa fa-sign-out')\n  #end\n#end\n#if ($isGuest && $xwiki.hasAccessLevel('register', 'XWiki.XWikiPreferences'))\n  #set ($regurl = $xwiki.getURL('XWiki.Register', 'register'))\n  #xwikitopmenuentry($!regurl $!services.localization.render('core.register') 'tmRegister' 'fa fa-plus-square')\n#end\n##\n##\n#if (!$isGuest)\n#if ($isSuperAdmin)\n  #xwikitopmenuentry('#' $!services.localization.render('superadmin') 'tmUser' 'fa fa-user')\n#else\n  #xwikitopmenuentry("$!xwiki.getURL($xcontext.user)" "$!xwiki.getUserName($xcontext.user, false)" 'tmUser' 'fa fa-user')\n#end\n#end\n</div>\n<div class="leftmenu">\n##\n## Administration\n##\n#set ($isAdminAppInstalled = $xwiki.exists('XWiki.AdminSheet'))\n#if ($isAdminAppInstalled && $hasSpaceAdmin)\n  #set ($adminspaceaction = $!xwiki.getURL("XWiki.XWikiPreferences", 'admin'))\n  #xwikitopmenuentry($adminspaceaction "$services.localization.render('admin')" 'tmAdminSpace' 'fa fa-cogs')\n#end\n</div>\n</div>\n{{/html}}{{/velocity}}
-3400690524879772823	parameters	
-5528378045460294812	content	{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n<div id="phenotips-globalTools" class="layoutsubsection actionmenu">\n  <div class="rightmenu">\n    <div class="topmenuentry search">\n      #if ($displayQuickSearch && ($xwiki.exists('Main.Search') || $xwiki.exists('Main.WebSearch')))\n        <div class="globalsearch"><input type="hidden" name="space" value="data"/>\n          <label for="headerglobalsearchinput"><span class="fa fa-search"> </span></label><input class="globalsearchinput" id="headerglobalsearchinput" type="text" name="text" placeholder="$services.localization.render('phenotips.globalHeader.search.placeholder')" size="20"/>\n        </div>\n      #end\n    </div>\n    <div class="topmenuentry all"><label for="browse-all-patients"><span class="fa fa-folder-open"> </span><a id="browse-all-patients" href="$xwiki.getURL('data.AllData')">$services.localization.render('phenotips.globalHeader.allData')</a></label></div>\n    #if ($hasCreatePage)\n      <div class="topmenuentry add">\n{{/html}}\n\n{{include reference="PhenoTips.CreatePatientRecordForm" /}}\n\n{{html clean=false}}</div>\n    #end\n  </div>\n  <div class="breadcrumbs leftmenu">\n    <a href="$!xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))" title="Home" rel="home"><span class="fa fa-home fa-lg"></span></a> &raquo;\n    <a href="$!xwiki.getURL("${doc.space}.WebHome")" >$!{doc.space}</a>\n    #if ($doc.name != 'WebHome')\n      &raquo; <a href="$doc.getURL()">$doc.displayTitle</a>\n    #end\n  </div>\n</div>\n{{/html}}{{/velocity}}
-5528378045460294812	parameters	
913415081380430284	content	
913415081380430284	parameters	
-9138958964511871671	content	
-9138958964511871671	parameters	
2073568392999882834	codeToExecute	#set ($errorMessage = '')\n#if ($request.doCreate == '1' && $services.csrf.isTokenValid($request.form_token))\n  #if ("$!{request.name.trim()}" == '')\n    #set ($errorMessage = $services.localization.render('phenotips.groups.create.noName'))\n  #else\n    #set ($targetDocument = $services.model.createDocumentReference($xcontext.database, $request.space, $request.name.trim()))\n    #if ($xwiki.exists($targetDocument))\n      #set ($errorMessage = " $services.localization.render('phenotips.groups.create.nameExists', [${request.name}])")\n    #else\n      $response.sendRedirect($xwiki.getURL($targetDocument, 'edit', "editor=inline&template=$escapetool.url($!{request.classTemplate})&title=$!escapetool.url($request.name)&parent=$!escapetool.url($request.parent)"))\n      #break\n    #end\n  #end\n#end\n#if ($errorMessage != '')\n{{error}}$errorMessage{{/error}}\n\n#end\n#set ($groupClassName = 'PhenoTips.PhenoTipsGroupClass')\n#set ($groupTemplateName = 'PhenoTips.PhenoTipsGroupTemplate')\n#set ($groupsHome = 'Groups.WebHome')\n\n{{html}}\n<form id="group-creation-form" class="xformInline" action="$doc.getURL($xcontext.action, $request.queryString)" method="post"><div>\n  <input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" />\n  <input type="hidden" name="doCreate" value="1" />\n  <input type="hidden" name="classTemplate" value="$groupTemplateName" />\n  <input type="hidden" name="space" value="$xwiki.getDocument(${groupsHome}).space" />\n  <input type="hidden" name="parent" value="${groupsHome}" />\n  <label><span class="fa fa-plus-circle"> </span> $services.localization.render('phenotips.groups.create.newGroupInput')<input type="text" name="name" placeholder=" $services.localization.render('phenotips.groups.create.newGroupInputPlaceholder')" value="" size="30"/></label> <input type="submit" class="button" value="$services.localization.render('phenotips.groups.create.submit')"/>\n</div></form>\n{{/html}}\n\n{{include reference="Groups.WebHome" /}}
7180121727829606960	code	document.observe('xwiki:dom:loaded', function() {\n  var groupsTable = $('groups-directory');\n  if (!groupsTable) {\n    return false;\n  }\n  groupsTable.select('tr .tools a.tool.delete').invoke('observe', 'click', function(clickEvent) {\n    clickEvent.stop();\n    var item = clickEvent.findElement('a');\n    item.blur();\n    if (item.disabled) {\n      // Do nothing if the button was already clicked and it's waiting for a response from the server.\n      return;\n    } else {\n      var url = item.href + "?confirm=1&form_token=" + $$('meta[name=form_token]')[0].content + (Prototype.Browser.Opera ? "" : "&ajax=1");\n      new XWiki.widgets.ConfirmedAjaxRequest(\n        /* Ajax request URL */\n        url,\n        /* Ajax request parameters */\n        {\n          onCreate : function() {\n            // Disable the button, to avoid a cascade of clicks from impatient users\n            item.disabled = true;\n          },\n          onSuccess : function() {\n            // Go to space WebHome\n            // window.location = new XWiki.Document('WebHome', XWiki.Document.currentSpace).getURL('view');\n            item.up('tr').remove();\n          },\n          onFailure : function() {\n            // Better luck next time!\n            item.disabled = false;\n          }\n        },\n        /* Interaction parameters */\n        {\n          confirmationText: " $services.localization.render('phenotips.groups.deleteConfirmation')"\n        }\n      );\n    }\n  });\n\n  var creationForm = $('group-creation-form');\n  if (creationForm) {\n    creationForm.observe('submit', function(event) {\n      var iName = creationForm.down('input[name="name"]');\n      if (iName.value.strip() == '') {\n        event.stop();\n        iName.focus();\n      }\n    });\n  }\n});
7727320115181082077	code	#template("colorThemeInit.vm")\n\n#groups-directory td {\n  border: 0 none;\n  border-bottom: 2px solid $theme.borderColor;\n  padding: 1em;\n  vertical-align: top;\n}\n#groups-directory tr:last-child td {\n  border-bottom: 0 none;\n}\n\n#groups-directory .members, #groups-directory .patients {\n  font-size: .8em;\n  font-style: italic;\n  opacity: .5;\n}\n\n#groups-directory td.desc > div {\n  background-color: $theme.backgroundSecondaryColor;\n  border-radius: 0 4px 4px;\n  padding: 0.5em 1em;\n  position: relative;\n}\n#groups-directory td.desc > div:before {\n  content: "";\n  border-top: 0 none;\n  border-right: 16px solid $theme.backgroundSecondaryColor;\n  border-bottom: 16px solid transparent;\n  border-left: 0 none;\n  position: absolute;\n  top: 0;\n  left: -16px;\n}\n\n#group-creation-form input {\n  width: auto;\n}\n#groups-tools {\n  text-align: right;\n}\n#groups-tools .read-more {\n  font-size: .9;\n}
5798038344610232394	code	{{velocity output="false"}}\n#set ($groupClassName = 'PhenoTips.PhenoTipsGroupClass')\n#set ($groupTemplateName = 'PhenoTips.PhenoTipsGroupTemplate')\n#set ($groupsHome = 'Groups.WebHome')\n#set ($orders = {\n  'name' : 'asc',\n  'members' : 'desc',\n  'cases' : 'desc'\n})\n#set ($defaultOrder = 'name')\n#set ($order = "$!xcontext.macro.params.orderby")\n#if (!$orders.get($order))\n  #set($order = $defaultOrder)\n#end\n\n#set ($query = $services.query.xwql("from doc.object(${groupClassName}) as grp where doc.fullName <> :template").bindValue('template', $groupTemplateName))\n#set ($groupDocs = $xwiki.wrapDocs($query.execute()))\n\n#set ($groupData = [])\n#set ($defaultLogo = "$!{xwiki.getDocument($groupTemplateName).getObject($groupClassName).getProperty('image').value}")\n#if ($defaultLogo  != '' && $defaultLogo.indexOf('@') < 0)\n  #set ($defaultLogo = "$groupTemplateName@$!{defaultLogo}")\n#end\n\n#foreach ($groupDoc in $groupDocs)\n  #set ($groupObj = $groupDoc.getObject($groupClassName))\n  #set ($filterby = "$!{xcontext.macro.params.filterby}")\n  #set ($filterbyprop = $groupObj.getProperty($filterby))\n  #set ($filterval = "$!{xcontext.macro.params.filterval}")\n  #set ($isFilterActive = ($filterby != '' && ("$!filterbyprop" != '' || $filterby == 'member')))\n  #if ($filterby == '' || "$!filterbyprop" != '' && ($filterbyprop.value == $filterval || $filterbyprop.value.contains($filterval)) || $filterby == 'member' && $groupDoc.getObjects('XWiki.XWikiGroups', 'member', $filterval))\n    #set ($memberObjs = $groupDoc.getObjects('XWiki.XWikiGroups'))\n    #set ($phantomMemberObjs = $groupDoc.getObjects('XWiki.XWikiGroups', 'member', ''))\n    #set ($logo = "$!groupObj.getProperty('image').value")\n    #if ("$!logo" != '')\n      #set ($logo = "${groupDoc.fullName}@${logo}")\n    #else\n      #set ($logo = $defaultLogo)\n    #end\n    #set ($discard = $groupData.add({\n      'doc' : $groupDoc,\n      'obj' : $groupObj,\n      'doc.fullName' : $groupDoc.fullName,\n      'name' : $groupDoc.title,\n      'logo' : $logo,\n      'members' : $mathtool.sub($memberObjs.size(), $phantomMemberObjs.size()),\n      'cases' : $services.query.xwql('from doc.object(PhenoTips.PatientClass) as p, doc.object(PhenoTips.OwnerClass) as o where o.owner = :grp').bindValue('grp', $groupDoc.documentReference.toString()).count()\n    }))\n  #end\n#end\n#set ($groupSortedData = $sorttool.sort($groupData, ["${order}:${orders.get($order)}"]))\n\n#set ($max = $mathtool.toInteger($xcontext.macro.params.max))\n#if (!($max && $max > 0 && $max < $groupSortedData.size()))\n  #set ($max = $groupSortedData.size())\n#end\n\n$xwiki.ssx.use($groupClassName, {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})\n$xwiki.jsx.use($groupClassName)\n{{/velocity}}\n\n{{velocity}}\n(% id="groups-directory" %)\n#if ($groupSortedData.size() == 0)\n#if ($isFilterActive)\n\n{{info}}$services.localization.render('phenotips.homepage.groups.noMatches'){{/info}}\n\n#else\n\n{{info}}$services.localization.render('phenotips.homepage.groups.noGroupsMessage')#if($hasAdmin && $doc.documentReference.name != 'XWikiPreferences') [[$services.localization.render('phenotips.homepage.groups.manageGroups')>>path:${xwiki.getDocument('XWiki.XWikiPreferences').getURL('admin', 'editor=globaladmin&section=workgroups')}]]#end{{/info}}\n\n#end\n#else\n#foreach ($groupDatum in $groupSortedData)#if ($foreach.index < $max)\n|(% class="logo" %) #if ("$!{groupDatum.get('logo')}" != '')[[[[image:${services.rendering.escape($groupDatum.get('logo'), $doc.syntax)}||width="80px"]]>>${services.rendering.escape($groupDatum.get('doc.fullName'), $doc.syntax)}]]#end##\n|(% class="name" %) [[${services.rendering.escape($groupDatum.get('name'), $doc.syntax)}>>${services.rendering.escape($groupDatum.get('doc.fullName'), $doc.syntax)}]] \\\\(% class="members"%)$services.localization.render('phenotips.group.info.members', [$groupDatum.get('members')])(%%) \\\\(% class="patients"%)$services.localization.render('phenotips.group.info.cases', [$groupDatum.get('cases')])(%%)##\n#if ($xcontext.macro.params.fullinfo == 'true')|#if ("$!{groupDatum.get('obj').getProperty('description').value.trim()}" != '')(% class="desc" %) ((($groupDatum.get('doc').display('description'))))#end#end\n#if ($xcontext.macro.params.tools == 'true' && $hasAdmin)|(% class="tools" %) (((##\n  [[{{icon name="pencil" title="$services.localization.render('phenotips.groups.edit')"/}}>>path:$xwiki.getURL($groupDatum.get('doc.fullName'), 'edit')||class="tool edit"]]##\n  [[{{icon name="times" title="$services.localization.render('phenotips.groups.delete')"/}}>>path:$xwiki.getURL($groupDatum.get('doc.fullName'), 'delete')||class="tool delete"]]##\n)))#end\\\\\n#end#end\n#end\n{{/velocity}}
5798038344610232394	contentDescription	
5798038344610232394	description	Lists PhenoTips groups
-2512908139053535367	description	Whether to display the group description (true|false; defaults to false)
4944596992863623867	description	Whether to display the group management tools (edit, delete, create) for administrators (true|false; defaults to false)
-4623279692502789151	description	How to sort the groups. Supported values: name, members. Default: name.
-6024370860095195332	description	How many entries to display for a list not displayed in full. Values that are not between 1 and the size of the list are interpreted as "display the entire list".
6096029637276629987	description	
-4031983853031171190	description	
-255472277895193837	description	
6064440767811824306	code	$("manage-administrators") && $("manage-administrators").observe("click", function(e) {\n  var link = this.href;\n  document.observe("xwiki:document:saved", function() {\n    window.location.href = link;\n    // If this function, at some point in time, stops redirecting the browser, don't forget to unhook this listener, just in case.\n  });\n  document.fire("xwiki:actions:save", {originalEvent: e, form: e.findElement('form'), "continue": true});\n});
-5421123356691248741	code	#template("colorThemeInit.vm")\n\n.doc-tools {\n  float: right;\n  font-size: 1.5em;\n}\n\n.doc-tools a.doc-tool.edit {\n  margin: -1.2em -0.3em 0 0 !important;\n  padding: 0.1em 0 0 0.3em !important;\n}\n.group-logo {\n  float: left;\n  margin: 0 10px 10px 0;\n  max-width: 30%;\n}\n.vertical-menu a {\n  color: $theme.textColor !important;\n  padding-left: .5em;\n  text-transform: uppercase;\n}\n.vertical-menu i {\n  font-size: 1.2em;\n}\n.menu-section {\n  margin-left: 16em;\n}\n.menu-section h2 {\n  margin-top: 0;\n}\n.menu-section input[name="action_save"] {\n  background-image: none !important;\n}
-3828478898898167538	content	{{velocity}}\n$xwiki.ssx.use('PhenoTips.PhenoTipsGroupSheet')##\n#if ($xcontext.action == 'view' && $hasEdit && ($doc.getObject('PhenoTips.PhenoTipsGroupClass') || $doc.getObject('XWiki.XWikiGroups') && $doc.space == 'Groups'))(% class="doc-tools buttonwrapper" %)((([[ {{icon name="pencil"/}}>>path:$doc.getURL('edit') || title="$services.localization.render('phenotips.groups.edit')" class="doc-tool edit button"]])))#end{{/velocity}}
-3828478898898167538	parameters	
-2877438213821797606	codeToExecute	#set ($targetDocName = 'PhenoTips.PatientTemplate')\n#set ($targetDoc = $xwiki.getDocument($targetDocName))\n#set ($className = 'PhenoTips.VisibilityClass')\n#set ($visibilityObject = $targetDoc.getObject($className))\n#set ($currentValue = '')\n#if ($visibilityObject)\n  #set ($currentValue = "$!visibilityObject.getProperty('visibility').value")\n#else\n  #set ($visibilityObject = $targetDoc.newObject($className))\n  $!visibilityObject.set('visibility', 'private')##\n#end\n#set ($prefix = "${className}_${visibilityObject.number}_")\n#if ($currentValue == '')\n  #set ($currentValue = 'private')\n#end\n#set ($fullPrefix = "${targetDocName}_${prefix}")\n\n{{html clean=false}}\n<form id="welcome_${targetDocName}" method="post" action="${targetDoc.getURL('save')}" class="xform half">\n<fieldset><dl>\n<dt><label for="${fullPrefix}private">$services.localization.render("phenotips.patientAccessRightsManagement.defaultVisibilityOption")</label>\n<span class="xHint">$services.localization.render("phenotips.patientAccessRightsManagement.defaultVisibilityHint")</span></dt>\n#foreach ($visibility in $services.permissions.listVisibilityOptions())\n  <dd>\n    <label for="${fullPrefix}${visibility.name}">\n      <input id="${fullPrefix}${visibility.name}" name="${prefix}visibility" type="radio" value="$!escapetool.xml($visibility.name)"#if ($currentValue == $visibility.name) checked="checked"#end /> $visibility.label</label>\n    <span class="xHint">${visibility.description}</span>\n  </dd>\n#end\n</dl>\n<input type="hidden" id="${targetDocName}_redirect" name="xredirect" value="$escapetool.xml($doc.getURL($xcontext.action, $request.queryString))" />\n<input type="hidden" name="form_token" value="$!{escapetool.xml($services.csrf.token)}" />\n<input type="hidden" name="objectPolicy" value="updateOrCreate"/>\n</fieldset>\n<div class="bottombuttons"><p class="admin-buttons">\n<span class="buttonwrapper"><input class="button" type="submit" name="action_saveandcontinue" value="$services.localization.render('phenotips.patientAccessRightsManagement.defaultVisibilitySave')" /></span>\n</p></div>\n</form>\n{{/html}}
551609650500912368	code	var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.AccessRightsManager = Class.create({\n    initialize : function (patientId) {\n      this.patientId = patientId;\n      // ---------------------------------------------------------------------\n      // Search for access levels manager elements. Exist if missing.\n      // ---------------------------------------------------------------------\n      this._element = $('access-rights-summary');\n      if (!this._element) { return; }\n      this._editorLauncher = this._element.down('.tool.edit a');\n      if (!this._editorLauncher) { return; }\n      this._serviceURL = this._element.down('input[name="serviceURL"]');\n      if (this._serviceURL) {\n        this._serviceURL = this._serviceURL.value;\n      } else {\n        return;\n      }\n      // ---------------------------------------------------------------------\n      // Initialize the manager UI\n      // ---------------------------------------------------------------------\n      this._initAccessLevels();\n      this._initManagerUI();\n      // ---------------------------------------------------------------------\n      // Attach manager launcher behavior:\n      // ---------------------------------------------------------------------\n      var _this = this;\n      this._editorLauncher.observe('click', function(event) {\n        event.stop();\n        event.findElement().blur();\n        _this._launchEditor();\n      });\n      // ---------------------------------------------------------------------\n      // Initialization done\n      // ---------------------------------------------------------------------\n    },\n    _initAccessLevels : function() {\n      var levels = {'access-level' : [], 'visibility' : []};\n      this._element.select('input[name="access-level"], input[name="visibility"]').each(function (item) {\n        levels[item.name].push({id : item.value, name : item.alt, title : item.title, icon: item.next('span.fa') || ''});\n      });\n      this.ACCESS_LEVELS = levels['access-level'];\n      this.VISIBILITY = levels['visibility'];\n    },\n    _initManagerUI : function() {\n      this._container = new Element('form', {'id' : 'access-levels-manager', 'class' : 'xform', 'method' : 'post', 'action' : this._serviceURL});\n      //this._element.insert({'after' : this._container});\n      this._container.insert(this._generateSection('manage-ownership', "$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipHeader')", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipBody')"))\n                     .insert(this._generateSection('manage-visibility', "$services.localization.render('phenotips.patientAccessRightsManagement.modifyVisibilityHeader')", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyVisibilityBody')"))\n                     .insert(this._generateSection('manage-collaborators', "$services.localization.render('phenotips.patientAccessRightsManagement.modifyCollaboratorsHeader')", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyCollaboratorsBody')"))\n                     .insert(new Element('div', {id : 'manager-messages'}));\n      this._ownershipManager = this._container.down('#manage-ownership .section-contents');\n      this._visibilityManager = this._container.down('#manage-visibility .section-contents');\n      this._collaboratorsManager = this._container.down('#manage-collaborators .section-contents');\n      this._messages = this._container.down('#manager-messages');\n      this._initOwnershipManager();\n      this._initVisibilityManager();\n      this._initCollaboratorsManager();\n      this._initManagerActions();\n      this._dialog = new PhenoTips.widgets.ModalPopup(this._container, false, {'title': "$services.localization.render('phenotips.patientAccessRightsManagement.heading')".replace("__patientID__", this.patientId), 'verticalPosition': 'top', 'removeOnClose': false});\n      //document.fire('xwiki:dom:updated', {'elements' : [this._container]});\n    },\n    _generateSection : function(id, title, intro) {\n      return new Element('fieldset', {'id': id, 'class' : 'section'})\n                 .insert(title && new Element('h2').update(title) || '')\n                 .insert(intro && new Element('p', {'class' : 'intro xHint'}).update(intro) || '')\n                 .insert(new Element ('div', {'class' : 'section-contents'}));\n    },\n    _updateOwnershipManager : function(owner) {\n      this._ownerInfo.update("$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipInfo')".replace("__owner__", owner));\n      if (this._canTransferOwnership) {\n        this._ownerInfo.insert(" "+"$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipOptions')");\n        this._checkKeepOwnershipOption();\n      }\n    },\n    _initOwnershipManager : function() {\n      this._ownerInfo = new Element('div', {id : 'owner', 'class' : 'intro xHint'});\n      this._ownershipManager.update(this._ownerInfo);\n\n      // HACK: 'new-owner-input' control had to be put into the document from the start\n      //       to make suggest picker attach to it correctly; it now has to be moved into\n      //       the `owner` section of this "access rights" dialog/popup\n      var newOwnerInput       = $('new-owner-input') || '';\n      var newOwnerGroupSelect = $('new-owner-group-select') || '';\n\n      this._defaultOwnerOption   = undefined;\n      this._removeSelectedUser   = undefined;\n      this._canTransferOwnership = newOwnerInput || newOwnerGroupSelect;\n\n      if (this._canTransferOwnership) {\n        var transfer = new Element('table', {id : 'transfer'});\n        this._removeSelectedUser = function() {  // removes previously selected user displayed by the suggest user picker\n            transfer.select('.delete-tool').each(function (item) {\n               item.click();\n            });\n        }\n        var _this = this;\n        var _getTransferOption = function (type, text, controlledElement) {\n           var optionWrapper = new Element('tr');\n           var input = new Element('input', {"type" : "radio", name : "transfer-to"});\n           var label = new Element('label').insert(input).insert(text);\n           input.observe('change', function() {\n             transfer.select('.controlled-element input, .controlled-element select').each(function (item) {\n                item.disable();\n             });\n             _this._removeSelectedUser();\n             if (input.checked && controlledElement) {\n               input.up('tr').select('.controlled-element input, .controlled-element select').each(function (item) {\n                  item.enable();\n               });\n             }\n           });\n           optionWrapper.insert(new Element('span', {'class' : 'fa fa-' + type}).wrap('td'))\n                        .insert(label.wrap('td'))\n                        .insert(controlledElement && controlledElement.wrap('td', {'class' : 'controlled-element'}) || '');\n           return optionWrapper;\n        }\n        this._defaultOwnerOption = _getTransferOption("check", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipKeepOwnership')", "");\n        transfer.insert(this._defaultOwnerOption);\n        //this._checkKeepOwnershipOption();\n        if (newOwnerGroupSelect) {\n          transfer.insert(_getTransferOption("group", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipTransferGroup')", newOwnerGroupSelect));\n        }\n        if (newOwnerInput) {\n          transfer.insert(_getTransferOption("user", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipTransferUser')", newOwnerInput));\n        }\n        transfer.select('.controlled-element input, .controlled-element select').each(function (item) {\n          item.disable();\n        });\n        this._ownershipManager.insert(transfer);\n      }\n    },\n    _checkKeepOwnershipOption : function() {\n      if (this._defaultOwnerOption) {\n        this._defaultOwnerOption.down('input').click();   // check the "keep current owner" radio (which also triggers all\n                                                          // corresponding actions such as disable/enable controlled elements)\n      }\n    },\n    _initVisibilityManager : function() {\n      var table = new Element('table', {id : 'collaborators'});\n      this._visibilityManager.insert(table);\n      this.VISIBILITY.each(function (item) {\n         var input = new Element ('input', {'type' : 'radio', 'name' : 'visibility', 'value' : item.id});\n         var label = new Element('label', {'class' : 'visibility', title : item.title}).insert(input).insert(item.name);\n         var info  = new Element('p', {'class' : 'xHint'}).update(item.title);\n         var row = new Element('tr')\n                .insert(new Element('td').insert(item.icon))\n                .insert(new Element('td').insert(label))\n                .insert(new Element('td').insert(info));\n         table.insert(row);\n      });\n    },\n    _initCollaboratorsManager : function () {\n      var _this = this;\n      var table = new Element('table', {id : 'collaborators'});\n      // Body: collaborators\n      this._collaboratorsList = new Element('tbody');\n      // Foot: input for adding a new collaborator\n      var newCollaborator = new Element('tfoot');\n      var newCollaboratorInput = $('new-collaborator-input') || '';\n      var newGroupInput = $('new-group-input') || '';\n      newCollaborator.insert(new Element('td', {'colspan' : 4}).insert(newCollaboratorInput).insert('<br/>').insert(newGroupInput));\n      // Add the two sections\n      this._collaboratorsManager.insert(table.insert(newCollaborator).insert(this._collaboratorsList));\n      // Capture selection events\n      newCollaborator.select('input').invoke('observe', "xwiki:suggest:selected", function(event) {\n         if (event.memo) {\n           var id = event.memo.value;\n           var existingCollaborator = _this._collaboratorsList.down('tr input[value="' + id.replace('"', '\\\\"') + '"]');\n           if (existingCollaborator) {\n             existingCollaborator.up('tr').addClassName('highlight');\n             // remove highlight after a while\n             new PeriodicalExecuter(function(pe) {\n                existingCollaborator.up('tr').removeClassName('highlight');\n                pe.stop();\n             }, 5);\n           } else {\n             var name = event.memo.info;\n             var type = event.findElement('input').name;\n             var newCollaborator = {'id' : id , 'name' : name , 'type' : type};\n             _this._addCollaborator(newCollaborator, true);\n             event.findElement().value = '';\n           }\n         }\n      });\n    },\n    _initManagerActions : function() {\n      var _this = this;\n      var buttons = new Element('div', {'class' : 'buttons'});\n      buttons.insert(new Element('input', {type: 'hidden', name : 'xaction', 'value': 'update'}));\n      buttons.insert(new Element('input', {type: 'hidden', name : 'patient', 'value': this.patientId}));\n      buttons.insert(new Element('input', {type: 'submit', name : 'submit',  'value': "$services.localization.render('phenotips.patientAccessRightsManagement.modifySubmitButton')", 'class' : 'button'}).wrap('span', {'class' : 'buttonwrapper'}));\n      buttons.insert(new Element('input', {type: 'button', name : 'close',   'value': "$services.localization.render('phenotips.patientAccessRightsManagement.modifyCancelButton')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'}));\n      this._container.insert(buttons);\n\n      buttons.down('input[name="close"]').observe('click', function(event) {\n        _this._dialog.closeDialog();\n      })\n\n      this._container.observe('submit', function(event) {\n        event.stop();\n        var trigger = event.findElement();\n        if (trigger._disbaled) {return; }\n        var formData = _this._container.serialize(true)\n        new Ajax.Request(_this._container.action, {\n          method: _this._container.method,\n          parameters : formData,\n          onCreate : function() {\n            trigger._disabled = true;\n            trigger.addClassName('loading');\n            _this._messages.update(new Element('div', {'class' : 'xHint'}).update("$services.localization.render('phenotips.patientAccessRightsManagement.modifyRequestSent')"));\n          },\n          onSuccess : function(response) {\n            var ownershipTransfer = $('transfer');\n            var owner = _this._element.down('.owner');\n            if (owner && ownershipTransfer) {\n              var newOwner = '';\n              var newOwnerGroup = ownershipTransfer.down('select');\n              var newOwnerURL = '';\n              if (newOwnerGroup && !newOwnerGroup.disabled && newOwnerGroup.selectedIndex > 0) {\n                newOwner = newOwnerGroup.options[newOwnerGroup.selectedIndex].text;\n                newOwnerURL = new XWiki.Document(newOwner, 'Groups').getURL();\n              } else {\n                var newOwnerUser = ownershipTransfer.down('input[type="text"]');\n                if (newOwnerUser) {\n                  var userName = ownershipTransfer.down('.accepted-suggestions li .user-name');\n                  if (!newOwnerUser.disabled && userName) {\n                    newOwner = userName.firstChild.nodeValue;\n                    newOwnerURL = new XWiki.Document(ownershipTransfer.down('.accepted-suggestions li .user-alias').innerHTML, 'XWiki').getURL();;\n                  }\n                }\n              }\n              if (newOwner) {\n                owner.replaceChild(document.createTextNode(newOwner), owner.lastChild);\n                owner.href = newOwnerURL;\n              }\n            }\n            var visibility = _this._element.down('.visibility');\n            if (visibility) {\n              _this.VISIBILITY.each(function (item) {\n                 if (item.id == formData.visibility) {\n                   visibility.update('');\n                   visibility.insert(item.icon.clone(true)).insert(item.name);\n                   visibility.title = item.title;\n                 }\n              });\n            }\n            var collaborators = _this._element.down('.collaborators');\n            var collaboratorsCount = formData.collaborator ? (formData.collaborator.size && formData.collaborator.size() || 1) : 0;\n            if (collaborators) {\n              collaborators.replaceChild(document.createTextNode(collaboratorsCount + ' collaborator' + (collaboratorsCount != 1 ? 's' : '')), collaborators.lastChild);\n            }\n            _this._dialog.closeDialog();\n          },\n          onFailure : function(response) {\n            var failureReason = response.responseText || response.statusText;\n            if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n               failureReason = "$services.localization.render('phenotips.patientAccessRightsManagement.modifyNoServerResponse')";\n            }\n            _this._messages.update(new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.patientAccessRightsManagement.modifyUpdateFailure')" + failureReason));\n          },\n          on0 : function (response) {\n            response.request.options.onFailure(response);\n          },\n          onComplete : function() {\n            trigger._disabled = false;\n            trigger.removeClassName('loading');\n          }\n        });\n      })\n    },\n\n    _launchEditor : function () {\n      var _this = this;\n      if (this._editorLauncher._disabled) { return; }\n      new Ajax.Request(this._container.action, {\n        parameters : {'xaction': 'get', 'patient' : this.patientId},\n        onCreate : function() {\n          _this._editorLauncher._disabled = true;\n          _this._messages.update('');\n          _this._dialog.showDialog();\n          _this._container.up('.msdialog-modal-container').style.zIndex = 3001;\n          _this._collaboratorsList.update('<tr><td colspan="3"><img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')"/></td></tr>');\n        },\n        onSuccess : function(response) {\n           var data = response.responseJSON;\n           _this._updateOwnershipManager(_this._element.down(".owner").innerHTML);   // get current owner from document HTML\n           _this._updateVisibility(data.visibility);\n           _this._updateCollaborators(data.collaborators);\n        },\n        onComplete : function() {\n          _this._editorLauncher._disabled = false;\n        }\n      });\n    },\n\n    _updateVisibility : function (value) {\n      var elt = this._visibilityManager.down('input[type="radio"][value="' + value + '"]');\n      if (elt) {\n        elt.checked = true;\n      }\n    },\n\n    _updateCollaborators : function (collaborators) {\n      this._collaboratorsList.update('');\n      collaborators.each(this._addCollaborator.bind(this));\n    },\n\n    /* Expected format for the collaborator object c : {id : 'string', 'type' : 'string', name : 'string', 'accessLevel' : 'string' } */\n    _addCollaborator : function (c, highlight) {\n      var row = new Element('tr', {'class' : (highlight === true ? 'new' : '')});\n      row.insert(new Element('td').insert(new Element('span', {'class' : 'fa fa-' + c.type}).update(' ')));\n      row.insert(new Element('td')\n              .insert(c.name)\n              .insert(new Element('input', {'type': 'hidden', 'name' : 'collaborator', 'value' : c.id}))\n      );\n      var rights = this._generateCollaborationOptions('accessLevel', c.accessLevel)\n      row.insert(rights.wrap('td'));\n      var deleteTool = new Element('span', {'class' : 'tool delete fa fa-times', title : "$services.localization.render('phenotips.patientAccessRightsManagement.modifyRemoveCollaborator')"});\n      row.insert(deleteTool.wrap('td'));\n      deleteTool.observe('click', function(event) {\n        event.findElement('tr').remove();\n      });\n      this._collaboratorsList .insert(row);\n    },\n\n    _generateCollaborationOptions : function (name, value) {\n      var selected = value || this.ACCESS_LEVELS[0].id;\n      var result = new Element('select', {name : name});\n      this.ACCESS_LEVELS.each(function (l) {\n            var o = new Element('option', {value : l.id}).update(l.name);\n            result.insert(o);\n      });\n      for (var i = 0; i < result.options.length; i++ ) {\n        if (result.options[i].value == value) {\n          result.options[i].selected = true;\n          break;\n        }\n      }\n      return result;\n    }\n  });\n  return PhenoTips;\n}(PhenoTips || {}));\n\ndocument.observe("xwiki:dom:loaded", function() {\n  new PhenoTips.widgets.AccessRightsManager(document.documentElement.down('meta[name="page"]').content);\n});
-8232487170375787291	code	#template("colorThemeInit.vm")\n\n#access-rights-summary {\n  float: right;\n}\n.access-rights-info a {\n  color: inherit;\n}\n#access-rights-summary .access-rights-info {\n  border: 1px solid #fff;\n  box-shadow: inset 1px 1px 1px $theme.borderColor, 1px 1px 1px $theme.borderColor;\n  border-radius: 3px;\n  display: inline-block;\n  font-weight: bold;\n  margin: 0 5px 0 0;\n  padding: 2px 3px;\n}\n\n#access-levels-manager h2 {\n  margin-top: 0;\n}\n\n#manage-visibility label {\n  margin-right: 1em;\n  white-space: nowrap;\n}\n\n#access-levels-manager td {\n  border: 0 none;\n  padding: .3em;\n  text-align: left;\n  vertical-align: top;\n}\n#access-levels-manager .accepted-suggestions {\n  margin: 0 !important;\n}\n#access-levels-manager .accepted-suggestions li .delete-tool {\n  background: transparent;\n}\n#collaborators tbody td {\n  border-bottom: 1px solid $theme.borderColor;\n}\n#collaborators tfoot td {\n  border-top: 3px solid $theme.borderColor;\n}\n#collaborators .tool.delete {\n  color: $theme.notificationErrorColor;\n  cursor: pointer;\n}\n#collaborators .highlight {\n  background-color: $theme.highlightColor !important;\n  color: $theme.notificationErrorColor;\n}\n\n#collaborators .new {\n  background-color: $theme.highlightColor;\n}
9106279970647499253	content	{{velocity output="false"}}\n#set ($serviceDocName = 'PhenoTips.PatientAccessRightsManagement')\n#set ($serviceDoc = $xwiki.getDocument($serviceDocName))\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)\n$xwiki.jsx.use($serviceDocName)\n$xwiki.ssx.use($serviceDocName)\n{{/velocity}}\n\n{{velocity}}\n#if ($xcontext.action != 'export')\n#set ($patient = $services.patients.getPatientById($doc.documentReference))\n#if ($patient)\n  #set ($_service = $services.permissions)\n  #set ($patientAccess = $_service.getPatientAccess($patient))\n  ## ===========================================================\n  ## Display access summary for this patient and enable changing\n  ## -----------------------------------------------------------\n  #set ($visibility =  $patientAccess.visibility)\n  #set ($collaborators = $patientAccess.collaborators)\n  #set ($collaboratorsCount = $collaborators.size())\n  #set ($owner = $patientAccess.getOwner())\n  #set ($ownerReference = $owner.user)\n  #if (!$ownerReference)\n    #set ($ownerName = $services.localization.render("phenotips.patientAccessRightsManagement.noOwner"))\n  #elseif ($ownerReference.equals($xcontext.userReference))\n    #set ($ownerName = $services.localization.render("phenotips.patientAccessRightsManagement.selfOwner"))\n  #else\n    #if ($owner.isUser())\n      #set ($ownerName = $xwiki.getUserName("$ownerReference", false))\n    #else\n      #set ($ownerName = $xwiki.getDocument($ownerReference).plainTitle)\n    #end\n  #end\n  #set ($canTransfer = $patientAccess.hasAccessLevel('owner'))\n  #if ($owner.isGroup())\n    #set ($adminGroup = $xcontext.getDatabase() + ":Groups." + $owner.getUsername() + " Administrators")\n    #if (!$xwiki.getUser().isUserInGroup($adminGroup))\n      #set ($canTransfer = false)\n    #end\n  #end\n  #if ($hasAdmin)\n    #set ($canTransfer = true)\n  #end\n  #set ($canManage = $patientAccess.hasAccessLevel('manage'))\n  #if ("$!{ownerReference}" != '')\n    #set ($ownerElement = "{{html wiki='true' clean='false'}}<a class='owner' href=""${xwiki.getURL($ownerReference)}"">{{icon name='user'/}}$services.rendering.escape($ownerName, $doc.syntax)</a>{{/html}}")\n  #else\n    #set ($ownerElement = "{{html wiki='true' clean='false'}}<span class='owner'>{{icon name='user'/}}$ownerName</span>{{/html}}")\n  #end\n  (% id="access-rights-summary" %)(((\n    $services.localization.render("phenotips.patientAccessRightsManagement.caseOwnerandVisibility",["(% class='access-rights-info' %)$ownerElement(%%)","(% class='access-rights-info visibility' title='$!{visibility.description}' %){{icon name='$visibility'/}}${visibility.label}(%%)"])##\n    ##if ($canManage),#else and#end it is (% class="access-rights-info visibility" title="$!{visibility.description}" %){{icon name="$visibility"/}}${visibility.label}(%%)##\n    #if ($canManage) ##\n      $services.localization.render("phenotips.patientAccessRightsManagement.collaboratorsSummary",["(% class='access-rights-info' %){{html wiki='true' clean='false'}}{{icon name='group'/}}<span class='collaborators'>",$collaboratorsCount, "</span>{{/html}}(%%)"])##\n      (% class="buttonwrapper tool edit" %)[[ {{icon name="wrench" title="$services.localization.render('phenotips.patientAccessRightsManagement.modifyButtonTitle')" /}} $services.localization.render("phenotips.patientAccessRightsManagement.modifyButton")>>path:#||class="button"]]##\n      (% class="hidden" %)((({{html wiki="true" clean="false"}}\n        <input type="hidden" name="serviceURL" value="$serviceDoc.getURL('get', 'outputSyntax=plain')"/>\n        #foreach ($l in $_service.listAccessLevels())\n          <input type="hidden" name="access-level" value="${l.name}" alt="$!{l.description}" />\n        #end\n        #foreach ($l in $_service.listVisibilityOptions())\n          <input type="hidden" name="visibility" value="${l.name}" alt="$!{l.label}" title="$!{l.description}" />{{icon name="${l.name}" /}}\n        #end\n        #if ($canManage)\n          <input type="text" name="user" class="suggestUsers" value="" placeholder="$services.localization.render('phenotips.patientAccessRightsManagement.newCollaborator')" id="new-collaborator-input" />\n          <input type="text" name="group" class="suggestWorkgroups" value="" placeholder="$services.localization.render('phenotips.patientAccessRightsManagement.newGroupCollaborator')" id="new-group-input" />\n        #end\n        #if ($canTransfer)\n          <div id="new-owner-input"><input type="text" name="owner" id="new-owner-user-select" class="suggestUsers" value="" placeholder="$services.localization.render('phenotips.patientAccessRightsManagement.newOwner')" /></div>\n          #set ($toProcess = $collectionstool.queue)\n          #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n          #set ($groups = $collectionstool.sortedMap)\n          #if ($hasAdmin)\n            #set ($groupClassName = 'PhenoTips.PhenoTipsGroupClass')\n            #set ($groupTemplateName = 'PhenoTips.PhenoTipsGroupTemplate')\n            #set ($query = $services.query.xwql("from doc.object(${groupClassName}) as grp where doc.fullName <> :template").bindValue('template', $groupTemplateName))\n            #set ($groupDocs = $xwiki.wrapDocs($query.execute()))\n            #foreach ($groupDoc in $groupDocs)\n              #set ($discard = $groups.put($groupDoc.documentReference, $groupDoc.plainTitle))\n            #end\n          #else\n            #foreach ($iteration in [0..1000])\n              #if ($toProcess.empty)\n                #break\n              #end\n              #set ($item = $toProcess.poll())\n              #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n                #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n                #if (!$groupObj && $group.documentReference.name.endsWith(' Administrators'))\n                  #set ($group = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)))\n                  #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n                #end\n                #if ($groupObj && !$groups.containsKey($group.documentReference))\n                  #set ($discard = $toProcess.add($group.documentReference.toString()))\n                  #if ("$group.plainTitle" != '')\n                    #set ($discard = $groups.put($group.documentReference, $group.plainTitle))\n                  #else\n                    #set ($discard = $groups.put($group.documentReference, $group.documentReference.name))\n                  #end\n                #end\n              #end\n            #end\n          #end\n          #if (!$groups.isEmpty())\n          <select name="owner" id="new-owner-group-select">\n            <option value="" selected="selected" class="hidden">$services.localization.render('phenotips.patientAccessRightsManagement.newOwnerGroup')</option>\n            <optgroup label="$services.localization.render('phenotips.patientAccessRightsManagement.newOwnerGroup')">\n            #foreach ($g in $groups.entrySet())\n              <option value="${services.rendering.escape($services.model.serialize($g.key), $doc.syntax)}"#if ("$!{ownerReference}" == "$g.key") selected="selected"#end>${services.rendering.escape($g.value, $doc.syntax)}</option>\n            #end\n            </optgroup>\n          </select>\n          #end\n        #end\n      {{/html}})))\n    #end\n  )))\n#end## Patient exists\n#end## xcontext.action\n{{/velocity}}
9106279970647499253	parameters	
7403094704171418880	codeToExecute	{{include reference="PhenoTips.IndexOntology" /}}
6459658409747391089	code	document.observe('xwiki:dom:loaded', function (){\n   $$('form.solr-admin').invoke('observe', 'submit', function(event) {\n      event.stop();\n      var form = event.element();\n      var mandatoryElt = form.down('.mandatory input');\n      if (!mandatoryElt || mandatoryElt.value != "") {\n        var formData = new Hash(form.serialize(true));\n        formData.set('outputSyntax', 'plain');\n        formData.set('ajax', '1');\n        // Create a notification message to display to the user when the submit is being sent\n        form._x_notification = new XWiki.widgets.Notification("$services.localization.render('phenotips.IndexOntology.inProgress')", "inprogress");\n        form.disable();\n        // FIXME Use the XWiki.Document JS API after upgrading to XWiki 6.0\n        new Ajax.Request("$xwiki.getURL('PhenoTips.IndexOntology', 'get')", {\n            method : 'post',\n            parameters : formData,\n            onSuccess : function (response) {\n              form._x_notification.replace(new XWiki.widgets.Notification(response.responseText, "done"));\n            }.bind(this),\n            onFailure : function (response) {\n              var failureReason = response.statusText;\n              if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                failureReason = "$services.localization.render('phenotips.IndexOntology.noResponse')";\n              }\n              form._x_notification.replace(new XWiki.widgets.Notification("Failed: " + failureReason, "error"));\n            }.bind(this),\n            on0 : function (response) {\n              response.request.options.onFailure(response);\n            },\n            onComplete : function (response) {\n              form.enable();\n            }\n        });\n      }\n   });\n});
-2505372602338148651	codeToExecute	{{include reference="PhenoTips.PushPatientConfiguration" /}}
5021590344407417420	code	#template('colorThemeInit.vm')\n\n.list-actions + .buttons {\n  float: right;\n  margin-top: -1.8em;\n}\n.action.delete {\n  background: transparent !important;\n  background-image: none !important;\n  border: 0 none !important;\n  box-shadow: none !important;\n  display: inline-block !important;\n  height: auto !important;\n  text-indent: 0 !important;\n  width: auto !important;\n}\ntd input[type="text"], td input[type="password"] {\n  border-color: $theme.pageContentBackgroundColor;\n  border-radius: 4px 4px 4px 4px;\n  box-shadow: 0 1px 2px rgba(0, 0, 0, .4) inset;\n  width: 100%;\n}\ntd input[type="text"]:focus, td input[type="password"]:focus {\n  border-color: $theme.linkColor;\n}
-6751674827209837311	code	var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.PushPatientWidget = Class.create({\n    initialize : function() {\n      // ---------------------------------------------------------------------\n      // Search for the push patient elements. Exist if missing.\n      // ---------------------------------------------------------------------\n      this._pushManyPatients = false;\n\n      var pushTargets = $$("div[id^=push-patient]");\n      if (pushTargets.length == 0) {\n          pushTargets = $$("a[id^=pushall-server]");\n          if (pushTargets.length == 0) {\n              return;\n          }\n          this._pushManyPatients = true;\n      }\n\n      // this version of push supports pushing (and displaying preview of) only some fields\n      this._supportedFields = ["external_id", "gender", "omim_id",  "negative_phenotype", "phenotype"];\n\n      this._serviceURL = new XWiki.Document('PushPatientService', 'PhenoTips').getURL('get', 'outputSyntax=plain');\n      this._patientId  = XWiki.currentDocument.page;\n      //if (!this._pushManyPatients)\n      //    console.log("PUSH UI: Patient: " + this._patientId + ", serviceURL: " + this._serviceURL);\n      //else\n      //    console.log("PUSH UI: multipush, serviceURL: " + this._serviceURL);\n\n      // ---------------------------------------------------------------------\n      // Initialize the UI\n      // ---------------------------------------------------------------------\n      this._initUI();\n\n      // ---------------------------------------------------------------------\n      // Attach launcher behavior:\n      // ---------------------------------------------------------------------\n      var _this = this;\n\n      this._observeSave = function() {\n          _this._launchUI();\n      }\n\n      for (var server = 0; server < pushTargets.length; server++) {\n          var nextServer = pushTargets[server];\n          var pushLauncher = this._pushManyPatients ? nextServer : nextServer.down('a');\n          if (!pushLauncher) continue;\n\n          var serverName = nextServer.readAttribute("name");\n\n          var createLauncher = function(serverID) {\n            return function(event) {\n\t            event.stop();\n\t            event.findElement().blur();\n\n\t            _this._selectedServer = serverID;\n\t            //console.log("Initializing push to " + serverID);\n\n\t            if (event.findElement('.editbody')) {\n\t              // we're in edit mode; ask user if they want to save before exporting the data\n\t              new XWiki.widgets.ConfirmationBox(\n\t                {\n\t                  onYes : function() {\n\t                    document.fire('xwiki:actions:save', {'continue' : true, 'form' : event.findElement('form')});\n\t                    document.observe('xwiki:document:saved', _this._observeSave);\n\t                  },\n\t                  onNo : function() {\n\t                    _this._launchUI();\n\t                  }\n\t                },\n\t                /* Interaction parameters */\n\t                { confirmationText: "$services.localization.render('phenotips.PushPatient.confirmationText')", showCancelButton: true }\n\t              );\n\t            } else {\n\t              _this._launchUI();\n\t            }\n\t          }\n          }\n\t      pushLauncher.observe('click', createLauncher(serverName));\n\t  }\n      // ---------------------------------------------------------------------\n      // Initialization done\n      // ---------------------------------------------------------------------\n    },\n\n    _initUI: function() {\n      var generateSection = function(id, title, intro) {\n         return new Element('div', {'id': id, 'class' : 'section'})\n                    .insert(title && new Element('h2').update(title) || '')\n                    .insert(intro && new Element('p', {'class' : 'intro xHint'}).update(intro) || '')\n                    .insert(new Element ('div', {'class' : 'section-contents'}));\n      };\n\n      var serverTitle = this._pushManyPatients ? "$services.localization.render('phenotips.patientSharing.push.dialog.serverSelection.label.multiplePatients')":\n                                                "$services.localization.render('phenotips.patientSharing.push.dialog.serverSelection.label.singlePatient')";\n      var serverDesc  = this._pushManyPatients ? "$services.localization.render('phenotips.patientSharing.push.dialog.serverSelection.hint.multiplePatients')":\n                                                 "$services.localization.render('phenotips.patientSharing.push.dialog.serverSelection.hint.singlePatient')";\n      this._container = new Element('form', {'id' : 'push-patients-ui', 'class' : 'xform', 'method' : 'post', 'action' : this._serviceURL});\n      this._container.insert(generateSection('server-selection', serverTitle, serverDesc))\n                     .insert(generateSection('user-selection', "$services.localization.render('phenotips.patientSharing.push.dialog.authentication.label')","$services.localization.render('phenotips.patientSharing.push.dialog.authentication.hint')"))\n                     .insert(generateSection('group-selection',"$services.localization.render('phenotips.patientSharing.push.dialog.remoteGroup.label')","$services.localization.render('phenotips.patientSharing.push.dialog.remoteGroup.hint')"));\n      if (!this._pushManyPatients) {\n          this._container.insert(generateSection('fields-selection',"$services.localization.render('phenotips.patientSharing.push.dialog.preview.label')","$services.localization.render('phenotips.patientSharing.push.dialog.preview.hint')"));\n      }\n\n      this._checkBoxApprove = new Element('input',{type:'checkbox', 'id':'approve-checkbox', 'value':'approve'});\n      var labelApprove = new Element('label', {'id':'approve-label'});\n      var approveMessage = this._pushManyPatients ? "$services.localization.render('phenotips.patientSharing.push.dialog.confirmation.label.multiplePatients')":\n                                                    "$services.localization.render('phenotips.patientSharing.push.dialog.confirmation.label.singlePatient')";\n      labelApprove.insert(this._checkBoxApprove).insert(approveMessage);\n      this._approveElement = new Element('div', {'class' : 'confirm-push plainmessage'});\n      this._approveElement.insert(labelApprove);\n      if (this._pushManyPatients) {\n          this._container.insert("<br/>");\n      }\n      this._container.insert(this._approveElement);\n\n      this._serverManager = this._container.down('#server-selection .section-contents');\n      this._userManager   = this._container.down('#user-selection .section-contents');\n      this._groupManager  = this._container.down('#group-selection .section-contents');\n      this._fieldsManager = this._pushManyPatients ? null : this._container.down('#fields-selection .section-contents');\n\n      this._initServerSelector();\n      this._initMainFormActions();\n\n      var title = this._pushManyPatients ? "$services.localization.render('phenotips.patientSharing.push.dialog.title.multiplePatients')" : "$services.localization.render('phenotips.patientSharing.push.dialog.title.singlePatient')".replace("__patientID__", this._patientId);\n      this._dialog = new PhenoTips.widgets.ModalPopup(this._container, false, {'title': title, 'verticalPosition': 'top', 'removeOnClose': false});\n    },\n\n    _generateServerFirstMessage: function() {\n      return new Element('div', {'class' : 'warningmessage'}).update("$services.localization.render('phenotips.PushPatient.serverFirstMessage')");\n    },\n\n    _generateServerAndUserFirstMessage: function() {\n      return new Element('div', {'class' : 'warningmessage'}).update("$services.localization.render('phenotips.PushPatient.serverAndUserFirstMessage')");\n    },\n\n    _generateNoPatientJSONMessage: function(fieldList) {\n      var retryButton = new Element('input', {type: 'button', name : 'retry', 'value': "$services.localization.render('phenotips.PushPatient.retry')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n      var _this = this;\n      retryButton.observe('click', function(event) {\n        _this._generateDataPreview(fieldList);\n      });\n      return new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.PushPatient.noPatientMessage')").insert(retryButton);\n    },\n\n    _generateNoServerListMessage: function() {\n      var retryButton = new Element('input', {type: 'button', name : 'retry', 'value': "$services.localization.render('phenotips.PushPatient.retry')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n      var _this = this;\n      retryButton.observe('click', function(event) {\n        _this._launchUI();\n      });\n      return new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.PushPatient.noServerListMessage')").insert(retryButton);\n    },\n\n    _generateCantConnectToServerMessage: function(failMessage, username, password) {\n      var retryButton = new Element('input', {type: 'button', name : 'retry', 'value': "$services.localization.render('phenotips.PushPatient.retry')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n      var _this = this;\n      retryButton.observe('click', function(event) {\n        _this._loginAndGetConfig(username, password);\n      });\n      return new Element('div', {'class' : 'errormessage'}).update(failMessage + " ").insert(retryButton);\n    },\n\n    _generateNoPushServerConfiguredMessage: function() {\n          return new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.PushPatient.noPushServerConfiguredMessage')");\n    },\n\n    _generateIncorrectCredentialsMessage: function() {\n          return new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.PushPatient.noPushServerConfiguredMessage')");\n    },\n\n    _generateFailedToPushPatient: function(errorMessage, retryButton, retryAsNew) {\n      var result = new Element('div', {'class' : 'errormessage'}).update(errorMessage);\n\n      if (retryButton)\n      {\n        var retryButton = new Element('input', {type: 'button', name : 'retry', 'value': "$services.localization.render('phenotips.PushPatient.retry')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n        var _this = this;\n        retryButton.observe('click', function(event) {\n          _this._pushPatient();\n        });\n        result.insert(retryButton);\n      }\n      if (retryAsNew)\n      {\n        var retryAsNewButton = new Element('input', {type: 'button', name : 'retry', 'value': "$services.localization.render('phenotips.PushPatient.retryAsNew')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n        var _this = this;\n        retryAsNewButton.observe('click', function(event) {\n          _this._selectPushNewPatient();\n          _this._pushPatient();\n        });\n        result.insert(retryAsNewButton);\n      }\n      return result;\n    },\n\n    _onUnapprovedUser: function() {\n      this._patientData = undefined;\n\n      this._groupManager.update(this._generateServerAndUserFirstMessage());\n      !this._pushManyPatients && this._fieldsManager.update(this._generateServerAndUserFirstMessage());\n\n      this._pushButton.disable();   // disabled until the server is selected and fields are confirmed\n      this._approveElement.hide();\n\n      this._pushResultSection.update("");\n\n      this._patientFieldList = undefined;\n      this._userGroupsList   = undefined;\n    },\n\n    _onNoServerSelected: function() {\n      this._lastApprovedUser  = undefined;\n      this._lastSelectedGroup = undefined;\n      this._userLoginError    = undefined;\n\n      this._serverInfo.hide();\n      this._userManager.update(this._generateServerFirstMessage());\n\n      this._onUnapprovedUser();\n    },\n\n    _disableControl: function(control) {\n        // disables the control and makes sure that even if all controls are now disabled\n        // and will get re-enabled later this one wont get re-enabled\n        control.disable();\n        control.__wasDisabledState = true;  // see _disableInputs()\n    },\n\n    _disableInputs: function(disableCancelAsWell) {\n       // disable all UI elements while waiting for AJAX rerquest to complete\n       this._container.addClassName('loading');\n       var allInputs = this._container.getElementsByTagName('input');\n       for (var i = 0; i < allInputs.length; i++) {\n          if (allInputs[i].disabled) {\n            allInputs[i].__wasDisabledState = true;\n          } else {\n            allInputs[i].disable();\n          }\n       }\n       // disable server-selector: it is an option not an input\n       this._serverSelector.down('select').disable();\n       // but enable the cancel button\n       if (!disableCancelAsWell) {\n          this._cancelButton.enable();\n       }\n    },\n\n    _restoreInputs: function() {\n       this._container.removeClassName('loading');\n       // but do not enable what was disbaled before\n       var allInputs = this._container.getElementsByTagName('input');\n       for (var i = 0; i < allInputs.length; i++) {\n          if  (allInputs[i].__wasDisabledState) {\n             delete(allInputs[i].__wasDisabledState);\n          } else {\n             allInputs[i].enable();\n          }\n       }\n       // enable server-selector: it is an option not an input\n       this._serverSelector.down('select').enable();\n    },\n\n    _launchUI : function() {\n      var _this = this;\n      document.stopObserving('xwiki:document:saved', _this._observeSave);\n\n      if (this.__launchUIAjaxInProgress) { return; }\n\n      // reset data about available push servers\n      this._remoteServers       = {};\n      this._numAvailableServers = 0;\n\n      this._onNoServerSelected();\n\n      this._serverLoadMessages.update(new Element('div', {'class' : 'infomessage'}).update("$services.localization.render('phenotips.PushPatient.retrievingListMessage')"));\n      this._serverLoadMessages.show();\n      this._serverSelector.hide();\n      this._container.addClassName('loading');\n\n      //AJAX 1: Get available remote servers\n      new Ajax.Request(this._serviceURL, {\n        method: _this._container.method,\n        parameters : {'do':'getremotes', 'patientId': _this._patientId},\n        onCreate : function() {\n          _this.__launchUIAjaxInProgress = true;\n          _this._dialog.showDialog();\n          _this._container.up('.msdialog-modal-container').style.zIndex = 3001;\n        },\n        onSuccess : function (response) {\n          console.log("PUSH: Got response for the getremotes request");\n          var data = response.responseJSON;\n\n          if (!data || data.length == 0) {\n            //console.log("PUSH: no remotes defined");\n            // if there are no configured servers, display warning message\n            _this._serverLoadMessages.update(_this._generateNoPushServerConfiguredMessage());\n          } else {\n            //console.log("PUSH: Found " + data.length + " remotes: " + stringifyObject(data));\n            // otherwise show the list of servers to pick from\n            _this._serverLoadMessages.hide();\n            _this._populateServerList(data);\n          }\n        },\n        onFailure : function(response) {\n          _this._serverLoadMessages.update(_this._generateNoServerListMessage());\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          _this.__launchUIAjaxInProgress = false;\n          _this._container.removeClassName('loading');\n          console.log("PUSH: getting remotes - complete");\n        }\n      });\n    },\n\n    _queryStoredUserName: function() {\n      var _this = this;\n      this._userManager.update("");\n      //AJAX 2: Get the user name last used for this server\n      new Ajax.Request(this._serviceURL, {\n        method: _this._container.method,\n        parameters : {'do':'getuser', 'serverid': this._selectedServer },\n        onCreate : function() {\n          console.log("PUSH: get username - start");\n          _this._disableInputs();\n        },\n        onSuccess : function (response) {\n          //console.log("PUSH: Got user last used for the server (JSON: " + stringifyObject(response.responseJSON) + ")");\n          if (response.responseJSON.remoteUserName) {\n            _this._lastApprovedUser = response.responseJSON.remoteUserName;\n          }\n        },\n        onFailure : function(response) {\n          console.log("PUSH: couldn't not get the user last used for this server");\n          // just ignore the failure and let user manualy enter username/password\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          _this._restoreInputs();\n          console.log("PUSH: getting username - complete");\n          if (_this._lastApprovedUser) {\n              _this._loginAndGetConfig(_this._lastApprovedUser, null);  // attempt a password-less login using stored token\n          }\n          else {\n              _this._updateUserList();\n          }\n        }\n      });\n    },\n\n    _loginAndGetConfig: function(username, password) {\n      console.log("loginAndGetConfig: probing " + username);\n\n      var _this = this;\n      // TODO: suport workflow when tokens are not enabled e.g. on the server side (have to remember username/password in JS)\n      var params = {'do':'getremoteconfig', 'serverid': this._selectedServer, 'savetoken':true };\n      if (password) {\n        params['usr'] = username;\n        params['pwd'] = password;\n      }     // else atempt a passwordless login using the stored username\n\n      //AJAX 3: attempt to authorize on the remote server + get remote config\n      new Ajax.Request(this._serviceURL, {\n        method: _this._container.method,\n        parameters : params,\n        onCreate : function() {\n          console.log("PUSH: get remote config - start");\n          _this._disableInputs();\n        },\n        onSuccess : function (response) {\n          if (response.hasOwnProperty("responseJSON") && response.responseJSON) {\n            console.log("PUSH: Got response from server: " + stringifyObject(response.responseJSON));\n            _this._lastLoginResponse = response.responseJSON;    // TODO: store per user+server locally, so that there is no need to AJAX again for the same user if selected again?\n          } else {\n            console.log("PUSH: No response from local service");\n            _this._lastLoginResponse =  {"status":"error", "nolocalresponse":true};\n          }\n        },\n        onFailure : function(response) {\n          console.log("PUSH: unable to get a response from remote server");\n          _this._lastLoginResponse = {"status":"error", "serverconnectproblem":true};  // simulate "unable to connect" response from script service\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          this._restoreInputs();\n          console.log("PUSH: get remote config - complete");\n\n          if (this._lastLoginResponse.status == "success") {\n            console.log("--> login successful!");\n            this._lastApprovedUser = username;\n            this._updateUserList();  // update current user list with an indication that this user has successfully logged in\n\n            var fieldListToUse = this._lastLoginResponse.serverfields.filter(function(field) {\n                      return this._supportedFields.indexOf(field) != -1;\n            }.bind(this));\n            this._populateGroupsAndData(this._lastLoginResponse.groups, fieldListToUse, this._lastLoginResponse.updatesEnabled);\n          }\n          else {\n            console.log("--> login failed!");\n            if (this._lastApprovedUser == username) {\n              this._lastApprovedUser = undefined;   // this user is no longer approved\n            }\n            this._updateUserList(username, this._lastLoginResponse, username, password);\n          }\n        }.bind(this)\n      });\n    },\n\n    _logoutUser: function() {\n      var _this = this;\n      var params = {'do':'removetokens', 'serverid': this._selectedServer };\n\n      new Ajax.Request(this._serviceURL, {\n        method: _this._container.method,\n        parameters : params,\n        onCreate : function() {\n          console.log("PUSH: logout user");\n          try{\n          _this._disableInputs();\n          } catch (e) {console.log("ERROR: " + e); }\n        },\n        onSuccess : function (response) {\n          _this._lastLoginResponse = undefined;\n          _this._lastApprovedUser  = undefined;\n          _this._updateUserList();\n        },\n        onFailure : function(response) {\n          alert("Failed to log out");\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          this._restoreInputs();\n          console.log("PUSH: logout - complete");\n        }.bind(this)\n      });\n    },\n\n    _updateUserList: function(selectedUserName, lastLoginResponse, user_when_failed, password_when_failed) {\n      if (lastLoginResponse) {\n        if (this._lastLoginResponse.nolocalresponse) {\n          this._userManager.update(this._generateCantConnectToServerMessage("$services.localization.render('phenotips.PushPatient.noLocalResponse')", user_when_failed, password_when_failed));\n          return;\n        }\n        if (this._lastLoginResponse.unauthorizedserver) {\n          this._userManager.update(this._generateCantConnectToServerMessage("$services.localization.render('phenotips.PushPatient.unauthorizedServer')", user_when_failed, password_when_failed));\n          return;\n        }\n        if (this._lastLoginResponse.serverconnectproblem) {\n          this._userManager.update(this._generateCantConnectToServerMessage("$services.localization.render('phenotips.PushPatient.serverConnectProblem')", user_when_failed, password_when_failed));\n          return;\n        }\n      }\n\n      console.log("updateUserList: " + selectedUserName + ", last approved: " + this._lastApprovedUser);\n      var _this = this;\n\n      var userList = new Element('table', {id : 'user-list'});\n\n      // either show only the username/password inputs + "authorize" button or\n      // a radiobox [last approved user] and [the inputs + button above]\n      // => re-login at every change\n\n      // 1) if `lastApprovedUser` and `selectedUserName` are not set: only username/password inputs (selected)\n      // 1) if `lastApprovedUser` is not set and `selectedUserName` is set: only username/password inputs (selected and prefilled)\n      // 1) if `lastApprovedUser` is set and `selectedUserName` is not or equal to `lastApproved`: select lastApproved, plus an option to enter username/password\n      // 2) if `lastApprovedUser` is set and `selectedUserName` is also set and different: show username/password (selected & prefilled) + an option to switch to `lastApproved`\n\n      var _addUserOption = function (checked, iconType, labelText, handlerWhenSelected, controlledElements) {\n        var optionWrapper = new Element('tr');\n        var input = new Element('input', {"type" : "radio", "value": labelText, "name": "select-user"});\n        if (checked) {\n          input.checked = true;\n        }\n        var label = new Element('label').insert(input).insert(labelText);\n        optionWrapper.insert(new Element('span', {'class' : 'fa fa-' + iconType}).wrap('td')).insert(label.wrap('td'));\n\n        if (controlledElements) {\n          optionWrapper.insert(controlledElements.wrap('td', {'class' : 'controlled-element'}));\n        }\n\n        input.observe('change', function(event) {\n             var trigger = event.findElement('input');\n\n             // disable inputs for all other user options\n             var inputs  = trigger.up('table').getElementsByTagName('input');\n             for (var i = 0; i < inputs.length; i++) {\n                if (inputs[i].getAttribute("name") != "select-user")\n                    inputs[i].disable();\n             }\n             // enable inputs for this option\n             var inputs  = trigger.up('tr').getElementsByTagName('input');\n             for (var i = 0; i < inputs.length; i++) {\n                 inputs[i].enable();\n             }\n\n             handlerWhenSelected();\n        });\n        return optionWrapper;\n      };\n\n      var preApprovedChecked = false;\n      if (this._lastApprovedUser) {\n        preApprovedChecked = !selectedUserName || (this._lastApprovedUser == selectedUserName);\n        var forgetmeBox = new Element('input', {type: 'button', name : 'logout', 'value': "$services.localization.render('phenotips.PushPatient.logOut')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n        forgetmeBox.observe('click', function(event) {\n           this._onUnapprovedUser();\n           this._logoutUser();\n        }.bind(this));\n        var preApprovedOption = _addUserOption(preApprovedChecked, "check", "$services.localization.render('phenotips.PushPatient.currentlyAuthenticatedMessage')".replace("__lastApprovedUser__", "<strong>"+this._lastApprovedUser+"</strong> &nbsp;"),\n                                               function(){\n                                                 this._userLoginError.hide();\n                                                 this._onUnapprovedUser();\n                                                 this._loginAndGetConfig(this._lastApprovedUser);\n                                               }.bind(this), forgetmeBox);\n        userList.insert(preApprovedOption);\n      }\n\n      // add an option to enter username & password manually\n      var userPasswrodBox = new Element("span", {'class' : 'user-password-box'});\n      var userNameBox = new Element("input", {type: 'text', "id": "newusername", "value": "", "placeholder": "$services.localization.render('phenotips.PushPatient.userName')", size: 12});\n      if (selectedUserName) {\n        userNameBox.value = selectedUserName;\n      }\n      var passwordBox = new Element("input", {type:'password', "id": "password", "value": "", "placeholder": "$services.localization.render('phenotips.PushPatient.password')", size: 12});\n      var authorizeButton = new Element('input', {type: 'button', id:"authorizenewuser", 'name':'authorize', 'value':"$services.localization.render('phenotips.PushPatient.logIn')", 'class':'button secondary'});\n      authorizeButton.observe('click', function(event) {\n         if (passwordBox.value != "") {\n             this._userLoginError.hide();\n             this._loginAndGetConfig(userNameBox.value, passwordBox.value);\n         } else {\n             this._userLoginError.update("$services.localization.render('phenotips.PushPatient.noPassword')");\n             this._userLoginError.show();\n         }\n      }.bind(this));\n\n      if (preApprovedChecked) {\n         userNameBox.disable();\n         passwordBox.disable();\n         authorizeButton.disable();\n      }\n      userPasswrodBox.insert(userNameBox.wrap('label', {'class' : 'fa fa-user'}))\n                     .insert(" ")\n                     .insert(passwordBox.wrap('label', {'class' : 'fa fa-key'}))\n                     .insert(" ")\n                     .insert(authorizeButton.wrap('span', {'class' : 'buttonwrapper'}));\n\n      if (this._lastApprovedUser) {\n          userList.insert(_addUserOption(!preApprovedChecked, "user", "$services.localization.render('phenotips.PushPatient.addAnotherUser')", this._onUnapprovedUser.bind(this), userPasswrodBox));\n      } else {\n          userList.insert(userPasswrodBox.wrap('td', {'class' : 'controlled-element'}).wrap('tr'));\n      }\n\n      this._userLoginError = new Element('div', {'class' : 'errormessage'});\n      this._userLoginError.hide();\n      this._userManager.update(userList).insert(this._userLoginError);\n\n      if (lastLoginResponse) {\n        if (this._lastLoginResponse.loginfailed && password_when_failed != "") {   // ignore unseccessful passwrodless logins - maybe token has expired, it is OK\n          this._userLoginError.update("$services.localization.render('phenotips.PushPatient.cantAuthorizeUser')");\n          this._userLoginError.show();\n        }\n      }\n    },\n\n    // ---------------------------------------------------------------------\n    // Display group picker and data preview - once server/user are known\n    // ---------------------------------------------------------------------\n    _populateGroupsAndData: function(groupList, fieldList, serverUpdatesEnabled) {\n      //console.log("Fields: " + stringifyObject(fieldList));\n      if (!serverUpdatesEnabled) {\n          this._remoteServers[this._selectedServer]["noUpdates"] = true;\n      }\n      this._displayGroupPicker(groupList);\n      if (this._pushManyPatients) {\n        this._showApproveCheckbox();\n      } else {\n        this._generateDataPreview(fieldList);\n      }\n    },\n\n    _displayGroupPicker: function(groupList) {\n      if (!groupList) {\n        groupList = this._userGroupsList;\n        if (!this._userGroupsList) return;\n      }\n      else {\n        this._userGroupsList = groupList;\n      }\n      console.log("Groups: " + stringifyObject(groupList));\n\n      var groupListElement = new Element('table', {id : 'user-list'});\n\n      var _addGroupOption = function (checked, iconType, labelText, value) {\n        var optionWrapper = new Element('tr');\n        var input = new Element('input', {"type" : "radio", "value": value, "name": "select-group"});\n        if (checked) {\n          input.checked = true;\n        }\n        var label = new Element('label').insert(input).insert(labelText);\n        optionWrapper.insert(new Element('span', {'class' : 'fa fa-' + iconType}).wrap('td')).insert(label.wrap('td'));\n        return optionWrapper;\n      };\n\n      if (!this._updatingExistingPatient())  {\n          var noGroupMessage = "<span class ='hint'>$services.localization.render('phenotips.PushPatient.noGroupMessage')</span>";\n          if (groupList.length == 0) {\n            noGroupMessage += " $services.localization.render('phenotips.PushPatient.noGroupMessageHint')".replace("__lastApprovedUser__", this._lastApprovedUser);\n          }\n          groupListElement.insert(_addGroupOption(true, "user", noGroupMessage, "__self"));\n\n          groupList.each(function (group) {\n                groupListElement.insert(_addGroupOption(false, "group", group, group));\n            });\n      } else {\n          var msg = "$services.localization.render('phenotips.PushPatient.keepGroupMessage')";\n          msg += " <span class ='hint'>$services.localization.render('phenotips.PushPatient.keepGroupMessageHint')</span>"\n          groupListElement.insert(_addGroupOption(true, "check", msg, "__self"));\n      }\n\n      this._groupManager.update(groupListElement);\n\n      if (this._remoteServers[this._selectedServer]["noUpdates"]) {\n          this._disableUpdateOption();\n      }\n    },\n\n    _generateDataPreview: function(fieldList) {\n      this._patientFieldList = fieldList;\n      var _this = this;\n      //AJAX 4: local AJAX request to get patient JSON to let the user see the actual data being pushed\n      new Ajax.Request(this._serviceURL, {\n        method: _this._container.method,\n        parameters : { "do":"getpatientjson", "patientid":_this._patientId, "fields":Object.toJSON(this._patientFieldList) },\n        onCreate : function() {\n          console.log("PUSH: get patient JSON - start");\n          _this._disableInputs();\n        },\n        onSuccess : function (response) {\n          console.log("PUSH: Got response from server: " + stringifyObject(response.responseJSON));\n          _this._displayPatientData(response.responseJSON);\n        },\n        onFailure : function(response) {\n          console.log("PUSH: unable to get patient JSON");\n          _this._fieldsManager.update(_this._generateNoPatientJSONMessage(fieldList));\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          _this._restoreInputs();\n          console.log("PUSH: get patient JSON - complete");\n        }\n      });\n    },\n\n    _displayPatientData: function(patientData) {\n      this._showApproveCheckbox();\n      this._patientData = patientData;\n      //console.log("Data: " + stringifyObject(patientData));\n      this._fieldsManager.update(this._generatePatientDataPreview(patientData));\n    },\n\n    _showApproveCheckbox: function() {\n      this._checkBoxApprove.checked = false;\n      this._checkBoxApprove.enable();\n      this._approveElement.show();\n    },\n\n    _generatePatientDataPreview: function(patientJSON) {\n        var dataCategories = [\n           {\n              'name'     : 'external_id',\n              'title'    : "$services.localization.render('phenotips.PushPatient.dataPreviewIdentifier')",\n              'callback' : '__displayId'\n           },\n           {\n              'name'     : 'sex',\n              'title'    : "$services.localization.render('phenotips.PushPatient.dataPreviewSex')",\n              'callback' : '__displaySex'\n           },\n           {\n              'name'     : 'features',\n              'title'    : "$services.localization.render('phenotips.PushPatient.dataPreviewFeatures')",\n              'callback' : '__displayFeatures'\n           },\n           {\n              'name'     : 'disorders',\n              'title'    : "$services.localization.render('phenotips.PushPatient.dataPreviewDisorders')",\n              'callback' : '__displayFeatures'\n           },\n        ];\n        var result = new Element('dl');\n        var _this = this;\n        dataCategories.each(function(c) {\n           patientJSON[c.name] && _this[c.callback] && result.insert(new Element('dt').update(c.title || c.name)).insert(_this[c.callback](patientJSON[c.name]).addClassName('data-preview-section'));\n        });\n        return result;\n    },\n\n    __displayId : function(id) {\n        return new Element('dd').insert(id);\n    },\n    __displaySex : function(sex) {\n        return new Element('dd').insert(\n           (sex == "F") ? "$services.localization.render('phenotips.PushPatient.female')" :\n           (sex == "M") ? "$services.localization.render('phenotips.PushPatient.male')" :\n           (sex == "O") ? "$services.localization.render('phenotips.PushPatient.other')" :\n           "$services.localization.render('phenotips.PushPatient.unknown')");\n    },\n\n    __displayFeatures : function(features) {\n        var result = new Element('dd');\n        features.each(function (f) {\n          result.insert(new Element('div', {'class' : (f.observed == "no" ? "negative" : "")}).update((f.observed == "no" ? "$services.localization.render('phenotips.PushPatient.negative')" : "") + f.label).insert(f.id && new Element('span', {'class' : 'hint'}).update(' (' + f.id + ')')  || '') );\n        });\n        return result;\n    },\n\n    // ---------------------------------------------------------------------\n    // Generate server selection UI\n    // ---------------------------------------------------------------------\n    _populateServerList: function(pushServerList) {\n      //console.log("Server list input: " + stringifyObject(pushServerList));\n\n      this._remoteServers = {};\n      var servers = [];\n\n      this._numAvailableServers = pushServerList.length;\n      for(var i = 0; i < pushServerList.length; i++) {\n          var serverInfo = pushServerList[i].serverinfo;\n          var pushInfo   = pushServerList[i].pushinfo;\n          var name       = serverInfo.serverID;\n          servers.push(name);\n\n          serverInfo.serverURL = this._addHTTP(serverInfo.serverURL);\n\n          var pushAge    = pushInfo ? pushInfo.lastPushAgeInHours : -1;\n          var remoteID   = pushInfo ? pushInfo.remotePatientID : "";\n          var remoteGUID = pushInfo ? pushInfo.remotePatientGUID : "";\n          var remoteURL  = pushInfo ? (serverInfo.serverURL + pushInfo.remotePatientURL) : "";\n          this._remoteServers[name] = {"url": serverInfo.serverURL,\n                                       "desc": serverInfo.serverDescription,\n                                       "pushAgeHours": pushAge,\n                                       "remoteID": remoteID,\n                                       "remoteGUID": remoteGUID,\n                                       "remoteURL": remoteURL};\n      }\n      servers.sort();\n      var _this = this;\n\n      //console.log("Remote servers as cached: " + stringifyObject(this._remoteServers))\n\n      this._selectServer(this._selectedServer);\n    },\n\n    _selectServer: function(serverName, keepUserAndGroup) {\n        this._selectedServer = serverName;\n        var serverData = this._remoteServers[serverName];\n        var serverLink = new Element('a', {'href' : serverData.url, 'target' : '_blank', 'class' : 'remote-server-name'}).update(this._selectedServer);\n\n        if (this._numAvailableServers == 1) {\n            this._serverInfo.update("$services.localization.render('phenotips.PushPatient.oneServerMessage')");\n        }\n\n        var existingPatientDataInfo = '';\n\n        if (serverData.pushAgeHours !== undefined && serverData.pushAgeHours >=0) {\n           existingPatientDataInfo = new Element('dd');\n\n           var description = new Element('p', {'id': 'server-description'});\n           var lastUpdated = serverData.pushAgeHours;\n           description.insert("$services.localization.render('phenotips.PushPatient.patientUploadedMessage')");\n           if (lastUpdated < 1) {\n              description.insert(" $services.localization.render('phenotips.PushPatient.patientUploadedLessThanHour')");\n           } else {\n              if (lastUpdated >= 48) {\n                  description.insert(" " + Math.floor(lastUpdated/24) + " $services.localization.render('phenotips.PushPatient.patientUploadedDays')");\n              } else {\n                  description.insert(" " + lastUpdated + " $services.localization.render('phenotips.PushPatient.patientUploadedHours')");\n              }\n           }\n\n           description.insert(" $services.localization.render('phenotips.PushPatient.patientUploadedAsID') ").insert(new Element('a', {'href' : serverData.remoteURL, 'target' : '_blank'}).update(serverData.remoteID)).insert('.');\n           description.insert("<br/>$services.localization.render('phenotips.PushPatient.patientUploadedUpdate')")\n           existingPatientDataInfo.insert(description);\n\n           var _this = this;\n           var selectPushType = new Element('p');\n           var radio1 = new Element('input', {"type" : "radio", "value": "update", "id":"choice-update-patient", "name": "new-or-update"});\n           radio1.checked = true;\n           radio1.observe('change', function() { _this._displayGroupPicker() });\n           var label1 = new Element('label', {"hidden": true}).insert(new Element('span', {'class' : 'fa fa-refresh'}).update(' ')).insert(radio1).insert("$services.localization.render('phenotips.PushPatient.updateRemotePatient')");\n           var radio2 = new Element('input', {"type" : "radio", "value": "new", "id":"choice-new-patient", "name": "new-or-update"});\n           radio2.observe('change', function() { _this._displayGroupPicker() } );\n           var label2 = new Element('label', {"hidden": true}).insert(new Element('span', {'class' : 'fa fa-plus-square'}).update(' ')).insert(radio2).insert("$services.localization.render('phenotips.PushPatient.createRemotePatient')");\n           existingPatientDataInfo.insert(label1).insert(label2);\n        }\n\n        this._serverInfo.update(new Element('dl')\n                           .insert(serverLink.clone(true).wrap('dt'))\n                           .insert(serverData.desc && new Element('dd', {'class' : 'hint'}).update(serverData.desc) || '')\n                           .insert(existingPatientDataInfo || '')\n        );\n\n        if (!keepUserAndGroup) {\n            this._serverInfo.show();\n            this._queryStoredUserName();\n        }\n    },\n\n    _onServerOptionChange: function() {\n      var serverSelectInput = this._serverSelector.down('select');\n      var selectedServer = serverSelectInput.options[serverSelectInput.selectedIndex].value;\n      this._onNoServerSelected();\n      if (selectedServer != 'none') {\n        this._selectServer(selectedServer);\n      }\n    },\n\n    _initServerSelector: function() {\n      this._serverLoadMessages = new Element('div', {id: 'server-load-messages'});\n      this._serverLoadMessages.hide();\n\n      var options = new Element('select', {id: 'server-selector'});\n      options.insert(new Element('option', {value: "none"}).update("$services.localization.render('phenotips.PushPatient.loadingServers')"));\n      options.observe('change', this._onServerOptionChange.bind(this));   // on server selection: enable & repopulate user/group lists\n\n      this._serverSelector = new Element('div', {id: 'server-selector-div'});\n      this._serverSelector.hide();\n      this._serverSelector.update(options);\n\n      this._serverInfo = new Element('div', {id: 'server-info'});\n\n      this._serverManager.update(this._serverLoadMessages).insert(this._serverSelector ).insert(this._serverInfo);\n    },\n\n    // ---------------------------------------------------------------------\n    // Generate and handle main "Cancel" and "Push" buttons\n    // ---------------------------------------------------------------------\n    _initMainFormActions : function() {\n      var _this = this;\n      var buttons = new Element('div', {'class' : 'buttons'});\n      buttons.insert(new Element('input', {type: 'hidden', name : 'xaction', 'value': 'push'}));\n      buttons.insert(new Element('input', {type: 'hidden', name : 'patient', 'value': this._patientId}));\n      var pushButtonTitle = this._pushManyPatients ? "$services.localization.render('phenotips.PushPatient.button.manyPatients.submit')" : "$services.localization.render('phenotips.PushPatient.button.push')";\n      buttons.insert(new Element('input', {type: 'submit', name : 'submit',  'value': pushButtonTitle, 'class' : 'button', 'id': 'push_patient_button'}).wrap('span', {'class' : 'buttonwrapper'}));\n      buttons.insert(new Element('input', {type: 'button', name : 'close',   'value': "$services.localization.render('phenotips.PushPatient.button.cancel')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'}));\n      this._container.insert(buttons);\n\n      this._pushResultSection = new Element ('div', {'class' : 'section-contents'});\n      this._container.insert(this._pushResultSection);\n\n      this._cancelButton = buttons.down('input[name="close"]');\n      this._cancelButton.observe('click', function(event) {\n        _this._dialog.closeDialog();\n      })\n\n      this._pushButton = buttons.down('input[name="submit"]');\n      this._checkBoxApprove.observe("click", function(event) {\n        if (_this._checkBoxApprove.checked) {\n          _this._pushResultSection.update("");\n          _this._pushButton.enable();\n        }\n        else\n          _this._pushButton.disable();\n          _this._pushResultSection.update("");\n      });\n\n      this._container.observe('submit', function(event) {\n        event.stop();\n        if (_this._pushManyPatients) {\n            _this._pushMultiplePatients();\n        } else {\n            _this._pushPatient();\n        }\n      })  // observe('submit')\n    },\n\n    _updatingExistingPatient: function() {\n        var pushUpdate = false;\n        var radioSelectUpdate = document.getElementById('choice-update-patient');\n        if (radioSelectUpdate) {\n            pushUpdate = radioSelectUpdate.checked;\n        }\n        return pushUpdate;\n    },\n\n    _selectPushNewPatient: function() {\n        var radioSelectUpdate = document.getElementById('choice-update-patient');\n        var radioSelectNew    = document.getElementById('choice-new-patient');\n\tif (radioSelectUpdate && radioSelectNew) {\n            radioSelectUpdate.checked = false;\n            radioSelectNew.checked    = true;\n        }\n    },\n\n    _disableUpdateOption: function() {\n        var radioSelectNew = document.getElementById('choice-new-patient');\n        if (radioSelectNew) {\n            radioSelectNew.checked = true;\n        }\n        var radioSelectUpdate = document.getElementById('choice-update-patient-label');\n        if (radioSelectUpdate) {\n            var serverDesc = document.getElementById('server-description');\n            serverDesc.insert("<p>$services.localization.render('phenotips.PushPatient.serverDesc')</p>");\n            radioSelectUpdate.hide()\n        }\n    },\n\n    _pushPatient: function(patientID, callBack, columnList) {\n        var _this = this;\n        if (_this._pushManyPatients && (!patientID || !callBack)) {\n            return;\n        }\n        if (!_this._pushManyPatients) {\n            _this._pushResultSection.update("");\n        }\n\n        var patientID = patientID ? patientID : this._patientId;\n\n        var params = {"do":"push", 'serverid': this._selectedServer, 'patientid': patientID};\n\n        params["fields"] = columnList ? Object.toJSON(columnList) : Object.toJSON(this._patientFieldList);\n\n        if (_this._pushManyPatients){\n            params["guid"] = "auto";\n        } else if (this._updatingExistingPatient()) {\n            params["guid"] = _this._remoteServers[_this._selectedServer].remoteGUID;\n        }\n\n        var radioSelectValue = $$('input:checked[type=radio][name="select-group"]')[0].value;\n        if (radioSelectValue != "__self") {\n            params["groupname"] = radioSelectValue;\n        }\n\n        console.log("PUSH request params: " + stringifyObject(params));\n\n        new Ajax.Request(this._serviceURL, {\n          method: _this._container.method,\n          parameters : params,\n          onCreate : function() {\n            _this._disableInputs(true /* disable cancel button as well */);\n          },\n          onSuccess : function(response) {\n            try {\n                console.log("Got response: " + stringifyObject(response.responseJSON));\n                var res = response.responseJSON;\n                if (_this._pushManyPatients) {\n                    callBack(res, patientID);\n                    return;\n                }\n                if (res.status == "success") {\n                    _this._checkBoxApprove.checked = false;\n\n                    // update cached value for how this patient is represented on this remote server\n                    var newURL = _this._remoteServers[_this._selectedServer].url + res.patienturl;\n                    _this._remoteServers[_this._selectedServer]["pushAgeHours"] = 0;\n                    _this._remoteServers[_this._selectedServer]["remoteID"]     = res.patientid;\n                    _this._remoteServers[_this._selectedServer]["remoteGUID"]   = res.patientguid;\n                    _this._remoteServers[_this._selectedServer]["remoteURL"]    = newURL;\n\n                    if (_this._updatingExistingPatient()) {\n                        var linkToOld = "(<a href='" + newURL + "' target='_blank'>click here to open remote patient</a>)";\n                        _this._pushResultSection.update(new Element('div', {'class' : 'infomessage'}).update("$services.localization.render('phenotips.PushPatient.successfulUpdate') " + linkToOld));\n                    } else {\n                        var linkToNew = "<a href='" + newURL + "' target='_blank'>" + res.patientid + "</a>";\n                        _this._pushResultSection.update(new Element('div', {'class' : 'infomessage'})\n                                                .update("$services.localization.render('phenotips.PushPatient.successfulPush') " + linkToNew));\n                    }\n\n                    // update UI to reflect that we have already pushed this patient: default option\n                    // is now "update" and the group choice should now be correspondingly removed\n                    _this._selectServer(_this._selectedServer, true);\n                    _this._displayGroupPicker();\n                } else {\n                    if (res.updatesdisabled) {\n                        _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedUpdatesDisabled')"));\n                    } else\n                    if (res.invalidguid) {\n                        _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedInvalidGuid')&nbsp;", false, true));\n                    } else\n                    if (res.accessdeniedguid) {\n                        _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedAccessDeniedGuid')"));\n                    } else\n                    if (res.accessdeniedguid) {\n                        _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedAccessDenied')"));\n                    } else\n                    if (res.cantconnect) {\n                      _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedCantConnect')", true));\n                    } else {\n                      _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailed')", true));\n                    }\n                }\n                //_this._dialog.closeDialog();\n              } catch (e) {\n                console.log("EXCEPTION: " + e);\n                _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedException')".replace("__e__", e), true));\n              }\n          },\n          onFailure : function(response) {\n            if (_this._pushManyPatients) {\n                callBack({"status": "error"}, patientID);\n                return;\n            }\n            var provideRetry  = false;\n            var failureReason = response.statusText;\n            if (response.statusText == '' || response.status == 12031 ) {   // no response + IE special case\n               failureReason = 'Server not responding';\n               provideRetry  = true;\n            }\n            _this._pushResultSection.update(_this._generateFailedToPushPatient(failureReason, provideRetry));\n          },\n          on0 : function (response) {\n            if (_this._pushManyPatients) {\n                callBack({"status": "error"}, patientID);\n                return;\n            }\n            response.request.options.onFailure(response);\n          },\n          onComplete : function() {\n            _this._restoreInputs();\n            if (!_this._checkBoxApprove.checked) {\n              _this._pushButton.disable();\n            }\n          }\n        });\n    },\n\n    _addHTTP: function(url) {\n        if (!/^(f|ht)tps?:\\/\\//i.test(url)) {\n          url = "http://" + url;\n        }\n        return url;\n    },\n\n    _pushMultiplePatients: function() {\n        var _this = this;\n\n        var doMultiPush = function(patients, columns) {\n            //console.log("Push with params: " + patients + " -> " + columns + " -> " + _this._selectedServer);\n            _this._checkBoxApprove.checked = false;\n            var pushResult = new Element("div", {"class": "multi-push-results infomessage"});\n            _this._pushResultSection.update(pushResult);\n\n            var next = 0;\n            var pushSingleFunc = function(previousPushResult, prevPatientID) {\n               // display previous push status\n               if (previousPushResult && prevPatientID) {\n                   if (previousPushResult.status != "success") {\n                       pushResult.className = "multi-push-results errormessage";\n                       if (previousPushResult.cantconnect) {\n                           pushResult.insert(" $services.localization.render('phenotips.PushPatient.pushFailedCantConnect')");\n                           return;\n                       }\n                       var reason = "failed.";\n                       if (previousPushResult.invalidguid) {\n                           reason = "$services.localization.render('phenotips.PushPatient.incorrectGuid')";\n                       } else if (previousPushResult.accessdeniedguid) {\n                           reason = "$services.localization.render('phenotips.PushPatient.accessDenied')";\n                       }\n                       pushResult.insert(' ' + reason + "<br/>");\n                   } else {\n                       pushResult.innerHTML = pushResult.innerHTML.replace(/Pushing (\\w+?)\\.\\.\\.$/, "");\n                       var newURL       = _this._remoteServers[_this._selectedServer].url + previousPushResult.patienturl;\n                       var linkToRemote = "<a href='" + newURL + "' target='_blank'>" + previousPushResult.patientid + "</a>";\n                       pushResult.insert("<div class='pushed-ok-message'>" + "$services.localization.render('phenotips.PushPatient.successfulPushWithId')".replace("__prevPatientID__", prevPatientID).replace("__linkToRemote__", linkToRemote) + "</div>");\n                   }\n               }\n               // push next\n               if (next < patients.length) {\n                   var nextPatientID = patients[next++];\n                   pushResult.insert("$services.localization.render('phenotips.PushPatient.pushing')".replace("__nextPatientID__", nextPatientID));\n                   _this._pushPatient(nextPatientID, pushSingleFunc, columns);\n               }\n            }\n\n            pushSingleFunc();\n        }\n        var pushCallBack = function(patients, columns) {\n            if (patients.length == 0) {\n                return;\n            }\n            var confirmMessage = "$services.localization.render('phenotips.PushPatient.confirmMessage')".replace("__numPatients__", patients.length).replace("__selectServer__",  _this._selectedServer)+ "<br/><div class='plainmessage multi-push-patient-list'><ol>";\n            patients.each(function(item) {\n                confirmMessage += "<li>" + item + "</li>";\n            });\n            confirmMessage += "</ol></div>"\n\n            new XWiki.widgets.ConfirmationBox(\n              { onYes : function() { doMultiPush(patients, columns); }, },\n              { confirmationText: confirmMessage, showCancelButton: false }\n            );\n        }\n        var pushPreferencesFail = function() {\n            alert("Failed to get the list of patients to be pushed");\n        }\n        var exportTool = $('phenotips_export');\n        if (!exportTool) return;\n        var dialog = new PhenoTips.widgets.ModalPopup('<img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')"/>', false, {'title': "$services.localization.render('phenotips.pushPatient.exportTitle')", 'verticalPosition': 'top', 'removeOnClose': true, 'extraClassName': 'export-dialog'});\n        dialog.showDialog();\n        // =================================================================================\n        // Generate the dialog content\n        new Ajax.Request(new XWiki.Document('ExportPreferences', 'PhenoTips').getURL('get', 'space=' + /space=([^&]+)/.exec(exportTool.href)[1] + '&multipatient=true&remoteserver='+this._selectedServer), {\n          onSuccess: function(transport) {\n            var content = dialog.dialogBox._x_contentPlug;\n            content.update(transport.responseText);\n            content.__dialog = dialog;\n            document.fire('xwiki:dom:updated', {'elements': [content],\n                                                'multiPushPreferences': content,\n                                                'callbackOK': pushCallBack,\n                                                'callbackFail': pushPreferencesFail});\n          }\n        });\n    }\n\n  });\n  return PhenoTips;\n}(PhenoTips || {}));\n//  ========================================================================\n// End PhenoTips augmentation.\n\n\n// overwrite thebehaviour of the "export/push to" button on the export preferences page:\n// get the selected patients and fields and push using this javascript\n['xwiki:dom:updated'].each(function(eventName) {\n    document.observe(eventName, function(event) {\n        if (!event.memo || !event.memo.multiPushPreferences || !event.memo.callbackOK) {\n            return;\n        }\n        var dialog       = event.memo.multiPushPreferences.__dialog;\n        var callbackOK   = event.memo.callbackOK;\n        var callbackFail = event.memo.callbackFail;\n        var pushButton = $('push-multiple-patients');\n        pushButton && pushButton.observe('click', function(event) {\n            event.stop();\n            var liveMatchCounter = $('filter-match-count');\n            var form = liveMatchCounter && liveMatchCounter.up('form');\n            if (form) {\n                // 1) get the list of selected data columns from the form\n                var selectedFields = [];\n                var fields = form.down('ul.field-list');\n                var checkboxes = fields.select('input[name="columns"]');\n                checkboxes.each(function(item) {\n                    if (item.checked) {\n                        selectedFields.push(item.identify().replace("columns_",""));\n                    }\n                });\n\n                // 2) get the list of filtered patients from the ExportFilter page\n                var url = "$xwiki.getURL('PhenoTips.ExportFilter', 'get')?list=true&" + form.serialize();\n                var ajx = new Ajax.Request(url, {\n                    method: 'get',\n                    onSuccess: function(response) {\n                        var patients = [];\n                        response.responseJSON.each(function(item) {\n                            patients.push(item.replace("data.",""));\n                        });\n                        callbackOK(patients, selectedFields);\n                    },\n                    onFailure: function (response) {\n                        callbackFail && callbackFail();\n                    }\n                });\n            };\n            dialog.closeDialog();\n        });\n    });\n});\n\n\ndocument.observe("xwiki:dom:loaded", function() {\n  new PhenoTips.widgets.PushPatientWidget();\n});\n\n\n//--- debug:\n\nfunction stringifyObject(obj) {\n    return _printObjectInternal(obj, 1);\n}\n\nfunction _printObjectInternal(o, level) {\n    if (level > 10) return "...[too deep, possibly a recursive object]...";\n    var output = '';\n    if (typeof o == 'object')\n    {\n        if (Object.prototype.toString.call(o) === '[object Array]')\n        {\n            output = '[';\n            for (var i = 0; i < o.length; i++) {\n                if (i > 0) output += ', ';\n                output += _printObjectInternal(o[i], level+1);\n            }\n            output += ']';\n        }\n        else\n        {\n            output = '{';\n            var idx = 0;\n            if (level == 0) output += '\\n';\n            for (property in o) {\n                if (!o.hasOwnProperty(property)) continue;\n\n                if (level != 0 && idx != 0 )\n                    output += ', ';\n                output += property + ': ' + _printObjectInternal(o[property], level+1);\n\n                if (level == 0)\n                    output += '\\n';\n                idx++;\n            }\n            output += '}';\n        }\n    }\n    else if (typeof o == 'string') {\n        output = "'" + o + "'";\n    }\n    else\n        output = ''+o;\n    return output;\n}\n
-3681911963317287387	code	#template("colorThemeInit.vm")\n\n#push-patients-ui td {\n  border: 0 none;\n  padding: .3em;\n  text-align: left;\n  vertical-align: top;\n}\n\n#push-patient {\n  display: inline;\n}\n\n#user-selection input[type="text"],\n#user-selection input[type="password"]{\n  width: 30%;\n  box-shadow: 0px 1px 2px rgb(170, 170, 170) inset;\n}\n\n#user-selection input[type="text"]:focus, input[type="password"]:focus, textarea:focus {\n    border-color: $theme.linkColor;\n}\n\n#user-selection input.button:disabled {\n    background-image: none;\n}\n\n#user-selection #rememberme-checkbox {\n  margin-top: 0.5em;\n}\n\n#user-selection label {\n  white-space:nowrap;\n}\n\n#server-info, #fields-selection dl {\n  background: none repeat scroll 0 0 #FFFFFF;\n  box-shadow: 0 0 3px #AAAAAA;\n  margin: 15px 0 0;\n  padding: 0.5em;\n  position: relative;\n}\n\n#server-info:before, #server-info:after,\n#fields-selection dl:before, #fields-selection dl:after {\n  content: "";\n  display: block;\n  position: absolute;\n  border: 10px solid transparent;\n  border-top: 0 none;\n  border-bottom-color: #FFF;\n  top: -9px;\n}\n\n#server-info:before,\n#fields-selection dl:before {\n  border-bottom-color: #AAA;\n  top: -10px;\n}\n#server-info dt,\n#fields-selection dt:first-child {\n  margin-top: 0;\n}\n#server-info .fa {\n  display: inline-block;\n  margin: 0 .3em;\n  width: 1.2em;\n}\n#server-info input[type="radio"] {\n  vertical-align: middle;\n}\n\n#user-selection #newusername, #user-selection #password {\n  color: $theme.textColor;\n}\n\n.user-password-box label {\n  color: $theme.textPrimaryColor;\n}\n.user-password-box label:before {\n  border-radius: 4px 0 0 4px;\n  display: inline-block;\n  margin-right: -3px;\n  padding: 0.3em;\n}\n#user-selection .buttonwrapper {\n  margin: 3px;\n}\n\n#fields-selection dl {\n  background: none repeat scroll 0 0 #FFFFFF;\n  box-shadow: 0 0 3px #AAAAAA;\n  padding: 0.5em;\n}\n#fields-selection dd {\n  margin-left: 3em;\n}\n#fields-selection .negative {\n  color: $theme.notificationErrorColor;;\n}\n.confirm-push {\n  padding: .5em;\n  margin: .5em 0;\n  font-weight: bold;\n}\n.multi-push-results {\n  overflow-y: auto;\n  max-height: 150px;\n}\n.multi-push-results .pushed-ok-message {\n  color: #336699;\n}\n.multi-push-patient-list {\n  overflow-y: auto;\n  max-height: 150px;\n  width: 250px;\n  padding: 0.5em;\n}
7468603442780643665	content	{{velocity}}\n$xwiki.jsx.use('PhenoTips.PushPatient')##\n$xwiki.ssx.use('PhenoTips.PushPatient')##\n#set ($service = $services.pushPatient)\n#set ($configuredServers = $service.getPushTargetsWithHistory(""))\n#foreach ($mapEntry in $configuredServers.entrySet())\n  ## make sure PhenomeCentral is enabled/configured, and if it is list it as the first push target\n  #if ($mapEntry.key.getServerID() == "PhenomeCentral")\n    (% id="push-patient-pc" name="PhenomeCentral" %)((([[$services.localization.render('phenotips.PushPatient.pushPhenomeCentral')>>path:#]])))\n  #end\n#end\n#set ($counter = 0)\n#foreach ($mapEntry in $configuredServers.entrySet())\n  #set ($serverName = $mapEntry.key.getServerID())\n  #if ($serverName != "PhenomeCentral")\n    (% id="push-patient-$counter" name="$serverName" %)((([[$services.localization.render('phenotips.PushPatient.pushToAnotherServer', [$serverName])>>path:#]])))\n    #set( $counter = $counter + 1 )\n  #end\n#end\n{{/velocity}}
7468603442780643665	parameters	
5463904592636036565	code	var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.SpecificityMetricWidget = Class.create({\n    levels : {\n      #foreach ($i in [0..5])\n        '$i' : "${escapetool.javascript($services.localization.render("phenotips.specificityMeter.level.${i}"))}"#if ($foreach.hasNext),#end\n\n      #end\n    },\n    initialize: function() {\n      this.container = $('specificity-metric-widget');\n      this.meterInsertionPoint = $('current-phenotype-selection');\n      if (!this.container || this.container.__specificityMetricWidget) {\n        return;\n      }\n      if (!this.meterInsertionPoint) {\n        this.container.remove();\n        return;\n      }\n      this.initContainer();\n\n      this.service =  new XWiki.Document('SpecificityMetricWidgetService', 'PhenoTips').getURL('get');\n      this._reqMeta = {};\n\n      this.initDataCache();\n      this.watchChanges();\n    },\n\n    initContainer : function () {\n      this.container.removeClassName('hidden');\n      this.meterInsertionPoint.insert({before: this.container});\n      var label = new Element('span', {"class": ""}).update("${escapetool.javascript($services.localization.render('phenotips.specificityMeter.label'))}");\n      this.meterDisplay = new Element('span', {'id' : 'specificity-meter'});\n      var hintLabel = new Element('a', {"class": "info", 'href' : '#specificity-meter', 'title' : "${escapetool.javascript($services.localization.render('phenotips.specificityMeter.info.title'))}"}).update("${escapetool.javascript($services.localization.render('phenotips.specificityMeter.info.label'))}");\n      this.container.update(label).insert(this.meterDisplay).insert(hintLabel);\n\n      hintLabel.observe('click', function(event) {\n        event.stop();\n        var content = new Element('div').insert(\n                                         new Element('div', {'style' : 'text-align: center'}).insert(\n                                             new Element('a', {href : 'http://monarchinitiative.org/'}).insert(\n                                                 new Element('img', {src : "$doc.getAttachmentURL('monarch-logo.png')", title: 'Monarch Initiative'})\n                                             )\n                                         )\n                                       ).insert("${escapetool.javascript($services.localization.render('phenotips.specificityMeter.info'))}");\n        new XWiki.widgets.ModalPopup(content, {}, {'title' : "${escapetool.javascript($services.localization.render('phenotips.specificityMeter.info.title'))}"}).showDialog();\n      });\n\n      this.showValue(0);\n      this.container.__specificityMetricWidget = this;\n    },\n\n    showValue : function(v) {\n      var oldValue = this._crtValue;\n      this._crtValue = Math.min(1, Math.max(0, isNaN(v) ? 0 : v));\n      var value = this._crtValue * 5;\n      this.meterDisplay.title = this.levels[Math.round(value)] + " (" + value.toPrecision(3) + "/5)";\n      this.meterDisplay.update(new Element('div', {'id' : "specificity-meter-value", "style" : "width: " + Math.round(v * 100) + "%;"}));\n      if (oldValue != this._crtValue) {\n        var eventData = {"value": this._crtValue, "level": this.levels[Math.round(value)]};\n        document.fire("phenotips:specificity-meter:change", eventData);\n      }\n    },\n\n    loadingValue : function() {\n      this.meterDisplay.update(new Element('div', {'id' : "specificity-meter-value-loading"}).update(new Element('span', {'class' : "fa fa-lg fa-spinner fa-spin"})));\n    },\n    unknownValue : function() {\n      this.meterDisplay.update(new Element('div', {'id' : "specificity-meter-value-error"}).update(new Element('span', {'class' : "fa fa-lg fa-exclamation-triangle"})));\n    },\n    initDataCache : function() {\n      this.cache = {};\n      $$(".yes-no-picker").each(function(element) {\n        var yesInput = element.down('.yes input');\n        var noInput = element.down('.no input');\n        if (yesInput.name === noInput.name) {\n          // Not a phenotype\n          return;\n        }\n        var key = yesInput.value;\n        var text = yesInput.title || key;\n        var obj = this.cache[key];\n        var enable = !element.down('.na input').checked;\n        if (enable) {\n          if (!obj) {\n            obj = {'key' : key, 'text' : text};\n            this.cache[key] = obj;\n          } else {\n            obj.disabled = false;\n          }\n          obj.type = (noInput.checked ? 'not_symptom' : (key.startsWith('HP:') ? 'symptom' : 'free_symptom'));\n        } else {\n          if (obj) {\n            obj.disabled = true;\n          }\n        }\n        this.launchEval();\n      }.bind(this));\n    },\n\n    watchChanges : function() {\n      document.observe('phenotype:selected', function(event) {\n        if (!event.memo || !event.memo.key || !event.memo.element) {return;}\n        var key = event.memo.key;\n        var text = event.memo.text || event.memo.key;\n        var obj = this.cache[key];\n        // The event is sent for NA, Yes and No checkboxes, in this order, with partial results along the way.\n        // If we want to check the final state of the value, we only take the No checkbox into account.\n        if (event.memo.type == 'no') {\n          var yesSelected = event.memo.element.up('.yes-no-picker').down('.yes input').checked;\n          var noSelected = event.memo.enable;\n          if (yesSelected || noSelected) {\n            if (!obj) {\n              obj = {'key' : key, 'text' : text};\n              this.cache[key] = obj;\n            } else {\n              obj.disabled = false;\n            }\n            obj.type = noSelected ? 'not_symptom' : (key.startsWith('HP:') ? 'symptom' : 'free_symptom');\n          } else {\n            if (obj) {\n              obj.disabled = true;\n            }\n          }\n        }\n        this.launchEval();\n      }.bindAsEventListener(this));\n    },\n\n    launchEval : function() {\n      if (this._reqMeta.pendingRequest !== undefined) {\n        window.clearTimeout(this._reqMeta.pendingRequest);\n        this._reqMeta.pendingRequest = undefined;\n      }\n      if (!this._reqMeta.expectedReqNo) {\n        this._reqMeta.expectedReqNo = 0;\n      }\n      var parameters = { reqNo : ++this._reqMeta.expectedReqNo, outputSyntax : 'plain'};\n      for (var k in this.cache) {\n        var obj = this.cache [k];\n        if (obj && !obj.disabled) {\n          var list = parameters[obj.type];\n          if (!list) {\n            parameters[obj.type] = list = [];\n          }\n          list.push(obj.key);\n        }\n      }\n\n      this._reqMeta.pendingRequest = function() {\n        this._reqMeta.pendingRequest = undefined;\n        new Ajax.Request(this.service, {\n          parameters: parameters,\n          onCreate : function () {\n            // Loading...\n            this.loadingValue();\n          }.bind(this),\n          onSuccess : function (response) {\n            var json = response.responseJSON;\n            var score = -1;\n            if (json && typeof json.score != 'undefined') {\n              score = json.score;\n            }\n            if (score >= 0) {\n              this.showValue(score);\n            } else {\n              this.unknownValue();\n            }\n          }.bind(this),\n          onFailure : function () {\n            this.showValue(this._crtValue);\n          }.bind(this)\n        });\n      }.bind(this).delay(0.5);\n    }\n  });\n  \n  //  ========================================================================\n\n  var init = function(event) {\n    new PhenoTips.widgets.SpecificityMetricWidget();\n  };\n\n  (XWiki && XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);\n\n  // End PhenoTips augmentation.\n  return PhenoTips;\n}(PhenoTips || {}));
3495009035156146571	code	#template('colorThemeInit.vm')\n\n#specificity-metric-widget {\n  padding: 1em;\n  border-bottom: 1px dotted $theme.borderColor;\n  background-color: $theme.highlightColor;\n}\n\n#specificity-metric-widget .fa {\n  display: inline-block;\n  margin: 0 .05em;\n  vertical-align: baseline;\n  width: 1em;\n}\n#specificity-metric-widget .icon {\n  margin: 0 0.5em 0 0;\n}\n#specificity-metric-widget a {\n  float: right;\n  font-size: .8em;\n  font-style: italic;\n}\n\n#specificity-meter {\n  color: #c82;\n  cursor: default;\n  display: inline-block;\n  margin: 0 1em 0 .5em;\n}\n#specificity-meter {\n  width: 110px;\n  height: 22px;\n  background: transparent url("${doc.getAttachmentURL('5star-g.png')}") left top no-repeat;\n  text-align: left;\n  vertical-align: bottom;\n}\n#specificity-meter-value {\n  width: 0px;\n  height: 22px;\n  background: transparent url("${doc.getAttachmentURL('5star-c.png')}") left top no-repeat;\n}\n#specificity-meter-value-loading, #specificity-meter-value-error {\n  width: 110px;\n  height: 22px;\n  text-align: center;\n  background: transparent;\n}\n#specificity-meter-value-loading .fa {\n  vertical-align: bottom;\n  color: $theme.linkColor;\n}
-119577056256676794	content	{{velocity}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')\n$xwiki.ssx.use('PhenoTips.SpecificityMetricWidget', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.SpecificityMetricWidget')##\n#if ($xcontext.action == 'edit')\n(% id="specificity-metric-widget" class="hidden" %)((()))\n#end\n{{/velocity}}
-119577056256676794	parameters	
6029009841361615301	code	(function() {\n  var init = function() {\n    // Save before opening the pedigree\n    var pedigreeTrigger = $("pedigree-trigger");\n    if (pedigreeTrigger && XWiki.contextaction == "edit") {\n      pedigreeTrigger.observe("click", function(event) {\n        event.stop();\n        document.observe("xwiki:document:saved", function () {\n          window.self.location = pedigreeTrigger.href;\n        });\n        document.fire("xwiki:actions:save", {"continue" : true, "form" : pedigreeTrigger.up("form")});\n      });\n    }\n\n    // Resize the pedigree image to fit in the viewport\n    var pedigreeElt = document.documentElement.down('.pedigree-wrapper svg');\n    if (pedigreeElt) {\n      var __fixPedigreeSize = function() {\n        if (!pedigreeElt._originalWidth) {\n          pedigreeElt._originalWidth = pedigreeElt.getAttribute('width');\n          pedigreeElt._originalHeight = pedigreeElt.getAttribute('height');\n        }\n        var newWidth = Element.up(pedigreeElt, '.pedigree-wrapper').up().getWidth();\n        if (newWidth < pedigreeElt._originalWidth) {\n          var newHeight = pedigreeElt._originalHeight * newWidth / pedigreeElt._originalWidth;\n          pedigreeElt.setAttribute('width', newWidth);\n          pedigreeElt.setAttribute('height', newHeight);\n        } else {\n          pedigreeElt.setAttribute('width', pedigreeElt._originalWidth);\n          pedigreeElt.setAttribute('height', pedigreeElt._originalHeight);\n        }\n      };\n      __fixPedigreeSize();\n      Event.observe(window, 'resize', __fixPedigreeSize);\n    }\n  };\n  (XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);\n})();
-8261175631496715595	content	{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.PedigreeMacros" /}}\n\n{{velocity}}\n#set ($pedigreeObj = $doc.getObject('PhenoTips.PedigreeClass'))\n#if ($pedigreeObj)\n  #set ($data = $!pedigreeObj.getProperty('data').value)\n  #set ($image = $pedigreeObj.getProperty('image').value)\n#end## pedigree obj exists\n#if ($xcontext.action == 'edit' || "$!data" != '')\n  $xwiki.jsx.use('PhenoTips.UIX_Field__pedigree')##\n\n  === $services.localization.render('phenotips.patientRecord.pedigree.title') ===\n\n  #if ($xcontext.action == 'edit')\n    #if ("$!data" != '')\n      #set ($pAction = "$services.localization.render('phenotips.patientRecord.pedigree.edit')")\n    #else\n      #set ($pAction = "$services.localization.render('phenotips.patientRecord.pedigree.draw')")\n    #end## pedigree data exists\n    (% class="buttonwrapper" %)[[$!{pAction}>>||queryString="sheet=PhenoTips.PedigreeEditor" class="button" id="pedigree-trigger"]](%%)\n  #elseif ($xcontext.action == 'view')\n    #if ("$!data" != '')\n      #set ($pAction = "$services.localization.render('phenotips.patientRecord.pedigree.edit')")\n      (% class="buttonwrapper" %)[[$!{pAction}>>||queryString="sheet=PhenoTips.PedigreeEditor" class="button" id="pedigree-trigger"]](%%)\n    #end\n  #end\n  #if ("$!image" != '')\n    (% class="pedigree-wrapper" %)((({{html clean="false"}}$!image{{/html}})))\n    (% class="pedigree-wrapper" %)((({{html clean="false"}}#pedigreeLegend($data, "Legend:"){{/html}})))\n  #end\n#end## action == edit || data\n{{/velocity}}
-8261175631496715595	parameters	title=$services.localization.render('phenotips.patientRecord.pedigree.extensionTitle')\nenabled=true\nrequired=\norder=14\nfields=\ncontains_PII=true\nprivacy_level=3
6893542420748668742	codeToExecute	{{include reference="PhenoTips.PedigreeConfiguration" /}}
-8424300188759589403	code	#template('colorThemeInit.vm')\n      
-5833210098757145561	code	// webkitdragdrop.js v1.0, Mon May 15 2010\n//\n// Copyright (c) 2010 Tommaso Buvoli (http://www.tommasobuvoli.com)\n// No Extra Libraries are required, simply download this file, add it to your pages!\n//\n// To See this library in action, grab an ipad and head over to http://www.gotproject.com\n// webkitdragdrop is freely distributable under the terms of an MIT-style license.\n\n\n//Description\n// Because this library was designed to run without requiring any other libraries, several basic helper functions were implemented\n// 6 helper functons in this webkit_tools class have been taked directly from Prototype 1.6.1 (http://prototypejs.org/) (c) 2005-2009 Sam Stephenson\n\nvar webkit_tools =\n{\n  //$ function - simply a more robust getElementById\n\n  $:function(e)\n  {\n    if(typeof(e) == 'string')\n    {\n      return document.getElementById(e);\n    }\n    return e;\n  },\n\n  //extend function - copies the values of b into a (Shallow copy)\n\n  extend:function(a,b)\n  {\n    for (var key in b)\n    {\n      a[key] = b[key];\n    }\n    return a;\n  },\n\n  //empty function - used as defaut for events\n\n  empty:function()\n  {\n\n  },\n\n  //remove null values from an array\n\n  compact:function(a)\n  {\n    var b = []\n    var l = a.length;\n    for(var i = 0; i < l; i ++)\n    {\n      if(a[i] !== null)\n      {\n        b.push(a[i]);\n      }\n    }\n    return b;\n  },\n\n  //DESCRIPTION\n  //  This function was taken from the internet (http://robertnyman.com/2006/04/24/get-the-rendered-style-of-an-element/) and returns\n  //  the computed style of an element independantly from the browser\n  //INPUT\n  //  oELM (DOM ELEMENT) element whose style should be extracted\n  //  strCssRule element\n\n  getCalculatedStyle:function(oElm, strCssRule)\n  {\n    var strValue = "";\n    if(document.defaultView && document.defaultView.getComputedStyle){\n      strValue = document.defaultView.getComputedStyle(oElm, "").getPropertyValue(strCssRule);\n    }\n    else if(oElm.currentStyle){\n      strCssRule = strCssRule.replace(/\\-(\\w)/g, function (strMatch, p1){\n        return p1.toUpperCase();\n      });\n      strValue = oElm.currentStyle[strCssRule];\n    }\n    return strValue;\n  },\n\n  //bindAsEventListener function - used to bind events\n\n  bindAsEventListener:function(f,object)\n  {\n        var __method = f;\n        return function(event) {\n            __method.call(object, event || window.event);\n        };\n    },\n\n    //cumulative offset - courtesy of Prototype (http://www.prototypejs.org)\n\n    cumulativeOffset:function(element)\n    {\n      var valueT = 0, valueL = 0;\n      do {\n        valueT += element.offsetTop  || 0;\n        valueL += element.offsetLeft || 0;\n        if (element.offsetParent == document.body)\n          if (element.style.position == 'absolute') break;\n\n        element = element.offsetParent;\n      } while (element);\n\n      return {left : valueL, top : valueT};\n    },\n\n    //getDimensions - courtesy of Prototype (http://www.prototypejs.org)\n\n  getDimensions: function(element)\n  {\n      var display = element.style.display;\n      if (display != 'none' && display != null) // Safari bug\n        return {width: element.offsetWidth, height: element.offsetHeight};\n\n      var els = element.style;\n      var originalVisibility = els.visibility;\n      var originalPosition = els.position;\n      var originalDisplay = els.display;\n      els.visibility = 'hidden';\n      if (originalPosition != 'fixed') // Switching fixed to absolute causes issues in Safari\n        els.position = 'absolute';\n      els.display = 'block';\n      var originalWidth = element.clientWidth;\n      var originalHeight = element.clientHeight;\n      els.display = originalDisplay;\n      els.position = originalPosition;\n      els.visibility = originalVisibility;\n      return {width: originalWidth, height: originalHeight};\n  },\n\n  //hasClassName - courtesy of Prototype (http://www.prototypejs.org)\n\n  hasClassName: function(element, className)\n  {\n    var elementClassName = element.className;\n    return (elementClassName.length > 0 && (elementClassName == className ||\n    new RegExp("(^|\\\\s)" + className + "(\\\\s|$)").test(elementClassName)));\n    },\n\n  //addClassName - courtesy of Prototype (http://www.prototypejs.org)\n\n  addClassName: function(element, className)\n  {\n    if (!this.hasClassName(element, className))\n      element.className += (element.className ? ' ' : '') + className;\n    return element;\n  },\n\n  //removeClassName - courtesy of Prototype (http://www.prototypejs.org)\n\n  removeClassName: function(element, className)\n  {\n    element.className = this.strip(element.className.replace(new RegExp("(^|\\\\s+)" + className + "(\\\\s+|$)"), ' '));\n    return element;\n  },\n\n  //strip - courtesy of Prototype (http://www.prototypejs.org)\n\n  strip:function(s)\n  {\n      return s.replace(/^\\s+/, '').replace(/\\s+$/, '');\n    }\n\n}\n\n//Description\n// Droppable fire events when a draggable is dropped on them\n\nvar webkit_droppables = function()\n{\n  this.initialize = function()\n  {\n    this.droppables = [];\n    this.droppableRegions = [];\n  }\n\n  this.add = function(root, instance_props)\n  {\n    root = webkit_tools.$(root);\n    var default_props = {accept : [], hoverClass : null, onDrop : webkit_tools.empty, onOver : webkit_tools.empty, onOut : webkit_tools.empty};\n    default_props = webkit_tools.extend(default_props, instance_props || {});\n    this.droppables.push({r : root, p : default_props});\n  }\n\n  this.remove = function(root)\n  {\n    root = webkit_tools.$(root);\n    var d = this.droppables;\n    var i = d.length;\n    while(i--)\n    {\n      if(d[i].r == root)\n      {\n        d[i] = null;\n        this.droppables = webkit_tools.compact(d);\n        return true;\n      }\n    }\n    return false;\n  }\n\n  //calculate position and size of all droppables\n\n  this.prepare = function()\n  {\n    var d = this.droppables;\n    var i = d.length;\n    var dR = [];\n    var r = null;\n\n    while(i--)\n    {\n      r = d[i].r;\n      if(r.style.display != 'none')\n      {\n        dR.push({i : i, size : webkit_tools.getDimensions(r), offset : webkit_tools.cumulativeOffset(r)})\n      }\n    }\n\n    this.droppableRegions = dR;\n  }\n\n  this.finalize = function(x,y,r,e)\n  {\n    var indices = this.isOver(x,y);\n    var index = this.maxZIndex(indices);\n    var over = this.process(index,r);\n    if(over)\n    {\n      this.drop(index, r,e);\n    }\n    this.process(-1,r);\n    return over;\n  }\n\n  this.check = function(x,y,r)\n  {\n    var indices = this.isOver(x,y);\n    var index = this.maxZIndex(indices);\n    return this.process(index,r);\n  }\n\n  this.isOver = function(x, y)\n  {\n    var dR = this.droppableRegions;\n    var i = dR.length;\n    var active = [];\n    var r = 0;\n    var maxX = 0;\n    var minX = 0;\n    var maxY = 0;\n    var minY = 0;\n\n    while(i--)\n    {\n      r = dR[i];\n\n      minY = r.offset.top;\n      maxY = minY + r.size.height;\n\n      if((y > minY) && (y < maxY))\n      {\n        minX = r.offset.left;\n        maxX = minX + r.size.width;\n\n        if((x > minX) && (x < maxX))\n        {\n          active.push(r.i);\n        }\n      }\n    }\n\n    return active;\n  }\n\n  this.maxZIndex = function(indices)\n  {\n    var d = this.droppables;\n    var l = indices.length;\n    var index = -1;\n\n    var maxZ = -100000000;\n    var curZ = 0;\n\n    while(l--)\n    {\n      curZ = parseInt(d[indices[l]].r.style.zIndex || 0);\n      if(curZ > maxZ)\n      {\n        maxZ = curZ;\n        index = indices[l];\n      }\n    }\n\n    return index;\n  }\n\n  this.process = function(index, draggableRoot)\n  {\n    //only perform update if a change has occured\n    if(this.lastIndex != index)\n    {\n      //remove previous\n      if(this.lastIndex != null)\n      {\n        var d = this.droppables[this.lastIndex]\n        var p = d.p;\n        var r = d.r;\n\n        if(p.hoverClass)\n        {\n          webkit_tools.removeClassName(r,p.hoverClass);\n        }\n        p.onOut();\n        this.lastIndex = null;\n        this.lastOutput = false;\n      }\n\n      //add new\n      if(index != -1)\n      {\n        var d = this.droppables[index]\n        var p = d.p;\n        var r = d.r;\n\n        if(this.hasClassNames(draggableRoot, p.accept))\n        {\n          if(p.hoverClass)\n          {\n            webkit_tools.addClassName(r,p.hoverClass);\n          }\n          p.onOver();\n          this.lastIndex = index;\n          this.lastOutput = true;\n        }\n      }\n    }\n    return this.lastOutput;\n  }\n\n  this.drop = function(index, r, e)\n  {\n    if(index != -1)\n    {\n      this.droppables[index].p.onDrop(r,e);\n    }\n  }\n\n  this.hasClassNames = function(r, names)\n  {\n    var l = names.length;\n    if(l == 0){return true}\n    while(l--)\n    {\n      if(webkit_tools.hasClassName(r,names[l]))\n      {\n        return true;\n      }\n    }\n    return false;\n  }\n\n  this.initialize();\n}\n\nwebkit_drop = new webkit_droppables();\n\n//Description\n//webkit draggable - allows users to drag elements with their hands\n\nvar webkit_draggable = function(r, ip)\n{\n  this.initialize = function(root, instance_props)\n  {\n    this.root = webkit_tools.$(root);\n    var default_props = {scroll : false, revert : false, handle : this.root, zIndex : 1000, onStart : webkit_tools.empty, onEnd : webkit_tools.empty};\n\n    this.p = webkit_tools.extend(default_props, instance_props || {});\n    default_props.handle = webkit_tools.$(default_props.handle);\n    this.prepare();\n    this.bindEvents();\n  }\n\n  this.prepare = function()\n  {\n    var rs = this.root.style;\n\n    //set position\n    if(webkit_tools.getCalculatedStyle(this.root,'position') != 'absolute')\n    {\n      rs.position = 'relative';\n    }\n\n    //set top, right, bottom, left\n    rs.top = rs.top || '0px';\n    rs.left = rs.left || '0px';\n    rs.right = "";\n    rs.bottom = "";\n\n    //set zindex;\n    rs.zIndex = rs.zIndex || '0';\n  }\n\n  this.bindEvents = function()\n  {\n    var handle = this.p.handle;\n\n    this.ts = webkit_tools.bindAsEventListener(this.touchStart, this);\n    this.tm = webkit_tools.bindAsEventListener(this.touchMove, this);\n    this.te = webkit_tools.bindAsEventListener(this.touchEnd, this);\n\n    handle.addEventListener("touchstart", this.ts, false);\n    handle.addEventListener("touchmove", this.tm, false);\n    handle.addEventListener("touchend", this.te, false);\n  }\n\n  this.destroy = function()\n  {\n    var handle = this.p.handle;\n\n    handle.removeEventListener("touchstart", this.ts);\n    handle.removeEventListener("touchmove", this.tm);\n    handle.removeEventListener("touchend", this.te);\n  }\n\n  this.set = function(key, value)\n  {\n    this.p[key] = value;\n  }\n\n  this.touchStart = function(event)\n  {\n    //prepare needed variables\n    var p = this.p;\n    var r = this.root;\n    var rs = r.style;\n    var t = event.targetTouches[0];\n\n    //get position of touch\n    touchX = t.pageX;\n    touchY = t.pageY;\n\n    //set base values for position of root\n    rs.top = this.root.style.top || '0px';\n    rs.left = this.root.style.left || '0px';\n    rs.bottom = null;\n    rs.right = null;\n\n    var rootP = webkit_tools.cumulativeOffset(r);\n    var cp = this.getPosition();\n\n    //save event properties\n    p.rx = cp.x;\n    p.ry = cp.y;\n    p.tx = touchX;\n    p.ty = touchY;\n    p.z = parseInt(this.root.style.zIndex);\n\n    //boost zIndex\n    rs.zIndex = p.zIndex;\n    webkit_drop.prepare();\n    p.onStart();\n  }\n\n  this.touchMove = function(event)\n  {\n    event.preventDefault();\n    event.stopPropagation();\n\n    //prepare needed variables\n    var p = this.p;\n    var r = this.root;\n    var rs = r.style;\n    var t = event.targetTouches[0];\n    if(t == null){return}\n\n    var curX = t.pageX;\n    var curY = t.pageY;\n\n    var delX = curX - p.tx;\n    var delY = curY - p.ty;\n\n    rs.left = p.rx + delX + 'px';\n    rs.top  = p.ry + delY + 'px';\n\n    //scroll window\n    if(p.scroll)\n    {\n      s = this.getScroll(curX, curY);\n      if((s[0] != 0) || (s[1] != 0))\n      {\n        window.scrollTo(window.scrollX + s[0], window.scrollY + s[1]);\n      }\n    }\n\n    //check droppables\n    webkit_drop.check(curX, curY, r);\n\n    //save position for touchEnd\n    this.lastCurX = curX;\n    this.lastCurY = curY;\n  }\n\n  this.touchEnd = function(event)\n  {\n    var r = this.root;\n    var p = this.p;\n    var dropped = webkit_drop.finalize(this.lastCurX, this.lastCurY, r, event);\n\n    if(((p.revert) && (!dropped)) || (p.revert === 'always'))\n    {\n      //revert root\n      var rs = r.style;\n      rs.top = (p.ry + 'px');\n      rs.left = (p.rx + 'px');\n    }\n\n    r.style.zIndex = this.p.z;\n    this.p.onEnd();\n  }\n\n  this.getPosition = function()\n  {\n    var rs = this.root.style;\n    return {x : parseInt(rs.left || 0), y : parseInt(rs.top  || 0)}\n  }\n\n  this.getScroll = function(pX, pY)\n  {\n    //read window variables\n    var sX = window.scrollX;\n    var sY = window.scrollY;\n\n    var wX = window.innerWidth;\n    var wY = window.innerHeight;\n\n    //set contants\n    var scroll_amount = 10; //how many pixels to scroll\n    var scroll_sensitivity = 100; //how many pixels from border to start scrolling from.\n\n    var delX = 0;\n    var delY = 0;\n\n    //process vertical y scroll\n    if(pY - sY < scroll_sensitivity)\n    {\n      delY = -scroll_amount;\n    }\n    else\n    if((sY + wY) - pY < scroll_sensitivity)\n    {\n      delY = scroll_amount;\n    }\n\n    //process horizontal x scroll\n    if(pX - sX < scroll_sensitivity)\n    {\n      delX = -scroll_amount;\n    }\n    else\n    if((sX + wX) - pX < scroll_sensitivity)\n    {\n      delX = scroll_amount;\n    }\n\n    return [delX, delY]\n  }\n\n  //contructor\n  this.initialize(r, ip);\n}\n\n//Description\n//webkit_click class. manages click events for draggables\n\nvar webkit_click = function(r, ip)\n{\n  this.initialize = function(root, instance_props)\n  {\n    var default_props = {onClick : webkit_tools.empty};\n\n    this.root = webkit_tools.$(root);\n    this.p = webkit_tools.extend(default_props, instance_props || {});\n    this.bindEvents();\n  }\n\n  this.bindEvents = function()\n  {\n    var root = this.root;\n\n    //bind events to local scope\n    this.ts = webkit_tools.bindAsEventListener(this.touchStart,this);\n    this.tm = webkit_tools.bindAsEventListener(this.touchMove,this);\n    this.te = webkit_tools.bindAsEventListener(this.touchEnd,this);\n\n    //add Listeners\n    root.addEventListener("touchstart", this.ts, false);\n    root.addEventListener("touchmove", this.tm, false);\n    root.addEventListener("touchend", this.te, false);\n\n    this.bound = true;\n  }\n\n  this.touchStart = function()\n  {\n    this.moved = false;\n    if(this.bound == false)\n    {\n      this.root.addEventListener("touchmove", this.tm, false);\n      this.bound = true;\n    }\n  }\n\n  this.touchMove = function()\n  {\n    this.moved = true;\n    this.root.removeEventListener("touchmove", this.tm);\n    this.bound = false;\n  }\n\n  this.touchEnd = function()\n  {\n    if(this.moved == false)\n    {\n      this.p.onClick();\n    }\n  }\n\n  this.setEvent = function(f)\n  {\n    if(typeof(f) == 'function')\n    {\n      this.p.onClick = f;\n    }\n  }\n\n  this.unbind = function()\n  {\n    var root = this.root;\n    root.removeEventListener("touchstart", this.ts);\n    root.removeEventListener("touchmove", this.tm);\n    root.removeEventListener("touchend", this.te);\n  }\n\n  //call constructor\n  this.initialize(r, ip);\n}
7618142183311729225	codeToExecute	{{include reference="PhenoTips.UIX Directory" /}}
5034495970584502524	codeToExecute	$response.sendRedirect($xwiki.getDocument('PhenoTips.WebHome').getURL())
8166411702173902761	code	document.observe('xwiki:dom:loaded', function() {\n  $$('label.skin a, label.colorTheme a').each(function(button) {\n    button.__action = button.up('label').hasClassName('skin') ? 'view' : 'edit';\n    var input = button.up('dt').next('dd').down('input,select');\n    input.observe('change', function() {\n      var dotPosition = input.value.indexOf('.');\n      if (dotPosition > 0) {\n        button.removeClassName('hidden');\n        button.href = new XWiki.Document(input.value.substring(dotPosition + 1), input.value.substring(0, dotPosition)).getURL(button.__action);\n      } else {\n        button.href = '#';\n        button.addClassName('hidden');\n      }\n    });\n  });\n});
6352250265993074411	code	/* Administration application custom JavaScript */\n\ndocument.observe('xwiki:dom:loaded', function() {\n  if($('goto-select')) {\n    Event.observe($('goto-select'), 'change', function (event) {\n      var select = event.element();\n      var i = select.selectedIndex;\n      if (window.location != select.options[i].value) {\n        window.location = select.options[i].value;\n      }\n    });\n    $('goto-select').next().hide();\n  }\n});\n
-8802998659962860204	code	#template('colorThemeInit.vm')\n\n#document-title {\n  margin-bottom: 1em;\n}\n#change-context {\n  float: right;\n  padding-top: 15px;\n}\n/* IE6 is very sick... */\n#change-context div {\n  display: inline;\n}\n#goto-select optgroup {\n  margin: 6px;\n}\n\n/*******************************************************/\n\n#admin-page-content {\n  margin-left: 15em;\n}\n\n.admin-category {\n  list-style: none outside none;\n  margin: 0 !important;\n  float: left;\n}\n\n.admin-category li {\n  clear: left;\n  color: $theme.textSecondaryColor;\n  margin: 0 1.5em 2em 0;\n  max-width: 400px;\n  overflow: hidden;\n}\n\n.admin-category strong {\n  font-size: 1.44em;\n  line-height: 2em;\n}\n\n.admin-category img {\n  float: left;\n  margin: 0 1em 0 0;\n}\n\n.admin-category .description {\n  font-size: .9em;\n  display: block;\n}\n\n.admin-menu .group, .admin-menu .group:hover  {\n  background-position: 7px 50%, top center;\n}\n\n#set ($phenotipsIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/xwiki/favicon16.png')${escapetool.S})")\n.admin-menu .group.phenotipsIcon {\n  background-image: ${phenotipsIcon};\n  #css3_backgroundIconAndLinearGradient($phenotipsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.phenotipsIcon:hover , .admin-menu .current.phenotipsIcon {\n  #css3_backgroundIconAndLinearGradient($phenotipsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($configurationIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/wrench.png')${escapetool.S})")\n.admin-menu .group.configurationIcon {\n  background-image: $configurationIcon;\n  #css3_backgroundIconAndLinearGradient($configurationIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.configurationIcon:hover , .admin-menu .current.configurationIcon {\n  #css3_backgroundIconAndLinearGradient($configurationIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($lfIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/layout_content.png')${escapetool.S})")\n.admin-menu .group.lfIcon {\n  background-image: $lfIcon;\n  #css3_backgroundIconAndLinearGradient($lfIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.lfIcon:hover , .admin-menu .current.lfIcon {\n  #css3_backgroundIconAndLinearGradient($lfIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($usersgroupsIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/group.png')${escapetool.S})")\n.admin-menu .group.usersgroupsIcon {\n  background-image: $usersgroupsIcon;\n  #css3_backgroundIconAndLinearGradient($usersgroupsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.usersgroupsIcon:hover , .admin-menu .current.usersgroupsIcon {\n  #css3_backgroundIconAndLinearGradient($usersgroupsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($contentIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/folder_page.png')${escapetool.S})")\n.admin-menu .group.contentIcon {\n  background-image: $contentIcon;\n  #css3_backgroundIconAndLinearGradient($contentIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.contentIcon:hover , .admin-menu .current.contentIcon {\n  #css3_backgroundIconAndLinearGradient($contentIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($extensionmanagerIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/xwiki/plugin_wrench.png')${escapetool.S})")\n.admin-menu .group.extensionmanagerIcon {\n  background-image: $extensionmanagerIcon;\n  #css3_backgroundIconAndLinearGradient($extensionmanagerIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.extensionmanagerIcon:hover , .admin-menu .current.extensionmanagerIcon {\n  #css3_backgroundIconAndLinearGradient($extensionmanagerIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($applicationsIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/plugin.png')${escapetool.S})")\n.admin-menu .group.applicationsIcon {\n  background-image: $applicationsIcon;\n  #css3_backgroundIconAndLinearGradient($applicationsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.applicationsIcon:hover , .admin-menu .current.applicationsIcon {\n  #css3_backgroundIconAndLinearGradient($applicationsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($readOnlyIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/error.png')${escapetool.S})")\n.admin-menu .group.readOnly {\n  background-image: $readOnlyIcon;\n  #css3_backgroundIconAndLinearGradient($readOnlyIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.readOnly:hover , .admin-menu .current.readOnly {\n  #css3_backgroundIconAndLinearGradient($readOnlyIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n.admin-menu .group.readOnly, .admin-menu .group.readOnly:hover , .admin-menu .current.readOnly  {\n  background-position: 5px 50%, top center;\n}\n\n/* Override general table styles. */\n/* TODO: Move to livetable.css */\n\n#userstable td, #groupstable td, #usersandgroupstable td, #alldocstable td {\n  border-color: transparent;\n}\n\n#userstable, #groupstable, #usersandgroupstable, #alldocstable {\n  border-color: transparent;\n}\n\n#usersandgroupstable-filters #name {\n    width: 65%;\n}\n\n.rights-settings dt {\n  /* The labels for the general rights settings are long and thus look bad when displayed with bold text. */\n  font-weight: normal;\n}
7883403272225626124	code	document.observe('xwiki:dom:loaded', function() {\n  // Hide headers unless they have error messages under them.\n  var elementsInPage = $('admin-page-content').childNodes;\n  var errorShown = false;\n  for (var i = elementsInPage.length - 1; i > -1; i--) {\n    var e = elementsInPage[i];\n    if (e.tagName != undefined && e.tagName.toLowerCase() == 'div' && e.getAttribute('class') != undefined && e.getAttribute('class').indexOf('errormessage') != -1)\n    {\n      errorShown = true;\n    } else if (!errorShown\n               && e.tagName != undefined\n               && e.tagName.toLowerCase() == 'h1'\n               && e.getAttribute('id') != undefined\n               && e.getAttribute('id').toLowerCase().indexOf('hcustomize') == 0)\n    {\n      e.parentNode.removeChild(e);\n      errorShown = false;\n    }\n  }\n\n  // Hide individual submit buttons.\n  var forms = $('admin-page-content').select('form');\n  var inputs = $('admin-page-content').select('input');\n  for (var i = 0; i < inputs.length; i++) {\n    if (inputs[i].getAttribute('type') != undefined && inputs[i].getAttribute('type').toLowerCase() == 'submit') {\n      var bottombuttons = inputs[i].up('.bottombuttons');\n      bottombuttons && bottombuttons.remove();\n    }\n  }\n\n  // Add a submit button for saving all sections at once.\n  var button = new Element('input', {'type':'submit', 'class':'button', 'value':'$services.localization.render("admin.save")', 'name':'formactionsac'});\n  var wrapper = new Element('span', {'class':'buttonwrapper'});\n  var adminButtons = new Element('p', {'class':'admin-buttons'});\n  var bottomButtons = new Element('div', {'class':'bottombuttons'});\n  $('admin-page-content').appendChild(bottomButtons);\n  bottomButtons.appendChild(adminButtons);\n  adminButtons.appendChild(wrapper);\n  wrapper.appendChild(button);\n\n  Event.observe(button, 'click', function() {\n    var forms = $('admin-page-content').getElementsByTagName('form');\n    for (var i = 0; i < forms.length; i++) {\n      Event.fire(document, 'xwiki:actions:save', {'form':forms[i].id, 'continue':true});\n    }\n  });\n});
\.


--
-- Data for Name: xwikilinks; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikilinks (xwl_doc_id, xwl_link, xwl_fullname) FROM stdin;
\.


--
-- Data for Name: xwikilistitems; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikilistitems (xwl_id, xwl_name, xwl_value, xwl_number) FROM stdin;
-5313288560143497352	livetableColumns	doc.name	0
-5313288560143497352	livetableColumns	doc.creator	1
-5313288560143497352	livetableColumns	doc.author	2
-5313288560143497352	livetableColumns	doc.creationDate	3
-5313288560143497352	livetableColumns	doc.date	4
-5313288560143497352	livetableColumns	external_id	5
-5313288560143497352	livetableColumns	first_name	6
-5313288560143497352	livetableColumns	last_name	7
5770265429325257425	propertiesToShow	livetableColumns	0
5770265429325257425	propertiesToShow	livetableSortColumn	1
5770265429325257425	propertiesToShow	livetableRows	2
-3560279228912068454	propertiesToShow	phenotypeMapping	0
705178565365604649	propertiesToShow	dateOfBirthFormat	0
705178565365604649	propertiesToShow	enableImperialUnitSystem	1
705178565365604649	propertiesToShow	measurementUnitSystem	2
\.


--
-- Data for Name: xwikilists; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikilists (xwl_id, xwl_name) FROM stdin;
-7687805282421262670	propertiesToShow
722116165808455315	propertiesToShow
-9108728894848501578	propertiesToShow
-4039664564421777869	propertiesToShow
3193224639151033195	propertiesToShow
5609576143747348822	extended_negative_phenotype
5609576143747348822	extended_negative_prenatal_phenotype
5609576143747348822	extended_phenotype
5609576143747348822	extended_prenatal_phenotype
5609576143747348822	global_mode_of_inheritance
5609576143747348822	maternal_ethnicity
5609576143747348822	negative_phenotype
5609576143747348822	negative_prenatal_phenotype
5609576143747348822	omim_id
5609576143747348822	paternal_ethnicity
5609576143747348822	phenotype
5609576143747348822	prenatal_phenotype
5609576143747348822	reports_history
-2636269436385194420	propertiesToShow
-5313288560143497352	livetableColumns
5770265429325257425	propertiesToShow
8433417381059088093	propertiesToShow
-2910348294274572180	propertiesToShow
-3560279228912068454	propertiesToShow
705178565365604649	propertiesToShow
-5517713055023142395	propertiesToShow
-2450571279076522953	propertiesToShow
1638124222887867495	propertiesToShow
2073568392999882834	propertiesToShow
-255472277895193837	public_sections
-2877438213821797606	propertiesToShow
7403094704171418880	propertiesToShow
-2505372602338148651	propertiesToShow
6893542420748668742	propertiesToShow
7618142183311729225	propertiesToShow
5034495970584502524	propertiesToShow
\.


--
-- Data for Name: xwikilock; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikilock (xwl_doc_id, xwl_author, xwl_date) FROM stdin;
\.


--
-- Data for Name: xwikilongs; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikilongs (xwl_id, xwl_name, xwl_value) FROM stdin;
-614498398768250718	upload_maxsize	33554432
5609576143747348822	identifier	\N
\.


--
-- Data for Name: xwikiobjects; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikiobjects (xwo_id, xwo_number, xwo_name, xwo_classname, xwo_guid) FROM stdin;
-1617187407626086555	0	XWiki.WikiMacroParameterClass	XWiki.DocumentSheetBinding	fdd35baa-2d87-4a65-9052-5ad1cd140b76
7881900247409136532	0	Crypto.PrivateKeyClass	XWiki.DocumentSheetBinding	ed4f6937-8601-452d-a715-9b9d8b914a3f
831015092972174006	0	XWiki.XWikiSkinFileOverrideClass	XWiki.DocumentSheetBinding	4a79cdb2-d8b5-4add-98bd-18e18a89da14
-1733853835381121621	0	XWiki.XWikiUsers	XWiki.ClassSheetBinding	59bfc2f7-519a-4410-ab1d-2516283b0835
-5517193569607516277	0	XWiki.XWikiUsers	XWiki.DocumentSheetBinding	34a8e24d-944a-46eb-bb49-ca315575ba78
-3564378766720368614	0	XWiki.EditModeClass	XWiki.DocumentSheetBinding	ab1c86af-28d6-45ef-8576-44882f5da27b
5447776371839284534	0	XWiki.TranslationDocumentClass	XWiki.DocumentSheetBinding	8d17f8d1-a272-4860-ba03-c2135824d54f
-5786389287062121772	0	XWiki.XWikiServerClass	XWiki.ClassSheetBinding	0818a6f3-1fcf-46a0-ab00-cb8cbfd920a0
-2388994299612258772	0	XWiki.XWikiServerClass	XWiki.DocumentSheetBinding	56c9b8e2-9537-444b-ad98-22d8201231ec
6266537310378504560	0	XWiki.TagClass	XWiki.DocumentSheetBinding	ec50a4b5-76c8-4bd7-98d0-1c656c905dfe
3034798793108713312	0	Crypto.SignatureClass	XWiki.DocumentSheetBinding	3259373b-a612-42b5-a8a7-23f20f0f7230
4202681147634526362	0	XWiki.XWikiGroups	XWiki.ClassSheetBinding	a4030436-88c1-4b67-85fa-555d06a76838
2372455742911787429	0	XWiki.XWikiGroups	XWiki.DocumentSheetBinding	eaca9476-1822-4ce0-940c-574fa36a9778
4058343852716999446	0	XWiki.WikiMacroClass	XWiki.DocumentSheetBinding	2804629d-7883-4590-9595-f3f52032866c
9137977913299348745	0	XWiki.XWikiComments	XWiki.DocumentSheetBinding	7fe5a632-9c06-407e-91ce-f7682fa96044
-7237077857427713047	0	XWiki.SheetClass	XWiki.DocumentSheetBinding	50f873ad-73bd-42e5-8d63-696d65630c6b
2186376547412776710	0	XWiki.XWikiGlobalRights	XWiki.DocumentSheetBinding	63e7c903-4fe3-4e23-a595-d8940453b9a6
4320863290685665255	0	XWiki.XWikiRights	XWiki.DocumentSheetBinding	dc3927fa-0892-4b48-aaa8-18b1586113fc
5938493475160890162	0	Crypto.CertificateClass	XWiki.DocumentSheetBinding	3b83dc2a-800e-4f83-b06e-f8213df9e1d1
-6789877988517076094	0	XWiki.Mail	XWiki.DocumentSheetBinding	9e7567f5-9555-4575-9f4e-e4a6c1a82080
-7694654572393925158	0	XWiki.XWikiAdminGroup	XWiki.XWikiGroups	46d387f2-4d8d-446d-a618-8bfcb655ba18
8367169273474910624	1	XWiki.XWikiAdminGroup	XWiki.XWikiGroups	46d387f2-4d8d-446d-a618-8bfcb655ba18
7325100845279448823	0	XWiki.XWikiAdminGroup	XWiki.XWikiRights	9ccbd7ae-92f3-4a38-8eb2-455313d0b366
8865678159989408145	1	XWiki.XWikiAllGroup	XWiki.XWikiGroups	2ab32578-80c7-484a-bc49-fab0b3570609
1581152086624707169	0	XWiki.XWikiAllGroup	XWiki.XWikiGroups	0b40f8b3-a992-4290-92b0-298f00dc16e6
7185139814747409311	0	PhenoTips.WebPreferences	XWiki.XWikiGlobalRights	d4465a15-0d73-417b-9954-a18270484d06
1494846150873449108	0	data.WebPreferences	XWiki.XWikiGlobalRights	440e18ea-88f9-482f-b29f-7b188a2f3b6c
-3909688450103167701	0	data.WebPreferences	XWiki.XWikiRights	495f0123-7456-46a8-b1ab-f98fb829711e
4529000290858574313	0	XWiki.XWikiPreferences	PhenoTips.PedigreeGlobalSettings	9fd37c41-b39b-41ce-8824-f45111f46987
3027141951835947159	0	XWiki.XWikiPreferences	PhenoTips.PushPatientServer	9fd37c41-b39b-4bce-8824-f45161f36083
6697139112402408114	0	XWiki.XWikiPreferences	PhenoTips.ReceivePatientSettings	9fd37c41-b39b-4bce-8824-f45161f36987
-5988059480303893268	0	XWiki.XWikiPreferences	XWiki.XWikiGlobalRights	369eb46f-6311-437b-a3a1-38755f324898
1314300318641197968	1	XWiki.XWikiPreferences	XWiki.XWikiGlobalRights	e9630277-a371-4228-8659-8a1abc7bacfa
1345706622762835137	2	XWiki.XWikiPreferences	XWiki.XWikiGlobalRights	4ab252d2-8d57-4135-a966-76aba09f9bc6
-614498398768250718	0	XWiki.XWikiPreferences	XWiki.XWikiPreferences	a2464e0e-d798-467c-8f3e-8ae4443cd4fe
-799861410355943150	0	XWiki.XWikiPreferences	XWiki.ClassSheetBinding	aa56d37b-4fc7-46de-91c3-adcab59c97f7
7749220057021372568	0	XWiki.Admin	XWiki.ConfigurationClass	eee70e7f-fd35-4603-b4f5-b4b001926edf
5307946438575506046	0	XWiki.Admin	XWiki.WatchListClass	80df91dd-cd7d-4542-aae0-869c692a93ed
-2210607549116249230	0	XWiki.Admin	XWiki.XWikiRights	82b92228-ee18-4bdc-8ce5-9b05f131c215
8241190800513916467	0	XWiki.Admin	XWiki.XWikiUsers	2b725080-26f0-4e3c-bf93-59c2d316c47c
5553794025562714273	0	XWiki.Registration	XWiki.XWikiRights	23d370d6-8619-45f5-b8b9-80ebbe2e303c
-7655122662871052554	0	XWiki.XWikiGroupSheet	XWiki.JavaScriptExtension	6e43f145-6962-4b17-a268-f85890a2c00c
9050882663741321687	0	XWiki.ResetPasswordRequestClass	XWiki.DocumentSheetBinding	9d3418bf-70f4-42a0-8e02-ea3e41c45930
3506649722196057787	1	XWiki.ResetPasswordRequestClass	XWiki.XWikiRights	2b934fbb-482a-48fa-aaee-ffaedd7407be
3980527104837870639	3	XWiki.ResetPasswordRequestClass	XWiki.XWikiRights	4d0a60b6-d899-4b07-bfc9-437dd55ab711
-22827029092784258	5	XWiki.ResetPasswordRequestClass	XWiki.XWikiRights	3dd70411-c760-49dd-888c-de256d95fe3b
-6245483878953798583	0	XWiki.ResetPasswordMailContent	XWiki.Mail	e25eb86c-1b08-47f6-be43-bd3cabbe8fdc
7910393087932949456	1	XWiki.ResetPasswordMailContent	XWiki.XWikiRights	a5b940c9-77d8-425f-bad2-c89487d8ced3
7241056948254626025	3	XWiki.ResetPasswordMailContent	XWiki.XWikiRights	a6b23829-251f-4f90-b13d-37bb2ab6693d
4652057205514493530	5	XWiki.ResetPasswordMailContent	XWiki.XWikiRights	04549226-1226-4580-a790-799dd60ec1fa
-8914936393023623739	6	XWiki.ResetPasswordMailContent	XWiki.XWikiRights	f42b1d0b-3bd8-473e-9b5f-4270faa98770
4397280938199749522	7	XWiki.ResetPasswordMailContent	XWiki.XWikiRights	57045f9f-e3db-4a9d-9daa-0a6183b6f58d
7869835225464154104	0	XWiki.ForgotUsername	XWiki.XWikiRights	5f9081d2-87b6-430e-8bb9-edc66544fc06
1419839714728922190	1	XWiki.ForgotUsername	XWiki.XWikiRights	54be8bc6-c81a-4149-b2b0-161b2b974857
-835024709258431825	2	XWiki.ForgotUsername	XWiki.XWikiRights	06daec64-228b-4da1-b7e6-b59d9624c859
-461083453256162515	0	XWiki.XWikiGroupTemplate	XWiki.XWikiGroups	78a72679-f5f8-4113-b1a8-dc6591ce2afb
-7687805282421262670	0	XWiki.GoogleAnalyticsCode	XWiki.ConfigurableClass	73f7eae5-ce0c-43fa-9282-1a379803a375
-4305838678640337551	0	XWiki.GoogleAnalyticsCode	XWiki.JavaScriptExtension	67bc7341-1915-4732-99bc-55de2816ef93
-6078261122503370161	0	XWiki.ResetPasswordComplete	XWiki.XWikiRights	7fd88649-d66d-442a-bcee-bc4147e410a7
2279776107228674949	1	XWiki.ResetPasswordComplete	XWiki.XWikiRights	e0264a66-4a10-4d7e-822e-6863e3caaa18
5837094281802416777	2	XWiki.ResetPasswordComplete	XWiki.XWikiRights	06daec64-228b-4da1-b7e6-b59d9624c856
722116165808455315	0	XWiki.RegistrationConfig	XWiki.ConfigurableClass	d045822c-8279-4176-a382-1f153512898d
6371868270824238049	0	XWiki.RegistrationConfig	XWiki.Registration	1a0c3cf7-de63-4f07-8a74-5c30bf880641
5098451329487711004	0	XWiki.RegistrationHelp	XWiki.StyleSheetExtension	f10f7209-a83d-4793-9367-56e11a2600e1
6134097965481032111	0	XWiki.ResetPassword	XWiki.XWikiRights	8a0e8611-2818-4181-a8e9-1d1623ac3e77
-2209213944681530944	1	XWiki.ResetPassword	XWiki.XWikiRights	bb00007c-00dd-4423-9b7b-b87896c947fb
7638148953297804405	2	XWiki.ResetPassword	XWiki.XWikiRights	06daec64-228b-4da1-b7e6-b59d9624c866
-2252936800655847756	0	SkinsCode.XWikiSkinsSheet	XWiki.JavaScriptExtension	e262ce20-f28a-4fa0-89e2-c8413e10dce4
8378817854146866053	0	SkinsCode.XWikiSkinsSheet	XWiki.StyleSheetExtension	1e4faabf-d1ba-4fff-806a-2b88c6688e92
6149939700458878169	0	SkinsCode.Translations	XWiki.TranslationDocumentClass	60efd77f-fd6d-4c21-9d26-826226cd3e17
3331888260922603525	0	XWiki.XWikiSkinsTemplate	XWiki.XWikiSkins	4caf3995-860b-4784-9e5e-fc3534fc1379
-5741591223390771615	0	XWiki.XWikiSkins	XWiki.ClassSheetBinding	17d0418b-bbd0-426d-bfd4-273a82c66a1c
-2873432077881411750	0	XWiki.XWikiSkins	XWiki.DocumentSheetBinding	c08b22a0-3ea3-40ba-95d0-03aa76f9d25c
5158283262279666196	0	XWiki.DefaultSkin	XWiki.XWikiSkins	c52655e2-0fae-4b2c-8508-378d1c1fb4ac
-4265285397647036364	0	Macros.Tree	XWiki.JavaScriptExtension	cdf8656d-0058-4ea0-b42d-8ec9c27fae8c
-5386731612909452646	0	Macros.Tree	XWiki.WikiMacroClass	b082a404-08fa-45e5-b6d0-abc5fcf6fc61
-3293952573735824191	0	Macros.Tree	XWiki.WikiMacroParameterClass	ad91bfb1-7560-487e-963d-55dd6b786b59
8869408063345511226	1	Macros.Tree	XWiki.WikiMacroParameterClass	179e3bf8-9d82-4fd0-8e2c-9a9aad3c3f91
7336684778027459162	2	Macros.Tree	XWiki.WikiMacroParameterClass	914470d9-8966-45aa-9e45-95faec55d151
-7662876146999244429	3	Macros.Tree	XWiki.WikiMacroParameterClass	05a7d454-7262-4947-9631-e1820608a994
-1424629336355106982	4	Macros.Tree	XWiki.WikiMacroParameterClass	43c2f5b5-2e18-46b0-80b3-a05ae86b20a0
-7183858144813920928	5	Macros.Tree	XWiki.WikiMacroParameterClass	0444f19d-11b1-4498-9d10-cae0624053df
-237241165128514183	6	Macros.Tree	XWiki.WikiMacroParameterClass	041d4dfa-a5da-4eeb-aee4-b56a4ef8a372
-6354117405756303102	7	Macros.Tree	XWiki.WikiMacroParameterClass	12b45fc2-abb4-4d88-a043-ba3fd6499e36
-1738067548726089409	8	Macros.Tree	XWiki.WikiMacroParameterClass	73875678-00b6-4516-a120-0401dc82b536
5982650279254161969	9	Macros.Tree	XWiki.WikiMacroParameterClass	6468cb7d-a8a5-496e-a98b-8c542006b13d
5344757774904131858	10	Macros.Tree	XWiki.WikiMacroParameterClass	d3269325-4da7-4916-a932-70aaaaf7f7de
6654031085085146067	0	Macros.TreeTranslations	XWiki.TranslationDocumentClass	e6852cbd-9a31-42cd-b4a9-6cb3ddd120af
2243531206888544574	0	IconThemes.Silk	IconThemesCode.IconThemeClass	f12a96e9-4d47-4060-b459-c6755139b626
-2643419207793810969	0	IconThemesCode.IconPicker	XWiki.JavaScriptExtension	f9fc785d-a4a9-4613-97df-7121bd281fc5
8350928796547166764	0	IconThemesCode.IconPicker	XWiki.StyleSheetExtension	c0c65e5c-9025-4e48-afb1-07ce47946a5e
-3086993241112120817	0	IconThemesCode.IconThemeSheet	XWiki.EditModeClass	f4a5a0f7-15f2-45a1-ad9e-2676bbca098a
1265889115715036925	0	IconThemesCode.IconPickerMacro	XWiki.WikiMacroClass	a5daaf5a-bdf5-4a63-b0de-db25061f5874
-742676475097111767	0	IconThemesCode.IconPickerMacro	XWiki.WikiMacroParameterClass	bff4d631-8c3a-47fd-b54a-a542874bb81e
3878003441219951497	1	IconThemesCode.IconPickerMacro	XWiki.WikiMacroParameterClass	f9169e0d-a47c-4598-b0d7-4211940d1886
-1529307941194505756	2	IconThemesCode.IconPickerMacro	XWiki.WikiMacroParameterClass	3a99d1ba-b108-45c6-a828-e76902f25783
7074471604397334605	0	IconThemesCode.Translations	XWiki.TranslationDocumentClass	9daf1330-1b67-4c29-b417-ad80cadbb338
-7799117968694533313	0	IconThemesCode.IconThemeClass	XWiki.ClassSheetBinding	4dd8d2c2-6d94-4566-aabf-6fb24a3ebfc6
-6814311451243547857	0	IconThemesCode.IconThemeClass	XWiki.DocumentSheetBinding	b38a5e82-54fa-46d1-9b12-7c9dcd31fe82
4856537117236058161	0	IconThemes.FontAwesome	IconThemesCode.IconThemeClass	d3c39c16-68d9-4937-9acb-96e55491ee50
771094098479979128	0	IconThemes.FontAwesome	XWiki.JavaScriptExtension	f8945ea9-36bd-46a9-ab6e-414ffa902988
7951221076831937111	0	IconThemes.FontAwesome	XWiki.StyleSheetExtension	8b5cb416-e129-4063-9c8f-67c6a31d2e1d
-8789460963672918823	0	Main.SpaceIndex	XWiki.WikiMacroClass	3b41888d-d9b1-4f4b-b790-16c880aaf332
-7543057703784922832	0	Main.SpaceIndex	XWiki.WikiMacroParameterClass	c041a13d-a9f3-4625-bce5-fb00d9e22387
9027176932998785565	1	Main.SpaceIndex	XWiki.WikiMacroParameterClass	8944c531-e4f2-45e0-b3e3-18b5b0aa713a
-2114507803626208157	2	Main.SpaceIndex	XWiki.WikiMacroParameterClass	fc4b56bc-f0a0-4295-89cd-3936da62bbe3
-7180417732519721614	0	Main.Spaces	XWiki.RequiredRightClass	eb832884-79a9-4e96-b1fa-55fdbb06b0a5
4434993791194682611	0	Main.Spaces	XWiki.StyleSheetExtension	0556ca2b-73ab-4779-a84d-1d7e4107d9ae
8009908531353325490	0	Main.Spaces	XWiki.WikiMacroClass	e990e6f7-1eff-40d8-9699-9052e36b5802
-5387129547118323819	0	XWiki.AllAttachmentsResults	XWiki.RequiredRightClass	bf8888e5-2c90-47ab-9a47-dec1db8bdd54
-8340683372497157102	0	XWiki.DeletedAttachments	XWiki.JavaScriptExtension	2b1a4426-e37b-40ba-9ad3-4055a466da0a
6208375829523118058	0	XWiki.DeletedAttachments	XWiki.RequiredRightClass	b70cdd38-4b2d-4dea-b1e0-c054359d3793
2565425069674253556	0	XWiki.DeletedAttachments	XWiki.StyleSheetExtension	33778e4e-5d86-472e-b065-c9c87b5b282e
173995775158485649	0	XWiki.DeletedAttachments	XWiki.XWikiRights	8d68ba7a-72d3-4f9f-a984-c7c47139b0a8
-4403847138508135963	0	XWiki.DeletedDocumentsJSON	XWiki.RequiredRightClass	9efcced5-2b33-4d59-8db5-d25cf14b8f9c
3782650588077848436	0	XWiki.DeletedDocumentsJSON	XWiki.XWikiRights	cfb9a2a9-0b52-4223-9c85-1bce8cb2bc80
-4270047942215544118	0	XWiki.DocumentTree	XWiki.WikiMacroClass	7369a327-ae4a-4ea0-a99d-02187ca2d32e
-4292617225184969157	0	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	583bffd2-30a7-487e-9b1e-6067e5d94aff
2706750404654345339	1	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	bbd355f8-9f4b-4674-96e3-235e29f49f95
8033261753603887338	2	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	5ad29f31-ef4d-4624-a54c-a2aa7cdb66d3
-290433136403775361	3	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	b3007652-cfa2-4a73-baa5-6ce96f873003
5507133455870632400	4	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	211b551c-978a-4818-99a5-c83364c9e244
7115468815733580006	5	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	607c05eb-a305-4070-bed6-5574a7d97b4e
6398268715832411259	6	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	ddad343b-39db-4f13-9cf8-df1c953c0efa
-961982407856130685	7	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	3d7cd63c-be0c-4d6b-bfa9-41a2d4a9948e
-20449174920798045	8	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	e1e760a9-40ec-4bb5-856b-3d18b8c48c3c
4625876372974772728	9	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	36929e3b-326e-4f39-ac99-1b55735a031a
5907546419309148588	10	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	a7fcc71e-deb1-4bb3-8f5b-6b8ed5482350
-1110678681262197463	11	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	b8d3e6d9-1054-492d-89f8-3540ec029634
2340271235697290149	12	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	2a0ef5ff-9d44-4e8f-9c5b-cddda8d82b4d
-7750451393889908950	13	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	cfc10379-bd4f-4c23-a669-37566c6245ba
2606437970141537991	14	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	a0b559b9-36f6-4682-84f2-6d1e1d8fefa9
1863209619509869037	15	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	57c05fc4-6df3-4cc8-ab8f-ec523341ce0d
2832372176651909060	16	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	a58f8083-0b50-4898-8e36-30a843acd506
3071263456201148754	17	XWiki.DocumentTree	XWiki.WikiMacroParameterClass	81d944dc-8be2-45af-a7b6-b924b6608c66
-4212519746212985691	0	XWiki.AllAttachments	XWiki.JavaScriptExtension	9ad0f248-6336-4543-ae2b-fd41dda77be4
7507813351467560633	0	XWiki.DocumentTreeTranslations	XWiki.TranslationDocumentClass	7b0ef63b-7bc3-4950-a557-9d076eeafa54
-8502917170642906784	0	XWiki.DeletedDocuments	XWiki.JavaScriptExtension	222ca0ed-b042-41d5-9d7e-942c4cc8a94b
-3017221804114572299	0	XWiki.DeletedDocuments	XWiki.RequiredRightClass	8de78194-f5ba-4cd8-8f0e-69b9d554e31c
-7524852497054340135	0	XWiki.DeletedDocuments	XWiki.StyleSheetExtension	aa8c7e27-a767-4e44-ac29-7809763dff56
-528946118605285988	1	XWiki.DeletedDocuments	XWiki.XWikiRights	f31fc0c5-7569-4716-8529-b30d3d6a9d9b
6437174684837264717	0	XWiki.DocumentsMacro	XWiki.WikiMacroClass	27ec7479-a26b-4b03-a6ec-576f00eecbf3
-3143182623433737187	0	XWiki.DocumentsMacro	XWiki.WikiMacroParameterClass	65052d4b-4b4c-4ee0-bd16-ae4be4ee53b6
-3887666743881049937	1	XWiki.DocumentsMacro	XWiki.WikiMacroParameterClass	1307889a-13ae-4f31-8d09-71f162d3276e
2065499440476739869	2	XWiki.DocumentsMacro	XWiki.WikiMacroParameterClass	ebff2ec2-730e-4389-a15d-74a07b8ace73
4237577464992284344	3	XWiki.DocumentsMacro	XWiki.WikiMacroParameterClass	4eb5c373-3982-417c-8445-d6df9280bd73
6230530917979272079	4	XWiki.DocumentsMacro	XWiki.WikiMacroParameterClass	2f12ef81-9f79-4f9a-829a-c0294a4d6178
8090097450957698493	5	XWiki.DocumentsMacro	XWiki.WikiMacroParameterClass	48fedb20-7177-4998-b377-feae7128b0eb
-8397893186669845850	0	Index.Translations	XWiki.TranslationDocumentClass	8baf94ce-3441-41f3-b4b9-a5031152b7d6
121216638294196643	0	XWiki.AddExtensions	XWiki.UIExtensionClass	d7757510-18cc-41db-be75-e95204c75b25
-5290135868479975735	0	ColorThemes.WebPreferences	XWiki.XWikiGlobalRights	fe14fd95-f75c-4afa-9038-46f8b6b7a026
8420108168104170756	0	ColorThemes.WebPreferences	XWiki.XWikiPreferences	aa06a1fd-a6db-436c-9b35-eba43dbeeb6d
-7752288896100011522	0	ColorThemes.Mint	ColorThemes.ColorThemeClass	e53237f8-80ea-40c1-a5b3-26450434a2d9
5686550930694130422	0	ColorThemes.Azure	ColorThemes.ColorThemeClass	bbe5fb61-f931-4d4d-a905-568487cb8296
6341655122287435360	0	ColorThemes.ColorThemeTemplate	ColorThemes.ColorThemeClass	e658ee3f-cf58-44ff-a87d-73e6ceea8181
-3856115598293330090	0	ColorThemes.Dusk	ColorThemes.ColorThemeClass	9d1acec0-7d78-4374-a46a-684f914c2e83
6996066238311580111	0	ColorThemes.ColorThemeClass	XWiki.ClassSheetBinding	d8b3a046-e75e-49bc-9037-f39e49fa4de1
8077918042006448738	0	ColorThemes.ColorThemeSheet	XWiki.JavaScriptExtension	2fcb4790-0b18-41ad-8fdc-42f3062a8025
-6953773984597868539	0	ColorThemes.ColorThemeSheet	XWiki.StyleSheetExtension	bb54e5ea-3751-424b-b8dc-b3d7dee268f6
-2418905723979244200	0	ColorThemes.WebHome	XWiki.StyleSheetExtension	e38b1cd9-283d-4468-b502-b501c984aa24
-9108728894848501578	0	Mail.MailConfig	XWiki.ConfigurableClass	8887c25f-a95f-44ba-8b87-c119e65a0d36
-4039664564421777869	1	Mail.MailConfig	XWiki.ConfigurableClass	4bee1ca8-fffb-4c7a-b9f6-780a1338e31d
3193224639151033195	2	Mail.MailConfig	XWiki.ConfigurableClass	b867c013-9ab7-406e-9fe2-4cafed309b0b
-6375373219653648772	0	Mail.Translations	XWiki.TranslationDocumentClass	3717d543-149c-4119-a7d5-cef10dedd8d9
4364801158857815768	0	XWiki.ClassSheet	XWiki.SheetDescriptorClass	4d854769-efce-441c-8594-349c458b880e
4666093086123869888	0	XWiki.ClassTemplate	XWiki.DocumentSheetBinding	4236a78b-13cd-49db-aa31-45ae80a10334
-7284074232723012561	0	PhenoTips.TabelarDataMacros	XWiki.JavaScriptExtension	bc8be6ae-af69-4ca1-a439-ec5087bd156d
-3844444139597722093	0	PhenoTips.TabelarDataMacros	XWiki.StyleSheetExtension	ae82f359-cbf6-4b2d-a634-e0ca99f22ae8
-5142933733793134952	0	PhenoTips.FontAwesomeIcons	XWiki.StyleSheetExtension	20e6d01c-ccdd-4417-b3c5-b67851c65298
-6348726566838501671	0	PhenoTips.FontAwesomeIcons	XWiki.WikiMacroClass	90c03ff1-f1ba-4f3e-9648-e2a7aa423b6e
-4107477607535558306	0	PhenoTips.FontAwesomeIcons	XWiki.WikiMacroParameterClass	3bd583dc-fe5b-48a0-be80-5dbda6e5d123
-7379524742626007554	1	PhenoTips.FontAwesomeIcons	XWiki.WikiMacroParameterClass	48b1ea40-a3e4-427c-833c-b440a07cddd0
7122393996290033201	2	PhenoTips.FontAwesomeIcons	XWiki.WikiMacroParameterClass	34d49cbf-067d-4553-8827-40b5ab64bcbc
6851332950790330843	3	PhenoTips.FontAwesomeIcons	XWiki.WikiMacroParameterClass	384e2e9f-bf98-4504-b174-835f1a3cbdc5
2044642619173841514	0	PhenoTips.FontAwesomeIcons	XWiki.XWikiRights	78631e3f-e026-49da-87df-a14d67f1df89
-7384449520393366346	0	PhenoTips.YesNoNAPicker	XWiki.JavaScriptExtension	ec504294-9ed2-4288-a088-fc12b010c398
-2077216384467554192	0	PhenoTips.YesNoNAPicker	XWiki.StyleSheetExtension	6cb766b8-0d90-4b54-a866-a92cc2ffdf6b
7213829870165562513	0	PhenoTips.ImageDisplayer	XWiki.JavaScriptExtension	92c4c790-a961-4909-a1e5-ec02c0cf2e85
8779342943261649448	1	PhenoTips.ImageDisplayer	XWiki.JavaScriptExtension	71632e63-756b-45e6-94bc-6b81867954b3
-4102688510095098950	0	PhenoTips.ImageDisplayer	XWiki.StyleSheetExtension	138649f5-23c9-4416-884f-37b72d3b2309
-1718765091772660229	1	PhenoTips.ImageDisplayer	XWiki.StyleSheetExtension	a716b014-bd8a-43c3-b18c-38f84a651e81
-381624292609406307	0	PhenoTips.Widgets	XWiki.JavaScriptExtension	0e1a6de2-6050-432f-a39f-656bb3b90163
762845568679840330	1	PhenoTips.Widgets	XWiki.JavaScriptExtension	d12911da-ec96-4e6b-bee9-8e6a5673edf8
-2136398356499945459	2	PhenoTips.Widgets	XWiki.JavaScriptExtension	8671764c-5e4b-4641-a1ae-0a77d30d8009
-4634018571476814268	3	PhenoTips.Widgets	XWiki.JavaScriptExtension	d536b27d-9de4-4d3d-9bc8-e458d3274c16
-7933826172608503154	4	PhenoTips.Widgets	XWiki.JavaScriptExtension	984c7b53-5644-489c-8ddc-ef51a196254a
-2667627816585793507	5	PhenoTips.Widgets	XWiki.JavaScriptExtension	62a03919-3321-48ca-ae5a-b748ca291f63
-8869825635248512149	6	PhenoTips.Widgets	XWiki.JavaScriptExtension	1cc2a76f-aca1-4bfa-a468-3a599799c13c
8840777577127400957	7	PhenoTips.Widgets	XWiki.JavaScriptExtension	576a48e8-6707-4310-941b-0abb9e532d23
8767386282170405520	8	PhenoTips.Widgets	XWiki.JavaScriptExtension	a81251a5-7e93-4dda-b851-c37f4841d346
3324831887511834412	9	PhenoTips.Widgets	XWiki.JavaScriptExtension	ce0e1cc4-d0b1-4bf0-9815-444160042fd0
-7165983680303077190	10	PhenoTips.Widgets	XWiki.JavaScriptExtension	34bc814b-fee0-4738-bc6d-b5803a08a0dc
7817692244712022440	11	PhenoTips.Widgets	XWiki.JavaScriptExtension	f35b7996-c858-464b-aa26-f58512b40b50
1684448288439082877	12	PhenoTips.Widgets	XWiki.JavaScriptExtension	27737a98-9433-41fd-83f6-ecb74ffac1a2
-1088741600705946960	13	PhenoTips.Widgets	XWiki.JavaScriptExtension	d823f086-78f1-4019-8747-fcd55d2bd448
2400439552524166882	0	PhenoTips.Widgets	XWiki.StyleSheetExtension	3adf8acf-b6e8-4d05-a382-fa56ee969cf9
-115560545996216550	1	PhenoTips.Widgets	XWiki.StyleSheetExtension	95d4225b-2cf1-4680-9922-a2d82e238ffe
6382729201458523557	2	PhenoTips.Widgets	XWiki.StyleSheetExtension	64464fe6-5214-4cab-b03d-ba1892d3bb2c
1528580236109238144	3	PhenoTips.Widgets	XWiki.StyleSheetExtension	8b79ea53-be8b-4d5e-a725-4d60224414b7
-8046821127321631759	4	PhenoTips.Widgets	XWiki.StyleSheetExtension	a629e713-040b-4000-b42e-4b34bb397448
-5413005090135459356	5	PhenoTips.Widgets	XWiki.StyleSheetExtension	6a32e24f-34dd-4972-b5da-305be3db4027
6194885668303409605	6	PhenoTips.Widgets	XWiki.StyleSheetExtension	db98aaff-6646-4778-8d05-160724bac290
-8997540330715102653	7	PhenoTips.Widgets	XWiki.StyleSheetExtension	00ed2265-5601-43d6-94b9-c1cab4eaae52
8464333267336014519	8	PhenoTips.Widgets	XWiki.StyleSheetExtension	1fcf8d61-83d1-4fdb-8723-64b8de5cd688
1029149978393615900	9	PhenoTips.Widgets	XWiki.StyleSheetExtension	a9b51b91-4ca2-45c8-9b25-845afcdd9a6e
-692458536091278653	0	Main.MessageSenderMacro	XWiki.JavaScriptExtension	45267be4-0f7b-407f-99c8-f5ce7665cbb8
3691429869719656184	0	Main.MessageSenderMacro	XWiki.StyleSheetExtension	d2eaf281-0560-40ea-bfed-99a94ee1b305
-1970536447999040586	0	Main.MessageSenderMacro	XWiki.WikiMacroClass	080fc355-840c-4a9d-820f-1fb16690f451
-8752557532974133411	0	Main.MessageSenderMacro	XWiki.WikiMacroParameterClass	615acf22-2c34-4197-9255-d3539674457a
-7272254375090897470	1	Main.MessageSenderMacro	XWiki.WikiMacroParameterClass	feced613-3e36-40e2-a0db-71d91b3c5bb9
-6498630665715157959	2	Main.MessageSenderMacro	XWiki.WikiMacroParameterClass	72674ec2-6bd1-4735-a395-15a5ccac6aac
-8869167275737516035	0	XWiki.DateTimePicker	XWiki.JavaScriptExtension	6f429c0b-173f-4a3a-bd45-f5bc1f977bb4
7083120765274645503	1	XWiki.DateTimePicker	XWiki.JavaScriptExtension	a7431ce6-0522-4fdc-a212-0759f788415d
2509285284474509343	2	XWiki.DateTimePicker	XWiki.JavaScriptExtension	7bda20e1-10df-458b-92da-57ff91e9f2d0
-1666382753955370540	4	XWiki.DateTimePicker	XWiki.JavaScriptExtension	6ec8f73b-75c3-41b2-8869-c6fe927f6345
1564148237268091575	5	XWiki.DateTimePicker	XWiki.JavaScriptExtension	3c2e2312-63bb-4599-bbec-ed37ae4ba254
2647651902204394801	0	XWiki.DateTimePicker	XWiki.StyleSheetExtension	ce37339d-1130-4b6a-94f4-f998389b5320
1509292906043566451	0	XWiki.DateTimePicker	XWiki.XWikiRights	fcd76e0d-037e-4054-a1fd-ca124fd5deeb
-8465264687240425439	0	XWiki.AttachmentSelector	XWiki.JavaScriptExtension	caa5337b-fad4-4c21-8ef4-9e7e1c44dbfe
-7029750735844180463	1	XWiki.AttachmentSelector	XWiki.JavaScriptExtension	2aa565e6-b9bd-4095-a7a9-bbf47d75d079
-2772019619561421597	0	XWiki.AttachmentSelector	XWiki.StyleSheetExtension	2a28ce9c-ab00-4847-936d-53e4f2acbfe0
8619938190454890474	0	XWiki.AttachmentSelector	XWiki.WikiMacroClass	7f67fdfc-a67a-4166-b7c1-6d572ee54719
-1766016663854888874	0	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	bb1b9208-3b4a-43e4-8a69-603281ca1412
-891003554874154134	1	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	c51517fc-93e9-4594-8b10-b014a8907452
5609995998568979095	2	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	b43c2df7-9941-4941-834b-0236424cfaa9
-4040532020646090681	5	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	a35e6fcc-b5e9-4c49-a601-cead93cba813
-8170685701810359526	6	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	2dcec651-66b9-4d7c-9ac6-2578a426a5f4
9099341308356375630	7	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	a932ece6-3c6d-48c7-a717-536317705f71
-7637459130189909810	10	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	5c3f5b0d-1d0d-4820-8985-13d779972acb
-6274205128352087333	12	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	aa252c40-59a0-4e82-a94b-e133862fe082
3727900940027351315	13	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	e31c42de-47d7-4a73-a236-b99c2231dca7
3817777789228802913	14	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	0b2cea67-1942-4ce2-9f5e-90907033c92c
-7149058994813736232	15	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	003ab606-5c72-465d-bfd6-bd21262be502
2954648587304094412	16	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	9ca8402c-6df8-4068-b00f-1f9bb18f38a9
-3065312122997211821	17	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	54e733cd-f755-4dee-8629-b713f685790a
-8222245676634688845	18	XWiki.AttachmentSelector	XWiki.WikiMacroParameterClass	99b73453-120c-481a-8889-1a7efc7b73f2
-8418460622719868029	0	PhenoTips.SkinCustomization	XWiki.UIExtensionClass	6e3e70c9-22a3-4133-948a-fa18b7db7257
-3302589865837533320	2	PhenoTips.SkinCustomization	XWiki.UIExtensionClass	c92a9749-be15-42c4-9d98-04a69a519b2d
-1116793825665508075	4	PhenoTips.SkinCustomization	XWiki.UIExtensionClass	51232060-d6a2-409e-91eb-feea8cdd0e73
835703195384632547	6	PhenoTips.SkinCustomization	XWiki.UIExtensionClass	c92aad87-9fc7-415f-b073-6d7696d7c7bc
1221012321705694459	0	PhenoTips.SkinCustomization	XWiki.XWikiRights	007a396b-14ff-4fba-ad44-e23c905d29c1
-2399305200795184451	0	PhenoTips.ContentTopMenu	XWiki.JavaScriptExtension	e5d4f60d-d537-495d-bef2-c7e7894fb3f4
823381528089157115	1	PhenoTips.ContentTopMenu	XWiki.JavaScriptExtension	13a3388b-e108-4903-9b1a-2ef792c5c472
-7409454071592697738	2	PhenoTips.ContentTopMenu	XWiki.JavaScriptExtension	4097e56a-9f34-410b-a188-84a459a3bbea
-5454183358517115625	3	PhenoTips.ContentTopMenu	XWiki.JavaScriptExtension	5c370dd1-519a-4cae-a5b2-a555d2199cae
-7916399137393189490	4	PhenoTips.ContentTopMenu	XWiki.JavaScriptExtension	dd3b46fe-acb2-43ee-bf76-b01d0c3bccae
7601018475583364651	0	PhenoTips.ContentTopMenu	XWiki.StyleSheetExtension	b3934e65-aa68-4fcb-8df4-875c955e2f93
2707485211712707399	1	PhenoTips.ContentTopMenu	XWiki.StyleSheetExtension	87c40da3-7d05-4feb-ad36-18d4a49376d3
-2657345898464548869	0	PhenoTips.ContentTopMenu	XWiki.UIExtensionClass	9449621f-d20d-42a1-bc70-18096cd6be2a
-2171628826804657284	0	PhenoTips.UIXTemplate	XWiki.DocumentSheetBinding	d83f51ff-a672-4ff8-9b77-9a2a416ee20b
4549311866376089804	0	PhenoTips.UIXTemplate	XWiki.JavaScriptExtension	8fcec09a-ebce-4b2f-b121-7562b21f6865
-8338727530422061680	0	PhenoTips.UIXTemplate	XWiki.StyleSheetExtension	dcd85ffb-79dd-40d7-8152-0a441bb5c936
-6481094477948054101	0	PhenoTips.UIXTemplate	XWiki.UIExtensionClass	76b4de3d-f8f1-4454-8869-b14a6c2944bc
-5343433619853380891	0	PhenoTips.Skin	XWiki.JavaScriptExtension	5a947c54-713e-41c7-8f8a-465610b7555f
-5911728936807024833	0	PhenoTips.Skin	XWiki.StyleSheetExtension	8dda95b8-cd05-43f6-9f5b-c60c9566d28d
-7303074617795149086	0	PhenoTips.Skin	XWiki.XWikiRights	4898ab6a-ab78-47af-962c-874bd555edf1
-6385201033440160936	0	PhenoTips.Skin	XWiki.XWikiSkins	deed3e95-9ca1-4315-85b2-4b70e05cd884
-5093485818302672279	0	PhenoTips.EmbeddableSkin	XWiki.XWikiRights	1df7f289-a681-4a80-985f-7bf6d1ef89f7
4573373488719209179	0	PhenoTips.EmbeddableSkin	XWiki.XWikiSkins	4b5cc73f-a484-4f88-b62c-fa1a4dde6ccc
-6950051007663280108	0	Main.WebHome	XWiki.StyleSheetExtension	f62a85d8-9e77-43a2-89e7-02c9e801376b
-4070038678022651157	0	data.ServerError	XWiki.XWikiRights	78631e3f-e026-49da-87df-a14d67f1df88
5467926099341538842	1	data.ServerError	XWiki.XWikiRights	2782540b-fda3-4816-9d6c-e3f16ad13919
-7460178172420719285	0	ColorThemes.Kiwi	ColorThemes.ColorThemeClass	8eea84bf-2dd7-4948-a20a-548dad97b5bf
-4470827524973375705	0	ColorThemes.Kiwi	XWiki.XWikiRights	a1635932-95e9-418e-a908-6209ca65dd4b
7087551410755395893	0	ColorThemes.Orange	ColorThemes.ColorThemeClass	ef90e4f2-a523-4811-8218-bef1eed266a7
-4919157053708043757	0	ColorThemes.Orange	XWiki.XWikiRights	204cbdb7-7d3f-4755-a5b9-416f0b4a489a
-7481069179918326163	0	ColorThemes.Silver leaf	ColorThemes.ColorThemeClass	9d6c7ad7-0f94-4c72-9420-c8bc972160ac
8347436934581074556	0	ColorThemes.Silver leaf	XWiki.StyleSheetExtension	ac041107-4546-48ea-946d-5f3731c57808
1699721016323068707	0	ColorThemes.Silver leaf	XWiki.XWikiRights	0c4a2439-99c6-4353-940b-72a7d3199083
-8983782906522536529	0	ColorThemes.Maple leaf	ColorThemes.ColorThemeClass	09007a4c-4494-40ca-927b-3f0a9571dbe8
-8612909099128072630	0	ColorThemes.Maple leaf	XWiki.StyleSheetExtension	63a0713d-cbab-4687-87be-ba595d7ca833
-3152014185615537482	0	ColorThemes.Maple leaf	XWiki.XWikiRights	2df73029-e64c-4e1d-9091-4e10762adcf7
4560887933952432789	0	ColorThemes.Blue	ColorThemes.ColorThemeClass	e2fc387c-de26-4328-b256-8ae73d83cad7
-5347471842214447649	0	ColorThemes.Blue	XWiki.XWikiRights	3e96ac14-b5b3-4232-9570-46482ae3f066
-1595455752697383687	0	ColorThemes.Ruby	ColorThemes.ColorThemeClass	e20e0d0d-bbd3-43b7-96f5-ec464a28c408
-6403795007650089389	0	ColorThemes.Ruby	XWiki.XWikiRights	6a64366f-ecf8-4cb8-9ecf-dba642a45976
1722615445707298589	0	XWiki.WebHome	XWiki.UIExtensionClass	ac3ad56c-e655-4809-86a6-a7a397cde479
2057799063539361021	1	XWiki.WebHome	XWiki.UIExtensionClass	b2cfd8bc-7984-4d98-92b6-9e3ec73d41fe
2181430748800771902	2	XWiki.WebHome	XWiki.UIExtensionClass	c26fad45-a9cd-489a-96fe-0af3415b0b16
1722652126108119459	3	XWiki.WebHome	XWiki.UIExtensionClass	0d7ce298-dc92-4ed6-aa2e-bdb7cffcd895
923624607272235607	0	PhenoTips.PhenotypeMappingClass	XWiki.ClassSheetBinding	23873546-c660-4b27-a4fe-04ab2d8bbf11
-2872393592263754776	0	PhenoTips.PhenotypeMappingClass	XWiki.DocumentSheetBinding	193aa8c4-2ba2-4c7c-bf07-ff9c6318f125
2739420286846870014	0	PhenoTips.PhenotypeMappingPreview	XWiki.JavaScriptExtension	2046b272-5863-4c04-a6b7-c8bb2850868b
-4066849639251503145	0	PhenoTips.PhenotypeMappingPreview	XWiki.StyleSheetExtension	150b3f6c-a46d-4dd3-b362-c1cdbf63a83b
-5133891471780726474	0	PhenoTips.Detailed physical phenotype configuration	PhenoTips.PhenotypeMappingClass	6f6e330a-7a8f-49cc-9e32-0800ac48f433
844134387371561617	0	PhenoTips.PhenotypeMappingTemplate	PhenoTips.PhenotypeMappingClass	13b5405a-eb0d-49d7-be7f-9da3e33fd55c
-7079714043964720575	0	PhenoTips.FormDesigner	XWiki.JavaScriptExtension	f932f5b4-9eb5-4334-9fdf-d92946a5d6c5
6295424548260315080	0	PhenoTips.FormDesigner	XWiki.StyleSheetExtension	8d49282c-87bb-4a60-a5ea-83a25d3c87fc
6529430516254183794	0	PhenoTips.HPOBranchDisplayer	XWiki.JavaScriptExtension	54f5672b-51e3-4a59-b4c4-4d38d4dd4c5c
-3085580127925242763	0	PhenoTips.HPOBranchDisplayer	XWiki.StyleSheetExtension	5b26d0a0-c251-441c-8410-2dc39caa7240
8773870381975704130	0	PhenoTips.Generic phenotype configuration	PhenoTips.PhenotypeMappingClass	901abd50-448b-4e94-827e-444dc1fb8724
-156395709663949507	0	PhenoTips.UIX_Field__gender	XWiki.UIExtensionClass	2eaae407-ca0b-4a81-bc81-a45e9a5b758a
3944040389392955071	1	PhenoTips.PatientClass	XWiki.ClassSheetBinding	26f66b49-19b2-4e19-9035-4ed4c309045a
4391400638661747159	0	PhenoTips.UIX_Field__global_age_of_onset	XWiki.UIExtensionClass	f477f684-d0b4-4eb8-ad38-b47d47f3c7bd
-1098646284755533130	0	PhenoTips.UIX_Field__allergies	XWiki.UIExtensionClass	56dfe404-8880-4941-8fb5-b7e6da0f744c
-4180717956669538269	0	PhenoTips.UIX_Section__diagnosis-info	XWiki.UIExtensionClass	998a5875-0966-471d-8064-27f9894852b8
-8913398776091479712	0	PhenoTips.UIX_Field__multiple_gestation	XWiki.UIExtensionClass	0aa7c5c1-89ca-4763-b4ab-1b82fc0ea566
-1036706414952163240	0	PhenoTips.UIX_Field__variants	XWiki.UIExtensionClass	9093f2c7-707a-49ea-b224-92a40ab7f529
1745400825667077915	0	PhenoTips.PatientConsent	XWiki.JavaScriptExtension	d6d0ec8b-0824-4022-9aea-b5404c536cbb
-5413791625578606682	0	PhenoTips.PatientConsent	XWiki.UIExtensionClass	995516fc-aa05-4b06-9d24-f6003a1c8aa3
-2676025870266436945	0	PhenoTips.UIX_Field__genes	XWiki.JavaScriptExtension	0c3e868a-743c-4714-ba1a-a04cbf6b0dd1
1589205948959054510	1	PhenoTips.UIX_Field__genes	XWiki.JavaScriptExtension	ddc20308-5638-42ba-9680-19944cc57e54
-292098650624942187	0	PhenoTips.UIX_Field__genes	XWiki.StyleSheetExtension	31ef03c0-7319-491e-8ee4-ac2863448012
-1548304891250386851	0	PhenoTips.UIX_Field__genes	XWiki.UIExtensionClass	7b7c0c0e-2a31-4710-8479-891b7742595e
-507856605642471160	0	PhenoTips.UIX_Field__global_mode_of_inheritance	XWiki.UIExtensionClass	8b63fae8-caef-4cd3-935d-e079253eb269
110755453634907383	0	PhenoTips.UIX_Field__omim_suggestions	XWiki.UIExtensionClass	04c45346-b203-4fd8-a60f-1b32e0cd72ff
-5096871906417101995	0	PhenoTips.UIX_Field__gestation	XWiki.UIExtensionClass	3224050b-6573-4061-8702-0c3b67a0f202
-4472210235605638364	0	PhenoTips.UIX_Field__phenotype	XWiki.JavaScriptExtension	45c42ef5-2dbe-454a-83fb-410dab672231
140270767052048382	0	PhenoTips.UIX_Field__phenotype	XWiki.StyleSheetExtension	c1ed84c3-bd41-4c48-a17c-0e3610e66b66
5438551172213685513	0	PhenoTips.UIX_Field__phenotype	XWiki.UIExtensionClass	776d4800-eade-41ea-974e-bc098b0fb426
1240644555127670220	0	PhenoTips.UIX_Section__phenotype-info	XWiki.UIExtensionClass	865e5056-19f1-45f1-8cb4-060d3e82066f
-3478887088785183937	0	PhenoTips.UIX_Field__prenatal_development	XWiki.UIExtensionClass	054ac86f-dbfc-4393-9802-ca55ff25dd49
-976918384487463105	0	PhenoTips.UIX_Field__charts-exported	XWiki.UIExtensionClass	040418a8-c0b4-4ea6-b6e2-5a81ddaeb2c2
-6371114286152634390	2	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	3dbaeab5-a161-4a7e-9884-f130958b03b5
2637663411216547790	3	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	fcece596-8be6-4fa6-a193-609666005fd9
1060398250106611517	4	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	e1208274-545d-4b27-9609-010a6ce16194
-294279599611314197	7	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	47891262-4dc8-44ea-83b2-944326a5acd0
-9052874784795951139	8	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	fee0fd2a-16d1-45ac-8a44-16af9afec0f7
-1510750888240503256	9	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	ec95a008-e5ee-4400-83fc-b60abd4d4440
3318223183939778041	10	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	108065a7-3adb-4e83-b9c4-c9e7a7fbfd89
-2977641234833990010	11	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	96600d0a-4191-4307-9350-f0c8fb5b1a26
-1317365487173417600	12	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	caf691e4-d58c-485a-9916-7abe49199ce3
8764761973697635701	13	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	98e58dee-d663-42fb-88b0-2daa181ec3d4
3838320918857368184	14	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	b4ad6f0b-ebac-4bca-a223-ea8f394c837c
-2788095431523390073	15	PhenoTips.PatientSheetCode	XWiki.JavaScriptExtension	0dad2b4e-4f21-4652-b032-0aa9d6ee2e5a
8074666911626387884	0	PhenoTips.PatientSheetCode	XWiki.PDFClass	8013b262-b466-4c84-be89-c48455787e47
-6481727310521510162	0	PhenoTips.PatientSheetCode	XWiki.StyleSheetExtension	972515de-46fe-48d5-85b6-4d4dc5a696f5
-7388137781914369781	1	PhenoTips.PatientSheetCode	XWiki.StyleSheetExtension	ccd8a586-777c-4597-98e9-2303833adacb
-2870840246959512782	2	PhenoTips.PatientSheetCode	XWiki.StyleSheetExtension	a92ecd55-7896-45b8-878a-a7e2228a740d
-9075091576080308657	3	PhenoTips.PatientSheetCode	XWiki.StyleSheetExtension	6b031d72-7733-4ce5-905f-b999ec0c3165
8941872134116103063	4	PhenoTips.PatientSheetCode	XWiki.StyleSheetExtension	af20ed8f-b8cd-4d2f-ae19-f053f0bb5f03
203962400083476626	0	PhenoTips.UIX_Section__files-info	XWiki.UIExtensionClass	5411be4d-66a1-494a-8fc6-6d5921c15aad
8554973203633654227	0	PhenoTips.UIX_Field__charts	XWiki.UIExtensionClass	92c1e7dd-195e-460f-abf2-1b7b175b7695
-1660613253161046934	0	PhenoTips.UIX_Field__solved	XWiki.UIExtensionClass	97415736-3ecf-4460-9d29-c30196a8833c
5609576143747348822	0	PhenoTips.PatientTemplate	PhenoTips.PatientClass	a8a20625-bade-443d-bbd4-56dbdb830e1c
8945688276831170559	0	PhenoTips.PatientTemplate	PhenoTips.PedigreeClass	09879ef6-e139-47bc-adce-6feedb4c4d70
-1688306265438928416	0	PhenoTips.PatientTemplate	PhenoTips.VisibilityClass	59299982-cdf4-4ada-b52c-46f6bb61c577
3923990827706018899	0	PhenoTips.UIX_Section__case-resolution	XWiki.UIExtensionClass	4ed75528-f0b0-4a71-b23c-295d532e560f
8434677893931049112	0	PhenoTips.UIX_Field__additional-images	XWiki.UIExtensionClass	ca485cab-9149-4cc8-84d3-73d93360d177
7828773430998734372	0	PhenoTips.UIX_Field__indication_for_referral	XWiki.UIExtensionClass	49261895-e5b5-435c-a50b-99cc26c38791
3976041187894402198	0	PhenoTips.UIX_Section__patient-info	XWiki.UIExtensionClass	f1edc3eb-eb5d-4380-ae3c-62a9f58d4d97
-226647626601705576	0	PhenoTips.UIX_Section__measurement-info	XWiki.UIExtensionClass	c82cdd14-d017-4c7f-b1da-3a37eb156224
-5003776548285228195	0	PhenoTips.UIX_Field__consanguinity	XWiki.UIExtensionClass	e30437f1-5532-4220-a8fd-ef78d1bca86b
-8772225941158543190	0	PhenoTips.UIX_Field__assisted_reproduction	XWiki.UIExtensionClass	4353f1b4-8227-44ec-80c5-0f55079e328a
1185118687322623748	0	PhenoTips.UIX_Field__required-measurements	XWiki.UIExtensionClass	51a49da2-a2d2-4f00-b7a0-1a7c455b2d81
1364237315358742195	0	PhenoTips.UIX_Section__prenatal-info	XWiki.UIExtensionClass	b409d0dc-62a0-47ee-94d7-145f6c1a09ad
3727276020073422038	0	PhenoTips.UIX_Field__measurements	XWiki.UIExtensionClass	0fbed218-0ed3-40b1-bd6c-678b864f31ae
5967691431549296708	0	PhenoTips.UIX_Field__family	XWiki.UIExtensionClass	c69577c0-d150-47f2-9895-e1317ac466f1
9018479057853265151	0	PhenoTips.UIX_Field__date_of_death	XWiki.UIExtensionClass	1774d7e3-0783-4c20-a962-071a535e4bb4
-6609433245919938890	0	PhenoTips.UIX_Field__apgar	XWiki.UIExtensionClass	11907b9d-0459-4675-be8e-ef9a912eedad
-7336163050248758201	0	PhenoTips.UIX_Field__proband_info	XWiki.UIExtensionClass	dc21f0ec-1e87-40d5-ac30-d2eefa8c65cc
2611774919915831742	0	PhenoTips.UIX_Field__pedigree-file	XWiki.UIExtensionClass	2ae89311-c93c-4cb4-be4d-76e4787279eb
-764790084925510049	0	PhenoTips.UIX_Field__diagnosis_notes	XWiki.UIExtensionClass	109906e7-a5b1-4bf2-9443-4a38f89b1c40
991841268510404417	0	PhenoTips.UIX_Field__reports_history	XWiki.UIExtensionClass	401953a2-a320-4308-83af-ad5fc852b142
-307009263461415052	0	PhenoTips.UIX_Field__miscarriages	XWiki.UIExtensionClass	ddc53adb-b517-4a09-ac27-bf8a1a635e62
-8476100274704283223	0	PhenoTips.UIX_Field__medical_history	XWiki.UIExtensionClass	374f7214-6345-4693-8fa9-d18da0e95840
5271128316904831087	0	PhenoTips.UIX_Section__variant-info	XWiki.UIExtensionClass	d8dd72df-d746-42b0-bcc1-0b7953c68aaf
-8569186381944649084	0	PhenoTips.UIX_Field__patient_name	XWiki.UIExtensionClass	d9f3e8d7-d4f8-4554-b5e5-2ae6c3958951
2408108398840016633	0	PhenoTips.UIX_Field__external_id	XWiki.UIExtensionClass	bf1a182c-b759-488e-ac97-2d272a8130d6
-530863808007637964	0	PhenoTips.UIX_Field__ethnicity	XWiki.UIExtensionClass	5be21e42-6631-442d-95c7-05ba705be013
-7733359520204819767	0	PhenoTips.UIX_Field__date_of_birth	XWiki.UIExtensionClass	55ffba30-cd44-490e-8688-ae3aa56834ec
3370712823292206081	0	PhenoTips.VCF	XWiki.DocumentSheetBinding	e53ac762-8efa-4e8f-bc5f-8f47fb3278aa
5168516724145124850	0	PhenoTips.VCF	XWiki.UIExtensionClass	fbfb648b-6f6a-449f-b066-3d017df05bcb
7975350629303934440	0	PhenoTips.UIX_Field__family_history	XWiki.UIExtensionClass	9050e009-3fb4-40ef-966c-cbf038c8b79b
-2130164487751517287	0	PhenoTips.UIX_Field__additional-images-exported	XWiki.UIExtensionClass	6b3ad51d-c5a6-4a3b-8ee2-5ae591e8963a
4857991400143507865	0	PhenoTips.UIX_Field__exam_date	XWiki.UIExtensionClass	fa5a8b85-675c-4509-b95f-acf158ddc83d
-5634258157532034655	0	PhenoTips.UIX_Field__health_card	XWiki.UIExtensionClass	8e67e399-35b2-43c9-bff5-50499ae1bc07
-1255206162679304456	0	PhenoTips.UIX_Field__identifier	XWiki.UIExtensionClass	383fbddb-18a7-4878-9dd5-12b8df8e2c76
2439067458154922506	0	PhenoTips.UIX_Field__parental_age	XWiki.UIExtensionClass	4353f1b4-8227-44ec-80c5-0f55079e328a
1866621421289733079	0	PhenoTips.UIX_Field__prenatal_phenotype	XWiki.UIExtensionClass	4b05398d-9818-4c81-b631-06f94ec3b2fa
7385052798141217275	0	PhenoTips.UIX_Section__genotype	XWiki.UIExtensionClass	f2e0c557-0a81-4574-bd9f-b45737678322
-2602910287359672869	0	PhenoTips.UIX_Section__family-info	XWiki.UIExtensionClass	0ba6ce1f-f6e4-4986-a539-c68700e79d86
7371445097842592406	0	PhenoTips.UIX_Field__affected_relatives	XWiki.UIExtensionClass	91669cd5-5adc-4945-89a2-5f12b88c7362
-1988242395712856245	0	PhenoTips.UIX_Section__medical-history	XWiki.UIExtensionClass	7d6cf62d-6d54-4232-a9b1-315750a6daa3
19015968192784928	0	PhenoTips.UIX_Field__additional-documents	XWiki.UIExtensionClass	d3a87c5d-d808-4dbc-86af-fe6c8a761bae
-6854874606737019295	0	PhenoTips.UIX_Field__rejected_genes	XWiki.DocumentSheetBinding	a75ed1fd-e1ad-4cd7-8cb1-3648dee52cce
4902389464977109051	0	PhenoTips.UIX_Field__rejected_genes	XWiki.JavaScriptExtension	d241be2f-9e9c-4336-a839-8061d3a61d30
-7642655803473087326	0	PhenoTips.UIX_Field__rejected_genes	XWiki.UIExtensionClass	bef2efd9-d047-4e5f-824b-da5f5273ce22
-2198110047830767495	0	PhenoTips.UIX_Field__omim_id	XWiki.UIExtensionClass	557fd2f6-cdf0-40ae-ab82-af6166928b79
-5107571275666992228	0	PhenoTips.UIX_Field__obstetric_history	XWiki.UIExtensionClass	431e74ec-1978-4be1-9abc-8047cfb87855
1776151800626855264	0	PhenoTips.DBConfigurationClass	XWiki.StyleSheetExtension	b91750d7-c185-4e69-9f6d-53ab896b1778
-4886940583401620716	0	Main.DatabaseSearch	XWiki.UIExtensionClass	01bd7e60-de8c-4fc6-b233-d0a86a3cdaf7
-2636269436385194420	0	XWiki.SearchAdmin	XWiki.ConfigurableClass	301d32cd-cf2a-4b9a-b2c6-182f3c04eeac
8245055029403230725	0	XWiki.SearchConfigClass	XWiki.DocumentSheetBinding	325a5b75-0416-45c9-a98e-bc74855c15cb
-8298489110277145029	0	XWiki.SearchSuggestSourceClass	XWiki.DocumentSheetBinding	d666d5ef-2acc-4471-a35e-00afb116cc44
4452184872458081486	0	XWiki.SearchSuggestConfigSheet	XWiki.JavaScriptExtension	555f31ab-0e5d-4ed0-84b4-cc96d2085be0
4987120541439898953	0	XWiki.SearchSuggestConfigSheet	XWiki.StyleSheetExtension	7423f9d5-620b-40ef-84da-7d88306805ce
6580011987323805505	0	Panels.Search	Panels.PanelClass	7f378e2c-48f5-4a6b-b687-12c0b7b376a2
-2219776247285052883	0	PhenoTips.DBWebHomeSheet	XWiki.JavaScriptExtension	406c6371-adb7-4468-ad28-c12a5cb5cf83
8526841154133154525	1	PhenoTips.DBWebHomeSheet	XWiki.JavaScriptExtension	384096ac-eb19-4fea-a2c6-337b350ca71b
-2957198822781106626	2	PhenoTips.DBWebHomeSheet	XWiki.JavaScriptExtension	d9b727a8-4e6b-498f-8584-80dcac64c352
6080907093480830533	0	PhenoTips.DBWebHomeSheet	XWiki.StyleSheetExtension	be904bc0-bfcc-4272-a0c1-88fcf238824d
-2829345281053977864	1	PhenoTips.DBWebHomeSheet	XWiki.StyleSheetExtension	6c9f3147-838e-4ae3-a17d-6b9ab4531766
-8983360167584442179	0	data.AllData	XWiki.XWikiRights	0819c66d-208c-4d44-8cb8-b3c8a292d73a
-5313288560143497352	0	data.WebHome	PhenoTips.DBConfigurationClass	380d3252-75ab-4be3-8b4b-d212e9939b6f
3548927377854748195	0	data.WebHome	PhenoTips.PedigreeClass	d47bf21d-9bfd-4cf3-8b4e-3ed955ba546a
8946889359780582029	1	data.WebHome	PhenoTips.PedigreeClass	93bcc2c5-7dd0-4112-a8f4-4b10deb3a824
2629381308697840408	2	data.WebHome	PhenoTips.PedigreeClass	07657523-0a5e-4880-b66d-6036a9a95f39
-4308797316450567105	3	data.WebHome	PhenoTips.PedigreeClass	fbdf8520-b688-454d-9b2a-ddfedf76a7be
2605999092808823074	4	data.WebHome	PhenoTips.PedigreeClass	8a3fb3c2-f5d8-4485-917a-94e1a62fd73d
5770265429325257425	0	data.WebHome	XWiki.ConfigurableClass	73d1fb26-3da7-4f17-91be-25c84b0282f3
8433417381059088093	2	data.WebHome	XWiki.ConfigurableClass	5ba6063a-8aa3-4790-9264-61feef60ad35
-2910348294274572180	3	data.WebHome	XWiki.ConfigurableClass	7a2b8d61-609c-4751-b25b-ec13d7664244
-3560279228912068454	4	data.WebHome	XWiki.ConfigurableClass	2227bbb8-f5a2-4749-acf1-a63e68f453cd
705178565365604649	5	data.WebHome	XWiki.ConfigurableClass	1a9fbd0f-69b8-4a86-b441-2572e8d872a2
-27458081436434210	0	data.WebHome	XWiki.GadgetClass	2b239e71-7417-4b63-a8bf-83b76a14015d
409878110249750461	1	data.WebHome	XWiki.GadgetClass	954a4ff4-88eb-4246-8f18-cb25893498fa
6183827161773043371	2	data.WebHome	XWiki.GadgetClass	1662b049-1db2-42d1-8093-8cfcace7069c
4384502243639797541	3	data.WebHome	XWiki.GadgetClass	347deddb-651f-4750-b314-10b6f4ed5443
3232495135464493548	0	data.WebHome	XWiki.UIExtensionClass	454b809e-0edd-4d8f-9a54-d17c25cd9319
2514130779551080996	1	data.WebHome	XWiki.UIExtensionClass	554855a7-0987-4b6c-a437-aa9679825a47
8913594883756574192	2	data.WebHome	XWiki.UIExtensionClass	abf81c0c-b0e8-458c-b89d-35a229a8c24e
-8415318328982618260	3	data.WebHome	XWiki.UIExtensionClass	5db691f3-5585-4feb-bfde-a03ad02677c5
8673821287332809284	0	data.WebHome	XWiki.XWikiRights	ae386edc-2864-4bcb-97e3-d74fe2e85f24
-1302609460190462315	0	XWiki.SearchSuggestConfig	XWiki.ClassSheetBinding	79c764f1-0a8d-4b15-bb2c-40896812c3f1
-5517713055023142395	0	XWiki.SearchSuggestConfig	XWiki.ConfigurableClass	322238f5-c742-43ed-81e0-ba169fc05653
-1023365820661524466	0	XWiki.SearchSuggestConfig	XWiki.SearchSuggestConfig	5faef1df-77ac-4bb3-9dda-8d38447b94e1
-7986073282154439006	13	XWiki.SearchSuggestConfig	XWiki.SearchSuggestSourceClass	4c976c35-ab69-409e-8176-38a306b7b3d0
2022573344469648541	14	XWiki.SearchSuggestConfig	XWiki.SearchSuggestSourceClass	21d617b7-f677-41a7-8506-7f0e52bc1ed9
-1548827347686522172	15	XWiki.SearchSuggestConfig	XWiki.SearchSuggestSourceClass	8cbef56d-ad77-48a2-a711-6e5d7f81403d
7171853016016441993	0	XWiki.SearchConfig	XWiki.SearchConfigClass	c77cbc8e-0825-4d06-bb0d-9b7714cdc0c2
-6678053217488718310	0	XWiki.UserProfileSectionClass	XWiki.DocumentSheetBinding	0d6ed34c-d348-4e0c-9a0f-9ce91fe1c6fa
-6024107242670355211	0	XWiki.XWikiUserSheet	XWiki.JavaScriptExtension	4a317e5c-a75e-4dec-aad0-1f80ffde5124
-892880999687888266	0	XWiki.XWikiUserSheet	XWiki.StyleSheetExtension	30c9f7e7-0b53-468b-a254-645d035d9416
5900196777912041392	0	XWiki.UserProfileSectionsClass	XWiki.DocumentSheetBinding	2b6f9f64-79fa-4411-9d5b-893566af61fc
9021566092119813787	0	XWiki.XWikiUserProfileSheet	XWiki.StyleSheetExtension	69c76935-fbd0-4167-af11-8ad356c88ba9
7811058895938084934	0	XWiki.AdminUserProfileSheet	XWiki.DocumentSheetBinding	7777b935-65c1-435e-900c-893536f8d39d
-3042698958279645626	0	XWiki.AdminUserProfileSheet	XWiki.StyleSheetExtension	d5023f39-e51b-4eca-8162-4fe8cab3a781
-7655721308476192203	0	XWiki.AdminUserProfileSheet	XWiki.UserProfileSectionClass	5371585b-24cb-4cd4-b03c-02f82f3d0dc4
9088924276358756200	1	XWiki.AdminUserProfileSheet	XWiki.UserProfileSectionClass	f7f9f9a6-bd76-4eb8-8317-97c77a998227
8334590174041001341	0	XWiki.AdminUserProfileSheet	XWiki.UserProfileSectionsClass	31fd863e-b1fe-4553-9e4f-128b4795a485
-3368177157800536719	0	PhenoTips.StudySheet	XWiki.JavaScriptExtension	8d0c4135-9fab-4106-9cc8-97b3e9ff99a0
8761304744831463011	0	PhenoTips.StudySheet	XWiki.StyleSheetExtension	615ece93-e9ae-4b28-bf12-bf6f9f6a4139
-2463437426451842842	0	PhenoTips.StudyBindingClass	XWiki.JavaScriptExtension	29beb1b4-dff9-4c8e-90f4-fc31834bd208
8770311400200566798	1	PhenoTips.StudyBindingClass	XWiki.JavaScriptExtension	de3434cb-e595-42cf-b861-4e383d4f4680
4778230998437866984	0	PhenoTips.StudyBindingClass	XWiki.StyleSheetExtension	89109749-5cca-4849-86c0-376b29afa531
-5114398573335484231	0	PhenoTips.StudyBindingClass	XWiki.UIExtensionClass	3dc9eb76-22a3-4007-8454-9fead6580288
3036864872967402825	0	PhenoTips.StudyTemplate	PhenoTips.StudyClass	730d2481-a65b-414b-a83c-6109de6d1156
8666367720504281104	0	PhenoTips.StudyClass	XWiki.ClassSheetBinding	ca8e78a3-0377-4b80-9cd9-a90abc6a4c7e
-2450571279076522953	0	PhenoTips.StudyClass	XWiki.ConfigurableClass	fc5f7101-092c-4797-9267-1f703d4a52ec
1638124222887867495	1	PhenoTips.StudyClass	XWiki.ConfigurableClass	7412ae83-ed91-47c1-bab5-1b6d8c0bf182
847606304787817944	0	PhenoTips.StudyClass	XWiki.JavaScriptExtension	02916482-1d6e-4fb7-a622-dea0194ec043
-3564872831236639289	0	PhenoTips.StudyClass	XWiki.StyleSheetExtension	658dafd9-d28c-4dd7-af19-bbb5bb02f4f3
-8576709785714399408	0	PhenoTips.StudyClass	XWiki.WikiMacroClass	6ce660c1-677c-4b54-8ab6-f8b106aefe59
-895078038262117406	0	PhenoTips.StudyClass	XWiki.WikiMacroParameterClass	8d44e4b7-b664-4ae8-b641-db6215e10cce
-7527448072712228779	1	PhenoTips.StudyClass	XWiki.WikiMacroParameterClass	0086267a-f522-450a-8e96-608dd7513e6d
5344695841514206043	2	PhenoTips.StudyClass	XWiki.WikiMacroParameterClass	e2ae620c-d2d4-41e9-987b-358e1e407952
-2240667059755516459	3	PhenoTips.StudyClass	XWiki.WikiMacroParameterClass	2f1871f7-5e6e-4f21-80fd-efe40023d0ea
6469893864138995544	4	PhenoTips.StudyClass	XWiki.WikiMacroParameterClass	db8e9923-7a1b-4b86-b713-61fa96df6c6b
3116682217299422574	5	PhenoTips.StudyClass	XWiki.WikiMacroParameterClass	3f684849-c614-4ccd-a708-a09391593483
-5700687243988839035	0	Studies.WebPreferences	XWiki.XWikiGlobalRights	bc5b9361-cf58-41d1-a9bd-3937547ab7f8
4147277654376925842	0	Studies.WebHome	XWiki.UIExtensionClass	d16bb606-e5b1-437f-95f5-fb4038616dcc
-59026427093726044	1	Studies.WebHome	XWiki.UIExtensionClass	70e88f2f-ffd6-45a9-97d0-cf2428fe026e
5080734207733223018	2	Studies.WebHome	XWiki.UIExtensionClass	e2fb8f2c-f7b6-4195-898d-ed4b706e71d2
-2682039314733007197	3	Studies.WebHome	XWiki.UIExtensionClass	5d5411cc-6862-4bf5-95e6-e5bda1e44c82
-1509591837336391582	0	Groups.WebPreferences	XWiki.XWikiGlobalRights	dbabd108-fe44-4f4e-abca-006e532f06cd
-3400690524879772823	0	Groups.WebHome	XWiki.UIExtensionClass	ecd0e834-50c7-4685-a5b0-89a31d55bb9d
-5528378045460294812	1	Groups.WebHome	XWiki.UIExtensionClass	7962386d-9d9d-47b9-813a-1c9a7aa3535a
913415081380430284	2	Groups.WebHome	XWiki.UIExtensionClass	60908192-9f4c-4f8a-9241-b079c67b330d
-9138958964511871671	3	Groups.WebHome	XWiki.UIExtensionClass	0d6f9fc6-29c8-400a-afd1-3b564396a43e
9041572729335721752	0	PhenoTips.PhenoTipsGroupClass	XWiki.ClassSheetBinding	1212ded4-4f1c-4b74-8977-ef38b76e95e5
2073568392999882834	0	PhenoTips.PhenoTipsGroupClass	XWiki.ConfigurableClass	0740edd5-ed6c-41db-a916-706121771de5
7180121727829606960	0	PhenoTips.PhenoTipsGroupClass	XWiki.JavaScriptExtension	554a74fa-cfea-4b34-aed6-04a5a54311c2
7727320115181082077	0	PhenoTips.PhenoTipsGroupClass	XWiki.StyleSheetExtension	0f1cfed1-fd4f-49a8-941a-9fe90c159c11
5798038344610232394	0	PhenoTips.PhenoTipsGroupClass	XWiki.WikiMacroClass	dbcd4ec8-4a94-4634-80c7-839729f02690
-2512908139053535367	0	PhenoTips.PhenoTipsGroupClass	XWiki.WikiMacroParameterClass	ab1c9598-a891-483f-b9e6-c9f040626944
4944596992863623867	1	PhenoTips.PhenoTipsGroupClass	XWiki.WikiMacroParameterClass	580415f3-fe52-483d-9638-b9b60882b526
-4623279692502789151	2	PhenoTips.PhenoTipsGroupClass	XWiki.WikiMacroParameterClass	316f42fd-f7b0-4157-970c-cbd0507d2fc6
-6024370860095195332	3	PhenoTips.PhenoTipsGroupClass	XWiki.WikiMacroParameterClass	02c37cc2-92d8-4c15-8d6d-c66f7b0e39a4
6096029637276629987	4	PhenoTips.PhenoTipsGroupClass	XWiki.WikiMacroParameterClass	80597b3a-ed61-4421-9f27-2bb7358ee023
-4031983853031171190	5	PhenoTips.PhenoTipsGroupClass	XWiki.WikiMacroParameterClass	4e897e5e-0179-4c74-9241-d01b8b020573
-255472277895193837	0	PhenoTips.PhenoTipsGroupTemplate	PhenoTips.PhenoTipsGroupClass	204ad0ff-ee94-4c6e-a20e-c4beaf67bf00
1787258712821863556	0	PhenoTips.PhenoTipsGroupTemplate	XWiki.XWikiGroups	4659888d-c8f8-431c-9c74-7d33daf98e90
6064440767811824306	0	PhenoTips.PhenoTipsGroupSheet	XWiki.JavaScriptExtension	db1b9a1d-8b26-4111-8e08-6c7928b3d7ab
-5421123356691248741	0	PhenoTips.PhenoTipsGroupSheet	XWiki.StyleSheetExtension	9ecdf0df-db3b-45cb-8ce2-cdfe888fd7b3
-3828478898898167538	0	PhenoTips.PhenoTipsGroupSheet	XWiki.UIExtensionClass	f501f9c0-0ee3-4ec1-8a7e-cb81db0ab52b
-2877438213821797606	0	PhenoTips.PatientAccessRightsManagement	XWiki.ConfigurableClass	7df2fc72-5cd6-4c35-a73c-de2bbf5f2fde
551609650500912368	0	PhenoTips.PatientAccessRightsManagement	XWiki.JavaScriptExtension	ab66e72f-1d22-4a38-ad9b-f55d74a0473f
-8232487170375787291	0	PhenoTips.PatientAccessRightsManagement	XWiki.StyleSheetExtension	3f13b7c9-93f5-4e94-b01e-b180d2a383de
9106279970647499253	0	PhenoTips.PatientAccessRightsManagement	XWiki.UIExtensionClass	3d24805b-d647-4e9b-a7ca-00f55fb5a7f3
7403094704171418880	0	PhenoTips.IndexOntology	XWiki.ConfigurableClass	0b66703e-b724-40f2-a0cd-3c9427a05851
6459658409747391089	0	PhenoTips.IndexOntology	XWiki.JavaScriptExtension	092d7722-c25e-46ae-9989-2ceb28d16c56
-2505372602338148651	0	PhenoTips.PushPatientConfiguration	XWiki.ConfigurableClass	057df842-3c9e-484d-85d0-99ff8eb31c63
5021590344407417420	0	PhenoTips.PushPatientConfiguration	XWiki.StyleSheetExtension	c29d02ea-a59c-4286-9ec9-ef1b2e43acc1
-6751674827209837311	0	PhenoTips.PushPatient	XWiki.JavaScriptExtension	767e254e-4d44-413d-8243-c88835562b5e
-3681911963317287387	0	PhenoTips.PushPatient	XWiki.StyleSheetExtension	039b7857-377d-4086-8a44-e16fce031439
7468603442780643665	0	PhenoTips.PushPatient	XWiki.UIExtensionClass	87b251c1-821f-4c7b-8258-787134bd0cd9
2534802451056194929	0	PhenoTips.SpecificityMetricWidgetTranslations	XWiki.TranslationDocumentClass	57c7d51f-0857-42ca-99aa-1e37fc9be119
-8575996731423830758	0	PhenoTips.SpecificityMetricWidget	XWiki.DocumentSheetBinding	9f0c7fe2-0b50-4b9a-b3fb-cbdea4372e62
5463904592636036565	0	PhenoTips.SpecificityMetricWidget	XWiki.JavaScriptExtension	a63b1624-c668-4ffb-917d-774fe9559841
3495009035156146571	0	PhenoTips.SpecificityMetricWidget	XWiki.StyleSheetExtension	fb644879-47e3-41e5-b26f-89dc7a347689
-119577056256676794	0	PhenoTips.SpecificityMetricWidget	XWiki.UIExtensionClass	d6a5842b-329a-4ee8-ac02-353f3ce65b22
6029009841361615301	0	PhenoTips.UIX_Field__pedigree	XWiki.JavaScriptExtension	b8283fe3-5a0a-49f4-aea3-b08dc86ba892
-8261175631496715595	0	PhenoTips.UIX_Field__pedigree	XWiki.UIExtensionClass	3afe3456-6a7f-4aae-89e7-ef041fde6707
6893542420748668742	0	PhenoTips.PedigreeConfiguration	XWiki.ConfigurableClass	048d1842-3c9e-424d-85d0-22ff8eb22c63
-8424300188759589403	0	PhenoTips.PedigreeConfiguration	XWiki.StyleSheetExtension	c22d02da-a22c-4116-9ec9-ef2b2e48acc1
-5833210098757145561	0	PhenoTips.TouchscreenEvents	XWiki.JavaScriptExtension	073bec93-3da3-4c18-a52f-bc96fa7cbb83
7618142183311729225	0	PhenoTips.UIX Directory	XWiki.ConfigurableClass	a191b070-8840-43bb-b61f-3fb1ad8719c3
5034495970584502524	0	PhenoTips.WebHome	XWiki.ConfigurableClass	470bd0ca-b8f7-462b-9338-af9043248a88
8166411702173902761	0	XWiki.AdminPresentationSheet	XWiki.JavaScriptExtension	ec76f278-2bc9-4751-9716-f353c1ea39ad
6352250265993074411	0	XWiki.AdminSheet	XWiki.JavaScriptExtension	4e754542-66c4-41c6-816a-96ed94c54205
-8802998659962860204	0	XWiki.AdminSheet	XWiki.StyleSheetExtension	672fe873-2dc7-4ae0-9826-fb75e67eb350
7883403272225626124	0	XWiki.ConfigurableClass	XWiki.JavaScriptExtension	71fc6ffa-92cb-48f1-9d80-a845d1807b10
\.


--
-- Data for Name: xwikipreferences; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikipreferences (xwp_id, xwp_language, xwp_default_language, xwp_multi_lingual, xwp_authenticate_edit, xwp_authenticate_view, xwp_auth_active_check, xwp_backlinks, xwp_skin, xwp_stylesheet, xwp_stylesheets, xwp_editor, xwp_webcopyright, xwp_title, xwp_version, xwp_meta, xwp_use_email_verification, xwp_smtp_server, xwp_admin_email, xwp_validation_email_content, xwp_confirmation_email_content, xwp_invitation_email_content, xwp_left_panels, xwp_right_panels, xwp_show_left_panels, xwp_show_right_panels, xwp_languages, xwp_registration_anonymous, xwp_registration_registered, xwp_edit_anonymous, xwp_edit_registered, xwp_comment_anonymous, xwp_comment_registered, xwp_document_bundles) FROM stdin;
-614498398768250718	\N	en	0	0	0	\N	\N	PhenoTips.Skin	style.css	style.css	Text	Reproducing or distributing this clinical information without permission from the institution that owns it is strictly forbidden.	#if ($doc.name != 'WebHome')$tdoc.getRenderedTitle("plain/1.0") | #{end}$!xwiki.getDocument("$!{doc.space}.WebHome").getRenderedTitle("plain/1.0")	<a href="http://phenotips.org">PhenoTips</a> version $!{services.distribution.distributionExtension.id.version}	<meta name="revisit-after" content="7 days" />\n<meta name="description" content="$escapetool.xml($!tdoc.plainTitle)" />\n#set($keywords = "wiki,$!doc.getTags()")\n<meta name="keywords" content="$escapetool.xml($keywords.replaceAll('[|,]', ' ').trim())" />\n<meta name="rating" content="General" />\n<meta name="author" content="$escapetool.xml($!xwiki.getUserName($doc.getAuthor(), false))" />\n## We verify that we don't display RSS feeds on the login page since it causes problems if these feeds are\n## protected. In addition it makes the login redirect to the feeds page in some cases.\n#if($doc.fullName != "XWiki.XWikiLogin")\n<link rel="alternate" type="application/rss+xml" title="Wiki Feed RSS" href="$xwiki.getURL('Main.WebRss', 'view', 'xpage=rdf')" />\n<link rel="alternate" type="application/rss+xml" title="Blog RSS Feed" href="$xwiki.getURL('Blog.GlobalBlogRss', 'view', 'xpage=plain')" />\n#end\n$xwiki.ssx.use($xwiki.getSpacePreference('colorTheme'))	\N	127.0.0.1		#set ($wikiname = $request.serverName)\n#set ($host = ${request.getRequestURL()})\n#set ($host = ${host.substring(0, ${host.indexOf('/', ${mathtool.add(${host.indexOf('//')}, 2)})})})\nSubject: Validate your account on ${wikiname}\n\nHello ${xwiki.getUserName("XWiki.$xwikiname", false)},\n\nThis email address was used to register a new account on ${wikiname}. If you did not make the request, please ignore this message.\n\nIn order to activate your account, please follow this link:\n${host}${xwiki.getURL('XWiki.AccountValidation', 'view', "validkey=${validkey}&xwikiname=${xwikiname}")}	#set ($wikiname = $request.serverName)\n#set ($host = ${request.getRequestURL()})\n#set ($host = ${host.substring(0, ${host.indexOf('/', ${mathtool.add(${host.indexOf('//')}, 2)})})})\nSubject: Your account on ${wikiname} has been activated\n\nHello ${xwiki.getUserName("$xwikiname", false)},\n\nYour account on ${wikiname} has been successfully activated. You can now login at ${host}${xwiki.getURL('XWiki.XWikiLogin', 'login')} using your username (${xwiki.getDocument($xwikiname).getName()}).			Panels.QuickLinks,Panels.MyRecentModifications	0	0		---	---	---	---	---	---	PhenoTips.Translations
8420108168104170756	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
\.


--
-- Data for Name: xwikiproperties; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikiproperties (xwp_id, xwp_name, xwp_classtype) FROM stdin;
-1617187407626086555	sheet	com.xpn.xwiki.objects.StringProperty
7881900247409136532	sheet	com.xpn.xwiki.objects.StringProperty
831015092972174006	sheet	com.xpn.xwiki.objects.StringProperty
-1733853835381121621	sheet	com.xpn.xwiki.objects.StringProperty
-5517193569607516277	sheet	com.xpn.xwiki.objects.StringProperty
-3564378766720368614	sheet	com.xpn.xwiki.objects.StringProperty
5447776371839284534	sheet	com.xpn.xwiki.objects.StringProperty
-5786389287062121772	sheet	com.xpn.xwiki.objects.StringProperty
-2388994299612258772	sheet	com.xpn.xwiki.objects.StringProperty
6266537310378504560	sheet	com.xpn.xwiki.objects.StringProperty
3034798793108713312	sheet	com.xpn.xwiki.objects.StringProperty
4202681147634526362	sheet	com.xpn.xwiki.objects.StringProperty
2372455742911787429	sheet	com.xpn.xwiki.objects.StringProperty
4058343852716999446	sheet	com.xpn.xwiki.objects.StringProperty
9137977913299348745	sheet	com.xpn.xwiki.objects.StringProperty
-7237077857427713047	sheet	com.xpn.xwiki.objects.StringProperty
2186376547412776710	sheet	com.xpn.xwiki.objects.StringProperty
4320863290685665255	sheet	com.xpn.xwiki.objects.StringProperty
5938493475160890162	sheet	com.xpn.xwiki.objects.StringProperty
-6789877988517076094	sheet	com.xpn.xwiki.objects.StringProperty
-7694654572393925158	member	com.xpn.xwiki.objects.StringProperty
8367169273474910624	member	com.xpn.xwiki.objects.StringProperty
7325100845279448823	allow	com.xpn.xwiki.objects.IntegerProperty
7325100845279448823	groups	com.xpn.xwiki.objects.LargeStringProperty
7325100845279448823	levels	com.xpn.xwiki.objects.StringProperty
7325100845279448823	users	com.xpn.xwiki.objects.LargeStringProperty
8865678159989408145	member	com.xpn.xwiki.objects.StringProperty
1581152086624707169	member	com.xpn.xwiki.objects.StringProperty
7185139814747409311	allow	com.xpn.xwiki.objects.IntegerProperty
7185139814747409311	groups	com.xpn.xwiki.objects.LargeStringProperty
7185139814747409311	levels	com.xpn.xwiki.objects.StringProperty
7185139814747409311	users	com.xpn.xwiki.objects.LargeStringProperty
1494846150873449108	allow	com.xpn.xwiki.objects.IntegerProperty
1494846150873449108	groups	com.xpn.xwiki.objects.LargeStringProperty
1494846150873449108	levels	com.xpn.xwiki.objects.StringProperty
1494846150873449108	users	com.xpn.xwiki.objects.LargeStringProperty
-3909688450103167701	allow	com.xpn.xwiki.objects.IntegerProperty
-3909688450103167701	groups	com.xpn.xwiki.objects.LargeStringProperty
-3909688450103167701	levels	com.xpn.xwiki.objects.StringProperty
-3909688450103167701	users	com.xpn.xwiki.objects.LargeStringProperty
4529000290858574313	dateDisplayFormat	com.xpn.xwiki.objects.StringProperty
4529000290858574313	dateInputFormat	com.xpn.xwiki.objects.StringProperty
4529000290858574313	nonStandardAdoptedOutGraphic	com.xpn.xwiki.objects.IntegerProperty
4529000290858574313	probandIsSyncedWithPatient	com.xpn.xwiki.objects.IntegerProperty
4529000290858574313	propagateFatherLastName	com.xpn.xwiki.objects.IntegerProperty
3027141951835947159	description	com.xpn.xwiki.objects.LargeStringProperty
3027141951835947159	name	com.xpn.xwiki.objects.StringProperty
3027141951835947159	url	com.xpn.xwiki.objects.StringProperty
6697139112402408114	AllowPushesFromNonListedServers	com.xpn.xwiki.objects.IntegerProperty
-5988059480303893268	allow	com.xpn.xwiki.objects.IntegerProperty
-5988059480303893268	groups	com.xpn.xwiki.objects.LargeStringProperty
-5988059480303893268	levels	com.xpn.xwiki.objects.StringProperty
-5988059480303893268	users	com.xpn.xwiki.objects.LargeStringProperty
1314300318641197968	allow	com.xpn.xwiki.objects.IntegerProperty
1314300318641197968	groups	com.xpn.xwiki.objects.LargeStringProperty
1314300318641197968	levels	com.xpn.xwiki.objects.StringProperty
1314300318641197968	users	com.xpn.xwiki.objects.LargeStringProperty
1345706622762835137	allow	com.xpn.xwiki.objects.IntegerProperty
1345706622762835137	groups	com.xpn.xwiki.objects.LargeStringProperty
1345706622762835137	levels	com.xpn.xwiki.objects.StringProperty
1345706622762835137	users	com.xpn.xwiki.objects.LargeStringProperty
-614498398768250718	accessibility	com.xpn.xwiki.objects.IntegerProperty
-614498398768250718	colorTheme	com.xpn.xwiki.objects.StringProperty
-614498398768250718	core.defaultDocumentSyntax	com.xpn.xwiki.objects.StringProperty
-614498398768250718	dateformat	com.xpn.xwiki.objects.StringProperty
-614498398768250718	editcomment	com.xpn.xwiki.objects.IntegerProperty
-614498398768250718	editcomment_mandatory	com.xpn.xwiki.objects.IntegerProperty
-614498398768250718	iconTheme	com.xpn.xwiki.objects.StringProperty
-614498398768250718	minoredit	com.xpn.xwiki.objects.IntegerProperty
-614498398768250718	plugins	com.xpn.xwiki.objects.StringProperty
-614498398768250718	showannotations	com.xpn.xwiki.objects.IntegerProperty
-614498398768250718	showattachments	com.xpn.xwiki.objects.IntegerProperty
-614498398768250718	showcomments	com.xpn.xwiki.objects.IntegerProperty
-614498398768250718	showhistory	com.xpn.xwiki.objects.IntegerProperty
-614498398768250718	showinformation	com.xpn.xwiki.objects.IntegerProperty
-614498398768250718	smtp_port	com.xpn.xwiki.objects.StringProperty
-614498398768250718	smtp_server_password	com.xpn.xwiki.objects.StringProperty
-614498398768250718	smtp_server_username	com.xpn.xwiki.objects.StringProperty
-614498398768250718	upload_maxsize	com.xpn.xwiki.objects.LongProperty
-614498398768250718	xwiki.title.mandatory	com.xpn.xwiki.objects.IntegerProperty
-799861410355943150	sheet	com.xpn.xwiki.objects.StringProperty
7749220057021372568	property	com.xpn.xwiki.objects.StringProperty
7749220057021372568	value	com.xpn.xwiki.objects.StringProperty
5307946438575506046	automaticwatch	com.xpn.xwiki.objects.StringProperty
5307946438575506046	interval	com.xpn.xwiki.objects.StringProperty
-2210607549116249230	allow	com.xpn.xwiki.objects.IntegerProperty
-2210607549116249230	groups	com.xpn.xwiki.objects.LargeStringProperty
-2210607549116249230	levels	com.xpn.xwiki.objects.StringProperty
-2210607549116249230	users	com.xpn.xwiki.objects.LargeStringProperty
8241190800513916467	accessibility	com.xpn.xwiki.objects.IntegerProperty
8241190800513916467	active	com.xpn.xwiki.objects.IntegerProperty
8241190800513916467	address	com.xpn.xwiki.objects.LargeStringProperty
8241190800513916467	avatar	com.xpn.xwiki.objects.StringProperty
8241190800513916467	blog	com.xpn.xwiki.objects.StringProperty
8241190800513916467	blogfeed	com.xpn.xwiki.objects.StringProperty
8241190800513916467	comment	com.xpn.xwiki.objects.LargeStringProperty
8241190800513916467	company	com.xpn.xwiki.objects.StringProperty
8241190800513916467	default_language	com.xpn.xwiki.objects.StringProperty
8241190800513916467	displayHiddenDocuments	com.xpn.xwiki.objects.IntegerProperty
8241190800513916467	editor	com.xpn.xwiki.objects.StringProperty
8241190800513916467	email	com.xpn.xwiki.objects.StringProperty
8241190800513916467	first_name	com.xpn.xwiki.objects.StringProperty
8241190800513916467	imaccount	com.xpn.xwiki.objects.StringProperty
8241190800513916467	imtype	com.xpn.xwiki.objects.StringProperty
8241190800513916467	last_name	com.xpn.xwiki.objects.StringProperty
8241190800513916467	password	com.xpn.xwiki.objects.StringProperty
8241190800513916467	phone	com.xpn.xwiki.objects.StringProperty
8241190800513916467	skin	com.xpn.xwiki.objects.StringProperty
8241190800513916467	timezone	com.xpn.xwiki.objects.StringProperty
8241190800513916467	usertype	com.xpn.xwiki.objects.StringProperty
5553794025562714273	allow	com.xpn.xwiki.objects.IntegerProperty
5553794025562714273	groups	com.xpn.xwiki.objects.LargeStringProperty
5553794025562714273	levels	com.xpn.xwiki.objects.StringProperty
5553794025562714273	users	com.xpn.xwiki.objects.LargeStringProperty
-7655122662871052554	cache	com.xpn.xwiki.objects.StringProperty
-7655122662871052554	code	com.xpn.xwiki.objects.LargeStringProperty
-7655122662871052554	name	com.xpn.xwiki.objects.StringProperty
-7655122662871052554	parse	com.xpn.xwiki.objects.IntegerProperty
-7655122662871052554	use	com.xpn.xwiki.objects.StringProperty
9050882663741321687	sheet	com.xpn.xwiki.objects.StringProperty
3506649722196057787	allow	com.xpn.xwiki.objects.IntegerProperty
3506649722196057787	groups	com.xpn.xwiki.objects.LargeStringProperty
3506649722196057787	levels	com.xpn.xwiki.objects.StringProperty
3980527104837870639	allow	com.xpn.xwiki.objects.IntegerProperty
3980527104837870639	groups	com.xpn.xwiki.objects.LargeStringProperty
3980527104837870639	levels	com.xpn.xwiki.objects.StringProperty
-22827029092784258	allow	com.xpn.xwiki.objects.IntegerProperty
-22827029092784258	levels	com.xpn.xwiki.objects.StringProperty
-22827029092784258	users	com.xpn.xwiki.objects.LargeStringProperty
-6245483878953798583	html	com.xpn.xwiki.objects.LargeStringProperty
-6245483878953798583	language	com.xpn.xwiki.objects.StringProperty
-6245483878953798583	subject	com.xpn.xwiki.objects.StringProperty
-6245483878953798583	text	com.xpn.xwiki.objects.LargeStringProperty
7910393087932949456	allow	com.xpn.xwiki.objects.IntegerProperty
7910393087932949456	groups	com.xpn.xwiki.objects.LargeStringProperty
7910393087932949456	levels	com.xpn.xwiki.objects.StringProperty
7241056948254626025	allow	com.xpn.xwiki.objects.IntegerProperty
7241056948254626025	groups	com.xpn.xwiki.objects.LargeStringProperty
7241056948254626025	levels	com.xpn.xwiki.objects.StringProperty
4652057205514493530	allow	com.xpn.xwiki.objects.IntegerProperty
4652057205514493530	levels	com.xpn.xwiki.objects.StringProperty
4652057205514493530	users	com.xpn.xwiki.objects.LargeStringProperty
-8914936393023623739	allow	com.xpn.xwiki.objects.IntegerProperty
-8914936393023623739	groups	com.xpn.xwiki.objects.LargeStringProperty
-8914936393023623739	levels	com.xpn.xwiki.objects.StringProperty
4397280938199749522	allow	com.xpn.xwiki.objects.IntegerProperty
4397280938199749522	levels	com.xpn.xwiki.objects.StringProperty
4397280938199749522	users	com.xpn.xwiki.objects.LargeStringProperty
7869835225464154104	allow	com.xpn.xwiki.objects.IntegerProperty
7869835225464154104	groups	com.xpn.xwiki.objects.LargeStringProperty
7869835225464154104	levels	com.xpn.xwiki.objects.StringProperty
7869835225464154104	users	com.xpn.xwiki.objects.LargeStringProperty
1419839714728922190	allow	com.xpn.xwiki.objects.IntegerProperty
1419839714728922190	groups	com.xpn.xwiki.objects.LargeStringProperty
1419839714728922190	levels	com.xpn.xwiki.objects.StringProperty
-835024709258431825	allow	com.xpn.xwiki.objects.IntegerProperty
-835024709258431825	groups	com.xpn.xwiki.objects.LargeStringProperty
-835024709258431825	levels	com.xpn.xwiki.objects.StringProperty
-835024709258431825	users	com.xpn.xwiki.objects.LargeStringProperty
-461083453256162515	member	com.xpn.xwiki.objects.StringProperty
-7687805282421262670	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
-7687805282421262670	configurationClass	com.xpn.xwiki.objects.StringProperty
-7687805282421262670	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
-7687805282421262670	displayInSection	com.xpn.xwiki.objects.StringProperty
-7687805282421262670	heading	com.xpn.xwiki.objects.StringProperty
-7687805282421262670	iconAttachment	com.xpn.xwiki.objects.StringProperty
-7687805282421262670	linkPrefix	com.xpn.xwiki.objects.StringProperty
-7687805282421262670	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
-4305838678640337551	cache	com.xpn.xwiki.objects.StringProperty
-4305838678640337551	code	com.xpn.xwiki.objects.LargeStringProperty
-4305838678640337551	name	com.xpn.xwiki.objects.StringProperty
-4305838678640337551	parse	com.xpn.xwiki.objects.IntegerProperty
-4305838678640337551	use	com.xpn.xwiki.objects.StringProperty
-6078261122503370161	allow	com.xpn.xwiki.objects.IntegerProperty
-6078261122503370161	groups	com.xpn.xwiki.objects.LargeStringProperty
-6078261122503370161	levels	com.xpn.xwiki.objects.StringProperty
-6078261122503370161	users	com.xpn.xwiki.objects.LargeStringProperty
2279776107228674949	allow	com.xpn.xwiki.objects.IntegerProperty
2279776107228674949	groups	com.xpn.xwiki.objects.LargeStringProperty
2279776107228674949	levels	com.xpn.xwiki.objects.StringProperty
5837094281802416777	allow	com.xpn.xwiki.objects.IntegerProperty
5837094281802416777	groups	com.xpn.xwiki.objects.LargeStringProperty
5837094281802416777	levels	com.xpn.xwiki.objects.StringProperty
5837094281802416777	users	com.xpn.xwiki.objects.LargeStringProperty
722116165808455315	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
722116165808455315	configurationClass	com.xpn.xwiki.objects.StringProperty
722116165808455315	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
722116165808455315	displayInSection	com.xpn.xwiki.objects.StringProperty
722116165808455315	heading	com.xpn.xwiki.objects.StringProperty
722116165808455315	iconAttachment	com.xpn.xwiki.objects.StringProperty
722116165808455315	linkPrefix	com.xpn.xwiki.objects.StringProperty
722116165808455315	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
6371868270824238049	defaultRedirect	com.xpn.xwiki.objects.StringProperty
6371868270824238049	heading	com.xpn.xwiki.objects.StringProperty
6371868270824238049	liveValidation_defaultFieldOkMessage	com.xpn.xwiki.objects.StringProperty
6371868270824238049	liveValidation_enabled	com.xpn.xwiki.objects.IntegerProperty
6371868270824238049	loginButton_autoLogin_enabled	com.xpn.xwiki.objects.IntegerProperty
6371868270824238049	loginButton_enabled	com.xpn.xwiki.objects.IntegerProperty
6371868270824238049	registrationSuccessMessage	com.xpn.xwiki.objects.LargeStringProperty
6371868270824238049	requireCaptcha	com.xpn.xwiki.objects.IntegerProperty
6371868270824238049	welcomeMessage	com.xpn.xwiki.objects.LargeStringProperty
5098451329487711004	cache	com.xpn.xwiki.objects.StringProperty
5098451329487711004	code	com.xpn.xwiki.objects.LargeStringProperty
5098451329487711004	name	com.xpn.xwiki.objects.StringProperty
5098451329487711004	parse	com.xpn.xwiki.objects.IntegerProperty
5098451329487711004	use	com.xpn.xwiki.objects.StringProperty
6134097965481032111	allow	com.xpn.xwiki.objects.IntegerProperty
6134097965481032111	groups	com.xpn.xwiki.objects.LargeStringProperty
6134097965481032111	levels	com.xpn.xwiki.objects.StringProperty
6134097965481032111	users	com.xpn.xwiki.objects.LargeStringProperty
-2209213944681530944	allow	com.xpn.xwiki.objects.IntegerProperty
-2209213944681530944	groups	com.xpn.xwiki.objects.LargeStringProperty
-2209213944681530944	levels	com.xpn.xwiki.objects.StringProperty
7638148953297804405	allow	com.xpn.xwiki.objects.IntegerProperty
7638148953297804405	groups	com.xpn.xwiki.objects.LargeStringProperty
7638148953297804405	levels	com.xpn.xwiki.objects.StringProperty
7638148953297804405	users	com.xpn.xwiki.objects.LargeStringProperty
-2252936800655847756	cache	com.xpn.xwiki.objects.StringProperty
-2252936800655847756	code	com.xpn.xwiki.objects.LargeStringProperty
-2252936800655847756	name	com.xpn.xwiki.objects.StringProperty
-2252936800655847756	parse	com.xpn.xwiki.objects.IntegerProperty
-2252936800655847756	use	com.xpn.xwiki.objects.StringProperty
8378817854146866053	cache	com.xpn.xwiki.objects.StringProperty
8378817854146866053	code	com.xpn.xwiki.objects.LargeStringProperty
8378817854146866053	contentType	com.xpn.xwiki.objects.StringProperty
8378817854146866053	name	com.xpn.xwiki.objects.StringProperty
8378817854146866053	parse	com.xpn.xwiki.objects.IntegerProperty
8378817854146866053	use	com.xpn.xwiki.objects.StringProperty
6149939700458878169	scope	com.xpn.xwiki.objects.StringProperty
3331888260922603525	baseskin	com.xpn.xwiki.objects.StringProperty
3331888260922603525	edit.vm	com.xpn.xwiki.objects.LargeStringProperty
3331888260922603525	footer.vm	com.xpn.xwiki.objects.LargeStringProperty
3331888260922603525	header.vm	com.xpn.xwiki.objects.LargeStringProperty
3331888260922603525	logo	com.xpn.xwiki.objects.StringProperty
3331888260922603525	name	com.xpn.xwiki.objects.StringProperty
3331888260922603525	style.css	com.xpn.xwiki.objects.LargeStringProperty
3331888260922603525	view.vm	com.xpn.xwiki.objects.LargeStringProperty
3331888260922603525	viewheader.vm	com.xpn.xwiki.objects.LargeStringProperty
-5741591223390771615	sheet	com.xpn.xwiki.objects.StringProperty
-2873432077881411750	sheet	com.xpn.xwiki.objects.StringProperty
5158283262279666196	baseskin	com.xpn.xwiki.objects.StringProperty
5158283262279666196	edit.vm	com.xpn.xwiki.objects.LargeStringProperty
5158283262279666196	footer.vm	com.xpn.xwiki.objects.LargeStringProperty
5158283262279666196	header.vm	com.xpn.xwiki.objects.LargeStringProperty
5158283262279666196	logo	com.xpn.xwiki.objects.StringProperty
5158283262279666196	name	com.xpn.xwiki.objects.StringProperty
5158283262279666196	style.css	com.xpn.xwiki.objects.LargeStringProperty
5158283262279666196	view.vm	com.xpn.xwiki.objects.LargeStringProperty
5158283262279666196	viewheader.vm	com.xpn.xwiki.objects.LargeStringProperty
-4265285397647036364	cache	com.xpn.xwiki.objects.StringProperty
-4265285397647036364	code	com.xpn.xwiki.objects.LargeStringProperty
-4265285397647036364	name	com.xpn.xwiki.objects.StringProperty
-4265285397647036364	parse	com.xpn.xwiki.objects.IntegerProperty
-4265285397647036364	use	com.xpn.xwiki.objects.StringProperty
-5386731612909452646	code	com.xpn.xwiki.objects.LargeStringProperty
-5386731612909452646	contentDescription	com.xpn.xwiki.objects.LargeStringProperty
-5386731612909452646	contentType	com.xpn.xwiki.objects.StringProperty
-5386731612909452646	defaultCategory	com.xpn.xwiki.objects.StringProperty
-5386731612909452646	description	com.xpn.xwiki.objects.LargeStringProperty
-5386731612909452646	id	com.xpn.xwiki.objects.StringProperty
-5386731612909452646	name	com.xpn.xwiki.objects.StringProperty
-5386731612909452646	supportsInlineMode	com.xpn.xwiki.objects.IntegerProperty
-5386731612909452646	visibility	com.xpn.xwiki.objects.StringProperty
-3293952573735824191	defaultValue	com.xpn.xwiki.objects.StringProperty
-3293952573735824191	description	com.xpn.xwiki.objects.LargeStringProperty
-3293952573735824191	mandatory	com.xpn.xwiki.objects.IntegerProperty
-3293952573735824191	name	com.xpn.xwiki.objects.StringProperty
8869408063345511226	defaultValue	com.xpn.xwiki.objects.StringProperty
8869408063345511226	description	com.xpn.xwiki.objects.LargeStringProperty
8869408063345511226	mandatory	com.xpn.xwiki.objects.IntegerProperty
8869408063345511226	name	com.xpn.xwiki.objects.StringProperty
7336684778027459162	defaultValue	com.xpn.xwiki.objects.StringProperty
7336684778027459162	description	com.xpn.xwiki.objects.LargeStringProperty
7336684778027459162	mandatory	com.xpn.xwiki.objects.IntegerProperty
7336684778027459162	name	com.xpn.xwiki.objects.StringProperty
-7662876146999244429	defaultValue	com.xpn.xwiki.objects.StringProperty
-7662876146999244429	description	com.xpn.xwiki.objects.LargeStringProperty
-7662876146999244429	mandatory	com.xpn.xwiki.objects.IntegerProperty
-7662876146999244429	name	com.xpn.xwiki.objects.StringProperty
-1424629336355106982	defaultValue	com.xpn.xwiki.objects.StringProperty
-1424629336355106982	description	com.xpn.xwiki.objects.LargeStringProperty
-1424629336355106982	mandatory	com.xpn.xwiki.objects.IntegerProperty
-1424629336355106982	name	com.xpn.xwiki.objects.StringProperty
-7183858144813920928	defaultValue	com.xpn.xwiki.objects.StringProperty
-7183858144813920928	description	com.xpn.xwiki.objects.LargeStringProperty
-7183858144813920928	mandatory	com.xpn.xwiki.objects.IntegerProperty
-7183858144813920928	name	com.xpn.xwiki.objects.StringProperty
-237241165128514183	defaultValue	com.xpn.xwiki.objects.StringProperty
-237241165128514183	description	com.xpn.xwiki.objects.LargeStringProperty
-237241165128514183	mandatory	com.xpn.xwiki.objects.IntegerProperty
-237241165128514183	name	com.xpn.xwiki.objects.StringProperty
-6354117405756303102	defaultValue	com.xpn.xwiki.objects.StringProperty
-6354117405756303102	description	com.xpn.xwiki.objects.LargeStringProperty
-6354117405756303102	mandatory	com.xpn.xwiki.objects.IntegerProperty
-6354117405756303102	name	com.xpn.xwiki.objects.StringProperty
-1738067548726089409	defaultValue	com.xpn.xwiki.objects.StringProperty
-1738067548726089409	description	com.xpn.xwiki.objects.LargeStringProperty
-1738067548726089409	mandatory	com.xpn.xwiki.objects.IntegerProperty
-1738067548726089409	name	com.xpn.xwiki.objects.StringProperty
5982650279254161969	defaultValue	com.xpn.xwiki.objects.StringProperty
5982650279254161969	description	com.xpn.xwiki.objects.LargeStringProperty
5982650279254161969	mandatory	com.xpn.xwiki.objects.IntegerProperty
5982650279254161969	name	com.xpn.xwiki.objects.StringProperty
5344757774904131858	defaultValue	com.xpn.xwiki.objects.StringProperty
5344757774904131858	description	com.xpn.xwiki.objects.LargeStringProperty
5344757774904131858	mandatory	com.xpn.xwiki.objects.IntegerProperty
5344757774904131858	name	com.xpn.xwiki.objects.StringProperty
6654031085085146067	scope	com.xpn.xwiki.objects.StringProperty
2243531206888544574	name	com.xpn.xwiki.objects.StringProperty
-2643419207793810969	cache	com.xpn.xwiki.objects.StringProperty
-2643419207793810969	code	com.xpn.xwiki.objects.LargeStringProperty
-2643419207793810969	name	com.xpn.xwiki.objects.StringProperty
-2643419207793810969	parse	com.xpn.xwiki.objects.IntegerProperty
-2643419207793810969	use	com.xpn.xwiki.objects.StringProperty
8350928796547166764	cache	com.xpn.xwiki.objects.StringProperty
8350928796547166764	code	com.xpn.xwiki.objects.LargeStringProperty
8350928796547166764	name	com.xpn.xwiki.objects.StringProperty
8350928796547166764	parse	com.xpn.xwiki.objects.IntegerProperty
8350928796547166764	use	com.xpn.xwiki.objects.StringProperty
-3086993241112120817	defaultEditMode	com.xpn.xwiki.objects.StringProperty
1265889115715036925	code	com.xpn.xwiki.objects.LargeStringProperty
1265889115715036925	contentDescription	com.xpn.xwiki.objects.LargeStringProperty
1265889115715036925	contentType	com.xpn.xwiki.objects.StringProperty
1265889115715036925	defaultCategory	com.xpn.xwiki.objects.StringProperty
1265889115715036925	description	com.xpn.xwiki.objects.LargeStringProperty
1265889115715036925	id	com.xpn.xwiki.objects.StringProperty
1265889115715036925	name	com.xpn.xwiki.objects.StringProperty
1265889115715036925	supportsInlineMode	com.xpn.xwiki.objects.IntegerProperty
1265889115715036925	visibility	com.xpn.xwiki.objects.StringProperty
-742676475097111767	defaultValue	com.xpn.xwiki.objects.StringProperty
-742676475097111767	description	com.xpn.xwiki.objects.LargeStringProperty
-742676475097111767	mandatory	com.xpn.xwiki.objects.IntegerProperty
-742676475097111767	name	com.xpn.xwiki.objects.StringProperty
3878003441219951497	defaultValue	com.xpn.xwiki.objects.StringProperty
3878003441219951497	description	com.xpn.xwiki.objects.LargeStringProperty
3878003441219951497	mandatory	com.xpn.xwiki.objects.IntegerProperty
3878003441219951497	name	com.xpn.xwiki.objects.StringProperty
-1529307941194505756	defaultValue	com.xpn.xwiki.objects.StringProperty
-1529307941194505756	description	com.xpn.xwiki.objects.LargeStringProperty
-1529307941194505756	mandatory	com.xpn.xwiki.objects.IntegerProperty
-1529307941194505756	name	com.xpn.xwiki.objects.StringProperty
7074471604397334605	scope	com.xpn.xwiki.objects.StringProperty
-7799117968694533313	sheet	com.xpn.xwiki.objects.StringProperty
-6814311451243547857	sheet	com.xpn.xwiki.objects.StringProperty
4856537117236058161	name	com.xpn.xwiki.objects.StringProperty
771094098479979128	cache	com.xpn.xwiki.objects.StringProperty
771094098479979128	code	com.xpn.xwiki.objects.LargeStringProperty
771094098479979128	name	com.xpn.xwiki.objects.StringProperty
771094098479979128	parse	com.xpn.xwiki.objects.IntegerProperty
771094098479979128	use	com.xpn.xwiki.objects.StringProperty
7951221076831937111	cache	com.xpn.xwiki.objects.StringProperty
7951221076831937111	code	com.xpn.xwiki.objects.LargeStringProperty
7951221076831937111	name	com.xpn.xwiki.objects.StringProperty
7951221076831937111	parse	com.xpn.xwiki.objects.IntegerProperty
7951221076831937111	use	com.xpn.xwiki.objects.StringProperty
-8789460963672918823	code	com.xpn.xwiki.objects.LargeStringProperty
-8789460963672918823	contentDescription	com.xpn.xwiki.objects.LargeStringProperty
-8789460963672918823	contentType	com.xpn.xwiki.objects.StringProperty
-8789460963672918823	defaultCategory	com.xpn.xwiki.objects.StringProperty
-8789460963672918823	description	com.xpn.xwiki.objects.LargeStringProperty
-8789460963672918823	id	com.xpn.xwiki.objects.StringProperty
-8789460963672918823	name	com.xpn.xwiki.objects.StringProperty
-8789460963672918823	supportsInlineMode	com.xpn.xwiki.objects.IntegerProperty
-8789460963672918823	visibility	com.xpn.xwiki.objects.StringProperty
-7543057703784922832	defaultValue	com.xpn.xwiki.objects.StringProperty
-7543057703784922832	description	com.xpn.xwiki.objects.LargeStringProperty
-7543057703784922832	mandatory	com.xpn.xwiki.objects.IntegerProperty
-7543057703784922832	name	com.xpn.xwiki.objects.StringProperty
9027176932998785565	defaultValue	com.xpn.xwiki.objects.StringProperty
9027176932998785565	description	com.xpn.xwiki.objects.LargeStringProperty
9027176932998785565	mandatory	com.xpn.xwiki.objects.IntegerProperty
9027176932998785565	name	com.xpn.xwiki.objects.StringProperty
-2114507803626208157	defaultValue	com.xpn.xwiki.objects.StringProperty
-2114507803626208157	description	com.xpn.xwiki.objects.LargeStringProperty
-2114507803626208157	mandatory	com.xpn.xwiki.objects.IntegerProperty
-2114507803626208157	name	com.xpn.xwiki.objects.StringProperty
-7180417732519721614	level	com.xpn.xwiki.objects.StringProperty
4434993791194682611	cache	com.xpn.xwiki.objects.StringProperty
4434993791194682611	code	com.xpn.xwiki.objects.LargeStringProperty
4434993791194682611	name	com.xpn.xwiki.objects.StringProperty
4434993791194682611	parse	com.xpn.xwiki.objects.IntegerProperty
4434993791194682611	use	com.xpn.xwiki.objects.StringProperty
8009908531353325490	code	com.xpn.xwiki.objects.LargeStringProperty
8009908531353325490	contentDescription	com.xpn.xwiki.objects.LargeStringProperty
8009908531353325490	contentType	com.xpn.xwiki.objects.StringProperty
8009908531353325490	defaultCategory	com.xpn.xwiki.objects.StringProperty
8009908531353325490	description	com.xpn.xwiki.objects.LargeStringProperty
8009908531353325490	id	com.xpn.xwiki.objects.StringProperty
8009908531353325490	name	com.xpn.xwiki.objects.StringProperty
8009908531353325490	supportsInlineMode	com.xpn.xwiki.objects.IntegerProperty
8009908531353325490	visibility	com.xpn.xwiki.objects.StringProperty
-5387129547118323819	level	com.xpn.xwiki.objects.StringProperty
-8340683372497157102	cache	com.xpn.xwiki.objects.StringProperty
-8340683372497157102	code	com.xpn.xwiki.objects.LargeStringProperty
-8340683372497157102	name	com.xpn.xwiki.objects.StringProperty
-8340683372497157102	parse	com.xpn.xwiki.objects.IntegerProperty
-8340683372497157102	use	com.xpn.xwiki.objects.StringProperty
6208375829523118058	level	com.xpn.xwiki.objects.StringProperty
2565425069674253556	cache	com.xpn.xwiki.objects.StringProperty
2565425069674253556	code	com.xpn.xwiki.objects.LargeStringProperty
2565425069674253556	name	com.xpn.xwiki.objects.StringProperty
2565425069674253556	parse	com.xpn.xwiki.objects.IntegerProperty
2565425069674253556	use	com.xpn.xwiki.objects.StringProperty
173995775158485649	allow	com.xpn.xwiki.objects.IntegerProperty
173995775158485649	groups	com.xpn.xwiki.objects.LargeStringProperty
173995775158485649	levels	com.xpn.xwiki.objects.StringProperty
173995775158485649	users	com.xpn.xwiki.objects.LargeStringProperty
-4403847138508135963	level	com.xpn.xwiki.objects.StringProperty
3782650588077848436	allow	com.xpn.xwiki.objects.IntegerProperty
3782650588077848436	groups	com.xpn.xwiki.objects.LargeStringProperty
3782650588077848436	levels	com.xpn.xwiki.objects.StringProperty
-4270047942215544118	code	com.xpn.xwiki.objects.LargeStringProperty
-4270047942215544118	contentDescription	com.xpn.xwiki.objects.LargeStringProperty
-4270047942215544118	contentType	com.xpn.xwiki.objects.StringProperty
-4270047942215544118	defaultCategory	com.xpn.xwiki.objects.StringProperty
-4270047942215544118	description	com.xpn.xwiki.objects.LargeStringProperty
-4270047942215544118	id	com.xpn.xwiki.objects.StringProperty
-4270047942215544118	name	com.xpn.xwiki.objects.StringProperty
-4270047942215544118	supportsInlineMode	com.xpn.xwiki.objects.IntegerProperty
-4270047942215544118	visibility	com.xpn.xwiki.objects.StringProperty
-4292617225184969157	defaultValue	com.xpn.xwiki.objects.StringProperty
-4292617225184969157	description	com.xpn.xwiki.objects.LargeStringProperty
-4292617225184969157	mandatory	com.xpn.xwiki.objects.IntegerProperty
-4292617225184969157	name	com.xpn.xwiki.objects.StringProperty
2706750404654345339	defaultValue	com.xpn.xwiki.objects.StringProperty
2706750404654345339	description	com.xpn.xwiki.objects.LargeStringProperty
2706750404654345339	mandatory	com.xpn.xwiki.objects.IntegerProperty
2706750404654345339	name	com.xpn.xwiki.objects.StringProperty
8033261753603887338	defaultValue	com.xpn.xwiki.objects.StringProperty
8033261753603887338	description	com.xpn.xwiki.objects.LargeStringProperty
8033261753603887338	mandatory	com.xpn.xwiki.objects.IntegerProperty
8033261753603887338	name	com.xpn.xwiki.objects.StringProperty
-290433136403775361	defaultValue	com.xpn.xwiki.objects.StringProperty
-290433136403775361	description	com.xpn.xwiki.objects.LargeStringProperty
-290433136403775361	mandatory	com.xpn.xwiki.objects.IntegerProperty
-290433136403775361	name	com.xpn.xwiki.objects.StringProperty
5507133455870632400	defaultValue	com.xpn.xwiki.objects.StringProperty
5507133455870632400	description	com.xpn.xwiki.objects.LargeStringProperty
5507133455870632400	mandatory	com.xpn.xwiki.objects.IntegerProperty
5507133455870632400	name	com.xpn.xwiki.objects.StringProperty
7115468815733580006	defaultValue	com.xpn.xwiki.objects.StringProperty
7115468815733580006	description	com.xpn.xwiki.objects.LargeStringProperty
7115468815733580006	mandatory	com.xpn.xwiki.objects.IntegerProperty
7115468815733580006	name	com.xpn.xwiki.objects.StringProperty
6398268715832411259	defaultValue	com.xpn.xwiki.objects.StringProperty
6398268715832411259	description	com.xpn.xwiki.objects.LargeStringProperty
6398268715832411259	mandatory	com.xpn.xwiki.objects.IntegerProperty
6398268715832411259	name	com.xpn.xwiki.objects.StringProperty
-961982407856130685	defaultValue	com.xpn.xwiki.objects.StringProperty
-961982407856130685	description	com.xpn.xwiki.objects.LargeStringProperty
-961982407856130685	mandatory	com.xpn.xwiki.objects.IntegerProperty
-961982407856130685	name	com.xpn.xwiki.objects.StringProperty
-20449174920798045	defaultValue	com.xpn.xwiki.objects.StringProperty
-20449174920798045	description	com.xpn.xwiki.objects.LargeStringProperty
-20449174920798045	mandatory	com.xpn.xwiki.objects.IntegerProperty
-20449174920798045	name	com.xpn.xwiki.objects.StringProperty
4625876372974772728	defaultValue	com.xpn.xwiki.objects.StringProperty
4625876372974772728	description	com.xpn.xwiki.objects.LargeStringProperty
4625876372974772728	mandatory	com.xpn.xwiki.objects.IntegerProperty
4625876372974772728	name	com.xpn.xwiki.objects.StringProperty
5907546419309148588	defaultValue	com.xpn.xwiki.objects.StringProperty
5907546419309148588	description	com.xpn.xwiki.objects.LargeStringProperty
5907546419309148588	mandatory	com.xpn.xwiki.objects.IntegerProperty
5907546419309148588	name	com.xpn.xwiki.objects.StringProperty
-1110678681262197463	defaultValue	com.xpn.xwiki.objects.StringProperty
-1110678681262197463	description	com.xpn.xwiki.objects.LargeStringProperty
-1110678681262197463	mandatory	com.xpn.xwiki.objects.IntegerProperty
-1110678681262197463	name	com.xpn.xwiki.objects.StringProperty
2340271235697290149	defaultValue	com.xpn.xwiki.objects.StringProperty
2340271235697290149	description	com.xpn.xwiki.objects.LargeStringProperty
2340271235697290149	mandatory	com.xpn.xwiki.objects.IntegerProperty
2340271235697290149	name	com.xpn.xwiki.objects.StringProperty
-7750451393889908950	defaultValue	com.xpn.xwiki.objects.StringProperty
-7750451393889908950	description	com.xpn.xwiki.objects.LargeStringProperty
-7750451393889908950	mandatory	com.xpn.xwiki.objects.IntegerProperty
-7750451393889908950	name	com.xpn.xwiki.objects.StringProperty
2606437970141537991	defaultValue	com.xpn.xwiki.objects.StringProperty
2606437970141537991	description	com.xpn.xwiki.objects.LargeStringProperty
2606437970141537991	mandatory	com.xpn.xwiki.objects.IntegerProperty
2606437970141537991	name	com.xpn.xwiki.objects.StringProperty
1863209619509869037	defaultValue	com.xpn.xwiki.objects.StringProperty
1863209619509869037	description	com.xpn.xwiki.objects.LargeStringProperty
1863209619509869037	mandatory	com.xpn.xwiki.objects.IntegerProperty
1863209619509869037	name	com.xpn.xwiki.objects.StringProperty
2832372176651909060	defaultValue	com.xpn.xwiki.objects.StringProperty
2832372176651909060	description	com.xpn.xwiki.objects.LargeStringProperty
2832372176651909060	mandatory	com.xpn.xwiki.objects.IntegerProperty
2832372176651909060	name	com.xpn.xwiki.objects.StringProperty
3071263456201148754	defaultValue	com.xpn.xwiki.objects.StringProperty
3071263456201148754	description	com.xpn.xwiki.objects.LargeStringProperty
3071263456201148754	mandatory	com.xpn.xwiki.objects.IntegerProperty
3071263456201148754	name	com.xpn.xwiki.objects.StringProperty
-4212519746212985691	cache	com.xpn.xwiki.objects.StringProperty
-4212519746212985691	code	com.xpn.xwiki.objects.LargeStringProperty
-4212519746212985691	name	com.xpn.xwiki.objects.StringProperty
-4212519746212985691	parse	com.xpn.xwiki.objects.IntegerProperty
-4212519746212985691	use	com.xpn.xwiki.objects.StringProperty
7507813351467560633	scope	com.xpn.xwiki.objects.StringProperty
-8502917170642906784	cache	com.xpn.xwiki.objects.StringProperty
-8502917170642906784	code	com.xpn.xwiki.objects.LargeStringProperty
-8502917170642906784	name	com.xpn.xwiki.objects.StringProperty
-8502917170642906784	parse	com.xpn.xwiki.objects.IntegerProperty
-8502917170642906784	use	com.xpn.xwiki.objects.StringProperty
-3017221804114572299	level	com.xpn.xwiki.objects.StringProperty
-7524852497054340135	cache	com.xpn.xwiki.objects.StringProperty
-7524852497054340135	code	com.xpn.xwiki.objects.LargeStringProperty
-7524852497054340135	name	com.xpn.xwiki.objects.StringProperty
-7524852497054340135	parse	com.xpn.xwiki.objects.IntegerProperty
-7524852497054340135	use	com.xpn.xwiki.objects.StringProperty
-528946118605285988	allow	com.xpn.xwiki.objects.IntegerProperty
-528946118605285988	groups	com.xpn.xwiki.objects.LargeStringProperty
-528946118605285988	levels	com.xpn.xwiki.objects.StringProperty
-528946118605285988	users	com.xpn.xwiki.objects.LargeStringProperty
6437174684837264717	code	com.xpn.xwiki.objects.LargeStringProperty
6437174684837264717	contentDescription	com.xpn.xwiki.objects.LargeStringProperty
6437174684837264717	contentType	com.xpn.xwiki.objects.StringProperty
6437174684837264717	defaultCategory	com.xpn.xwiki.objects.StringProperty
6437174684837264717	description	com.xpn.xwiki.objects.LargeStringProperty
6437174684837264717	id	com.xpn.xwiki.objects.StringProperty
6437174684837264717	name	com.xpn.xwiki.objects.StringProperty
6437174684837264717	supportsInlineMode	com.xpn.xwiki.objects.IntegerProperty
6437174684837264717	visibility	com.xpn.xwiki.objects.StringProperty
-3143182623433737187	defaultValue	com.xpn.xwiki.objects.StringProperty
-3143182623433737187	description	com.xpn.xwiki.objects.LargeStringProperty
-3143182623433737187	mandatory	com.xpn.xwiki.objects.IntegerProperty
-3143182623433737187	name	com.xpn.xwiki.objects.StringProperty
-3887666743881049937	defaultValue	com.xpn.xwiki.objects.StringProperty
-3887666743881049937	description	com.xpn.xwiki.objects.LargeStringProperty
-3887666743881049937	mandatory	com.xpn.xwiki.objects.IntegerProperty
-3887666743881049937	name	com.xpn.xwiki.objects.StringProperty
2065499440476739869	defaultValue	com.xpn.xwiki.objects.StringProperty
2065499440476739869	description	com.xpn.xwiki.objects.LargeStringProperty
2065499440476739869	mandatory	com.xpn.xwiki.objects.IntegerProperty
2065499440476739869	name	com.xpn.xwiki.objects.StringProperty
4237577464992284344	defaultValue	com.xpn.xwiki.objects.StringProperty
4237577464992284344	description	com.xpn.xwiki.objects.LargeStringProperty
4237577464992284344	mandatory	com.xpn.xwiki.objects.IntegerProperty
4237577464992284344	name	com.xpn.xwiki.objects.StringProperty
6230530917979272079	defaultValue	com.xpn.xwiki.objects.StringProperty
6230530917979272079	description	com.xpn.xwiki.objects.LargeStringProperty
6230530917979272079	mandatory	com.xpn.xwiki.objects.IntegerProperty
6230530917979272079	name	com.xpn.xwiki.objects.StringProperty
8090097450957698493	defaultValue	com.xpn.xwiki.objects.StringProperty
8090097450957698493	description	com.xpn.xwiki.objects.LargeStringProperty
8090097450957698493	mandatory	com.xpn.xwiki.objects.IntegerProperty
8090097450957698493	name	com.xpn.xwiki.objects.StringProperty
-8397893186669845850	scope	com.xpn.xwiki.objects.StringProperty
121216638294196643	content	com.xpn.xwiki.objects.LargeStringProperty
121216638294196643	extensionPointId	com.xpn.xwiki.objects.StringProperty
121216638294196643	name	com.xpn.xwiki.objects.StringProperty
121216638294196643	parameters	com.xpn.xwiki.objects.LargeStringProperty
121216638294196643	scope	com.xpn.xwiki.objects.StringProperty
-5290135868479975735	allow	com.xpn.xwiki.objects.IntegerProperty
-5290135868479975735	groups	com.xpn.xwiki.objects.LargeStringProperty
-5290135868479975735	levels	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	backgroundSecondaryColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	borderColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	buttonPrimaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	buttonPrimaryGradientColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	buttonPrimaryTextColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	buttonSecondaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	buttonSecondaryGradientColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	buttonSecondaryTextColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	headerBackgroundImage	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	headerBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	highlightColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	linkColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	logoImage	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	menuAddEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	menuAddEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	menuBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	menuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	menuContentGradientColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	menuContentLinkColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	menuGradientColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	menuLinkColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	menuSelectedEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	menuSelectedEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	pageBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	pageBackgroundImage	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	pageBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	pageContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	pageHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	panelBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	panelCollapsedBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	panelCollapsedGradientColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	panelCollapsedTextColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	panelHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	panelHeaderGradientColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	panelHeaderTextColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	panelTextColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	submenuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	textColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	textPrimaryColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	textSecondaryColor	com.xpn.xwiki.objects.StringProperty
-7752288896100011522	titleColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	backgroundSecondaryColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	borderColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	buttonPrimaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	buttonPrimaryGradientColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	buttonPrimaryTextColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	buttonSecondaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	buttonSecondaryGradientColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	buttonSecondaryTextColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	fieldGradientColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	headerBackgroundImage	com.xpn.xwiki.objects.StringProperty
5686550930694130422	headerBackgroundPosition	com.xpn.xwiki.objects.StringProperty
5686550930694130422	highlightColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	linkColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	logoImage	com.xpn.xwiki.objects.StringProperty
5686550930694130422	menuAddEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	menuAddEntryLinkColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	menuBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	menuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	menuContentGradientColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	menuContentLinkColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	menuGradientColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	menuLinkColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	menuSelectedEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	menuSelectedEntryLinkColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	notificationErrorColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	notificationInfoColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	notificationSuccessColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	notificationWarningColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	pageBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	pageBackgroundImage	com.xpn.xwiki.objects.StringProperty
5686550930694130422	pageBackgroundPosition	com.xpn.xwiki.objects.StringProperty
5686550930694130422	pageContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	pageHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	panelBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	panelCollapsedBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	panelCollapsedGradientColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	panelCollapsedTextColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	panelHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	panelHeaderGradientColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	panelHeaderTextColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	panelTextColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	submenuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	textColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	textPrimaryColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	textSecondaryColor	com.xpn.xwiki.objects.StringProperty
5686550930694130422	titleColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	backgroundSecondaryColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	borderColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	buttonPrimaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	buttonPrimaryGradientColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	buttonPrimaryTextColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	buttonSecondaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	buttonSecondaryGradientColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	buttonSecondaryTextColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	fieldGradientColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	headerBackgroundImage	com.xpn.xwiki.objects.StringProperty
6341655122287435360	headerBackgroundPosition	com.xpn.xwiki.objects.StringProperty
6341655122287435360	highlightColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	linkColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	logoImage	com.xpn.xwiki.objects.StringProperty
6341655122287435360	menuAddEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	menuAddEntryLinkColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	menuBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	menuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	menuContentGradientColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	menuContentLinkColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	menuGradientColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	menuLinkColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	menuSelectedEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	menuSelectedEntryLinkColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	notificationErrorColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	notificationInfoColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	notificationSuccessColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	notificationWarningColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	pageBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	pageBackgroundImage	com.xpn.xwiki.objects.StringProperty
6341655122287435360	pageBackgroundPosition	com.xpn.xwiki.objects.StringProperty
6341655122287435360	pageContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	pageHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	panelBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	panelCollapsedBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	panelCollapsedGradientColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	panelCollapsedTextColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	panelHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	panelHeaderGradientColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	panelHeaderTextColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	panelTextColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	submenuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	textColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	textPrimaryColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	textSecondaryColor	com.xpn.xwiki.objects.StringProperty
6341655122287435360	titleColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	backgroundSecondaryColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	borderColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	buttonPrimaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	buttonPrimaryGradientColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	buttonPrimaryTextColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	buttonSecondaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	buttonSecondaryGradientColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	buttonSecondaryTextColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	headerBackgroundImage	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	headerBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	highlightColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	linkColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	logoImage	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	menuAddEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	menuAddEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	menuBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	menuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	menuContentGradientColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	menuContentLinkColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	menuGradientColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	menuLinkColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	menuSelectedEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	menuSelectedEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	pageBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	pageBackgroundImage	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	pageBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	pageContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	pageHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	panelBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	panelCollapsedBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	panelCollapsedGradientColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	panelCollapsedTextColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	panelHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	panelHeaderGradientColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	panelHeaderTextColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	panelTextColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	submenuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	textColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	textPrimaryColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	textSecondaryColor	com.xpn.xwiki.objects.StringProperty
-3856115598293330090	titleColor	com.xpn.xwiki.objects.StringProperty
6996066238311580111	sheet	com.xpn.xwiki.objects.StringProperty
8077918042006448738	cache	com.xpn.xwiki.objects.StringProperty
8077918042006448738	code	com.xpn.xwiki.objects.LargeStringProperty
8077918042006448738	name	com.xpn.xwiki.objects.StringProperty
8077918042006448738	parse	com.xpn.xwiki.objects.IntegerProperty
8077918042006448738	use	com.xpn.xwiki.objects.StringProperty
-6953773984597868539	cache	com.xpn.xwiki.objects.StringProperty
-6953773984597868539	code	com.xpn.xwiki.objects.LargeStringProperty
-6953773984597868539	name	com.xpn.xwiki.objects.StringProperty
-6953773984597868539	parse	com.xpn.xwiki.objects.IntegerProperty
-6953773984597868539	use	com.xpn.xwiki.objects.StringProperty
-2418905723979244200	cache	com.xpn.xwiki.objects.StringProperty
-2418905723979244200	code	com.xpn.xwiki.objects.LargeStringProperty
-2418905723979244200	name	com.xpn.xwiki.objects.StringProperty
-2418905723979244200	parse	com.xpn.xwiki.objects.IntegerProperty
-2418905723979244200	use	com.xpn.xwiki.objects.StringProperty
-9108728894848501578	categoryIcon	com.xpn.xwiki.objects.StringProperty
-9108728894848501578	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
-9108728894848501578	configurationClass	com.xpn.xwiki.objects.StringProperty
-9108728894848501578	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
-9108728894848501578	displayBeforeCategory	com.xpn.xwiki.objects.StringProperty
-9108728894848501578	displayInCategory	com.xpn.xwiki.objects.StringProperty
-9108728894848501578	displayInSection	com.xpn.xwiki.objects.StringProperty
-9108728894848501578	heading	com.xpn.xwiki.objects.StringProperty
-9108728894848501578	iconAttachment	com.xpn.xwiki.objects.StringProperty
-9108728894848501578	linkPrefix	com.xpn.xwiki.objects.StringProperty
-9108728894848501578	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
-9108728894848501578	sectionOrder	com.xpn.xwiki.objects.IntegerProperty
-4039664564421777869	categoryIcon	com.xpn.xwiki.objects.StringProperty
-4039664564421777869	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
-4039664564421777869	configurationClass	com.xpn.xwiki.objects.StringProperty
-4039664564421777869	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
-4039664564421777869	displayBeforeCategory	com.xpn.xwiki.objects.StringProperty
-4039664564421777869	displayInCategory	com.xpn.xwiki.objects.StringProperty
-4039664564421777869	displayInSection	com.xpn.xwiki.objects.StringProperty
-4039664564421777869	heading	com.xpn.xwiki.objects.StringProperty
-4039664564421777869	iconAttachment	com.xpn.xwiki.objects.StringProperty
-4039664564421777869	linkPrefix	com.xpn.xwiki.objects.StringProperty
-4039664564421777869	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
-4039664564421777869	sectionOrder	com.xpn.xwiki.objects.IntegerProperty
3193224639151033195	categoryIcon	com.xpn.xwiki.objects.StringProperty
3193224639151033195	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
3193224639151033195	configurationClass	com.xpn.xwiki.objects.StringProperty
3193224639151033195	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
3193224639151033195	displayBeforeCategory	com.xpn.xwiki.objects.StringProperty
3193224639151033195	displayInCategory	com.xpn.xwiki.objects.StringProperty
3193224639151033195	displayInSection	com.xpn.xwiki.objects.StringProperty
3193224639151033195	heading	com.xpn.xwiki.objects.StringProperty
3193224639151033195	iconAttachment	com.xpn.xwiki.objects.StringProperty
3193224639151033195	linkPrefix	com.xpn.xwiki.objects.StringProperty
3193224639151033195	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
3193224639151033195	sectionOrder	com.xpn.xwiki.objects.IntegerProperty
-6375373219653648772	scope	com.xpn.xwiki.objects.StringProperty
4364801158857815768	action	com.xpn.xwiki.objects.StringProperty
4666093086123869888	sheet	com.xpn.xwiki.objects.StringProperty
-7284074232723012561	cache	com.xpn.xwiki.objects.StringProperty
-7284074232723012561	code	com.xpn.xwiki.objects.LargeStringProperty
-7284074232723012561	name	com.xpn.xwiki.objects.StringProperty
-7284074232723012561	parse	com.xpn.xwiki.objects.IntegerProperty
-7284074232723012561	use	com.xpn.xwiki.objects.StringProperty
-3844444139597722093	cache	com.xpn.xwiki.objects.StringProperty
-3844444139597722093	code	com.xpn.xwiki.objects.LargeStringProperty
-3844444139597722093	name	com.xpn.xwiki.objects.StringProperty
-3844444139597722093	parse	com.xpn.xwiki.objects.IntegerProperty
-3844444139597722093	use	com.xpn.xwiki.objects.StringProperty
-5142933733793134952	cache	com.xpn.xwiki.objects.StringProperty
-5142933733793134952	code	com.xpn.xwiki.objects.LargeStringProperty
-5142933733793134952	contentType	com.xpn.xwiki.objects.StringProperty
-5142933733793134952	name	com.xpn.xwiki.objects.StringProperty
-5142933733793134952	parse	com.xpn.xwiki.objects.IntegerProperty
-5142933733793134952	use	com.xpn.xwiki.objects.StringProperty
-6348726566838501671	code	com.xpn.xwiki.objects.LargeStringProperty
-6348726566838501671	contentDescription	com.xpn.xwiki.objects.LargeStringProperty
-6348726566838501671	contentType	com.xpn.xwiki.objects.StringProperty
-6348726566838501671	defaultCategory	com.xpn.xwiki.objects.StringProperty
-6348726566838501671	description	com.xpn.xwiki.objects.LargeStringProperty
-6348726566838501671	id	com.xpn.xwiki.objects.StringProperty
-6348726566838501671	name	com.xpn.xwiki.objects.StringProperty
-6348726566838501671	supportsInlineMode	com.xpn.xwiki.objects.IntegerProperty
-6348726566838501671	visibility	com.xpn.xwiki.objects.StringProperty
-4107477607535558306	defaultValue	com.xpn.xwiki.objects.StringProperty
-4107477607535558306	description	com.xpn.xwiki.objects.LargeStringProperty
-4107477607535558306	mandatory	com.xpn.xwiki.objects.IntegerProperty
-4107477607535558306	name	com.xpn.xwiki.objects.StringProperty
-7379524742626007554	defaultValue	com.xpn.xwiki.objects.StringProperty
-7379524742626007554	description	com.xpn.xwiki.objects.LargeStringProperty
-7379524742626007554	mandatory	com.xpn.xwiki.objects.IntegerProperty
-7379524742626007554	name	com.xpn.xwiki.objects.StringProperty
7122393996290033201	defaultValue	com.xpn.xwiki.objects.StringProperty
7122393996290033201	description	com.xpn.xwiki.objects.LargeStringProperty
7122393996290033201	mandatory	com.xpn.xwiki.objects.IntegerProperty
7122393996290033201	name	com.xpn.xwiki.objects.StringProperty
6851332950790330843	defaultValue	com.xpn.xwiki.objects.StringProperty
6851332950790330843	description	com.xpn.xwiki.objects.LargeStringProperty
6851332950790330843	mandatory	com.xpn.xwiki.objects.IntegerProperty
6851332950790330843	name	com.xpn.xwiki.objects.StringProperty
2044642619173841514	allow	com.xpn.xwiki.objects.IntegerProperty
2044642619173841514	groups	com.xpn.xwiki.objects.LargeStringProperty
2044642619173841514	levels	com.xpn.xwiki.objects.StringProperty
2044642619173841514	users	com.xpn.xwiki.objects.LargeStringProperty
-7384449520393366346	cache	com.xpn.xwiki.objects.StringProperty
-7384449520393366346	code	com.xpn.xwiki.objects.LargeStringProperty
-7384449520393366346	name	com.xpn.xwiki.objects.StringProperty
-7384449520393366346	parse	com.xpn.xwiki.objects.IntegerProperty
-7384449520393366346	use	com.xpn.xwiki.objects.StringProperty
-2077216384467554192	cache	com.xpn.xwiki.objects.StringProperty
-2077216384467554192	code	com.xpn.xwiki.objects.LargeStringProperty
-2077216384467554192	name	com.xpn.xwiki.objects.StringProperty
-2077216384467554192	parse	com.xpn.xwiki.objects.IntegerProperty
-2077216384467554192	use	com.xpn.xwiki.objects.StringProperty
7213829870165562513	cache	com.xpn.xwiki.objects.StringProperty
7213829870165562513	code	com.xpn.xwiki.objects.LargeStringProperty
7213829870165562513	name	com.xpn.xwiki.objects.StringProperty
7213829870165562513	parse	com.xpn.xwiki.objects.IntegerProperty
7213829870165562513	use	com.xpn.xwiki.objects.StringProperty
8779342943261649448	cache	com.xpn.xwiki.objects.StringProperty
8779342943261649448	code	com.xpn.xwiki.objects.LargeStringProperty
8779342943261649448	name	com.xpn.xwiki.objects.StringProperty
8779342943261649448	parse	com.xpn.xwiki.objects.IntegerProperty
8779342943261649448	use	com.xpn.xwiki.objects.StringProperty
-4102688510095098950	cache	com.xpn.xwiki.objects.StringProperty
-4102688510095098950	code	com.xpn.xwiki.objects.LargeStringProperty
-4102688510095098950	name	com.xpn.xwiki.objects.StringProperty
-4102688510095098950	parse	com.xpn.xwiki.objects.IntegerProperty
-4102688510095098950	use	com.xpn.xwiki.objects.StringProperty
-1718765091772660229	cache	com.xpn.xwiki.objects.StringProperty
-1718765091772660229	code	com.xpn.xwiki.objects.LargeStringProperty
-1718765091772660229	name	com.xpn.xwiki.objects.StringProperty
-1718765091772660229	parse	com.xpn.xwiki.objects.IntegerProperty
-1718765091772660229	use	com.xpn.xwiki.objects.StringProperty
-381624292609406307	cache	com.xpn.xwiki.objects.StringProperty
-381624292609406307	code	com.xpn.xwiki.objects.LargeStringProperty
-381624292609406307	name	com.xpn.xwiki.objects.StringProperty
-381624292609406307	parse	com.xpn.xwiki.objects.IntegerProperty
-381624292609406307	use	com.xpn.xwiki.objects.StringProperty
762845568679840330	cache	com.xpn.xwiki.objects.StringProperty
762845568679840330	code	com.xpn.xwiki.objects.LargeStringProperty
762845568679840330	name	com.xpn.xwiki.objects.StringProperty
762845568679840330	parse	com.xpn.xwiki.objects.IntegerProperty
762845568679840330	use	com.xpn.xwiki.objects.StringProperty
-2136398356499945459	cache	com.xpn.xwiki.objects.StringProperty
-2136398356499945459	code	com.xpn.xwiki.objects.LargeStringProperty
-2136398356499945459	name	com.xpn.xwiki.objects.StringProperty
-2136398356499945459	parse	com.xpn.xwiki.objects.IntegerProperty
-2136398356499945459	use	com.xpn.xwiki.objects.StringProperty
-4634018571476814268	cache	com.xpn.xwiki.objects.StringProperty
-4634018571476814268	code	com.xpn.xwiki.objects.LargeStringProperty
-4634018571476814268	name	com.xpn.xwiki.objects.StringProperty
-4634018571476814268	parse	com.xpn.xwiki.objects.IntegerProperty
-4634018571476814268	use	com.xpn.xwiki.objects.StringProperty
-7933826172608503154	cache	com.xpn.xwiki.objects.StringProperty
-7933826172608503154	code	com.xpn.xwiki.objects.LargeStringProperty
-7933826172608503154	name	com.xpn.xwiki.objects.StringProperty
-7933826172608503154	parse	com.xpn.xwiki.objects.IntegerProperty
-7933826172608503154	use	com.xpn.xwiki.objects.StringProperty
-2667627816585793507	cache	com.xpn.xwiki.objects.StringProperty
-2667627816585793507	code	com.xpn.xwiki.objects.LargeStringProperty
-2667627816585793507	name	com.xpn.xwiki.objects.StringProperty
-2667627816585793507	parse	com.xpn.xwiki.objects.IntegerProperty
-2667627816585793507	use	com.xpn.xwiki.objects.StringProperty
-8869825635248512149	cache	com.xpn.xwiki.objects.StringProperty
-8869825635248512149	code	com.xpn.xwiki.objects.LargeStringProperty
-8869825635248512149	name	com.xpn.xwiki.objects.StringProperty
-8869825635248512149	parse	com.xpn.xwiki.objects.IntegerProperty
-8869825635248512149	use	com.xpn.xwiki.objects.StringProperty
8840777577127400957	cache	com.xpn.xwiki.objects.StringProperty
8840777577127400957	code	com.xpn.xwiki.objects.LargeStringProperty
8840777577127400957	name	com.xpn.xwiki.objects.StringProperty
8840777577127400957	parse	com.xpn.xwiki.objects.IntegerProperty
8840777577127400957	use	com.xpn.xwiki.objects.StringProperty
8767386282170405520	cache	com.xpn.xwiki.objects.StringProperty
8767386282170405520	code	com.xpn.xwiki.objects.LargeStringProperty
8767386282170405520	name	com.xpn.xwiki.objects.StringProperty
8767386282170405520	parse	com.xpn.xwiki.objects.IntegerProperty
8767386282170405520	use	com.xpn.xwiki.objects.StringProperty
3324831887511834412	cache	com.xpn.xwiki.objects.StringProperty
3324831887511834412	code	com.xpn.xwiki.objects.LargeStringProperty
3324831887511834412	name	com.xpn.xwiki.objects.StringProperty
3324831887511834412	parse	com.xpn.xwiki.objects.IntegerProperty
3324831887511834412	use	com.xpn.xwiki.objects.StringProperty
-7165983680303077190	cache	com.xpn.xwiki.objects.StringProperty
-7165983680303077190	code	com.xpn.xwiki.objects.LargeStringProperty
-7165983680303077190	name	com.xpn.xwiki.objects.StringProperty
-7165983680303077190	parse	com.xpn.xwiki.objects.IntegerProperty
-7165983680303077190	use	com.xpn.xwiki.objects.StringProperty
7817692244712022440	cache	com.xpn.xwiki.objects.StringProperty
7817692244712022440	code	com.xpn.xwiki.objects.LargeStringProperty
7817692244712022440	name	com.xpn.xwiki.objects.StringProperty
7817692244712022440	parse	com.xpn.xwiki.objects.IntegerProperty
7817692244712022440	use	com.xpn.xwiki.objects.StringProperty
1684448288439082877	cache	com.xpn.xwiki.objects.StringProperty
1684448288439082877	code	com.xpn.xwiki.objects.LargeStringProperty
1684448288439082877	name	com.xpn.xwiki.objects.StringProperty
1684448288439082877	parse	com.xpn.xwiki.objects.IntegerProperty
1684448288439082877	use	com.xpn.xwiki.objects.StringProperty
-1088741600705946960	cache	com.xpn.xwiki.objects.StringProperty
-1088741600705946960	code	com.xpn.xwiki.objects.LargeStringProperty
-1088741600705946960	name	com.xpn.xwiki.objects.StringProperty
-1088741600705946960	parse	com.xpn.xwiki.objects.IntegerProperty
-1088741600705946960	use	com.xpn.xwiki.objects.StringProperty
2400439552524166882	cache	com.xpn.xwiki.objects.StringProperty
2400439552524166882	code	com.xpn.xwiki.objects.LargeStringProperty
2400439552524166882	name	com.xpn.xwiki.objects.StringProperty
2400439552524166882	parse	com.xpn.xwiki.objects.IntegerProperty
2400439552524166882	use	com.xpn.xwiki.objects.StringProperty
-115560545996216550	cache	com.xpn.xwiki.objects.StringProperty
-115560545996216550	code	com.xpn.xwiki.objects.LargeStringProperty
-115560545996216550	name	com.xpn.xwiki.objects.StringProperty
-115560545996216550	parse	com.xpn.xwiki.objects.IntegerProperty
-115560545996216550	use	com.xpn.xwiki.objects.StringProperty
6382729201458523557	cache	com.xpn.xwiki.objects.StringProperty
6382729201458523557	code	com.xpn.xwiki.objects.LargeStringProperty
6382729201458523557	name	com.xpn.xwiki.objects.StringProperty
6382729201458523557	parse	com.xpn.xwiki.objects.IntegerProperty
6382729201458523557	use	com.xpn.xwiki.objects.StringProperty
1528580236109238144	cache	com.xpn.xwiki.objects.StringProperty
1528580236109238144	code	com.xpn.xwiki.objects.LargeStringProperty
1528580236109238144	name	com.xpn.xwiki.objects.StringProperty
1528580236109238144	parse	com.xpn.xwiki.objects.IntegerProperty
1528580236109238144	use	com.xpn.xwiki.objects.StringProperty
-8046821127321631759	cache	com.xpn.xwiki.objects.StringProperty
-8046821127321631759	code	com.xpn.xwiki.objects.LargeStringProperty
-8046821127321631759	name	com.xpn.xwiki.objects.StringProperty
-8046821127321631759	parse	com.xpn.xwiki.objects.IntegerProperty
-8046821127321631759	use	com.xpn.xwiki.objects.StringProperty
-5413005090135459356	cache	com.xpn.xwiki.objects.StringProperty
-5413005090135459356	code	com.xpn.xwiki.objects.LargeStringProperty
-5413005090135459356	name	com.xpn.xwiki.objects.StringProperty
-5413005090135459356	parse	com.xpn.xwiki.objects.IntegerProperty
-5413005090135459356	use	com.xpn.xwiki.objects.StringProperty
6194885668303409605	cache	com.xpn.xwiki.objects.StringProperty
6194885668303409605	code	com.xpn.xwiki.objects.LargeStringProperty
6194885668303409605	name	com.xpn.xwiki.objects.StringProperty
6194885668303409605	parse	com.xpn.xwiki.objects.IntegerProperty
6194885668303409605	use	com.xpn.xwiki.objects.StringProperty
-8997540330715102653	cache	com.xpn.xwiki.objects.StringProperty
-8997540330715102653	code	com.xpn.xwiki.objects.LargeStringProperty
-8997540330715102653	name	com.xpn.xwiki.objects.StringProperty
-8997540330715102653	parse	com.xpn.xwiki.objects.IntegerProperty
-8997540330715102653	use	com.xpn.xwiki.objects.StringProperty
8464333267336014519	cache	com.xpn.xwiki.objects.StringProperty
8464333267336014519	code	com.xpn.xwiki.objects.LargeStringProperty
8464333267336014519	name	com.xpn.xwiki.objects.StringProperty
8464333267336014519	parse	com.xpn.xwiki.objects.IntegerProperty
8464333267336014519	use	com.xpn.xwiki.objects.StringProperty
1029149978393615900	cache	com.xpn.xwiki.objects.StringProperty
1029149978393615900	code	com.xpn.xwiki.objects.LargeStringProperty
1029149978393615900	name	com.xpn.xwiki.objects.StringProperty
1029149978393615900	parse	com.xpn.xwiki.objects.IntegerProperty
1029149978393615900	use	com.xpn.xwiki.objects.StringProperty
-692458536091278653	cache	com.xpn.xwiki.objects.StringProperty
-692458536091278653	code	com.xpn.xwiki.objects.LargeStringProperty
-692458536091278653	name	com.xpn.xwiki.objects.StringProperty
-692458536091278653	parse	com.xpn.xwiki.objects.IntegerProperty
-692458536091278653	use	com.xpn.xwiki.objects.StringProperty
3691429869719656184	cache	com.xpn.xwiki.objects.StringProperty
3691429869719656184	code	com.xpn.xwiki.objects.LargeStringProperty
3691429869719656184	name	com.xpn.xwiki.objects.StringProperty
3691429869719656184	parse	com.xpn.xwiki.objects.IntegerProperty
3691429869719656184	use	com.xpn.xwiki.objects.StringProperty
-1970536447999040586	code	com.xpn.xwiki.objects.LargeStringProperty
-1970536447999040586	contentDescription	com.xpn.xwiki.objects.LargeStringProperty
-1970536447999040586	contentType	com.xpn.xwiki.objects.StringProperty
-1970536447999040586	defaultCategory	com.xpn.xwiki.objects.StringProperty
-1970536447999040586	description	com.xpn.xwiki.objects.LargeStringProperty
-1970536447999040586	id	com.xpn.xwiki.objects.StringProperty
-1970536447999040586	name	com.xpn.xwiki.objects.StringProperty
-1970536447999040586	supportsInlineMode	com.xpn.xwiki.objects.IntegerProperty
-1970536447999040586	visibility	com.xpn.xwiki.objects.StringProperty
-8752557532974133411	defaultValue	com.xpn.xwiki.objects.StringProperty
-8752557532974133411	description	com.xpn.xwiki.objects.LargeStringProperty
-8752557532974133411	mandatory	com.xpn.xwiki.objects.IntegerProperty
-8752557532974133411	name	com.xpn.xwiki.objects.StringProperty
-7272254375090897470	defaultValue	com.xpn.xwiki.objects.StringProperty
-7272254375090897470	description	com.xpn.xwiki.objects.LargeStringProperty
-7272254375090897470	mandatory	com.xpn.xwiki.objects.IntegerProperty
-7272254375090897470	name	com.xpn.xwiki.objects.StringProperty
-6498630665715157959	defaultValue	com.xpn.xwiki.objects.StringProperty
-6498630665715157959	description	com.xpn.xwiki.objects.LargeStringProperty
-6498630665715157959	mandatory	com.xpn.xwiki.objects.IntegerProperty
-6498630665715157959	name	com.xpn.xwiki.objects.StringProperty
-8869167275737516035	cache	com.xpn.xwiki.objects.StringProperty
-8869167275737516035	code	com.xpn.xwiki.objects.LargeStringProperty
-8869167275737516035	name	com.xpn.xwiki.objects.StringProperty
-8869167275737516035	parse	com.xpn.xwiki.objects.IntegerProperty
-8869167275737516035	use	com.xpn.xwiki.objects.StringProperty
7083120765274645503	cache	com.xpn.xwiki.objects.StringProperty
7083120765274645503	code	com.xpn.xwiki.objects.LargeStringProperty
7083120765274645503	name	com.xpn.xwiki.objects.StringProperty
7083120765274645503	parse	com.xpn.xwiki.objects.IntegerProperty
7083120765274645503	use	com.xpn.xwiki.objects.StringProperty
2509285284474509343	cache	com.xpn.xwiki.objects.StringProperty
2509285284474509343	code	com.xpn.xwiki.objects.LargeStringProperty
2509285284474509343	name	com.xpn.xwiki.objects.StringProperty
2509285284474509343	parse	com.xpn.xwiki.objects.IntegerProperty
2509285284474509343	use	com.xpn.xwiki.objects.StringProperty
-1666382753955370540	cache	com.xpn.xwiki.objects.StringProperty
-1666382753955370540	code	com.xpn.xwiki.objects.LargeStringProperty
-1666382753955370540	name	com.xpn.xwiki.objects.StringProperty
-1666382753955370540	parse	com.xpn.xwiki.objects.IntegerProperty
-1666382753955370540	use	com.xpn.xwiki.objects.StringProperty
1564148237268091575	cache	com.xpn.xwiki.objects.StringProperty
1564148237268091575	code	com.xpn.xwiki.objects.LargeStringProperty
1564148237268091575	name	com.xpn.xwiki.objects.StringProperty
1564148237268091575	parse	com.xpn.xwiki.objects.IntegerProperty
1564148237268091575	use	com.xpn.xwiki.objects.StringProperty
2647651902204394801	cache	com.xpn.xwiki.objects.StringProperty
2647651902204394801	code	com.xpn.xwiki.objects.LargeStringProperty
2647651902204394801	name	com.xpn.xwiki.objects.StringProperty
2647651902204394801	parse	com.xpn.xwiki.objects.IntegerProperty
2647651902204394801	use	com.xpn.xwiki.objects.StringProperty
1509292906043566451	allow	com.xpn.xwiki.objects.IntegerProperty
1509292906043566451	groups	com.xpn.xwiki.objects.LargeStringProperty
1509292906043566451	levels	com.xpn.xwiki.objects.StringProperty
1509292906043566451	users	com.xpn.xwiki.objects.LargeStringProperty
-8465264687240425439	cache	com.xpn.xwiki.objects.StringProperty
-8465264687240425439	code	com.xpn.xwiki.objects.LargeStringProperty
-8465264687240425439	name	com.xpn.xwiki.objects.StringProperty
-8465264687240425439	parse	com.xpn.xwiki.objects.IntegerProperty
-8465264687240425439	use	com.xpn.xwiki.objects.StringProperty
-7029750735844180463	cache	com.xpn.xwiki.objects.StringProperty
-7029750735844180463	code	com.xpn.xwiki.objects.LargeStringProperty
-7029750735844180463	name	com.xpn.xwiki.objects.StringProperty
-7029750735844180463	parse	com.xpn.xwiki.objects.IntegerProperty
-7029750735844180463	use	com.xpn.xwiki.objects.StringProperty
-2772019619561421597	cache	com.xpn.xwiki.objects.StringProperty
-2772019619561421597	code	com.xpn.xwiki.objects.LargeStringProperty
-2772019619561421597	name	com.xpn.xwiki.objects.StringProperty
-2772019619561421597	parse	com.xpn.xwiki.objects.IntegerProperty
-2772019619561421597	use	com.xpn.xwiki.objects.StringProperty
8619938190454890474	code	com.xpn.xwiki.objects.LargeStringProperty
8619938190454890474	contentDescription	com.xpn.xwiki.objects.LargeStringProperty
8619938190454890474	contentType	com.xpn.xwiki.objects.StringProperty
8619938190454890474	defaultCategory	com.xpn.xwiki.objects.StringProperty
8619938190454890474	description	com.xpn.xwiki.objects.LargeStringProperty
8619938190454890474	id	com.xpn.xwiki.objects.StringProperty
8619938190454890474	name	com.xpn.xwiki.objects.StringProperty
8619938190454890474	supportsInlineMode	com.xpn.xwiki.objects.IntegerProperty
8619938190454890474	visibility	com.xpn.xwiki.objects.StringProperty
-1766016663854888874	defaultValue	com.xpn.xwiki.objects.StringProperty
-1766016663854888874	description	com.xpn.xwiki.objects.LargeStringProperty
-1766016663854888874	mandatory	com.xpn.xwiki.objects.IntegerProperty
-1766016663854888874	name	com.xpn.xwiki.objects.StringProperty
-891003554874154134	defaultValue	com.xpn.xwiki.objects.StringProperty
-891003554874154134	description	com.xpn.xwiki.objects.LargeStringProperty
-891003554874154134	mandatory	com.xpn.xwiki.objects.IntegerProperty
-891003554874154134	name	com.xpn.xwiki.objects.StringProperty
5609995998568979095	defaultValue	com.xpn.xwiki.objects.StringProperty
5609995998568979095	description	com.xpn.xwiki.objects.LargeStringProperty
5609995998568979095	mandatory	com.xpn.xwiki.objects.IntegerProperty
5609995998568979095	name	com.xpn.xwiki.objects.StringProperty
-4040532020646090681	defaultValue	com.xpn.xwiki.objects.StringProperty
-4040532020646090681	description	com.xpn.xwiki.objects.LargeStringProperty
-4040532020646090681	mandatory	com.xpn.xwiki.objects.IntegerProperty
-4040532020646090681	name	com.xpn.xwiki.objects.StringProperty
-8170685701810359526	defaultValue	com.xpn.xwiki.objects.StringProperty
-8170685701810359526	description	com.xpn.xwiki.objects.LargeStringProperty
-8170685701810359526	mandatory	com.xpn.xwiki.objects.IntegerProperty
-8170685701810359526	name	com.xpn.xwiki.objects.StringProperty
9099341308356375630	defaultValue	com.xpn.xwiki.objects.StringProperty
9099341308356375630	description	com.xpn.xwiki.objects.LargeStringProperty
9099341308356375630	mandatory	com.xpn.xwiki.objects.IntegerProperty
9099341308356375630	name	com.xpn.xwiki.objects.StringProperty
-7637459130189909810	defaultValue	com.xpn.xwiki.objects.StringProperty
-7637459130189909810	description	com.xpn.xwiki.objects.LargeStringProperty
-7637459130189909810	mandatory	com.xpn.xwiki.objects.IntegerProperty
-7637459130189909810	name	com.xpn.xwiki.objects.StringProperty
-6274205128352087333	defaultValue	com.xpn.xwiki.objects.StringProperty
-6274205128352087333	description	com.xpn.xwiki.objects.LargeStringProperty
-6274205128352087333	mandatory	com.xpn.xwiki.objects.IntegerProperty
-6274205128352087333	name	com.xpn.xwiki.objects.StringProperty
3727900940027351315	defaultValue	com.xpn.xwiki.objects.StringProperty
3727900940027351315	description	com.xpn.xwiki.objects.LargeStringProperty
3727900940027351315	mandatory	com.xpn.xwiki.objects.IntegerProperty
3727900940027351315	name	com.xpn.xwiki.objects.StringProperty
3817777789228802913	defaultValue	com.xpn.xwiki.objects.StringProperty
3817777789228802913	description	com.xpn.xwiki.objects.LargeStringProperty
3817777789228802913	mandatory	com.xpn.xwiki.objects.IntegerProperty
3817777789228802913	name	com.xpn.xwiki.objects.StringProperty
-7149058994813736232	defaultValue	com.xpn.xwiki.objects.StringProperty
-7149058994813736232	description	com.xpn.xwiki.objects.LargeStringProperty
-7149058994813736232	mandatory	com.xpn.xwiki.objects.IntegerProperty
-7149058994813736232	name	com.xpn.xwiki.objects.StringProperty
2954648587304094412	defaultValue	com.xpn.xwiki.objects.StringProperty
2954648587304094412	description	com.xpn.xwiki.objects.LargeStringProperty
2954648587304094412	mandatory	com.xpn.xwiki.objects.IntegerProperty
2954648587304094412	name	com.xpn.xwiki.objects.StringProperty
-3065312122997211821	defaultValue	com.xpn.xwiki.objects.StringProperty
-3065312122997211821	description	com.xpn.xwiki.objects.LargeStringProperty
-3065312122997211821	mandatory	com.xpn.xwiki.objects.IntegerProperty
-3065312122997211821	name	com.xpn.xwiki.objects.StringProperty
-8222245676634688845	defaultValue	com.xpn.xwiki.objects.StringProperty
-8222245676634688845	description	com.xpn.xwiki.objects.LargeStringProperty
-8222245676634688845	mandatory	com.xpn.xwiki.objects.IntegerProperty
-8222245676634688845	name	com.xpn.xwiki.objects.StringProperty
-8418460622719868029	content	com.xpn.xwiki.objects.LargeStringProperty
-8418460622719868029	extensionPointId	com.xpn.xwiki.objects.StringProperty
-8418460622719868029	name	com.xpn.xwiki.objects.StringProperty
-8418460622719868029	parameters	com.xpn.xwiki.objects.LargeStringProperty
-8418460622719868029	scope	com.xpn.xwiki.objects.StringProperty
-3302589865837533320	content	com.xpn.xwiki.objects.LargeStringProperty
-3302589865837533320	extensionPointId	com.xpn.xwiki.objects.StringProperty
-3302589865837533320	name	com.xpn.xwiki.objects.StringProperty
-3302589865837533320	parameters	com.xpn.xwiki.objects.LargeStringProperty
-3302589865837533320	scope	com.xpn.xwiki.objects.StringProperty
-1116793825665508075	content	com.xpn.xwiki.objects.LargeStringProperty
-1116793825665508075	extensionPointId	com.xpn.xwiki.objects.StringProperty
-1116793825665508075	name	com.xpn.xwiki.objects.StringProperty
-1116793825665508075	parameters	com.xpn.xwiki.objects.LargeStringProperty
-1116793825665508075	scope	com.xpn.xwiki.objects.StringProperty
835703195384632547	content	com.xpn.xwiki.objects.LargeStringProperty
835703195384632547	extensionPointId	com.xpn.xwiki.objects.StringProperty
835703195384632547	name	com.xpn.xwiki.objects.StringProperty
835703195384632547	parameters	com.xpn.xwiki.objects.LargeStringProperty
835703195384632547	scope	com.xpn.xwiki.objects.StringProperty
1221012321705694459	allow	com.xpn.xwiki.objects.IntegerProperty
1221012321705694459	groups	com.xpn.xwiki.objects.LargeStringProperty
1221012321705694459	levels	com.xpn.xwiki.objects.StringProperty
1221012321705694459	users	com.xpn.xwiki.objects.LargeStringProperty
-2399305200795184451	cache	com.xpn.xwiki.objects.StringProperty
-2399305200795184451	code	com.xpn.xwiki.objects.LargeStringProperty
-2399305200795184451	name	com.xpn.xwiki.objects.StringProperty
-2399305200795184451	parse	com.xpn.xwiki.objects.IntegerProperty
-2399305200795184451	use	com.xpn.xwiki.objects.StringProperty
823381528089157115	cache	com.xpn.xwiki.objects.StringProperty
823381528089157115	code	com.xpn.xwiki.objects.LargeStringProperty
823381528089157115	name	com.xpn.xwiki.objects.StringProperty
823381528089157115	parse	com.xpn.xwiki.objects.IntegerProperty
823381528089157115	use	com.xpn.xwiki.objects.StringProperty
-7409454071592697738	cache	com.xpn.xwiki.objects.StringProperty
-7409454071592697738	code	com.xpn.xwiki.objects.LargeStringProperty
-7409454071592697738	name	com.xpn.xwiki.objects.StringProperty
-7409454071592697738	parse	com.xpn.xwiki.objects.IntegerProperty
-7409454071592697738	use	com.xpn.xwiki.objects.StringProperty
-5454183358517115625	cache	com.xpn.xwiki.objects.StringProperty
-5454183358517115625	code	com.xpn.xwiki.objects.LargeStringProperty
-5454183358517115625	name	com.xpn.xwiki.objects.StringProperty
-5454183358517115625	parse	com.xpn.xwiki.objects.IntegerProperty
-5454183358517115625	use	com.xpn.xwiki.objects.StringProperty
-7916399137393189490	cache	com.xpn.xwiki.objects.StringProperty
-7916399137393189490	code	com.xpn.xwiki.objects.LargeStringProperty
-7916399137393189490	name	com.xpn.xwiki.objects.StringProperty
-7916399137393189490	parse	com.xpn.xwiki.objects.IntegerProperty
-7916399137393189490	use	com.xpn.xwiki.objects.StringProperty
7601018475583364651	cache	com.xpn.xwiki.objects.StringProperty
7601018475583364651	code	com.xpn.xwiki.objects.LargeStringProperty
7601018475583364651	name	com.xpn.xwiki.objects.StringProperty
7601018475583364651	parse	com.xpn.xwiki.objects.IntegerProperty
7601018475583364651	use	com.xpn.xwiki.objects.StringProperty
2707485211712707399	cache	com.xpn.xwiki.objects.StringProperty
2707485211712707399	code	com.xpn.xwiki.objects.LargeStringProperty
2707485211712707399	name	com.xpn.xwiki.objects.StringProperty
2707485211712707399	parse	com.xpn.xwiki.objects.IntegerProperty
2707485211712707399	use	com.xpn.xwiki.objects.StringProperty
-2657345898464548869	content	com.xpn.xwiki.objects.LargeStringProperty
-2657345898464548869	extensionPointId	com.xpn.xwiki.objects.StringProperty
-2657345898464548869	name	com.xpn.xwiki.objects.StringProperty
-2657345898464548869	parameters	com.xpn.xwiki.objects.LargeStringProperty
-2657345898464548869	scope	com.xpn.xwiki.objects.StringProperty
-2171628826804657284	sheet	com.xpn.xwiki.objects.StringProperty
4549311866376089804	cache	com.xpn.xwiki.objects.StringProperty
4549311866376089804	code	com.xpn.xwiki.objects.LargeStringProperty
4549311866376089804	name	com.xpn.xwiki.objects.StringProperty
4549311866376089804	parse	com.xpn.xwiki.objects.IntegerProperty
4549311866376089804	use	com.xpn.xwiki.objects.StringProperty
-8338727530422061680	cache	com.xpn.xwiki.objects.StringProperty
-8338727530422061680	code	com.xpn.xwiki.objects.LargeStringProperty
-8338727530422061680	name	com.xpn.xwiki.objects.StringProperty
-8338727530422061680	parse	com.xpn.xwiki.objects.IntegerProperty
-8338727530422061680	use	com.xpn.xwiki.objects.StringProperty
-6481094477948054101	content	com.xpn.xwiki.objects.LargeStringProperty
-6481094477948054101	extensionPointId	com.xpn.xwiki.objects.StringProperty
-6481094477948054101	name	com.xpn.xwiki.objects.StringProperty
-6481094477948054101	parameters	com.xpn.xwiki.objects.LargeStringProperty
-6481094477948054101	scope	com.xpn.xwiki.objects.StringProperty
-5343433619853380891	cache	com.xpn.xwiki.objects.StringProperty
-5343433619853380891	code	com.xpn.xwiki.objects.LargeStringProperty
-5343433619853380891	name	com.xpn.xwiki.objects.StringProperty
-5343433619853380891	parse	com.xpn.xwiki.objects.IntegerProperty
-5343433619853380891	use	com.xpn.xwiki.objects.StringProperty
-5911728936807024833	cache	com.xpn.xwiki.objects.StringProperty
-5911728936807024833	code	com.xpn.xwiki.objects.LargeStringProperty
-5911728936807024833	contentType	com.xpn.xwiki.objects.StringProperty
-5911728936807024833	name	com.xpn.xwiki.objects.StringProperty
-5911728936807024833	parse	com.xpn.xwiki.objects.IntegerProperty
-5911728936807024833	use	com.xpn.xwiki.objects.StringProperty
-7303074617795149086	allow	com.xpn.xwiki.objects.IntegerProperty
-7303074617795149086	groups	com.xpn.xwiki.objects.LargeStringProperty
-7303074617795149086	levels	com.xpn.xwiki.objects.StringProperty
-7303074617795149086	users	com.xpn.xwiki.objects.LargeStringProperty
-6385201033440160936	baseskin	com.xpn.xwiki.objects.StringProperty
-6385201033440160936	edit.vm	com.xpn.xwiki.objects.LargeStringProperty
-6385201033440160936	footer.vm	com.xpn.xwiki.objects.LargeStringProperty
-6385201033440160936	header.vm	com.xpn.xwiki.objects.LargeStringProperty
-6385201033440160936	logo	com.xpn.xwiki.objects.StringProperty
-6385201033440160936	name	com.xpn.xwiki.objects.StringProperty
-6385201033440160936	outputSyntax	com.xpn.xwiki.objects.StringProperty
-6385201033440160936	style.css	com.xpn.xwiki.objects.LargeStringProperty
-6385201033440160936	view.vm	com.xpn.xwiki.objects.LargeStringProperty
-6385201033440160936	viewheader.vm	com.xpn.xwiki.objects.LargeStringProperty
-5093485818302672279	allow	com.xpn.xwiki.objects.IntegerProperty
-5093485818302672279	groups	com.xpn.xwiki.objects.LargeStringProperty
-5093485818302672279	levels	com.xpn.xwiki.objects.StringProperty
-5093485818302672279	users	com.xpn.xwiki.objects.LargeStringProperty
4573373488719209179	baseskin	com.xpn.xwiki.objects.StringProperty
4573373488719209179	edit.vm	com.xpn.xwiki.objects.LargeStringProperty
4573373488719209179	footer.vm	com.xpn.xwiki.objects.LargeStringProperty
4573373488719209179	header.vm	com.xpn.xwiki.objects.LargeStringProperty
4573373488719209179	logo	com.xpn.xwiki.objects.StringProperty
4573373488719209179	name	com.xpn.xwiki.objects.StringProperty
4573373488719209179	style.css	com.xpn.xwiki.objects.LargeStringProperty
4573373488719209179	view.vm	com.xpn.xwiki.objects.LargeStringProperty
4573373488719209179	viewheader.vm	com.xpn.xwiki.objects.LargeStringProperty
-6950051007663280108	cache	com.xpn.xwiki.objects.StringProperty
-6950051007663280108	code	com.xpn.xwiki.objects.LargeStringProperty
-6950051007663280108	name	com.xpn.xwiki.objects.StringProperty
-6950051007663280108	parse	com.xpn.xwiki.objects.IntegerProperty
-6950051007663280108	use	com.xpn.xwiki.objects.StringProperty
-4070038678022651157	allow	com.xpn.xwiki.objects.IntegerProperty
-4070038678022651157	groups	com.xpn.xwiki.objects.LargeStringProperty
-4070038678022651157	levels	com.xpn.xwiki.objects.StringProperty
-4070038678022651157	users	com.xpn.xwiki.objects.LargeStringProperty
5467926099341538842	allow	com.xpn.xwiki.objects.IntegerProperty
5467926099341538842	groups	com.xpn.xwiki.objects.LargeStringProperty
5467926099341538842	levels	com.xpn.xwiki.objects.StringProperty
5467926099341538842	users	com.xpn.xwiki.objects.LargeStringProperty
-7460178172420719285	backgroundSecondaryColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	borderColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	buttonPrimaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	buttonPrimaryGradientColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	buttonPrimaryTextColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	buttonSecondaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	buttonSecondaryGradientColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	buttonSecondaryTextColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	headerBackgroundImage	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	headerBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	highlightColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	linkColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	logoImage	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	menuAddEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	menuAddEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	menuBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	menuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	menuContentGradientColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	menuContentLinkColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	menuGradientColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	menuLinkColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	menuSelectedEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	menuSelectedEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	notificationErrorColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	notificationInfoColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	notificationSuccessColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	notificationWarningColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	pageBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	pageBackgroundImage	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	pageBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	pageContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	pageHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	panelBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	panelCollapsedBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	panelCollapsedGradientColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	panelCollapsedTextColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	panelHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	panelHeaderGradientColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	panelHeaderTextColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	panelTextColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	submenuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	textColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	textPrimaryColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	textSecondaryColor	com.xpn.xwiki.objects.StringProperty
-7460178172420719285	titleColor	com.xpn.xwiki.objects.StringProperty
-4470827524973375705	allow	com.xpn.xwiki.objects.IntegerProperty
-4470827524973375705	groups	com.xpn.xwiki.objects.LargeStringProperty
-4470827524973375705	levels	com.xpn.xwiki.objects.StringProperty
-4470827524973375705	users	com.xpn.xwiki.objects.LargeStringProperty
7087551410755395893	backgroundSecondaryColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	borderColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	buttonPrimaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	buttonPrimaryGradientColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	buttonPrimaryTextColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	buttonSecondaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	buttonSecondaryGradientColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	buttonSecondaryTextColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	headerBackgroundImage	com.xpn.xwiki.objects.StringProperty
7087551410755395893	headerBackgroundPosition	com.xpn.xwiki.objects.StringProperty
7087551410755395893	highlightColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	linkColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	logoImage	com.xpn.xwiki.objects.StringProperty
7087551410755395893	menuAddEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	menuAddEntryLinkColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	menuBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	menuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	menuContentGradientColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	menuContentLinkColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	menuGradientColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	menuLinkColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	menuSelectedEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	menuSelectedEntryLinkColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	pageBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	pageBackgroundImage	com.xpn.xwiki.objects.StringProperty
7087551410755395893	pageBackgroundPosition	com.xpn.xwiki.objects.StringProperty
7087551410755395893	pageContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	pageHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	panelBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	panelCollapsedBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	panelCollapsedGradientColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	panelCollapsedTextColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	panelHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	panelHeaderGradientColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	panelHeaderTextColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	panelTextColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	submenuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	textColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	textPrimaryColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	textSecondaryColor	com.xpn.xwiki.objects.StringProperty
7087551410755395893	titleColor	com.xpn.xwiki.objects.StringProperty
-4919157053708043757	allow	com.xpn.xwiki.objects.IntegerProperty
-4919157053708043757	groups	com.xpn.xwiki.objects.LargeStringProperty
-4919157053708043757	levels	com.xpn.xwiki.objects.StringProperty
-4919157053708043757	users	com.xpn.xwiki.objects.LargeStringProperty
-7481069179918326163	backgroundSecondaryColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	borderColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	buttonPrimaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	buttonPrimaryGradientColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	buttonPrimaryTextColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	buttonSecondaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	buttonSecondaryGradientColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	buttonSecondaryTextColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	fieldGradientColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	headerBackgroundImage	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	headerBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	highlightColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	linkColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	logoImage	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	menuAddEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	menuAddEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	menuBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	menuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	menuContentGradientColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	menuContentLinkColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	menuGradientColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	menuLinkColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	menuSelectedEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	menuSelectedEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	notificationErrorColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	notificationInfoColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	notificationSuccessColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	notificationWarningColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	pageBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	pageBackgroundImage	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	pageBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	pageContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	pageHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	panelBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	panelCollapsedBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	panelCollapsedGradientColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	panelCollapsedTextColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	panelHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	panelHeaderGradientColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	panelHeaderTextColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	panelTextColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	submenuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	textColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	textPrimaryColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	textSecondaryColor	com.xpn.xwiki.objects.StringProperty
-7481069179918326163	titleColor	com.xpn.xwiki.objects.StringProperty
8347436934581074556	cache	com.xpn.xwiki.objects.StringProperty
8347436934581074556	code	com.xpn.xwiki.objects.LargeStringProperty
8347436934581074556	name	com.xpn.xwiki.objects.StringProperty
8347436934581074556	parse	com.xpn.xwiki.objects.IntegerProperty
8347436934581074556	use	com.xpn.xwiki.objects.StringProperty
1699721016323068707	allow	com.xpn.xwiki.objects.IntegerProperty
1699721016323068707	groups	com.xpn.xwiki.objects.LargeStringProperty
1699721016323068707	levels	com.xpn.xwiki.objects.StringProperty
1699721016323068707	users	com.xpn.xwiki.objects.LargeStringProperty
-8983782906522536529	backgroundSecondaryColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	borderColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	buttonPrimaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	buttonPrimaryGradientColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	buttonPrimaryTextColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	buttonSecondaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	buttonSecondaryGradientColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	buttonSecondaryTextColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	fieldGradientColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	headerBackgroundImage	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	headerBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	highlightColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	linkColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	logoImage	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	menuAddEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	menuAddEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	menuBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	menuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	menuContentGradientColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	menuContentLinkColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	menuGradientColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	menuLinkColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	menuSelectedEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	menuSelectedEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	notificationErrorColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	notificationInfoColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	notificationSuccessColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	notificationWarningColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	pageBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	pageBackgroundImage	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	pageBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	pageContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	pageHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	panelBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	panelCollapsedBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	panelCollapsedGradientColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	panelCollapsedTextColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	panelHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	panelHeaderGradientColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	panelHeaderTextColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	panelTextColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	submenuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	textColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	textPrimaryColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	textSecondaryColor	com.xpn.xwiki.objects.StringProperty
-8983782906522536529	titleColor	com.xpn.xwiki.objects.StringProperty
-8612909099128072630	cache	com.xpn.xwiki.objects.StringProperty
-8612909099128072630	code	com.xpn.xwiki.objects.LargeStringProperty
-8612909099128072630	name	com.xpn.xwiki.objects.StringProperty
-8612909099128072630	parse	com.xpn.xwiki.objects.IntegerProperty
-8612909099128072630	use	com.xpn.xwiki.objects.StringProperty
-3152014185615537482	allow	com.xpn.xwiki.objects.IntegerProperty
-3152014185615537482	groups	com.xpn.xwiki.objects.LargeStringProperty
-3152014185615537482	levels	com.xpn.xwiki.objects.StringProperty
-3152014185615537482	users	com.xpn.xwiki.objects.LargeStringProperty
4560887933952432789	backgroundSecondaryColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	borderColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	buttonPrimaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	buttonPrimaryGradientColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	buttonPrimaryTextColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	buttonSecondaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	buttonSecondaryGradientColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	buttonSecondaryTextColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	fieldGradientColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	headerBackgroundImage	com.xpn.xwiki.objects.StringProperty
4560887933952432789	headerBackgroundPosition	com.xpn.xwiki.objects.StringProperty
4560887933952432789	highlightColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	linkColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	logoImage	com.xpn.xwiki.objects.StringProperty
4560887933952432789	menuAddEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	menuAddEntryLinkColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	menuBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	menuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	menuContentGradientColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	menuContentLinkColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	menuGradientColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	menuLinkColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	menuSelectedEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	menuSelectedEntryLinkColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	notificationErrorColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	notificationInfoColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	notificationSuccessColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	notificationWarningColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	pageBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	pageBackgroundImage	com.xpn.xwiki.objects.StringProperty
4560887933952432789	pageBackgroundPosition	com.xpn.xwiki.objects.StringProperty
4560887933952432789	pageContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	pageHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	panelBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	panelCollapsedBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	panelCollapsedGradientColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	panelCollapsedTextColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	panelHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	panelHeaderGradientColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	panelHeaderTextColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	panelTextColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	submenuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	textColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	textPrimaryColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	textSecondaryColor	com.xpn.xwiki.objects.StringProperty
4560887933952432789	titleColor	com.xpn.xwiki.objects.StringProperty
-5347471842214447649	allow	com.xpn.xwiki.objects.IntegerProperty
-5347471842214447649	groups	com.xpn.xwiki.objects.LargeStringProperty
-5347471842214447649	levels	com.xpn.xwiki.objects.StringProperty
-5347471842214447649	users	com.xpn.xwiki.objects.LargeStringProperty
-1595455752697383687	backgroundSecondaryColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	borderColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	buttonPrimaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	buttonPrimaryGradientColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	buttonPrimaryTextColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	buttonSecondaryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	buttonSecondaryGradientColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	buttonSecondaryTextColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	headerBackgroundImage	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	headerBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	highlightColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	linkColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	logoImage	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	menuAddEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	menuAddEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	menuBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	menuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	menuContentGradientColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	menuContentLinkColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	menuGradientColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	menuLinkColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	menuSelectedEntryBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	menuSelectedEntryLinkColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	pageBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	pageBackgroundImage	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	pageBackgroundPosition	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	pageContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	pageHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	panelBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	panelCollapsedBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	panelCollapsedGradientColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	panelCollapsedTextColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	panelHeaderBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	panelHeaderGradientColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	panelHeaderTextColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	panelTextColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	submenuContentBackgroundColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	textColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	textPrimaryColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	textSecondaryColor	com.xpn.xwiki.objects.StringProperty
-1595455752697383687	titleColor	com.xpn.xwiki.objects.StringProperty
-6403795007650089389	allow	com.xpn.xwiki.objects.IntegerProperty
-6403795007650089389	groups	com.xpn.xwiki.objects.LargeStringProperty
-6403795007650089389	levels	com.xpn.xwiki.objects.StringProperty
-6403795007650089389	users	com.xpn.xwiki.objects.LargeStringProperty
1722615445707298589	content	com.xpn.xwiki.objects.LargeStringProperty
1722615445707298589	extensionPointId	com.xpn.xwiki.objects.StringProperty
1722615445707298589	name	com.xpn.xwiki.objects.StringProperty
1722615445707298589	parameters	com.xpn.xwiki.objects.LargeStringProperty
1722615445707298589	scope	com.xpn.xwiki.objects.StringProperty
2057799063539361021	content	com.xpn.xwiki.objects.LargeStringProperty
2057799063539361021	extensionPointId	com.xpn.xwiki.objects.StringProperty
2057799063539361021	name	com.xpn.xwiki.objects.StringProperty
2057799063539361021	parameters	com.xpn.xwiki.objects.LargeStringProperty
2057799063539361021	scope	com.xpn.xwiki.objects.StringProperty
2181430748800771902	content	com.xpn.xwiki.objects.LargeStringProperty
2181430748800771902	extensionPointId	com.xpn.xwiki.objects.StringProperty
2181430748800771902	name	com.xpn.xwiki.objects.StringProperty
2181430748800771902	parameters	com.xpn.xwiki.objects.LargeStringProperty
2181430748800771902	scope	com.xpn.xwiki.objects.StringProperty
1722652126108119459	content	com.xpn.xwiki.objects.LargeStringProperty
1722652126108119459	extensionPointId	com.xpn.xwiki.objects.StringProperty
1722652126108119459	name	com.xpn.xwiki.objects.StringProperty
1722652126108119459	parameters	com.xpn.xwiki.objects.LargeStringProperty
1722652126108119459	scope	com.xpn.xwiki.objects.StringProperty
923624607272235607	sheet	com.xpn.xwiki.objects.StringProperty
-2872393592263754776	sheet	com.xpn.xwiki.objects.StringProperty
2739420286846870014	cache	com.xpn.xwiki.objects.StringProperty
2739420286846870014	code	com.xpn.xwiki.objects.LargeStringProperty
2739420286846870014	name	com.xpn.xwiki.objects.StringProperty
2739420286846870014	parse	com.xpn.xwiki.objects.IntegerProperty
2739420286846870014	use	com.xpn.xwiki.objects.StringProperty
-4066849639251503145	cache	com.xpn.xwiki.objects.StringProperty
-4066849639251503145	code	com.xpn.xwiki.objects.LargeStringProperty
-4066849639251503145	name	com.xpn.xwiki.objects.StringProperty
-4066849639251503145	parse	com.xpn.xwiki.objects.IntegerProperty
-4066849639251503145	use	com.xpn.xwiki.objects.StringProperty
-5133891471780726474	description	com.xpn.xwiki.objects.LargeStringProperty
844134387371561617	description	com.xpn.xwiki.objects.LargeStringProperty
-7079714043964720575	cache	com.xpn.xwiki.objects.StringProperty
-7079714043964720575	code	com.xpn.xwiki.objects.LargeStringProperty
-7079714043964720575	name	com.xpn.xwiki.objects.StringProperty
-7079714043964720575	parse	com.xpn.xwiki.objects.IntegerProperty
-7079714043964720575	use	com.xpn.xwiki.objects.StringProperty
6295424548260315080	cache	com.xpn.xwiki.objects.StringProperty
6295424548260315080	code	com.xpn.xwiki.objects.LargeStringProperty
6295424548260315080	name	com.xpn.xwiki.objects.StringProperty
6295424548260315080	parse	com.xpn.xwiki.objects.IntegerProperty
6295424548260315080	use	com.xpn.xwiki.objects.StringProperty
6529430516254183794	cache	com.xpn.xwiki.objects.StringProperty
6529430516254183794	code	com.xpn.xwiki.objects.LargeStringProperty
6529430516254183794	name	com.xpn.xwiki.objects.StringProperty
6529430516254183794	parse	com.xpn.xwiki.objects.IntegerProperty
6529430516254183794	use	com.xpn.xwiki.objects.StringProperty
-3085580127925242763	cache	com.xpn.xwiki.objects.StringProperty
-3085580127925242763	code	com.xpn.xwiki.objects.LargeStringProperty
-3085580127925242763	name	com.xpn.xwiki.objects.StringProperty
-3085580127925242763	parse	com.xpn.xwiki.objects.IntegerProperty
-3085580127925242763	use	com.xpn.xwiki.objects.StringProperty
8773870381975704130	description	com.xpn.xwiki.objects.LargeStringProperty
-156395709663949507	content	com.xpn.xwiki.objects.LargeStringProperty
-156395709663949507	extensionPointId	com.xpn.xwiki.objects.StringProperty
-156395709663949507	name	com.xpn.xwiki.objects.StringProperty
-156395709663949507	parameters	com.xpn.xwiki.objects.LargeStringProperty
-156395709663949507	scope	com.xpn.xwiki.objects.StringProperty
3944040389392955071	sheet	com.xpn.xwiki.objects.StringProperty
4391400638661747159	content	com.xpn.xwiki.objects.LargeStringProperty
4391400638661747159	extensionPointId	com.xpn.xwiki.objects.StringProperty
4391400638661747159	name	com.xpn.xwiki.objects.StringProperty
4391400638661747159	parameters	com.xpn.xwiki.objects.LargeStringProperty
4391400638661747159	scope	com.xpn.xwiki.objects.StringProperty
-1098646284755533130	content	com.xpn.xwiki.objects.LargeStringProperty
-1098646284755533130	extensionPointId	com.xpn.xwiki.objects.StringProperty
-1098646284755533130	name	com.xpn.xwiki.objects.StringProperty
-1098646284755533130	parameters	com.xpn.xwiki.objects.LargeStringProperty
-1098646284755533130	scope	com.xpn.xwiki.objects.StringProperty
-4180717956669538269	content	com.xpn.xwiki.objects.LargeStringProperty
-4180717956669538269	extensionPointId	com.xpn.xwiki.objects.StringProperty
-4180717956669538269	name	com.xpn.xwiki.objects.StringProperty
-4180717956669538269	parameters	com.xpn.xwiki.objects.LargeStringProperty
-4180717956669538269	scope	com.xpn.xwiki.objects.StringProperty
-8913398776091479712	content	com.xpn.xwiki.objects.LargeStringProperty
-8913398776091479712	extensionPointId	com.xpn.xwiki.objects.StringProperty
-8913398776091479712	name	com.xpn.xwiki.objects.StringProperty
-8913398776091479712	parameters	com.xpn.xwiki.objects.LargeStringProperty
-8913398776091479712	scope	com.xpn.xwiki.objects.StringProperty
-1036706414952163240	content	com.xpn.xwiki.objects.LargeStringProperty
-1036706414952163240	extensionPointId	com.xpn.xwiki.objects.StringProperty
-1036706414952163240	name	com.xpn.xwiki.objects.StringProperty
-1036706414952163240	parameters	com.xpn.xwiki.objects.LargeStringProperty
-1036706414952163240	scope	com.xpn.xwiki.objects.StringProperty
1745400825667077915	cache	com.xpn.xwiki.objects.StringProperty
1745400825667077915	code	com.xpn.xwiki.objects.LargeStringProperty
1745400825667077915	name	com.xpn.xwiki.objects.StringProperty
1745400825667077915	parse	com.xpn.xwiki.objects.IntegerProperty
1745400825667077915	use	com.xpn.xwiki.objects.StringProperty
-5413791625578606682	content	com.xpn.xwiki.objects.LargeStringProperty
-5413791625578606682	extensionPointId	com.xpn.xwiki.objects.StringProperty
-5413791625578606682	name	com.xpn.xwiki.objects.StringProperty
-5413791625578606682	parameters	com.xpn.xwiki.objects.LargeStringProperty
-5413791625578606682	scope	com.xpn.xwiki.objects.StringProperty
-2676025870266436945	cache	com.xpn.xwiki.objects.StringProperty
-2676025870266436945	code	com.xpn.xwiki.objects.LargeStringProperty
-2676025870266436945	name	com.xpn.xwiki.objects.StringProperty
-2676025870266436945	parse	com.xpn.xwiki.objects.IntegerProperty
-2676025870266436945	use	com.xpn.xwiki.objects.StringProperty
1589205948959054510	cache	com.xpn.xwiki.objects.StringProperty
1589205948959054510	code	com.xpn.xwiki.objects.LargeStringProperty
1589205948959054510	name	com.xpn.xwiki.objects.StringProperty
1589205948959054510	parse	com.xpn.xwiki.objects.IntegerProperty
1589205948959054510	use	com.xpn.xwiki.objects.StringProperty
-292098650624942187	cache	com.xpn.xwiki.objects.StringProperty
-292098650624942187	code	com.xpn.xwiki.objects.LargeStringProperty
-292098650624942187	name	com.xpn.xwiki.objects.StringProperty
-292098650624942187	parse	com.xpn.xwiki.objects.IntegerProperty
-292098650624942187	use	com.xpn.xwiki.objects.StringProperty
-1548304891250386851	content	com.xpn.xwiki.objects.LargeStringProperty
-1548304891250386851	extensionPointId	com.xpn.xwiki.objects.StringProperty
-1548304891250386851	name	com.xpn.xwiki.objects.StringProperty
-1548304891250386851	parameters	com.xpn.xwiki.objects.LargeStringProperty
-1548304891250386851	scope	com.xpn.xwiki.objects.StringProperty
-507856605642471160	content	com.xpn.xwiki.objects.LargeStringProperty
-507856605642471160	extensionPointId	com.xpn.xwiki.objects.StringProperty
-507856605642471160	name	com.xpn.xwiki.objects.StringProperty
-507856605642471160	parameters	com.xpn.xwiki.objects.LargeStringProperty
-507856605642471160	scope	com.xpn.xwiki.objects.StringProperty
110755453634907383	content	com.xpn.xwiki.objects.LargeStringProperty
110755453634907383	extensionPointId	com.xpn.xwiki.objects.StringProperty
110755453634907383	name	com.xpn.xwiki.objects.StringProperty
110755453634907383	parameters	com.xpn.xwiki.objects.LargeStringProperty
110755453634907383	scope	com.xpn.xwiki.objects.StringProperty
-5096871906417101995	content	com.xpn.xwiki.objects.LargeStringProperty
-5096871906417101995	extensionPointId	com.xpn.xwiki.objects.StringProperty
-5096871906417101995	name	com.xpn.xwiki.objects.StringProperty
-5096871906417101995	parameters	com.xpn.xwiki.objects.LargeStringProperty
-5096871906417101995	scope	com.xpn.xwiki.objects.StringProperty
-4472210235605638364	cache	com.xpn.xwiki.objects.StringProperty
-4472210235605638364	code	com.xpn.xwiki.objects.LargeStringProperty
-4472210235605638364	name	com.xpn.xwiki.objects.StringProperty
-4472210235605638364	parse	com.xpn.xwiki.objects.IntegerProperty
-4472210235605638364	use	com.xpn.xwiki.objects.StringProperty
140270767052048382	cache	com.xpn.xwiki.objects.StringProperty
140270767052048382	code	com.xpn.xwiki.objects.LargeStringProperty
140270767052048382	name	com.xpn.xwiki.objects.StringProperty
140270767052048382	parse	com.xpn.xwiki.objects.IntegerProperty
140270767052048382	use	com.xpn.xwiki.objects.StringProperty
5438551172213685513	content	com.xpn.xwiki.objects.LargeStringProperty
5438551172213685513	extensionPointId	com.xpn.xwiki.objects.StringProperty
5438551172213685513	name	com.xpn.xwiki.objects.StringProperty
5438551172213685513	parameters	com.xpn.xwiki.objects.LargeStringProperty
5438551172213685513	scope	com.xpn.xwiki.objects.StringProperty
1240644555127670220	content	com.xpn.xwiki.objects.LargeStringProperty
1240644555127670220	extensionPointId	com.xpn.xwiki.objects.StringProperty
1240644555127670220	name	com.xpn.xwiki.objects.StringProperty
1240644555127670220	parameters	com.xpn.xwiki.objects.LargeStringProperty
1240644555127670220	scope	com.xpn.xwiki.objects.StringProperty
-3478887088785183937	content	com.xpn.xwiki.objects.LargeStringProperty
-3478887088785183937	extensionPointId	com.xpn.xwiki.objects.StringProperty
-3478887088785183937	name	com.xpn.xwiki.objects.StringProperty
-3478887088785183937	parameters	com.xpn.xwiki.objects.LargeStringProperty
-3478887088785183937	scope	com.xpn.xwiki.objects.StringProperty
-976918384487463105	content	com.xpn.xwiki.objects.LargeStringProperty
-976918384487463105	extensionPointId	com.xpn.xwiki.objects.StringProperty
-976918384487463105	name	com.xpn.xwiki.objects.StringProperty
-976918384487463105	parameters	com.xpn.xwiki.objects.LargeStringProperty
-976918384487463105	scope	com.xpn.xwiki.objects.StringProperty
-6371114286152634390	cache	com.xpn.xwiki.objects.StringProperty
-6371114286152634390	code	com.xpn.xwiki.objects.LargeStringProperty
-6371114286152634390	name	com.xpn.xwiki.objects.StringProperty
-6371114286152634390	parse	com.xpn.xwiki.objects.IntegerProperty
-6371114286152634390	use	com.xpn.xwiki.objects.StringProperty
2637663411216547790	cache	com.xpn.xwiki.objects.StringProperty
2637663411216547790	code	com.xpn.xwiki.objects.LargeStringProperty
2637663411216547790	name	com.xpn.xwiki.objects.StringProperty
2637663411216547790	parse	com.xpn.xwiki.objects.IntegerProperty
2637663411216547790	use	com.xpn.xwiki.objects.StringProperty
1060398250106611517	cache	com.xpn.xwiki.objects.StringProperty
1060398250106611517	code	com.xpn.xwiki.objects.LargeStringProperty
1060398250106611517	name	com.xpn.xwiki.objects.StringProperty
1060398250106611517	parse	com.xpn.xwiki.objects.IntegerProperty
1060398250106611517	use	com.xpn.xwiki.objects.StringProperty
-294279599611314197	cache	com.xpn.xwiki.objects.StringProperty
-294279599611314197	code	com.xpn.xwiki.objects.LargeStringProperty
-294279599611314197	name	com.xpn.xwiki.objects.StringProperty
-294279599611314197	parse	com.xpn.xwiki.objects.IntegerProperty
-294279599611314197	use	com.xpn.xwiki.objects.StringProperty
-9052874784795951139	cache	com.xpn.xwiki.objects.StringProperty
-9052874784795951139	code	com.xpn.xwiki.objects.LargeStringProperty
-9052874784795951139	name	com.xpn.xwiki.objects.StringProperty
-9052874784795951139	parse	com.xpn.xwiki.objects.IntegerProperty
-9052874784795951139	use	com.xpn.xwiki.objects.StringProperty
-1510750888240503256	cache	com.xpn.xwiki.objects.StringProperty
-1510750888240503256	code	com.xpn.xwiki.objects.LargeStringProperty
-1510750888240503256	name	com.xpn.xwiki.objects.StringProperty
-1510750888240503256	parse	com.xpn.xwiki.objects.IntegerProperty
-1510750888240503256	use	com.xpn.xwiki.objects.StringProperty
3318223183939778041	cache	com.xpn.xwiki.objects.StringProperty
3318223183939778041	code	com.xpn.xwiki.objects.LargeStringProperty
3318223183939778041	name	com.xpn.xwiki.objects.StringProperty
3318223183939778041	parse	com.xpn.xwiki.objects.IntegerProperty
3318223183939778041	use	com.xpn.xwiki.objects.StringProperty
-2977641234833990010	cache	com.xpn.xwiki.objects.StringProperty
-2977641234833990010	code	com.xpn.xwiki.objects.LargeStringProperty
-2977641234833990010	name	com.xpn.xwiki.objects.StringProperty
-2977641234833990010	parse	com.xpn.xwiki.objects.IntegerProperty
-2977641234833990010	use	com.xpn.xwiki.objects.StringProperty
-1317365487173417600	cache	com.xpn.xwiki.objects.StringProperty
-1317365487173417600	code	com.xpn.xwiki.objects.LargeStringProperty
-1317365487173417600	name	com.xpn.xwiki.objects.StringProperty
-1317365487173417600	parse	com.xpn.xwiki.objects.IntegerProperty
-1317365487173417600	use	com.xpn.xwiki.objects.StringProperty
8764761973697635701	cache	com.xpn.xwiki.objects.StringProperty
8764761973697635701	code	com.xpn.xwiki.objects.LargeStringProperty
8764761973697635701	name	com.xpn.xwiki.objects.StringProperty
8764761973697635701	parse	com.xpn.xwiki.objects.IntegerProperty
8764761973697635701	use	com.xpn.xwiki.objects.StringProperty
3838320918857368184	cache	com.xpn.xwiki.objects.StringProperty
3838320918857368184	code	com.xpn.xwiki.objects.LargeStringProperty
3838320918857368184	name	com.xpn.xwiki.objects.StringProperty
3838320918857368184	parse	com.xpn.xwiki.objects.IntegerProperty
3838320918857368184	use	com.xpn.xwiki.objects.StringProperty
-2788095431523390073	cache	com.xpn.xwiki.objects.StringProperty
-2788095431523390073	code	com.xpn.xwiki.objects.LargeStringProperty
-2788095431523390073	name	com.xpn.xwiki.objects.StringProperty
-2788095431523390073	parse	com.xpn.xwiki.objects.IntegerProperty
-2788095431523390073	use	com.xpn.xwiki.objects.StringProperty
8074666911626387884	footer	com.xpn.xwiki.objects.LargeStringProperty
8074666911626387884	fopxsl	com.xpn.xwiki.objects.LargeStringProperty
8074666911626387884	header	com.xpn.xwiki.objects.LargeStringProperty
8074666911626387884	style	com.xpn.xwiki.objects.LargeStringProperty
8074666911626387884	xhtmlxsl	com.xpn.xwiki.objects.LargeStringProperty
-6481727310521510162	cache	com.xpn.xwiki.objects.StringProperty
-6481727310521510162	code	com.xpn.xwiki.objects.LargeStringProperty
-6481727310521510162	name	com.xpn.xwiki.objects.StringProperty
-6481727310521510162	parse	com.xpn.xwiki.objects.IntegerProperty
-6481727310521510162	use	com.xpn.xwiki.objects.StringProperty
-7388137781914369781	cache	com.xpn.xwiki.objects.StringProperty
-7388137781914369781	code	com.xpn.xwiki.objects.LargeStringProperty
-7388137781914369781	name	com.xpn.xwiki.objects.StringProperty
-7388137781914369781	parse	com.xpn.xwiki.objects.IntegerProperty
-7388137781914369781	use	com.xpn.xwiki.objects.StringProperty
-2870840246959512782	cache	com.xpn.xwiki.objects.StringProperty
-2870840246959512782	code	com.xpn.xwiki.objects.LargeStringProperty
-2870840246959512782	contentType	com.xpn.xwiki.objects.StringProperty
-2870840246959512782	name	com.xpn.xwiki.objects.StringProperty
-2870840246959512782	parse	com.xpn.xwiki.objects.IntegerProperty
-2870840246959512782	use	com.xpn.xwiki.objects.StringProperty
-9075091576080308657	cache	com.xpn.xwiki.objects.StringProperty
-9075091576080308657	code	com.xpn.xwiki.objects.LargeStringProperty
-9075091576080308657	name	com.xpn.xwiki.objects.StringProperty
-9075091576080308657	parse	com.xpn.xwiki.objects.IntegerProperty
-9075091576080308657	use	com.xpn.xwiki.objects.StringProperty
8941872134116103063	cache	com.xpn.xwiki.objects.StringProperty
8941872134116103063	code	com.xpn.xwiki.objects.LargeStringProperty
8941872134116103063	name	com.xpn.xwiki.objects.StringProperty
8941872134116103063	parse	com.xpn.xwiki.objects.IntegerProperty
8941872134116103063	use	com.xpn.xwiki.objects.StringProperty
203962400083476626	content	com.xpn.xwiki.objects.LargeStringProperty
203962400083476626	extensionPointId	com.xpn.xwiki.objects.StringProperty
203962400083476626	name	com.xpn.xwiki.objects.StringProperty
203962400083476626	parameters	com.xpn.xwiki.objects.LargeStringProperty
203962400083476626	scope	com.xpn.xwiki.objects.StringProperty
8554973203633654227	content	com.xpn.xwiki.objects.LargeStringProperty
8554973203633654227	extensionPointId	com.xpn.xwiki.objects.StringProperty
8554973203633654227	name	com.xpn.xwiki.objects.StringProperty
8554973203633654227	parameters	com.xpn.xwiki.objects.LargeStringProperty
8554973203633654227	scope	com.xpn.xwiki.objects.StringProperty
-1660613253161046934	content	com.xpn.xwiki.objects.LargeStringProperty
-1660613253161046934	extensionPointId	com.xpn.xwiki.objects.StringProperty
-1660613253161046934	name	com.xpn.xwiki.objects.StringProperty
-1660613253161046934	parameters	com.xpn.xwiki.objects.LargeStringProperty
-1660613253161046934	scope	com.xpn.xwiki.objects.StringProperty
5609576143747348822	apgar1	com.xpn.xwiki.objects.StringProperty
5609576143747348822	apgar5	com.xpn.xwiki.objects.StringProperty
5609576143747348822	date_of_birth	com.xpn.xwiki.objects.DateProperty
5609576143747348822	date_of_birth_entered	com.xpn.xwiki.objects.StringProperty
5609576143747348822	date_of_death	com.xpn.xwiki.objects.DateProperty
5609576143747348822	date_of_death_entered	com.xpn.xwiki.objects.StringProperty
5609576143747348822	diagnosis_notes	com.xpn.xwiki.objects.LargeStringProperty
5609576143747348822	exam_date	com.xpn.xwiki.objects.DateProperty
5609576143747348822	extended_negative_phenotype	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	extended_negative_prenatal_phenotype	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	extended_phenotype	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	extended_prenatal_phenotype	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	external_id	com.xpn.xwiki.objects.StringProperty
5609576143747348822	family_history	com.xpn.xwiki.objects.LargeStringProperty
5609576143747348822	family_of	com.xpn.xwiki.objects.StringProperty
5609576143747348822	first_name	com.xpn.xwiki.objects.StringProperty
5609576143747348822	gender	com.xpn.xwiki.objects.StringProperty
5609576143747348822	gestation	com.xpn.xwiki.objects.IntegerProperty
5609576143747348822	global_age_of_onset	com.xpn.xwiki.objects.StringProperty
5609576143747348822	global_mode_of_inheritance	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	health_card	com.xpn.xwiki.objects.StringProperty
5609576143747348822	identifier	com.xpn.xwiki.objects.LongProperty
5609576143747348822	indication_for_referral	com.xpn.xwiki.objects.LargeStringProperty
5609576143747348822	last_name	com.xpn.xwiki.objects.StringProperty
5609576143747348822	maternal_ethnicity	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	medical_history	com.xpn.xwiki.objects.LargeStringProperty
5609576143747348822	negative_phenotype	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	negative_prenatal_phenotype	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	omim_id	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	paternal_ethnicity	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	pedigree	com.xpn.xwiki.objects.StringProperty
5609576143747348822	phenotype	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	prenatal_development	com.xpn.xwiki.objects.LargeStringProperty
5609576143747348822	prenatal_phenotype	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	proband	com.xpn.xwiki.objects.IntegerProperty
5609576143747348822	reports_history	com.xpn.xwiki.objects.DBStringListProperty
5609576143747348822	solved	com.xpn.xwiki.objects.IntegerProperty
5609576143747348822	solved__gene_id	com.xpn.xwiki.objects.StringProperty
5609576143747348822	solved__notes	com.xpn.xwiki.objects.LargeStringProperty
5609576143747348822	solved__pubmed_id	com.xpn.xwiki.objects.StringProperty
5609576143747348822	unaffected	com.xpn.xwiki.objects.IntegerProperty
8945688276831170559	data	com.xpn.xwiki.objects.LargeStringProperty
8945688276831170559	description	com.xpn.xwiki.objects.LargeStringProperty
8945688276831170559	image	com.xpn.xwiki.objects.LargeStringProperty
-1688306265438928416	visibility	com.xpn.xwiki.objects.StringProperty
3923990827706018899	content	com.xpn.xwiki.objects.LargeStringProperty
3923990827706018899	extensionPointId	com.xpn.xwiki.objects.StringProperty
3923990827706018899	name	com.xpn.xwiki.objects.StringProperty
3923990827706018899	parameters	com.xpn.xwiki.objects.LargeStringProperty
3923990827706018899	scope	com.xpn.xwiki.objects.StringProperty
8434677893931049112	content	com.xpn.xwiki.objects.LargeStringProperty
8434677893931049112	extensionPointId	com.xpn.xwiki.objects.StringProperty
8434677893931049112	name	com.xpn.xwiki.objects.StringProperty
8434677893931049112	parameters	com.xpn.xwiki.objects.LargeStringProperty
8434677893931049112	scope	com.xpn.xwiki.objects.StringProperty
7828773430998734372	content	com.xpn.xwiki.objects.LargeStringProperty
7828773430998734372	extensionPointId	com.xpn.xwiki.objects.StringProperty
7828773430998734372	name	com.xpn.xwiki.objects.StringProperty
7828773430998734372	parameters	com.xpn.xwiki.objects.LargeStringProperty
7828773430998734372	scope	com.xpn.xwiki.objects.StringProperty
3976041187894402198	content	com.xpn.xwiki.objects.LargeStringProperty
3976041187894402198	extensionPointId	com.xpn.xwiki.objects.StringProperty
3976041187894402198	name	com.xpn.xwiki.objects.StringProperty
3976041187894402198	parameters	com.xpn.xwiki.objects.LargeStringProperty
3976041187894402198	scope	com.xpn.xwiki.objects.StringProperty
-226647626601705576	content	com.xpn.xwiki.objects.LargeStringProperty
-226647626601705576	extensionPointId	com.xpn.xwiki.objects.StringProperty
-226647626601705576	name	com.xpn.xwiki.objects.StringProperty
-226647626601705576	parameters	com.xpn.xwiki.objects.LargeStringProperty
-226647626601705576	scope	com.xpn.xwiki.objects.StringProperty
-5003776548285228195	content	com.xpn.xwiki.objects.LargeStringProperty
-5003776548285228195	extensionPointId	com.xpn.xwiki.objects.StringProperty
-5003776548285228195	name	com.xpn.xwiki.objects.StringProperty
-5003776548285228195	parameters	com.xpn.xwiki.objects.LargeStringProperty
-5003776548285228195	scope	com.xpn.xwiki.objects.StringProperty
-8772225941158543190	content	com.xpn.xwiki.objects.LargeStringProperty
-8772225941158543190	extensionPointId	com.xpn.xwiki.objects.StringProperty
-8772225941158543190	name	com.xpn.xwiki.objects.StringProperty
-8772225941158543190	parameters	com.xpn.xwiki.objects.LargeStringProperty
-8772225941158543190	scope	com.xpn.xwiki.objects.StringProperty
1185118687322623748	content	com.xpn.xwiki.objects.LargeStringProperty
1185118687322623748	extensionPointId	com.xpn.xwiki.objects.StringProperty
1185118687322623748	name	com.xpn.xwiki.objects.StringProperty
1185118687322623748	parameters	com.xpn.xwiki.objects.LargeStringProperty
1185118687322623748	scope	com.xpn.xwiki.objects.StringProperty
1364237315358742195	content	com.xpn.xwiki.objects.LargeStringProperty
1364237315358742195	extensionPointId	com.xpn.xwiki.objects.StringProperty
1364237315358742195	name	com.xpn.xwiki.objects.StringProperty
1364237315358742195	parameters	com.xpn.xwiki.objects.LargeStringProperty
1364237315358742195	scope	com.xpn.xwiki.objects.StringProperty
3727276020073422038	content	com.xpn.xwiki.objects.LargeStringProperty
3727276020073422038	extensionPointId	com.xpn.xwiki.objects.StringProperty
3727276020073422038	name	com.xpn.xwiki.objects.StringProperty
3727276020073422038	parameters	com.xpn.xwiki.objects.LargeStringProperty
3727276020073422038	scope	com.xpn.xwiki.objects.StringProperty
5967691431549296708	content	com.xpn.xwiki.objects.LargeStringProperty
5967691431549296708	extensionPointId	com.xpn.xwiki.objects.StringProperty
5967691431549296708	name	com.xpn.xwiki.objects.StringProperty
5967691431549296708	parameters	com.xpn.xwiki.objects.LargeStringProperty
5967691431549296708	scope	com.xpn.xwiki.objects.StringProperty
9018479057853265151	content	com.xpn.xwiki.objects.LargeStringProperty
9018479057853265151	extensionPointId	com.xpn.xwiki.objects.StringProperty
9018479057853265151	name	com.xpn.xwiki.objects.StringProperty
9018479057853265151	parameters	com.xpn.xwiki.objects.LargeStringProperty
9018479057853265151	scope	com.xpn.xwiki.objects.StringProperty
-6609433245919938890	content	com.xpn.xwiki.objects.LargeStringProperty
-6609433245919938890	extensionPointId	com.xpn.xwiki.objects.StringProperty
-6609433245919938890	name	com.xpn.xwiki.objects.StringProperty
-6609433245919938890	parameters	com.xpn.xwiki.objects.LargeStringProperty
-6609433245919938890	scope	com.xpn.xwiki.objects.StringProperty
-7336163050248758201	content	com.xpn.xwiki.objects.LargeStringProperty
-7336163050248758201	extensionPointId	com.xpn.xwiki.objects.StringProperty
-7336163050248758201	name	com.xpn.xwiki.objects.StringProperty
-7336163050248758201	parameters	com.xpn.xwiki.objects.LargeStringProperty
-7336163050248758201	scope	com.xpn.xwiki.objects.StringProperty
2611774919915831742	content	com.xpn.xwiki.objects.LargeStringProperty
2611774919915831742	extensionPointId	com.xpn.xwiki.objects.StringProperty
2611774919915831742	name	com.xpn.xwiki.objects.StringProperty
2611774919915831742	parameters	com.xpn.xwiki.objects.LargeStringProperty
2611774919915831742	scope	com.xpn.xwiki.objects.StringProperty
-764790084925510049	content	com.xpn.xwiki.objects.LargeStringProperty
-764790084925510049	extensionPointId	com.xpn.xwiki.objects.StringProperty
-764790084925510049	name	com.xpn.xwiki.objects.StringProperty
-764790084925510049	parameters	com.xpn.xwiki.objects.LargeStringProperty
-764790084925510049	scope	com.xpn.xwiki.objects.StringProperty
991841268510404417	content	com.xpn.xwiki.objects.LargeStringProperty
991841268510404417	extensionPointId	com.xpn.xwiki.objects.StringProperty
991841268510404417	name	com.xpn.xwiki.objects.StringProperty
991841268510404417	parameters	com.xpn.xwiki.objects.LargeStringProperty
991841268510404417	scope	com.xpn.xwiki.objects.StringProperty
-307009263461415052	content	com.xpn.xwiki.objects.LargeStringProperty
-307009263461415052	extensionPointId	com.xpn.xwiki.objects.StringProperty
-307009263461415052	name	com.xpn.xwiki.objects.StringProperty
-307009263461415052	parameters	com.xpn.xwiki.objects.LargeStringProperty
-307009263461415052	scope	com.xpn.xwiki.objects.StringProperty
-8476100274704283223	content	com.xpn.xwiki.objects.LargeStringProperty
-8476100274704283223	extensionPointId	com.xpn.xwiki.objects.StringProperty
-8476100274704283223	name	com.xpn.xwiki.objects.StringProperty
-8476100274704283223	parameters	com.xpn.xwiki.objects.LargeStringProperty
-8476100274704283223	scope	com.xpn.xwiki.objects.StringProperty
5271128316904831087	content	com.xpn.xwiki.objects.LargeStringProperty
5271128316904831087	extensionPointId	com.xpn.xwiki.objects.StringProperty
5271128316904831087	name	com.xpn.xwiki.objects.StringProperty
5271128316904831087	parameters	com.xpn.xwiki.objects.LargeStringProperty
5271128316904831087	scope	com.xpn.xwiki.objects.StringProperty
-8569186381944649084	content	com.xpn.xwiki.objects.LargeStringProperty
-8569186381944649084	extensionPointId	com.xpn.xwiki.objects.StringProperty
-8569186381944649084	name	com.xpn.xwiki.objects.StringProperty
-8569186381944649084	parameters	com.xpn.xwiki.objects.LargeStringProperty
-8569186381944649084	scope	com.xpn.xwiki.objects.StringProperty
2408108398840016633	content	com.xpn.xwiki.objects.LargeStringProperty
2408108398840016633	extensionPointId	com.xpn.xwiki.objects.StringProperty
2408108398840016633	name	com.xpn.xwiki.objects.StringProperty
2408108398840016633	parameters	com.xpn.xwiki.objects.LargeStringProperty
2408108398840016633	scope	com.xpn.xwiki.objects.StringProperty
-530863808007637964	content	com.xpn.xwiki.objects.LargeStringProperty
-530863808007637964	extensionPointId	com.xpn.xwiki.objects.StringProperty
-530863808007637964	name	com.xpn.xwiki.objects.StringProperty
-530863808007637964	parameters	com.xpn.xwiki.objects.LargeStringProperty
-530863808007637964	scope	com.xpn.xwiki.objects.StringProperty
-7733359520204819767	content	com.xpn.xwiki.objects.LargeStringProperty
-7733359520204819767	extensionPointId	com.xpn.xwiki.objects.StringProperty
-7733359520204819767	name	com.xpn.xwiki.objects.StringProperty
-7733359520204819767	parameters	com.xpn.xwiki.objects.LargeStringProperty
-7733359520204819767	scope	com.xpn.xwiki.objects.StringProperty
3370712823292206081	sheet	com.xpn.xwiki.objects.StringProperty
5168516724145124850	content	com.xpn.xwiki.objects.LargeStringProperty
5168516724145124850	extensionPointId	com.xpn.xwiki.objects.StringProperty
5168516724145124850	name	com.xpn.xwiki.objects.StringProperty
5168516724145124850	parameters	com.xpn.xwiki.objects.LargeStringProperty
5168516724145124850	scope	com.xpn.xwiki.objects.StringProperty
7975350629303934440	content	com.xpn.xwiki.objects.LargeStringProperty
7975350629303934440	extensionPointId	com.xpn.xwiki.objects.StringProperty
7975350629303934440	name	com.xpn.xwiki.objects.StringProperty
7975350629303934440	parameters	com.xpn.xwiki.objects.LargeStringProperty
7975350629303934440	scope	com.xpn.xwiki.objects.StringProperty
-2130164487751517287	content	com.xpn.xwiki.objects.LargeStringProperty
-2130164487751517287	extensionPointId	com.xpn.xwiki.objects.StringProperty
-2130164487751517287	name	com.xpn.xwiki.objects.StringProperty
-2130164487751517287	parameters	com.xpn.xwiki.objects.LargeStringProperty
-2130164487751517287	scope	com.xpn.xwiki.objects.StringProperty
4857991400143507865	content	com.xpn.xwiki.objects.LargeStringProperty
4857991400143507865	extensionPointId	com.xpn.xwiki.objects.StringProperty
4857991400143507865	name	com.xpn.xwiki.objects.StringProperty
4857991400143507865	parameters	com.xpn.xwiki.objects.LargeStringProperty
4857991400143507865	scope	com.xpn.xwiki.objects.StringProperty
-5634258157532034655	content	com.xpn.xwiki.objects.LargeStringProperty
-5634258157532034655	extensionPointId	com.xpn.xwiki.objects.StringProperty
-5634258157532034655	name	com.xpn.xwiki.objects.StringProperty
-5634258157532034655	parameters	com.xpn.xwiki.objects.LargeStringProperty
-5634258157532034655	scope	com.xpn.xwiki.objects.StringProperty
-1255206162679304456	content	com.xpn.xwiki.objects.LargeStringProperty
-1255206162679304456	extensionPointId	com.xpn.xwiki.objects.StringProperty
-1255206162679304456	name	com.xpn.xwiki.objects.StringProperty
-1255206162679304456	parameters	com.xpn.xwiki.objects.LargeStringProperty
-1255206162679304456	scope	com.xpn.xwiki.objects.StringProperty
2439067458154922506	content	com.xpn.xwiki.objects.LargeStringProperty
2439067458154922506	extensionPointId	com.xpn.xwiki.objects.StringProperty
2439067458154922506	name	com.xpn.xwiki.objects.StringProperty
2439067458154922506	parameters	com.xpn.xwiki.objects.LargeStringProperty
2439067458154922506	scope	com.xpn.xwiki.objects.StringProperty
1866621421289733079	content	com.xpn.xwiki.objects.LargeStringProperty
1866621421289733079	extensionPointId	com.xpn.xwiki.objects.StringProperty
1866621421289733079	name	com.xpn.xwiki.objects.StringProperty
1866621421289733079	parameters	com.xpn.xwiki.objects.LargeStringProperty
1866621421289733079	scope	com.xpn.xwiki.objects.StringProperty
7385052798141217275	content	com.xpn.xwiki.objects.LargeStringProperty
7385052798141217275	extensionPointId	com.xpn.xwiki.objects.StringProperty
7385052798141217275	name	com.xpn.xwiki.objects.StringProperty
7385052798141217275	parameters	com.xpn.xwiki.objects.LargeStringProperty
7385052798141217275	scope	com.xpn.xwiki.objects.StringProperty
-2602910287359672869	content	com.xpn.xwiki.objects.LargeStringProperty
-2602910287359672869	extensionPointId	com.xpn.xwiki.objects.StringProperty
-2602910287359672869	name	com.xpn.xwiki.objects.StringProperty
-2602910287359672869	parameters	com.xpn.xwiki.objects.LargeStringProperty
-2602910287359672869	scope	com.xpn.xwiki.objects.StringProperty
7371445097842592406	content	com.xpn.xwiki.objects.LargeStringProperty
7371445097842592406	extensionPointId	com.xpn.xwiki.objects.StringProperty
7371445097842592406	name	com.xpn.xwiki.objects.StringProperty
7371445097842592406	parameters	com.xpn.xwiki.objects.LargeStringProperty
7371445097842592406	scope	com.xpn.xwiki.objects.StringProperty
-1988242395712856245	content	com.xpn.xwiki.objects.LargeStringProperty
-1988242395712856245	extensionPointId	com.xpn.xwiki.objects.StringProperty
-1988242395712856245	name	com.xpn.xwiki.objects.StringProperty
-1988242395712856245	parameters	com.xpn.xwiki.objects.LargeStringProperty
-1988242395712856245	scope	com.xpn.xwiki.objects.StringProperty
19015968192784928	content	com.xpn.xwiki.objects.LargeStringProperty
19015968192784928	extensionPointId	com.xpn.xwiki.objects.StringProperty
19015968192784928	name	com.xpn.xwiki.objects.StringProperty
19015968192784928	parameters	com.xpn.xwiki.objects.LargeStringProperty
19015968192784928	scope	com.xpn.xwiki.objects.StringProperty
-6854874606737019295	sheet	com.xpn.xwiki.objects.StringProperty
4902389464977109051	cache	com.xpn.xwiki.objects.StringProperty
4902389464977109051	code	com.xpn.xwiki.objects.LargeStringProperty
4902389464977109051	name	com.xpn.xwiki.objects.StringProperty
4902389464977109051	parse	com.xpn.xwiki.objects.IntegerProperty
4902389464977109051	use	com.xpn.xwiki.objects.StringProperty
-7642655803473087326	content	com.xpn.xwiki.objects.LargeStringProperty
-7642655803473087326	extensionPointId	com.xpn.xwiki.objects.StringProperty
-7642655803473087326	name	com.xpn.xwiki.objects.StringProperty
-7642655803473087326	parameters	com.xpn.xwiki.objects.LargeStringProperty
-7642655803473087326	scope	com.xpn.xwiki.objects.StringProperty
-2198110047830767495	content	com.xpn.xwiki.objects.LargeStringProperty
-2198110047830767495	extensionPointId	com.xpn.xwiki.objects.StringProperty
-2198110047830767495	name	com.xpn.xwiki.objects.StringProperty
-2198110047830767495	parameters	com.xpn.xwiki.objects.LargeStringProperty
-2198110047830767495	scope	com.xpn.xwiki.objects.StringProperty
-5107571275666992228	content	com.xpn.xwiki.objects.LargeStringProperty
-5107571275666992228	extensionPointId	com.xpn.xwiki.objects.StringProperty
-5107571275666992228	name	com.xpn.xwiki.objects.StringProperty
-5107571275666992228	parameters	com.xpn.xwiki.objects.LargeStringProperty
-5107571275666992228	scope	com.xpn.xwiki.objects.StringProperty
1776151800626855264	cache	com.xpn.xwiki.objects.StringProperty
1776151800626855264	code	com.xpn.xwiki.objects.LargeStringProperty
1776151800626855264	name	com.xpn.xwiki.objects.StringProperty
1776151800626855264	parse	com.xpn.xwiki.objects.IntegerProperty
1776151800626855264	use	com.xpn.xwiki.objects.StringProperty
-4886940583401620716	content	com.xpn.xwiki.objects.LargeStringProperty
-4886940583401620716	extensionPointId	com.xpn.xwiki.objects.StringProperty
-4886940583401620716	name	com.xpn.xwiki.objects.StringProperty
-4886940583401620716	parameters	com.xpn.xwiki.objects.LargeStringProperty
-4886940583401620716	scope	com.xpn.xwiki.objects.StringProperty
-2636269436385194420	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
-2636269436385194420	configurationClass	com.xpn.xwiki.objects.StringProperty
-2636269436385194420	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
-2636269436385194420	displayInSection	com.xpn.xwiki.objects.StringProperty
-2636269436385194420	heading	com.xpn.xwiki.objects.StringProperty
-2636269436385194420	iconAttachment	com.xpn.xwiki.objects.StringProperty
-2636269436385194420	linkPrefix	com.xpn.xwiki.objects.StringProperty
-2636269436385194420	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
8245055029403230725	sheet	com.xpn.xwiki.objects.StringProperty
-8298489110277145029	sheet	com.xpn.xwiki.objects.StringProperty
4452184872458081486	cache	com.xpn.xwiki.objects.StringProperty
4452184872458081486	code	com.xpn.xwiki.objects.LargeStringProperty
4452184872458081486	name	com.xpn.xwiki.objects.StringProperty
4452184872458081486	parse	com.xpn.xwiki.objects.IntegerProperty
4452184872458081486	use	com.xpn.xwiki.objects.StringProperty
4987120541439898953	cache	com.xpn.xwiki.objects.StringProperty
4987120541439898953	code	com.xpn.xwiki.objects.LargeStringProperty
4987120541439898953	name	com.xpn.xwiki.objects.StringProperty
4987120541439898953	parse	com.xpn.xwiki.objects.IntegerProperty
4987120541439898953	use	com.xpn.xwiki.objects.StringProperty
6580011987323805505	category	com.xpn.xwiki.objects.StringProperty
6580011987323805505	content	com.xpn.xwiki.objects.LargeStringProperty
6580011987323805505	description	com.xpn.xwiki.objects.LargeStringProperty
6580011987323805505	name	com.xpn.xwiki.objects.StringProperty
6580011987323805505	type	com.xpn.xwiki.objects.StringProperty
-2219776247285052883	cache	com.xpn.xwiki.objects.StringProperty
-2219776247285052883	code	com.xpn.xwiki.objects.LargeStringProperty
-2219776247285052883	name	com.xpn.xwiki.objects.StringProperty
-2219776247285052883	parse	com.xpn.xwiki.objects.IntegerProperty
-2219776247285052883	use	com.xpn.xwiki.objects.StringProperty
8526841154133154525	cache	com.xpn.xwiki.objects.StringProperty
8526841154133154525	code	com.xpn.xwiki.objects.LargeStringProperty
8526841154133154525	name	com.xpn.xwiki.objects.StringProperty
8526841154133154525	parse	com.xpn.xwiki.objects.IntegerProperty
8526841154133154525	use	com.xpn.xwiki.objects.StringProperty
-2957198822781106626	cache	com.xpn.xwiki.objects.StringProperty
-2957198822781106626	code	com.xpn.xwiki.objects.LargeStringProperty
-2957198822781106626	name	com.xpn.xwiki.objects.StringProperty
-2957198822781106626	parse	com.xpn.xwiki.objects.IntegerProperty
-2957198822781106626	use	com.xpn.xwiki.objects.StringProperty
6080907093480830533	cache	com.xpn.xwiki.objects.StringProperty
6080907093480830533	code	com.xpn.xwiki.objects.LargeStringProperty
6080907093480830533	name	com.xpn.xwiki.objects.StringProperty
6080907093480830533	parse	com.xpn.xwiki.objects.IntegerProperty
6080907093480830533	use	com.xpn.xwiki.objects.StringProperty
-2829345281053977864	cache	com.xpn.xwiki.objects.StringProperty
-2829345281053977864	code	com.xpn.xwiki.objects.LargeStringProperty
-2829345281053977864	name	com.xpn.xwiki.objects.StringProperty
-2829345281053977864	parse	com.xpn.xwiki.objects.IntegerProperty
-2829345281053977864	use	com.xpn.xwiki.objects.StringProperty
-8983360167584442179	allow	com.xpn.xwiki.objects.IntegerProperty
-8983360167584442179	groups	com.xpn.xwiki.objects.LargeStringProperty
-8983360167584442179	levels	com.xpn.xwiki.objects.StringProperty
-8983360167584442179	users	com.xpn.xwiki.objects.LargeStringProperty
-5313288560143497352	dateOfBirthFormat	com.xpn.xwiki.objects.StringProperty
-5313288560143497352	enableImperialUnitSystem	com.xpn.xwiki.objects.IntegerProperty
-5313288560143497352	livetableColumns	com.xpn.xwiki.objects.DBStringListProperty
-5313288560143497352	livetableRows	com.xpn.xwiki.objects.IntegerProperty
-5313288560143497352	livetableSortColumn	com.xpn.xwiki.objects.StringProperty
-5313288560143497352	measurementUnitSystem	com.xpn.xwiki.objects.StringProperty
-5313288560143497352	phenotypeMapping	com.xpn.xwiki.objects.StringProperty
3548927377854748195	data	com.xpn.xwiki.objects.LargeStringProperty
3548927377854748195	description	com.xpn.xwiki.objects.LargeStringProperty
3548927377854748195	image	com.xpn.xwiki.objects.LargeStringProperty
8946889359780582029	data	com.xpn.xwiki.objects.LargeStringProperty
8946889359780582029	description	com.xpn.xwiki.objects.LargeStringProperty
8946889359780582029	image	com.xpn.xwiki.objects.LargeStringProperty
2629381308697840408	data	com.xpn.xwiki.objects.LargeStringProperty
2629381308697840408	description	com.xpn.xwiki.objects.LargeStringProperty
2629381308697840408	image	com.xpn.xwiki.objects.LargeStringProperty
-4308797316450567105	data	com.xpn.xwiki.objects.LargeStringProperty
-4308797316450567105	description	com.xpn.xwiki.objects.LargeStringProperty
-4308797316450567105	image	com.xpn.xwiki.objects.LargeStringProperty
2605999092808823074	data	com.xpn.xwiki.objects.LargeStringProperty
2605999092808823074	description	com.xpn.xwiki.objects.LargeStringProperty
2605999092808823074	image	com.xpn.xwiki.objects.LargeStringProperty
5770265429325257425	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
5770265429325257425	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
5770265429325257425	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
5770265429325257425	configurationClass	com.xpn.xwiki.objects.StringProperty
5770265429325257425	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
5770265429325257425	displayInCategory	com.xpn.xwiki.objects.StringProperty
5770265429325257425	displayInSection	com.xpn.xwiki.objects.StringProperty
5770265429325257425	heading	com.xpn.xwiki.objects.StringProperty
5770265429325257425	iconAttachment	com.xpn.xwiki.objects.StringProperty
5770265429325257425	linkPrefix	com.xpn.xwiki.objects.StringProperty
5770265429325257425	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
5770265429325257425	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
8433417381059088093	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
8433417381059088093	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
8433417381059088093	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
8433417381059088093	configurationClass	com.xpn.xwiki.objects.StringProperty
8433417381059088093	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
8433417381059088093	displayInCategory	com.xpn.xwiki.objects.StringProperty
8433417381059088093	displayInSection	com.xpn.xwiki.objects.StringProperty
8433417381059088093	heading	com.xpn.xwiki.objects.StringProperty
8433417381059088093	iconAttachment	com.xpn.xwiki.objects.StringProperty
8433417381059088093	linkPrefix	com.xpn.xwiki.objects.StringProperty
8433417381059088093	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
8433417381059088093	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
-2910348294274572180	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
-2910348294274572180	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
-2910348294274572180	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
-2910348294274572180	configurationClass	com.xpn.xwiki.objects.StringProperty
-2910348294274572180	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
-2910348294274572180	displayInCategory	com.xpn.xwiki.objects.StringProperty
-2910348294274572180	displayInSection	com.xpn.xwiki.objects.StringProperty
-2910348294274572180	heading	com.xpn.xwiki.objects.StringProperty
-2910348294274572180	iconAttachment	com.xpn.xwiki.objects.StringProperty
-2910348294274572180	linkPrefix	com.xpn.xwiki.objects.StringProperty
-2910348294274572180	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
-2910348294274572180	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
-3560279228912068454	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
-3560279228912068454	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
-3560279228912068454	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
-3560279228912068454	configurationClass	com.xpn.xwiki.objects.StringProperty
-3560279228912068454	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
-3560279228912068454	displayInCategory	com.xpn.xwiki.objects.StringProperty
-3560279228912068454	displayInSection	com.xpn.xwiki.objects.StringProperty
-3560279228912068454	heading	com.xpn.xwiki.objects.StringProperty
-3560279228912068454	iconAttachment	com.xpn.xwiki.objects.StringProperty
-3560279228912068454	linkPrefix	com.xpn.xwiki.objects.StringProperty
-3560279228912068454	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
-3560279228912068454	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
705178565365604649	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
705178565365604649	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
705178565365604649	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
705178565365604649	configurationClass	com.xpn.xwiki.objects.StringProperty
705178565365604649	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
705178565365604649	displayInCategory	com.xpn.xwiki.objects.StringProperty
705178565365604649	displayInSection	com.xpn.xwiki.objects.StringProperty
705178565365604649	heading	com.xpn.xwiki.objects.StringProperty
705178565365604649	iconAttachment	com.xpn.xwiki.objects.StringProperty
705178565365604649	linkPrefix	com.xpn.xwiki.objects.StringProperty
705178565365604649	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
705178565365604649	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
-27458081436434210	content	com.xpn.xwiki.objects.LargeStringProperty
-27458081436434210	position	com.xpn.xwiki.objects.StringProperty
-27458081436434210	title	com.xpn.xwiki.objects.StringProperty
409878110249750461	content	com.xpn.xwiki.objects.LargeStringProperty
409878110249750461	position	com.xpn.xwiki.objects.StringProperty
409878110249750461	title	com.xpn.xwiki.objects.StringProperty
6183827161773043371	content	com.xpn.xwiki.objects.LargeStringProperty
6183827161773043371	position	com.xpn.xwiki.objects.StringProperty
6183827161773043371	title	com.xpn.xwiki.objects.StringProperty
4384502243639797541	content	com.xpn.xwiki.objects.LargeStringProperty
4384502243639797541	position	com.xpn.xwiki.objects.StringProperty
4384502243639797541	title	com.xpn.xwiki.objects.StringProperty
3232495135464493548	content	com.xpn.xwiki.objects.LargeStringProperty
3232495135464493548	extensionPointId	com.xpn.xwiki.objects.StringProperty
3232495135464493548	name	com.xpn.xwiki.objects.StringProperty
3232495135464493548	parameters	com.xpn.xwiki.objects.LargeStringProperty
3232495135464493548	scope	com.xpn.xwiki.objects.StringProperty
2514130779551080996	content	com.xpn.xwiki.objects.LargeStringProperty
2514130779551080996	extensionPointId	com.xpn.xwiki.objects.StringProperty
2514130779551080996	name	com.xpn.xwiki.objects.StringProperty
2514130779551080996	parameters	com.xpn.xwiki.objects.LargeStringProperty
2514130779551080996	scope	com.xpn.xwiki.objects.StringProperty
8913594883756574192	content	com.xpn.xwiki.objects.LargeStringProperty
8913594883756574192	extensionPointId	com.xpn.xwiki.objects.StringProperty
8913594883756574192	name	com.xpn.xwiki.objects.StringProperty
8913594883756574192	parameters	com.xpn.xwiki.objects.LargeStringProperty
8913594883756574192	scope	com.xpn.xwiki.objects.StringProperty
-8415318328982618260	content	com.xpn.xwiki.objects.LargeStringProperty
-8415318328982618260	extensionPointId	com.xpn.xwiki.objects.StringProperty
-8415318328982618260	name	com.xpn.xwiki.objects.StringProperty
-8415318328982618260	parameters	com.xpn.xwiki.objects.LargeStringProperty
-8415318328982618260	scope	com.xpn.xwiki.objects.StringProperty
8673821287332809284	allow	com.xpn.xwiki.objects.IntegerProperty
8673821287332809284	groups	com.xpn.xwiki.objects.LargeStringProperty
8673821287332809284	levels	com.xpn.xwiki.objects.StringProperty
8673821287332809284	users	com.xpn.xwiki.objects.LargeStringProperty
-1302609460190462315	sheet	com.xpn.xwiki.objects.StringProperty
-5517713055023142395	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
-5517713055023142395	configurationClass	com.xpn.xwiki.objects.StringProperty
-5517713055023142395	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
-5517713055023142395	displayInSection	com.xpn.xwiki.objects.StringProperty
-5517713055023142395	heading	com.xpn.xwiki.objects.StringProperty
-5517713055023142395	iconAttachment	com.xpn.xwiki.objects.StringProperty
-5517713055023142395	linkPrefix	com.xpn.xwiki.objects.StringProperty
-5517713055023142395	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
-1023365820661524466	activated	com.xpn.xwiki.objects.IntegerProperty
-7986073282154439006	activated	com.xpn.xwiki.objects.IntegerProperty
-7986073282154439006	engine	com.xpn.xwiki.objects.StringProperty
-7986073282154439006	highlight	com.xpn.xwiki.objects.IntegerProperty
-7986073282154439006	icon	com.xpn.xwiki.objects.StringProperty
-7986073282154439006	name	com.xpn.xwiki.objects.StringProperty
-7986073282154439006	query	com.xpn.xwiki.objects.LargeStringProperty
-7986073282154439006	resultsNumber	com.xpn.xwiki.objects.StringProperty
-7986073282154439006	url	com.xpn.xwiki.objects.StringProperty
2022573344469648541	activated	com.xpn.xwiki.objects.IntegerProperty
2022573344469648541	engine	com.xpn.xwiki.objects.StringProperty
2022573344469648541	highlight	com.xpn.xwiki.objects.IntegerProperty
2022573344469648541	icon	com.xpn.xwiki.objects.StringProperty
2022573344469648541	name	com.xpn.xwiki.objects.StringProperty
2022573344469648541	query	com.xpn.xwiki.objects.LargeStringProperty
2022573344469648541	resultsNumber	com.xpn.xwiki.objects.StringProperty
2022573344469648541	url	com.xpn.xwiki.objects.StringProperty
-1548827347686522172	activated	com.xpn.xwiki.objects.IntegerProperty
-1548827347686522172	engine	com.xpn.xwiki.objects.StringProperty
-1548827347686522172	highlight	com.xpn.xwiki.objects.IntegerProperty
-1548827347686522172	icon	com.xpn.xwiki.objects.StringProperty
-1548827347686522172	name	com.xpn.xwiki.objects.StringProperty
-1548827347686522172	query	com.xpn.xwiki.objects.LargeStringProperty
-1548827347686522172	resultsNumber	com.xpn.xwiki.objects.StringProperty
-1548827347686522172	url	com.xpn.xwiki.objects.StringProperty
7171853016016441993	engine	com.xpn.xwiki.objects.StringProperty
-6678053217488718310	sheet	com.xpn.xwiki.objects.StringProperty
-6024107242670355211	cache	com.xpn.xwiki.objects.StringProperty
-6024107242670355211	code	com.xpn.xwiki.objects.LargeStringProperty
-6024107242670355211	name	com.xpn.xwiki.objects.StringProperty
-6024107242670355211	parse	com.xpn.xwiki.objects.IntegerProperty
-6024107242670355211	use	com.xpn.xwiki.objects.StringProperty
-892880999687888266	cache	com.xpn.xwiki.objects.StringProperty
-892880999687888266	code	com.xpn.xwiki.objects.LargeStringProperty
-892880999687888266	name	com.xpn.xwiki.objects.StringProperty
-892880999687888266	parse	com.xpn.xwiki.objects.IntegerProperty
-892880999687888266	use	com.xpn.xwiki.objects.StringProperty
5900196777912041392	sheet	com.xpn.xwiki.objects.StringProperty
9021566092119813787	cache	com.xpn.xwiki.objects.StringProperty
9021566092119813787	code	com.xpn.xwiki.objects.LargeStringProperty
9021566092119813787	name	com.xpn.xwiki.objects.StringProperty
9021566092119813787	parse	com.xpn.xwiki.objects.IntegerProperty
9021566092119813787	use	com.xpn.xwiki.objects.StringProperty
7811058895938084934	sheet	com.xpn.xwiki.objects.StringProperty
-3042698958279645626	cache	com.xpn.xwiki.objects.StringProperty
-3042698958279645626	code	com.xpn.xwiki.objects.LargeStringProperty
-3042698958279645626	name	com.xpn.xwiki.objects.StringProperty
-3042698958279645626	parse	com.xpn.xwiki.objects.IntegerProperty
-3042698958279645626	use	com.xpn.xwiki.objects.StringProperty
-7655721308476192203	id	com.xpn.xwiki.objects.StringProperty
-7655721308476192203	name	com.xpn.xwiki.objects.StringProperty
-7655721308476192203	properties	com.xpn.xwiki.objects.LargeStringProperty
9088924276358756200	id	com.xpn.xwiki.objects.StringProperty
9088924276358756200	name	com.xpn.xwiki.objects.StringProperty
9088924276358756200	properties	com.xpn.xwiki.objects.LargeStringProperty
8334590174041001341	sections	com.xpn.xwiki.objects.LargeStringProperty
-3368177157800536719	cache	com.xpn.xwiki.objects.StringProperty
-3368177157800536719	code	com.xpn.xwiki.objects.LargeStringProperty
-3368177157800536719	name	com.xpn.xwiki.objects.StringProperty
-3368177157800536719	parse	com.xpn.xwiki.objects.IntegerProperty
-3368177157800536719	use	com.xpn.xwiki.objects.StringProperty
8761304744831463011	cache	com.xpn.xwiki.objects.StringProperty
8761304744831463011	code	com.xpn.xwiki.objects.LargeStringProperty
8761304744831463011	name	com.xpn.xwiki.objects.StringProperty
8761304744831463011	parse	com.xpn.xwiki.objects.IntegerProperty
8761304744831463011	use	com.xpn.xwiki.objects.StringProperty
-2463437426451842842	cache	com.xpn.xwiki.objects.StringProperty
-2463437426451842842	code	com.xpn.xwiki.objects.LargeStringProperty
-2463437426451842842	name	com.xpn.xwiki.objects.StringProperty
-2463437426451842842	parse	com.xpn.xwiki.objects.IntegerProperty
-2463437426451842842	use	com.xpn.xwiki.objects.StringProperty
8770311400200566798	cache	com.xpn.xwiki.objects.StringProperty
8770311400200566798	code	com.xpn.xwiki.objects.LargeStringProperty
8770311400200566798	name	com.xpn.xwiki.objects.StringProperty
8770311400200566798	parse	com.xpn.xwiki.objects.IntegerProperty
8770311400200566798	use	com.xpn.xwiki.objects.StringProperty
4778230998437866984	cache	com.xpn.xwiki.objects.StringProperty
4778230998437866984	code	com.xpn.xwiki.objects.LargeStringProperty
4778230998437866984	name	com.xpn.xwiki.objects.StringProperty
4778230998437866984	parse	com.xpn.xwiki.objects.IntegerProperty
4778230998437866984	use	com.xpn.xwiki.objects.StringProperty
-5114398573335484231	content	com.xpn.xwiki.objects.LargeStringProperty
-5114398573335484231	extensionPointId	com.xpn.xwiki.objects.StringProperty
-5114398573335484231	name	com.xpn.xwiki.objects.StringProperty
-5114398573335484231	parameters	com.xpn.xwiki.objects.LargeStringProperty
-5114398573335484231	scope	com.xpn.xwiki.objects.StringProperty
8666367720504281104	sheet	com.xpn.xwiki.objects.StringProperty
-2450571279076522953	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
-2450571279076522953	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
-2450571279076522953	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
-2450571279076522953	configurationClass	com.xpn.xwiki.objects.StringProperty
-2450571279076522953	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
-2450571279076522953	displayInCategory	com.xpn.xwiki.objects.StringProperty
-2450571279076522953	displayInSection	com.xpn.xwiki.objects.StringProperty
-2450571279076522953	heading	com.xpn.xwiki.objects.StringProperty
-2450571279076522953	iconAttachment	com.xpn.xwiki.objects.StringProperty
-2450571279076522953	linkPrefix	com.xpn.xwiki.objects.StringProperty
-2450571279076522953	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
-2450571279076522953	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
1638124222887867495	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
1638124222887867495	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
1638124222887867495	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
1638124222887867495	configurationClass	com.xpn.xwiki.objects.StringProperty
1638124222887867495	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
1638124222887867495	displayInCategory	com.xpn.xwiki.objects.StringProperty
1638124222887867495	displayInSection	com.xpn.xwiki.objects.StringProperty
1638124222887867495	heading	com.xpn.xwiki.objects.StringProperty
1638124222887867495	iconAttachment	com.xpn.xwiki.objects.StringProperty
1638124222887867495	linkPrefix	com.xpn.xwiki.objects.StringProperty
1638124222887867495	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
1638124222887867495	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
847606304787817944	cache	com.xpn.xwiki.objects.StringProperty
847606304787817944	code	com.xpn.xwiki.objects.LargeStringProperty
847606304787817944	name	com.xpn.xwiki.objects.StringProperty
847606304787817944	parse	com.xpn.xwiki.objects.IntegerProperty
847606304787817944	use	com.xpn.xwiki.objects.StringProperty
-3564872831236639289	cache	com.xpn.xwiki.objects.StringProperty
-3564872831236639289	code	com.xpn.xwiki.objects.LargeStringProperty
-3564872831236639289	name	com.xpn.xwiki.objects.StringProperty
-3564872831236639289	parse	com.xpn.xwiki.objects.IntegerProperty
-3564872831236639289	use	com.xpn.xwiki.objects.StringProperty
-8576709785714399408	code	com.xpn.xwiki.objects.LargeStringProperty
-8576709785714399408	contentDescription	com.xpn.xwiki.objects.LargeStringProperty
-8576709785714399408	contentType	com.xpn.xwiki.objects.StringProperty
-8576709785714399408	defaultCategory	com.xpn.xwiki.objects.StringProperty
-8576709785714399408	description	com.xpn.xwiki.objects.LargeStringProperty
-8576709785714399408	id	com.xpn.xwiki.objects.StringProperty
-8576709785714399408	name	com.xpn.xwiki.objects.StringProperty
-8576709785714399408	supportsInlineMode	com.xpn.xwiki.objects.IntegerProperty
-8576709785714399408	visibility	com.xpn.xwiki.objects.StringProperty
-895078038262117406	defaultValue	com.xpn.xwiki.objects.StringProperty
-895078038262117406	description	com.xpn.xwiki.objects.LargeStringProperty
-895078038262117406	mandatory	com.xpn.xwiki.objects.IntegerProperty
-895078038262117406	name	com.xpn.xwiki.objects.StringProperty
-7527448072712228779	defaultValue	com.xpn.xwiki.objects.StringProperty
-7527448072712228779	description	com.xpn.xwiki.objects.LargeStringProperty
-7527448072712228779	mandatory	com.xpn.xwiki.objects.IntegerProperty
-7527448072712228779	name	com.xpn.xwiki.objects.StringProperty
5344695841514206043	defaultValue	com.xpn.xwiki.objects.StringProperty
5344695841514206043	description	com.xpn.xwiki.objects.LargeStringProperty
5344695841514206043	mandatory	com.xpn.xwiki.objects.IntegerProperty
5344695841514206043	name	com.xpn.xwiki.objects.StringProperty
-2240667059755516459	defaultValue	com.xpn.xwiki.objects.StringProperty
-2240667059755516459	description	com.xpn.xwiki.objects.LargeStringProperty
-2240667059755516459	mandatory	com.xpn.xwiki.objects.IntegerProperty
-2240667059755516459	name	com.xpn.xwiki.objects.StringProperty
6469893864138995544	defaultValue	com.xpn.xwiki.objects.StringProperty
6469893864138995544	description	com.xpn.xwiki.objects.LargeStringProperty
6469893864138995544	mandatory	com.xpn.xwiki.objects.IntegerProperty
6469893864138995544	name	com.xpn.xwiki.objects.StringProperty
3116682217299422574	defaultValue	com.xpn.xwiki.objects.StringProperty
3116682217299422574	description	com.xpn.xwiki.objects.LargeStringProperty
3116682217299422574	mandatory	com.xpn.xwiki.objects.IntegerProperty
3116682217299422574	name	com.xpn.xwiki.objects.StringProperty
-5700687243988839035	allow	com.xpn.xwiki.objects.IntegerProperty
-5700687243988839035	groups	com.xpn.xwiki.objects.LargeStringProperty
-5700687243988839035	levels	com.xpn.xwiki.objects.StringProperty
4147277654376925842	content	com.xpn.xwiki.objects.LargeStringProperty
4147277654376925842	extensionPointId	com.xpn.xwiki.objects.StringProperty
4147277654376925842	name	com.xpn.xwiki.objects.StringProperty
4147277654376925842	parameters	com.xpn.xwiki.objects.LargeStringProperty
4147277654376925842	scope	com.xpn.xwiki.objects.StringProperty
-59026427093726044	content	com.xpn.xwiki.objects.LargeStringProperty
-59026427093726044	extensionPointId	com.xpn.xwiki.objects.StringProperty
-59026427093726044	name	com.xpn.xwiki.objects.StringProperty
-59026427093726044	parameters	com.xpn.xwiki.objects.LargeStringProperty
-59026427093726044	scope	com.xpn.xwiki.objects.StringProperty
5080734207733223018	content	com.xpn.xwiki.objects.LargeStringProperty
5080734207733223018	extensionPointId	com.xpn.xwiki.objects.StringProperty
5080734207733223018	name	com.xpn.xwiki.objects.StringProperty
5080734207733223018	parameters	com.xpn.xwiki.objects.LargeStringProperty
5080734207733223018	scope	com.xpn.xwiki.objects.StringProperty
-2682039314733007197	content	com.xpn.xwiki.objects.LargeStringProperty
-2682039314733007197	extensionPointId	com.xpn.xwiki.objects.StringProperty
-2682039314733007197	name	com.xpn.xwiki.objects.StringProperty
-2682039314733007197	parameters	com.xpn.xwiki.objects.LargeStringProperty
-2682039314733007197	scope	com.xpn.xwiki.objects.StringProperty
-1509591837336391582	allow	com.xpn.xwiki.objects.IntegerProperty
-1509591837336391582	groups	com.xpn.xwiki.objects.LargeStringProperty
-1509591837336391582	levels	com.xpn.xwiki.objects.StringProperty
-3400690524879772823	content	com.xpn.xwiki.objects.LargeStringProperty
-3400690524879772823	extensionPointId	com.xpn.xwiki.objects.StringProperty
-3400690524879772823	name	com.xpn.xwiki.objects.StringProperty
-3400690524879772823	parameters	com.xpn.xwiki.objects.LargeStringProperty
-3400690524879772823	scope	com.xpn.xwiki.objects.StringProperty
-5528378045460294812	content	com.xpn.xwiki.objects.LargeStringProperty
-5528378045460294812	extensionPointId	com.xpn.xwiki.objects.StringProperty
-5528378045460294812	name	com.xpn.xwiki.objects.StringProperty
-5528378045460294812	parameters	com.xpn.xwiki.objects.LargeStringProperty
-5528378045460294812	scope	com.xpn.xwiki.objects.StringProperty
913415081380430284	content	com.xpn.xwiki.objects.LargeStringProperty
913415081380430284	extensionPointId	com.xpn.xwiki.objects.StringProperty
913415081380430284	name	com.xpn.xwiki.objects.StringProperty
913415081380430284	parameters	com.xpn.xwiki.objects.LargeStringProperty
913415081380430284	scope	com.xpn.xwiki.objects.StringProperty
-9138958964511871671	content	com.xpn.xwiki.objects.LargeStringProperty
-9138958964511871671	extensionPointId	com.xpn.xwiki.objects.StringProperty
-9138958964511871671	name	com.xpn.xwiki.objects.StringProperty
-9138958964511871671	parameters	com.xpn.xwiki.objects.LargeStringProperty
-9138958964511871671	scope	com.xpn.xwiki.objects.StringProperty
9041572729335721752	sheet	com.xpn.xwiki.objects.StringProperty
2073568392999882834	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
2073568392999882834	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
2073568392999882834	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
2073568392999882834	configurationClass	com.xpn.xwiki.objects.StringProperty
2073568392999882834	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
2073568392999882834	displayInCategory	com.xpn.xwiki.objects.StringProperty
2073568392999882834	displayInSection	com.xpn.xwiki.objects.StringProperty
2073568392999882834	heading	com.xpn.xwiki.objects.StringProperty
2073568392999882834	iconAttachment	com.xpn.xwiki.objects.StringProperty
2073568392999882834	linkPrefix	com.xpn.xwiki.objects.StringProperty
2073568392999882834	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
2073568392999882834	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
7180121727829606960	cache	com.xpn.xwiki.objects.StringProperty
7180121727829606960	code	com.xpn.xwiki.objects.LargeStringProperty
7180121727829606960	name	com.xpn.xwiki.objects.StringProperty
7180121727829606960	parse	com.xpn.xwiki.objects.IntegerProperty
7180121727829606960	use	com.xpn.xwiki.objects.StringProperty
7727320115181082077	cache	com.xpn.xwiki.objects.StringProperty
7727320115181082077	code	com.xpn.xwiki.objects.LargeStringProperty
7727320115181082077	name	com.xpn.xwiki.objects.StringProperty
7727320115181082077	parse	com.xpn.xwiki.objects.IntegerProperty
7727320115181082077	use	com.xpn.xwiki.objects.StringProperty
5798038344610232394	code	com.xpn.xwiki.objects.LargeStringProperty
5798038344610232394	contentDescription	com.xpn.xwiki.objects.LargeStringProperty
5798038344610232394	contentType	com.xpn.xwiki.objects.StringProperty
5798038344610232394	defaultCategory	com.xpn.xwiki.objects.StringProperty
5798038344610232394	description	com.xpn.xwiki.objects.LargeStringProperty
5798038344610232394	id	com.xpn.xwiki.objects.StringProperty
5798038344610232394	name	com.xpn.xwiki.objects.StringProperty
5798038344610232394	supportsInlineMode	com.xpn.xwiki.objects.IntegerProperty
5798038344610232394	visibility	com.xpn.xwiki.objects.StringProperty
-2512908139053535367	defaultValue	com.xpn.xwiki.objects.StringProperty
-2512908139053535367	description	com.xpn.xwiki.objects.LargeStringProperty
-2512908139053535367	mandatory	com.xpn.xwiki.objects.IntegerProperty
-2512908139053535367	name	com.xpn.xwiki.objects.StringProperty
4944596992863623867	defaultValue	com.xpn.xwiki.objects.StringProperty
4944596992863623867	description	com.xpn.xwiki.objects.LargeStringProperty
4944596992863623867	mandatory	com.xpn.xwiki.objects.IntegerProperty
4944596992863623867	name	com.xpn.xwiki.objects.StringProperty
-4623279692502789151	defaultValue	com.xpn.xwiki.objects.StringProperty
-4623279692502789151	description	com.xpn.xwiki.objects.LargeStringProperty
-4623279692502789151	mandatory	com.xpn.xwiki.objects.IntegerProperty
-4623279692502789151	name	com.xpn.xwiki.objects.StringProperty
-6024370860095195332	defaultValue	com.xpn.xwiki.objects.StringProperty
-6024370860095195332	description	com.xpn.xwiki.objects.LargeStringProperty
-6024370860095195332	mandatory	com.xpn.xwiki.objects.IntegerProperty
-6024370860095195332	name	com.xpn.xwiki.objects.StringProperty
6096029637276629987	defaultValue	com.xpn.xwiki.objects.StringProperty
6096029637276629987	description	com.xpn.xwiki.objects.LargeStringProperty
6096029637276629987	mandatory	com.xpn.xwiki.objects.IntegerProperty
6096029637276629987	name	com.xpn.xwiki.objects.StringProperty
-4031983853031171190	defaultValue	com.xpn.xwiki.objects.StringProperty
-4031983853031171190	description	com.xpn.xwiki.objects.LargeStringProperty
-4031983853031171190	mandatory	com.xpn.xwiki.objects.IntegerProperty
-4031983853031171190	name	com.xpn.xwiki.objects.StringProperty
-255472277895193837	description	com.xpn.xwiki.objects.LargeStringProperty
-255472277895193837	image	com.xpn.xwiki.objects.StringProperty
-255472277895193837	public_sections	com.xpn.xwiki.objects.DBStringListProperty
1787258712821863556	member	com.xpn.xwiki.objects.StringProperty
6064440767811824306	cache	com.xpn.xwiki.objects.StringProperty
6064440767811824306	code	com.xpn.xwiki.objects.LargeStringProperty
6064440767811824306	name	com.xpn.xwiki.objects.StringProperty
6064440767811824306	parse	com.xpn.xwiki.objects.IntegerProperty
6064440767811824306	use	com.xpn.xwiki.objects.StringProperty
-5421123356691248741	cache	com.xpn.xwiki.objects.StringProperty
-5421123356691248741	code	com.xpn.xwiki.objects.LargeStringProperty
-5421123356691248741	name	com.xpn.xwiki.objects.StringProperty
-5421123356691248741	parse	com.xpn.xwiki.objects.IntegerProperty
-5421123356691248741	use	com.xpn.xwiki.objects.StringProperty
-3828478898898167538	content	com.xpn.xwiki.objects.LargeStringProperty
-3828478898898167538	extensionPointId	com.xpn.xwiki.objects.StringProperty
-3828478898898167538	name	com.xpn.xwiki.objects.StringProperty
-3828478898898167538	parameters	com.xpn.xwiki.objects.LargeStringProperty
-3828478898898167538	scope	com.xpn.xwiki.objects.StringProperty
-2877438213821797606	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
-2877438213821797606	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
-2877438213821797606	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
-2877438213821797606	configurationClass	com.xpn.xwiki.objects.StringProperty
-2877438213821797606	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
-2877438213821797606	displayInCategory	com.xpn.xwiki.objects.StringProperty
-2877438213821797606	displayInSection	com.xpn.xwiki.objects.StringProperty
-2877438213821797606	heading	com.xpn.xwiki.objects.StringProperty
-2877438213821797606	iconAttachment	com.xpn.xwiki.objects.StringProperty
-2877438213821797606	linkPrefix	com.xpn.xwiki.objects.StringProperty
-2877438213821797606	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
-2877438213821797606	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
551609650500912368	cache	com.xpn.xwiki.objects.StringProperty
551609650500912368	code	com.xpn.xwiki.objects.LargeStringProperty
551609650500912368	name	com.xpn.xwiki.objects.StringProperty
551609650500912368	parse	com.xpn.xwiki.objects.IntegerProperty
551609650500912368	use	com.xpn.xwiki.objects.StringProperty
-8232487170375787291	cache	com.xpn.xwiki.objects.StringProperty
-8232487170375787291	code	com.xpn.xwiki.objects.LargeStringProperty
-8232487170375787291	name	com.xpn.xwiki.objects.StringProperty
-8232487170375787291	parse	com.xpn.xwiki.objects.IntegerProperty
-8232487170375787291	use	com.xpn.xwiki.objects.StringProperty
9106279970647499253	content	com.xpn.xwiki.objects.LargeStringProperty
9106279970647499253	extensionPointId	com.xpn.xwiki.objects.StringProperty
9106279970647499253	name	com.xpn.xwiki.objects.StringProperty
9106279970647499253	parameters	com.xpn.xwiki.objects.LargeStringProperty
9106279970647499253	scope	com.xpn.xwiki.objects.StringProperty
7403094704171418880	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
7403094704171418880	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
7403094704171418880	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
7403094704171418880	configurationClass	com.xpn.xwiki.objects.StringProperty
7403094704171418880	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
7403094704171418880	displayInCategory	com.xpn.xwiki.objects.StringProperty
7403094704171418880	displayInSection	com.xpn.xwiki.objects.StringProperty
7403094704171418880	heading	com.xpn.xwiki.objects.StringProperty
7403094704171418880	iconAttachment	com.xpn.xwiki.objects.StringProperty
7403094704171418880	linkPrefix	com.xpn.xwiki.objects.StringProperty
7403094704171418880	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
7403094704171418880	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
6459658409747391089	cache	com.xpn.xwiki.objects.StringProperty
6459658409747391089	code	com.xpn.xwiki.objects.LargeStringProperty
6459658409747391089	name	com.xpn.xwiki.objects.StringProperty
6459658409747391089	parse	com.xpn.xwiki.objects.IntegerProperty
6459658409747391089	use	com.xpn.xwiki.objects.StringProperty
-2505372602338148651	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
-2505372602338148651	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
-2505372602338148651	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
-2505372602338148651	configurationClass	com.xpn.xwiki.objects.StringProperty
-2505372602338148651	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
-2505372602338148651	displayInCategory	com.xpn.xwiki.objects.StringProperty
-2505372602338148651	displayInSection	com.xpn.xwiki.objects.StringProperty
-2505372602338148651	heading	com.xpn.xwiki.objects.StringProperty
-2505372602338148651	iconAttachment	com.xpn.xwiki.objects.StringProperty
-2505372602338148651	linkPrefix	com.xpn.xwiki.objects.StringProperty
-2505372602338148651	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
-2505372602338148651	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
5021590344407417420	cache	com.xpn.xwiki.objects.StringProperty
5021590344407417420	code	com.xpn.xwiki.objects.LargeStringProperty
5021590344407417420	name	com.xpn.xwiki.objects.StringProperty
5021590344407417420	parse	com.xpn.xwiki.objects.IntegerProperty
5021590344407417420	use	com.xpn.xwiki.objects.StringProperty
-6751674827209837311	cache	com.xpn.xwiki.objects.StringProperty
-6751674827209837311	code	com.xpn.xwiki.objects.LargeStringProperty
-6751674827209837311	name	com.xpn.xwiki.objects.StringProperty
-6751674827209837311	parse	com.xpn.xwiki.objects.IntegerProperty
-6751674827209837311	use	com.xpn.xwiki.objects.StringProperty
-3681911963317287387	cache	com.xpn.xwiki.objects.StringProperty
-3681911963317287387	code	com.xpn.xwiki.objects.LargeStringProperty
-3681911963317287387	name	com.xpn.xwiki.objects.StringProperty
-3681911963317287387	parse	com.xpn.xwiki.objects.IntegerProperty
-3681911963317287387	use	com.xpn.xwiki.objects.StringProperty
7468603442780643665	content	com.xpn.xwiki.objects.LargeStringProperty
7468603442780643665	extensionPointId	com.xpn.xwiki.objects.StringProperty
7468603442780643665	name	com.xpn.xwiki.objects.StringProperty
7468603442780643665	parameters	com.xpn.xwiki.objects.LargeStringProperty
7468603442780643665	scope	com.xpn.xwiki.objects.StringProperty
2534802451056194929	scope	com.xpn.xwiki.objects.StringProperty
-8575996731423830758	sheet	com.xpn.xwiki.objects.StringProperty
5463904592636036565	cache	com.xpn.xwiki.objects.StringProperty
5463904592636036565	code	com.xpn.xwiki.objects.LargeStringProperty
5463904592636036565	name	com.xpn.xwiki.objects.StringProperty
5463904592636036565	parse	com.xpn.xwiki.objects.IntegerProperty
5463904592636036565	use	com.xpn.xwiki.objects.StringProperty
3495009035156146571	cache	com.xpn.xwiki.objects.StringProperty
3495009035156146571	code	com.xpn.xwiki.objects.LargeStringProperty
3495009035156146571	contentType	com.xpn.xwiki.objects.StringProperty
3495009035156146571	name	com.xpn.xwiki.objects.StringProperty
3495009035156146571	parse	com.xpn.xwiki.objects.IntegerProperty
3495009035156146571	use	com.xpn.xwiki.objects.StringProperty
-119577056256676794	content	com.xpn.xwiki.objects.LargeStringProperty
-119577056256676794	extensionPointId	com.xpn.xwiki.objects.StringProperty
-119577056256676794	name	com.xpn.xwiki.objects.StringProperty
-119577056256676794	parameters	com.xpn.xwiki.objects.LargeStringProperty
-119577056256676794	scope	com.xpn.xwiki.objects.StringProperty
6029009841361615301	cache	com.xpn.xwiki.objects.StringProperty
6029009841361615301	code	com.xpn.xwiki.objects.LargeStringProperty
6029009841361615301	name	com.xpn.xwiki.objects.StringProperty
6029009841361615301	parse	com.xpn.xwiki.objects.IntegerProperty
6029009841361615301	use	com.xpn.xwiki.objects.StringProperty
-8261175631496715595	content	com.xpn.xwiki.objects.LargeStringProperty
-8261175631496715595	extensionPointId	com.xpn.xwiki.objects.StringProperty
-8261175631496715595	name	com.xpn.xwiki.objects.StringProperty
-8261175631496715595	parameters	com.xpn.xwiki.objects.LargeStringProperty
-8261175631496715595	scope	com.xpn.xwiki.objects.StringProperty
6893542420748668742	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
6893542420748668742	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
6893542420748668742	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
6893542420748668742	configurationClass	com.xpn.xwiki.objects.StringProperty
6893542420748668742	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
6893542420748668742	displayInCategory	com.xpn.xwiki.objects.StringProperty
6893542420748668742	displayInSection	com.xpn.xwiki.objects.StringProperty
6893542420748668742	heading	com.xpn.xwiki.objects.StringProperty
6893542420748668742	iconAttachment	com.xpn.xwiki.objects.StringProperty
6893542420748668742	linkPrefix	com.xpn.xwiki.objects.StringProperty
6893542420748668742	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
6893542420748668742	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
-8424300188759589403	cache	com.xpn.xwiki.objects.StringProperty
-8424300188759589403	code	com.xpn.xwiki.objects.LargeStringProperty
-8424300188759589403	name	com.xpn.xwiki.objects.StringProperty
-8424300188759589403	parse	com.xpn.xwiki.objects.IntegerProperty
-8424300188759589403	use	com.xpn.xwiki.objects.StringProperty
-5833210098757145561	cache	com.xpn.xwiki.objects.StringProperty
-5833210098757145561	code	com.xpn.xwiki.objects.LargeStringProperty
-5833210098757145561	name	com.xpn.xwiki.objects.StringProperty
-5833210098757145561	parse	com.xpn.xwiki.objects.IntegerProperty
-5833210098757145561	use	com.xpn.xwiki.objects.StringProperty
7618142183311729225	advancedOnly	com.xpn.xwiki.objects.IntegerProperty
7618142183311729225	categoryPriority	com.xpn.xwiki.objects.IntegerProperty
7618142183311729225	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
7618142183311729225	configurationClass	com.xpn.xwiki.objects.StringProperty
7618142183311729225	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
7618142183311729225	displayInCategory	com.xpn.xwiki.objects.StringProperty
7618142183311729225	displayInSection	com.xpn.xwiki.objects.StringProperty
7618142183311729225	heading	com.xpn.xwiki.objects.StringProperty
7618142183311729225	iconAttachment	com.xpn.xwiki.objects.StringProperty
7618142183311729225	linkPrefix	com.xpn.xwiki.objects.StringProperty
7618142183311729225	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
7618142183311729225	sectionPriority	com.xpn.xwiki.objects.IntegerProperty
5034495970584502524	codeToExecute	com.xpn.xwiki.objects.LargeStringProperty
5034495970584502524	configurationClass	com.xpn.xwiki.objects.StringProperty
5034495970584502524	configureGlobally	com.xpn.xwiki.objects.IntegerProperty
5034495970584502524	displayInSection	com.xpn.xwiki.objects.StringProperty
5034495970584502524	heading	com.xpn.xwiki.objects.StringProperty
5034495970584502524	iconAttachment	com.xpn.xwiki.objects.StringProperty
5034495970584502524	linkPrefix	com.xpn.xwiki.objects.StringProperty
5034495970584502524	propertiesToShow	com.xpn.xwiki.objects.DBStringListProperty
8166411702173902761	cache	com.xpn.xwiki.objects.StringProperty
8166411702173902761	code	com.xpn.xwiki.objects.LargeStringProperty
8166411702173902761	name	com.xpn.xwiki.objects.StringProperty
8166411702173902761	parse	com.xpn.xwiki.objects.IntegerProperty
8166411702173902761	use	com.xpn.xwiki.objects.StringProperty
6352250265993074411	cache	com.xpn.xwiki.objects.StringProperty
6352250265993074411	code	com.xpn.xwiki.objects.LargeStringProperty
6352250265993074411	name	com.xpn.xwiki.objects.StringProperty
6352250265993074411	parse	com.xpn.xwiki.objects.IntegerProperty
6352250265993074411	use	com.xpn.xwiki.objects.StringProperty
-8802998659962860204	cache	com.xpn.xwiki.objects.StringProperty
-8802998659962860204	code	com.xpn.xwiki.objects.LargeStringProperty
-8802998659962860204	name	com.xpn.xwiki.objects.StringProperty
-8802998659962860204	parse	com.xpn.xwiki.objects.IntegerProperty
-8802998659962860204	use	com.xpn.xwiki.objects.StringProperty
7883403272225626124	cache	com.xpn.xwiki.objects.StringProperty
7883403272225626124	code	com.xpn.xwiki.objects.LargeStringProperty
7883403272225626124	name	com.xpn.xwiki.objects.StringProperty
7883403272225626124	parse	com.xpn.xwiki.objects.IntegerProperty
7883403272225626124	use	com.xpn.xwiki.objects.StringProperty
\.


--
-- Data for Name: xwikircs; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikircs (xwr_docid, xwr_version1, xwr_version2, xwr_date, xwr_comment, xwr_author, xwr_isdiff, xwr_patch) FROM stdin;
8518115932467899791	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>WikiMacroParameterClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618013000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Wiki Macro Parameter Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<object>\n<name>XWiki.WikiMacroParameterClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>fdd35baa-2d87-4a65-9052-5ad1cd140b76</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
-8324982103168136738	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Crypto</web>\n<name>PrivateKeyClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>Private Key Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>Crypto.PrivateKeyClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<key>\n<disabled>0</disabled>\n<name>key</name>\n<number>1</number>\n<prettyName>Private Key</prettyName>\n<rows>10</rows>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</key>\n</class>\n<object>\n<name>Crypto.PrivateKeyClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>ed4f6937-8601-452d-a715-9b9d8b914a3f</guid>\n<property>\n<sheet>XWiki.ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
-3509751462245285998	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiSkinFileOverrideClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Skin File Override Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.XWikiSkinFileOverrideClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>content</name>\n<number>2</number>\n<prettyName>Content</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<path>\n<disabled>0</disabled>\n<name>path</name>\n<number>1</number>\n<prettyName>Path</prettyName>\n<size>255</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</path>\n</class>\n<object>\n<name>XWiki.XWikiSkinFileOverrideClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>4a79cdb2-d8b5-4add-98bd-18e18a89da14</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
5795771277671517970	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiUsers</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki User Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.XWikiUsers</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<accessibility>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>accessibility</name>\n<number>16</number>\n<prettyName>Enable extra accessibility features</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</accessibility>\n<active>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>active</displayType>\n<name>active</name>\n<number>6</number>\n<prettyName>Active</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</active>\n<address>\n<disabled>0</disabled>\n<name>address</name>\n<number>22</number>\n<prettyName>Address</prettyName>\n<rows>3</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</address>\n<avatar>\n<disabled>0</disabled>\n<name>avatar</name>\n<number>20</number>\n<prettyName>Avatar</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</avatar>\n<blog>\n<disabled>0</disabled>\n<name>blog</name>\n<number>9</number>\n<prettyName>Blog</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</blog>\n<blogfeed>\n<disabled>0</disabled>\n<name>blogfeed</name>\n<number>10</number>\n<prettyName>Blog Feed</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</blogfeed>\n<comment>\n<disabled>0</disabled>\n<name>comment</name>\n<number>11</number>\n<prettyName>Comment</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comment>\n<company>\n<disabled>0</disabled>\n<name>company</name>\n<number>8</number>\n<prettyName>Company</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</company>\n<default_language>\n<disabled>0</disabled>\n<name>default_language</name>\n<number>7</number>\n<prettyName>Default Language</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</default_language>\n<displayHiddenDocuments>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>displayHiddenDocuments</name>\n<number>17</number>\n<prettyName>Display Hidden Documents</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</displayHiddenDocuments>\n<editor>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>editor</name>\n<number>14</number>\n<prettyName>Default Editor</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Text|Wysiwyg</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</editor>\n<email>\n<disabled>0</disabled>\n<name>email</name>\n<number>3</number>\n<prettyName>e-Mail</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationRegExp>/^(([^@\\s]+)@((?:[-a-zA-Z0-9]+\\.)+[a-zA-Z]{2,}))?$/</validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.EmailClass</classType>\n</email>\n<first_name>\n<disabled>0</disabled>\n<name>first_name</name>\n<number>1</number>\n<prettyName>First Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</first_name>\n<imaccount>\n<disabled>0</disabled>\n<name>imaccount</name>\n<number>13</number>\n<prettyName>imaccount</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</imaccount>\n<imtype>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>imtype</name>\n<number>12</number>\n<prettyName>IM Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|AIM|Yahoo|Jabber|MSN|Skype|ICQ</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</imtype>\n<last_name>\n<disabled>0</disabled>\n<name>last_name</name>\n<number>2</number>\n<prettyName>Last Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</last_name>\n<password>\n<disabled>0</disabled>\n<name>password</name>\n<number>4</number>\n<prettyName>Password</prettyName>\n<size>10</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.PasswordClass</classType>\n</password>\n<phone>\n<disabled>0</disabled>\n<name>phone</name>\n<number>21</number>\n<prettyName>Phone</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</phone>\n<skin>\n<disabled>0</disabled>\n<name>skin</name>\n<number>19</number>\n<prettyName>skin</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</skin>\n<timezone>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'inline' || $xcontext.action == 'edit')\n  {{html}}\n    #if($xwiki.jodatime)\n      &lt;select id='$prefix$name' name='$prefix$name'&gt;\n        &lt;option value="" #if($value == $tz)selected="selected"#end&gt;$services.localization.render('XWiki.XWikiPreferences_timezone_default')&lt;/option&gt;\n        #foreach($tz in $xwiki.jodatime.getServerTimezone().getAvailableIDs())\n          &lt;option value="$tz" #if($value == $tz)selected="selected"#end&gt;$tz&lt;/option&gt;\n        #end\n      &lt;/select&gt;\n    #else\n      &lt;input id='$prefix$name' name='$prefix$name' type="text" value="$!value"/&gt;\n    #end\n  {{/html}}\n#else\n  $!value\n#end\n{{/velocity}}\n</customDisplay><disabled>0</disabled>\n<name>timezone</name>\n<number>18</number>\n<prettyName>Timezone</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</timezone>\n<usertype>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>usertype</name>\n<number>15</number>\n<prettyName>User type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Simple|Advanced</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</usertype>\n<validkey>\n<disabled>0</disabled>\n<name>validkey</name>\n<number>5</number>\n<prettyName>Validation Key</prettyName>\n<size>10</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.PasswordClass</classType>\n</validkey>\n</class>\n<object>\n<name>XWiki.XWikiUsers</name>\n<number>0</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>59bfc2f7-519a-4410-ab1d-2516283b0835</guid>\n<property>\n<sheet>XWikiUserSheet</sheet>\n</property>\n</object>\n<object>\n<name>XWiki.XWikiUsers</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>34a8e24d-944a-46eb-bb49-ca315575ba78</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
-8200316973773174683	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>EditModeClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Edit Mode Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.EditModeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultEditMode>\n<disabled>0</disabled>\n<name>defaultEditMode</name>\n<number>1</number>\n<prettyName>Default Edit Mode</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultEditMode>\n</class>\n<object>\n<name>XWiki.EditModeClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>ab1c86af-28d6-45ef-8576-44882f5da27b</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content>Class that should be used to specify the edit mode of a page.</content></xwikidoc>\n
3465529173222999850	1	1	2017-05-12 15:40:14		XWiki.superadmin	t	d14 3\na16 3\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\nd20 1\na20 1\n<comment></comment>\nd25 19\nd47 1\na47 1\n<guid>25d5a455-75d4-4cdd-87b8-8ff8054dac15</guid>\nd49 28\n
-1162077101786559714	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>sv</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language sv generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Rumsnamn\nindex.spacesMacro.createSpace.link=Skapa ett nytt rum\nindex.spacesMacro.createSpace.submit=Skapa\nindex.spacesMacro.spaceAdministration.alt=Administrera rum\nindex.spacesMacro.spaceAdministration.title=Visa rumsadministrering\nindex.spacesMacro.spaceIndex.alt=Rumsindex\nindex.spacesMacro.spaceIndex.title=Visa rumsindex\nindex.spacesMacro.title=Rum\n</content></xwikidoc>
5448752093983161950	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>TranslationDocumentClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>Translation Document Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.TranslationDocumentClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>1</number>\n<prettyName>Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>GLOBAL|WIKI|USER|ON_DEMAND</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<object>\n<name>XWiki.TranslationDocumentClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>8d17f8d1-a272-4860-ba03-c2135824d54f</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
4631911143036362319	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiServerClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Server Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.XWikiServerClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<homepage>\n<disabled>0</disabled>\n<name>homepage</name>\n<number>9</number>\n<prettyName>Home page</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</homepage>\n<language>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>language</name>\n<number>7</number>\n<prettyName>Language</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>en|fr</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</language>\n<owner>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>0</multiSelect>\n<name>owner</name>\n<number>2</number>\n<picker>1</picker>\n<prettyName>Owner</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</owner>\n<secure>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>checkbox</displayType>\n<name>secure</name>\n<number>8</number>\n<prettyName>Secure</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</secure>\n<server>\n<disabled>0</disabled>\n<name>server</name>\n<number>4</number>\n<prettyName>Server</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</server>\n<state>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>state</name>\n<number>6</number>\n<prettyName>State</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>active|inactive|locked</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</state>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>5</number>\n<prettyName>Visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>public|private|</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n<wikiprettyname>\n<disabled>0</disabled>\n<name>wikiprettyname</name>\n<number>1</number>\n<prettyName>Wiki pretty name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</wikiprettyname>\n</class>\n<object>\n<name>XWiki.XWikiServerClass</name>\n<number>0</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>0818a6f3-1fcf-46a0-ab00-cb8cbfd920a0</guid>\n<property>\n<sheet>XWikiServerClassSheet</sheet>\n</property>\n</object>\n<object>\n<name>XWiki.XWikiServerClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>56c9b8e2-9537-444b-ad98-22d8201231ec</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
-7797318352739112286	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>TagClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Tag Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.TagClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<tags>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>tags</name>\n<number>1</number>\n<prettyName>Tags</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>|</separator>\n<separators>|,</separators>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</tags>\n</class>\n<object>\n<name>XWiki.TagClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>ec50a4b5-76c8-4bd7-98d0-1c656c905dfe</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
2135821758317135729	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Crypto</web>\n<name>SignatureClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>Signature Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>Crypto.SignatureClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<reference>\n<disabled>0</disabled>\n<name>reference</name>\n<number>1</number>\n<prettyName>Reference</prettyName>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</reference>\n<signature>\n<disabled>0</disabled>\n<name>signature</name>\n<number>2</number>\n<prettyName>Signature</prettyName>\n<rows>10</rows>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</signature>\n</class>\n<object>\n<name>Crypto.SignatureClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>3259373b-a612-42b5-a8a7-23f20f0f7230</guid>\n<property>\n<sheet>XWiki.ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
-5383120553170533097	1	1	2017-05-12 15:40:14		XWiki.superadmin	t	d16 1\na16 1\n<version>1.1</version>\nd22 1\na22 1\n<syntaxId>xwiki/2.1</syntaxId>\nd81 1\na81 1\n<content></content></xwikidoc>\n
6152552094868048244	1	1	2017-05-12 15:40:14		XWiki.superadmin	t	d8 1\na8 1\n<parent>XWiki.XWikiClasses</parent>\nd14 4\na17 4\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Preferences</title>\nd20 1\na20 1\n<comment></comment>\nd34 2\nd38 28\nd67 1462\na2323 1\n<object>\nd2326 2\na2327 2\n<className>XWiki.ClassSheetBinding</className>\n<guid>aa56d37b-4fc7-46de-91c3-adcab59c97f7</guid>\nd2329 1\na2329 1\n<sheet>AdminSheet</sheet>\nd2331 170\n
2451565597877872711	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiGroups</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Group Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.XWikiGroups</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<member>\n<disabled>0</disabled>\n<name>member</name>\n<number>1</number>\n<prettyName>Member</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</member>\n</class>\n<object>\n<name>XWiki.XWikiGroups</name>\n<number>0</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>a4030436-88c1-4b67-85fa-555d06a76838</guid>\n<property>\n<sheet>XWikiGroupSheet</sheet>\n</property>\n</object>\n<object>\n<name>XWiki.XWikiGroups</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>eaca9476-1822-4ce0-940c-574fa36a9778</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
8689884576300826369	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>WikiMacroClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Wiki Macro Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<object>\n<name>XWiki.WikiMacroClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>2804629d-7883-4590-9595-f3f52032866c</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
4921944235784876002	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiComments</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Comment Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.XWikiComments</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<author>\n<disabled>0</disabled>\n<name>author</name>\n<number>1</number>\n<prettyName>Author</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</author>\n<comment>\n<disabled>0</disabled>\n<name>comment</name>\n<number>5</number>\n<prettyName>Comment</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comment>\n<date>\n<dateFormat>dd/MM/yyyy HH:mm:ss</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>1</emptyIsToday>\n<name>date</name>\n<number>4</number>\n<picker>1</picker>\n<prettyName>Date</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</date>\n<highlight>\n<disabled>0</disabled>\n<name>highlight</name>\n<number>2</number>\n<prettyName>Highlighted Text</prettyName>\n<rows>2</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</highlight>\n<replyto>\n<disabled>0</disabled>\n<name>replyto</name>\n<number>3</number>\n<numberType>integer</numberType>\n<prettyName>Reply To</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</replyto>\n</class>\n<object>\n<name>XWiki.XWikiComments</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>7fe5a632-9c06-407e-91ce-f7682fa96044</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
-554466424095511523	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>SheetClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Sheet Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.SheetClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultEditMode>\n<disabled>0</disabled>\n<name>defaultEditMode</name>\n<number>1</number>\n<prettyName>Default Edit Mode</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultEditMode>\n</class>\n<object>\n<name>XWiki.SheetClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>50f873ad-73bd-42e5-8d63-696d65630c6b</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content>\n\nClass that should be used to recognize sheet pages.</content></xwikidoc>\n
-2027258495788856562	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiGlobalRights</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Global Rights Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.XWikiGlobalRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<object>\n<name>XWiki.XWikiGlobalRights</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>63e7c903-4fe3-4e23-a595-d8940453b9a6</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
-1983374675552171012	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiRights</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Rights Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<object>\n<name>XWiki.XWikiRights</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>dc3927fa-0892-4b48-aaa8-18b1586113fc</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
-4338134432282269332	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Crypto</web>\n<name>CertificateClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>Certificate Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>Crypto.CertificateClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<certificate>\n<disabled>0</disabled>\n<name>certificate</name>\n<number>5</number>\n<prettyName>Certificate</prettyName>\n<rows>10</rows>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</certificate>\n<issuer>\n<disabled>0</disabled>\n<name>issuer</name>\n<number>3</number>\n<prettyName>Issuer</prettyName>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</issuer>\n<keyid>\n<disabled>0</disabled>\n<name>keyid</name>\n<number>2</number>\n<prettyName>Key Identifier</prettyName>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</keyid>\n<serial>\n<disabled>0</disabled>\n<name>serial</name>\n<number>4</number>\n<prettyName>Serial</prettyName>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</serial>\n<subject>\n<disabled>0</disabled>\n<name>subject</name>\n<number>1</number>\n<prettyName>Subject</prettyName>\n<size>64</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</subject>\n</class>\n<object>\n<name>Crypto.CertificateClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>3b83dc2a-800e-4f83-b06e-f8213df9e1d1</guid>\n<property>\n<sheet>XWiki.ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
8280806279382841209	1	1	2017-05-12 15:40:14		XWiki.XWikiGuest	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>JavaScriptExtension</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.XWikiGuest</creator>\n<author>XWiki.XWikiGuest</author>\n<customClass></customClass>\n<contentAuthor>XWiki.XWikiGuest</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Javascript Extension Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<content>{{include reference="XWiki.ClassSheet" /}}</content></xwikidoc>\n
7502660614713494504	1	1	2017-05-12 15:40:14		XWiki.XWikiGuest	t	d16 1\na16 1\n<version>1.1</version>\nd59 16\n
7502660614713494504	2	1	2017-05-12 15:40:14		XWiki.XWikiGuest	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>StyleSheetExtension</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.XWikiGuest</creator>\n<author>XWiki.XWikiGuest</author>\n<customClass></customClass>\n<contentAuthor>XWiki.XWikiGuest</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>2.1</version>\n<title>XWiki Stylesheet Extension Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<content>{{include reference="XWiki.ClassSheet" /}}</content></xwikidoc>\n
-5383120553170533097	2	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>Mail</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>2.1</version>\n<title>Mail Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.Mail</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<html>\n<disabled>0</disabled>\n<name>html</name>\n<number>4</number>\n<prettyName>HTML</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</html>\n<language>\n<disabled>0</disabled>\n<name>language</name>\n<number>2</number>\n<prettyName>Language</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</language>\n<subject>\n<disabled>0</disabled>\n<name>subject</name>\n<number>1</number>\n<prettyName>Subject</prettyName>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</subject>\n<text>\n<disabled>0</disabled>\n<name>text</name>\n<number>3</number>\n<prettyName>Text</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</text>\n</class>\n<object>\n<name>XWiki.Mail</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>9e7567f5-9555-4575-9f4e-e4a6c1a82080</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content>{{include reference="XWiki.ClassSheet" /}}</content></xwikidoc>\n
4002432586482556095	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ComponentClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>Wiki Component XWiki Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.ComponentClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<roleHint>\n<disabled>0</disabled>\n<name>roleHint</name>\n<number>2</number>\n<prettyName>Component Role Hint</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</roleHint>\n<roleType>\n<disabled>0</disabled>\n<name>roleType</name>\n<number>1</number>\n<prettyName>Component Role Type</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</roleType>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>3</number>\n<prettyName>Component Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<content>{{include reference="XWiki.ClassSheet" /}}</content></xwikidoc>\n
8014433892540059386	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ComponentDependencyClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>Wiki Component Dependency XWiki Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.ComponentDependencyClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<bindingName>\n<disabled>0</disabled>\n<name>bindingName</name>\n<number>3</number>\n<prettyName>Binding name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</bindingName>\n<roleHint>\n<disabled>0</disabled>\n<name>roleHint</name>\n<number>2</number>\n<prettyName>Dependency Role Hint</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</roleHint>\n<roleType>\n<disabled>0</disabled>\n<name>roleType</name>\n<number>1</number>\n<prettyName>Dependency Role Type</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</roleType>\n</class>\n<content>{{include reference="XWiki.ClassSheet" /}}</content></xwikidoc>\n
3950935895566486277	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ComponentMethodClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>Wiki Component Method XWiki Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.ComponentMethodClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Method body code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Method name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<content>{{include reference="XWiki.ClassSheet" /}}</content></xwikidoc>\n
5127530157192024210	1	1	2017-05-12 15:40:14		XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ComponentInterfaceClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>Wiki Component Implements Interface XWiki Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.ComponentInterfaceClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Interface Qualified Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<content>{{include reference="XWiki.ClassSheet" /}}</content></xwikidoc>\n
8851766534120432454	1	1	2017-05-12 15:40:14		XWiki.XWikiGuest	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>UIExtensionClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.XWikiGuest</creator>\n<author>XWiki.XWikiGuest</author>\n<customClass></customClass>\n<contentAuthor>XWiki.XWikiGuest</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\n<title>UI Extension Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment></comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<content>{{include reference="XWiki.ClassSheet" /}}</content></xwikidoc>\n
-6338153801890216811	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.enterprise:xwiki-enterprise-ui-admin-user-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiAdminGroup</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiGroups</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1107117503000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.enterprise:xwiki-enterprise-ui-admin-user-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiGroups</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<member>\n<disabled>0</disabled>\n<name>member</name>\n<number>1</number>\n<prettyName>Member</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</member>\n</class>\n<name>XWiki.XWikiAdminGroup</name>\n<number>0</number>\n<className>XWiki.XWikiGroups</className>\n<guid>46d387f2-4d8d-446d-a618-8bfcb655ba18</guid>\n<property>\n<member>XWiki.Admin</member>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiGroups</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<member>\n<disabled>0</disabled>\n<name>member</name>\n<number>1</number>\n<prettyName>Member</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</member>\n</class>\n<name>XWiki.XWikiAdminGroup</name>\n<number>1</number>\n<className>XWiki.XWikiGroups</className>\n<guid>46d387f2-4d8d-446d-a618-8bfcb655ba18</guid>\n<property>\n<member></member>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.XWikiAdminGroup</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>9ccbd7ae-92f3-4a38-8eb2-455313d0b366</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup,</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n<property>\n<users></users>\n</property>\n</object>\n<content></content></xwikidoc>\n
3465529173222999850	2	1	2017-05-12 15:43:28	Install extension [org.xwiki.enterprise:xwiki-enterprise-ui-admin-user-7.1.2]	XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiAllGroup</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiGroups</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>2.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.enterprise:xwiki-enterprise-ui-admin-user-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiGroups</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<member>\n<disabled>0</disabled>\n<name>member</name>\n<number>1</number>\n<prettyName>Member</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</member>\n</class>\n<name>XWiki.XWikiAllGroup</name>\n<number>0</number>\n<className>XWiki.XWikiGroups</className>\n<guid>0b40f8b3-a992-4290-92b0-298f00dc16e6</guid>\n<property>\n<member>XWiki.Admin</member>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiGroups</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<member>\n<disabled>0</disabled>\n<name>member</name>\n<number>1</number>\n<prettyName>Member</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</member>\n</class>\n<name>XWiki.XWikiAllGroup</name>\n<number>1</number>\n<className>XWiki.XWikiGroups</className>\n<guid>2ab32578-80c7-484a-bc49-fab0b3570609</guid>\n<property>\n<member></member>\n</property>\n</object>\n<content></content></xwikidoc>\n
-8979042866941943737	1	1	2017-05-12 15:43:28	Install extension [org.phenotips:phenotips-default-settings-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>WebPreferences</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1444706794000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-default-settings-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiGlobalRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>PhenoTips.WebPreferences</name>\n<number>0</number>\n<className>XWiki.XWikiGlobalRights</className>\n<guid>d4465a15-0d73-417b-9954-a18270484d06</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
1981933541181149122	1	1	2017-05-12 15:43:28	Install extension [org.phenotips:phenotips-default-settings-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>data</web>\n<name>WebPreferences</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>data.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822176000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title>Administration</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-default-settings-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiGlobalRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>data.WebPreferences</name>\n<number>0</number>\n<className>XWiki.XWikiGlobalRights</className>\n<guid>440e18ea-88f9-482f-b29f-7b188a2f3b6c</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>edit,comment</levels>\n</property>\n<property>\n<users></users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>data.WebPreferences</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>495f0123-7456-46a8-b1ab-f98fb829711e</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup</groups>\n</property>\n<property>\n<levels>edit,delete,comment</levels>\n</property>\n<property>\n<users></users>\n</property>\n</object>\n<content></content></xwikidoc>\n
6152552094868048244	2	1	2017-05-12 15:43:28	Install extension [org.phenotips:phenotips-default-settings-1.2.6]	XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiPreferences</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>2.1</version>\n<title>Global Administration</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-default-settings-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.XWikiPreferences</name>\n<customClass></customClass>\n<customMapping>internal</customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<accessibility>\n<customDisplay></customDisplay>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>accessibility</name>\n<number>79</number>\n<prettyName>Enable extra accessibility features</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</accessibility>\n<admin_email>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>admin_email</name>\n<number>14</number>\n<picker>0</picker>\n<prettyName>Admin eMail</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</admin_email>\n<auth_active_check>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>auth_active_check</name>\n<number>31</number>\n<prettyName>Authentication Active Check</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</auth_active_check>\n<authenticate_edit>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>authenticate_edit</name>\n<number>7</number>\n<prettyName>Authenticate On Edit</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</authenticate_edit>\n<authenticate_view>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>authenticate_view</name>\n<number>5</number>\n<prettyName>Authenticated View</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</authenticate_view>\n<backlinks>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>backlinks</name>\n<number>25</number>\n<prettyName>Backlinks</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</backlinks>\n<colorTheme>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n{{html wiki="false" clean="false"}}\n#if ("$!value" == '')\n  #set ($value = '')\n#end\n&lt;select name="${object.getxWikiClass().name}_${object.number}_${name}" id="${object.getxWikiClass().name}_${object.number}_${name}"&gt;\n  #if ($editor != 'globaladmin')&lt;option value=""#if ($value == '') selected="selected"#end&gt;---&lt;/option&gt;#end\n#foreach($theme in $xwiki.wrapDocs($services.query.hql(", BaseObject as theme where doc.fullName=theme.name and theme.className='ColorThemes.ColorThemeClass' and doc.fullName&lt;&gt;'ColorThemes.ColorThemeTemplate' order by doc.title").execute()))\n  &lt;option value="$theme.fullName"#if ($theme.fullName.equals($value)) selected="selected"#end&gt;$theme.plainTitle&lt;/option&gt;\n#end\n&lt;/select&gt;\n{{/html}}\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>colorTheme</name>\n<number>76</number>\n<picker>0</picker>\n<prettyName>Color theme</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select doc.fullName, doc.title from XWikiDocument as doc, BaseObject as theme where doc.fullName=theme.name and (theme.className='ColorThemes.ColorThemeClass' or theme.className='FlamingoThemesCode.ThemeClass') and doc.fullName&lt;&gt;'ColorThemes.ColorThemeTemplate' and doc.fullName&lt;&gt;'FlamingoThemesCode.ThemeTemplate'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</colorTheme>\n<comment_anonymous>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>comment_anonymous</name>\n<number>39</number>\n<picker>1</picker>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</comment_anonymous>\n<comment_registered>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>comment_registered</name>\n<number>40</number>\n<picker>1</picker>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</comment_registered>\n<confirmation_email_content>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>confirmation_email_content</name>\n<number>16</number>\n<picker>0</picker>\n<prettyName>Confirmation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</confirmation_email_content>\n<core.defaultDocumentSyntax>\n<customDisplay>{{velocity}}\n{{html wiki="false" clean="false"}}\n#if ("$!value" == '')\n  #set ($value = $xwiki.getDefaultDocumentSyntax())\n#end\n&lt;select name="${object.getxWikiClass().name}_${object.number}_${name}" id="${object.getxWikiClass().name}_${object.number}_${name}"&gt;\n#set ($configuredSyntaxes = $xwiki.getConfiguredSyntaxes())\n#set ($availableParserSyntaxes = $services.rendering.getAvailableParserSyntaxes())\n##\n#foreach($syntax in $availableParserSyntaxes)\n  #if($configuredSyntaxes.contains($syntax.toIdString()))\n    &lt;option value="$syntax.toIdString()"#if($syntax.toIdString().equalsIgnoreCase($value)) selected="selected"#end&gt;$syntax.toString()&lt;/option&gt;\n  #end\n#end\n&lt;/select&gt;\n{{/html}}\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>core.defaultDocumentSyntax</name>\n<number>59</number>\n<picker>0</picker>\n<prettyName>Default document syntax</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</core.defaultDocumentSyntax>\n<dateformat>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>dateformat</name>\n<number>54</number>\n<picker>0</picker>\n<prettyName>Date Format</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</dateformat>\n<default_language>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>default_language</name>\n<number>20</number>\n<picker>0</picker>\n<prettyName>Default Language</prettyName>\n<size>5</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</default_language>\n<documentBundles>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>documentBundles</name>\n<number>52</number>\n<picker>0</picker>\n<prettyName>Internationalization Document Bundles</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</documentBundles>\n<edit_anonymous>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>edit_anonymous</name>\n<number>37</number>\n<picker>1</picker>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</edit_anonymous>\n<edit_registered>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>edit_registered</name>\n<number>38</number>\n<picker>1</picker>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</edit_registered>\n<editcomment>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>editcomment</name>\n<number>85</number>\n<prettyName>Enable version summary</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</editcomment>\n<editcomment_mandatory>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>editcomment_mandatory</name>\n<number>86</number>\n<prettyName>Make version summary mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</editcomment_mandatory>\n<editor>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>editor</name>\n<number>23</number>\n<picker>1</picker>\n<prettyName>Default Editor</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>Text|Wysiwyg</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</editor>\n<guest_comment_requires_captcha>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>guest_comment_requires_captcha</name>\n<number>77</number>\n<prettyName>Enable CAPTCHA in Comments for Unregistered Users</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</guest_comment_requires_captcha>\n<iconTheme>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>iconTheme</name>\n<number>73</number>\n<prettyName>Icon theme</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>1</size>\n<sql>select doc.fullName, propName.value from XWikiDocument as doc, BaseObject as theme, StringProperty propName where doc.fullName=theme.name and theme.className='IconThemesCode.IconThemeClass' and doc.fullName&lt;&gt;'IconThemesCode.IconThemeTemplate' and theme.id = propName.id and propName.name = 'name'</sql>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</iconTheme>\n<invitation_email_content>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>invitation_email_content</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>Invitation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</invitation_email_content>\n<javamail_extra_props>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>javamail_extra_props</name>\n<number>58</number>\n<picker>0</picker>\n<prettyName>Additional JavaMail properties</prettyName>\n<rows>6</rows>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</javamail_extra_props>\n<languages>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>languages</name>\n<number>49</number>\n<picker>0</picker>\n<prettyName>Supported languages</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</languages>\n<ldap>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap</name>\n<number>60</number>\n<prettyName>Ldap</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap>\n<ldap_UID_attr>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_UID_attr</name>\n<number>69</number>\n<picker>0</picker>\n<prettyName>Ldap UID attribute name</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_UID_attr>\n<ldap_base_DN>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_base_DN</name>\n<number>68</number>\n<picker>0</picker>\n<prettyName>Ldap base DN</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_base_DN>\n<ldap_bind_DN>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_bind_DN</name>\n<number>63</number>\n<picker>0</picker>\n<prettyName>Ldap login matching</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_bind_DN>\n<ldap_bind_pass>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_bind_pass</name>\n<number>64</number>\n<picker>0</picker>\n<prettyName>Ldap password matching</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_bind_pass>\n<ldap_exclude_group>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_exclude_group</name>\n<number>67</number>\n<picker>0</picker>\n<prettyName>Ldap group to exclude</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_exclude_group>\n<ldap_fields_mapping>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_fields_mapping</name>\n<number>70</number>\n<picker>0</picker>\n<prettyName>Ldap user fields mapping</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_fields_mapping>\n<ldap_group_mapping>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>ldap_group_mapping</name>\n<number>72</number>\n<picker>0</picker>\n<prettyName>Ldap groups mapping</prettyName>\n<rows>5</rows>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</ldap_group_mapping>\n<ldap_groupcache_expiration>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_groupcache_expiration</name>\n<number>73</number>\n<picker>0</picker>\n<prettyName>LDAP groups members cache</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_groupcache_expiration>\n<ldap_mode_group_sync>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>ldap_mode_group_sync</name>\n<number>74</number>\n<picker>0</picker>\n<prettyName>LDAP groups sync mode</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>|always|create</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</ldap_mode_group_sync>\n<ldap_port>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_port</name>\n<number>62</number>\n<picker>0</picker>\n<prettyName>Ldap server port</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_port>\n<ldap_server>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_server</name>\n<number>61</number>\n<picker>0</picker>\n<prettyName>Ldap server address</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_server>\n<ldap_trylocal>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_trylocal</name>\n<number>75</number>\n<prettyName>Try local login</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_trylocal>\n<ldap_update_user>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_update_user</name>\n<number>71</number>\n<prettyName>Update user from LDAP</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_update_user>\n<ldap_user_group>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_user_group</name>\n<number>66</number>\n<picker>0</picker>\n<prettyName>Ldap group filter</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_user_group>\n<ldap_validate_password>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_validate_password</name>\n<number>65</number>\n<prettyName>Validate Ldap user/password</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_validate_password>\n<leftPanels>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>leftPanels</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>Panels displayed on the left</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</leftPanels>\n<leftPanelsWidth>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>leftPanelsWidth</name>\n<number>74</number>\n<prettyName>Width of the left panel column</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Small|Medium|Large</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</leftPanelsWidth>\n<meta>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>meta</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>HTTP Meta Info</prettyName>\n<rows>5</rows>\n<size>40</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</meta>\n<minoredit>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>minoredit</name>\n<number>87</number>\n<prettyName>Enable minor edits</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</minoredit>\n<multilingual>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>multilingual</name>\n<number>19</number>\n<prettyName>Multi-Lingual</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</multilingual>\n<obfuscateEmailAddresses>\n<customDisplay></customDisplay>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>obfuscateEmailAddresses</name>\n<number>72</number>\n<prettyName>Obfuscate Email Addresses</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</obfuscateEmailAddresses>\n<parent>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>parent</name>\n<number>52</number>\n<picker>0</picker>\n<prettyName>Parent Space</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</parent>\n<plugins>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>plugins</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Plugins</prettyName>\n<size>40</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</plugins>\n<registration_anonymous>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>registration_anonymous</name>\n<number>35</number>\n<picker>1</picker>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</registration_anonymous>\n<registration_registered>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>registration_registered</name>\n<number>36</number>\n<picker>1</picker>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</registration_registered>\n<rightPanels>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>rightPanels</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>Panels displayed on the right</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</rightPanels>\n<rightPanelsWidth>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>rightPanelsWidth</name>\n<number>75</number>\n<prettyName>Width of the right panel column</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Small|Medium|Large</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</rightPanelsWidth>\n<showLeftPanels>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showLeftPanels</name>\n<number>46</number>\n<prettyName>Display the left panel column</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showLeftPanels>\n<showRightPanels>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showRightPanels</name>\n<number>47</number>\n<prettyName>Display the right panel column</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showRightPanels>\n<showannotations>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showannotations</name>\n<number>80</number>\n<prettyName>Show document annotations</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showannotations>\n<showattachments>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showattachments</name>\n<number>82</number>\n<prettyName>Show document attachments</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showattachments>\n<showcomments>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showcomments</name>\n<number>81</number>\n<prettyName>Show document comments</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showcomments>\n<showhistory>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showhistory</name>\n<number>83</number>\n<prettyName>Show document history</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showhistory>\n<showinformation>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showinformation</name>\n<number>84</number>\n<prettyName>Show document information</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showinformation>\n<skin>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>skin</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Skin</prettyName>\n<size>20</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</skin>\n<smtp_port>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_port</name>\n<number>55</number>\n<picker>0</picker>\n<prettyName>SMTP Port</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_port>\n<smtp_server>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_server</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>SMTP Server</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server>\n<smtp_server_password>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_server_password</name>\n<number>57</number>\n<picker>0</picker>\n<prettyName>Server password (optional)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server_password>\n<smtp_server_username>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_server_username</name>\n<number>56</number>\n<picker>0</picker>\n<prettyName>Server username (optional)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server_username>\n<stylesheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>stylesheet</name>\n<number>17</number>\n<picker>0</picker>\n<prettyName>Stylesheet</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</stylesheet>\n<stylesheets>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>stylesheets</name>\n<number>18</number>\n<picker>0</picker>\n<prettyName>Stylesheets</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</stylesheets>\n<tags>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>tags</name>\n<number>51</number>\n<prettyName>Activate the tagging</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</tags>\n<timezone>\n<customDisplay>{{velocity}}\n      #if ($xcontext.action == 'admin' || $xcontext.action == 'edit' || $xcontext.action == 'inline')\n        {{html}}\n          #if($xwiki.jodatime)\n            &lt;select id='$prefix$name' name='$prefix$name'&gt;\n              &lt;option value="" #if($value == $tz)selected="selected"#end&gt;$services.localization.render('XWiki.XWikiPreferences_timezone_default')&lt;/option&gt;\n              #foreach($tz in $xwiki.jodatime.getServerTimezone().getAvailableIDs())\n                &lt;option value="$tz" #if($value == $tz)selected="selected"#end&gt;$tz&lt;/option&gt;\n              #end\n            &lt;/select&gt;\n          #else\n            &lt;input id='$prefix$name' name='$prefix$name' type="text" value="$!value"/&gt;\n          #end\n        {{/html}}\n      #else\n        $value\n      #end\n      {{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>timezone</name>\n<number>71</number>\n<picker>0</picker>\n<prettyName>Timezone</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</timezone>\n<title>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>title</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Title</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</title>\n<upload_maxsize>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>upload_maxsize</name>\n<number>53</number>\n<numberType>long</numberType>\n<prettyName>Maximum Upload Size</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</upload_maxsize>\n<use_email_verification>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>use_email_verification</name>\n<number>24</number>\n<prettyName>Use eMail Verification</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</use_email_verification>\n<validation_email_content>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>validation_email_content</name>\n<number>15</number>\n<picker>0</picker>\n<prettyName>Validation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</validation_email_content>\n<version>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>version</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>Version</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</version>\n<webcopyright>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>webcopyright</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Web Copyright</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</webcopyright>\n<xwiki.title.mandatory>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>xwiki.title.mandatory</name>\n<number>78</number>\n<prettyName>Make document title field mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</xwiki.title.mandatory>\n</class>\n<object>\n<name>XWiki.XWikiPreferences</name>\n<number>0</number>\n<className>PhenoTips.PedigreeGlobalSettings</className>\n<guid>9fd37c41-b39b-41ce-8824-f45111f46987</guid>\n<property>\n<dateDisplayFormat>MDY</dateDisplayFormat>\n</property>\n<property>\n<dateInputFormat>YMD</dateInputFormat>\n</property>\n<property>\n<nonStandardAdoptedOutGraphic>0</nonStandardAdoptedOutGraphic>\n</property>\n<property>\n<probandIsSyncedWithPatient>1</probandIsSyncedWithPatient>\n</property>\n<property>\n<propagateFatherLastName>1</propagateFatherLastName>\n</property>\n</object>\n<object>\n<name>XWiki.XWikiPreferences</name>\n<number>0</number>\n<className>PhenoTips.PushPatientServer</className>\n<guid>9fd37c41-b39b-4bce-8824-f45161f36083</guid>\n<property>\n<description>PhenomeCentral is a repository for secure data sharing targeted to clinicians and scientists working in the rare disorder community. PhenomeCentral encourages global scientific collaboration while respecting the privacy of patients profiled in this centralized database.</description>\n</property>\n<property>\n<name>PhenomeCentral</name>\n</property>\n<property>\n<url>https://phenomecentral.org/</url>\n</property>\n</object>\n<object>\n<name>XWiki.XWikiPreferences</name>\n<number>0</number>\n<className>PhenoTips.ReceivePatientSettings</className>\n<guid>9fd37c41-b39b-4bce-8824-f45161f36987</guid>\n<property>\n<AllowPushesFromNonListedServers>1</AllowPushesFromNonListedServers>\n</property>\n</object>\n<object>\n<name>XWiki.XWikiPreferences</name>\n<number>0</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>aa56d37b-4fc7-46de-91c3-adcab59c97f7</guid>\n<property>\n<sheet>AdminSheet</sheet>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiGlobalRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.XWikiPreferences</name>\n<number>0</number>\n<className>XWiki.XWikiGlobalRights</className>\n<guid>369eb46f-6311-437b-a3a1-38755f324898</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup</groups>\n</property>\n<property>\n<levels>admin,comment,edit,undelete,delete,programming</levels>\n</property>\n<property>\n<users></users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiGlobalRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.XWikiPreferences</name>\n<number>1</number>\n<className>XWiki.XWikiGlobalRights</className>\n<guid>e9630277-a371-4228-8659-8a1abc7bacfa</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users></users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiGlobalRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.XWikiPreferences</name>\n<number>2</number>\n<className>XWiki.XWikiGlobalRights</className>\n<guid>4ab252d2-8d57-4135-a966-76aba09f9bc6</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups></groups>\n</property>\n<property>\n<levels>register</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiPreferences</name>\n<customClass></customClass>\n<customMapping>internal</customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<accessibility>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>accessibility</name>\n<number>12</number>\n<prettyName>Enable extra accessibility features</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</accessibility>\n<admin_email>\n<disabled>0</disabled>\n<name>admin_email</name>\n<number>20</number>\n<prettyName>Admin eMail</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</admin_email>\n<auth_active_check>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>auth_active_check</name>\n<number>6</number>\n<prettyName>Authentication Active Check</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</auth_active_check>\n<authenticate_edit>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>authenticate_edit</name>\n<number>4</number>\n<prettyName>Authenticated Edit</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</authenticate_edit>\n<authenticate_view>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>authenticate_view</name>\n<number>5</number>\n<prettyName>Authenticated View</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</authenticate_view>\n<backlinks>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>backlinks</name>\n<number>41</number>\n<prettyName>Activate the backlinks</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</backlinks>\n<colorTheme>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>colorTheme</name>\n<number>8</number>\n<prettyName>Color theme</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>1</size>\n<sql>select doc.fullName, doc.title from XWikiDocument as doc, BaseObject as theme where doc.fullName=theme.name and (theme.className='ColorThemes.ColorThemeClass' or theme.className='FlamingoThemesCode.ThemeClass') and doc.fullName&lt;&gt;'ColorThemes.ColorThemeTemplate' and doc.fullName&lt;&gt;'FlamingoThemesCode.ThemeTemplate'</sql>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</colorTheme>\n<comment_anonymous>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>comment_anonymous</name>\n<number>34</number>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</comment_anonymous>\n<comment_registered>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>comment_registered</name>\n<number>35</number>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</comment_registered>\n<confirmation_email_content>\n<disabled>0</disabled>\n<name>confirmation_email_content</name>\n<number>27</number>\n<prettyName>Confirmation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</confirmation_email_content>\n<core.defaultDocumentSyntax>\n<disabled>0</disabled>\n<name>core.defaultDocumentSyntax</name>\n<number>38</number>\n<prettyName>Default document syntax</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</core.defaultDocumentSyntax>\n<dateformat>\n<disabled>0</disabled>\n<name>dateformat</name>\n<number>18</number>\n<prettyName>Date Format</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</dateformat>\n<default_language>\n<disabled>0</disabled>\n<name>default_language</name>\n<number>3</number>\n<prettyName>Default Language</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</default_language>\n<documentBundles>\n<disabled>0</disabled>\n<name>documentBundles</name>\n<number>49</number>\n<prettyName>Internationalization Document Bundles</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</documentBundles>\n<edit_anonymous>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>edit_anonymous</name>\n<number>32</number>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</edit_anonymous>\n<edit_registered>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>edit_registered</name>\n<number>33</number>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</edit_registered>\n<editcomment>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>editcomment</name>\n<number>72</number>\n<prettyName>Enable version summary</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</editcomment>\n<editcomment_mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>editcomment_mandatory</name>\n<number>73</number>\n<prettyName>Make version summary mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</editcomment_mandatory>\n<editor>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>editor</name>\n<number>13</number>\n<prettyName>Default Editor</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Text|Wysiwyg</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</editor>\n<guest_comment_requires_captcha>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>select</displayType>\n<name>guest_comment_requires_captcha</name>\n<number>37</number>\n<prettyName>Enable CAPTCHA in Comments for Unregistered Users</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</guest_comment_requires_captcha>\n<iconTheme>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>iconTheme</name>\n<number>9</number>\n<prettyName>Icon theme</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>1</size>\n<sql>select doc.fullName, propName.value from XWikiDocument as doc, BaseObject as theme, StringProperty propName where doc.fullName=theme.name and theme.className='IconThemesCode.IconThemeClass' and doc.fullName&lt;&gt;'IconThemesCode.IconThemeTemplate' and theme.id = propName.id and propName.name = 'name'</sql>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</iconTheme>\n<invitation_email_content>\n<disabled>0</disabled>\n<name>invitation_email_content</name>\n<number>28</number>\n<prettyName>Invitation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</invitation_email_content>\n<javamail_extra_props>\n<disabled>0</disabled>\n<name>javamail_extra_props</name>\n<number>25</number>\n<prettyName>Additional JavaMail properties</prettyName>\n<rows>6</rows>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</javamail_extra_props>\n<languages>\n<disabled>0</disabled>\n<name>languages</name>\n<number>48</number>\n<prettyName>Supported languages</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</languages>\n<ldap>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap</name>\n<number>51</number>\n<prettyName>Ldap</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap>\n<ldap_UID_attr>\n<disabled>0</disabled>\n<name>ldap_UID_attr</name>\n<number>60</number>\n<prettyName>Ldap UID attribute name</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_UID_attr>\n<ldap_base_DN>\n<disabled>0</disabled>\n<name>ldap_base_DN</name>\n<number>59</number>\n<prettyName>Ldap base DN</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_base_DN>\n<ldap_bind_DN>\n<disabled>0</disabled>\n<name>ldap_bind_DN</name>\n<number>54</number>\n<prettyName>Ldap login matching</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_bind_DN>\n<ldap_bind_pass>\n<disabled>0</disabled>\n<name>ldap_bind_pass</name>\n<number>55</number>\n<prettyName>Ldap password matching</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_bind_pass>\n<ldap_exclude_group>\n<disabled>0</disabled>\n<name>ldap_exclude_group</name>\n<number>58</number>\n<prettyName>Ldap group to exclude</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_exclude_group>\n<ldap_fields_mapping>\n<disabled>0</disabled>\n<name>ldap_fields_mapping</name>\n<number>61</number>\n<prettyName>Ldap user fiels mapping</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_fields_mapping>\n<ldap_group_mapping>\n<disabled>0</disabled>\n<name>ldap_group_mapping</name>\n<number>63</number>\n<prettyName>Ldap groups mapping</prettyName>\n<rows>5</rows>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</ldap_group_mapping>\n<ldap_groupcache_expiration>\n<disabled>0</disabled>\n<name>ldap_groupcache_expiration</name>\n<number>64</number>\n<prettyName>LDAP groups members cache</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_groupcache_expiration>\n<ldap_mode_group_sync>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>ldap_mode_group_sync</name>\n<number>65</number>\n<prettyName>LDAP groups sync mode</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>|always|create</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</ldap_mode_group_sync>\n<ldap_port>\n<disabled>0</disabled>\n<name>ldap_port</name>\n<number>53</number>\n<prettyName>Ldap server port</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_port>\n<ldap_server>\n<disabled>0</disabled>\n<name>ldap_server</name>\n<number>52</number>\n<prettyName>Ldap server adress</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_server>\n<ldap_trylocal>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_trylocal</name>\n<number>66</number>\n<prettyName>Try local login</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_trylocal>\n<ldap_update_user>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_update_user</name>\n<number>62</number>\n<prettyName>Update user from LDAP</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_update_user>\n<ldap_user_group>\n<disabled>0</disabled>\n<name>ldap_user_group</name>\n<number>57</number>\n<prettyName>Ldap group filter</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_user_group>\n<ldap_validate_password>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_validate_password</name>\n<number>56</number>\n<prettyName>Validate Ldap user/password</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_validate_password>\n<leftPanels>\n<disabled>0</disabled>\n<name>leftPanels</name>\n<number>42</number>\n<prettyName>Panels displayed on the left</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</leftPanels>\n<leftPanelsWidth>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>leftPanelsWidth</name>\n<number>46</number>\n<prettyName>Width of the left panel column</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Small|Medium|Large</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</leftPanelsWidth>\n<meta>\n<disabled>0</disabled>\n<name>meta</name>\n<number>17</number>\n<prettyName>HTTP Meta Info</prettyName>\n<rows>8</rows>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</meta>\n<minoredit>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>minoredit</name>\n<number>74</number>\n<prettyName>Enable minor edits</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</minoredit>\n<multilingual>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>multilingual</name>\n<number>2</number>\n<prettyName>Multi-Lingual</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</multilingual>\n<obfuscateEmailAddresses>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>obfuscateEmailAddresses</name>\n<number>29</number>\n<prettyName>Obfuscate Email Addresses</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</obfuscateEmailAddresses>\n<parent>\n<disabled>0</disabled>\n<name>parent</name>\n<number>1</number>\n<prettyName>Parent Space</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</parent>\n<registration_anonymous>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>registration_anonymous</name>\n<number>30</number>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</registration_anonymous>\n<registration_registered>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>registration_registered</name>\n<number>31</number>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</registration_registered>\n<rightPanels>\n<disabled>0</disabled>\n<name>rightPanels</name>\n<number>43</number>\n<prettyName>Panels displayed on the right</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</rightPanels>\n<rightPanelsWidth>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>rightPanelsWidth</name>\n<number>47</number>\n<prettyName>Width of the right panel column</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Small|Medium|Large</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</rightPanelsWidth>\n<showLeftPanels>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showLeftPanels</name>\n<number>44</number>\n<prettyName>Display the left panel column</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showLeftPanels>\n<showRightPanels>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showRightPanels</name>\n<number>45</number>\n<prettyName>Display the right panel column</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showRightPanels>\n<showannotations>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showannotations</name>\n<number>67</number>\n<prettyName>Show document annotations</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showannotations>\n<showattachments>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showattachments</name>\n<number>69</number>\n<prettyName>Show document attachments</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showattachments>\n<showcomments>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showcomments</name>\n<number>68</number>\n<prettyName>Show document comments</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showcomments>\n<showhistory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showhistory</name>\n<number>70</number>\n<prettyName>Show document history</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showhistory>\n<showinformation>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showinformation</name>\n<number>71</number>\n<prettyName>Show document information</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showinformation>\n<skin>\n<disabled>0</disabled>\n<name>skin</name>\n<number>7</number>\n<prettyName>Skin</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</skin>\n<smtp_port>\n<disabled>0</disabled>\n<name>smtp_port</name>\n<number>22</number>\n<prettyName>SMTP Port</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_port>\n<smtp_server>\n<disabled>0</disabled>\n<name>smtp_server</name>\n<number>21</number>\n<prettyName>SMTP Server</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server>\n<smtp_server_password>\n<disabled>0</disabled>\n<name>smtp_server_password</name>\n<number>24</number>\n<prettyName>Server password (optional)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server_password>\n<smtp_server_username>\n<disabled>0</disabled>\n<name>smtp_server_username</name>\n<number>23</number>\n<prettyName>Server username (optional)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server_username>\n<stylesheet>\n<disabled>0</disabled>\n<name>stylesheet</name>\n<number>10</number>\n<prettyName>Default Stylesheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</stylesheet>\n<stylesheets>\n<disabled>0</disabled>\n<name>stylesheets</name>\n<number>11</number>\n<prettyName>Alternative Stylesheet</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</stylesheets>\n<tags>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>tags</name>\n<number>40</number>\n<prettyName>Activate the tagging</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</tags>\n<timezone>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'inline' || $xcontext.action == 'edit')\n  {{html}}\n    #if($xwiki.jodatime)\n      &lt;select id='$prefix$name' name='$prefix$name'&gt;\n        &lt;option value="" #if($value == $tz)selected="selected"#end&gt;$services.localization.render('XWiki.XWikiPreferences_timezone_default')&lt;/option&gt;\n        #foreach($tz in $xwiki.jodatime.getServerTimezone().getAvailableIDs())\n          &lt;option value="$tz" #if($value == $tz)selected="selected"#end&gt;$tz&lt;/option&gt;\n        #end\n      &lt;/select&gt;\n    #else\n      &lt;input id='$prefix$name' name='$prefix$name' type="text" value="$!value"/&gt;\n    #end\n  {{/html}}\n#else\n  $!value\n#end\n{{/velocity}}\n</customDisplay><disabled>0</disabled>\n<name>timezone</name>\n<number>50</number>\n<prettyName>Timezone</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</timezone>\n<title>\n<disabled>0</disabled>\n<name>title</name>\n<number>15</number>\n<prettyName>Title</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</title>\n<upload_maxsize>\n<disabled>0</disabled>\n<name>upload_maxsize</name>\n<number>36</number>\n<numberType>long</numberType>\n<prettyName>Maximum Upload Size</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</upload_maxsize>\n<use_email_verification>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>use_email_verification</name>\n<number>19</number>\n<prettyName>Use eMail Verification</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</use_email_verification>\n<validation_email_content>\n<disabled>0</disabled>\n<name>validation_email_content</name>\n<number>26</number>\n<prettyName>Validation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</validation_email_content>\n<version>\n<disabled>0</disabled>\n<name>version</name>\n<number>16</number>\n<prettyName>Version</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</version>\n<webcopyright>\n<disabled>0</disabled>\n<name>webcopyright</name>\n<number>14</number>\n<prettyName>Copyright</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</webcopyright>\n<xwiki.title.mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>xwiki.title.mandatory</name>\n<number>39</number>\n<prettyName>Make document title field mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</xwiki.title.mandatory>\n</class>\n<name>XWiki.XWikiPreferences</name>\n<number>0</number>\n<className>XWiki.XWikiPreferences</className>\n<guid>a2464e0e-d798-467c-8f3e-8ae4443cd4fe</guid>\n<property>\n<accessibility>0</accessibility>\n</property>\n<property>\n<admin_email></admin_email>\n</property>\n<property>\n<authenticate_edit>0</authenticate_edit>\n</property>\n<property>\n<authenticate_view>0</authenticate_view>\n</property>\n<property>\n<colorTheme>ColorThemes.Blue</colorTheme>\n</property>\n<property>\n<comment_anonymous>---</comment_anonymous>\n</property>\n<property>\n<comment_registered>---</comment_registered>\n</property>\n<property>\n<confirmation_email_content>#set ($wikiname = $request.serverName)\n#set ($host = ${request.getRequestURL()})\n#set ($host = ${host.substring(0, ${host.indexOf('/', ${mathtool.add(${host.indexOf('//')}, 2)})})})\nSubject: Your account on ${wikiname} has been activated\n\nHello ${xwiki.getUserName("$xwikiname", false)},\n\nYour account on ${wikiname} has been successfully activated. You can now login at ${host}${xwiki.getURL('XWiki.XWikiLogin', 'login')} using your username (${xwiki.getDocument($xwikiname).getName()}).</confirmation_email_content>\n</property>\n<property>\n<core.defaultDocumentSyntax>xwiki/2.1</core.defaultDocumentSyntax>\n</property>\n<property>\n<dateformat></dateformat>\n</property>\n<property>\n<default_language>en</default_language>\n</property>\n<property>\n<documentBundles>PhenoTips.Translations</documentBundles>\n</property>\n<property>\n<edit_anonymous>---</edit_anonymous>\n</property>\n<property>\n<edit_registered>---</edit_registered>\n</property>\n<property>\n<editcomment>0</editcomment>\n</property>\n<property>\n<editcomment_mandatory></editcomment_mandatory>\n</property>\n<property>\n<editor>Text</editor>\n</property>\n<property>\n<iconTheme>IconThemes.FontAwesome</iconTheme>\n</property>\n<property>\n<invitation_email_content></invitation_email_content>\n</property>\n<property>\n<languages></languages>\n</property>\n<property>\n<leftPanels></leftPanels>\n</property>\n<property>\n<meta>&lt;meta name="revisit-after" content="7 days" /&gt;\n&lt;meta name="description" content="$escapetool.xml($!tdoc.plainTitle)" /&gt;\n#set($keywords = "wiki,$!doc.getTags()")\n&lt;meta name="keywords" content="$escapetool.xml($keywords.replaceAll('[|,]', ' ').trim())" /&gt;\n&lt;meta name="rating" content="General" /&gt;\n&lt;meta name="author" content="$escapetool.xml($!xwiki.getUserName($doc.getAuthor(), false))" /&gt;\n## We verify that we don't display RSS feeds on the login page since it causes problems if these feeds are\n## protected. In addition it makes the login redirect to the feeds page in some cases.\n#if($doc.fullName != "XWiki.XWikiLogin")\n&lt;link rel="alternate" type="application/rss+xml" title="Wiki Feed RSS" href="$xwiki.getURL('Main.WebRss', 'view', 'xpage=rdf')" /&gt;\n&lt;link rel="alternate" type="application/rss+xml" title="Blog RSS Feed" href="$xwiki.getURL('Blog.GlobalBlogRss', 'view', 'xpage=plain')" /&gt;\n#end\n$xwiki.ssx.use($xwiki.getSpacePreference('colorTheme'))</meta>\n</property>\n<property>\n<minoredit>0</minoredit>\n</property>\n<property>\n<multilingual>0</multilingual>\n</property>\n<property>\n<plugins></plugins>\n</property>\n<property>\n<registration_anonymous>---</registration_anonymous>\n</property>\n<property>\n<registration_registered>---</registration_registered>\n</property>\n<property>\n<rightPanels>Panels.QuickLinks,Panels.MyRecentModifications</rightPanels>\n</property>\n<property>\n<showLeftPanels>0</showLeftPanels>\n</property>\n<property>\n<showRightPanels>0</showRightPanels>\n</property>\n<property>\n<showannotations>0</showannotations>\n</property>\n<property>\n<showattachments>0</showattachments>\n</property>\n<property>\n<showcomments>1</showcomments>\n</property>\n<property>\n<showhistory>0</showhistory>\n</property>\n<property>\n<showinformation>0</showinformation>\n</property>\n<property>\n<skin>PhenoTips.Skin</skin>\n</property>\n<property>\n<smtp_port></smtp_port>\n</property>\n<property>\n<smtp_server>127.0.0.1</smtp_server>\n</property>\n<property>\n<smtp_server_password></smtp_server_password>\n</property>\n<property>\n<smtp_server_username></smtp_server_username>\n</property>\n<property>\n<stylesheet>style.css</stylesheet>\n</property>\n<property>\n<stylesheets>style.css</stylesheets>\n</property>\n<property>\n<title>#if ($doc.name != 'WebHome')$tdoc.getRenderedTitle("plain/1.0") | #{end}$!xwiki.getDocument("$!{doc.space}.WebHome").getRenderedTitle("plain/1.0")</title>\n</property>\n<property>\n<upload_maxsize>33554432</upload_maxsize>\n</property>\n<property>\n<validation_email_content>#set ($wikiname = $request.serverName)\n#set ($host = ${request.getRequestURL()})\n#set ($host = ${host.substring(0, ${host.indexOf('/', ${mathtool.add(${host.indexOf('//')}, 2)})})})\nSubject: Validate your account on ${wikiname}\n\nHello ${xwiki.getUserName("XWiki.$xwikiname", false)},\n\nThis email address was used to register a new account on ${wikiname}. If you did not make the request, please ignore this message.\n\nIn order to activate your account, please follow this link:\n${host}${xwiki.getURL('XWiki.AccountValidation', 'view', "validkey=${validkey}&amp;xwikiname=${xwikiname}")}</validation_email_content>\n</property>\n<property>\n<version>&lt;a href="http://phenotips.org"&gt;PhenoTips&lt;/a&gt; version $!{services.distribution.distributionExtension.id.version}</version>\n</property>\n<property>\n<webcopyright>Reproducing or distributing this clinical information without permission from the institution that owns it is strictly forbidden.</webcopyright>\n</property>\n<property>\n<xwiki.title.mandatory>0</xwiki.title.mandatory>\n</property>\n</object>\n<content></content></xwikidoc>\n
-4526159677276379501	1	1	2017-05-12 15:43:28	Install extension [org.phenotips:phenotips-default-settings-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>Admin</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.UserDirectory</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822150000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-default-settings-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>false</hidden>\n<object>\n<name>XWiki.Admin</name>\n<number>0</number>\n<className>XWiki.ConfigurationClass</className>\n<guid>eee70e7f-fd35-4603-b4f5-b4b001926edf</guid>\n<property>\n<property>phenotips_mapping</property>\n</property>\n<property>\n<value></value>\n</property>\n</object>\n<object>\n<name>XWiki.Admin</name>\n<number>0</number>\n<className>XWiki.WatchListClass</className>\n<guid>80df91dd-cd7d-4542-aae0-869c692a93ed</guid>\n<property>\n<automaticwatch>NONE</automaticwatch>\n</property>\n<property>\n<interval></interval>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.Admin</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>82b92228-ee18-4bdc-8ce5-9b05f131c215</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n<property>\n<users>XWiki.Admin</users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiUsers</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<accessibility>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>accessibility</name>\n<number>16</number>\n<prettyName>Enable extra accessibility features</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</accessibility>\n<active>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>active</displayType>\n<name>active</name>\n<number>6</number>\n<prettyName>Active</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</active>\n<address>\n<disabled>0</disabled>\n<name>address</name>\n<number>22</number>\n<prettyName>Address</prettyName>\n<rows>3</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</address>\n<avatar>\n<disabled>0</disabled>\n<name>avatar</name>\n<number>20</number>\n<prettyName>Avatar</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</avatar>\n<blog>\n<disabled>0</disabled>\n<name>blog</name>\n<number>9</number>\n<prettyName>Blog</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</blog>\n<blogfeed>\n<disabled>0</disabled>\n<name>blogfeed</name>\n<number>10</number>\n<prettyName>Blog Feed</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</blogfeed>\n<comment>\n<disabled>0</disabled>\n<name>comment</name>\n<number>11</number>\n<prettyName>Comment</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comment>\n<company>\n<disabled>0</disabled>\n<name>company</name>\n<number>8</number>\n<prettyName>Company</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</company>\n<default_language>\n<disabled>0</disabled>\n<name>default_language</name>\n<number>7</number>\n<prettyName>Default Language</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</default_language>\n<displayHiddenDocuments>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>displayHiddenDocuments</name>\n<number>17</number>\n<prettyName>Display Hidden Documents</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</displayHiddenDocuments>\n<editor>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>editor</name>\n<number>14</number>\n<prettyName>Default Editor</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Text|Wysiwyg</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</editor>\n<email>\n<disabled>0</disabled>\n<name>email</name>\n<number>3</number>\n<prettyName>e-Mail</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationRegExp>/^(([^@\\s]+)@((?:[-a-zA-Z0-9]+\\.)+[a-zA-Z]{2,}))?$/</validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.EmailClass</classType>\n</email>\n<first_name>\n<disabled>0</disabled>\n<name>first_name</name>\n<number>1</number>\n<prettyName>First Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</first_name>\n<imaccount>\n<disabled>0</disabled>\n<name>imaccount</name>\n<number>13</number>\n<prettyName>imaccount</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</imaccount>\n<imtype>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>imtype</name>\n<number>12</number>\n<prettyName>IM Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|AIM|Yahoo|Jabber|MSN|Skype|ICQ</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</imtype>\n<last_name>\n<disabled>0</disabled>\n<name>last_name</name>\n<number>2</number>\n<prettyName>Last Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</last_name>\n<password>\n<disabled>0</disabled>\n<name>password</name>\n<number>4</number>\n<prettyName>Password</prettyName>\n<size>10</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.PasswordClass</classType>\n</password>\n<phone>\n<disabled>0</disabled>\n<name>phone</name>\n<number>21</number>\n<prettyName>Phone</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</phone>\n<skin>\n<disabled>0</disabled>\n<name>skin</name>\n<number>19</number>\n<prettyName>skin</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</skin>\n<timezone>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'inline' || $xcontext.action == 'edit')\n  {{html}}\n    #if($xwiki.jodatime)\n      &lt;select id='$prefix$name' name='$prefix$name'&gt;\n        &lt;option value="" #if($value == $tz)selected="selected"#end&gt;$services.localization.render('XWiki.XWikiPreferences_timezone_default')&lt;/option&gt;\n        #foreach($tz in $xwiki.jodatime.getServerTimezone().getAvailableIDs())\n          &lt;option value="$tz" #if($value == $tz)selected="selected"#end&gt;$tz&lt;/option&gt;\n        #end\n      &lt;/select&gt;\n    #else\n      &lt;input id='$prefix$name' name='$prefix$name' type="text" value="$!value"/&gt;\n    #end\n  {{/html}}\n#else\n  $!value\n#end\n{{/velocity}}\n</customDisplay><disabled>0</disabled>\n<name>timezone</name>\n<number>18</number>\n<prettyName>Timezone</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</timezone>\n<usertype>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>usertype</name>\n<number>15</number>\n<prettyName>User type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Simple|Advanced</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</usertype>\n<validkey>\n<disabled>0</disabled>\n<name>validkey</name>\n<number>5</number>\n<prettyName>Validation Key</prettyName>\n<size>10</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.PasswordClass</classType>\n</validkey>\n</class>\n<name>XWiki.Admin</name>\n<number>0</number>\n<className>XWiki.XWikiUsers</className>\n<guid>2b725080-26f0-4e3c-bf93-59c2d316c47c</guid>\n<property>\n<accessibility></accessibility>\n</property>\n<property>\n<active>1</active>\n</property>\n<property>\n<address></address>\n</property>\n<property>\n<avatar></avatar>\n</property>\n<property>\n<blog></blog>\n</property>\n<property>\n<blogfeed></blogfeed>\n</property>\n<property>\n<comment>This is the default administrative account.</comment>\n</property>\n<property>\n<company>http://phenotips.org/</company>\n</property>\n<property>\n<default_language></default_language>\n</property>\n<property>\n<displayHiddenDocuments>1</displayHiddenDocuments>\n</property>\n<property>\n<editor>---</editor>\n</property>\n<property>\n<email>support@phenotips.org</email>\n</property>\n<property>\n<first_name>Administrator</first_name>\n</property>\n<property>\n<imaccount></imaccount>\n</property>\n<property>\n<imtype>---</imtype>\n</property>\n<property>\n<last_name></last_name>\n</property>\n<property>\n<password>hash:SHA-512:c7ad44cbad762a5da0a452f9e854fdc1e0e7a52a38015f23f3eab1d80b931dd472634dfac71cd34ebc35d16ab7fb8a90c81f975113d6c7538dc69dd8de9077ec</password>\n</property>\n<property>\n<phone></phone>\n</property>\n<property>\n<skin></skin>\n</property>\n<property>\n<timezone></timezone>\n</property>\n<property>\n<usertype>Advanced</usertype>\n</property>\n</object>\n<content></content></xwikidoc>\n
7422949170092154145	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>Registration</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502205000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title>Registration</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.Registration</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultRedirect>\n<disabled>0</disabled>\n<name>defaultRedirect</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Redirect here after registration</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultRedirect>\n<heading>\n<disabled>0</disabled>\n<name>heading</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Registration page heading</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</heading>\n<liveValidation_defaultFieldOkMessage>\n<disabled>0</disabled>\n<name>liveValidation_defaultFieldOkMessage</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Default field okay message</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</liveValidation_defaultFieldOkMessage>\n<liveValidation_enabled>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>liveValidation_enabled</name>\n<number>3</number>\n<prettyName>Enable Javascript field validation</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</liveValidation_enabled>\n<loginButton_autoLogin_enabled>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>loginButton_autoLogin_enabled</name>\n<number>6</number>\n<prettyName>Enable automatic login</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</loginButton_autoLogin_enabled>\n<loginButton_enabled>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>loginButton_enabled</name>\n<number>5</number>\n<prettyName>Enable login button</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</loginButton_enabled>\n<registrationSuccessMessage>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>registrationSuccessMessage</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Registration Successful Message</prettyName>\n<rows>12</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</registrationSuccessMessage>\n<requireCaptcha>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>requireCaptcha</name>\n<number>8</number>\n<prettyName>Require captcha to register</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</requireCaptcha>\n<welcomeMessage>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>welcomeMessage</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Welcome message</prettyName>\n<rows>12</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</welcomeMessage>\n</class>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.Registration</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>23d370d6-8619-45f5-b8b9-80ebbe2e303c</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup,xwiki:XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content>{{velocity}}\n## The registration is enabled:\n## - on the main wiki\n## - on a subwiki if there is no service "$services.wiki.user"\n## - on a subwiki where the user scope allows local users\n#if($xcontext.isMainWiki() || "$!services.wiki.user" == '' || $services.wiki.user.getUserScope() != "GLOBAL_ONLY")\n  ## These are defined in other places around XWiki, changing them here will result in undefined behavior.\n  #set($redirectParam = 'xredirect')\n  #set($userSpace = 'XWiki.')\n  #set($loginPage = 'XWiki.XWikiLogin')\n  #set($loginAction = 'loginsubmit')\n  ##\n  #set($documentName = 'XWiki.Registration')\n  ##\n  ## Security measure:\n  ## If this document is changed such that it must have programming permission in order to run, change this to false.\n  #set($sandbox = true)\n  ##\n  ## Load the configuration from a seperate document.\n  #loadConfig('XWiki.RegistrationConfig')\n  ##\n  ## Defines what server generated error messages should look like\n  ## The error message when a field is entered incorrectly\n  #set($failureMessageParams = { 'class' : 'LV_validation_message LV_invalid'})\n  ## 'LV_validation_message LV_invalid' depends on this:\n  $xwiki.get('ssfx').use('uicomponents/widgets/validation/livevalidation.css', true)\n  ##\n  ## The * next to the fields to denote they are mandatory.\n  #set($fieldMandatoryStar = { 'class' : 'xRequired'})\n  ##\n  #*\n   * You may include this document in other documents using {{include reference="XWiki.Registration"/}}\n   * To specify that the user is invited and should be allowed to register even if Guest does not have permission to\n   * register, set $invited to true. NOTE: The including script must have programming permission to do this.\n   *\n   * To specify some code which should run after registration is successfully completed, set\n   * $doAfterRegistration to a define block of velocity code like so:\n   * #define($doAfterRegistration)\n   *   some code\n   * #end\n   * Output from running this code will not be printed.\n   *\n   * The fields which will be seen on the registration page are defined here.\n   * $fields is an array and each field is a Map. The names shown below are Map keys.\n   *\n   * Each field must have:\n   *   name - this is the name of the field, it will be the value for "name" and "id"\n   *\n   * Each field may have:\n   *   label - this String will be written above the field.\n   *\n   *   tag - the HTML tag which will be created, default is &lt;input&gt;, may also be a non form tag such as &lt;img&gt;\n   *\n   *   params - a Map, each key value pair will be in the html tag. eg: {"size" : "30"} becomes &lt;input size=30...\n   *\n   *   validate a Map describing how to validate the field, validation is done in javascript then redone in velocity\n   *   |        for security and because not everyone has javascript.\n   *   |\n   *   +-mandatory (Optional) - Will fail if the field is not filled in.\n   *   | +-failureMessage (Required) - The message to display if the field is not filled in.\n   *   | +-noscript (Optional) - will not be checked by javascript\n   *   |\n   *   +-regex (Optional) - Will validate the field using a regular expression.\n   *   | |                  because of character escaping, you must provide a different expression for the\n   *   | |                  javascript validation and the server side validation. Both javascript and server side\n   *   | |                  validation are optional, but if you provide neither, then your field will not be validated.\n   *   | |\n   *   | +-failureMessage (Optional) - The message to display if the regex evaluation returns false.\n   *   | +-jsFailureMessage (Optional) - The message for Javascript to display if regex fails.\n   *   | |                               If jsFailureMessage is not defined Javascript uses failureMessage.\n   *   | |                               NOTE: Javascript injects the failure message using createTextNode so &amp;lt; will\n   *   | |                                     be displayed as &amp;lt;\n   *   | |\n   *   | +-pattern (Optional) - The regular expression to test the input at the server side, it's important to use\n   *   | |                      this if you need to validate the field for security reasons, also it is good because not\n   *   | |                      all browsers use javascript or have it enabled.\n   *   | |\n   *   | +-jsPattern (Optional) - The regular expression to use for client side, you can use escaped characters to avoid\n   *   | |                        them being parsed as HTML or javascript. To get javascript to unescape characters use:\n   *   | |                        {"jsPattern" : "'+unescape('%5E%5B%24')+'"}\n   *   | |                        NOTE: If no jsPattern is specified, the jsValidator will try to validate\n   *   | |                              using the server pattern.\n   *   | |\n   *   | +-noscript (Optional) - will not be checked by javascript\n   *   |\n   *   +-mustMatch (Optional) - Will fail if the entry into the field is not the same as the entry in another field.\n   *   | |                      Good for password confirmation.\n   *   | |\n   *   | +-failureMessage (Required) - The message to display if the field doesn't match the named field.\n   *   | +-name (Required) - The name of the field which this field must match.\n   *   | +-noscript (Optional) - will not be checked by javascript\n   *   |\n   *   +-programmaticValidation (Optional) - This form of validation executes a piece of code which you give it and\n   *   | |                                   if the code returns the word "failed" then it gives the error message.\n   *   | |                                   Remember to put the code in singel quotes ('') because you want the value\n   *   | |                                   of 'code' to equal the literal code, not the output from running it.\n   *   | |\n   *   | +-code (Required) - The code which will be executed to test whether the field is filled in correctly.\n   *   | +-failureMessage (Required) - The message which will be displayed if evaluating the code returns "false"\n   *   |\n   *   +-fieldOkayMessage (Optional) - The message which is displayed by LiveValidation when a field is validated as okay.\n   *                                   If not specified, will be $defaultFieldOkayMessage\n   *\n   *   noReturn - If this is specified, the field will not be filled in if there is an error and the user has to fix their\n   *              registration information. If you don't want a password to be passed back in html then set this true\n   *              for the password fields. Used for the captcha because it makes no sense to pass back a captcha answer.\n   *\n   *   doAfterRegistration - Some Velocity code which will be executed after a successfull registration.\n   *                         This is used in the favorite color example.\n   *                         Remember to put the code in singel quotes ('') because you want the 'code' entry to equal the literal\n   *                         code, not the output from running it.\n   *\n   * Each field may not have: (reserved names)\n   *   error - This is used to pass back any error message from the server side code.\n   *\n   * NOTE: This template uses a registration method which requires:\n   *        * register_first_name\n   *        * register_last_name\n   *        * xwikiname\n   *        * register_password\n   *        * register2_password\n   *        * register_email\n   *        * template\n   *       Removing or renaming any of these fields will result in undefined behavior.\n   *\n   *###\n  #set($fields = [])\n  ##\n  ## The first name field, no checking.\n  #set($field =\n    {'name' : 'register_first_name',\n      'label' : $services.localization.render('core.register.firstName'),\n      'params' : {\n        'type' : 'text',\n        'size' : '60'\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  ## The last name field, no checking.\n  #set($field =\n    {'name' : 'register_last_name',\n      'label' : $services.localization.render('core.register.lastName'),\n      'params' : {\n        'type' : 'text',\n        'size' : '60'\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  ## The user name field, mandatory and programmatically checked to make sure the username doesn't exist.\n  #set($field =\n    {'name' : 'xwikiname',\n      'label' : $services.localization.render('core.register.username'),\n      'params' : {\n        'type' : 'text',\n        'onfocus' : 'prepareName(document.forms.register);',\n        'size' : '60'\n      },\n      'validate' : {\n        'mandatory' : {\n          'failureMessage' : $services.localization.render('core.validation.required.message')\n        },\n        'programmaticValidation' : {\n          'code' : '#nameAvailable($request.get("xwikiname"))',\n          'failureMessage' : $services.localization.render('core.register.userAlreadyExists')\n        }\n      }\n    })\n  #set($discard = $fields.add($field))\n  ## Make sure the chosen user name is not already taken\n  ## This macro is called by programmaticValidation for xwikiname (above)\n  #macro(nameAvailable, $name)\n    #if($xwiki.exists("$userSpace$name"))\n      failed\n    #end\n  #end\n  ##\n  ##The password field, mandatory and must be at least 6 characters long.\n  #set($field =\n    {'name' : 'register_password',\n      'label' : $services.localization.render('core.register.password'),\n      'params' : {\n        'type' : 'password',\n        'autocomplete' : 'off',\n        'size' : '60'\n      },\n      'validate' : {\n        'mandatory' : {\n          'failureMessage' : $services.localization.render('core.validation.required.message')\n        },\n        'regex' : {\n          'pattern' : '/.{6,}/',\n          'failureMessage' : $services.localization.render('xe.admin.registration.passwordTooShort')\n        }\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  ##The confirm password field, mandatory, must match password field, and must also be 6+ characters long.\n  #set($field =\n    {'name' : 'register2_password',\n      'label' : $services.localization.render('core.register.passwordRepeat'),\n      'params' : {\n        'type' : 'password',\n        'autocomplete' : 'off',\n        'size' : '60'\n      },\n      'validate' : {\n        'mandatory' : {\n          'failureMessage' : $services.localization.render('core.validation.required.message')\n        },\n        'mustMatch' : {\n          'name' : 'register_password',\n          'failureMessage' : $services.localization.render('xe.admin.registration.passwordMismatch')\n        },\n        'regex' : {\n          'pattern' : '/.{6,}/',\n          'failureMessage' : $services.localization.render('xe.admin.registration.passwordTooShort')\n        }\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  ## The email address field, regex checked with an email pattern. Mandatory if registration uses email verification\n  #set($field =\n    {'name' : 'register_email',\n      'label' : $services.localization.render('core.register.email'),\n      'params' : {\n        'type' : 'text',\n        'size' : '60'\n      },\n      'validate' : {\n        'regex' : {\n          'pattern' : '/^([^@\\s]+)@((?:[-a-zA-Z0-9]+\\.)+[a-zA-Z]{2,})$/',\n          'failureMessage' : $services.localization.render('xe.admin.registration.invalidEmail')\n        }\n      }\n    })\n  #if($xwiki.getXWikiPreferenceAsInt('use_email_verification', 0) == 1)\n    #set($field.validate.mandatory = {'failureMessage' : $services.localization.render('core.validation.required.message')})\n  #end\n  #set($discard = $fields.add($field))\n  ##\n  #*********\n  ## Uncomment this code to see an example of how you can easily add a field to the registration page\n  ## NOTE: In order to save the favorite color in the "doAfterRegistration" hook, this page must be\n  ## saved by an administrator and can not self sandboxing.\n  #set($sandbox = false)\n  #set($field =\n    {'name' : 'favorite_color',\n      'label' : 'What is your favorite color',\n      'params' : {\n        'type' : 'text',\n        'size' : '60'\n      },\n      'validate' : {\n        'mandatory' : {\n          'failureMessage' : $services.localization.render('core.validation.required.message')\n        },\n        'regex' : {\n          'pattern' : '/^green$/',\n          'failureMessage' : 'You are not cool enough to register here.'\n        },\n        'fieldOkayMessage' : 'You are awesome.'\n      },\n      'doAfterRegistration' : '#saveFavoriteColor()'\n    })\n  #set($discard = $fields.add($field))\n  ## Save the user's favorite color on their user page.\n  #macro(saveFavoriteColor)\n    #set($xwikiname = $request.get('xwikiname'))\n    #set($userDoc = $xwiki.getDocument("$userSpace$xwikiname"))\n    $userDoc.setContent("$userDoc.getContent() ${xwikiname}'s favorite color is $request.get('favorite_color')!")\n    ## The user (who is not yet logged in) can't save documents so saveWithProgrammingRights\n    ## will save the document as long as the user who last saved this registration page has programming rights.\n    $userDoc.saveWithProgrammingRights("Saved favorite color from registration form.")\n  #end\n  *********###\n  ##\n  ## To disable the captcha on this page, comment out the next two entries.\n  ## The captcha image, not an input field but still defined the same way.\n  #if($captchaservice\n      &amp;&amp; !$invited\n      &amp;&amp; $xcontext.getUser() == "XWiki.XWikiGuest"\n      &amp;&amp; $requireCaptcha)\n    ## Empty label field used for padding.\n    ## Empty 'name' field overriddes name="captcha_image" with "" so name is not specified at all.\n    #set($field =\n      {'name' : 'captcha_image',\n        'label' : "&lt;span class='hidden'&gt;$services.localization.render('core.captcha.image.label')&lt;/span&gt;",\n        'tag' : 'img',\n        'params' : {\n          'src' : $doc.getURL('imagecaptcha'),\n          'alt' : $services.localization.render('core.captcha.image.alternateText', [$services.localization.render('core.register.submit')]),\n          'name' : ''\n        }\n      })\n    #set($discard = $fields.add($field))\n    ## The captcha field, mandatory, programmatically checked to make sure the captcha is right\n    ## Not checked by javascript because javascript can't check the captcha and the Ok message because it passes the\n    ## mandatory test is misleading.\n    ## and not filled back in if there is an error ('noReturn')\n    #set($field =\n      {'name' : 'captcha_answer',\n        'label' : $services.localization.render('core.captcha.image.instruction'),\n        'params' : {\n          'type' : 'text',\n          'size' : '60'\n        },\n        'validate' : {\n          'mandatory' : {\n            'failureMessage' : $services.localization.render('core.captcha.captchaAnswerIsWrong'),\n            'noscript' : true\n          },\n          'programmaticValidation' : {\n            'code' : '#checkCaptcha($request, $request.get("captcha_answer"))',\n            'failureMessage' : $services.localization.render('core.captcha.captchaAnswerIsWrong')\n          }\n        },\n        'noReturn' : true\n      })\n    #set($discard = $fields.add($field))\n  #end\n  ##\n  ## Checks the captcha answer; used by programmaticValidation above.\n  #macro(checkCaptcha, $request, $answer)\n    #set($cv = $captchaservice.getCaptchaVerifier('image'))\n    #if(!$cv.isAnswerCorrect($cv.getUserId($request), $answer))\n      failed\n    #end\n  #end\n  ##\n  ## Pass the name of the template to $xwiki.createUser so any contained information will be passed in.\n  #set($field =\n    {'name' : 'template',\n      'params' : {\n        'type' : 'hidden',\n        'value' : 'XWiki.XWikiUserTemplate'\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  ## Pass the redirect parameter on so that the login page may redirect to the right place.\n  ## Not necessary in Firefox 3.0.10 or Opera 9.64, I don't know about IE or Safari.\n  #set($field =\n    {'name' : $redirectParam,\n      'params' : {\n        'type' : 'hidden'\n      }\n    })\n  #set($discard = $fields.add($field))\n  ##\n  #######################################################################\n  ## The Code.\n  #######################################################################\n  ##\n  #if($useLiveValidation)\n    $xwiki.get('jsfx').use('uicomponents/widgets/validation/livevalidation_prototype.js')\n    $xwiki.get('ssfx').use('uicomponents/widgets/validation/livevalidation.css', true)\n  #end\n  ## This application's HTML is dynamically generated and editing in WYSIWYG would not work\n  #if($xcontext.getAction() == 'edit')\n    $response.sendRedirect("$xwiki.getURL($doc.getFullName(), 'edit')?editor=wiki")\n  #end\n  ##\n  ## If this document has PR and is not included from another document then it's author should be set to Guest\n  ## for the duration of it's execution in order to improve security.\n  ## Note we compare document ids because\n  #if($sandbox\n      &amp;&amp; $xcontext.hasProgrammingRights()\n      &amp;&amp; $xcontext.getDoc().getDocumentReference().equals($xwiki.getDocument($documentName).getDocumentReference()))\n  ##\n    $xcontext.dropPermissions()##\n  #end\n  ##\n  ## Access level to register must be explicitly checked because it is only checked in XWiki.prepareDocuments\n  ## and this page is accessible through view action.\n  #if(!$xcontext.hasAccessLevel('register', 'XWiki.XWikiPreferences'))\n    ## Make an exception if another document with programming permission (Invitation app) has included this\n    ## document and set $invited to true.\n    #if(!$invited || !$xcontext.hasProgrammingRights())\n      $response.sendRedirect("$xwiki.getURL($doc.getFullName(), 'login')")\n    #end\n  #end\n  ## If this is true, then assume the registration page is being viewed inside of a lightbox\n  #if($request.get('xpage'))\n    #set($assumeLightbox = true)\n  #end\n  ##\n  ## Display the heading\n  $heading\n  ## If the submit button has been pressed, then we test the input and maybe create the user.\n  #if($request.getParameter('xwikiname'))\n    ## Do server side validation of input fields.\n    ## This must not be in a #set directive as it will output messages if something goes wrong.\n    #validateFields($fields, $request)\n    ## If server side validation was successfull, create the user\n    #if(!$registrationFailed)\n      #createUser($fields, $request, $response, $doAfterRegistration)\n    #end\n  #end\n  ## If the registration was not successful or if the user hasn't submitted the info yet\n  ## Then we display the registration form.\n  #if(!$registrationDone)\n    $welcomeMessage\n\n    {{html wiki=false}}\n      &lt;form id="register" action="$xwiki.relativeRequestURL" method="post" class="xform half"&gt;\n      &lt;div&gt;\n      &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n      #set ($userDirectoryReference = $services.model.createDocumentReference('', 'Main', 'UserDirectory'))\n      #if ($xwiki.exists($userDirectoryReference))\n        &lt;input type="hidden" name="parent" value="$!{services.model.serialize($userDirectoryReference, 'default')}" /&gt;\n      #end\n      #generateHtml($fields, $fieldMandatoryStar, $failureMessageParams)\n      &lt;div class="wikimodel-emptyline"&gt;&lt;/div&gt;\n      &lt;span class="buttonwrapper"&gt;\n      #if($assumeLightbox)\n        ## LightBox detected...\n        &lt;script type="text/javascript"&gt;\n          ## Make the X button not reload the page. (overriding LbClose)\n          window.lb.lbClose = function() {\n            this.lbHide();\n            this.lbClearData();\n            ##return false;\n          }\n          ## Post the form entry to the page and load the result. (we override lbSaveForm)\n          window.lb.lbSaveForm = function() {\n            var formParams = Form.serialize(this.form);\n            Form.disable(this.form);\n            var ajaxRequest = new Ajax.Request(this.saveUrl, {\n              parameters: formParams,\n              asynchronous: false\n            });\n            window.lb.lbFormDataLoaded(ajaxRequest.transport);\n          }\n        &lt;/script&gt;\n        ## It doesn't really matter where these are, the scripts will be relocated to the head.\n        &lt;!-- com.xpn.xwiki.plugin.skinx.CssSkinFileExtensionPlugin --&gt;\n        &lt;!-- com.xpn.xwiki.plugin.skinx.JsSkinFileExtensionPlugin --&gt;\n        ##\n        &lt;input class="button" type="submit" value="$services.localization.render('save')" onclick="window.lb.lbSaveForm();"/&gt;\n        &lt;/span&gt;#* End ButtonWrapper then start another...*#&lt;span class="buttonwrapper"&gt;\n        &lt;input class="button secondary" type="submit" value="$services.localization.render("cancel")" onclick="Form.disable(window.lb.form); window.lb.lbClose();"/&gt;\n      #else\n        ## Not using the LightBox\n        &lt;input type="submit" value="$services.localization.render('core.register.submit')" class="button"/&gt;\n      #end\n      &lt;/span&gt;## ButtonWrapper\n      &lt;/div&gt;\n      &lt;/form&gt;\n      #if($useLiveValidation)\n        #generateJavascript($fields)\n      #end\n    {{/html}}\n\n    ##\n    ## Allow permitted users to configure this application.\n    #if($xcontext.getUser() != 'XWiki.XWikiGuest' &amp;&amp; $xcontext.hasAccessLevel("edit", $documentName))\n      [[{{translation key="xe.admin.registration.youCanConfigureRegistrationHere"/}}&gt;&gt;XWiki.XWikiPreferences?section=Registration&amp;editor=globaladmin#HCustomizeXWikiRegistration]]\n      {{html}}&lt;a href="$xwiki.getURL($documentName, 'edit', 'editor=wiki')"&gt;$services.localization.render('xe.admin.registration.youCanConfigureRegistrationFieldsHere')&lt;/a&gt;{{/html}}\n    #end\n  ## If the registration is done (successful) and we detect the Lightbox simply send the user back to the original page.\n  #elseif($assumeLightbox)\n    {{html clean=false wiki=false}}\n      &lt;script type="text/javascript"&gt;\n          var url = window.lb.redirectUrl;\n          window.lb.lbClose;\n          if (url != undefined) {\n            if(window.location.pathname + window.location.search == url) {\n              ## Under certain circumstances (bug) Opera will not load a page if the location is the same as the current page.\n              ## In these cases, location.reload() doesn't work either, the only solution (I could find) was to change the URL.\n              window.location.href = url + "&amp;";\n            } else {\n              window.location.href = url;\n            }\n          }\n      &lt;/script&gt;\n    {{/html}}\n  #end\n#else\n  ## The registration is not allowed on the subwiki\n  ## Redirecting to main wiki's registration page since local user registration is not allowed.\n  #set($mainWikiRegisterPageReference = $services.model.createDocumentReference($services.wiki.mainWikiId, 'XWiki', 'Register'))\n  #set($temp = $response.sendRedirect($xwiki.getURL($mainWikiRegisterPageReference, 'register', $request.queryString)))\n#end\n##\n####### The Macros (nothing below this point is run directly) #########\n#*\n * Server side validation, this is necessary for security and because not everyone has Javascript\n *\n * @param $fields The array of fields to validate.\n * @param $request An XWikiRequest object which made the register request, used to get parameters.\n *###\n#macro(validateFields, $fields, $request)\n  #foreach($field in $fields)\n    #if($field.get('validate') &amp;&amp; $field.get('name'))\n      #set($fieldName = $field.get('name'))\n      #set($validate = $field.get('validate'))\n      #set($error = '')\n      #set($value = $request.get($fieldName))\n      #if($value &amp;&amp; $value != '')\n        ##\n        ## mustMatch validation\n        #if($error == '' &amp;&amp; $validate.get('mustMatch'))\n          #set($mustMatch = $validate.get('mustMatch'))\n          #if($mustMatch.get('name') &amp;&amp; $mustMatch.get('failureMessage'))\n            #if($request.get($fieldName) != $request.get($mustMatch.get('name')))\n              #set($error = $mustMatch.get('failureMessage'))\n            #end\n          #else\n            ERROR: In field: ${fieldName}: mustMatch validation required both name \n                   (of field which this field must match) and failureMessage.\n          #end\n        #end\n        ##\n        ## Regex validation\n        ## We won't bother with regex validation if there is no entry, that would defeat the purpose of 'mandatory'\n        #if($error == '' &amp;&amp; $validate.get('regex') &amp;&amp; $value &amp;&amp; $value != '')\n          #set($regex = $validate.get('regex'))\n          #if($regex.get('pattern') &amp;&amp; $regex.get('failureMessage'))\n            ## Make Java regexes more compatible with Perl/js style regexes by removing leading and trailing /\n            #if($regex.get('pattern').length() &gt; 1)\n              #set($pattern = $regex.get('pattern'))\n              #if($pattern.lastIndexOf('/') &lt; $pattern.length() - 1)\n                  ERROR: In field: ${fieldName}: regex validation does not allow flags after the /, please fix [${pattern}].\n              #end\n              #set($pattern = $pattern.substring($mathtool.add(1, $pattern.indexOf('/')), $pattern.lastIndexOf('/')))\n            #else\n              ## I don't expect this but want to maintain compatibility.\n              #set($pattern = $regex.get('pattern'))\n            #end\n            #if($regextool.find($value, $pattern).isEmpty())\n              #set($error = $regex.get('failureMessage'))\n            #end\n          #elseif($regex.get('pattern'))\n            ERROR: In field: ${fieldName}: regex validation must include failureMessage.\n          #end\n        #end\n        ##\n        ## If regex and mustMatch validation passed, try programmatic validation\n        #if($error == '' &amp;&amp; $validate.get('programmaticValidation'))\n          #set($pv = $validate.get('programmaticValidation'))\n          #if($pv.get('code') &amp;&amp; $pv.get('failureMessage'))\n            #set($pvReturn = "#evaluate($pv.get('code'))")\n            #if($pvReturn.indexOf('failed') != -1)\n              #set($error = $pv.get('failureMessage'))\n            #end\n          #else\n            ERROR: In field: ${fieldName}: programmaticValidation requires code and failureMessage\n          #end\n        #end\n      #else\n        ##\n        ## If no content, check if content is mandatory\n        #if($validate.get('mandatory'))\n          #set($mandatory = $validate.get('mandatory'))\n          #if($mandatory.get('failureMessage'))\n            #set($error = $mandatory.get('failureMessage'))\n          #else\n            ERROR: In field: ${fieldName}: mandatory validation requires a failureMessage\n          #end\n        #end\n      #end\n      #if($error != '')\n        #set($discard = $field.put('error', $error))\n        #set($registrationFailed = true)\n      #end\n    #elseif(!$field.get('name'))\n      ERROR: Field with no name.\n    #end##if(validate)\n  #end##loop\n#end##macro\n#*\n * Create the user.\n * Calls $xwiki.createUser to create a new user.\n *\n * @param $request An XWikiRequest object which made the register request.\n * @param $response The XWikiResponse object to send any redirects to.\n * @param $doAfterRegistration code block to run after registration completes successfully.\n *###\n#macro(createUser, $fields, $request, $response, $doAfterRegistration)\n  ## CSRF check\n  #if(${services.csrf.isTokenValid("$!{request.getParameter('form_token')}")})\n    ## See if email verification is required and register the user.\n    #if($xwiki.getXWikiPreferenceAsInt('use_email_verification', 0) == 1)\n      #set($reg = $xwiki.createUser(true))\n    #else\n      #set($reg = $xwiki.createUser(false))\n    #end\n  #else\n    $response.sendRedirect("$!{services.csrf.getResubmissionURL()}")\n  #end\n  ##\n  ## Handle output from the registration.\n  #if($reg &amp;&amp; $reg &lt;= 0)\n    {{error}}\n    #if($reg == -2)\n      {{translation key="core.register.passwordMismatch"/}}\n    ## -3 means username taken, -8 means username is superadmin name\n    #elseif($reg == -3 || $reg == -8)\n      {{translation key="core.register.userAlreadyExists"/}}\n    #elseif($reg == -4)\n      {{translation key="core.register.invalidUsername"/}}\n    #else\n      {{translation key="core.register.registerFailed" parameters="$reg"/}}\n    #end\n    {{/error}}\n  #elseif($reg)\n  ## Registration was successful\n    #set($registrationDone = true)\n    ##\n    ## If there is any thing to "doAfterRegistration" then do it.\n    #foreach($field in $fields)\n      #if($field.get('doAfterRegistration'))\n        #evaluate($field.get('doAfterRegistration'))\n      #end\n    #end\n    ## If there is a "global" doAfterRegistration, do that as well.\n    ## Calling toString() on a #define block will execute it and we discard the result.\n    #set($discard = $doAfterRegistration.toString())\n    ##\n    ## Define some strings which may be used by autoLogin or loginButton\n    #set($userName = $!request.get('xwikiname'))\n    #set($password = $!request.get('register_password'))\n    #set($loginURL = $xwiki.getURL($loginPage, $loginAction))\n    #if("$!request.getParameter($redirectParam)" != '')\n      #set($redirect = $request.getParameter($redirectParam))\n    #else\n      #set($redirect = $defaultRedirect)\n    #end\n    ## Display a "registration successful" message\n\n    #evaluate($registrationSuccessMessage)\n\n    ## Empty line prevents message from being forced into a &lt;p&gt; block.\n\n    ## Give the user a login button which posts their username and password to loginsubmit\n    #if($loginButton)\n\n      {{html clean=false wiki=false}}\n        &lt;form id="loginForm" action="$loginURL" method="post"&gt;\n          &lt;div class="centered"&gt;\n          &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n          &lt;input id="j_username" name="j_username" type="hidden" value="$escapetool.xml($!userName)" /&gt;\n          &lt;input id="j_password" name="j_password" type="hidden" value="$escapetool.xml($!password)" /&gt;\n          &lt;input id="$redirectParam" name="$redirectParam" type="hidden" value="$escapetool.xml($redirect)" /&gt;\n          &lt;span class="buttonwrapper"&gt;\n            &lt;input type="submit" value="$services.localization.render('login')" class="button"/&gt;\n          &lt;/span&gt;\n          &lt;/div&gt;\n        &lt;/form&gt;\n        ## We don't want autoLogin if we are administrators adding users...\n        #if($autoLogin &amp;&amp; !$assumeLightbox)\n          &lt;script type='text/javascript'&gt;\n            document.observe('xwiki:dom:loaded', function() {\n              document.forms['loginForm'].submit();\n            });\n          &lt;/script&gt;\n        #end\n      {{/html}}\n\n    #end\n  #end\n  ##\n#end## createUser Macro\n#*\n * Generate HTML form, this is the only place where HTML is written.\n *\n * @param $fields The array of fields to use for generating html code.\n * @param $fieldMandatoryStar The tag parameters for a * indicating a mandatory field.\n * @param $failureMessageParams The tag parameters for a failure message.\n *###\n#macro(generateHtml, $fields, $fieldMandatoryStar, $failureMessageParams)\n  ## Put the same values back into the fields.\n  #getParams($fields)\n  ##\n  &lt;dl&gt;\n  #foreach($field in $fields)\n    #if($field.get('name'))\n      #set($fieldName = $field.get('name'))\n      #if($field.get('label'))\n        #set($label = $field.get('label'))\n        &lt;dt&gt;&lt;label for="$fieldName"&gt;$label\n        #if($field.get('validate').get('mandatory'))\n          &lt;span ##\n          #foreach($entry in $fieldMandatoryStar.entrySet())\n            $entry.getKey()="$entry.getValue()" ##\n          #end\n          &gt;$services.localization.render('core.validation.required')&lt;/span&gt;\n        #end\n          &lt;/label&gt;\n        &lt;/dt&gt;\n      #end\n      ## If no tag then default tag is &lt;input&gt;\n      #if($field.get('tag'))\n        #set($tag = $field.get('tag'))\n      #else\n        #set($tag = 'input')\n      #end\n      &lt;dd&gt;&lt;$tag id="$fieldName" ##\n      #set($params = $field.get('params'))\n      ## If no name parameter is spacified, then we use the field name\n      #if(!$params.get('name'))\n        #set($discard = $params.put('name', $fieldName))\n      #end\n      #foreach($entry in $params.entrySet())\n        ## If a parameter is specified as '' then we don't include it.\n        #if($entry.getValue() != '')\n          $entry.getKey()="$escapetool.xml($entry.getValue())" ##\n        #end\n      #end\n      &gt;&lt;/$tag&gt;\n      #if($field.get('error'))\n        &lt;span ##\n        #foreach($entry in $failureMessageParams.entrySet())\n          $entry.getKey()="$entry.getValue()" ##\n        #end\n        &gt;$field.get('error')&lt;/span&gt;\n      #end\n      &lt;/dd&gt;\n    #else\n      ERROR: Field with no name.\n    #end##if fieldName exists\n  #end\n  &lt;/dl&gt;\n#end\n#*\n * Generate the Javascript for interacting with LiveValidation.\n *\n * @param $fields The array of fields which to validate.\n *###\n#macro(generateJavascript, $fields)\n  &lt;script type='text/javascript'&gt;\n  /* &lt;![CDATA[ */\n  document.observe('xwiki:dom:loaded', function() {\n  ##\n  #foreach($field in $fields)\n    #if($field.get('validate') &amp;&amp; $field.get('name'))\n      #set($validate = $field.get('validate'))\n      #if(($validate.get('mandatory') &amp;&amp; !$validate.get('mandatory').get('noscript'))\n          || ($validate.get('regex') &amp;&amp; !$validate.get('regex').get('noscript'))\n          || ($validate.get('mustMatch') &amp;&amp; !$validate.get('mustMatch').get('noscript')))\n        #set($fieldName = $field.get('name'))\n        #if($validate.get('fieldOkayMessage'))\n          #set($okayMessage = $validate.get('fieldOkayMessage'))\n        #else\n          #set($okayMessage = $defaultFieldOkayMessage)\n        #end\n        var ${fieldName}Validator = new LiveValidation("$fieldName", { validMessage: "$okayMessage", wait: 500} );\n        ##\n        #if($validate.get('mandatory'))\n          #set($mandatory = $validate.get('mandatory'))\n          #if($mandatory.get('failureMessage') &amp;&amp; !$mandatory.get('noscript'))\n            ${fieldName}Validator.add( Validate.Presence, { failureMessage: "$!mandatory.get('failureMessage')"} );\n          #end\n        #end\n        ##\n        #if($validate.get('mustMatch'))\n          #set($mustMatch = $validate.get('mustMatch'))\n          #if($mustMatch.get('name') &amp;&amp; $mustMatch.get('failureMessage')  &amp;&amp; !$mustMatch.get('noscript'))\n            ${fieldName}Validator.add( Validate.Confirmation, { match: $$("input[name=$!mustMatch.get('name')]")[0], failureMessage: "$!mustMatch.get('failureMessage')"} );\n          #end\n        #end\n        ##\n        #if($validate.get('regex'))\n          #set($regex = $validate.get('regex'))\n          #set($pattern = "")\n          #if($regex.get('jsPattern'))\n            #set($pattern = $regex.get('jsPattern'))\n          #elseif($regex.get('pattern'))\n            #set($pattern = $regex.get('pattern'))\n          #end\n          #set($failMessage = "")\n          #if($regex.get('jsFailureMessage'))\n            #set($failMessage = $regex.get('jsFailureMessage'))\n          #elseif($regex.get('failureMessage'))\n            #set($failMessage = $regex.get('failureMessage'))\n          #end          \n          #if($pattern != '' &amp;&amp; $failMessage != '' &amp;&amp; !$regex.get('noscript'))\n            ${fieldName}Validator.add( Validate.Format, { pattern: $pattern, failureMessage: "$failMessage"} );\n          #end\n        #end##if regex\n      #end##if contains js validateable fields.\n    #end##if validate\n  #end##loop\n    });// ]]&gt;\n    &lt;/script&gt;\n#end##macro\n#*\n * Get parameters from request so that values will be filled in if there is a mistake\n * in one of the entries. Entries will be returned to fields[n].params.value\n * Fields will not be returned if they have either noReturn or error specified.\n *\n * @param $fields The array of fields to get parameters for.\n *###\n#macro(getParams $fields)\n  #foreach($field in $fields)\n    #if($field.get('name') &amp;&amp; $request.get($field.get('name')))\n      #if(!$field.get('noReturn') &amp;&amp; !$field.get('error'))\n        #if(!$field.get('params'))\n          #set($params = {})\n          #set($discard = $field.put('params', $params))\n        #else\n          #set($params = $field.get('params'))\n        #end\n        #set($discard = $params.put('value', $request.get($field.get('name'))))\n      #end\n    #end\n  #end\n#end\n#*\n * Get the configuration from the configuration object.\n *\n * @param $configDocumentName The name of the document to get the configuration from.\n *###\n#macro(loadConfig, $configDocumentName)\n  #set($configDocument = $xwiki.getDocument($configDocumentName))\n  #if(!$configDocument || !$configDocument.getObject($documentName))\n    ## No config document, load defaults.\n    #set($heading = "$services.localization.render('core.register.title')")\n    #set($welcomeMessage = "$services.localization.render('core.register.welcome')")\n    #set($useLiveValidation = true)\n    #set($defaultFieldOkayMessage = "$services.localization.render('core.validation.valid.message')")\n    #set($loginButton = true)\n    #set($defaultRedirect = "$xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))")\n    #set($userFullName = "$request.get('register_first_name') $request.get('register_last_name')")\n    #set($registrationSuccessMessage = '{{info}}$services.localization.render("core.register.successful", ["[[${userFullName}&gt;&gt;${userSpace}${userName}]]", ${userName}]){{/info}}')\n  #else\n    #set($configObject = $configDocument.getObject($documentName))\n    #if ($xcontext.action == 'register')\n      #set ($heading = "(% id='document-title'%)((( = #evaluate($configObject.getProperty('heading').getValue()) = )))(%%)")\n    #else\n      #set ($heading = "= #evaluate($configObject.getProperty('heading').getValue()) =")\n    #end\n    #set($welcomeMessage = "#evaluate($configObject.getProperty('welcomeMessage').getValue())")\n    #if($configObject.getProperty('liveValidation_enabled').getValue() == 1)\n      #set($useLiveValidation = true)\n    #end\n    #set($defaultFieldOkayMessage = "#evaluate($configObject.getProperty('liveValidation_defaultFieldOkMessage').getValue())")\n    #if($configObject.getProperty('loginButton_enabled').getValue() == 1)\n      #set($loginButton = true)\n    #end\n    #if($configObject.getProperty('loginButton_autoLogin_enabled').getValue() == 1)\n      #set($autoLogin = true)\n    #end\n    #set($defaultRedirect = "#evaluate($configObject.getProperty('defaultRedirect').getValue())")\n    #set($registrationSuccessMessage = "$configObject.getProperty('registrationSuccessMessage').getValue()")\n    #if($configObject.getProperty('requireCaptcha').getValue() == 1)\n      #set($requireCaptcha = true)\n    #end\n  #end\n#end\n{{/velocity}}</content></xwikidoc>\n
-8701433653500044187	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminTemplatesSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiPreferences</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502208000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title>Admin Templates Sheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n(% class="xform half" %)(((\n== {{translation key="admin.templates.createprovider"/}} ==\n\n{{html}}\n  &lt;form action="$doc.getURL('create')" method="post"&gt;\n    &lt;dl&gt;\n      &lt;dt&gt;&lt;label for="space"&gt;$services.localization.render('admin.templates.createprovider.space')&lt;/label&gt;&lt;/dt&gt;\n      &lt;dd&gt;&lt;input type="text" id="space" name="space" value="XWiki" size="8"/&gt;&lt;/dd&gt;\n      &lt;dt&gt;&lt;label for="page"&gt;$services.localization.render('admin.templates.createprovider.page')&lt;/label&gt;&lt;/dt&gt;\n      &lt;dd&gt;&lt;input type="text" id="page" name="page" value="$services.localization.render('admin.templates.createprovider.defaultdocname')" class="withTip"'/&gt;&lt;/dd&gt;\n    &lt;/dl&gt;\n    &lt;div class="buttons"&gt;\n      &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n      &lt;input type="hidden" name="parent" value="XWiki.TemplateProviderClass"/&gt;\n      &lt;input type="hidden" name="template" value="XWiki.TemplateProviderTemplate"/&gt;\n      &lt;span class="buttonwrapper"&gt;&lt;input id="createTemplateProvider" type="submit" value="$services.localization.render('admin.templates.createprovider.create')" class="button"/&gt;&lt;/span&gt;\n    &lt;/div&gt;\n  &lt;/form&gt;\n{{/html}}\n#set($availableProviders = $services.query.hql(", BaseObject obj where doc.fullName=obj.name and obj.className='XWiki.TemplateProviderClass' and doc.fullName!='XWiki.TemplateProviderTemplate'").execute())\n#if($availableProviders.size() &gt; 0)\n\n== {{translation key="admin.templates.providerslist"/}} ==\n\n  #foreach($providerFullname in $availableProviders)\n    * [[$xwiki.getDocument($providerFullname).getTitle()&gt;&gt;$providerFullname]]\n  #end\n#end\n)))\n{{/velocity}}</content></xwikidoc>\n
2461139466596661835	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ColorThemePropertyDisplayer</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1410941687000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n################################\n## Display an &lt;option&gt; line\n################################\n#macro(displayLine $theme)\n  #set($themeDoc = $xwiki.getDocument($theme))\n  #set($fullName = $themeDoc.fullName)\n  &lt;option value="$fullName"#if ($fullName.equals($value)) selected="selected"#end&gt;$themeDoc.plainTitle&lt;/option&gt;\n#end\n################################\n## Display lines for a skin\n################################\n#macro(displaySkinLines $themes $name)\n  #if(!$themes.empty())\n    &lt;optgroup label="$name"&gt;\n    #foreach($theme in $themes)\n      #displayLine($theme)\n    #end\n    &lt;/optgroup&gt;\n  #end\n#end\n################################\n## Displayer\n################################\n{{html}}\n  &lt;select name="${prefix}${name}" id="${prefix}${name}"&gt;\n    #if ($editor != 'globaladmin')\n      &lt;option value=""#if ("$!value" == '') selected="selected"#end&gt;---&lt;/option&gt;\n    #end\n    ## Display the Flamingo themes\n    #set($xwql = "from doc.object(FlamingoThemesCode.ThemeClass) obj WHERE doc.fullName &lt;&gt; 'FlamingoThemesCode.ThemeTemplate' ORDER BY doc.name")\n    #set($themes = $services.query.xwql($xwql).execute())\n    #displaySkinLines($themes, $services.localization.render('admin.colorthemes.flamingothemes'))\n    ## Display the Colibri themes\n    #set($xwql = "from doc.object(ColorThemes.ColorThemeClass) obj WHERE doc.fullName &lt;&gt; 'ColorThemes.ColorThemeTemplate' ORDER BY doc.name")\n    #set($themes = $services.query.xwql($xwql).execute())\n    #displaySkinLines($themes, $services.localization.render('admin.colorthemes.colibrithemes'))\n  &lt;/select&gt;\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
3403794038997772041	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiGroupSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiGroups</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502206000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.XWikiGroupSheet</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>6e43f145-6962-4b17-a268-f85890a2c00c</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>(function() {\n  var addMembers = function(event) {\n    event &amp;&amp; event.stop();\n    var form = event.element().form;\n    if (form.select('ul.accepted-suggestions li').length == 0 &amp;&amp; $('userInput').value.strip() == ''\n      &amp;&amp; $('groupInput').value.strip() == '') {\n      // Nothing to add.\n      return;\n    }\n    new Ajax.Request(form.action, {\n      parameters: form.serialize(),\n      onSuccess: function() {\n        // Clear the list of selected users and groups.\n        XWiki.widgets.UserPicker.instances.groupInput.clear();\n        XWiki.widgets.UserPicker.instances.userInput.clear();\n        // Reload the live table.\n        var end = editgrouptable.limit;\n        var start = Math.max(editgrouptable.lastOffset, 1);\n        editgrouptable.clearCache();\n        editgrouptable.getRows(start, end, start, end);\n        // Show notification message.\n        new XWiki.widgets.Notification("$services.localization.render('xe.admin.groups.addSuccess')", 'done', {timeout: 5});\n      },\n      onFailure: function(response) {\n        new XWiki.widgets.Notification("$services.localization.render('xe.admin.groups.addFailure')" + response.statusText, 'error', {timeout: 5});\n      }\n    });\n  }\n  var init = function() {\n    var addMembersButton = $('addMembers');\n    if (addMembersButton &amp;&amp; !addMembersButton.__initialized) {\n      addMembersButton.observe('click', addMembers);\n      addMembersButton.__initialized = true;\n    }\n    return true;\n  };\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe('xwiki:dom:loaded', init);\n  document.observe('xwiki:dom:updated', init);\n})()</code>\n</property>\n<property>\n<name>Code</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity output="false"}}\n#set($groupDoc = $doc)\n#if($doc.fullName == 'Main.UserDirectory')\n  #set($groupDoc = $xwiki.getDocument('XWiki.XWikiAllGroup'))\n#end\n#macro(hasGroupRight $right $hasGroupRight)\n  #set($result = $xwiki.hasAccessLevel($right, $xcontext.user, $doc.fullName) &amp;&amp; $doc.getObject('XWiki.XWikiGroups', false))\n  #set($hasGroupRight = $NULL)\n  #setVariable("$hasGroupRight" $result)\n#end\n#hasGroupRight('edit' $hasEditGroupRight)\n{{/velocity}}\n\n{{velocity}}\n## Keep testing the inline action for backward compatibility with existing groups.\n#if(($xcontext.action == 'edit' || $xcontext.action == 'inline') &amp;&amp; $hasEditGroupRight)\n  {{html}}\n  #if ($request.xpage == 'plain')\n    ## AJAX request.\n    #set ($wrapperTag = 'form')\n    &lt;form class="xform" action="$doc.getURL('preview')"&gt;\n      &lt;input type="hidden" name="form_token" value="$!services.csrf.getToken()" /&gt;\n  #else\n    #set ($discard = $xwiki.jsx.use('XWiki.XWikiGroupSheet'))\n    ## The form is generated in the edit template.\n    &lt;div class="xform"&gt;\n    #set ($wrapperTag = 'div')\n  #end\n    &lt;dl&gt;\n      &lt;dt&gt;&lt;label for="userInput"&gt;$services.localization.render('xe.admin.groups.addUser')&lt;/label&gt;&lt;/dt&gt;\n      &lt;dd&gt;\n        #set ($parameters = {'id': 'userInput', 'name': 'name'})\n        #userPicker(true $parameters)\n      &lt;/dd&gt;\n      &lt;dt&gt;&lt;label for="groupInput"&gt;$services.localization.render('xe.admin.groups.addGroup')&lt;/label&gt;&lt;/dt&gt;\n      &lt;dd&gt;\n        #set ($parameters = {'id': 'groupInput', 'name': 'name'})\n        #groupPicker(true $parameters)\n      &lt;/dd&gt;\n    &lt;/dl&gt;\n    &lt;div class="buttons"&gt;\n      &lt;span class="buttonwrapper"&gt;\n        &lt;button type="submit" id="addMembers" name="xpage" value="adduorg"&gt;$services.localization.render('xe.admin.groups.addUser.submit')&lt;/button&gt;\n      &lt;/span&gt;\n    &lt;/div&gt;\n  &lt;/$wrapperTag&gt;\n  {{/html}}##\n#end\n#set($columnOptions = {\n  "member" : {'link': 'auto', 'type': 'text'},\n  '_avatar' : { 'type' : 'none', 'link' : 'field', 'html' : 'true', 'sortable' : false },\n  "_actions" : {\n    'actions': ['delete'],\n    'actionCallbacks': {'delete': 'table.deleteRow(i);'},\n    'ajaxActions': {'delete': true}\n   }\n})\n## Keep testing the inline action for backward compatibility with existing groups.\n#if(($xcontext.action == 'edit' || $xcontext.action == 'inline') &amp;&amp; $hasEditGroupRight)\n  #set($columns = ['_avatar', 'member', '_actions'])\n#else\n  #set($columns = ['_avatar', 'member'])\n#end\n#livetable('groupusers', $columns, $columnOptions, {\n  'url' : $groupDoc.getURL('view', 'xpage=getgroupmembers'),\n  'translationPrefix' : 'xe.admin.groups.',\n  'javascriptName' : 'editgrouptable'\n})\n{{/velocity}}</content></xwikidoc>\n
-3816150460765423754	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminUsersSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502208000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminUsersSheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n## We include new settings from the Wiki Manager (only if it is not the main wiki)\n#set($wikiManagerUserRef = $services.model.createDocumentReference('', 'WikiManager', 'WikiUsers'))\n#if(!$xcontext.isMainWiki() &amp;&amp; $xwiki.exists($wikiManagerUserRef))\n  {{include reference="WikiManager.WikiUsers" /}}\n#end\n\n##\n## The Users management is enabled:\n## - on the main wiki\n## - on a subwiki where local users are enabled\n## - on a subwiki if there is no service "$services.wiki.user"\n#if($xcontext.isMainWiki() || "$!services.wiki.user" == '' || "$!services.wiki.user.userScope" != 'GLOBAL_ONLY')\n  ### Globally administrate the users in a wiki.\n  #set($formname = "update")\n  #set($saveaction = "save")\n  ##\n  ## inject needed JS and CSS files\n  ##\n  #set($ok = $xwiki.jsfx.use("js/xwiki/lightbox/lightbox.js", true))\n  #set($ok = $xwiki.ssfx.use("js/xwiki/lightbox/lightbox.css", true))\n  #set($ok = $xwiki.jsfx.use("js/xwiki/usersandgroups/usersandgroups.js", true))\n  #set($ok = $xwiki.ssfx.use("js/xwiki/usersandgroups/usersandgroups.css", true))\n  #set($ok = $xwiki.jsfx.use("js/xwiki/table/livetable.js", true))\n  #set($ok = $xwiki.ssfx.use("js/xwiki/table/livetable.css", true))\n  #set($ok = $xwiki.ssx.use("XWiki.XWikiUserSheet"))\n  #set($ok = $xwiki.jsx.use("XWiki.XWikiUserSheet"))\n  ##\n  ## url to get the users for displaying them in the ajax-based table\n  ##\n  #set($url = $doc.getURL('get', 'xpage=getusers'))\n  #if($xcontext.database != "xwiki")\n    #set($mainwk = false)\n  #else\n    #set($mainwk = true)\n  #end\n  {{html}}\n  &lt;div id="xwikieditcontent"&gt;\n    &lt;h2&gt;$services.localization.render('admin.users')&lt;/h2&gt;\n    &lt;table id="userstable" class="xwiki-livetable"&gt;\n      &lt;tr&gt;\n        &lt;td class="xwiki-livetable-pagination" colspan="2"&gt;\n          &lt;span id="userstable-limits" class="xwiki-livetable-limits"&gt;&lt;/span&gt;\n          &lt;span id="userstable-ajax-loader" class="xwiki-livetable-loader"&gt;&lt;img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')" alt="$services.localization.render('platform.livetable.loading')" title="" /&gt;$services.localization.render('platform.livetable.loading')&lt;/span&gt;\n          &lt;span class="pagination"&gt;\n            &lt;span id="userstable-pagination-text" class="xwiki-livetable-pagination-text"&gt;$services.localization.render('platform.livetable.paginationPage')&lt;/span&gt;\n            &lt;span id="userstable-pagination" class="xwiki-livetable-pagination-content" &gt;&lt;/span&gt;\n          &lt;/span&gt;\n        &lt;/td&gt;\n      &lt;/tr&gt;\n      &lt;tr&gt;\n        &lt;td class="xwiki-livetable-display-container"&gt;\n          &lt;table class="xwiki-livetable-display"&gt;\n            &lt;thead class="xwiki-livetable-display-header"&gt;\n              &lt;tr&gt;\n                &lt;th class="xwiki-livetable-display-header-text" scope="col"&gt;$services.localization.render('xe.admin.users.username')&lt;/th&gt;\n                &lt;th class="xwiki-livetable-display-header-text" scope="col"&gt;$services.localization.render('xe.admin.users.firstname')&lt;/th&gt;\n                &lt;th class="xwiki-livetable-display-header-text" scope="col"&gt;$services.localization.render('xe.admin.users.lastname')&lt;/th&gt;\n                &lt;th class="xwiki-livetable-display-header-text" scope="col"&gt;$services.localization.render('xe.admin.users.manage')&lt;/th&gt;\n              &lt;/tr&gt;\n              &lt;tr id="userstable-filters" class="xwiki-livetable-display-filters"&gt;\n                &lt;td class="xwiki-livetable-display-header-filter"&gt;&lt;label for="name" class="hidden"&gt;$services.localization.render('xe.admin.users.filter.username')&lt;/label&gt;&lt;input id="name" name="name" type="text" class="filter"/&gt;&lt;/td&gt;\n                &lt;td class="xwiki-livetable-display-header-filter"&gt;&lt;label for="first_name" class="hidden"&gt;$services.localization.render('xe.admin.users.filter.username')&lt;/label&gt;&lt;input id="first_name" name="first_name" type="text" class="filter"/&gt;&lt;/td&gt;\n                &lt;td class="xwiki-livetable-display-header-filter"&gt;&lt;label for="last_name" class="hidden"&gt;$services.localization.render('xe.admin.users.filter.username')&lt;/label&gt;&lt;input id="last_name" name="last_name" type="text" class="filter"/&gt;&lt;/td&gt;\n                &lt;td class="xwiki-livetable-display-header-filter"&gt;\n                  #if(!$mainwk)\n                    &lt;select name="wiki" class="filter"&gt;\n                      &lt;option value="local" selected="selected"&gt;$services.localization.render('rightsmanager.local')&lt;/option&gt;\n                      &lt;option value="global"&gt;$services.localization.render('rightsmanager.global')&lt;/option&gt;\n                      &lt;option value="both"&gt;$services.localization.render('rightsmanager.both')&lt;/option&gt;\n                    &lt;/select&gt;\n                  #else\n                    &lt;input name="wiki" type="hidden" value="local" /&gt;\n                  #end\n                &lt;/td&gt;\n              &lt;/tr&gt;\n            &lt;/thead&gt;\n            &lt;tbody id="userstable-display" class="xwiki-livetable-display-body"&gt;\n              &lt;tr&gt;\n                &lt;td colspan="4"&gt;&amp;nbsp;&lt;/td&gt;\n              &lt;/tr&gt;\n            &lt;/tbody&gt;\n          &lt;/table&gt;\n        &lt;/td&gt;\n      &lt;/tr&gt;\n      &lt;tr&gt;&lt;td colspan="3" id="tdAddNewUserOrGroup"&gt;\n        &lt;span class="buttonwrapper"&gt;&lt;a href="#" id="addNewUser" class="addNewUserOrGroup"&gt;$services.localization.render('rightsmanager.addnewuser')&lt;/a&gt;&lt;/span&gt;\n      &lt;/td&gt;&lt;/tr&gt;\n    &lt;/table&gt;\n    &lt;script type="text/javascript"&gt;\n      // &lt;![CDATA[\n      (function() {\n        var startup = function() {\n          var callback = function(row, i, table) { return displayUsers(row, i, table, "$!{services.csrf.getToken()}"); };\n          var ta = new XWiki.widgets.LiveTable("$url", "userstable", callback);\n          #set($registerurl = $doc.getURL('view', 'xpage=registerinline'))\n          #set($saveurl = $doc.getURL('register', 'xpage=registerinline'))\n          #set($redirectuserurl = $xwiki.getDocument('XWiki.XWikiPreferences').getURL('admin', "editor=${editor}&amp;section=Users"))\n          Event.observe($('addNewUser'), "click", makeAddHandler("$registerurl", "$saveurl", "$redirectuserurl"));\n        }\n        if ((typeof(XWiki) != 'undefined') &amp;&amp; (typeof(XWiki.widgets) != 'undefined') &amp;&amp; (typeof(XWiki.widgets.LiveTable) != 'undefined')) {\n          startup();\n        } else {\n          document.observe('xwiki:livetable:loading', startup);\n        }\n      })();\n      // ]]&gt;\n    &lt;/script&gt;\n  &lt;/div&gt; ## end of xwikieditcontent\n  {{/html}}\n#end\n{{/velocity}}</content></xwikidoc>\n
-6758304350795574529	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ResetPasswordRequestClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.ResetPassword</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1219710939000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title>Reset Password request class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.ResetPasswordRequestClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<verification>\n<algorithm></algorithm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>verification</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Request verification string</prettyName>\n<size>30</size>\n<storageType>Hash</storageType>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.PasswordClass</classType>\n</verification>\n</class>\n<object>\n<name>XWiki.ResetPasswordRequestClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>9d3418bf-70f4-42a0-8e02-ea3e41c45930</guid>\n<property>\n<sheet>XWiki.ClassSheet</sheet>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPasswordRequestClass</name>\n<number>1</number>\n<className>XWiki.XWikiRights</className>\n<guid>2b934fbb-482a-48fa-aaee-ffaedd7407be</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<groups>xwiki:XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPasswordRequestClass</name>\n<number>3</number>\n<className>XWiki.XWikiRights</className>\n<guid>4d0a60b6-d899-4b07-bfc9-437dd55ab711</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPasswordRequestClass</name>\n<number>5</number>\n<className>XWiki.XWikiRights</className>\n<guid>3dd70411-c760-49dd-888c-de256d95fe3b</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
-8424064979746963611	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminFieldsDisplaySheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502206000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminFieldsDisplaySheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n### Sheet used to generically display the XWikiPreferences object fields in the administration sheets.\n### Input variables: \n### - $params (mandatory): list of properties to display and their associated sections\n### - $paramDoc (optional): document object which contains the $paramClass\n### - $paramClass (optional): name of the xclass type for the xobject from which to read/save from\n#if ("$!section" != '')\n  ## clean="false" due to bug #XWIKI-4122 - the &lt;legend&gt; element is dropped.\n  {{html clean="false"}}\n  #if ("$!paramDoc" != '')\n    #set($configDoc = $paramDoc)\n  #else\n    #set($configDoc = $doc)\n  #end\n  #if ("$!paramClass" != '')\n    #set($configClassName = $paramClass)\n    #set($formId = "${section.toLowerCase()}_${configClassName}")\n  #else\n    #set($configClassName = 'XWiki.XWikiPreferences')\n    #set($formId = $section.toLowerCase())\n  #end\n  &lt;form id="$formId" method="post" action="$xwiki.getURL($configDoc, 'saveandcontinue')" onsubmit="cancelCancelEdit()" class="xform half"&gt;\n    #set($obj = $configDoc.getObject($configClassName))\n    #foreach ($entry in $params.entrySet())\n      #set ($fields = $entry.value)\n      &lt;fieldset class="$entry.key"&gt;\n      ## If there is only one section, don't display the legend\n      #if ($params.size() &gt; 1)\n        &lt;legend&gt;$services.localization.render("admin.$entry.key")&lt;/legend&gt;\n      #end\n      #if ($fields.size() &gt; 0)\n        &lt;dl&gt;\n      #end\n      #foreach($field in $fields)\n        #set($prop = $obj.xWikiClass.get($field))\n        #set($title = $services.localization.render($field))\n        #if ($title == $field &amp;&amp; $prop)\n          #set ($title = $!prop.prettyName)\n        #end\n        #if($services.localization.get("${obj.xWikiClass.name}_${field}"))\n          #set ($title = $services.localization.render("${obj.xWikiClass.name}_${field}"))\n        #end\n        #set($hint = $services.localization.render("${obj.xWikiClass.name}_${field}.hint"))\n        #if($hint == "${obj.xWikiClass.name}_${field}.hint") #set($hint = $NULL) #end\n        &lt;dt&gt;\n        &lt;label #if($prop)for="${configClassName}_${obj.number}_${prop.name}"#end class="$field"&gt;$title\n        #if($field == 'skin')\n          #set ($skin = $xwiki.skin)\n          &lt;span class="buttonwrapper"&gt;&lt;a href="$xwiki.getURL($skin, 'edit')"#if ($skin.indexOf('.') &lt; 0) class="hidden"#end&gt;$services.localization.render('admin.customize')&lt;/a&gt;&lt;/span&gt;\n        #end\n        #if($field == 'colorTheme')\n          #if ($editor == 'globaladmin')\n            #set ($colorThemeName = $xwiki.getXWikiPreference('colorTheme'))\n          #else\n            #set ($colorThemeName = $xwiki.getSpacePreference('colorTheme'))\n            #set ($wikiColorTheme = $xwiki.getDocument($xwiki.getXWikiPreference('colorTheme')))\n            #if (!$wikiColorTheme.isNew())\n              #set ($colorThemeHint = $services.localization.render('admin.colortheme.wikiSetting', ["&lt;a href='$wikiColorTheme.getURL()'&gt;$wikiColorTheme.plainTitle&lt;/a&gt;"]))\n            #end\n          #end\n          #if($xwiki.exists($services.model.createDocumentReference('', 'FlamingoThemes', 'WebHome')))\n            #set ($colorThemeHint = "$!{colorThemeHint} &lt;strong&gt;&lt;a href=""$xwiki.getURL($services.model.createDocumentReference('', 'FlamingoThemes', 'WebHome'))""&gt;$services.localization.render('admin.colortheme.manage')&lt;/a&gt;&lt;/strong&gt;")\n          #elseif($xwiki.exists($services.model.createDocumentReference('', 'ColorThemes', 'WebHome')))\n            #set ($colorThemeHint = "$!{colorThemeHint} &lt;strong&gt;&lt;a href=""$xwiki.getURL($services.model.createDocumentReference('', 'ColorThemes', 'WebHome'))""&gt;$services.localization.render('admin.colortheme.manage')&lt;/a&gt;&lt;/strong&gt;")\n          #end\n          &lt;span class="buttonwrapper"&gt;&lt;a href="$xwiki.getURL($colorThemeName, 'edit')"#if ($colorThemeName.indexOf('.') &lt; 0) class="hidden"#end&gt;$services.localization.render('admin.customize')&lt;/a&gt;&lt;/span&gt;\n        #end\n        &lt;/label&gt;\n        #if($hint)&lt;span class="xHint"&gt;$hint&lt;/span&gt;#end\n        &lt;/dt&gt;\n        #if ($prop)\n          &lt;dd&gt;$configDoc.display($prop.name, 'edit', $obj).replaceAll('(^..html.*?}})|(../html..$)', '')&lt;/dd&gt;\n          #if($field == 'colorTheme' &amp;&amp; $colorThemeHint)\n            &lt;dd class="xHint"&gt;$colorThemeHint&lt;/dd&gt;\n          #end\n        #end\n      #end\n      #if ($fields.size() &gt; 0)\n        &lt;/dl&gt;\n      #end\n      &lt;/fieldset&gt;\n    #end\n    &lt;div class="hidden"&gt;\n      &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n      &lt;input type="hidden" name="xcontinue" value="$xwiki.getURL($currentDoc, 'admin', "editor=${escapetool.url(${editor})}&amp;amp;section=${escapetool.url(${section})}&amp;amp;space=${escapetool.url(${currentSpace})}")" /&gt;\n      &lt;input type="hidden" name="xredirect" value="$xwiki.getURL($currentDoc, 'admin', "editor=${escapetool.url(${editor})}&amp;amp;section=${escapetool.url(${section})}&amp;amp;space=${escapetool.url(${currentSpace})}")" /&gt;\n      &lt;input type="hidden" name="classname" value="$configClassName" /&gt;\n    &lt;/div&gt;\n    &lt;div class="bottombuttons"&gt;\n      &lt;p class="admin-buttons"&gt;\n        &lt;span class="buttonwrapper"&gt;&lt;input class="button" type="submit" name="formactionsac" value="$services.localization.render('admin.save')" /&gt;&lt;/span&gt;\n      &lt;/p&gt;\n    &lt;/div&gt; ## bottombuttons\n  &lt;/form&gt;\n  {{/html}}\n#end\n{{/velocity}}</content></xwikidoc>\n
-47511877455558562	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminLocalizationSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1299686113000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminLocalizationSheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n### Administer localization wiki preferences, at global level\n#set ($params = {\n  'language': ['multilingual', 'languages' , 'default_language'],\n  'date': ['dateformat', 'timezone'],\n  'translations': ['documentBundles']\n})\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}</content></xwikidoc>\n
-5804026065558171594	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AccountValidation</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502208000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if("$!{request.validkey}" != '' &amp;&amp; "$!{request.xwikiname}" != '')\n  #if($xwiki.validateUser(true) == 0)\n    #set($loginURL = $xwiki.getURL('XWiki.XWikiLogin', 'login'))\n    {{info}}{{html clean="false"}}$services.localization.render('xe.admin.accountvalidation.success', [${loginURL}]){{/html}}{{/info}}\n  #else\n    {{warning}}{{translation key="xe.admin.accountvalidation.failure"/}}{{/warning}}\n  #end\n#else\n  $response.sendRedirect($xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI'))))\n#end\n{{/velocity}}</content></xwikidoc>\n
8348247719985246897	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ResetPasswordMailContent</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.ResetPassword</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1219710939000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title>Reset Password email</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.Mail</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<html>\n<disabled>0</disabled>\n<name>html</name>\n<number>4</number>\n<prettyName>HTML</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</html>\n<language>\n<disabled>0</disabled>\n<name>language</name>\n<number>2</number>\n<prettyName>Language</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</language>\n<subject>\n<disabled>0</disabled>\n<name>subject</name>\n<number>1</number>\n<prettyName>Subject</prettyName>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</subject>\n<text>\n<disabled>0</disabled>\n<name>text</name>\n<number>3</number>\n<prettyName>Text</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</text>\n</class>\n<name>XWiki.ResetPasswordMailContent</name>\n<number>0</number>\n<className>XWiki.Mail</className>\n<guid>e25eb86c-1b08-47f6-be43-bd3cabbe8fdc</guid>\n<property>\n<html>&lt;h2&gt;Hello $xwiki.getUserName($userName, false),&lt;/h2&gt;\n#set ($wikiurl = $xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI'))))\n#set ($escapedURL = $escapetool.xml($passwordResetURL))\n#set ($wikiname = $request.serverName)\n&lt;p&gt;A password reset was requested for your account ($userName) on &lt;a href="$wikiurl"&gt;$wikiname&lt;/a&gt;.\nIf you did not make the request, please ignore this message.&lt;/p&gt;\n&lt;p&gt;In order to reset your password, please follow this link:&lt;br/&gt;\n&lt;a href="$escapedURL"&gt;$escapedURL&lt;/a&gt;&lt;/p&gt;\n## Prevent leaking the value of the token\n#set ($escapedURL = '')\n</html></property><property><language>en</language>\n</property>\n<property>\n<subject>Password reset request for $xwiki.getUserName($userName, false)</subject>\n</property>\n<property>\n<text>Hello $xwiki.getUserName($userName, false),\n\nA password reset was requested for your account ($userName) on ${request.getServerName()}.\nIf you did not make the request, please ignore this message.\n\nIn order to reset your password, please follow this link:\n\n$passwordResetURL\n</text></property></object><object><class><name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPasswordMailContent</name>\n<number>1</number>\n<className>XWiki.XWikiRights</className>\n<guid>a5b940c9-77d8-425f-bad2-c89487d8ced3</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<groups>xwiki:XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPasswordMailContent</name>\n<number>3</number>\n<className>XWiki.XWikiRights</className>\n<guid>a6b23829-251f-4f90-b13d-37bb2ab6693d</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPasswordMailContent</name>\n<number>5</number>\n<className>XWiki.XWikiRights</className>\n<guid>04549226-1226-4580-a790-799dd60ec1fa</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPasswordMailContent</name>\n<number>6</number>\n<className>XWiki.XWikiRights</className>\n<guid>f42b1d0b-3bd8-473e-9b5f-4270faa98770</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPasswordMailContent</name>\n<number>7</number>\n<className>XWiki.XWikiRights</className>\n<guid>57045f9f-e3db-4a9d-9daa-0a6183b6f58d</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
-875483380653679333	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ForgotUsername</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502208000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.admin.forgotUsername.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ForgotUsername</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>5f9081d2-87b6-430e-8bb9-edc66544fc06</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ForgotUsername</name>\n<number>1</number>\n<className>XWiki.XWikiRights</className>\n<guid>54be8bc6-c81a-4149-b2b0-161b2b974857</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<groups>xwiki:XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ForgotUsername</name>\n<number>2</number>\n<className>XWiki.XWikiRights</className>\n<guid>06daec64-228b-4da1-b7e6-b59d9624c859</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content>{{velocity}}\n#set($email = "$!request.get('e')")\n#if($email == '')\n{{translation key="xe.admin.forgotUsername.instructions"/}}\n\n{{html}}\n  &lt;form method="post" action="$doc.getURL()" class="xformInline"&gt;\n    &lt;div&gt;&lt;label for="e"&gt;$services.localization.render('xe.admin.forgotUsername.email.label')&lt;/label&gt; &lt;input type="text" id="e" name="e"/&gt; &lt;span class="buttonwrapper"&gt;&lt;input type="submit" value="$services.localization.render('xe.admin.forgotUsername.submit')" class="button"/&gt;&lt;/span&gt;&lt;/div&gt;\n  &lt;/form&gt;\n{{/html}}\n\n#else\n  #set($results = $services.query.hql(", BaseObject obj, StringProperty prop where obj.name = doc.fullName and obj.className = 'XWiki.XWikiUsers' and prop.id.id = obj.id and prop.id.name = 'email' and LOWER(prop.value) = ?").bindValues([$email.toLowerCase()]).execute())\n  #if($results.size() == 0)\n    {{translation key="xe.admin.forgotUsername.error.noAccount"/}}\n\n    [[{{translation key="xe.admin.forgotUsername.error.retry"/}}&gt;&gt;$doc.fullName]] | [[{{translation key="xe.admin.forgotUsername.login"/}}&gt;&gt;path:${xwiki.getURL('XWiki.XWikiLogin', 'login')}]]\n  #elseif($results.size() == 1)\n    $services.localization.render('xe.admin.forgotUsername.result', ["**${results.get(0).substring($results.get(0).indexOf('.')).substring(1)}**"])\n\n    [[{{translation key="xe.admin.forgotUsername.login"/}}&gt;&gt;path:${xwiki.getURL('XWiki.XWikiLogin', 'login')}]]\n  #else\n    {{translation key="xe.admin.forgotUsername.multipleResults"/}}\n    #foreach($item in $results)\n      * **${item.substring($item.indexOf('.')).substring(1)}**\n    #end\n\n    [[{{translation key="xe.admin.forgotUsername.login"/}}&gt;&gt;path:${xwiki.getURL('XWiki.XWikiLogin', 'login')}]]\n  #end\n#end\n{{/velocity}}</content></xwikidoc>\n
6829145513840383268	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiGroupTemplate</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiGroups</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1107115982000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiGroups</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<member>\n<disabled>0</disabled>\n<name>member</name>\n<number>1</number>\n<prettyName>Member</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</member>\n</class>\n<name>XWiki.XWikiGroupTemplate</name>\n<number>0</number>\n<className>XWiki.XWikiGroups</className>\n<guid>78a72679-f5f8-4113-b1a8-dc6591ce2afb</guid>\n<property>\n<member></member>\n</property>\n</object>\n<content></content></xwikidoc>\n
-2955083240429665491	1	1	2017-05-12 15:43:28	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminGroupsSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502205000</creationDate>\n<date>1494618208000</date>\n<contentUpdateDate>1494618208000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminGroupsSheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n{{html}}\n### Globally administrate the groups in a wiki.\n#set($formname = "update")\n#set($saveaction = "save")\n##\n## Inject needed JS and CSS files\n##\n#set($ok = $xwiki.jsfx.use("js/xwiki/lightbox/lightbox.js", true))\n#set($ok = $xwiki.ssfx.use("js/xwiki/lightbox/lightbox.css", true))\n#set($ok = $xwiki.jsfx.use("js/xwiki/usersandgroups/usersandgroups.js", true))\n#set($ok = $xwiki.ssfx.use("js/xwiki/usersandgroups/usersandgroups.css", true))\n#set($ok = $xwiki.jsfx.use("js/xwiki/table/livetable.js", true))\n#set($ok = $xwiki.ssfx.use("js/xwiki/table/livetable.css", true))\n## The following are needed when editing a group (e.g. for adding new members).\n#userPicker_import()\n#set ($discard = $xwiki.jsx.use('XWiki.XWikiGroupSheet'))\n##\n## url to get the groups for displaying them in the ajax-based table\n##\n#set($url = $doc.getURL('get', 'xpage=getgroups'))\n#if($xcontext.database != "xwiki")\n  #set($mainwk = false)\n#else\n  #set($mainwk = true)\n#end\n&lt;div id="xwikieditcontent"&gt;\n  &lt;table id="groupstable" class="xwiki-livetable"&gt;\n    &lt;tr&gt;\n      &lt;td class="xwiki-livetable-pagination" colspan="2"&gt;\n        &lt;span id="groupstable-limits" class="xwiki-livetable-limits"&gt;&lt;/span&gt;\n        &lt;span id="groupstable-ajax-loader" class="xwiki-livetable-loader"&gt;&lt;img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')" alt="$services.localization.render('platform.livetable.loading')" title="" /&gt;$services.localization.render('platform.livetable.loading')&lt;/span&gt;\n        &lt;span class="pagination"&gt;\n          &lt;span id="groupstable-pagination-text" class="xwiki-livetable-pagination-text"&gt;$services.localization.render('platform.livetable.paginationPage')&lt;/span&gt;\n          &lt;span id="groupstable-pagination" class="xwiki-livetable-pagination-content" &gt;&lt;/span&gt;\n        &lt;/span&gt;\n      &lt;/td&gt;\n    &lt;/tr&gt;\n    &lt;tr&gt;\n      &lt;td class="xwiki-livetable-display-container"&gt;\n        &lt;table class="xwiki-livetable-display"&gt;\n          &lt;thead class="xwiki-livetable-display-header"&gt;\n            &lt;tr&gt;\n              &lt;th class="xwiki-livetable-display-header-text" scope="col"&gt;$services.localization.render('xe.admin.groups.groupname')&lt;/th&gt;\n              &lt;th class="xwiki-livetable-display-header-text" scope="col"&gt;$services.localization.render('xe.admin.groups.members')&lt;/th&gt;\n              &lt;th class="xwiki-livetable-display-header-text" scope="col"&gt;$services.localization.render('xe.admin.groups.manage')&lt;/th&gt;\n            &lt;/tr&gt;\n            &lt;tr id="groupstable-filters" class="xwiki-livetable-display-filters"&gt;\n              &lt;td class="xwiki-livetable-display-header-filter"&gt;&lt;label for="name" class="hidden"&gt;$services.localization.render('xe.admin.groups.filter.groupName')&lt;/label&gt;&lt;input id="name" name="name" type="text" class="filter"/&gt;&lt;/td&gt;\n              &lt;td class="xwiki-livetable-display-header-filter"&gt;&lt;/td&gt;\n              &lt;td class="xwiki-livetable-display-header-filter"&gt;\n              #if (!$mainwk)\n                &lt;label for="wiki" class="hidden"&gt;$services.localization.render('xe.admin.groups.filter.scope')&lt;/label&gt;\n                &lt;select name="wiki" class="filter"&gt;\n                  &lt;option value="local" selected="selected"&gt;$services.localization.render('xe.admin.groups.local')&lt;/option&gt;\n                  &lt;option value="global"&gt;$services.localization.render('xe.admin.groups.global')&lt;/option&gt;\n                  &lt;option value="both"&gt;$services.localization.render('xe.admin.groups.both')&lt;/option&gt;\n                &lt;/select&gt;\n              #else\n                &lt;input type="hidden" value="local" name="wiki" /&gt; \n              #end\n              &lt;/td&gt;\n            &lt;/tr&gt;\n          &lt;/thead&gt;\n          &lt;tbody id="groupstable-display" class="xwiki-livetable-display-body"&gt;&lt;tr&gt;&lt;td&gt;&amp;nbsp;&lt;/td&gt;&lt;/tr&gt;&lt;/tbody&gt;\n        &lt;/table&gt;\n      &lt;/td&gt;\n    &lt;/tr&gt;\n    &lt;tr&gt;\n      &lt;td id="tdAddNewUserOrGroup"&gt;\n        &lt;span class="buttonwrapper"&gt;&lt;a href="#" id="addNewGroup"&gt;$services.localization.render('rightsmanager.addnewgroup')&lt;/a&gt;&lt;/span&gt;\n      &lt;/td&gt;\n    &lt;/tr&gt;\n  &lt;/table&gt;\n  #set($addnewurl = $xwiki.getURL("XWiki.XWikiGroups", "view", "xpage=addnewgroup"))\n  #set($saveurl = $xwiki.getURL("XWiki.XWikiGroups", "view"))\n  #set($redirecturl = $xwiki.getDocument("XWiki.XWikiPreferences").getURL("admin", "editor=${editor}&amp;section=Groups")) \n  &lt;script type="text/javascript"&gt;\n    //&lt;![CDATA[\n    (function() {\n      var startup = function() {\n        var callback = function(row, i, table) { return displayGroups(row, i, table, "$!{services.csrf.getToken()}"); };\n        var ta = new XWiki.widgets.LiveTable("$url", "groupstable", callback);\n        Event.observe($('addNewGroup'), "click", makeAddHandler("$addnewurl", "$saveurl", "$redirecturl"));\n      }\n      if ((typeof(XWiki) != 'undefined') &amp;&amp; (typeof(XWiki.widgets) != 'undefined') &amp;&amp; (typeof(XWiki.widgets.LiveTable) != 'undefined')) {\n        startup();\n      } else {\n        document.observe('xwiki:livetable:loading', startup);\n      }\n    })();\n    //]]&gt;\n  &lt;/script&gt;\n&lt;/div&gt; ## xwikieditcontent\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
4029990476679169033	1	1	2017-05-12 15:43:29	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminExportSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1211800201000</creationDate>\n<date>1494618209000</date>\n<contentUpdateDate>1494618209000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminExportSheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n{{html}}\n#template('exportinline.vm')\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
-8966908625097746180	1	1	2017-05-12 15:43:29	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminRegistrationSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1211801310000</creationDate>\n<date>1494618209000</date>\n<contentUpdateDate>1494618209000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminRegistrationSheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n### Globally administrate the registration of new users in a wiki.\n#set ($params = {\n  'registration': ['use_email_verification', 'auth_active_check', 'validation_email_content',\n                  'confirmation_email_content', 'invitation_email_content']\n})\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}</content></xwikidoc>\n
7704953339161956619	1	1	2017-05-12 15:43:29	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminInlineSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502208000</creationDate>\n<date>1494618209000</date>\n<contentUpdateDate>1494618209000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminInlineSheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}###----------------------------------\n## modified version of editinline.vm\n###----------------------------------\n#if ($doc.fullName != 'XWiki.AdminInlineSheet') ## Prevents infinite loops\n  #set($formname = 'inline')\n  #set($saveaction = 'save')\n  #set($previewenabled = true)\n  #set($xnotification = $!request.getParameter('xnotification'))\n  {{html}}\n  &lt;form id="inline" method="post" action="$doc.getURL('preview')"&gt;\n    &lt;div&gt;\n      &lt;div class="hidden"&gt;&lt;input type="hidden" name="xcontinue" value="$doc.getURL('admin', "${request.queryString}&amp;editmode=inline").replaceAll('&amp;','&amp;amp;')" /&gt;&lt;/div&gt;\n      &lt;input type="hidden" name="xredirect" value="$doc.getURL('admin', "editor=${editor}&amp;section=${section}&amp;space=XWiki").replaceAll('&amp;','&amp;amp;')" /&gt;\n      &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n      &lt;input type="hidden" name="xnotification" value="$!xnotification" /&gt;\n      &lt;input type="hidden" name="template" value="$!request.template" /&gt;\n      &lt;input type="hidden" name="language" value="$!doc.language" /&gt;\n      #if("$!request.parent" != '')\n        &lt;input type="hidden" name="parent" value="$!request.parent" /&gt;\n      #end\n      #if("$!request.title" != "")\n        &lt;input type="hidden" name="title" value="$!request.title" /&gt;\n      #end\n      #set($force = $!request.get('force'))\n      #if(($doc.getLocked() == true) &amp;&amp; (!$force)) ## locking\n        &lt;div&gt;\n        $services.localization.render('doclockedby') $xwiki.getLocalUserName($doc.getLockingUser()). &lt;br /&gt;\n        &lt;a href="$doc.getURL('inline', "$!request.getQueryString()&amp;force=1")"&gt;$services.localization.render('forcelock')&lt;/a&gt;\n        &lt;/div&gt;\n      #else\n        #foreach($class in $doc.xWikiClasses)\n          #set($nb = $doc.getObjectNumbers("${class.name}"))\n          &lt;input type="hidden" name="${class.name}_nb" value="$nb" /&gt;\n        #end\n        $doc.getTranslatedDocument().getRenderedContent()\n        &lt;div class="bottombuttons"&gt;\n          &lt;p class="admin-buttons"&gt;\n            &lt;span class="buttonwrapper"&gt;&lt;input class="button" type="submit" name="formactioncancel" value="$services.localization.render('cancel')" onclick="document.forms.update.action='$doc.getURL('cancel')'; if (document.forms.update.onsubmit) document.forms.update.onsubmit();" /&gt;&lt;/span&gt;\n            &lt;span class="buttonwrapper"&gt;&lt;input class="button" type="submit" name="formactionsac" value="$services.localization.render('saveandcontinue')" onclick="document.forms.update.action='$doc.getURL('saveandcontinue')'; if (document.forms.update.onsubmit) document.forms.update.onsubmit();if(checkDocumentContent()) document.forms.update.submit(); return false;" /&gt;&lt;/span&gt;\n            &lt;span class="buttonwrapper"&gt;&lt;input class="button" type="submit" name="formactionsave" value="$services.localization.render('saveandview')" onclick="document.forms.update.action='$doc.getURL('saveandview')'; if (document.forms.update.onsubmit) document.forms.update.onsubmit();if(checkDocumentContent()) document.forms.update.submit(); return false;" /&gt;&lt;/span&gt;\n          &lt;/p&gt;\n        &lt;/div&gt; ## bottombuttons\n      #end\n    &lt;/div&gt; ## form\n  &lt;/form&gt;\n  #template('textarea_wysiwyg.vm')\n  {{html}}\n#end\n{{/velocity}}</content></xwikidoc>\n
8835582110866605761	1	1	2017-05-12 15:43:29	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminRightsSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1211801338000</creationDate>\n<date>1494618209000</date>\n<contentUpdateDate>1494618209000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminRightsSheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n### Administrate the rights in a wiki (globally or per space).\n{{html}}\n#template('rightsUI.vm')\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
-8994762634271460760	1	1	2017-05-12 15:43:29	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminElementsSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1299702161000</creationDate>\n<date>1494618209000</date>\n<contentUpdateDate>1494618209000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminElementsSheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n### Choose the page elements to display, globally and at space level.\n#set ($params = {\n  'header': ['title', 'meta'],\n  'panels': ['showLeftPanels', 'leftPanelsWidth', 'leftPanels', 'showRightPanels', 'rightPanelsWidth',  'rightPanels'],\n  'docextra': ['showannotations', 'showcomments', 'showattachments', 'showhistory', 'showinformation']\n})\n#if ("$!editor" == 'globaladmin')\n  #set ($params.footer = ['webcopyright', 'version'])\n#end\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}</content></xwikidoc>\n
-1641249689881546433	1	1	2017-05-12 15:43:29	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>GoogleAnalyticsCode</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1402406718000</creationDate>\n<date>1494618209000</date>\n<contentUpdateDate>1494618209000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('admin.analytics')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>analytics.png</filename>\n<filesize>10176</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618209000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<class>\n<name>XWiki.GoogleAnalyticsCode</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<account>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>account</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Account (UA-xxxxxxx-x)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</account>\n<method>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>method</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Tracking method</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>universal=Universal Analytics|classic=Classic Analytics</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</method>\n</class>\n<object>\n<name>XWiki.GoogleAnalyticsCode</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>73f7eae5-ce0c-43fa-9282-1a379803a375</guid>\n<property>\n<codeToExecute>{{include reference='XWiki.GoogleAnalyticsCode' /}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInSection>analytics</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment>analytics.png</iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.GoogleAnalyticsCode</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>67bc7341-1915-4732-99bc-55de2816ef93</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#set($analyticsDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsConfig'))\n#set($analyticsObj = $analyticsDoc.getObject('XWiki.GoogleAnalyticsCode'))\n#set($method = $analyticsObj.getProperty('method').value)\n#set($accounts = [])\n#if("$!analyticsObj" != "" &amp;&amp; "$!analyticsObj.account" != "")\n#foreach($aObj in $analyticsObj.account.split(' '))\n#if("$!aObj" != "")\n#set($discard = $accounts.add($aObj))##\n#end \n#end\n#end\n#if($accounts.size() &gt; 0)\n#if($method == 'universal')\n  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){\n  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),\n  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)\n  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');\n\n#foreach($account in $accounts)\n#set($accountName = '')\n#if($foreach.index &gt; 0)\n#set($accountName = 't' + $foreach.index)\n  ga('create', '$account', {'name': '$accountName'});\n  ga('${accountName}.send', 'pageview');\n#else\n  ga('create', '$account');\n  ga('send', 'pageview');\n#end\n#end\n#else\n  var _gaq = _gaq || [];\n#foreach($account in $accounts)\n#set($analyticsPrefix = '')\n#if($foreach.index &gt; 0)\n#set($analyticsPrefix = 't' + $foreach.index + '.')\n#end\n  _gaq.push(['${analyticsPrefix}_setAccount', '$account']);\n  _gaq.push(['${analyticsPrefix}_trackPageview']);\n#end\n\n  (function() {\n    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;\n    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';\n    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);\n  })();\n#end\n#end</code>\n</property>\n<property>\n<name>googleanalytics</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity output="false"}}\n#macro(saveGoogleAccount $account $method)\n  #set ($analyticsConfigDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsConfig'))\n  #set ($analyticsCodeDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsCode'))\n  #set ($analyticsObj = $analyticsConfigDoc.getObject('XWiki.GoogleAnalyticsCode', true))\n  #set ($jsObj = $analyticsCodeDoc.getObject('XWiki.JavaScriptExtension'))\n  #set ($discard = $analyticsObj.set('account', $!account))\n  #set ($discard = $analyticsObj.set('method', $!method))\n  $analyticsConfigDoc.save()\n  #if ("$!jsObj" != "") \n    #if ("$!account" != "")\n      #set ($discard = $jsObj.set('use', 'always'))\n    #else\n      #set ($discard = $jsObj.set('use', 'onDemand'))\n    #end\n    $analyticsCodeDoc.save()\n  #end\n#end\n\n#macro(displayAnalyticsStatus)\n  #set ($analyticsCodeDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsCode'))\n  #set ($jsObj = $analyticsCodeDoc.getObject('XWiki.JavaScriptExtension'))\n  #if ("$!jsObj" != "")\n    #if ("$!analyticsCodeDoc.getValue('use', $jsObj)" == 'always')\n      {{info}}{{translation key="admin.analytics.running"/}}{{/info}}\n    #else\n      {{info}}{{translation key="admin.analytics.notrunning"/}}{{/info}}\n    #end\n  #else\n    {{error}}{{translation key="admin.analytics.noscript"/}}{{/error}}\n  #end\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ($doc.name != 'XWikiPreferences' &amp;&amp; $xcontext.action == 'view')\n  $response.sendRedirect($xwiki.getURL('XWiki.XWikiPreferences', 'admin', 'section=analytics')) \n#end\n#set ($analyticsConfigDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsConfig'))\n#set ($analyticsCodeDoc = $xwiki.getDocument('XWiki.GoogleAnalyticsCode'))##\n#set ($analyticsObj = $analyticsConfigDoc.getObject('XWiki.GoogleAnalyticsCode', true))##\n#set ($analyticsCodeClass = $analyticsCodeDoc.xWikiClass)##\n#set ($accountPropertyClass = $analyticsCodeClass.account)##\n#set ($methodPropertyClass = $analyticsCodeClass.method)##\n#if ($hasAdmin)##\n  #if ($request.action == 'save')##\n    #saveGoogleAccount($request.analytics_account $request.analytics_method)##\n  #end## save action\n#else## !hasAdmin\n  {{error}}{{translation key="needadminrights"/}}.{{/error}}\n#end##\n#displayAnalyticsStatus()\n\n{{html}}\n&lt;form action="$xwiki.relativeRequestURL" method="post" class="xform half"&gt;\n  &lt;dl&gt;\n    &lt;dt&gt;\n      &lt;label for="analytics_method"&gt;$!methodPropertyClass.translatedPrettyName&lt;/label&gt;\n      &lt;span class="xHint"&gt;$services.localization.render('admin.analytics.method.description', 'xhtml/1.0')&lt;/span&gt;\n    &lt;/dt&gt;\n    &lt;dd&gt;\n      $analyticsConfigDoc.displayEdit($methodPropertyClass, 'analytics_', $analyticsObj)\n    &lt;/dd&gt;\n    &lt;dt&gt;\n      &lt;label for="analytics_account"&gt;$!accountPropertyClass.translatedPrettyName&lt;/label&gt;\n      &lt;span class="xHint"&gt;$services.localization.render('admin.analytics.account.description', 'xhtml/1.0')&lt;/span&gt;\n    &lt;/dt&gt;\n    &lt;dd&gt;\n      $analyticsConfigDoc.displayEdit($accountPropertyClass, 'analytics_', $analyticsObj)\n    &lt;/dd&gt;\n  &lt;/dl&gt;\n  &lt;p&gt;\n    &lt;input type="hidden" name="action" value="save"/&gt;\n    &lt;span class="buttonwrapper"&gt;\n      &lt;input type="submit" value="${services.localization.render('save')}" class="button" /&gt;\n    &lt;/span&gt;\n  &lt;/p&gt;\n&lt;/form&gt;\n{{/html}}\n\n{{/velocity}}</content></xwikidoc>\n
319468037057337943	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminImportSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1211801093000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminImportSheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n## Administrate the wiki import.\n{{html}}\n#template('importinline.vm')\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
1856868427404595579	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ResetPasswordComplete</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.ResetPassword</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502206000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.admin.passwordReset.step2.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPasswordComplete</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>7fd88649-d66d-442a-bcee-bc4147e410a7</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPasswordComplete</name>\n<number>1</number>\n<className>XWiki.XWikiRights</className>\n<guid>e0264a66-4a10-4d7e-822e-6863e3caaa18</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<groups>xwiki:XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPasswordComplete</name>\n<number>2</number>\n<className>XWiki.XWikiRights</className>\n<guid>06daec64-228b-4da1-b7e6-b59d9624c856</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content>{{velocity output="false"}}\n#**\nThis page completes the password reset procedure. It works according to the next algorithm:\n1. Verify that the correct verification URL is entered, by checking the 'u' and 'v' request parameters against the existing ResetPasswordRequest objects\n2. Display a form requesting the new password\n3. When receiving the new password via form submission, update the user object with the new password, and remove the ResetPasswordRequest object\n\nURL parameters:\n\nu = user account in the verification URL\nv = random verification string\np = the new password\np2 = the new password (for misspelling check)\n\n!!!!! IMPORTANT !!!!!\n\nThis document requires programming rights, so always make sure\nit is saved by a user with programming rights, and that\nit is secured against unprivileged editing.\n\n*###\n##\n##\n## The name of the class used for storing password reset verification data.\n#set ($verifClass = 'XWiki.ResetPasswordRequestClass')\n##\n## START MACROS\n##\n#**\n * Encrypt a string to get the value that would be stored inside a PasswordProperty field.\n * It is used to check if the unencrypted parameter from the URL is the value stored in the\n * ResetPasswordRequest object.\n * @param value The plaintext value to encrypt.\n * @param storedValue The current value stored in the ResetPasswordRequest object.\n * @param result The encrypted output.\n *#\n#macro(encrypt $value $storedValue $result)\n  #set ($encryptedValue = $xwiki.getClass($verifClass).getXWikiClass().get('verification').getEquivalentPassword($storedValue, $value))\n  #setVariable("$result", $encryptedValue)\n#end\n##\n##\n#**\n * Verify that the request parameters are valid.\n * @param userName The user name (full document name) received in the URL.\n * @param validationString The unencrypted key that is stored in the ResetPasswordRequestClass object.\n * @param result A boolean where the validation result is returned. True if the request is valid, false otherwise.\n *#\n#macro(verifyRequest $userName $validationString $isValid)\n  #set ($isValid = false)\n  #if ($validationString != '' &amp;&amp; $userName != '')\n    #set ($storedValidationString = $!xwiki.getDocumentAsAuthor($userName).getObject($verifClass).getValue('verification'))\n    #encrypt($validationString, $storedValidationString, $encryptedValidationString)\n    #if ($storedValidationString == $encryptedValidationString)\n      #set ($isValid = true)\n    #end\n  #end\n#end\n##\n##\n#**\n * Displays the password reset form.\n * @param message An optional message to display, for example if the sent password is empty.\n * @param u The user account (full document name), which needs to be preserved.\n * @param v The validation string, which will be checked again upon receiving the form.\n *###\n#macro(displayForm $message $userName $validationString)\n  #if ($message != '')\n{{warning}}$message{{/warning}}\n  #end\n\n{{html}}\n  &lt;form action="$doc.getURL()" method="post" class="xform third" onsubmit="if($('p').value == '') {alert('$services.localization.render("xe.admin.passwordReset.step2.error.emptyPassword")'); return false;} else if($('p').value != $('p2').value) {alert('$services.localization.render("xe.admin.passwordReset.step2.error.verificationMismatch")'); return false; }"&gt;\n    &lt;div class="hidden"&gt;\n      &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n      &lt;input type="hidden" name="u" value="$!escapetool.xml($userName)"/&gt;\n      &lt;input type="hidden" name="v" value="$!escapetool.xml($validationString)"/&gt;\n    &lt;/div&gt;\n    &lt;dl&gt;\n      &lt;dt&gt;&lt;label for="p"&gt;$services.localization.render('xe.admin.passwordReset.step2.newPassword.label')&lt;/label&gt;&lt;/dt&gt;\n      &lt;dd&gt;&lt;input id="p" type="password" name="p" value="" size="20"/&gt;&lt;/dd&gt;\n      &lt;dt&gt;&lt;label for="p2"&gt;$services.localization.render('xe.admin.passwordReset.step2.newPasswordVerification.label')&lt;/label&gt;&lt;/dt&gt;\n      &lt;dd&gt;&lt;input id="p2" type="password" value="" name="p2" size="20"/&gt;&lt;/dd&gt;\n    &lt;/dl&gt;\n    &lt;div class="buttons"&gt;\n      &lt;span class="buttonwrapper"&gt;&lt;input type="submit" value="$services.localization.render('xe.admin.passwordReset.step2.submit')" class="button"/&gt;&lt;/span&gt;\n    &lt;/div&gt;\n  &lt;/form&gt;\n{{/html}}\n\n#end\n##\n## END MACROS\n##\n##\n#set ($userName = "$!request.u")\n#set ($validationString = "$!request.v")\n#set ($password = "$!request.p")\n#set ($password2 = "$!request.p2")\n#verifyRequest($userName $validationString $isValid)\n{{/velocity}}\n\n{{velocity}}\n##\n##\n## First, check if the page has programming rights, as nothing works otherwise\n#if ($xwiki.hasProgrammingRights())\n#if ($isValid)\n  #set ($vuserDoc = $xwiki.getDocumentAsAuthor($userName))\n  #if ($request.getParameterMap().containsKey('p'))## Second step, set the user password\n    #if($password == '')\n      #displayForm($services.localization.render('xe.admin.passwordReset.step2.error.emptyPassword') $userName $validationString)\n    #elseif($password != $password2)\n      #displayForm($services.localization.render('xe.admin.passwordReset.step2.error.verificationMismatch') $userName $validationString)\n    #else\n      $vuserDoc.getObject('XWiki.XWikiUsers').set('password', $password)\n      #set($discard = $vuserDoc.removeObjects($verifClass))\n      #set ($discard = $vuserDoc.saveAsAuthor($services.localization.render('xe.admin.passwordReset.step2.versionComment.passwordReset'), true))\n{{info}}{{translation key="xe.admin.passwordReset.step2.success"/}} [[{{translation key="xe.admin.passwordReset.step2.login"/}}&gt;&gt;path:$xwiki.getURL('XWiki.XWikiLogin', 'login')]]{{/info}}\n\n    #end\n  #else## First step, request the user password\n    ## The user might not complete this step, and leave the URL in the (public) browser's\n    ## history. Prevent reusing the URL by invalidating the initial verification URL and only\n    ## post the new string in the hidden form data.\n    #set ($validationString = $util.generateRandomString(30))\n    #set ($discard = $vuserDoc.getObject($verifClass).set('verification', $validationString))\n    #set ($discard = $vuserDoc.saveAsAuthor($services.localization.render('xe.admin.passwordReset.step2.versionComment.changeValidationKey'), true))\n    #displayForm('' $userName $validationString)\n  #end\n#else\n\n{{error}}{{translation key="xe.admin.passwordReset.step2.error.wrongParameters"/}} [[{{translation key="xe.admin.passwordReset.step2.backToStep1"/}}&gt;&gt;ResetPassword]]{{/error}}\n\n#end\n##\n## Clear private variables, so that they cannot be accessed from the rest of the page (comments, panels...)\n#set ($validationString = '')\n#set ($password = '')\n#set ($password2 = '')\n##\n##\n#else## No programming rights, warn and exit\n\n{{error}}{{translation key="xe.admin.passwordReset.step2.error.noProgrammingRights"/}}{{/error}}\n\n#end\n{{/velocity}}</content></xwikidoc>\n
-5141406265467541082	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>RegistrationConfig</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502207000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Registration Configuration</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>XWiki.RegistrationConfig</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>d045822c-8279-4176-a382-1f153512898d</guid>\n<property>\n<codeToExecute></codeToExecute>\n</property>\n<property>\n<configurationClass>XWiki.Registration</configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInSection>Registration</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix>$xwiki.getURL('XWiki.RegistrationHelp')#</linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.Registration</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultRedirect>\n<disabled>0</disabled>\n<name>defaultRedirect</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Redirect here after registration</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultRedirect>\n<heading>\n<disabled>0</disabled>\n<name>heading</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Registration page heading</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</heading>\n<liveValidation_defaultFieldOkMessage>\n<disabled>0</disabled>\n<name>liveValidation_defaultFieldOkMessage</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Default field okay message</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</liveValidation_defaultFieldOkMessage>\n<liveValidation_enabled>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>liveValidation_enabled</name>\n<number>3</number>\n<prettyName>Enable Javascript field validation</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</liveValidation_enabled>\n<loginButton_autoLogin_enabled>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>loginButton_autoLogin_enabled</name>\n<number>6</number>\n<prettyName>Enable automatic login</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</loginButton_autoLogin_enabled>\n<loginButton_enabled>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>loginButton_enabled</name>\n<number>5</number>\n<prettyName>Enable login button</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</loginButton_enabled>\n<registrationSuccessMessage>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>registrationSuccessMessage</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Registration Successful Message</prettyName>\n<rows>12</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</registrationSuccessMessage>\n<requireCaptcha>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>requireCaptcha</name>\n<number>8</number>\n<prettyName>Require captcha to register</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</requireCaptcha>\n<welcomeMessage>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>welcomeMessage</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Welcome message</prettyName>\n<rows>12</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</welcomeMessage>\n</class>\n<name>XWiki.RegistrationConfig</name>\n<number>0</number>\n<className>XWiki.Registration</className>\n<guid>1a0c3cf7-de63-4f07-8a74-5c30bf880641</guid>\n<property>\n<defaultRedirect>$xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))</defaultRedirect>\n</property>\n<property>\n<heading>$services.localization.render('core.register.title')</heading>\n</property>\n<property>\n<liveValidation_defaultFieldOkMessage>$services.localization.render('core.validation.valid.message')</liveValidation_defaultFieldOkMessage>\n</property>\n<property>\n<liveValidation_enabled>1</liveValidation_enabled>\n</property>\n<property>\n<loginButton_autoLogin_enabled>0</loginButton_autoLogin_enabled>\n</property>\n<property>\n<loginButton_enabled>1</loginButton_enabled>\n</property>\n<property>\n<registrationSuccessMessage>#set($fullName = "$request.get('register_first_name') $request.get('register_last_name')")\n{{info}}$services.localization.render('core.register.successful', ["[[$fullName&gt;&gt;$userSpace$userName]]", $userName]){{/info}}</registrationSuccessMessage>\n</property>\n<property>\n<requireCaptcha>0</requireCaptcha>\n</property>\n<property>\n<welcomeMessage>{{translation key="core.register.welcome"/}}</welcomeMessage>\n</property>\n</object>\n<content>{{info}}This page contains a configuration object for [[XWiki.Registration&gt;&gt;XWiki.Registration]], You can configure [[XWiki.Registration&gt;&gt;XWiki.Registration]] from the [[registration section of the administration application&gt;&gt;XWiki.XWikiPreferences?section=Registration&amp;editor=globaladmin]].{{/info}}</content></xwikidoc>\n
-2828530727761397288	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminEditingSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1211796656000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminEditingSheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n### Administer the wiki editor preferences, at global level\n#set ($params = {\n  'editor': ['editor', 'core.defaultDocumentSyntax', 'xwiki.title.mandatory'],\n  'versioning': ['editcomment', 'editcomment_mandatory', 'minoredit']\n})\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}</content></xwikidoc>\n
7933057718280792876	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>RegistrationHelp</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.Registration</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502206000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Registration Page Documentation</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.RegistrationHelp</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>f10f7209-a83d-4793-9367-56e11a2600e1</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>ul &gt; li &gt; ul &gt; li {\n  list-style-type: none;\n}\nul.showCircles li {\n  list-style-type: circle;\n}</code>\n</property>\n<property>\n<name>No Bullets</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<content>The verified registration page is the new default registration method for XWiki Enterprise. It supports image captchas supplied by the captcha module it also supports validating the input fields both on the server side and in Javascript using [[LiveValidation&gt;&gt;http://livevalidation.com/]].\n\n{{info}}The Verified Registration page does not require programming rights to operate so you can configure it even if you are administrating a virtual wiki on a wiki farm.{{/info}}\n\n= Options you can set from the [[Registration section of the Administration Application&gt;&gt;XWiki.XWikiPreferences?section=Registration&amp;editor=globaladmin#HCustomizeXWikiRegistration]] =\n\n{{id name=heading/}}\n* **Registration page heading**\n** This is the line at the top of the page which is shown to people who are registering and when they have just registered. Velocity and XWiki Syntax 2.0 code may be used.\n\n{{id name=welcomeMessage/}}\n* **Welcome Message**\n** This is only shown when people are filling out the form. Velocity and XWiki Syntax 2.0 code may be used.\n\n{{id name=liveValidation_enabled/}}\n* **Enable Javascript field validation** (Default: Yes)\n** Set this to false and LiveValidation javascript will not be generated (fields will still be validated at the server side.)\n\n{{id name=liveValidation_defaultFieldOkMessage/}}\n* **Default field okay message** (Default: 'Ok.')\n** LiveValidation shows a message to indicate to users that they have filled in the field satisfactorily. this is the message they will get if it is not overridden for a particular field.  Velocity code may be used.\n\n{{id name=loginButton_enabled/}}\n* **Enable login button** (Default: Yes)\n** When the user has registered, we provide a button for them to click which will post their username and password to the login action and get them logged in right away. This however causes the username and password to be passed back in the HTML which may be unacceptable depending on your security needs.\n\n{{id name=loginButton_autoLogin_enabled/}}\n* **Enable automatic login** (Default: No)\n** If login button is enabled, then you can have a piece of Javascript push the login button for the user.\n\n{{id name=defaultRedirect/}}\n* **Redirect here after registration** (Default: "$xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))")\n** This is the URL of the which the user will be redirected to after pushing the login button if the xredirect parameter is not specified.  Velocity code may be used.\n\n{{id name=requireCaptcha/}}\n* **Require CAPTCHA to register** (Default: No)\n** Set this true to require the user to solve a CAPTCHA in order to register.\n\n{{id name=registrationSuccessMessage/}}\n* **Registration Successful Message**\n** This is shown to the user when they have registered successfully. Velocity and XWiki Syntax 2.0 code may be used.\n\n= Adding or removing fields to the registration form by editing the XWiki.Registration =\n\nIn XWiki.Registration, the fields are defined separately from the code which generates the HTML. You can add or remove fields simply by modifying the configuration. Fields are defined as maps. The maps are each required to have a 'name' key which must map to a string. This string will be the id and name of the field when it is rendered into HTML.\n\n* **label** (string)\n** This is what the user is prompted with above the field for their input.\n\n* **tag** (string)\n** Usually a field is an input field but if you specify a different tag (eg: textarea) then it will not be an input type field. You can even specify non field tags such as &lt;img&gt; or &lt;div&gt; but it may cause invalid HTML to be generated.\n\n* **params** (map)\n** This map corresponds to the HTML parameters of the tag. If you specify params to be { 'class' : 'someclass', 'style' : 'color:red;' } then the HTML tag will read &lt;input class="someclass" style="color:red;"&gt;\n\n* **noReturn** (boolean)\n** If this is specified, the field will not be filled in if there is an error and the user has to fix their registration information. If you don't want a password to be passed back in html then set this true for the password fields. Used for the captcha because it makes no sense to pass back an incorrect captcha answer.\n\n* **doAfterRegistration** (string)\n** Some Velocity code which will be executed after a successful registration. This is used in the favorite color example. Remember to put the code in single quotes ('') because you want the 'code' entry to equal the literal code, not the output from running it.\n\n* **validate** (map)\n** This map is the most complex and is covered later on in this section.\n\nHere is the definition of a field which is used in the registration page\n\n{{code language=none}}\n## The user name field, mandatory and programmatically checked to make sure the username doesn't exist.\n#set($field = \n  {'name' : 'xwikiname',\n    'label' : $services.localization.render('core.register.username'),\n    'params' : {\n      'type' : 'text',\n      'onfocus' : 'prepareName(document.forms.register);',\n      'size' : '20'\n    },\n    'validate' : {\n      'mandatory' : { \n        'failureMessage' : $services.localization.render('XWiki.Registration.fieldMandatory') \n      },\n      'programmaticValidation' : {\n        'code' : '#nameAvailable($request.get("xwikiname"))',\n        'failureMessage' : $services.localization.render('core.register.userAlreadyExists')\n      }\n    }\n  })\n#set($discard = $fields.add($field))\n{{/code}}\n\nLine by line it is:\n(% class="showCircles" %)\n* A comments and the beginning of a set directive.\n** name is set to 'xwikiname'\n** label is set to 'User Id:' or translation there of.\n** params is set to a new map\n*** params map gets type set to 'text'\n*** params map gets onfocus set to some Javascript\n*** params map gets size set to '20'\n** End of params map\n** validate is set to a new map.\n*** validate map gets mandatory set to new map.\n**** validate.mandatory gets failureMessage set to 'this field is mandatory' or translation there of.\n*** validate.mandatory is ended.\n*** validate gets programmaticValidation set to new map\n**** validate.programmaticValidation gets 'code' set to a macro call which will check if the username is taken.\n**** validate.programmaticValidation gets 'failureMessage' set to a message telling the user that the name is taken.\n*** validate.programmaticValidation map is closed.\n** validate map is closed.\n* Map for this field is closed and set directive ends.\n* This field is added to the fields array and the output from the add function is set to discard to avoid having it print on the page.\n\n== Validation Constraints ==\nThe validate field configuration key is itself a map which allows a number of parameters to be defined. Validation is done in the order of mandatory, then regex, then mustMatch, then programmatic validation so if nothing is entered and the mandatory constraint is not in place then the entry will be accepted and if a entry fails the regex test then it will not be evaluated programmatically.\n\n* **mandatory** (Optional)\n** Will fail if the field is not filled in.\n** **failureMessage** (Required)\n*** The message to display if the field is not filled in.\n** **noscript** (Optional)\n*** Will not be validated by Javascript, only on the server side.\n\n* **regex** (Optional)\n** Will validate the field using a regular expression. because of character escaping, you must provide a different expression for the javascript validation and the server side validation. Both javascript and server side validation are optional, but if you provide neither, then your field will not be validated.\n** **failureMessage** (Optional)\n*** The message to display if the regex evaluation returns false, note that this is sent in HTML so &amp;lt; will display as &lt;\n** **jsFailureMessage** (Optional)\n*** The message for Javascript to display if regex fails. If jsFailureMessage is not defined Javascript uses failureMessage. NOTE: Javascript injects the failure message using createTextNode so &amp;lt; will be displayed as &amp;lt;\n** **pattern** (Optional)\n*** The regular expression to test the input at the server side, it's important to use this if you need to validate the field for security reasons, also it is good because not all browsers use javascript or have it enabled.\n** **jsPattern** (Optional)\n*** The regular expression to use for client side, you can use escaped characters to avoid them being parsed as Javascript code. To get javascript to unescape characters use: "'+unescape('%5E%5B%24')+'"\n**** **NOTE:** If no jsPattern is specified, the jsValidator will try to validate using 'pattern'.\n** **noscript** (Optional)\n*** Will not be validated by Javascript, only on the server side.\n\n* **mustMatch** (Optional)\n** Will fail if the entry into the field is not the same as the entry in another field. Used for password confirmation.\n** **failureMessage** (Required)\n*** The message to display if the field doesn't match the named field.\n** **name** (Required)\n*** The name of the field which this field must match.\n** **noscript** (Optional)\n*** Will not be validated by Javascript, only on the server side.\n\n\n* **programmaticValidation** (Optional)\n** This form of validation executes a piece of Velocity code which you give it and if the code returns the word "failed" then it gives the error message. Remember to put the code in single quotes because you want the value of 'code' to equal the literal code, not the output from running it (Velocity parses code in double quotes)\n** **code** (Required)\n*** The code which will be executed to test whether the field is filled in correctly.\n** **failureMessage** (Required)\n*** The message which will be displayed if evaluating the code returns "false".\n\n* **fieldOkayMessage** (Optional)\n** The message which is displayed by LiveValidation when a field is validated as okay. If not specified, will be the LiveValidation default field ok message</content></xwikidoc>\n
-9104055598050728029	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ResetPassword</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502208000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.admin.passwordReset.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-administration-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPassword</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>8a0e8611-2818-4181-a8e9-1d1623ac3e77</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPassword</name>\n<number>1</number>\n<className>XWiki.XWikiRights</className>\n<guid>bb00007c-00dd-4423-9b7b-b87896c947fb</guid>\n<property>\n<allow>0</allow>\n</property>\n<property>\n<groups>xwiki:XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.ResetPassword</name>\n<number>2</number>\n<className>XWiki.XWikiRights</className>\n<guid>06daec64-228b-4da1-b7e6-b59d9624c866</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content>{{velocity}}\n#**\nThis page starts the password reset procedure. It works according to the next algorithm:\n1. Display a form requesting the username\n2. When receiving the username via form submission, generate a random verification string which is stored (as a hash) inside a ResetPasswordRequestClass object attached to the user's profile page. If no such object exists, it is created, but an existing object will be reused, meaning that at most one password reset request can be active at a moment.\n3. Send an email to the address configured in the user's profile, containing a link to the second step of the password reset procedure.\n\nURL parameters:\n\nu = user account sent in the form\n*###\n##\n##\n## The name of the class used for storing password reset verification data.\n#set ($verifClass = 'XWiki.ResetPasswordRequestClass')\n#set ($userName = "$!request.get('u')")\n#if ($userName == '')## First step, display the form requesting the username\n  {{translation key="xe.admin.passwordReset.instructions"/}}\n\n  {{html}}\n  &lt;form method="post" action="$doc.getURL()" class="xformInline"&gt;\n  &lt;div&gt;\n  &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n  &lt;label for="u"&gt;$services.localization.render('xe.admin.passwordReset.username.label')&lt;/label&gt; &lt;input type="text" id="u" name="u"/&gt; &lt;span class="buttonwrapper"&gt;&lt;input type="submit" value="$services.localization.render('xe.admin.passwordReset.submit')" class="button"/&gt;&lt;/span&gt;\n  &lt;/div&gt;\n  &lt;/form&gt;\n  {{/html}}\n#else## Second step, generate the verification string, store it, and send the email\n  ## TODO: Once the usernames are not bound to the XWiki space, revisit this code\n  #if ($userName.indexOf('.') != -1)\n    #set ($userDoc = $xwiki.getDocumentAsAuthor(${userName}))\n  #else\n    #set ($userDoc = $xwiki.getDocumentAsAuthor("XWiki.${userName}"))\n  #end\n  ## Check if the user exists and has a valid email address configured in his profile\n  #set ($userObj = '')\n  #set ($userObj = $userDoc.getObject('XWiki.XWikiUsers'))\n  #if (!$userObj)\n\n    {{warning}}$services.localization.render('xe.admin.passwordReset.error.noUser', ["//${escapetool.xml($userName)}//"]){{/warning}}\n\n  #elseif ($userDoc.getObject('XWiki.LDAPProfileClass'))\n\n    {{warning}}$services.localization.render('xe.admin.passwordReset.error.ldapUser', ["//${escapetool.xml($userName)}//"]){{/warning}}\n\n  #else\n    #set ($userEmail = $userObj.getProperty('email').value)\n    #if ("$!userEmail" == '')\n\n      {{error}}{{translation key="xe.admin.passwordReset.error.noEmail"/}}{{/error}}\n\n    #else\n      ## Find the object that will hold the verification string\n      #set ($verifObj = '')\n      #set ($verifObj = $userDoc.getObject($verifClass, true))\n      ## Generate a random string\n      #set ($verifStr = $util.generateRandomString(30))\n      ## If the class is correctly configured, the string should automatically be stored as a hash\n      #set ($discard = $verifObj.set('verification', $verifStr))\n      #set ($discard = $userDoc.saveAsAuthor($services.localization.render('xe.admin.passwordReset.versionComment'), true))\n      ## Compose the verification URL\n      #set ($passwordResetURL = $xwiki.getDocument('XWiki.ResetPasswordComplete').getExternalURL('view', "u=${userName}&amp;v=${verifStr}"))\n      ## Send the email\n      #set ($from = $services.mailsender.configuration.fromAddress)\n      #if ("$!from" == '')\n        #set ($from = "no-reply@${request.serverName}")\n      #end\n      #set ($mailTemplateReference = $services.model.createDocumentReference('', 'XWiki', 'ResetPasswordMailContent'))\n      #set ($mailParameters = {'from' : $from, 'to' : $userEmail, 'language' : $xcontext.language})\n      #set ($message = $services.mailsender.createMessage('template', $mailTemplateReference, $mailParameters))\n      #set ($discard = $message.setType('Reset Password'))\n      #macro (displayError $text)\n\n        {{html}}\n          &lt;div class="xwikirenderingerror" title="Click to get more details about the error" style="cursor: pointer;"&gt;\n            $services.localization.render('xe.admin.passwordReset.error.emailFailed')\n          &lt;/div&gt;\n          &lt;div class="xwikirenderingerrordescription hidden"&gt;\n            &lt;pre&gt;${text}&lt;/pre&gt;\n          &lt;/div&gt;\n        {{/html}}\n\n      #end\n      ## Check for an error constructing the message!\n      #if ($services.mailsender.lastError)\n        #displayError($exceptiontool.getStackTrace($services.mailsender.lastError))\n      #else \n        ## Send the message and wait for it to be sent or for any error to be raised.\n        #set ($mailResult = $services.mailsender.send([$message], 'database'))\n        ## Check for errors during the send\n        #if ($services.mailsender.lastError)\n          #displayError($exceptiontool.getStackTrace($services.mailsender.lastError))\n        #else\n          #set ($failedMailStatuses = $mailResult.statusResult.getByState('FAILED'))\n          #if ($failedMailStatuses.hasNext())\n            #set ($mailStatus = $failedMailStatuses.next())\n            #displayError($mailStatus.errorDescription)\n          #else\n\n            {{info}}$services.localization.render('xe.admin.passwordReset.emailSent', ["$userDoc.display('email', $userObj)"]){{/info}}\n\n          #end\n        #end\n      #end\n    #end\n  #end\n  [[{{translation key="xe.admin.passwordReset.error.retry"/}}&gt;&gt;$doc.fullName]] | [[{{translation key="xe.admin.passwordReset.error.recoverUsername"/}}&gt;&gt;ForgotUsername]] | [[{{translation key="xe.admin.passwordReset.login"/}}&gt;&gt;path:$xwiki.getURL('XWiki.XWikiLogin', 'login')]]\n#end\n## Clear private variables, so that they cannot be accessed from the rest of the page (comments, panels...)\n#set ($verifStr = '')\n#set ($passwordResetURL = '')\n{{/velocity}}</content></xwikidoc>\n
6159279780701781039	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>SkinsCode</web>\n<name>XWikiSkinsSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiSkins</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502208000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.admin.skin')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>SkinsCode.XWikiSkinsSheet</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>e262ce20-f28a-4fa0-89e2-c8413e10dce4</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#set($discard = $services.localization.use('document', 'SkinsCode.Translations'))\nrequire(['jquery', 'xwiki-meta'], function($, xm) {\n\n  // The global variable that will hold the notification widget (wo we can use it in different functions without adding\n  // it to the parameters of these functions)\n  var notif = 0;\n\n  /**\n   * Function called when the user clicks on the 'delete' button of an object\n   */\n  var onDeleteObj = function() {\n    var obj = $(this).parents('.overrideObject');\n    // Getting the object number via the name of an input (eg: XWiki.XWikiSkinFileOverrideClass_3_path -&gt; 3).\n    var objNumber = obj.find('input').prop('name').split('_')[1];\n    // Called when the user confirm the deletion\n    var deleteObjOnConfirm = function() {\n      // Perform asynchronously the deletion\n      notif = new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.deleting'))', 'inprogress');\n      $.ajax({\n        'url'      : (new XWiki.Document(xm.page, xm.space)).getURL('get'),\n        'type'     : 'POST',\n        'dataType' : 'json',\n        'data' : {\n          'action'      : 'deleteObj'            ,\n          'objNumber'   : objNumber ,\n          'form_token'  : xm.form_token       ,\n          'outputSyntax': 'plain'\n        }\n      }).done(function(data){\n        if (data.status == 'success') {\n          obj.fadeOut();\n          notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.deletingDone'))', 'done'));\n        } else if (data.status == 'fail') {\n          if (data.cause == 'form_token') {\n            notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.error.csrf'))', 'error'));\n          } else if (data.cause == 'rights') {\n            notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.error.rights'))', 'error'));\n          }\n        }\n      });\n    }\n    \n    var confirmationBoxParams = {\n      confirmationText: '$escapetool.javascript($services.localization.render('skin.sheet.js.deleteConfirmationText'))',\n      yesButtonText: '$escapetool.javascript($services.localization.render('skin.sheet.js.deleteConfirmationYes'))',\n      noButtonText: '$escapetool.javascript($services.localization.render('skin.sheet.js.deleteConfirmationNo'))'\n    };\n    \n    // Display a confirmation box\n    new XWiki.widgets.ConfirmationBox({onYes: deleteObjOnConfirm}, confirmationBoxParams);\n    \n    // Do not perform the default action bound to the &lt;button&gt; element\n    return false;\n  }\n\n  /**\n   * Function called when an override object is clicked.\n   * It shows/hides the properties of the object.\n   */\n  var objTitleClicked = function() {\n    var properties = $(this).parent().find('.overrideProperties');\n    if (properties.hasClass('hidden')) {\n      // It is the first time we open the object\n      // So we remove our own 'hidden' property\n      properties.removeClass('hidden');\n      // Then we hide the object via jQuery\n      properties.hide();\n      // So now we can make it slide (not possible if it were not hidden by jQuery first)\n      properties.slideDown();\n    } else {\n      // The other time, we just use the toggle function\n      properties.slideToggle();\n    }\n  }\n  \n  /**\n   * Function that performs an ajax request to get the code that displays an object and inject it in the page.\n   */\n  var displayObj = function(objNumber) {\n    $.ajax({\n      'url'  : (new XWiki.Document(xm.page, xm.space)).getURL('get'),\n      'type' : 'GET',\n      'data' : {\n        'action'    : 'displayObj',\n        'objNumber' : objNumber\n      }\n    }).done(function(data) {\n      notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.addingDone'))', 'done'));\n      // Add the html code into the document\n      $('#overrideSection').append(data);\n      // Get the new object\n      var newObj = $('.overrideObject').last();\n      // Bind the events of the new objects\n      newObj.find('.overrideTitle').click(objTitleClicked);\n      newObj.find('button').click(onDeleteObj);\n      // Show the new object\n      // First we remove our own 'hidden' class\n      newObj.find('.overrideProperties').removeClass('hidden');\n      // Then we hide the object via the jQuery API\n      newObj.hide();\n      // So now we can make it fade (not possible if it were not hidden by jQuery first)\n      newObj.fadeIn();\n      // Scroll to the element\n      $('html, body').animate({scrollTop: newObj.offset().top}, 500);\n    });\n  }\n\n  /**\n   * Function called when the user add a new override object\n   */\n  $('#newPathAdd').click(function() {\n    $.ajax({\n      'url'      : (new XWiki.Document(xm.page, xm.space)).getURL('get'),\n      'type'     : 'POST',\n      'dataType' : 'json',\n      'data' : {\n        'action'      : 'newObj'            ,\n        'path'        : $('#newPath').val() ,\n        'form_token'  : xm.form_token       ,\n        'outputSyntax': 'plain'\n      }\n    }).done(function(data) {\n      notif = new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.adding'))', 'inprogress');\n      if (data.status == 'success') {\n        displayObj(data.objNumber);\n      } else if (data.status == 'fail') {\n        if (data.cause == 'form_token') {\n          notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.error.csrf'))', 'error'));\n        } else if (data.cause == 'rights') {\n          notif.replace(new XWiki.widgets.Notification('$escapetool.javascript($services.localization.render('skin.sheet.js.error.rights'))', 'error'));\n        }\n      }\n    });\n    \n    // Do not perform the default action bound to the &lt;button&gt; element\n    return false;\n  });\n  \n  var onDeprecatedPropertyClicked = function() {\n    $('.deprecatedProperties &gt; dl').slideToggle();\n  }\n  \n  /**\n   * Function that initialize the javascript events\n   */\n  var init = function() {\n    // Bind objTitleClicked to the existing objects\n    $('.overrideTitle').click(objTitleClicked);\n    // Bind onDeleteObj to the existing objects\n    $('.overrideObject button').click(onDeleteObj);\n    $('.deprecatedProperties &gt; dl').hide();\n    $('.deprecatedProperties &gt; h2').click(onDeprecatedPropertyClicked);\n  }\n  \n  init();\n\n});\n</code></property><property><name>JS</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>SkinsCode.XWikiSkinsSheet</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>1e4faabf-d1ba-4fff-806a-2b88c6688e92</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n.overrideTitle:hover, .deprecatedProperties h2:hover{\n  background-color: $theme.highlightColor;\n  cursor: pointer;\n}\n\n.overrideProperties {\n  margin-left: 25px;\n}\n\n.overrideObjectDelete {\n  position: relative;\n  text-align: right;\n  margin-top: -40px;\n  float: right;\n  font-size: 130%;\n}\n\n.skin-colibri .overrideObjectDelete {\n  margin-top: -55px;\n}\n\n.newPathLabel {\n  color: $theme.linkColor;\n  display: inline;\n  font-size: 100%;\n  font-style: italic;\n  font-weight: normal;\n  margin: 0px;\n  text-transform: none;\n}\n</code></property><property><contentType>CSS</contentType>\n</property>\n<property>\n<name>CSS</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity}}\n#####################################\n##      XWikiSkins Sheet\n#####################################\n#set($discard = $xwiki.ssx.use('SkinsCode.XWikiSkinsSheet'))\n#set($discard = $xwiki.jsx.use('SkinsCode.XWikiSkinsSheet'))\n#set($discard = $services.localization.use('document', 'SkinsCode.Translations'))\n#####################\n##   CONTROLLER\n#####################\n## Keep testing the inline action for backward compatibility with existing skin documents.\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n  #edit()\n#elseif ($xcontext.action == 'get')\n  #if($request.action == 'newObj')\n    #newObj()\n  #elseif($request.action == 'displayObj')\n    #set($obj = $doc.getObject('XWiki.XWikiSkinFileOverrideClass', $numbertool.toNumber($request.objNumber).intValue()))\n    #displayOverrideObject($obj)\n  #elseif($request.action == 'deleteObj')\n    #deleteObj()\n  #end\n#else\n  #view()\n#end\n#####################\n##      VIEW\n#####################\n#macro(view)\n  ## Call getDefaultEditMode() for backward compatibility with existing skins.\n  * [[{{translation key="xe.admin.skin.editskin"/}}&gt;&gt;path:${doc.getURL($doc.getDefaultEditMode())}]]\n  * [[{{translation key="xe.admin.skin.testskin"/}}&gt;&gt;$services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI'))||queryString="skin=${doc.fullName}"]]\n#end\n#####################\n##      EDIT\n#####################\n#macro(edit)\n  == {{translation key="skin.sheet.properties" /}} ==\n  ## Display the class properties\n  #set ($deprecatedProperties = [])\n  #set ($className = 'XWiki.XWikiSkins')\n  #set ($class = $doc.getObject($className).xWikiClass)\n  #foreach ($prop in $class.properties)\n    #if ($prop.classType != 'TextArea')\n    ; $prop.prettyName\n    : #if($prop.name == 'logo'){{attachmentSelector classname="${className}" property="${prop.name}" filter="png,jpg,gif" displayImage="true"/}}#else $doc.display($prop.name)#end\n    \n    #else\n      #set($discard = $deprecatedProperties.add($prop))\n    #end\n  #end\n  (% id="overrideSection" %)\n  (((\n    == {{translation key="skin.sheet.overriddenTemplates" /}} ==\n    \n    {{warning}}\n      {{translation key="skin.sheet.overrideTemplateWarning" /}}\n    {{/warning}}\n    \n    {{html}}\n    &lt;noscript&gt;\n      &lt;div class="box errormessage"&gt;\n        $services.localization.render('skin.sheet.nojs', ["&lt;a href='$doc.getURL('edit', 'editor=object')'&gt;", '&lt;/a&gt;', 'XWiki.XWikiSkinFileOverrideClass'])\n      &lt;/div&gt;\n    &lt;/noscript&gt;\n    {{/html}}\n    \n    {{html}}\n    &lt;div id="addOverride"&gt;\n      &lt;label for="newPath" class="newPathLabel"&gt;$services.icon.renderHTML('add') $services.localization.render("skin.sheet.addTemplate")&lt;/label&gt;\n      &lt;input placeholder="file.vm" id="newPath" name="newPath" value="file.vm" size="20" class="withTip" type="text" /&gt;\n      &lt;button class="btn btn-primary" id="newPathAdd"&gt;$services.localization.render("skin.sheet.add")&lt;/button&gt;\n    &lt;/div&gt;\n    {{/html}}\n    ## Display the XWiki.XWikiSkinFileOverrideClass objects\n    #foreach ($obj in $doc.getObjects('XWiki.XWikiSkinFileOverrideClass'))\n      #displayOverrideObject($obj)\n    #end\n  )))\n  \n  #if ($deprecatedProperties.size() &gt; 0)\n    (% class="deprecatedProperties" %)\n    (((\n      == {{translation key="skin.sheet.deprecatedProperties" /}} ==\n      \n      {{warning}}\n        {{translation key="skin.sheet.deprecatedPropertiesWarning" /}}\n      {{/warning}}\n      \n      #foreach ($prop in $deprecatedProperties)\n        #if ($prop.classType == 'TextArea')\n        ; $services.icon.render('file-white') $prop.prettyName\n        : $doc.display($prop.name)\n        \n        #end\n      #end\n    )))\n  #end\n#end\n###########################\n##  DISPLAY OVERRIDE OBJ\n###########################\n#macro(displayOverrideObject $obj)\n  (% class="overrideObject" %)\n  (((\n    (% class="overrideTitle" %)\n    === $services.icon.render('file-white') $obj.display('path', 'view') ===\n    (% class="overrideObjectDelete" %)\n    (((\n      {{html}}&lt;button class="btn btn-default btn-xs"&gt;$services.icon.renderHTML('cross')&lt;/button&gt;{{/html}}\n    )))\n    (% class="overrideProperties hidden" %)\n    (((\n      #set ($className = 'XWiki.XWikiSkinFileOverrideClass')\n      #set ($class = $doc.getObject($className).xWikiClass)\n      #foreach ($prop in $class.properties)\n        ; $prop.prettyName\n        : $obj.display($prop.name, 'edit')\n    \n      #end\n    )))\n    ----\n  )))\n#end\n###########################\n##     CHECK RIGHTS\n###########################\n#macro(checkRights $response)\n  #if(!$services.csrf.isTokenValid($request.form_token))\n    #set($discard = $response.put('status', 'fail'))\n    #set($discard = $response.put('cause', 'form_token'))\n  #elseif(!$xwiki.hasAccessLevel('edit', $xcontext.user, $doc.fullname))\n    #set($discard = $response.put('status', 'fail'))\n    #set($discard = $response.put('cause', 'rights'))\n  #end\n#end\n###########################\n##       NEW OBJ\n###########################\n#macro(newObj)\n  #set($response = {})\n  #checkRights($response)\n  #if("$!response.get('status')" != 'fail')\n    #set($obj = $doc.newObject('XWiki.XWikiSkinFileOverrideClass'))\n    #set($discard = $obj.set('path', $request.path))\n    #set($discard = $doc.save('Add a new XWiki.XWikiSkinFileOverrideClass object'))\n    #set($discard = $response.put('objNumber', $obj.number))\n    #set($discard = $response.put('status', 'success'))\n  #end\n  $jsontool.serialize($response)\n#end\n###########################\n##      DELETE OBJ\n###########################\n#macro(deleteObj)\n  #set($response = {})\n  #checkRights($response)\n  #if("$!response.get('status')" != 'fail')\n    #set($objNumber = $numbertool.toNumber($request.objNumber).intValue())\n    #set($obj = $doc.getObject('XWiki.XWikiSkinFileOverrideClass', $objNumber))\n    #set($discard = $doc.removeObject($obj))\n    #set($saveMessage = "Remove the object XWiki.XWikiSkinFileOverrideClass[" + $obj.getValue('path') + "]")\n    #set($discard = $doc.save($saveMessage))\n    #set($discard = $response.put('status', 'success'))\n  #end\n  $jsontool.serialize($response)\n#end\n{{/velocity}}\n</content></xwikidoc>
-6294873828920808423	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>SkinsCode</web>\n<name>Translations</name>\n<language>fr</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>SkinsCode.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1426000188000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nskin.sheet.add=Ajouter\nskin.sheet.js.adding=Ajout...\nskin.sheet.js.addingDone=Le modèle a été ajouté\nskin.sheet.js.deleteConfirmationNo=Non, annuler\nskin.sheet.js.deleteConfirmationText=Êtes-vous certain de vouloir supprimer ce modèle ? \nskin.sheet.js.deleteConfirmationYes=Oui, le supprimer\nskin.sheet.js.deleting=Suppression...\nskin.sheet.js.deletingDone=Le modèle a été supprimé\nskin.sheet.js.error.rights=Impossible d'enregistrer le thème, vous ne disposez pas de droits suffisants.\nskin.sheet.properties=Propriétés du thème\nskin.sheet.title=Thème\n</content></xwikidoc>
3617540779457742623	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>SkinsCode</web>\n<name>WebHome</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1426000144000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>WebHome</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{spaceindex sort="docName"/}}</content></xwikidoc>\n
-922349359903415092	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>WebHome</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425566221000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>Index Application Home</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>This space contains technical pages for the Index Application.</content></xwikidoc>\n
-5435110676509272871	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>UserProfileSectionsClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1427697247000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.UserProfileSectionsClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sections>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>sections</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sections to display</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</sections>\n</class>\n<object>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>XWiki.UserProfileSectionsClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>2b6f9f64-79fa-4411-9d5b-893566af61fc</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
4735849229920657245	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>SkinsCode</web>\n<name>Translations</name>\n<language></language>\n<defaultLanguage>en</defaultLanguage>\n<translation>0</translation>\n<parent>SkinsCode.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1426000188000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.TranslationDocumentClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>1</number>\n<prettyName>Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>GLOBAL|WIKI|USER|ON_DEMAND</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>SkinsCode.Translations</name>\n<number>0</number>\n<className>XWiki.TranslationDocumentClass</className>\n<guid>60efd77f-fd6d-4c21-9d26-826226cd3e17</guid>\n<property>\n<scope>ON_DEMAND</scope>\n</property>\n</object>\n<content>skin.sheet.title=Skin\nskin.sheet.properties=Skin Properties\nskin.sheet.deprecatedProperties=Deprecated properties\nskin.sheet.overriddenTemplates=Overridden templates\nskin.sheet.addTemplate=Add a new overriding template\nskin.sheet.add=Add\nskin.sheet.overrideTemplateWarning=This section allows you to override a template of the skin. This is technical and you should be aware of the consequences.\nskin.sheet.deprecatedPropertiesWarning=This section is here for retro-compatibility reason. You should use the 'overridden templates' mechanism above.\nskin.sheet.nojs=Without JavaScript, you cannot use this section. But you can use the {0}Object Editor{1} instead, and manually add {2} objects.\n\nskin.sheet.js.deleting=Deleting...\nskin.sheet.js.deletingDone=The template has been deleted!\nskin.sheet.js.error.csrf=CSRF validation failed when saving. Try to refresh your browser first.\nskin.sheet.js.error.rights=Failed to save the skins because you don't have the right to do it.\nskin.sheet.js.deleteConfirmationText=Are you sure you want to delete this template?\nskin.sheet.js.deleteConfirmationYes=Yes, delete it\nskin.sheet.js.deleteConfirmationNo=No, cancel\nskin.sheet.js.adding=Adding...\nskin.sheet.js.addingDone=The template has been added!\n\n###############################################################################\n## Deprecated\n## Note: each element should be removed when the last branch using it is no longer supported\n###############################################################################\n\n## Used to indicate where deprecated keys start\n#@deprecatedstart\n\n#######################################\n## until 7.1M1\n#######################################\nskin.sheet.overridedTemplates=Overridden templates\n\n## Used to indicate where deprecated keys end\n#@deprecatedend\n</content></xwikidoc>
-1968921316723331915	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>SkinsCode</web>\n<name>Translations</name>\n<language>lv</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>SkinsCode.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1426000188000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nskin.sheet.add=Pievienot\nskin.sheet.addTemplate=Pievienot jaunu pārrakstītu veidni\nskin.sheet.deprecatedProperties=Novecojušas īpašības\nskin.sheet.deprecatedPropertiesWarning=Šī sadaļa ir tikai savietojamībai ar iepriekšējām versijām. Tā vietā jums būtu jāizmanto augstāk minētais 'pārrakstīt veidni' paņēmiens\nskin.sheet.js.adding=Pievieno...\nskin.sheet.js.addingDone=Veidne ir pievienota\\!\nskin.sheet.js.deleteConfirmationNo=Nē, atcelt\nskin.sheet.js.deleteConfirmationText=Vai tiešām vēlaties izdzēst šo veidni?\nskin.sheet.js.deleteConfirmationYes=Jā, izdzēst\nskin.sheet.js.deleting=Dzēšu...\nskin.sheet.js.deletingDone=Veidne ir izdzēsta\\!\nskin.sheet.js.error.csrf=Neizdevās CSRF validācija. Mēģiniet vispirms atjaunot lapas saturu pārlūkprogrammā.\nskin.sheet.js.error.rights=Neizdevās saglabāt apdari jo jums nav nepieciešamo pieejas tiesību.\nskin.sheet.nojs=Jūs nevarat izmantot šo sadaļu bez JavaScript atbalsta. Bet tā vietā jūs varat izmantot {0}Objektu redaktoru{1} un pievienot manuāli {2} objektus.\nskin.sheet.overrideTemplateWarning=Šī sadaļa ļauj jums pārrakstīt apdares veidni. Šī ir tehniski sarežģīta lieta un jums ir jāsaprot, kādas var būt izmaiņu sekas.\nskin.sheet.overridedTemplates=Pārrakstītās veidnes\nskin.sheet.properties=Apdares īpašības\nskin.sheet.title=Apdare\n</content></xwikidoc>
-4040908276258322251	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiSkinsTemplate</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiSkins</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1306878414000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>XWikiSkins Template</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiSkins</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<baseskin>\n<disabled>0</disabled>\n<name>baseskin</name>\n<number>2</number>\n<prettyName>Base Skin</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</baseskin>\n<edit.vm>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>edit.vm</name>\n<number>10</number>\n<prettyName>Edit</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</edit.vm>\n<footer.vm>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>footer.vm</name>\n<number>7</number>\n<prettyName>Footer</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</footer.vm>\n<header.vm>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>header.vm</name>\n<number>6</number>\n<prettyName>Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</header.vm>\n<logo>\n<disabled>0</disabled>\n<name>logo</name>\n<number>3</number>\n<prettyName>Logo</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logo>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<outputSyntax>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>outputSyntax</name>\n<number>4</number>\n<prettyName>Output Syntax</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>html/5.0=HTML 5|xhtml/1.0=XHTML 1.0</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</outputSyntax>\n<style.css>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>style.css</name>\n<number>5</number>\n<prettyName>Style</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</style.css>\n<view.vm>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>view.vm</name>\n<number>9</number>\n<prettyName>View</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</view.vm>\n<viewheader.vm>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>viewheader.vm</name>\n<number>8</number>\n<prettyName>View Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</viewheader.vm>\n</class>\n<name>XWiki.XWikiSkinsTemplate</name>\n<number>0</number>\n<className>XWiki.XWikiSkins</className>\n<guid>4caf3995-860b-4784-9e5e-fc3534fc1379</guid>\n<property>\n<baseskin></baseskin>\n</property>\n<property>\n<edit.vm></edit.vm>\n</property>\n<property>\n<footer.vm></footer.vm>\n</property>\n<property>\n<header.vm></header.vm>\n</property>\n<property>\n<logo></logo>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<style.css></style.css>\n</property>\n<property>\n<view.vm></view.vm>\n</property>\n<property>\n<viewheader.vm></viewheader.vm>\n</property>\n</object>\n<content></content></xwikidoc>\n
609596023590293155	1	1	2017-05-12 15:40:14		XWiki.superadmin	t	d14 3\na16 3\n<date>1494618014000</date>\n<contentUpdateDate>1494618014000</contentUpdateDate>\n<version>1.1</version>\nd20 1\na20 1\n<comment></comment>\nd22 1\na22 1\n<syntaxId>xwiki/2.1</syntaxId>\nd34 1\nd38 1\nd42 2\nd47 1\nd51 2\na52 1\n<number>10</number>\nd57 2\nd62 1\nd66 2\na67 1\n<number>7</number>\nd72 2\nd77 1\nd81 2\na82 1\n<number>6</number>\nd87 2\nd92 1\nd96 1\nd100 2\nd105 1\nd109 1\nd113 2\na116 16\n<outputSyntax>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>outputSyntax</name>\n<number>4</number>\n<prettyName>Output Syntax</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>html/5.0=HTML 5|xhtml/1.0=XHTML 1.0</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</outputSyntax>\nd118 1\nd122 2\na123 1\n<number>5</number>\nd128 2\nd133 1\nd137 2\na138 1\n<number>9</number>\nd143 2\nd148 1\nd152 2\na153 1\n<number>8</number>\nd158 2\nd169 1\na169 1\n<sheet>XWikiSkinsSheet</sheet>\nd178 1\na178 1\n<sheet>ClassSheet</sheet>\n
609596023590293155	2	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	XWiki.superadmin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiSkins</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.superadmin</creator>\n<author>XWiki.superadmin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.superadmin</contentAuthor>\n<creationDate>1494618014000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>2.1</version>\n<title>XWiki Skin Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.XWikiSkins</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<baseskin>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>baseskin</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Base Skin</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</baseskin>\n<edit.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>edit.vm</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Edit</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</edit.vm>\n<footer.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>footer.vm</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Footer</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</footer.vm>\n<header.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>header.vm</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</header.vm>\n<logo>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logo</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Logo</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logo>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<style.css>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>style.css</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Style</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</style.css>\n<view.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>view.vm</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>View</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</view.vm>\n<viewheader.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>viewheader.vm</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>View Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</viewheader.vm>\n</class>\n<object>\n<name>XWiki.XWikiSkins</name>\n<number>0</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>17d0418b-bbd0-426d-bfd4-273a82c66a1c</guid>\n<property>\n<sheet>SkinsCode.XWikiSkinsSheet</sheet>\n</property>\n</object>\n<object>\n<name>XWiki.XWikiSkins</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>c08b22a0-3ea3-40ba-95d0-03aa76f9d25c</guid>\n<property>\n<sheet>XWiki.ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
8162779462392663395	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DefaultSkin</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiPreferences</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1167576476000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-skin-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiSkins</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<baseskin>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>baseskin</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Base Skin</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</baseskin>\n<edit.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>edit.vm</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Edit</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</edit.vm>\n<footer.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>footer.vm</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Footer</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</footer.vm>\n<header.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>header.vm</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</header.vm>\n<logo>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logo</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Logo</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logo>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<style.css>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>style.css</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Style</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</style.css>\n<view.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>view.vm</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>View</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</view.vm>\n<viewheader.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>viewheader.vm</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>View Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</viewheader.vm>\n</class>\n<name>XWiki.DefaultSkin</name>\n<number>0</number>\n<className>XWiki.XWikiSkins</className>\n<guid>c52655e2-0fae-4b2c-8508-378d1c1fb4ac</guid>\n<property>\n<baseskin>flamingo</baseskin>\n</property>\n<property>\n<edit.vm></edit.vm>\n</property>\n<property>\n<footer.vm></footer.vm>\n</property>\n<property>\n<header.vm></header.vm>\n</property>\n<property>\n<logo>logo.png</logo>\n</property>\n<property>\n<name>Default XWiki Skin</name>\n</property>\n<property>\n<style.css></style.css>\n</property>\n<property>\n<view.vm></view.vm>\n</property>\n<property>\n<viewheader.vm></viewheader.vm>\n</property>\n</object>\n<content></content></xwikidoc>\n
-8151728550054329289	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-livetable-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>LiveTableResultsMacros</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1393531742000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('platform.livetable.resultsMacros')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-livetable-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n#**\n * Macro to get the results of a livetable data call.\n * This page is called from live grids via Ajax with the argument xpage=plain. It returns a\n * set of results serialized in JSON.\n *#\n#macro(gridresult $className $collist)\n  #gridresultwithfilter($className $collist '' '' [])\n#end\n\n\n#**\n * Computes the query used to retrieve the results of a live table data call.\n * NOTE: This macro is not fully encapsulated because it defines a few Velocity variables that are used in subsequent macros.\n *#\n#macro(gridresultwithfilter_buildQuery $className $collist $filterfrom $filterwhere $filterParams)\n  ## Additional columns; should *not* contain raw parameters, all added column names must be filtered\n  #set($fromSql = '')\n  ## Parametrized filter part of the query\n  #set($whereSql = '')\n  ## List of values to use with $whereSql\n  #set($whereParams = [])\n  #set($class = $xwiki.getDocument($className).getxWikiClass())\n  ##\n  ## Add the columns needed for the actual data\n  ##\n  #set($tablelist = [])\n  #foreach($colname in $collist)\n    #livetable_addColumnToQuery($colname)\n  #end\n  ##\n  ## Tag filtering\n  ##\n  #if($request.tag)\n    #set($fromSql = "${fromSql} , BaseObject as tobject, DBStringListProperty as tagprop")\n    #set($whereSql = "${whereSql} and tobject.className='XWiki.TagClass' and tobject.name=doc.fullName and tobject.id=tagprop.id.id and tagprop.id.name='tags' and (")\n    #foreach($tag in $request.getParameterValues('tag'))\n      #if($velocityCount &gt; 1) #set($whereSql = "${whereSql} and ") #end\n      ## Tags are case insensitive but they are stored unchanged which means we have to normalize them when performing\n      ## a query. Unfortunately there's no simple way to match multiple tags (AND operator). If we join the list of\n      ## tags in the FROM clause then we match at least one of the tags (OR operator). The only remaining option is to\n      ## check that the list of tags contains each of the desired tags. HQL doesn't help us to lower-case the entire\n      ## list of tags so we use an inner select for this.\n      #set($whereSql = "${whereSql} lower(?) in (select lower(tag) from tagprop.list tag)")\n      #set($discard = $whereParams.add("${tag}"))\n    #end\n    #set($whereSql = "${whereSql})")\n  #end\n  ##\n  ##\n  ## Order\n  ##\n  ## if the object for the classname of the order column is not already in the from sql, put it\n  #macro(addObjectClause $objectAlias)\n    #if($fromSql.indexOf($objectAlias) &lt; 0)\n      #set($fromSql = "${fromSql}, BaseObject $objectAlias")\n      #set($whereSql = "${whereSql} and ${objectAlias}.name = doc.fullName and ${objectAlias}.className = ?")\n      #set($discard = $whereParams.add($propClassName))\n    #end\n  #end\n  ## Set the order clause for a field. We first ignore the case using the lower function (so that e.g. 'aaa' equals 'AAA')\n  ## but then consider it only for equal values (so that e.g. 'AAA' comes before 'aaa').\n  #macro(setOrderClause $fieldName $direction $useRawValue)\n    #if ($useRawValue)\n      #set($orderSql = " order by ${fieldName} ${direction}")\n    #else\n      #set($orderSql = " order by lower(${fieldName}) ${direction}, ${fieldName} ${direction}")\n    #end\n  #end\n  #set($order = "$!request.sort")\n  #set ($orderSql = '')\n  #if($order != '')\n    #set($orderDirection = "$!{request.get('dir').toLowerCase()}")\n    #if("$!orderDirection" != '' &amp;&amp; "$!orderDirection" != 'asc')\n      #set($orderDirection = 'desc')\n    #end\n    ## Only safe version should be used in SQL queries\n    #set($safe_tableAlias = $order.replaceAll('[^a-zA-Z0-9_.]', ''))\n    ##\n    #if($order.startsWith('doc.'))\n      ## The column is a document field.\n      ##\n      ## These document fields need to be ordered as raw values and not as strings.\n      #set($rawDocumentFields = ['translation', 'date', 'contentUpdateDate', 'creationDate', 'elements', 'minorEdit1', 'hidden'])\n      #set($documentField = $stringtool.removeStart($order, 'doc.'))\n      #setOrderClause(${safe_tableAlias.replace('_','.')}, ${orderDirection},  $rawDocumentFields.contains($documentField))\n    #else\n      ## The column is an object property.\n      ##\n      ## Resolve the property.\n      #livetable_getPropertyClassAndType($order)\n      #set ($multiselect = "$!{propClass.get($order).getProperty('multiSelect').getValue()}")\n      ## We can only handle single values, not multiselect ones.\n      #if ($multiselect != '1')\n        ## Some property types do not need lowercasing since they have unique values by design, so we use the raw values to order.\n        #set($rawPropertyTypes = ['NumberClass', 'BooleanClass', 'DateClass', 'LevelsClass'])\n        ## If the order column is also a filer column, this means that it was already added to the query and all we need to do is to add it to the order clause.\n        #if(!$tablelist.contains($order))\n          ## The order column is not also a filter column, so not yet defined in the query.\n          ## We need to first define it (to the from and where clauses) before we can add it to the order clause.\n          ##\n          ## Resolve the table name of the property to be used in the from clause below.\n          #livetable_getTableName($order)\n          ## If the sort column has a _class specified, join that object in\n          #set($orderObjectAlias = 'obj')\n          #if($propClassName != '' &amp;&amp; "$!propClass" != '')\n            ## prepare the alias of the BaseObject table that corresponds to the class of this column\n            #set($orderObjectAlias = "$!{propClassName.replaceAll('[^a-zA-Z0-9_]', '')}_obj")\n            #addObjectClause($orderObjectAlias)\n          #end\n          #set($fromSql = "${fromSql}, ${tableName} ${safe_tableAlias}")\n          ## FIXME: Check if this is indeed a property of the class. Hint: $propType can be used.\n          ## Conditions are put on the object coresponding to the column of the order ($orderObjectAlias), which depends on which is the class of the $order\n          #set($whereSql = "${whereSql} and ${orderObjectAlias}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.name = ?")\n          #set($discard = $whereParams.add("${order}"))\n        #end\n        ## Add the column to the order clause.\n        #setOrderClause("${safe_tableAlias}.value", ${orderDirection}, $rawPropertyTypes.contains($propType))\n      #end\n    #end\n  #end\n  ##\n  ##\n  ## Compute the final queries\n  ##\n  #set($sqlParams = [])\n  #set($tagsMatchingParams = [])\n  #set($allMatchingParams = [])\n  #if("$!className" != '')\n    ## Class query\n    #set($sql = ", BaseObject as obj $!fromSql $!filterfrom where obj.name=doc.fullName and obj.className = ? and doc.fullName not in (?, ?) $!whereSql $!filterwhere")\n    #set($discard = $sqlParams.addAll(["${className}", "${className}Template", ${className.replaceAll('Class$', 'Template')}]))\n    #set($discard = $sqlParams.addAll($whereParams))\n    ##\n    #set($tagsMatchingFiltersFrom = ", BaseObject as obj $!fromSql $!filterfrom")\n    #set($tagsMatchingFiltersWhere = "obj.name=doc.fullName and obj.className = ? and doc.fullName not in (?, ?) $!whereSql $!filterwhere")\n    #set($discard = $tagsMatchingParams.addAll(["${className}", "${className}Template", ${className.replaceAll('Class$', 'Template')}]))\n    #set($discard = $tagsMatchingParams.addAll($whereParams))\n    ##\n    #set($allMatchingTagsFrom = ", BaseObject as obj $!filterfrom")\n    #set($allMatchingTagsWhere = "obj.name=doc.fullName and obj.className = ? and doc.fullName not in (?, ?) $!filterwhere")\n    #set($discard = $allMatchingParams.addAll(["${className}", "${className}Template", ${className.replaceAll('Class$', 'Template')}]))\n    ##\n    #if($filterParams)\n      #set($discard = $sqlParams.addAll($filterParams))\n      #set($discard = $tagsMatchingParams.addAll($filterParams))\n      #set($discard = $allMatchingParams.addAll($filterParams))\n    #end\n  #else\n    ## Document query\n    #set($sql = "$!fromSql $!filterfrom where 1=1 $!whereSql $!filterwhere")\n    #set($discard = $sqlParams.addAll($whereParams))\n    ##\n    #set($tagsMatchingFiltersFrom = "$!fromSql $!filterfrom")\n    #set($tagsMatchingFiltersWhere = "1=1 $!whereSql $!filterwhere")\n    #set($discard = $tagsMatchingParams.addAll($whereParams))\n    ##\n    #set($allMatchingTagsFrom = "$!filterfrom")\n    #set($allMatchingTagsWhere = "1=1 $!filterwhere")\n    ##\n    #if($filterParams)\n      #set($discard = $sqlParams.addAll($filterParams))\n      #set($discard = $tagsMatchingParams.addAll($filterParams))\n      #set($discard = $allMatchingParams.addAll($filterParams))\n    #end\n  #end\n  #if($orderSql != '')\n    #set($sql = "$sql $!{orderSql}")\n  #end\n#end\n\n\n#**\n * Adds TagCloud information to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables defined by gridresultwithfilter_buildQuery.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildTagCloudJSON $map)\n  ##\n  ## TagCloud matching the current filters\n  ##\n  #set($tagsMatchingFilters = $xwiki.tag.getTagCountForQuery($tagsMatchingFiltersFrom, $tagsMatchingFiltersWhere, $tagsMatchingParams))\n  ## FIXME: We use a map just because the client expects an object, but all we really need is a list..\n  #set($matchingTags = {})\n  #foreach($tag in $tagsMatchingFilters.keySet())\n    ## NOTE: The value doesn't have a special meaning. I've used 1 just because it takes less space when serialized.\n    #set($discard = $matchingTags.put($tag, 1))\n  #end\n  #set($discard = $map.put('matchingtags', $matchingTags))\n  ##\n  ## TagCloud matching all the documents used by the live table\n  ##\n  #set($allMatchingTags = $xwiki.tag.getTagCountForQuery($allMatchingTagsFrom, $allMatchingTagsWhere, $allMatchingParams))\n  ## FIXME: We use a list of maps just because the client expects an array, but we should simply return $allMatchingTags..\n  #set($tags = [])\n  #foreach($tag in $allMatchingTags.keySet())\n    #set($discard = $tags.add({'tag': $tag, 'count': $allMatchingTags.get($tag)}))\n  #end\n  #set($discard = $map.put('tags', $tags))\n#end\n\n\n#**\n * Adds information about each live table row to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables defined by gridresultwithfilter_buildQuery.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildRowsJSON $map)\n  #set($offset = $mathtool.toInteger($request.get('offset')))\n  ## Offset starts from 0 in velocity and 1 in javascript\n  #set($offset = $offset - 1)\n  #if(!$offset || $offset &lt; 0)\n    #set($offset = 0)\n  #end\n  #set($limit = $mathtool.toInteger($request.get('limit')))\n  #if(!$limit)\n    #set ($limit = 15)\n  #end\n  #set($query = $services.query.hql($sql))\n  ## Apply query filters if defined. Otherwise use default.\n  #foreach ($queryFilter in $stringtool.split($!request.queryFilters, ', '))\n    #set ($query = $query.addFilter($queryFilter))\n  #end\n  #set ($query = $query.setLimit($limit).setOffset($offset).bindValues($sqlParams))\n  #set($items = $query.execute())\n  #set($discard = $map.put('totalrows', $query.count()))\n  #set($discard = $map.put('returnedrows', $mathtool.min($items.size(), $limit)))\n  #set($discard = $map.put('offset', $mathtool.add($offset, 1)))\n  #set($rows = [])\n  #foreach($item in $items)\n    #gridresult_buildRowJSON($item $rows)\n  #end\n  #set($discard = $map.put('rows', $rows))\n#end\n\n\n#**\n * Adds information about the specified live table row to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables available in gridresult_buildRowsJSON.\n *\n * @param $item the name of the document that feeds this live table row\n * @param $rows stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildRowJSON $item $rows)\n  ## Handle both the case where the "language" filter is used and thus languages are returned too and the case where\n  ## only the document name is returned. When more than the document name is returned the $item variable is a list.\n  #if($item.size())\n    ## Extract doc name and doc language from $item\n    #set($docName = $item[0])\n    #set($docLanguage = $item[1])\n  #else\n    #set($docName = $item)\n    #set($docLanguage = '')\n  #end\n  #set($viewable = $xwiki.hasAccessLevel('view', $xcontext.user, "${xcontext.database}:${docName}"))\n  #set($row = {'doc_viewable': $viewable})\n  #if(!$viewable)\n    #set($discard = $row.put('doc_fullName', "${xcontext.database}:${item}"))\n  #else\n    #set($itemDoc = $xwiki.getDocument($docName))\n    ## Handle translations. We need to make sure we display the data associated to the correct document if the returned\n    ## result is a translation.\n    #if("$!docLanguage" != "" &amp;&amp; $xwiki.getLanguagePreference() != $docLanguage)\n      #set($translatedDoc = $itemDoc.getTranslatedDocument($docLanguage))\n      #set($isTranslation = true)\n    #else\n      #set($translatedDoc = $itemDoc.translatedDocument)\n      #set($isTranslation = false)\n    #end\n    #set($fullname = $services.model.serialize($itemDoc.documentReference, 'default'))\n    #set($discard = $itemDoc.use($className))\n    #if($isTranslation)\n      ## Display the language after the document name so that not all translated documents have the same name displayed\n      #set($discard = $row.put('doc_name', "$itemDoc.name ($docLanguage)"))\n    #else\n      #set($discard = $row.put('doc_name', $itemDoc.name))\n    #end\n    #set($discard = $row.put('doc_fullName', $fullname))\n    #set($discard = $row.put('doc_space', $itemDoc.space))\n    #set($discard = $row.put('doc_url', $xwiki.getURL($docName)))\n    #set($discard = $row.put('doc_space_url', $xwiki.getURL($services.model.createDocumentReference($!itemDoc.wiki, $!itemDoc.space, 'WebHome'))))\n    #set($discard = $row.put('doc_wiki', $itemDoc.wiki))\n    #set($discard = $row.put('doc_wiki_url', $xwiki.getURL($services.model.resolveDocument('', 'default', $itemDoc.documentReference.extractReference('WIKI')))))\n    #set($discard = $row.put('doc_hasadmin', $xwiki.hasAdminRights()))\n    #set($discard = $row.put('doc_hasedit', $xwiki.hasAccessLevel('edit', $xcontext.user, $fullname)))\n    #set($discard = $row.put('doc_hasdelete', $xwiki.hasAccessLevel('delete', $xcontext.user, $fullname)))\n    #set($discard = $row.put('doc_hasrename', $row.doc_hasdelete))\n    #set($row.doc_hasrights = $row.doc_hasedit &amp;&amp; $isAdvancedUser)\n    #set($discard = $row.put('doc_edit_url', $itemDoc.getURL($itemDoc.defaultEditMode)))\n    #set($discard = $row.put('doc_copy_url', $itemDoc.getURL('view', 'xpage=copy')))\n    #set($discard = $row.put('doc_delete_url', $itemDoc.getURL('delete')))\n    #set($discard = $row.put('doc_rename_url', $itemDoc.getURL('view', 'xpage=rename&amp;step=1')))\n    #set($discard = $row.put('doc_rights_url', $itemDoc.getURL('edit', 'editor=rights')))\n    #set($discard = $row.put('doc_author_url', $xwiki.getURL($translatedDoc.author)))\n    #set($discard = $row.put('doc_date', $xwiki.formatDate($translatedDoc.date)))\n    #set($discard = $row.put('doc_title', $translatedDoc.plainTitle))\n    #set($discard = $row.put('doc_author', $xwiki.getPlainUserName($translatedDoc.authorReference)))\n    #set($discard = $row.put('doc_creationDate', $xwiki.formatDate($translatedDoc.creationDate)))\n    #set($discard = $row.put('doc_creator', $xwiki.getPlainUserName($translatedDoc.creatorReference)))\n    #foreach($colname in $collist)\n      #gridresult_buildColumnJSON($colname $row)\n    #end\n  #end\n  #set($discard = $rows.add($row))\n#end\n\n\n#**\n * Adds information about the given column to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables available in gridresult_buildRowJSON.\n *\n * @param $colname the name of the live table column for which to retrieve information\n * @param $row stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildColumnJSON $colname $row)\n  #if($colname.startsWith('doc.'))\n  #elseif($colname == '_action')\n    #set($discard = $row.put($colname, $services.localization.render("${request.transprefix}actiontext")))\n  #elseif($colname == '_attachments')\n    #livetable_getAttachmentsList($translatedDoc)\n    #set($discard = $row.put($colname, $attachlist))\n  #elseif($colname == '_avatar')\n    #livetable_getAvatar($itemDoc)\n    #set($discard = $row.put($colname, $avatar))\n  #elseif($colname == '_images')\n    #livetable_getImagesList($itemDoc)\n    #set($discard = $row.put($colname, $imagesList))\n  #else\n    #livetable_getPropertyClassAndType($colname)\n    #if(!$propClass.equals($class))\n      #set($discard = $itemDoc.use($propClassName))\n    #end\n    #set($fieldValue = "$!itemDoc.getValue($colname)")\n    #set($fieldDisplayValue = "$!itemDoc.display($colname, 'view')")\n    #if($fieldDisplayValue == '')\n      #set($fieldDisplayValue = $services.localization.render("${request.transprefix}emptyvalue"))\n    #end\n    #set($fieldUrl = '')\n    ## Only retrieve an URL for a DBListClass item\n    #if($propType == 'DBListClass' &amp;&amp; $propClass.get($colname).getProperty('multiSelect').value != 1)\n      #set($fieldUrl = $xwiki.getURL($fieldValue))\n      #if($fieldUrl == $xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI'))))\n        #set($fieldUrl = '')\n      #end\n    #end\n    #set($discard = $row.put($colname, $fieldDisplayValue.replaceFirst($regextool.quote('{{html clean="false" wiki="false"}}'), '').replaceAll("$regextool.quote('{{/html}}')$", '')))\n    #set($discard = $row.put("${colname}_value", $fieldValue))\n    #set($discard = $row.put("${colname}_url", $fieldUrl))\n    ## Reset to the default class\n    #set($discard = $itemDoc.use($className))\n  #end\n#end\n\n\n#**\n * Builds the JSON response to a live table data call.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresultwithfilter_buildJSON $className $collist $filterfrom $filterwhere $filterParams $map)\n  #gridresultwithfilter_buildQuery($className $collist $filterfrom $filterwhere $filterParams)\n  #if("$!request.sql" == '1')\n    #set($discard = $map.put('sql', $sql))\n    #set($discard = $map.put('params', $sqlParams))\n  #end\n  #set($discard = $map.put('reqNo', $mathtool.toInteger($request.reqNo)))\n  #gridresult_buildTagCloudJSON($map)\n  #gridresult_buildRowsJSON($map)\n#end\n\n\n#**\n * Builds the JSON response to a live table data call.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildJSON $className $collist $map)\n  #gridresultwithfilter_buildJSON($className $collist '' '' [] $map)\n#end\n\n\n#**\n * Macro to get the results of a livetable data call.\n * This page is called from live grids via Ajax with the argument xpage=plain. It returns a\n * set of results serialized in JSON.\n *#\n#macro(gridresultwithfilter $className $collist $filterfrom $filterwhere $filterParams)\n  #if($xcontext.action == 'get' &amp;&amp; "$!{request.outputSyntax}" == 'plain')\n    $response.setContentType('application/json')\n    ## Build the JSON in memory (using basic Java data types) so that it can be adjusted before serialization.\n    #set($map = {})\n    #gridresultwithfilter_buildJSON($className $collist $filterfrom $filterwhere $filterParams $map)\n    $jsontool.serialize($map)\n  #end\n#end\n\n\n#**\n * Get the name of the Property that should be used for a given livetable column.\n * NOTE the resulting $tableName is safe to use inside SQL queries\n *#\n#macro(livetable_getTableName $colname)\n  #livetable_getPropertyClassAndType($colname)\n  #if($propType == 'NumberClass')\n    #set($numberType = $propClass.get($colname).getProperty('numberType').getValue())\n    #if($numberType == 'integer')\n      #set($tableName = 'IntegerProperty')\n    #elseif($numberType == 'float')\n      #set($tableName = 'FloatProperty')\n    #elseif($numberType == 'double')\n      #set($tableName = 'DoubleProperty')\n    #else\n      #set($tableName = 'LongProperty')\n    #end\n  #elseif($propType == 'BooleanClass')\n    #set($tableName = 'IntegerProperty')\n  #elseif($propType == 'DateClass')\n    #set($tableName = 'DateProperty')\n  #elseif($propType == 'TextAreaClass' || $propType == 'UsersClass' || $propType == 'GroupsClass')\n    #set($tableName = 'LargeStringProperty')\n  #elseif($propType == 'StaticListClass' || $propType == 'DBListClass' || $propType == 'DBTreeListClass')\n    #set($multiSelect = $propClass.get($colname).getProperty('multiSelect').getValue())\n    #set($relationalStorage = $propClass.get($colname).getProperty('relationalStorage').getValue())\n    #if($multiSelect == 1)\n      #if($relationalStorage == 1)\n        #set($tableName = 'DBStringListProperty')\n      #else\n        #set($tableName = 'StringListProperty')\n      #end\n    #else\n      #set($tableName = 'StringProperty')\n    #end\n  #else\n    #set($tableName = 'StringProperty')\n  #end\n#end\n\n#**\n * Get the property class and type for a given livetable column.\n *#\n#macro(livetable_getPropertyClassAndType $colname)\n  #set($propClassName = "$!request.get(${colname.concat('_class')})")\n  #if($propClassName != '')\n    #set($propClass = $xwiki.getDocument($propClassName).getxWikiClass())\n  #else\n    #set($propClass = $class)\n  #end\n  #set($propType = '')\n  #if($propClass.getPropertyNames().contains($colname))\n    #set($propType = "$!{propClass.get($colname).type}")\n  #end\n#end\n\n#**\n * Old alias of the #livetable_getTableName macro.\n * @deprecated since 2.2.3, use {@link #livetable_getTableName}\n *#\n#macro(grid_gettablename $colname)\n  #livetable_getTableName($colname)\n#end\n\n\n\n#**\n * List attachments for a document, putting the result as HTML markup in the $attachlist variable.\n *#\n#macro(livetable_getAttachmentsList $itemDoc)\n  #set($attachlist = '')\n  #foreach($attachment in $itemDoc.attachmentList)\n    #set($attachmentUrl = $itemDoc.getAttachmentURL($attachment.filename))\n    #set($attachlist = "${attachlist}&lt;a href='${attachmentUrl}'&gt;$attachment.filename&lt;/a&gt;&lt;br/&gt;")\n  #end\n#end\n\n#**\n * Old alias of the #livetable_getAttachmentsList macro.\n * @deprecated since 2.2.3, use {@link #livetable_getAttachmentsList}\n *#\n#macro(grid_attachlist $itemDoc)\n  #livetable_getAttachmentsList($itemDoc)\n#end\n\n\n\n#**\n * List image attachments for a document, putting the result as HTML markup in the $imagesList variable.\n *#\n#macro(livetable_getImagesList $itemDoc)\n  #set($imagesList = '')\n  #foreach ($attachment in $itemDoc.attachmentList)\n    #if($attachment.isImage())\n      ## Create a thumbnail by resizing the image on the server side, if needed, to fit inside a 50x50 pixel square.\n      #set($thumbnailURL = $itemDoc.getAttachmentURL($attachment.filename, 'download', "width=50&amp;height=50&amp;keepAspectRatio=true"))\n      #set($imageURL = $itemDoc.getAttachmentURL($attachment.filename))\n      #set($imagesList = "${imagesList}&lt;a href=""$imageURL""&gt;&lt;img src=""$thumbnailURL"" alt=""$attachment.filename"" title=""$attachment.filename"" /&gt;&lt;/a&gt;")\n    #end\n  #end\n#end\n\n#**\n * Old alias of the #livetable_getImagesList macro.\n * @deprecated since 2.2.3, use {@link #livetable_getImagesList}\n *#\n#macro(grid_photolist $itemDoc)\n  #livetable_getImagesList($itemDoc)\n#end\n\n\n#**\n * Generate the HTML code for a user avatar, with a fixed 50px width.\n *#\n#macro(livetable_getAvatar $itemDoc)\n  #set ($avatar = "#mediumUserAvatar($itemDoc.fullName)")\n  #set ($avatar = $avatar.trim())\n#end\n\n#**\n * Old alias of the #livetable_getAvatar macro.\n * @deprecated since 2.2.3, use {@link #livetable_getAvatar}\n *#\n#macro(grid_avatar $itemDoc)\n  #livetable_getAvatar($itemDoc)\n#end\n\n\n\n#**\n * Macro to extend the query to select the properties for the livetable columns.\n * NOTE $colname is filtered (all characters but [a-zA-Z0-9_.] are removed) before use\n *#\n#macro (livetable_addColumnToQuery $colName)\n  ## Safe because / is not allowed in property names\n  ## The $joinModeMarker is used in #livetable_filterDBStringListProperty.\n  #set ($joinModeMarker = "/join_mode")\n  #if (!$colName.endsWith($joinModeMarker))\n    #set ($filterValue = "$!request.getParameter($colName)")\n    #if ("$!filterValue" != '')\n      #set ($discard = $tablelist.add($colName))\n      #if ($colName.startsWith('doc.'))\n        #set ($safeColName = $colName.replaceAll('[^a-zA-Z0-9_.]', '').replace('_', '.'))\n        #set ($whereSql = "${whereSql} and upper(str($safeColName)) like upper(?)")\n        #set ($discard = $whereParams.add("%$filterValue%"))\n      #else\n        #livetable_filterProperty($colName $filterValue)\n      #end\n    #end\n  #end\n#end\n\n\n#macro (livetable_filterProperty $colname $filterValue)\n  ## Only safe version should be used in SQL queries\n  #set ($safe_tableAlias = $colname.replaceAll('[^a-zA-Z0-9_.]', ''))\n  #livetable_getTableName($colname)\n  #set ($fromSql = "$fromSql, $tableName as $safe_tableAlias")\n  ##\n  ## If the column is not from $class, we need to make sure we join with the proper table.\n  #set ($filterObjectAlias = 'obj')\n  #set ($propClass = $class)\n  #set ($propClassName = $request.getParameter("${colname}_class"))\n  #if ("$!propClassName" != '')\n    #set ($propClass = $xwiki.getDocument($propClassName).getxWikiClass())\n    #if ("$!propClass" != '')\n      ## Prepare the alias of the BaseObject table that corresponds to the class of this column\n      ## Property table is to be joined with its object, determined depending on $propClassName.\n      #set ($filterObjectAlias = "$!{propClassName.replaceAll('[^a-zA-Z0-9_]', '')}_obj")\n      #addObjectClause($filterObjectAlias)\n    #end\n  #end\n  #set ($joinObjectTable = "${filterObjectAlias}.id = ${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ?")\n  #set ($whereSql = "$whereSql and $joinObjectTable")\n  #set ($discard = $whereParams.add($colname))\n  ##\n  ## Specifies how the filter value should be matched against the stored value.\n  #set ($matchType = $request.getParameter("${colname}_match"))\n  ## We determine the default match type (when not specified) based on the property meta class (e.g. DateClass).\n  #set ($propMetaClass = $NULL)\n  #if ($propClass &amp;&amp; $propClass.getPropertyNames().contains($colname))\n    #set ($propMetaClass = $propClass.get($colname).type)\n  #end\n  ##\n  #set ($numberProperties = ['IntegerProperty', 'LongProperty', 'FloatProperty', 'DoubleProperty'])\n  #if ($numberProperties.contains($tableName))\n    #livetable_filterNumberProperty()\n  #elseif ($tableName == 'DateProperty')\n    #livetable_filterDateProperty()\n  #elseif ($tableName == 'DBStringListProperty')\n    #livetable_filterDBStringListProperty()\n  #elseif ($tableName == 'StringListProperty')\n    #livetable_filterStringListProperty()\n  #else\n    ## StringProperty or LargeStringProperty\n    #livetable_filterStringProperty()\n  #end\n#end\n\n\n#**\n * NOTE: This macro uses variables defined in livetable_filterProperty . It was not meant to be used alone.\n *#\n#macro (livetable_filterNumberProperty)\n  #set($numberValue = $numbertool.toNumber($filterValue))\n  #if($tableName == 'IntegerProperty' || $tableName == 'LongProperty')\n    #if($tableName == 'LongProperty')\n      #set($numberValue = $numberValue.longValue())\n    #else\n      ## IntegerProperty\n      #set($numberValue = $numberValue.intValue())\n    #end\n    #set($whereSql = "${whereSql} and ${safe_tableAlias}.value = ?")\n  #else\n    #if($tableName == 'FloatProperty')\n      #set($numberValue = $numberValue.floatValue())\n    #else\n      ## DoubleProperty\n      #set($numberValue = $numberValue.doubleValue())\n    #end\n    #set($precision = 0.000001)\n    #set($whereSql = "${whereSql} and abs(? - ${safe_tableAlias}.value) &lt;= ${precision}")\n  #end\n  #set($discard = $whereParams.add($numberValue))\n#end\n\n\n#**\n * NOTE: This macro uses variables defined in livetable_filterProperty . It was not meant to be used alone.\n *#\n#macro (livetable_filterDateProperty)\n  ## TODO: The date filter should be smarter than this..\n  #set ($whereSql = "${whereSql} and upper(str(${safe_tableAlias}.value)) like upper(?)")\n  #set ($discard = $whereParams.add("%$filterValue%"))\n#end\n\n\n#**\n * NOTE: This macro uses variables defined in livetable_filterProperty . It was not meant to be used alone.\n *#\n#macro (livetable_filterDBStringListProperty)\n  #set ($joinOperator = "$!{request.get(""${colname}${joinModeMarker}"").toUpperCase()}")\n  #if ($joinOperator != 'AND' &amp;&amp; $joinOperator != 'OR')\n    #set ($joinOperator = 'AND')\n  #end\n  #if ($matchType == 'partial' || $matchType == 'prefix')\n    ## We need to join with the list of values in order to be able to use the LIKE operator.\n    #set ($matchTarget = "${safe_tableAlias}_item")\n    #set ($joinPos = $mathtool.add($fromSql.lastIndexOf(" $safe_tableAlias"), $mathtool.add($safe_tableAlias.length(), 1)))\n    #set ($fromSql = "$fromSql.substring(0, $joinPos) join ${safe_tableAlias}.list as $matchTarget $fromSql.substring($joinPos)")\n  #else\n    ## Perform exact matching by default (if no match type is specified).\n    #set ($matchType = 'exact')\n    #set ($matchTarget = "${safe_tableAlias}.list")\n  #end\n  #set ($filterValues = $request.getParameterValues($colname))\n  #set ($filterQuery = "#livetable_getFilterQuery($matchTarget $matchType true)")\n  #set ($constraints = $stringtool.repeat($filterQuery.trim(), " $joinOperator ", $filterValues.size()))\n  #set ($whereSql = "$whereSql and ($constraints)")\n  #foreach ($filterValue in $filterValues)\n    #livetable_addFilterParam($filterValue $matchType $whereParams)\n  #end\n#end\n\n\n#**\n * NOTE: This macro uses variables defined in livetable_filterProperty . It was not meant to be used alone.\n *#\n#macro (livetable_filterStringListProperty)\n  #set ($whereSql = "${whereSql} and concat('|', concat(upper(${safe_tableAlias}.textValue), '|')) like upper(?)")\n  #set ($discard = $whereParams.add("%|$filterValue|%"))\n#end\n\n\n#**\n * NOTE: This macro uses variables defined in livetable_filterProperty . It was not meant to be used alone.\n *#\n#macro (livetable_filterStringProperty)\n  #if ("$!matchType" == '')\n    #if ($propMetaClass.endsWith('ListClass'))\n      ## Perform exact matching by default for StaticListClass, DBListClass and DBTreeListClass\n      ## when they are stored as StringProperty (i.e. single value and no relational storage).\n      #set ($matchType = 'exact')\n    #else\n      ## Perform partial matching by default otherwise (if no match type is specified).\n      #set ($matchType = 'partial')\n    #end\n  #end\n  #set ($filterQuery = "#livetable_getFilterQuery(""${safe_tableAlias}.value"" $matchType)")\n  #set ($whereSql = "${whereSql} and $filterQuery.trim()")\n  #livetable_addFilterParam($filterValue $matchType $whereParams)\n#end\n\n\n#macro (livetable_getFilterQuery $column $matchType $isList)\n  #if ($matchType == 'partial' || $matchType == 'prefix')\n    upper($column) like upper(?)\n  #elseif ($isList)\n    ? in elements($column)\n  #else\n    $column = ?\n  #end\n#end\n\n\n#macro (livetable_addFilterParam $filterValue $matchType $params)\n  #if ($matchType == 'partial')\n    #set ($discard = $params.add("%$!filterValue%"))\n  #elseif ($matchType == 'prefix')\n    #set ($discard = $params.add("$!filterValue%"))\n  #else\n    #set ($discard = $params.add($filterValue))\n  #end\n#end\n\n\n#**\n * Old alias of the #livetable_addColumnToQuery macro.\n * @deprecated since 2.2.3, use {@link #livetable_addColumnToQuery}\n *#\n#macro(grid_addcolumn $colname)\n  #livetable_addColumnToQuery($colname)\n#end\n{{/velocity}}</content></xwikidoc>\n
6245526395285920453	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-livetable-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>LiveTableResults</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252454400000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('platform.livetable.results')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-livetable-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="XWiki.LiveTableResultsMacros" /}}\n\n{{velocity wiki="false"}}\n#set ($extra = '')\n#set ($params = [])\n#if ("$!request.space" != '')\n  #set ($extra = "${extra} and doc.space = ?")\n  #set ($discard = $params.add($request.space))\n#end\n#if ("$!request.parent" != '')\n  #set ($extra = "${extra} and doc.parent = ?")\n  #set ($discard = $params.add($request.parent))\n#end\n#if ("$!request.orphaned" == '1')\n  #set ($homepage = $services.wiki.getById($services.wiki.currentWikiId).mainPageReference)\n  #set ($homepageFullName = $services.model.serialize($homepage, 'local'))\n  ## On Oracle the empty parent is actually null.\n  #set ($extra = "${extra} and (doc.parent = '' or doc.parent is null) and doc.fullName &lt;&gt; ?")\n  #set ($discard = $params.add($homepageFullName))\n#end\n#gridresultwithfilter("$!request.classname" $request.collist.split(',') '' "${extra}" $params)\n{{/velocity}}</content></xwikidoc>\n
7593544370749442729	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Macros</web>\n<name>TreeTranslations</name>\n<language>lv</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Macros.Tree</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1424704114000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Tree Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nrendering.macro.tree.content.description=Lai aprakstītu koka struktūru, jūs varat izmantot iegultu HTML. Papildu informācijai skatiet http\\://www.jstree.com/docs/html/\nrendering.macro.tree.description=Parāda koka hierarhiju saskaņā ar makrosa saturu un parametriem\nrendering.macro.tree.name=Koks\nrendering.macro.tree.parameter.checkboxes.description=Vai rādīt izvēles rūtiņu visiem koka zariem, lai ļautu iezīmēt uzreiz vairākus koka mezglus.\nrendering.macro.tree.parameter.checkboxes.name=Izvēles rūtiņas\nrendering.macro.tree.parameter.class.description=Papildu CSS klase ar kurām var pielāgot koka HTML elementus\nrendering.macro.tree.parameter.class.name=Klase\nrendering.macro.tree.parameter.contextMenu.description=Vai rādīt uz koka mezgliem lietotājam ar labo peles klikšķi atveramu izvēlni\nrendering.macro.tree.parameter.contextMenu.name=Izvēlne\nrendering.macro.tree.parameter.dragAndDrop.description=Vai ļaut lietotājam ar vilkšanu un ievietošanu pārvaldīt koka mezglus.\nrendering.macro.tree.parameter.dragAndDrop.name=Vilkt un ievietot\nrendering.macro.tree.parameter.edges.description=Vai rādīt savienojošās līnijas starp koka bērniem un vecākiem mezgliem.\nrendering.macro.tree.parameter.edges.name=Līnijas\nrendering.macro.tree.parameter.finder.description=Rādīt teksta lauku, kurā var ievadīt kokā meklējamās vērtības. Lauks ir attēlots virs koka un tajā darbojas priekšāteicējs, kas piedāvā vērtības saskaņā ar koka saturu.\nrendering.macro.tree.parameter.finder.name=Meklēšanas lauks\nrendering.macro.tree.parameter.icons.description=Vai rādīt koka mezglu ikonas. Ja visi koka mezgli ir ar to pašu veidu, ikonas var nerādīt, lai ietaupītu vietu.\nrendering.macro.tree.parameter.icons.name=Ikonas\nrendering.macro.tree.parameter.links.description=Koka mezglu uzraksti tiks rādīti kā hipersaites uz attiecīgo resursu.\nrendering.macro.tree.parameter.links.name=Saites\nrendering.macro.tree.parameter.openTo.description=Mezgla identifikators, sākot ar kuru atvērt koka saturu. Tiks atvērti arī visi izvēlētā mezgla bērni līdz izvēlētajam vecākam.\nrendering.macro.tree.parameter.openTo.name=Atvērt līdz\nrendering.macro.tree.parameter.reference.description=Norāde uz resursu, sākot ar kuru tiks parādīts koks ar visiem tajā esošajiem bērniem. Resursu var norādīt dinamiski atverot koku, piemēram ar labo peles klikšķi konteksta izvēlnē. Statiskiem kokiem jums būtu jāizmanto makrosa saturs. Norāde var būt dokumenta nosaukums vai URL/ceļš.\nrendering.macro.tree.parameter.reference.name=Norāde\nrendering.macro.tree.parameter.root.description=Saknes mezgla identifikators. Tas noder, ja vēlaties parādīt koku, sākot ar norādīto sakni. Koks tiek parādīts, sākot ar norādītās saknes bērniem, tātad pati sakne patiesībā nav redzama. Ja sakne nav norādīta, tiek parādīts viss koks.\nrendering.macro.tree.parameter.root.name=Sakne\n</content></xwikidoc>
-6336290347315433020	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Macros</web>\n<name>Tree</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Macros.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1413908566000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Tree Macro</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>Macros.Tree</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>cdf8656d-0058-4ea0-b42d-8ec9c27fae8c</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>require(["$!services.webjars.url('org.xwiki.platform:xwiki-platform-tree-webjar', 'require-config.min.js', {'evaluate': true})"], function() {\n  require(['tree'], function($) {\n    $('.xtree').xtree().one('ready.jstree', function(event, data) {\n      var tree = data.instance;\n      var openToNodeId = tree.element.attr('data-openTo');\n      // Open the tree to the specified node and select it.\n      openToNodeId &amp;&amp; data.instance.openTo(openToNodeId);\n    });\n  });\n});</code>\n</property>\n<property>\n<name>Initialization Code</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<name>Macros.Tree</name>\n<number>0</number>\n<className>XWiki.WikiMacroClass</className>\n<guid>b082a404-08fa-45e5-b6d0-abc5fcf6fc61</guid>\n<property>\n<code>{{velocity output="false"}}\n#set ($discard = $xwiki.linkx.use($services.webjars.url('org.xwiki.platform:xwiki-platform-tree-webjar', 'tree.min.css',\n  {'evaluate': true}), {'type': 'text/css', 'rel': 'stylesheet'}))\n#set ($discard = $xwiki.jsx.use($xcontext.macro.doc))\n#set ($classes = ['xtree', "$!xcontext.macro.params.get('class')"])\n#set ($noLinks = $xcontext.macro.params.links != 'true')\n#if ($noLinks)\n  #set ($discard = $classes.add('jstree-no-links'))\n#end\n#set ($attributes = [\n  "class='$!escapetool.xml($stringtool.join($classes, ' '))'",\n  'data-responsive="true"'\n])\n#if ("$!xcontext.macro.params.reference" != '')\n  #set ($reference = $xcontext.macro.params.reference)\n  #if ($reference.startsWith('path:'))\n    ## URL/Path reference\n    #set ($resourceURL = $reference.substring(5))\n  #else\n    ## Document reference\n    #if ($reference.startsWith('doc:'))\n      #set ($reference = $reference.substring(4))\n    #end\n    #set ($resourceURL = $xwiki.getURL($reference, 'get', 'outputSyntax=plain'))\n  #end\n  #set ($discard = $attributes.add("data-url='$resourceURL'"))\n  #set ($discard = $attributes.add("data-root='$!escapetool.xml($xcontext.macro.params.root)'"))\n#end\n#set ($dragAndDrop = $xcontext.macro.params.dragAndDrop == 'true')\n#set ($discard = $attributes.add("data-dragAndDrop='$dragAndDrop'"))\n#set ($contextMenu = $xcontext.macro.params.contextMenu == 'true')\n#set ($discard = $attributes.add("data-contextMenu='$contextMenu'"))\n#set ($icons = $xcontext.macro.params.icons == 'true')\n#set ($discard = $attributes.add("data-icons='$icons'"))\n#set ($edges = $xcontext.macro.params.edges == 'true')\n#set ($discard = $attributes.add("data-edges='$edges'"))\n#set ($checkboxes = $xcontext.macro.params.checkboxes == 'true')\n#set ($discard = $attributes.add("data-checkboxes='$checkboxes'"))\n#set ($discard = $attributes.add("data-openTo='$!escapetool.xml($xcontext.macro.params.openTo)'"))\n#set ($finder = $xcontext.macro.params.finder == 'true')\n#if ($finder)\n  #set ($discard = $xwiki.linkx.use($services.webjars.url('org.xwiki.platform:xwiki-platform-tree-webjar',\n    'finder.min.css', {'evaluate': true}), {'type': 'text/css', 'rel': 'stylesheet'}))\n#end\n#set ($discard = $attributes.add("data-finder='$finder'"))\n#set ($content = $xcontext.macro.content)\n#if ("$!content" == '' &amp;&amp; $xcontext.action == 'edit')\n  #set ($content = "$services.icon.render('chart_organisation') $services.localization.render('tree.macro.editModeWarning')")\n#end\n#set ($output = "(% $stringtool.join($attributes, ' ') %)((($!content)))")\n## Parse the output and return the resulting XDOM blocks.\n#set ($xcontext.macro.result = $services.rendering.parse($output, $xwiki.currentContentSyntaxId).children)\n{{/velocity}}</code>\n</property>\n<property>\n<contentDescription>You can use nested HTML unordered lists to describe the tree structure. See http://www.jstree.com/docs/html/ for more information.</contentDescription>\n</property>\n<property>\n<contentType>Optional</contentType>\n</property>\n<property>\n<defaultCategory>Navigation</defaultCategory>\n</property>\n<property>\n<description>Displays a tree hierarchy defined by the macro content or the source parameter.</description>\n</property>\n<property>\n<id>tree</id>\n</property>\n<property>\n<name>Tree</name>\n</property>\n<property>\n<supportsInlineMode>0</supportsInlineMode>\n</property>\n<property>\n<visibility>Current Wiki</visibility>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Macros.Tree</name>\n<number>0</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>ad91bfb1-7560-487e-963d-55dd6b786b59</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The reference to the resource that describes the tree structure and its context menu and which is called to perform the actions on the tree nodes. This resource is used to load the tree dynamically (on demand) when a tree node is opened and to ask for the context menu when the user right-clicks on a tree node that has it. So the resource is not static. For static trees you should use the macro content instead. The reference can be a document reference or an URL/path.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>reference</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Macros.Tree</name>\n<number>1</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>179e3bf8-9d82-4fd0-8e2c-9a9aad3c3f91</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The root node id. This is useful if you want to display only the descendants of a given node (which is the specified root). The tree displays the children of the root node on the first level, so the root node is not actually displayed. The entire tree is displayed if the root node is not specified.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>root</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Macros.Tree</name>\n<number>2</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>914470d9-8966-45aa-9e45-95faec55d151</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Specifies if the user should be able to drag &amp; drop tree nodes.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>dragAndDrop</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Macros.Tree</name>\n<number>3</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>05a7d454-7262-4947-9631-e1820608a994</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Whether to show the context menu when the user right-clicks a tree node.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>contextMenu</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Macros.Tree</name>\n<number>4</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>43c2f5b5-2e18-46b0-80b3-a05ae86b20a0</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Additional CSS classes to add to the top level HTML element of the tree.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>class</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Macros.Tree</name>\n<number>5</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>0444f19d-11b1-4498-9d10-cae0624053df</guid>\n<property>\n<defaultValue>true</defaultValue>\n</property>\n<property>\n<description>Whether to show the tree node icons or not. You may want to hide the icons if all the tree nodes are of the same type or if you want to win some horizontal space.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>icons</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Macros.Tree</name>\n<number>6</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>041d4dfa-a5da-4eeb-aee4-b56a4ef8a372</guid>\n<property>\n<defaultValue>true</defaultValue>\n</property>\n<property>\n<description>Whether to show the edges that connect the sibling tree nodes between themselves and with their parent.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>edges</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Macros.Tree</name>\n<number>7</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>12b45fc2-abb4-4d88-a043-ba3fd6499e36</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Specifies whether the node labels should look and behave as links (anchors).</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>links</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Macros.Tree</name>\n<number>8</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>73875678-00b6-4516-a120-0401dc82b536</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Whether to display a checkbox in front of each tree node to allow the user to select multiple tree nodes.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>checkboxes</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Macros.Tree</name>\n<number>9</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>6468cb7d-a8a5-496e-a98b-8c542006b13d</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The id of the node to open the tree to. All the ancestors of the specified node, up to the root of the tree, will be opened also.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>openTo</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Macros.Tree</name>\n<number>10</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>d3269325-4da7-4916-a932-70aaaaf7f7de</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Show a text input that can be used to find tree nodes. The input is displayed above the tree and offers suggestions as you type based on the content of the tree. When a suggestion is selected the tree is expanded up to the corresponding node.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>finder</name>\n</property>\n</object>\n<content>== Static tree ==\n\n{{tree}}\n* [[Chapter 1&gt;&gt;Main.WebHome]]\n** Section 2.1\n** Section 2.2\n*** Paragraph 2.2.1\n**** Once upon a time...\n*** Paragraph 2.2.2\n* [[Chapter 2&gt;&gt;Sandbox.WebHome]]\n* [[Chapter 3&gt;&gt;http://www.xwiki.org]]\n** Section 3.1\n*** Paragraph 3.1.1\n** Section 3.2\n{{/tree}}\n\n=== Static tree with opened path ===\n\n{{tree}}\n{{velocity}}\n{{html}}\n&lt;ul&gt;\n  &lt;li class="jstree-open"&gt;\n    &lt;a href="$xwiki.getURL('Main.WebHome')"&gt;One&lt;/a&gt;\n    &lt;ul&gt;\n      &lt;li class="jstree-open"&gt;\n        &lt;a href="http://www.xwiki.org"&gt;Two&lt;/a&gt;\n        &lt;ul&gt;\n          &lt;li&gt;\n            &lt;a href="#section" class="jstree-clicked"&gt;Three&lt;/a&gt;\n          &lt;/li&gt;\n        &lt;/ul&gt;\n      &lt;/li&gt;\n    &lt;/ul&gt;\n  &lt;/li&gt;\n&lt;/ul&gt;\n{{/html}}\n{{/velocity}}\n{{/tree}}\n\n=== Static tree with custom icons ===\n\n{{tree}}\n{{html}}\n&lt;ul&gt;\n  &lt;li data-jstree='{"opened":true,"selected":true}'&gt;Users\n    &lt;ul&gt;\n      &lt;li data-jstree='{"disabled":true}'&gt;Alice&lt;/li&gt;\n      &lt;li data-jstree='{"icon":"http://jstree.com/tree.png"}'&gt;Bob&lt;/li&gt;\n      &lt;li data-jstree='{"icon":"glyphicon glyphicon-leaf"}'&gt;Carol&lt;/li&gt;\n    &lt;/ul&gt;\n  &lt;/li&gt;\n&lt;/ul&gt;\n{{/html}}\n{{/tree}}\n\n== Dynamic Tree ==\n\n{{tree reference="XWiki.DocumentTree" /}}\n\n=== Dynamic Sub-tree with Checkboxes ===\n\n{{tree reference="doc:XWiki.DocumentTree" root="document:xwiki:Sandbox.WebHome" checkboxes="true" /}}</content></xwikidoc>\n
3234089957202292370	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Macros</web>\n<name>TreeTranslations</name>\n<language>fr</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Macros.Tree</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1424704114000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Tree Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nrendering.macro.tree.content.description=Vous pouvez utiliser les listes à puces HTML imbriqués pour décrire la structure de l'arbre. Voir http\\://www.jstree.com/docs/html/ pour plus d'informations.\nrendering.macro.tree.description=Affiche une hiérarchie de l'arborescence définie par le contenu de la macro ou le paramètre source.\nrendering.macro.tree.name=Arbre\nrendering.macro.tree.parameter.checkboxes.description=Pour afficher une case à cocher devant chaque nœud de l'arbre. Cela permet à l'utilisateur de sélectionner plusieurs nœuds de l'arbre.\nrendering.macro.tree.parameter.checkboxes.name=Cases à cocher\nrendering.macro.tree.parameter.class.description=Classes CSS additionnelles à ajouter à l'élément HTML supérieur de l'arbre.\nrendering.macro.tree.parameter.class.name=Classe\nrendering.macro.tree.parameter.contextMenu.description=Pour afficher le menu contextuel lorsque l'utilisateur clique avec le bouton droit sur un noeud de l'arbre.\nrendering.macro.tree.parameter.contextMenu.name=Menu contextuel\nrendering.macro.tree.parameter.dragAndDrop.description=Indique si l'utilisateur doit être en mesure de glisser-déposer des noeuds de l'arbre.\nrendering.macro.tree.parameter.dragAndDrop.name=Glisser-déposer\nrendering.macro.tree.parameter.edges.description=Pour montrer les fils qui relient les noeuds de l'arbre de même niveau entre eux et avec leurs parents.\nrendering.macro.tree.parameter.edges.name=Fils\nrendering.macro.tree.parameter.finder.description=Affiche une entrée texte qui peut être utilisée pour trouver des noeuds de l'arbre. L'entrée est affichée au-dessus de l'arbre et offre des Suggestions automatiques basées sur le contenu de l'arbre pendant que vous tapez. Quand une suggestion est sélectionnée, l'arbre est étendu jusqu'au noeud correspondant.\nrendering.macro.tree.parameter.finder.name=Filtre\nrendering.macro.tree.parameter.icons.description=Pour afficher les icônes de noeud de l'arbre ou non. Vous pouvez masquer les icônes si tous les noeuds de l'arbre sont du même type ou si vous voulez gagner de l'espace horizontal.\nrendering.macro.tree.parameter.icons.name=Icônes\nrendering.macro.tree.parameter.links.description=Indique si les labels de noeud doivent ressembler ou se comporter comme des liens (ancres).\nrendering.macro.tree.parameter.links.name=Liens\nrendering.macro.tree.parameter.openTo.description=L'id du noeud pour ouvrir l'arbre. Tous les parents du noeud spécifié, jusqu'à la racine de l'arbre, seront également ouverts.\nrendering.macro.tree.parameter.openTo.name=Ouvrir à\nrendering.macro.tree.parameter.reference.description=La référence à la ressource décrivant la structure de l'arbre et de son menu contextuel et qui est appelée à effectuer les actions sur les noeuds de l'arbre. Cette ressource est utilisée pour charger l'arbre dynamiquement (sur demande) quand un noeud de l'arbre est ouvert et pour demander le menu contextuel lorsque l'utilisateur clique droit sur un nœud de l'arbre qui l'a. La ressource n'est donc pas statique. Pour les arbres statiques vous devez utiliser le contenu de la macro à la place. La référence peut être une référence de document ou une URL / chemin.\nrendering.macro.tree.parameter.reference.name=Référence\nrendering.macro.tree.parameter.root.description=L'identifiant du noeud de la racine. C'est utile si vous souhaitez afficher uniquement les héritiers d'un noeud donné (qui est la racine spécifiée). L'arbre affiche les enfants du noeud racine sur le premier niveau, de sorte que le noeud racine n'est pas réellement affiché. L'arbre entier s'affiche si le noeud racine n'est pas spécifié.\nrendering.macro.tree.parameter.root.name=Racine\ntree.macro.editModeWarning=Cet arbre ne peut pas être affiché en mode modification\n</content></xwikidoc>
6973191458090123499	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Macros</web>\n<name>TreeTranslations</name>\n<language></language>\n<defaultLanguage>en</defaultLanguage>\n<translation>0</translation>\n<parent>Macros.Tree</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1424704114000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Tree Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-tree-macro-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.TranslationDocumentClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>1</number>\n<prettyName>Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>GLOBAL|WIKI|USER|ON_DEMAND</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Macros.TreeTranslations</name>\n<number>0</number>\n<className>XWiki.TranslationDocumentClass</className>\n<guid>e6852cbd-9a31-42cd-b4a9-6cb3ddd120af</guid>\n<property>\n<scope>WIKI</scope>\n</property>\n</object>\n<content>rendering.macro.tree.name=Tree\nrendering.macro.tree.description=Displays a tree hierarchy defined by the macro content or the source parameter.\nrendering.macro.tree.parameter.reference.name=Reference\nrendering.macro.tree.parameter.reference.description=The reference to the resource that describes the tree structure and its context menu and which is called to perform the actions on the tree nodes. This resource is used to load the tree dynamically (on demand) when a tree node is opened and to ask for the context menu when the user right-clicks on a tree node that has it. So the resource is not static. For static trees you should use the macro content instead. The reference can be a document reference or an URL/path.\nrendering.macro.tree.parameter.root.name=Root\nrendering.macro.tree.parameter.root.description=The root node id. This is useful if you want to display only the descendants of a given node (which is the specified root). The tree displays the children of the root node on the first level, so the root node is not actually displayed. The entire tree is displayed if the root node is not specified.\nrendering.macro.tree.parameter.dragAndDrop.name=Drag and Drop\nrendering.macro.tree.parameter.dragAndDrop.description=Specifies if the user should be able to drag &amp; drop tree nodes.\nrendering.macro.tree.parameter.contextMenu.name=Context Menu\nrendering.macro.tree.parameter.contextMenu.description=Whether to show the context menu when the user right-clicks a tree node.\nrendering.macro.tree.parameter.class.name=Class\nrendering.macro.tree.parameter.class.description=Additional CSS classes to add to the top level HTML element of the tree.\nrendering.macro.tree.parameter.icons.name=Icons\nrendering.macro.tree.parameter.icons.description=Whether to show the tree node icons or not. You may want to hide the icons if all the tree nodes are of the same type or if you want to win some horizontal space.\nrendering.macro.tree.parameter.edges.name=Edges\nrendering.macro.tree.parameter.edges.description=Whether to show the edges that connect the sibling tree nodes between themselves and with their parent.\nrendering.macro.tree.parameter.links.name=Links\nrendering.macro.tree.parameter.links.description=Specifies whether the node labels should look and behave as links (anchors).\nrendering.macro.tree.parameter.checkboxes.name=Checkboxes\nrendering.macro.tree.parameter.checkboxes.description=Whether to display a checkbox in front of each tree node to allow the user to select multiple tree nodes.\nrendering.macro.tree.parameter.openTo.name=Open to\nrendering.macro.tree.parameter.openTo.description=The id of the node to open the tree to. All the ancestors of the specified node, up to the root of the tree, will be opened also.\nrendering.macro.tree.parameter.finder.name=Finder\nrendering.macro.tree.parameter.finder.description=Show a text input that can be used to find tree nodes. The input is displayed above the tree and offers suggestions as you type based on the content of the tree. When a suggestion is selected the tree is expanded up to the corresponding node.\nrendering.macro.tree.content.description=You can use nested HTML unordered lists to describe the tree structure. See http://www.jstree.com/docs/html/ for more information.\ntree.macro.editModeWarning=This tree can't be displayed in edit mode.\n</content></xwikidoc>
5588232472179040111	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>IconThemes</web>\n<name>Silk</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>IconThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1406824491000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>IconThemes.Silk</name>\n<number>0</number>\n<className>IconThemesCode.IconThemeClass</className>\n<guid>f12a96e9-4d47-4060-b459-c6755139b626</guid>\n<property>\n<name>Silk</name>\n</property>\n</object>\n<content>## General settings\nxwiki.iconset.type = image\nxwiki.iconset.render.wiki = image:path:$xwiki.getSkinFile("icons/silk/${icon}.png")\nxwiki.iconset.render.html = &lt;img src="$xwiki.getSkinFile("icons/silk/${icon}.png")" alt="Icon" /&gt;\n\n## XWiki Icon Set (see: http://design.xwiki.org/xwiki/bin/view/Proposal/XWiki+Icon+Set).\nhome = house\nwiki = world\nspace = folder\npage = page_white_text\ncheck = accept\nadd = add\nanchor = anchor\nterminal = application_osx_terminal\nlist = application_view_list\nbranch = arrow_branch\ndown = arrow_down\nup = arrow_up\nleft = arrow_left\nright = arrow_right\narrows = arrow_out\nrepeat = arrow_redo\nundo = arrow_undo\nrefresh = arrow_refresh\nrotate-left = arrow_rotate_anticlockwise\nrotate-right = arrow_rotate_clockwise\nswitch = arrow_switch\nrandom = arrow_switch\nattach = attach\nshopping-cart = cart\nbell = bell\ntrash = bin\nbomb = bomb\nbook = book\ncube = box\ncubes = bricks\nbriefcase = briefcase\nbug = bug\nbuilding = building\ncaret-down = bullet_arrow_down\ncaret-up = bullet_arrow_up\ncaret-right = bullet_go\ncalculator = calculator\ncalendar = calendar\ncamera = camera\nremove = cancel\ncross = cross\ncar = car\ntruck = lorry\nchart-bar = chart_bar\nchart-organisation = chart_organisation\ncloud = weather_clouds\nclock = clock\ncog = cog\ncomment = comment\ncomments = comments\ndesktop = computer\ncontrast = contrast\neject = control_eject\nstep-forward = control_end\nstep-backward = control_start\nfast-forward = control_fastforward\nbackward = control_rewind\nplay = control_play\npause = control_pause\nstop = control_stop\ngamepad = controller\ncredit-card = creditcards\ncoffee = cup\ncut = cut\ndatabase = database\ndelete = delete\nfloppy-disk = disk\nglass = drink\ndrive = drive\nenvelope = email\nwarning = error\nerror = exclamation\ninfo = information\neye = eye\nfemale = female\nmale = male\nfilm = film\nflag = flag_blue\nsearch = magnifier\nsearch-plus = zoom_in\nsearch-minus = zoom_out\nfolder = folder\nuser = user\ngroup = group\nheart = heart\nquestion = help\nimage = image\nkey = key\nkeyboard = keyboard\nlightbulb = lightbulb\nlink = link\nunlink = link_break\nlock = lock\nunlock = lock_open\nmoney = money\ndollar = money_dollar\neuro = money_euro\ngbp = money_pound\nyen = money_yen\nmusic = music\nfile = page\nfile-white = page_white\nfile-pdf = page_white_acrobat\nfile-code = page_white_code\nfile-archive = page_white_compressed\nfile-word = page_white_word\nfile-excel = page_white_excel\nfile-powerpoint = page_white_powerpoint\nfile-text = page_white_text\npaste = paste_plain\npencil = pencil\nprint = printer\nshield = shield\ncertificate = rosette\nvolume-up = sound\nvolume-down = sound_low\nvolume-off = sound_none\nsoccer = sport_soccer\nstar = star\ntable = table\nphone = telephone\nfont = font\nbold = text_bold\nitalic = text_italic\nstrikethrough = text_strikethrough\nsubscript = text_subscript\nsuperscript = text_superscript\nunderline = text_underline\nalign-center = text_align_center\nalign-justify = text_align_justify\nalign-left = text_align_left\nalign-right = text_align_right\ncolumns = text_columns\nindent-left = text_indent\nindent-right = text_indent_remove\nlist-bullets = text_list_bullets\nlist-numbers = text_list_numbers\nsun = weather_sun\nworld = world\nwrench = wrench\n\n## Silk icons for backward compatibility (see: http://design.xwiki.org/xwiki/bin/view/Proposal/Silk+Mapping).\naccept = accept\nadd = add\nanchor = anchor\napplication = application\napplication_add = application_add\napplication_cascade = application_cascade\napplication_delete = application_delete\napplication_double = application_double\napplication_edit = application_edit\napplication_error = application_error\napplication_form = application_form\napplication_form_add = application_form_add\napplication_form_delete = application_form_delete\napplication_form_edit = application_form_edit\napplication_form_magnify = application_form_magnify\napplication_get = application_get\napplication_go = application_go\napplication_home = application_home\napplication_key = application_key\napplication_lightning = application_lightning\napplication_link = application_link\napplication_osx = application_osx\napplication_osx_terminal = application_osx_terminal\napplication_put = application_put\napplication_side_boxes = application_side_boxes\napplication_side_contract = application_side_contract\napplication_side_expand = application_side_expand\napplication_side_list = application_side_list\napplication_side_tree = application_side_tree\napplication_split = application_split\napplication_tile_horizontal = application_tile_horizontal\napplication_tile_vertical = application_tile_vertical\napplication_view_columns = application_view_columns\napplication_view_detail = application_view_detail\napplication_view_gallery = application_view_gallery\napplication_view_icons = application_view_icons\napplication_view_list = application_view_list\napplication_view_tile = application_view_tile\napplication_xp = application_xp\napplication_xp_terminal = application_xp_terminal\narrow_branch = arrow_branch\narrow_divide = arrow_divide\narrow_down = arrow_down\narrow_in = arrow_in\narrow_inout = arrow_inout\narrow_join = arrow_join\narrow_left = arrow_left\narrow_merge = arrow_merge\narrow_out = arrow_out\narrow_redo = arrow_redo\narrow_refresh = arrow_refresh\narrow_refresh_small = arrow_refresh_small\narrow_right = arrow_right\narrow_rotate_anticlockwise = arrow_rotate_anticlockwise\narrow_rotate_clockwise = arrow_rotate_clockwise\narrow_switch = arrow_switch\narrow_turn_left = arrow_turn_left\narrow_turn_right = arrow_turn_right\narrow_undo = arrow_undo\narrow_up = arrow_up\nasterisk_orange = asterisk_orange\nasterisk_yellow = asterisk_yellow\nattach = attach\naward_star_add = award_star_add\naward_star_bronze_1 = award_star_bronze_1\naward_star_bronze_2 = award_star_bronze_2\naward_star_bronze_3 = award_star_bronze_3\naward_star_delete = award_star_delete\naward_star_gold_1 = award_star_gold_1\naward_star_gold_2 = award_star_gold_2\naward_star_gold_3 = award_star_gold_3\naward_star_silver_1 = award_star_silver_1\naward_star_silver_2 = award_star_silver_2\naward_star_silver_3 = award_star_silver_3\nbasket = basket\nbasket_add = basket_add\nbasket_delete = basket_delete\nbasket_edit = basket_edit\nbasket_error = basket_error\nbasket_go = basket_go\nbasket_put = basket_put\nbasket_remove = basket_remove\nbell = bell\nbell_add = bell_add\nbell_delete = bell_delete\nbell_error = bell_error\nbell_go = bell_go\nbell_link = bell_link\nbin = bin\nbin_closed = bin_closed\nbin_empty = bin_empty\nbomb = bomb\nbook = book\nbook_add = book_add\nbook_addresses = book_addresses\nbook_delete = book_delete\nbook_edit = book_edit\nbook_error = book_error\nbook_go = book_go\nbook_key = book_key\nbook_link = book_link\nbook_next = book_next\nbook_open = book_open\nbook_previous = book_previous\nbox = box\nbrick = brick\nbrick_add = brick_add\nbrick_delete = brick_delete\nbrick_edit = brick_edit\nbrick_error = brick_error\nbrick_go = brick_go\nbrick_link = brick_link\nbricks = bricks\nbriefcase = briefcase\nbug = bug\nbug_add = bug_add\nbug_delete = bug_delete\nbug_edit = bug_edit\nbug_error = bug_error\nbug_go = bug_go\nbug_link = bug_link\nbuilding = building\nbuilding_add = building_add\nbuilding_delete = building_delete\nbuilding_edit = building_edit\nbuilding_error = building_error\nbuilding_go = building_go\nbuilding_key = building_key\nbuilding_link = building_link\nbullet_add = bullet_add\nbullet_arrow_bottom = bullet_arrow_bottom\nbullet_arrow_down = bullet_arrow_down\nbullet_arrow_top = bullet_arrow_top\nbullet_arrow_up = bullet_arrow_up\nbullet_black = bullet_black\nbullet_blue = bullet_blue\nbullet_delete = bullet_delete\nbullet_disk = bullet_disk\nbullet_error = bullet_error\nbullet_feed = bullet_feed\nbullet_go = bullet_go\nbullet_green = bullet_green\nbullet_key = bullet_key\nbullet_orange = bullet_orange\nbullet_picture = bullet_picture\nbullet_pink = bullet_pink\nbullet_purple = bullet_purple\nbullet_red = bullet_red\nbullet_star = bullet_star\nbullet_toggle_minus = bullet_toggle_minus\nbullet_toggle_plus = bullet_toggle_plus\nbullet_white = bullet_white\nbullet_wrench = bullet_wrench\nbullet_yellow = bullet_yellow\ncake = cake\ncalculator = calculator\ncalculator_add = calculator_add\ncalculator_delete = calculator_delete\ncalculator_edit = calculator_edit\ncalculator_error = calculator_error\ncalculator_link = calculator_link\ncalendar = calendar\ncalendar_add = calendar_add\ncalendar_delete = calendar_delete\ncalendar_edit = calendar_edit\ncalendar_link = calendar_link\ncalendar_view_day = calendar_view_day\ncalendar_view_month = calendar_view_month\ncalendar_view_week = calendar_view_week\ncamera = camera\ncamera_add = camera_add\ncamera_delete = camera_delete\ncamera_edit = camera_edit\ncamera_error = camera_error\ncamera_go = camera_go\ncamera_link = camera_link\ncamera_small = camera_small\ncancel = cancel\ncar = car\ncar_add = car_add\ncar_delete = car_delete\ncart = cart\ncart_add = cart_add\ncart_delete = cart_delete\ncart_edit = cart_edit\ncart_error = cart_error\ncart_go = cart_go\ncart_put = cart_put\ncart_remove = cart_remove\ncd = cd\ncd_add = cd_add\ncd_burn = cd_burn\ncd_delete = cd_delete\ncd_edit = cd_edit\ncd_eject = cd_eject\ncd_go = cd_go\nchart_bar = chart_bar\nchart_bar_add = chart_bar_add\nchart_bar_delete = chart_bar_delete\nchart_bar_edit = chart_bar_edit\nchart_bar_error = chart_bar_error\nchart_bar_link = chart_bar_link\nchart_curve = chart_curve\nchart_curve_add = chart_curve_add\nchart_curve_delete = chart_curve_delete\nchart_curve_edit = chart_curve_edit\nchart_curve_error = chart_curve_error\nchart_curve_go = chart_curve_go\nchart_curve_link = chart_curve_link\nchart_line = chart_line\nchart_line_add = chart_line_add\nchart_line_delete = chart_line_delete\nchart_line_edit = chart_line_edit\nchart_line_error = chart_line_error\nchart_line_link = chart_line_link\nchart_organisation = chart_organisation\nchart_organisation_add = chart_organisation_add\nchart_organisation_delete = chart_organisation_delete\nchart_pie = chart_pie\nchart_pie_add = chart_pie_add\nchart_pie_delete = chart_pie_delete\nchart_pie_edit = chart_pie_edit\nchart_pie_error = chart_pie_error\nchart_pie_link = chart_pie_link\nclock = clock\nclock_add = clock_add\nclock_delete = clock_delete\nclock_edit = clock_edit\nclock_error = clock_error\nclock_go = clock_go\nclock_link = clock_link\nclock_pause = clock_pause\nclock_play = clock_play\nclock_red = clock_red\nclock_stop = clock_stop\ncog = cog\ncog_add = cog_add\ncog_delete = cog_delete\ncog_edit = cog_edit\ncog_error = cog_error\ncog_go = cog_go\ncoins = coins\ncoins_add = coins_add\ncoins_delete = coins_delete\ncolor_swatch = color_swatch\ncolor_wheel = color_wheel\ncomment = comment\ncomment_add = comment_add\ncomment_delete = comment_delete\ncomment_edit = comment_edit\ncomments = comments\ncomments_add = comments_add\ncomments_delete = comments_delete\ncompress = compress\ncomputer = computer\ncomputer_add = computer_add\ncomputer_delete = computer_delete\ncomputer_edit = computer_edit\ncomputer_error = computer_error\ncomputer_go = computer_go\ncomputer_key = computer_key\ncomputer_link = computer_link\nconnect = connect\ncontrast = contrast\ncontrast_decrease = contrast_decrease\ncontrast_high = contrast_high\ncontrast_increase = contrast_increase\ncontrast_low = contrast_low\ncontrol_eject = control_eject\ncontrol_eject_blue = control_eject_blue\ncontrol_end = control_end\ncontrol_end_blue = control_end_blue\ncontrol_equalizer = control_equalizer\ncontrol_equalizer_blue = control_equalizer_blue\ncontrol_fastforward = control_fastforward\ncontrol_fastforward_blue = control_fastforward_blue\ncontrol_pause = control_pause\ncontrol_pause_blue = control_pause_blue\ncontrol_play = control_play\ncontrol_play_blue = control_play_blue\ncontrol_repeat = control_repeat\ncontrol_repeat_blue = control_repeat_blue\ncontrol_rewind = control_rewind\ncontrol_rewind_blue = control_rewind_blue\ncontrol_start = control_start\ncontrol_start_blue = control_start_blue\ncontrol_stop = control_stop\ncontrol_stop_blue = control_stop_blue\ncontroller = controller\ncontroller_add = controller_add\ncontroller_delete = controller_delete\ncontroller_error = controller_error\ncreditcards = creditcards\ncross = cross\ncss = css\ncss_add = css_add\ncss_delete = css_delete\ncss_go = css_go\ncss_valid = css_valid\ncup = cup\ncup_add = cup_add\ncup_delete = cup_delete\ncup_edit = cup_edit\ncup_error = cup_error\ncup_go = cup_go\ncup_key = cup_key\ncup_link = cup_link\ncursor = cursor\ncut = cut\ncut_red = cut_red\ndatabase = database\ndatabase_add = database_add\ndatabase_connect = database_connect\ndatabase_delete = database_delete\ndatabase_edit = database_edit\ndatabase_error = database_error\ndatabase_gear = database_gear\ndatabase_go = database_go\ndatabase_key = database_key\ndatabase_lightning = database_lightning\ndatabase_link = database_link\ndatabase_refresh = database_refresh\ndatabase_save = database_save\ndatabase_table = database_table\ndate = date\ndate_add = date_add\ndate_delete = date_delete\ndate_edit = date_edit\ndate_error = date_error\ndate_go = date_go\ndate_link = date_link\ndate_magnify = date_magnify\ndate_next = date_next\ndate_previous = date_previous\ndelete = delete\ndisconnect = disconnect\ndisk = disk\ndisk_multiple = disk_multiple\ndoor = door\ndoor_in = door_in\ndoor_open = door_open\ndoor_out = door_out\ndrink = drink\ndrink_empty = drink_empty\ndrive = drive\ndrive_add = drive_add\ndrive_burn = drive_burn\ndrive_cd = drive_cd\ndrive_cd_empty = drive_cd_empty\ndrive_delete = drive_delete\ndrive_disk = drive_disk\ndrive_edit = drive_edit\ndrive_error = drive_error\ndrive_go = drive_go\ndrive_key = drive_key\ndrive_link = drive_link\ndrive_magnify = drive_magnify\ndrive_network = drive_network\ndrive_rename = drive_rename\ndrive_user = drive_user\ndrive_web = drive_web\ndvd = dvd\ndvd_add = dvd_add\ndvd_delete = dvd_delete\ndvd_edit = dvd_edit\ndvd_error = dvd_error\ndvd_go = dvd_go\ndvd_key = dvd_key\ndvd_link = dvd_link\nemail = email\nemail_add = email_add\nemail_attach = email_attach\nemail_delete = email_delete\nemail_edit = email_edit\nemail_error = email_error\nemail_go = email_go\nemail_link = email_link\nemail_open = email_open\nemail_open_image = email_open_image\nemoticon_evilgrin = emoticon_evilgrin\nemoticon_grin = emoticon_grin\nemoticon_happy = emoticon_happy\nemoticon_smile = emoticon_smile\nemoticon_surprised = emoticon_surprised\nemoticon_tongue = emoticon_tongue\nemoticon_unhappy = emoticon_unhappy\nemoticon_waii = emoticon_waii\nemoticon_wink = emoticon_wink\nerror = error\nerror_add = error_add\nerror_delete = error_delete\nerror_go = error_go\nexclamation = exclamation\neye = eye\nfeed = feed\nfeed_add = feed_add\nfeed_delete = feed_delete\nfeed_disk = feed_disk\nfeed_edit = feed_edit\nfeed_error = feed_error\nfeed_go = feed_go\nfeed_key = feed_key\nfeed_link = feed_link\nfeed_magnify = feed_magnify\nfemale = female\nfilm = film\nfilm_add = film_add\nfilm_delete = film_delete\nfilm_edit = film_edit\nfilm_error = film_error\nfilm_go = film_go\nfilm_key = film_key\nfilm_link = film_link\nfilm_save = film_save\nfind = find\nflag_blue = flag_blue\nflag_green = flag_green\nflag_orange = flag_orange\nflag_pink = flag_pink\nflag_purple = flag_purple\nflag_red = flag_red\nflag_yellow = flag_yellow\nfolder = folder\nfolder_add = folder_add\nfolder_bell = folder_bell\nfolder_brick = folder_brick\nfolder_bug = folder_bug\nfolder_camera = folder_camera\nfolder_database = folder_database\nfolder_delete = folder_delete\nfolder_edit = folder_edit\nfolder_error = folder_error\nfolder_explore = folder_explore\nfolder_feed = folder_feed\nfolder_find = folder_find\nfolder_go = folder_go\nfolder_heart = folder_heart\nfolder_image = folder_image\nfolder_key = folder_key\nfolder_lightbulb = folder_lightbulb\nfolder_link = folder_link\nfolder_magnify = folder_magnify\nfolder_page = folder_page\nfolder_page_white = folder_page_white\nfolder_palette = folder_palette\nfolder_picture = folder_picture\nfolder_star = folder_star\nfolder_table = folder_table\nfolder_user = folder_user\nfolder_wrench = folder_wrench\nfont = font\nfont_add = font_add\nfont_delete = font_delete\nfont_go = font_go\ngroup = group\ngroup_add = group_add\ngroup_delete = group_delete\ngroup_edit = group_edit\ngroup_error = group_error\ngroup_gear = group_gear\ngroup_go = group_go\ngroup_key = group_key\ngroup_link = group_link\nheart = heart\nheart_add = heart_add\nheart_delete = heart_delete\nhelp = help\nhourglass = hourglass\nhourglass_add = hourglass_add\nhourglass_delete = hourglass_delete\nhourglass_go = hourglass_go\nhourglass_link = hourglass_link\nhouse = house\nhouse_go = house_go\nhouse_link = house_link\nhtml = html\nhtml_add = html_add\nhtml_delete = html_delete\nhtml_go = html_go\nhtml_valid = html_valid\nimage = image\nimage_add = image_add\nimage_delete = image_delete\nimage_edit = image_edit\nimage_link = image_link\nimages = images\nindex_abc = index_abc\ninformation = information\nipod = ipod\nipod_cast = ipod_cast\nipod_cast_add = ipod_cast_add\nipod_cast_delete = ipod_cast_delete\nipod_sound = ipod_sound\njoystick = joystick\njoystick_add = joystick_add\njoystick_delete = joystick_delete\njoystick_error = joystick_error\nkey = key\nkey_add = key_add\nkey_delete = key_delete\nkey_go = key_go\nkeyboard = keyboard\nkeyboard_add = keyboard_add\nkeyboard_delete = keyboard_delete\nkeyboard_magnify = keyboard_magnify\nlayers = layers\nlayout = layout\nlayout_add = layout_add\nlayout_content = layout_content\nlayout_delete = layout_delete\nlayout_edit = layout_edit\nlayout_error = layout_error\nlayout_header = layout_header\nlayout_link = layout_link\nlayout_sidebar = layout_sidebar\nlightbulb = lightbulb\nlightbulb_add = lightbulb_add\nlightbulb_delete = lightbulb_delete\nlightbulb_off = lightbulb_off\nlightning = lightning\nlightning_add = lightning_add\nlightning_delete = lightning_delete\nlightning_go = lightning_go\nlink = link\nlink_add = link_add\nlink_break = link_break\nlink_delete = link_delete\nlink_edit = link_edit\nlink_error = link_error\nlink_go = link_go\nlock = lock\nlock_add = lock_add\nlock_break = lock_break\nlock_delete = lock_delete\nlock_edit = lock_edit\nlock_go = lock_go\nlock_open = lock_open\nlorry = lorry\nlorry_add = lorry_add\nlorry_delete = lorry_delete\nlorry_error = lorry_error\nlorry_flatbed = lorry_flatbed\nlorry_go = lorry_go\nlorry_link = lorry_link\nmagifier_zoom_out = magifier_zoom_out\nmagnifier = magnifier\nmagnifier_zoom_in = magnifier_zoom_in\nmale = male\nmap = map\nmap_add = map_add\nmap_delete = map_delete\nmap_edit = map_edit\nmap_go = map_go\nmap_magnify = map_magnify\nmedal_bronze_1 = medal_bronze_1\nmedal_bronze_2 = medal_bronze_2\nmedal_bronze_3 = medal_bronze_3\nmedal_bronze_add = medal_bronze_add\nmedal_bronze_delete = medal_bronze_delete\nmedal_gold_1 = medal_gold_1\nmedal_gold_2 = medal_gold_2\nmedal_gold_3 = medal_gold_3\nmedal_gold_add = medal_gold_add\nmedal_gold_delete = medal_gold_delete\nmedal_silver_1 = medal_silver_1\nmedal_silver_2 = medal_silver_2\nmedal_silver_3 = medal_silver_3\nmedal_silver_add = medal_silver_add\nmedal_silver_delete = medal_silver_delete\nmoney = money\nmoney_add = money_add\nmoney_delete = money_delete\nmoney_dollar = money_dollar\nmoney_euro = money_euro\nmoney_pound = money_pound\nmoney_yen = money_yen\nmonitor = monitor\nmonitor_add = monitor_add\nmonitor_delete = monitor_delete\nmonitor_edit = monitor_edit\nmonitor_error = monitor_error\nmonitor_go = monitor_go\nmonitor_lightning = monitor_lightning\nmonitor_link = monitor_link\nmouse = mouse\nmouse_add = mouse_add\nmouse_delete = mouse_delete\nmouse_error = mouse_error\nmusic = music\nnew = new\nnewspaper = newspaper\nnewspaper_add = newspaper_add\nnewspaper_delete = newspaper_delete\nnewspaper_go = newspaper_go\nnewspaper_link = newspaper_link\nnote = note\nnote_add = note_add\nnote_delete = note_delete\nnote_edit = note_edit\nnote_error = note_error\nnote_go = note_go\noverlays = overlays\npackage = package\npackage_add = package_add\npackage_delete = package_delete\npackage_go = package_go\npackage_green = package_green\npackage_link = package_link\npage = page\npage_add = page_add\npage_attach = page_attach\npage_code = page_code\npage_copy = page_copy\npage_delete = page_delete\npage_edit = page_edit\npage_error = page_error\npage_excel = page_excel\npage_find = page_find\npage_gear = page_gear\npage_go = page_go\npage_green = page_green\npage_key = page_key\npage_lightning = page_lightning\npage_link = page_link\npage_paintbrush = page_paintbrush\npage_paste = page_paste\npage_red = page_red\npage_refresh = page_refresh\npage_save = page_save\npage_white = page_white\npage_white_acrobat = page_white_acrobat\npage_white_actionscript = page_white_actionscript\npage_white_add = page_white_add\npage_white_c = page_white_c\npage_white_camera = page_white_camera\npage_white_cd = page_white_cd\npage_white_code = page_white_code\npage_white_code_red = page_white_code_red\npage_white_coldfusion = page_white_coldfusion\npage_white_compressed = page_white_compressed\npage_white_copy = page_white_copy\npage_white_cplusplus = page_white_cplusplus\npage_white_csharp = page_white_csharp\npage_white_cup = page_white_cup\npage_white_database = page_white_database\npage_white_delete = page_white_delete\npage_white_dvd = page_white_dvd\npage_white_edit = page_white_edit\npage_white_error = page_white_error\npage_white_excel = page_white_excel\npage_white_find = page_white_find\npage_white_flash = page_white_flash\npage_white_freehand = page_white_freehand\npage_white_gear = page_white_gear\npage_white_get = page_white_get\npage_white_go = page_white_go\npage_white_h = page_white_h\npage_white_horizontal = page_white_horizontal\npage_white_key = page_white_key\npage_white_lightning = page_white_lightning\npage_white_link = page_white_link\npage_white_magnify = page_white_magnify\npage_white_medal = page_white_medal\npage_white_office = page_white_office\npage_white_paint = page_white_paint\npage_white_paintbrush = page_white_paintbrush\npage_white_paste = page_white_paste\npage_white_php = page_white_php\npage_white_picture = page_white_picture\npage_white_powerpoint = page_white_powerpoint\npage_white_put = page_white_put\npage_white_ruby = page_white_ruby\npage_white_stack = page_white_stack\npage_white_star = page_white_star\npage_white_swoosh = page_white_swoosh\npage_white_text = page_white_text\npage_white_text_width = page_white_text_width\npage_white_tux = page_white_tux\npage_white_vector = page_white_vector\npage_white_visualstudio = page_white_visualstudio\npage_white_width = page_white_width\npage_white_word = page_white_word\npage_white_world = page_white_world\npage_white_wrench = page_white_wrench\npage_white_zip = page_white_zip\npage_word = page_word\npage_world = page_world\npaintbrush = paintbrush\npaintcan = paintcan\npalette = palette\npaste_plain = paste_plain\npaste_word = paste_word\npencil = pencil\npencil_add = pencil_add\npencil_delete = pencil_delete\npencil_go = pencil_go\nphone = phone\nphone_add = phone_add\nphone_delete = phone_delete\nphone_sound = phone_sound\nphoto = photo\nphoto_add = photo_add\nphoto_delete = photo_delete\nphoto_link = photo_link\nphotos = photos\npicture = picture\npicture_add = picture_add\npicture_delete = picture_delete\npicture_edit = picture_edit\npicture_empty = picture_empty\npicture_error = picture_error\npicture_go = picture_go\npicture_key = picture_key\npicture_link = picture_link\npicture_save = picture_save\npictures = pictures\npilcrow = pilcrow\npill = pill\npill_add = pill_add\npill_delete = pill_delete\npill_go = pill_go\nplugin = plugin\nplugin_add = plugin_add\nplugin_delete = plugin_delete\nplugin_disabled = plugin_disabled\nplugin_edit = plugin_edit\nplugin_error = plugin_error\nplugin_go = plugin_go\nplugin_link = plugin_link\nprinter = printer\nprinter_add = printer_add\nprinter_delete = printer_delete\nprinter_empty = printer_empty\nprinter_error = printer_error\nrainbow = rainbow\nreport = report\nreport_add = report_add\nreport_delete = report_delete\nreport_disk = report_disk\nreport_edit = report_edit\nreport_go = report_go\nreport_key = report_key\nreport_link = report_link\nreport_magnify = report_magnify\nreport_picture = report_picture\nreport_user = report_user\nreport_word = report_word\nresultset_first = resultset_first\nresultset_last = resultset_last\nresultset_next = resultset_next\nresultset_previous = resultset_previous\nrosette = rosette\nrss = rss\nrss_add = rss_add\nrss_delete = rss_delete\nrss_go = rss_go\nrss_valid = rss_valid\nruby = ruby\nruby_add = ruby_add\nruby_delete = ruby_delete\nruby_gear = ruby_gear\nruby_get = ruby_get\nruby_go = ruby_go\nruby_key = ruby_key\nruby_link = ruby_link\nruby_put = ruby_put\nscript = script\nscript_add = script_add\nscript_code = script_code\nscript_code_red = script_code_red\nscript_delete = script_delete\nscript_edit = script_edit\nscript_error = script_error\nscript_gear = script_gear\nscript_go = script_go\nscript_key = script_key\nscript_lightning = script_lightning\nscript_link = script_link\nscript_palette = script_palette\nscript_save = script_save\nserver = server\nserver_add = server_add\nserver_chart = server_chart\nserver_compressed = server_compressed\nserver_connect = server_connect\nserver_database = server_database\nserver_delete = server_delete\nserver_edit = server_edit\nserver_error = server_error\nserver_go = server_go\nserver_key = server_key\nserver_lightning = server_lightning\nserver_link = server_link\nserver_uncompressed = server_uncompressed\nshading = shading\nshape_align_bottom = shape_align_bottom\nshape_align_center = shape_align_center\nshape_align_left = shape_align_left\nshape_align_middle = shape_align_middle\nshape_align_right = shape_align_right\nshape_align_top = shape_align_top\nshape_flip_horizontal = shape_flip_horizontal\nshape_flip_vertical = shape_flip_vertical\nshape_group = shape_group\nshape_handles = shape_handles\nshape_move_back = shape_move_back\nshape_move_backwards = shape_move_backwards\nshape_move_forwards = shape_move_forwards\nshape_move_front = shape_move_front\nshape_rotate_anticlockwise = shape_rotate_anticlockwise\nshape_rotate_clockwise = shape_rotate_clockwise\nshape_square = shape_square\nshape_square_add = shape_square_add\nshape_square_delete = shape_square_delete\nshape_square_edit = shape_square_edit\nshape_square_error = shape_square_error\nshape_square_go = shape_square_go\nshape_square_key = shape_square_key\nshape_square_link = shape_square_link\nshape_ungroup = shape_ungroup\nshield = shield\nshield_add = shield_add\nshield_delete = shield_delete\nshield_go = shield_go\nsitemap = sitemap\nsitemap_color = sitemap_color\nsound = sound\nsound_add = sound_add\nsound_delete = sound_delete\nsound_low = sound_low\nsound_mute = sound_mute\nsound_none = sound_none\nspellcheck = spellcheck\nsport_8ball = sport_8ball\nsport_basketball = sport_basketball\nsport_football = sport_football\nsport_golf = sport_golf\nsport_raquet = sport_raquet\nsport_shuttlecock = sport_shuttlecock\nsport_soccer = sport_soccer\nsport_tennis = sport_tennis\nstar = star\nstatus_away = status_away\nstatus_busy = status_busy\nstatus_offline = status_offline\nstatus_online = status_online\nstop = stop\nstyle = style\nstyle_add = style_add\nstyle_delete = style_delete\nstyle_edit = style_edit\nstyle_go = style_go\nsum = sum\ntab = tab\ntab_add = tab_add\ntab_delete = tab_delete\ntab_edit = tab_edit\ntab_go = tab_go\ntable = table\ntable_add = table_add\ntable_delete = table_delete\ntable_edit = table_edit\ntable_error = table_error\ntable_gear = table_gear\ntable_go = table_go\ntable_key = table_key\ntable_lightning = table_lightning\ntable_link = table_link\ntable_multiple = table_multiple\ntable_refresh = table_refresh\ntable_relationship = table_relationship\ntable_row_delete = table_row_delete\ntable_row_insert = table_row_insert\ntable_save = table_save\ntable_sort = table_sort\ntag = tag\ntag_blue = tag_blue\ntag_blue_add = tag_blue_add\ntag_blue_delete = tag_blue_delete\ntag_blue_edit = tag_blue_edit\ntag_green = tag_green\ntag_orange = tag_orange\ntag_pink = tag_pink\ntag_purple = tag_purple\ntag_red = tag_red\ntag_yellow = tag_yellow\ntelephone = telephone\ntelephone_add = telephone_add\ntelephone_delete = telephone_delete\ntelephone_edit = telephone_edit\ntelephone_error = telephone_error\ntelephone_go = telephone_go\ntelephone_key = telephone_key\ntelephone_link = telephone_link\ntelevision = television\ntelevision_add = television_add\ntelevision_delete = television_delete\ntext_align_center = text_align_center\ntext_align_justify = text_align_justify\ntext_align_left = text_align_left\ntext_align_right = text_align_right\ntext_allcaps = text_allcaps\ntext_bold = text_bold\ntext_columns = text_columns\ntext_dropcaps = text_dropcaps\ntext_heading_1 = text_heading_1\ntext_heading_2 = text_heading_2\ntext_heading_3 = text_heading_3\ntext_heading_4 = text_heading_4\ntext_heading_5 = text_heading_5\ntext_heading_6 = text_heading_6\ntext_horizontalrule = text_horizontalrule\ntext_indent = text_indent\ntext_indent_remove = text_indent_remove\ntext_italic = text_italic\ntext_kerning = text_kerning\ntext_letter_omega = text_letter_omega\ntext_letterspacing = text_letterspacing\ntext_linespacing = text_linespacing\ntext_list_bullets = text_list_bullets\ntext_list_numbers = text_list_numbers\ntext_lowercase = text_lowercase\ntext_padding_bottom = text_padding_bottom\ntext_padding_left = text_padding_left\ntext_padding_right = text_padding_right\ntext_padding_top = text_padding_top\ntext_replace = text_replace\ntext_signature = text_signature\ntext_smallcaps = text_smallcaps\ntext_strikethrough = text_strikethrough\ntext_subscript = text_subscript\ntext_superscript = text_superscript\ntext_underline = text_underline\ntext_uppercase = text_uppercase\ntextfield = textfield\ntextfield_add = textfield_add\ntextfield_delete = textfield_delete\ntextfield_key = textfield_key\ntextfield_rename = textfield_rename\nthumb_down = thumb_down\nthumb_up = thumb_up\ntick = tick\ntime = time\ntime_add = time_add\ntime_delete = time_delete\ntime_go = time_go\ntimeline_marker = timeline_marker\ntransmit = transmit\ntransmit_add = transmit_add\ntransmit_blue = transmit_blue\ntransmit_delete = transmit_delete\ntransmit_edit = transmit_edit\ntransmit_error = transmit_error\ntransmit_go = transmit_go\ntux = tux\nuser = user\nuser_add = user_add\nuser_comment = user_comment\nuser_delete = user_delete\nuser_edit = user_edit\nuser_female = user_female\nuser_go = user_go\nuser_gray = user_gray\nuser_green = user_green\nuser_orange = user_orange\nuser_red = user_red\nuser_suit = user_suit\nvcard = vcard\nvcard_add = vcard_add\nvcard_delete = vcard_delete\nvcard_edit = vcard_edit\nvector = vector\nvector_add = vector_add\nvector_delete = vector_delete\nwand = wand\nweather_clouds = weather_clouds\nweather_cloudy = weather_cloudy\nweather_lightning = weather_lightning\nweather_rain = weather_rain\nweather_snow = weather_snow\nweather_sun = weather_sun\nwebcam = webcam\nwebcam_add = webcam_add\nwebcam_delete = webcam_delete\nwebcam_error = webcam_error\nworld = world\nworld_add = world_add\nworld_delete = world_delete\nworld_edit = world_edit\nworld_go = world_go\nworld_link = world_link\nwrench = wrench\nwrench_orange = wrench_orange\nxhtml = xhtml\nxhtml_add = xhtml_add\nxhtml_delete = xhtml_delete\nxhtml_go = xhtml_go\nxhtml_valid = xhtml_valid\nzoom = zoom\nzoom_in = zoom_in\nzoom_out = zoom_out</content></xwikidoc>\n
-6140736936410737134	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>IconThemesCode</web>\n<name>IconPicker</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>IconThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1415189081000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Icon Picker</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>IconThemesCode.IconPicker</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>f9fc785d-a4a9-4613-97df-7121bd281fc5</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>define(['jquery', 'xwiki-meta'], function($, xm) {\n\n  /**\n   * Globals\n   */\n   \n  // There could be only one picker at a time\n  var xwikiCurrentIconsPicker = 0;\n  \n  // Map that will contains the icons sorted by icon themes\n  var icons = {};\n  \n  // List of icon themes\n  var iconThemes = [];\n  \n  // Current icon theme used for the preview\n  var currentIconTheme = '';\n  \n  // Current input field (there could be only one picker at a time)\n  var currentInput = 0;\n  \n  // The spinner object to display when the picker is loading some data from the server\n  var spinner = 0;\n  \n  // The HTML section where the icons are displayed\n  var iconListSection = 0;\n  \n  // The HTML input to select the icon theme to use for the preview\n  var iconThemeSelector = 0;\n  \n  // Picker Dimmensions\n  var PICKER_WIDTH = 520;\n  var PICKER_HEIGHT = 300;\n\n  /**\n   * Generate an URL for getting JSON resources about icons\n   */\n  var getResourceURL = function(action, parameters) {\n    var param = 'outputSyntax=plain&amp;action=' + action;\n    if (parameters) {\n      param += '&amp;' + parameters;\n    }\n    return (new XWiki.Document('IconPicker', 'IconThemesCode', xm.wiki)).getURL('get', param);\n  }\n  \n  /**\n   * Close the picker\n   */\n  var closePicker = function() {\n    xwikiCurrentIconsPicker.remove();\n    xwikiCurrentIconsPicker = 0;\n  }\n  \n  /**\n   * Display the list of icons\n   */\n  var displayList = function(iconTheme) {\n    // For each icon\n    for (var i=0; i &lt; iconTheme.length; ++i) {\n      // Display the icon\n      var displayer = $(document.createElement('div'));\n      iconListSection.append(displayer);\n      displayer.addClass('xwikiIconPickerIcon');\n      var imageDiv = $(document.createElement('div'));\n      imageDiv.addClass('xwikiIconPickerIconImage').html(iconTheme[i].render);\n      displayer.append(imageDiv);\n      var iconNameDiv = $(document.createElement('div'));\n      iconNameDiv.addClass('xwikiIconPickerIconName').text(iconTheme[i].name);\n      displayer.append(iconNameDiv);\n      // Change the input value when the icon is clicked\n      displayer.click(function(event) {\n        currentInput.val(currentInput.data('xwikiIconPickerSettings').prefix + $(event.currentTarget).children('.xwikiIconPickerIconName').text() );\n        closePicker();\n      });\n    }\n  }\n  \n  /**\n   * Load the icon list (get the JSON from the server) and display it afterwards\n   */\n  var loadIconList = function(iconTheme) {\n    $.getJSON(getResourceURL('data_icons', 'iconTheme='+iconTheme), function(dataIcons) {\n      // Put the result in the icons map\n      icons[iconTheme] = dataIcons;\n      // Display the list\n      displayList(icons[iconTheme]);\n      // Hide the spinner\n      spinner.hide();\n    });\n  }\n  \n  /**\n   * Fill the icon theme selector with the list of icon themes\n   */\n  var fillIconThemesSelector = function() {\n    // Create the icon theme selector\n    for (var i = 0; i &lt; iconThemes.length; ++i) {\n      iconThemeSelector.append('&lt;option&gt;'+iconThemes[i]+'&lt;/option&gt;');\n    }\n    // Select the icon theme\n    iconThemeSelector.val(currentIconTheme);\n  }\n  \n  /**\n   * Load the list of all icon themes and display it in the icon themes selector afterwards\n   */\n  var loadIconThemes = function() {\n    // Get the list of all icon themes\n    $.getJSON(getResourceURL('data_iconthemes'), function(data) {\n      // Save the result\n      iconThemes = data.iconThemes;\n      // Re-init the global icons map\n      icons = {};\n      // Fill the map where icon theme names are the keys\n      for (var i = 0; i &lt; iconThemes.length; ++i) {\n        icons[iconThemes[i]] = [];\n      }\n      // The first icon theme is the current one (hack)\n      currentIconTheme = data.currentIconTheme;\n      // Get the icons of the current icon theme\n      loadIconList(currentIconTheme);\n      // Fill the selector\n      fillIconThemesSelector();\n    });\n  }\n  \n  /**\n   * Create the icon theme selector\n   */\n  var createIconThemeSelector = function() {\n    iconThemeSelector = $(document.createElement('select'));\n    // Change the current icon theme where the selector is used\n    iconThemeSelector.change(function() {\n      currentIconTheme = iconThemeSelector.val();\n      // Remove all the displayed icons\n      $('.xwikiIconPickerIcon').remove();\n      // Display the new ones\n      if (icons[currentIconTheme].length == 0) {\n        // if the icon theme has not already been loaded, load it\n        spinner.show();\n        loadIconList(currentIconTheme)\n      } else {\n        // just display what have been previously loaded\n        displayList(icons[currentIconTheme]);\n      }\n    });\n  }\n  \n  /**\n   * Set the position of the picker and handle the current window scroll status\n   */\n  var setPickerPosition = function() {\n    // If the picker does not exist, nothing to do\n    if (xwikiCurrentIconsPicker == 0) {\n      return;\n    }\n  \n    var inputOffset = currentInput.offset();\n    var inputWidth = currentInput.outerWidth();\n    var inputHeight = currentInput.outerHeight();\n    \n    // Compute the left coordinate\n    var left = inputOffset.left - $(window).scrollLeft();\n    if (inputOffset.left + PICKER_WIDTH &gt; $('body').outerWidth()) {\n      // if there is not enough place to display the picker at the same position than the input,\n      // then display it by using the right corner of the input for the right corner of the picker\n      left = inputOffset.left + inputWidth - PICKER_WIDTH - $(window).scrollLeft();\n      if (left &lt; 0) {\n        // if there is not enough place for this neither, center the picker\n        left = $('body').outerWidth() / 2 - PICKER_WIDTH / 2;\n      }\n    }\n    xwikiCurrentIconsPicker.css('left', left);\n    \n    // Compute the top coordinate\n    var top = inputOffset.top + inputHeight - $(window).scrollTop();\n    if (inputOffset.top + inputHeight + PICKER_HEIGHT &gt; $('body').outerHeight()) {\n      // if there is not enough place to display the picker just under the input,\n      // then display it on the top\n      top = inputOffset.top - PICKER_HEIGHT - $(window).scrollTop();\n      if (top &lt; 0) {\n        // if there is not enough place for this neither, center the picker\n        top = $('body').outerHeight() / 2 - PICKER_HEIGHT / 2;\n      }\n    }\n    xwikiCurrentIconsPicker.css('top', top);\n  }\n  \n  /**\n   * Create the piccker\n   */\n  var createPicker = function (input) {\n    // If the picker already exists\n    if (xwikiCurrentIconsPicker != 0) {\n      if (input != currentInput) {\n        // if it has been created for an other input, close the previous one\n        closePicker();\n      } else {\n        // the picker already exists for the current input, we do not go further\n        return;\n      }\n    }\n    // Save the input\n    currentInput = input;\n    // Create the picker\n    xwikiCurrentIconsPicker = $(document.createElement('div'));\n    xwikiCurrentIconsPicker.addClass('xwikiIconPickerContainer');\n    // Insert the picker in the DOM\n    $(body).after(xwikiCurrentIconsPicker);\n    // Set the position\n    setPickerPosition();\n    // Add the icon list section\n    iconListSection = $(document.createElement('div'));\n    iconListSection.addClass('xwikiIconPickerList');\n    xwikiCurrentIconsPicker.append(iconListSection);\n    // Display the spinner correctly, while the icons are loading\n    if (spinner == 0) {\n      spinner = $(document.createElement('img'));\n      spinner.attr('alt', '$escapetool.javascript($services.localization.render('platform.icon.picker.loading'))').attr('src', '$xwiki.getSkinFile('icons/xwiki/spinner.gif')');\n    }\n    iconListSection.append(spinner);\n    // Add the icon theme selector section\n    var iconThemeSelectorSection = $(document.createElement('div'));\n    xwikiCurrentIconsPicker.append(iconThemeSelectorSection);\n    iconThemeSelectorSection.addClass('xwikiIconPickerIconThemeSelector');\n    iconThemeSelectorSection.text('$escapetool.javascript($services.localization.render('platform.icon.picker.preview'))');\n    // Create the icon theme selector\n    createIconThemeSelector();\n    iconThemeSelectorSection.append(iconThemeSelector);\n    // Load the icon themes (if is not already loaded)\n    if (iconThemes.length == 0) {\n      loadIconThemes();\n    } else {\n      // Fill the selector\n      fillIconThemesSelector();\n      // Display icons\n      if (icons[currentIconTheme].length &gt; 0) {\n        // display the icon theme since it has already be loaded\n        displayList(icons[currentIconTheme]);\n      } else {\n        // load the icon theme\n        loadIconList(currentIconTheme);\n      }\n    }\n    // Close the picker when the user press 'escape'.\n    currentInput.keyup(function (event) {\n      // See: http://stackoverflow.com/questions/1160008/which-keycode-for-escape-key-with-jquery\n      if (event.which == 27) {\n        closePicker();\n      }\n    });\n  }\n  \n  /**\n   * Create the jQuery plugin\n   */\n  $.fn.xwikiIconPicker = function(options) {\n    // Get the default settings if the options are not fully filled\n    var settings = $.extend({\n      prefix: 'icon:image:'\n    }, options);\n  \n    // Enable the picker on focus\n    this.each(function() {\n      var elem = $(this);\n      // Verify that the element is a valid input field\n      if (!elem.is('input')) {\n        return;\n      }\n      // Attach the settings to the input\n      $(this).data('xwikiIconPickerSettings', settings);\n      // Create the picker on focus\n      $(this).focusin(function(event) {\n        createPicker($(event.currentTarget));\n      });\n    });\n    \n    // Because the picker uses the 'fixed' position, we must recompute its position everytime the user scrolls the page\n    // Otherwise, the picker would stay in the same position *on the screen* without staying close to the input.\n    $(window).scroll(function() {\n      setPickerPosition();\n    });\n    \n    // Close the picker if the input and the picker itself have lost the focus\n    $(window).click(function(event) {\n      if (document.activeElement != currentInput[0] &amp;&amp; !$.contains(xwikiCurrentIconsPicker[0], document.activeElement)) {\n        closePicker();\n      }\n    });\n    \n    // Return this object to enable the jQuery chaining\n    return this;\n  }\n});\n</code></property><property><name>JS</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>IconThemesCode.IconPicker</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>c0c65e5c-9025-4e48-afb1-07ce47946a5e</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n.xwikiIconPickerContainer {\n  width: 520px;\n  height: 300px;\n  border: 1px solid black;\n  position: fixed;\n  z-index: 1000;\n  background-color: $theme.pageContentBackgroundColor;\n}\n\n.xwikiIconPickerList {\n  overflow-y: scroll;\n  height: 240px;\n}\n\n.xwikiIconPickerIcon {\n  float: left;\n  height: 80px;\n  width: 100px;\n  text-align: center;\n  border-radius: 4px;\n  vertical-align: middle;\n  overflow: hidden;\n  padding: 10px;\n  cursor: pointer;\n}\n\n.xwikiIconPickerIcon:hover {\n  background-color: $theme.highlightColor;\n}\n\n.xwikiIconPickerIconImage {\n  font-size: 24px;\n  margin: 0;\n}\n\n.xwikiIconPickerIconImage img{\n  width: 24px;\n}\n\n.xwikiIconPickerIconThemeSelector {\n  width: 100%;\n  background-color: $theme.menuBackgroundColor;\n  color: $theme.menuLinkColor;\n  padding: 10px;\n  text-align: center;\n  clear: left;\n  height: 60px;\n}\n</code></property><property><name>CSS</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity}}\n###########################\n## GLOBALS\n###########################\n#set($xwikiIcons = ['home', 'wiki', 'space', 'page', 'check', 'add', 'anchor', 'terminal', 'list', 'branch', 'down', 'up', 'left', 'right', 'arrows', 'repeat', 'undo', 'refresh', 'rotate-left', 'rotate-right', 'switch', 'random', 'attach', 'shopping-cart', 'bell', 'trash', 'bomb', 'book', 'cube', 'cubes', 'briefcase', 'bug', 'building', 'caret-down', 'caret-up', 'caret-right', 'calculator', 'calendar', 'camera', 'remove', 'cross', 'car', 'truck', 'chart-bar', 'chart-organisation', 'cloud', 'clock', 'cog', 'comment', 'comments', 'desktop', 'contrast', 'eject', 'step-forward', 'step-backward', 'fast-forward', 'backward', 'play', 'pause', 'stop', 'gamepad', 'credit-card', 'coffee', 'cut', 'database', 'delete', 'floppy-disk', 'glass', 'drive', 'envelope', 'warning', 'error', 'info', 'eye', 'rss', 'female', 'male', 'film', 'flag', 'search', 'search-plus', 'search-minus', 'folder', 'user', 'group', 'heart', 'question', 'image', 'key', 'keyboard', 'lightbulb', 'link', 'unlink', 'lock', 'unlock', 'money', 'dollar', 'euro', 'gbp', 'yen', 'music', 'file', 'file-white', 'file-pdf', 'file-code', 'file-archive', 'file-word', 'file-excel', 'file-powerpoint', 'file-text', 'paste', 'pencil', 'print', 'shield', 'certificate', 'volume-up', 'volume-down', 'volume-off', 'soccer', 'star', 'table', 'phone', 'font', 'bold', 'italic', 'strikethrough', 'subscript', 'superscript', 'underline', 'align-center', 'align-justify', 'align-left', 'align-right', 'columns', 'indent-left', 'indent-right', 'list-bullets', 'list-numbers', 'sun', 'world', 'wrench'])\n###########################\n## DATA: ICON THEMES\n###########################\n#if($request.action == 'data_iconthemes')\n  #set($map = {})\n  #set($discard = $map.put('iconThemes', $services.icon.iconSetNames))\n  #set($discard = $map.put('currentIconTheme', $services.icon.currentIconSetName))\n  $jsontool.serialize($map)\n###########################\n## DATA: ICONS\n###########################\n#elseif($request.action == 'data_icons')\n  #set($icons = [])\n  #set($iconTheme = $request.iconTheme)\n  #foreach($xwikiIcon in $xwikiIcons)\n    #set($icon = {})\n    #set($discard = $icon.put('name', $xwikiIcon))\n    #set($discard = $icon.put('render', $services.icon.renderHTML($xwikiIcon, $iconTheme)))\n    #set($discard = $icons.add($icon))\n  #end\n  $jsontool.serialize($icons)\n#else\n= Presentation =\nThe Icon Picker is a jQuery plugin written by XWiki to help user selecting an icon. See [[IconPickerMacro]] for using this picker easily. If you want to use it manually, read the following.\n\n== Example ==\nWith Velocity and HTML:\n\n{{code language="none"}}\n// Enable the CSS of the picker:\n\\#set(\\$discard = \\$xwiki.ssx.use('IconThemesCode.IconPicker'))\n\n// JavaScript code:\n&lt;script language="javascript"&gt;\n\n// Configure requirejs to load the picker code\nrequire.config({\n  paths: {\n    'xwiki-icon-picker': '\\$xwiki.getURL($services.model.createDocumentReference('', 'IconThemesCode', 'IconPicker'), 'jsx', "minify=$!request.minify")'\n  }\n});\n\n// Require jquery and the icon picker\nrequire(['jquery', 'xwiki-icon-picker'], function($) {\n  // Here you can bind the picker to some elements.\n  // Examples:\n  $('#someElement').xwikiIconPicker(); // apply the picker to the field #someElement\n  $('#someElement').xwikiIconPicker({prefix: 'image:icon:'}); // change the prefix inserted before the icon name\n});\n\n&lt;/script&gt;\n{{/code}}\n#end\n{{/velocity}}\n</content></xwikidoc>
-8517257823106361140	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>IconThemesCode</web>\n<name>Translations</name>\n<language>fr</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>IconThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1417707900000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>plain/1.0</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nplatform.icon.picker.loading=Chargement en cours\nplatform.icon.picker.preview=Prévisualiser avec \\:\nrendering.macro.iconPicker.description=Sélectionnez une icône dans le set d'icônes XWiki.\nrendering.macro.iconPicker.name=Sélecteur d'icônes\nrendering.macro.iconPicker.parameter.class.description=Classe CSS des entrées où le sélecteur s'appliquera\nrendering.macro.iconPicker.parameter.class.name=Class\nrendering.macro.iconPicker.parameter.id.description=DOM Id du champ d'entrée où le sélecteur s'appliquera\nrendering.macro.iconPicker.parameter.id.name=Id\nrendering.macro.iconPicker.parameter.prefix.description=Préfixe à ajouter avant le nom de l'icône dans le champ de saisie (par défaut\\: "image\\:icon\\:")\nrendering.macro.iconPicker.parameter.prefix.name=Prefix\n</content></xwikidoc>
5044321162092350936	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Main</web>\n<name>AllDocs</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252447200000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('platform.index.documents')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n##================\n## Find which tab to display\n##================\n#if("$!{view}" == '')\n  #set($view = $request.getParameter('view'))\n  #if("$!{view}" == '')\n    #set ($view = 'index')\n  #end\n#end\n##========\n## Set Tab Data\n##========\n#set($tabs = [])\n#macro(addAllDocsTab $tab)\n  #if($xwiki.hasAccessLevel('view', "$!xcontext.user", $tab.get('document')))\n    #set($discard = $tabs.add($tab))\n  #end\n#end\n#addAllDocsTab({'tabName' : 'index', 'idSuffix' : 'index', 'translationKey' : 'platform.index', 'document' : 'XWiki.Tableview'})\n#addAllDocsTab({'tabName' : 'tree', 'idSuffix' : 'treeview', 'translationKey' : 'platform.index.tree', 'document' : 'XWiki.Treeview'})\n#addAllDocsTab({'tabName' : 'orphans', 'idSuffix' : 'orphansview', 'translationKey' : 'platform.index.orphaned', 'document' : 'XWiki.OrphanedPages'})\n#addAllDocsTab({'tabName' : 'attachments', 'idSuffix' : 'attachments', 'translationKey' : 'platform.index.attachments', 'document' : 'XWiki.AllAttachments'})\n#addAllDocsTab({'tabName' : 'deletedDocs', 'idSuffix' : 'deletedDocs', 'translationKey' : 'platform.index.documentsTrash', 'document' : 'XWiki.DeletedDocuments'})\n#addAllDocsTab({'tabName' : 'deletedAttachments', 'idSuffix' : 'deletedAttachments', 'translationKey' : 'platform.index.attachmentsTrash', 'document' : 'XWiki.DeletedAttachments'})\n##=============================================\n## Add External Links tab if the LinkChecker module is present.\n## TODO: In the future replace this hardcoded link with Interface Extensions\n##=============================================\n#if($services.rendering.defaultTransformationNames.contains('linkchecker') &amp;&amp; $services.linkchecker)\n  #set ($dummy = $tabs.add({'tabName' : 'externalLinks', 'idSuffix' : 'externalLinks', 'translationKey' : 'platform.linkchecker.indexTab', 'document' : 'XWiki.ExternalLinks'}))\n#end\n##===========\n## Display the Tabs\n##===========\n{{html}}\n&lt;div class="floatcontainer"&gt;\n  &lt;ul class="xwikitabbar"&gt;\n#foreach ($tab in $tabs)\n  &lt;li id="xwiki$tab['idSuffix']"#if($view == $tab['tabName']) class="active"#end&gt;&lt;a href="$doc.getURL('view', "view=$tab['tabName']&amp;amp;$!param")"&gt;$services.localization.render($tab['translationKey'])&lt;/a&gt;&lt;/li&gt;\n#end\n  &lt;/ul&gt;\n&lt;/div&gt;\n{{/html}}\n\n##==========================\n## Include the Tab data for the selected Tab\n##==========================\n{{html wiki="true"}}\n&lt;div class='xwikitabpanescontainer'&gt;\n#foreach ($tab in $tabs)\n  #if ($tab['tabName'] == $view)\n    {{include reference="$tab['document']"/}}\n    #break\n  #end\n#end\n&lt;/div&gt;\n{{/html}}\n#set($docextras=[])\n{{/velocity}}</content></xwikidoc>\n
9193954563192521528	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>IconThemesCode</web>\n<name>IconThemeSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>IconThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1406820526000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>#if($doc.name == 'IconThemeSheet')IconTheme Sheet#{else}$services.display.title($doc, {'displayerHint': 'default'})#end</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.EditModeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultEditMode>\n<disabled>0</disabled>\n<name>defaultEditMode</name>\n<number>1</number>\n<prettyName>Default Edit Mode</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultEditMode>\n</class>\n<name>IconThemesCode.IconThemeSheet</name>\n<number>0</number>\n<className>XWiki.EditModeClass</className>\n<guid>f4a5a0f7-15f2-45a1-ad9e-2676bbca098a</guid>\n<property>\n<defaultEditMode>wiki</defaultEditMode>\n</property>\n</object>\n<content>{{velocity}}\n#if($doc.fullName != 'IconThemesCode.IconThemeSheet')\n{{info}}\nThis document is an Icon Theme.\n{{/info}}\n\n\n{{{\n$doc.content\n}}}\n#else\nSheet of [[IconThemesCode.IconThemeClass]]\n#end\n{{/velocity}}</content></xwikidoc>\n
-2456991300148189947	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>IconThemesCode</web>\n<name>IconPickerMacro</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>IconThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1417689197000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Icon Picker Macro</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<name>IconThemesCode.IconPickerMacro</name>\n<number>0</number>\n<className>XWiki.WikiMacroClass</className>\n<guid>a5daaf5a-bdf5-4a63-b0de-db25061f5874</guid>\n<property>\n<code>{{velocity output="false"}}\n  $xwiki.ssx.use('IconThemesCode.IconPicker')\n  ## The icons themes may need some SSX, so we ask for a rendering of an icon of each icon theme, to be able to display\n  ## all icon themes in the picker\n  ## ToDo: since it is a bit hacky, a better system would be to dynamically load the needed SSX on demand\n  #foreach($iconSetName in $services.icon.iconSetNames)\n    $services.icon.render('wiki', $iconSetName)\n  #end\n{{/velocity}}\n{{velocity}}\n{{html clean="false"}}\n&lt;script language="javascript"&gt;\n  require.config({\n    paths: {\n      'xwiki-icon-picker': '$xwiki.getURL($services.model.createDocumentReference('', 'IconThemesCode', 'IconPicker'), 'jsx', "minify=$!{escapetool.url($request.minify)}")'\n    }\n  });\n  require(['jquery', 'xwiki-icon-picker'], function($) {\n    var options = {};\n    #if("$!xcontext.macro.params.prefix" != '')\n      options['prefix'] = '$escapetool.javascript($xcontext.macro.params.prefix)';\n    #end\n    #if("$!xcontext.macro.params.id" != '')\n      $('#${xcontext.macro.params.id}').xwikiIconPicker(options);\n    #end\n    #if("$!xcontext.macro.params.get('class')" != '')\n      $('.${xcontext.macro.params.get('class')}').xwikiIconPicker(options);\n    #end\n  });\n&lt;/script&gt;\n{{/html}}\n{{/velocity}}\n\n</code></property><property><contentDescription></contentDescription></property><property><contentType>No content</contentType>\n</property>\n<property>\n<defaultCategory>Development</defaultCategory>\n</property>\n<property>\n<description>Select an icon within the XWiki icon set.</description>\n</property>\n<property>\n<id>iconPicker</id>\n</property>\n<property>\n<name>Icon Picker</name>\n</property>\n<property>\n<supportsInlineMode>1</supportsInlineMode>\n</property>\n<property>\n<visibility>Current Wiki</visibility>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>IconThemesCode.IconPickerMacro</name>\n<number>0</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>bff4d631-8c3a-47fd-b54a-a542874bb81e</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>DOM id of the input field where the picker will apply</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>id</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>IconThemesCode.IconPickerMacro</name>\n<number>1</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>f9169e0d-a47c-4598-b0d7-4211940d1886</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>CSS class of inputs where the picker will apply</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>class</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>IconThemesCode.IconPickerMacro</name>\n<number>2</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>3a99d1ba-b108-45c6-a828-e76902f25783</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Prefix to add before the name of the icon in the input field (default: "image:icon:")</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>prefix</name>\n</property>\n</object>\n<content>= Usage =\n{{code}}\n{{iconPicker id="" class="" prefix="" /}}\n{{/code}}\n\n**Where:**\n|=id (optional)|DOM id of the input field where the picker will apply\n|=class (optional)|CSS class of inputs where the picker will apply\n|=prefix (optional)|Prefix to add before the name of the icon in the input field (default: "{{{image:icon:}}}")\n== Live example ==\n{{code}}\n{{html}}\n  &lt;p&gt;Field 1: &lt;input type="text" id="myPicker" /&gt;&lt;/p&gt;\n  &lt;p&gt;Field 2: &lt;input type="text" class="fieldWithPicker" /&gt;&lt;/p&gt;\n{{/html}}\n\n{{iconPicker id="myPicker" class="fieldWithPicker" prefix="icon:" /}}\n{{/code}}\n== Play with it ==\n{{html}}\n  &lt;p&gt;Field 1: &lt;input type="text" id="myPicker" /&gt;&lt;/p&gt;\n  &lt;p&gt;Field 2: &lt;input type="text" class="fieldWithPicker" /&gt;&lt;/p&gt;\n{{/html}}\n\n{{iconPicker id="myPicker" class="fieldWithPicker" prefix="icon:" /}}</content></xwikidoc>\n
-7843960945029819360	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>IconThemesCode</web>\n<name>Translations</name>\n<language></language>\n<defaultLanguage>en</defaultLanguage>\n<translation>0</translation>\n<parent>IconThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1417707900000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>plain/1.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.TranslationDocumentClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>1</number>\n<prettyName>Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>GLOBAL|WIKI|USER|ON_DEMAND</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>IconThemesCode.Translations</name>\n<number>0</number>\n<className>XWiki.TranslationDocumentClass</className>\n<guid>9daf1330-1b67-4c29-b417-ad80cadbb338</guid>\n<property>\n<scope>WIKI</scope>\n</property>\n</object>\n<content>platform.icon.picker.preview=Preview with:\nplatform.icon.picker.loading=Loading\n\nrendering.macro.iconPicker.name=Icon Picker\nrendering.macro.iconPicker.description=Select an icon within the XWiki icon set.\nrendering.macro.iconPicker.parameter.id.name=Id\nrendering.macro.iconPicker.parameter.id.description=DOM id of the input field where the picker will apply\nrendering.macro.iconPicker.parameter.class.name=Class\nrendering.macro.iconPicker.parameter.class.description=CSS class of inputs where the picker will apply\nrendering.macro.iconPicker.parameter.prefix.name=Prefix\nrendering.macro.iconPicker.parameter.prefix.description=Prefix to add before the name of the icon in the input field (default: "image:icon:")</content></xwikidoc>\n
-957609889690348152	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>IconThemesCode</web>\n<name>IconThemeClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>IconThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1406818861000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>IconThemesCode.IconThemeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<object>\n<name>IconThemesCode.IconThemeClass</name>\n<number>0</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>4dd8d2c2-6d94-4566-aabf-6fb24a3ebfc6</guid>\n<property>\n<sheet>IconThemeSheet</sheet>\n</property>\n</object>\n<object>\n<name>IconThemesCode.IconThemeClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>b38a5e82-54fa-46d1-9b12-7c9dcd31fe82</guid>\n<property>\n<sheet>XWiki.ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
2412844245718553178	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>IconThemesCode</web>\n<name>Translations</name>\n<language>lv</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>IconThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1417707900000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-icon-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>plain/1.0</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nplatform.icon.picker.loading=Ielādē\nplatform.icon.picker.preview=Priekšskatīt ar\\:\nrendering.macro.iconPicker.description=Izvēlieties ikonu no XWiki ikonu krājuma.\nrendering.macro.iconPicker.name=Ikonu izvēle\nrendering.macro.iconPicker.parameter.class.description=Ievadlauka CSS klase, kurai tiks piemērota izvēlne\nrendering.macro.iconPicker.parameter.class.name=Klase\nrendering.macro.iconPicker.parameter.id.description=Ievadlauku DOM identifikators, kuram tiks piemērota izvēlne\nrendering.macro.iconPicker.parameter.id.name=Id\nrendering.macro.iconPicker.parameter.prefix.description=Ievadlauka ikonas nosaukuma priedēklis (noklusētais\\: "image\\:icon\\:")\nrendering.macro.iconPicker.parameter.prefix.name=Priedēklis\n</content></xwikidoc>
4558503330241644016	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-icon-fontawesome-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>IconThemes</web>\n<name>FontAwesome</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>IconThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1406820307000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-icon-fontawesome-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>IconThemesCode.IconThemeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>IconThemes.FontAwesome</name>\n<number>0</number>\n<className>IconThemesCode.IconThemeClass</className>\n<guid>d3c39c16-68d9-4937-9acb-96e55491ee50</guid>\n<property>\n<name>Font Awesome</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>IconThemes.FontAwesome</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>f8945ea9-36bd-46a9-ab6e-414ffa902988</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>// Sometimes IE8 loads the font *after* the rendering of the page so it does not display the icon correctly.\n// To fix this, we reload the stylesheet when we receive the 'document ready' event so that the browser recomputes\n// the display. Although, it does not solve everything (see http://jira.xwiki.org/browse/XWIKI-10813).\nrequire(['jquery'], function($) {\n  // This hack concerns IE8 only\n  if (navigator.userAgent.indexOf('MSIE 8.0') &gt; -1) {\n    $(function() {\n      var link = $("link[href*='IconThemes/FontAwesome']");\n      link[0].href = link[0].href;\n    });\n  }\n});\n</code></property><property><name>IE8 fix</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>IconThemes.FontAwesome</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>8b5cb416-e129-4063-9c8f-67c6a31d2e1d</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>/*!\n *  Font Awesome 4.2.0 by @davegandy - http://fontawesome.io - @fontawesome\n *  License - http://fontawesome.io/license (Font: SIL OFL 1.1, CSS: MIT License)\n */\n/* FONT PATH\n * -------------------------- */\n@font-face {\n  font-family: 'FontAwesome';\n  src: url("$services.webjars.url('font-awesome', 'fonts/fontawesome-webfont.eot')");\n  src: url("$services.webjars.url('font-awesome', 'fonts/fontawesome-webfont.eot')#iefix") format('embedded-opentype'), url("$services.webjars.url('font-awesome', 'fonts/fontawesome-webfont.woff')") format('woff'), url("$services.webjars.url('font-awesome', 'fonts/fontawesome-webfont.ttf')") format('truetype'), url("$services.webjars.url('font-awesome', 'fonts/fontawesome-webfont.svg')#fontawesomeregular") format('svg');\n  font-weight: normal;\n  font-style: normal;\n}\n.fa {\n  display: inline-block;\n  font: normal normal normal 14px/1 FontAwesome;\n  font-size: inherit;\n  text-rendering: auto;\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale;\n}\n/* makes the font 33% larger relative to the icon container */\n.fa-lg {\n  font-size: 1.33333333em;\n  line-height: 0.75em;\n  vertical-align: -15%;\n}\n.fa-2x {\n  font-size: 2em;\n}\n.fa-3x {\n  font-size: 3em;\n}\n.fa-4x {\n  font-size: 4em;\n}\n.fa-5x {\n  font-size: 5em;\n}\n.fa-fw {\n  width: 1.28571429em;\n  text-align: center;\n}\n.fa-ul {\n  padding-left: 0;\n  margin-left: 2.14285714em;\n  list-style-type: none;\n}\n.fa-ul &gt; li {\n  position: relative;\n}\n.fa-li {\n  position: absolute;\n  left: -2.14285714em;\n  width: 2.14285714em;\n  top: 0.14285714em;\n  text-align: center;\n}\n.fa-li.fa-lg {\n  left: -1.85714286em;\n}\n.fa-border {\n  padding: .2em .25em .15em;\n  border: solid 0.08em #eeeeee;\n  border-radius: .1em;\n}\n.pull-right {\n  float: right;\n}\n.pull-left {\n  float: left;\n}\n.fa.pull-left {\n  margin-right: .3em;\n}\n.fa.pull-right {\n  margin-left: .3em;\n}\n.fa-spin {\n  -webkit-animation: fa-spin 2s infinite linear;\n  animation: fa-spin 2s infinite linear;\n}\n@-webkit-keyframes fa-spin {\n  0% {\n    -webkit-transform: rotate(0deg);\n    transform: rotate(0deg);\n  }\n  100% {\n    -webkit-transform: rotate(359deg);\n    transform: rotate(359deg);\n  }\n}\n@keyframes fa-spin {\n  0% {\n    -webkit-transform: rotate(0deg);\n    transform: rotate(0deg);\n  }\n  100% {\n    -webkit-transform: rotate(359deg);\n    transform: rotate(359deg);\n  }\n}\n.fa-rotate-90 {\n  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=1);\n  -webkit-transform: rotate(90deg);\n  -ms-transform: rotate(90deg);\n  transform: rotate(90deg);\n}\n.fa-rotate-180 {\n  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=2);\n  -webkit-transform: rotate(180deg);\n  -ms-transform: rotate(180deg);\n  transform: rotate(180deg);\n}\n.fa-rotate-270 {\n  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);\n  -webkit-transform: rotate(270deg);\n  -ms-transform: rotate(270deg);\n  transform: rotate(270deg);\n}\n.fa-flip-horizontal {\n  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=0, mirror=1);\n  -webkit-transform: scale(-1, 1);\n  -ms-transform: scale(-1, 1);\n  transform: scale(-1, 1);\n}\n.fa-flip-vertical {\n  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=2, mirror=1);\n  -webkit-transform: scale(1, -1);\n  -ms-transform: scale(1, -1);\n  transform: scale(1, -1);\n}\n:root .fa-rotate-90,\n:root .fa-rotate-180,\n:root .fa-rotate-270,\n:root .fa-flip-horizontal,\n:root .fa-flip-vertical {\n  filter: none;\n}\n.fa-stack {\n  position: relative;\n  display: inline-block;\n  width: 2em;\n  height: 2em;\n  line-height: 2em;\n  vertical-align: middle;\n}\n.fa-stack-1x,\n.fa-stack-2x {\n  position: absolute;\n  left: 0;\n  width: 100%;\n  text-align: center;\n}\n.fa-stack-1x {\n  line-height: inherit;\n}\n.fa-stack-2x {\n  font-size: 2em;\n}\n.fa-inverse {\n  color: #ffffff;\n}\n/* Font Awesome uses the Unicode Private Use Area (PUA) to ensure screen\n   readers do not read off random characters that represent icons */\n.fa-glass:before {\n  content: "\\f000";\n}\n.fa-music:before {\n  content: "\\f001";\n}\n.fa-search:before {\n  content: "\\f002";\n}\n.fa-envelope-o:before {\n  content: "\\f003";\n}\n.fa-heart:before {\n  content: "\\f004";\n}\n.fa-star:before {\n  content: "\\f005";\n}\n.fa-star-o:before {\n  content: "\\f006";\n}\n.fa-user:before {\n  content: "\\f007";\n}\n.fa-film:before {\n  content: "\\f008";\n}\n.fa-th-large:before {\n  content: "\\f009";\n}\n.fa-th:before {\n  content: "\\f00a";\n}\n.fa-th-list:before {\n  content: "\\f00b";\n}\n.fa-check:before {\n  content: "\\f00c";\n}\n.fa-remove:before,\n.fa-close:before,\n.fa-times:before {\n  content: "\\f00d";\n}\n.fa-search-plus:before {\n  content: "\\f00e";\n}\n.fa-search-minus:before {\n  content: "\\f010";\n}\n.fa-power-off:before {\n  content: "\\f011";\n}\n.fa-signal:before {\n  content: "\\f012";\n}\n.fa-gear:before,\n.fa-cog:before {\n  content: "\\f013";\n}\n.fa-trash-o:before {\n  content: "\\f014";\n}\n.fa-home:before {\n  content: "\\f015";\n}\n.fa-file-o:before {\n  content: "\\f016";\n}\n.fa-clock-o:before {\n  content: "\\f017";\n}\n.fa-road:before {\n  content: "\\f018";\n}\n.fa-download:before {\n  content: "\\f019";\n}\n.fa-arrow-circle-o-down:before {\n  content: "\\f01a";\n}\n.fa-arrow-circle-o-up:before {\n  content: "\\f01b";\n}\n.fa-inbox:before {\n  content: "\\f01c";\n}\n.fa-play-circle-o:before {\n  content: "\\f01d";\n}\n.fa-rotate-right:before,\n.fa-repeat:before {\n  content: "\\f01e";\n}\n.fa-refresh:before {\n  content: "\\f021";\n}\n.fa-list-alt:before {\n  content: "\\f022";\n}\n.fa-lock:before {\n  content: "\\f023";\n}\n.fa-flag:before {\n  content: "\\f024";\n}\n.fa-headphones:before {\n  content: "\\f025";\n}\n.fa-volume-off:before {\n  content: "\\f026";\n}\n.fa-volume-down:before {\n  content: "\\f027";\n}\n.fa-volume-up:before {\n  content: "\\f028";\n}\n.fa-qrcode:before {\n  content: "\\f029";\n}\n.fa-barcode:before {\n  content: "\\f02a";\n}\n.fa-tag:before {\n  content: "\\f02b";\n}\n.fa-tags:before {\n  content: "\\f02c";\n}\n.fa-book:before {\n  content: "\\f02d";\n}\n.fa-bookmark:before {\n  content: "\\f02e";\n}\n.fa-print:before {\n  content: "\\f02f";\n}\n.fa-camera:before {\n  content: "\\f030";\n}\n.fa-font:before {\n  content: "\\f031";\n}\n.fa-bold:before {\n  content: "\\f032";\n}\n.fa-italic:before {\n  content: "\\f033";\n}\n.fa-text-height:before {\n  content: "\\f034";\n}\n.fa-text-width:before {\n  content: "\\f035";\n}\n.fa-align-left:before {\n  content: "\\f036";\n}\n.fa-align-center:before {\n  content: "\\f037";\n}\n.fa-align-right:before {\n  content: "\\f038";\n}\n.fa-align-justify:before {\n  content: "\\f039";\n}\n.fa-list:before {\n  content: "\\f03a";\n}\n.fa-dedent:before,\n.fa-outdent:before {\n  content: "\\f03b";\n}\n.fa-indent:before {\n  content: "\\f03c";\n}\n.fa-video-camera:before {\n  content: "\\f03d";\n}\n.fa-photo:before,\n.fa-image:before,\n.fa-picture-o:before {\n  content: "\\f03e";\n}\n.fa-pencil:before {\n  content: "\\f040";\n}\n.fa-map-marker:before {\n  content: "\\f041";\n}\n.fa-adjust:before {\n  content: "\\f042";\n}\n.fa-tint:before {\n  content: "\\f043";\n}\n.fa-edit:before,\n.fa-pencil-square-o:before {\n  content: "\\f044";\n}\n.fa-share-square-o:before {\n  content: "\\f045";\n}\n.fa-check-square-o:before {\n  content: "\\f046";\n}\n.fa-arrows:before {\n  content: "\\f047";\n}\n.fa-step-backward:before {\n  content: "\\f048";\n}\n.fa-fast-backward:before {\n  content: "\\f049";\n}\n.fa-backward:before {\n  content: "\\f04a";\n}\n.fa-play:before {\n  content: "\\f04b";\n}\n.fa-pause:before {\n  content: "\\f04c";\n}\n.fa-stop:before {\n  content: "\\f04d";\n}\n.fa-forward:before {\n  content: "\\f04e";\n}\n.fa-fast-forward:before {\n  content: "\\f050";\n}\n.fa-step-forward:before {\n  content: "\\f051";\n}\n.fa-eject:before {\n  content: "\\f052";\n}\n.fa-chevron-left:before {\n  content: "\\f053";\n}\n.fa-chevron-right:before {\n  content: "\\f054";\n}\n.fa-plus-circle:before {\n  content: "\\f055";\n}\n.fa-minus-circle:before {\n  content: "\\f056";\n}\n.fa-times-circle:before {\n  content: "\\f057";\n}\n.fa-check-circle:before {\n  content: "\\f058";\n}\n.fa-question-circle:before {\n  content: "\\f059";\n}\n.fa-info-circle:before {\n  content: "\\f05a";\n}\n.fa-crosshairs:before {\n  content: "\\f05b";\n}\n.fa-times-circle-o:before {\n  content: "\\f05c";\n}\n.fa-check-circle-o:before {\n  content: "\\f05d";\n}\n.fa-ban:before {\n  content: "\\f05e";\n}\n.fa-arrow-left:before {\n  content: "\\f060";\n}\n.fa-arrow-right:before {\n  content: "\\f061";\n}\n.fa-arrow-up:before {\n  content: "\\f062";\n}\n.fa-arrow-down:before {\n  content: "\\f063";\n}\n.fa-mail-forward:before,\n.fa-share:before {\n  content: "\\f064";\n}\n.fa-expand:before {\n  content: "\\f065";\n}\n.fa-compress:before {\n  content: "\\f066";\n}\n.fa-plus:before {\n  content: "\\f067";\n}\n.fa-minus:before {\n  content: "\\f068";\n}\n.fa-asterisk:before {\n  content: "\\f069";\n}\n.fa-exclamation-circle:before {\n  content: "\\f06a";\n}\n.fa-gift:before {\n  content: "\\f06b";\n}\n.fa-leaf:before {\n  content: "\\f06c";\n}\n.fa-fire:before {\n  content: "\\f06d";\n}\n.fa-eye:before {\n  content: "\\f06e";\n}\n.fa-eye-slash:before {\n  content: "\\f070";\n}\n.fa-warning:before,\n.fa-exclamation-triangle:before {\n  content: "\\f071";\n}\n.fa-plane:before {\n  content: "\\f072";\n}\n.fa-calendar:before {\n  content: "\\f073";\n}\n.fa-random:before {\n  content: "\\f074";\n}\n.fa-comment:before {\n  content: "\\f075";\n}\n.fa-magnet:before {\n  content: "\\f076";\n}\n.fa-chevron-up:before {\n  content: "\\f077";\n}\n.fa-chevron-down:before {\n  content: "\\f078";\n}\n.fa-retweet:before {\n  content: "\\f079";\n}\n.fa-shopping-cart:before {\n  content: "\\f07a";\n}\n.fa-folder:before {\n  content: "\\f07b";\n}\n.fa-folder-open:before {\n  content: "\\f07c";\n}\n.fa-arrows-v:before {\n  content: "\\f07d";\n}\n.fa-arrows-h:before {\n  content: "\\f07e";\n}\n.fa-bar-chart-o:before,\n.fa-bar-chart:before {\n  content: "\\f080";\n}\n.fa-twitter-square:before {\n  content: "\\f081";\n}\n.fa-facebook-square:before {\n  content: "\\f082";\n}\n.fa-camera-retro:before {\n  content: "\\f083";\n}\n.fa-key:before {\n  content: "\\f084";\n}\n.fa-gears:before,\n.fa-cogs:before {\n  content: "\\f085";\n}\n.fa-comments:before {\n  content: "\\f086";\n}\n.fa-thumbs-o-up:before {\n  content: "\\f087";\n}\n.fa-thumbs-o-down:before {\n  content: "\\f088";\n}\n.fa-star-half:before {\n  content: "\\f089";\n}\n.fa-heart-o:before {\n  content: "\\f08a";\n}\n.fa-sign-out:before {\n  content: "\\f08b";\n}\n.fa-linkedin-square:before {\n  content: "\\f08c";\n}\n.fa-thumb-tack:before {\n  content: "\\f08d";\n}\n.fa-external-link:before {\n  content: "\\f08e";\n}\n.fa-sign-in:before {\n  content: "\\f090";\n}\n.fa-trophy:before {\n  content: "\\f091";\n}\n.fa-github-square:before {\n  content: "\\f092";\n}\n.fa-upload:before {\n  content: "\\f093";\n}\n.fa-lemon-o:before {\n  content: "\\f094";\n}\n.fa-phone:before {\n  content: "\\f095";\n}\n.fa-square-o:before {\n  content: "\\f096";\n}\n.fa-bookmark-o:before {\n  content: "\\f097";\n}\n.fa-phone-square:before {\n  content: "\\f098";\n}\n.fa-twitter:before {\n  content: "\\f099";\n}\n.fa-facebook:before {\n  content: "\\f09a";\n}\n.fa-github:before {\n  content: "\\f09b";\n}\n.fa-unlock:before {\n  content: "\\f09c";\n}\n.fa-credit-card:before {\n  content: "\\f09d";\n}\n.fa-rss:before {\n  content: "\\f09e";\n}\n.fa-hdd-o:before {\n  content: "\\f0a0";\n}\n.fa-bullhorn:before {\n  content: "\\f0a1";\n}\n.fa-bell:before {\n  content: "\\f0f3";\n}\n.fa-certificate:before {\n  content: "\\f0a3";\n}\n.fa-hand-o-right:before {\n  content: "\\f0a4";\n}\n.fa-hand-o-left:before {\n  content: "\\f0a5";\n}\n.fa-hand-o-up:before {\n  content: "\\f0a6";\n}\n.fa-hand-o-down:before {\n  content: "\\f0a7";\n}\n.fa-arrow-circle-left:before {\n  content: "\\f0a8";\n}\n.fa-arrow-circle-right:before {\n  content: "\\f0a9";\n}\n.fa-arrow-circle-up:before {\n  content: "\\f0aa";\n}\n.fa-arrow-circle-down:before {\n  content: "\\f0ab";\n}\n.fa-globe:before {\n  content: "\\f0ac";\n}\n.fa-wrench:before {\n  content: "\\f0ad";\n}\n.fa-tasks:before {\n  content: "\\f0ae";\n}\n.fa-filter:before {\n  content: "\\f0b0";\n}\n.fa-briefcase:before {\n  content: "\\f0b1";\n}\n.fa-arrows-alt:before {\n  content: "\\f0b2";\n}\n.fa-group:before,\n.fa-users:before {\n  content: "\\f0c0";\n}\n.fa-chain:before,\n.fa-link:before {\n  content: "\\f0c1";\n}\n.fa-cloud:before {\n  content: "\\f0c2";\n}\n.fa-flask:before {\n  content: "\\f0c3";\n}\n.fa-cut:before,\n.fa-scissors:before {\n  content: "\\f0c4";\n}\n.fa-copy:before,\n.fa-files-o:before {\n  content: "\\f0c5";\n}\n.fa-paperclip:before {\n  content: "\\f0c6";\n}\n.fa-save:before,\n.fa-floppy-o:before {\n  content: "\\f0c7";\n}\n.fa-square:before {\n  content: "\\f0c8";\n}\n.fa-navicon:before,\n.fa-reorder:before,\n.fa-bars:before {\n  content: "\\f0c9";\n}\n.fa-list-ul:before {\n  content: "\\f0ca";\n}\n.fa-list-ol:before {\n  content: "\\f0cb";\n}\n.fa-strikethrough:before {\n  content: "\\f0cc";\n}\n.fa-underline:before {\n  content: "\\f0cd";\n}\n.fa-table:before {\n  content: "\\f0ce";\n}\n.fa-magic:before {\n  content: "\\f0d0";\n}\n.fa-truck:before {\n  content: "\\f0d1";\n}\n.fa-pinterest:before {\n  content: "\\f0d2";\n}\n.fa-pinterest-square:before {\n  content: "\\f0d3";\n}\n.fa-google-plus-square:before {\n  content: "\\f0d4";\n}\n.fa-google-plus:before {\n  content: "\\f0d5";\n}\n.fa-money:before {\n  content: "\\f0d6";\n}\n.fa-caret-down:before {\n  content: "\\f0d7";\n}\n.fa-caret-up:before {\n  content: "\\f0d8";\n}\n.fa-caret-left:before {\n  content: "\\f0d9";\n}\n.fa-caret-right:before {\n  content: "\\f0da";\n}\n.fa-columns:before {\n  content: "\\f0db";\n}\n.fa-unsorted:before,\n.fa-sort:before {\n  content: "\\f0dc";\n}\n.fa-sort-down:before,\n.fa-sort-desc:before {\n  content: "\\f0dd";\n}\n.fa-sort-up:before,\n.fa-sort-asc:before {\n  content: "\\f0de";\n}\n.fa-envelope:before {\n  content: "\\f0e0";\n}\n.fa-linkedin:before {\n  content: "\\f0e1";\n}\n.fa-rotate-left:before,\n.fa-undo:before {\n  content: "\\f0e2";\n}\n.fa-legal:before,\n.fa-gavel:before {\n  content: "\\f0e3";\n}\n.fa-dashboard:before,\n.fa-tachometer:before {\n  content: "\\f0e4";\n}\n.fa-comment-o:before {\n  content: "\\f0e5";\n}\n.fa-comments-o:before {\n  content: "\\f0e6";\n}\n.fa-flash:before,\n.fa-bolt:before {\n  content: "\\f0e7";\n}\n.fa-sitemap:before {\n  content: "\\f0e8";\n}\n.fa-umbrella:before {\n  content: "\\f0e9";\n}\n.fa-paste:before,\n.fa-clipboard:before {\n  content: "\\f0ea";\n}\n.fa-lightbulb-o:before {\n  content: "\\f0eb";\n}\n.fa-exchange:before {\n  content: "\\f0ec";\n}\n.fa-cloud-download:before {\n  content: "\\f0ed";\n}\n.fa-cloud-upload:before {\n  content: "\\f0ee";\n}\n.fa-user-md:before {\n  content: "\\f0f0";\n}\n.fa-stethoscope:before {\n  content: "\\f0f1";\n}\n.fa-suitcase:before {\n  content: "\\f0f2";\n}\n.fa-bell-o:before {\n  content: "\\f0a2";\n}\n.fa-coffee:before {\n  content: "\\f0f4";\n}\n.fa-cutlery:before {\n  content: "\\f0f5";\n}\n.fa-file-text-o:before {\n  content: "\\f0f6";\n}\n.fa-building-o:before {\n  content: "\\f0f7";\n}\n.fa-hospital-o:before {\n  content: "\\f0f8";\n}\n.fa-ambulance:before {\n  content: "\\f0f9";\n}\n.fa-medkit:before {\n  content: "\\f0fa";\n}\n.fa-fighter-jet:before {\n  content: "\\f0fb";\n}\n.fa-beer:before {\n  content: "\\f0fc";\n}\n.fa-h-square:before {\n  content: "\\f0fd";\n}\n.fa-plus-square:before {\n  content: "\\f0fe";\n}\n.fa-angle-double-left:before {\n  content: "\\f100";\n}\n.fa-angle-double-right:before {\n  content: "\\f101";\n}\n.fa-angle-double-up:before {\n  content: "\\f102";\n}\n.fa-angle-double-down:before {\n  content: "\\f103";\n}\n.fa-angle-left:before {\n  content: "\\f104";\n}\n.fa-angle-right:before {\n  content: "\\f105";\n}\n.fa-angle-up:before {\n  content: "\\f106";\n}\n.fa-angle-down:before {\n  content: "\\f107";\n}\n.fa-desktop:before {\n  content: "\\f108";\n}\n.fa-laptop:before {\n  content: "\\f109";\n}\n.fa-tablet:before {\n  content: "\\f10a";\n}\n.fa-mobile-phone:before,\n.fa-mobile:before {\n  content: "\\f10b";\n}\n.fa-circle-o:before {\n  content: "\\f10c";\n}\n.fa-quote-left:before {\n  content: "\\f10d";\n}\n.fa-quote-right:before {\n  content: "\\f10e";\n}\n.fa-spinner:before {\n  content: "\\f110";\n}\n.fa-circle:before {\n  content: "\\f111";\n}\n.fa-mail-reply:before,\n.fa-reply:before {\n  content: "\\f112";\n}\n.fa-github-alt:before {\n  content: "\\f113";\n}\n.fa-folder-o:before {\n  content: "\\f114";\n}\n.fa-folder-open-o:before {\n  content: "\\f115";\n}\n.fa-smile-o:before {\n  content: "\\f118";\n}\n.fa-frown-o:before {\n  content: "\\f119";\n}\n.fa-meh-o:before {\n  content: "\\f11a";\n}\n.fa-gamepad:before {\n  content: "\\f11b";\n}\n.fa-keyboard-o:before {\n  content: "\\f11c";\n}\n.fa-flag-o:before {\n  content: "\\f11d";\n}\n.fa-flag-checkered:before {\n  content: "\\f11e";\n}\n.fa-terminal:before {\n  content: "\\f120";\n}\n.fa-code:before {\n  content: "\\f121";\n}\n.fa-mail-reply-all:before,\n.fa-reply-all:before {\n  content: "\\f122";\n}\n.fa-star-half-empty:before,\n.fa-star-half-full:before,\n.fa-star-half-o:before {\n  content: "\\f123";\n}\n.fa-location-arrow:before {\n  content: "\\f124";\n}\n.fa-crop:before {\n  content: "\\f125";\n}\n.fa-code-fork:before {\n  content: "\\f126";\n}\n.fa-unlink:before,\n.fa-chain-broken:before {\n  content: "\\f127";\n}\n.fa-question:before {\n  content: "\\f128";\n}\n.fa-info:before {\n  content: "\\f129";\n}\n.fa-exclamation:before {\n  content: "\\f12a";\n}\n.fa-superscript:before {\n  content: "\\f12b";\n}\n.fa-subscript:before {\n  content: "\\f12c";\n}\n.fa-eraser:before {\n  content: "\\f12d";\n}\n.fa-puzzle-piece:before {\n  content: "\\f12e";\n}\n.fa-microphone:before {\n  content: "\\f130";\n}\n.fa-microphone-slash:before {\n  content: "\\f131";\n}\n.fa-shield:before {\n  content: "\\f132";\n}\n.fa-calendar-o:before {\n  content: "\\f133";\n}\n.fa-fire-extinguisher:before {\n  content: "\\f134";\n}\n.fa-rocket:before {\n  content: "\\f135";\n}\n.fa-maxcdn:before {\n  content: "\\f136";\n}\n.fa-chevron-circle-left:before {\n  content: "\\f137";\n}\n.fa-chevron-circle-right:before {\n  content: "\\f138";\n}\n.fa-chevron-circle-up:before {\n  content: "\\f139";\n}\n.fa-chevron-circle-down:before {\n  content: "\\f13a";\n}\n.fa-html5:before {\n  content: "\\f13b";\n}\n.fa-css3:before {\n  content: "\\f13c";\n}\n.fa-anchor:before {\n  content: "\\f13d";\n}\n.fa-unlock-alt:before {\n  content: "\\f13e";\n}\n.fa-bullseye:before {\n  content: "\\f140";\n}\n.fa-ellipsis-h:before {\n  content: "\\f141";\n}\n.fa-ellipsis-v:before {\n  content: "\\f142";\n}\n.fa-rss-square:before {\n  content: "\\f143";\n}\n.fa-play-circle:before {\n  content: "\\f144";\n}\n.fa-ticket:before {\n  content: "\\f145";\n}\n.fa-minus-square:before {\n  content: "\\f146";\n}\n.fa-minus-square-o:before {\n  content: "\\f147";\n}\n.fa-level-up:before {\n  content: "\\f148";\n}\n.fa-level-down:before {\n  content: "\\f149";\n}\n.fa-check-square:before {\n  content: "\\f14a";\n}\n.fa-pencil-square:before {\n  content: "\\f14b";\n}\n.fa-external-link-square:before {\n  content: "\\f14c";\n}\n.fa-share-square:before {\n  content: "\\f14d";\n}\n.fa-compass:before {\n  content: "\\f14e";\n}\n.fa-toggle-down:before,\n.fa-caret-square-o-down:before {\n  content: "\\f150";\n}\n.fa-toggle-up:before,\n.fa-caret-square-o-up:before {\n  content: "\\f151";\n}\n.fa-toggle-right:before,\n.fa-caret-square-o-right:before {\n  content: "\\f152";\n}\n.fa-euro:before,\n.fa-eur:before {\n  content: "\\f153";\n}\n.fa-gbp:before {\n  content: "\\f154";\n}\n.fa-dollar:before,\n.fa-usd:before {\n  content: "\\f155";\n}\n.fa-rupee:before,\n.fa-inr:before {\n  content: "\\f156";\n}\n.fa-cny:before,\n.fa-rmb:before,\n.fa-yen:before,\n.fa-jpy:before {\n  content: "\\f157";\n}\n.fa-ruble:before,\n.fa-rouble:before,\n.fa-rub:before {\n  content: "\\f158";\n}\n.fa-won:before,\n.fa-krw:before {\n  content: "\\f159";\n}\n.fa-bitcoin:before,\n.fa-btc:before {\n  content: "\\f15a";\n}\n.fa-file:before {\n  content: "\\f15b";\n}\n.fa-file-text:before {\n  content: "\\f15c";\n}\n.fa-sort-alpha-asc:before {\n  content: "\\f15d";\n}\n.fa-sort-alpha-desc:before {\n  content: "\\f15e";\n}\n.fa-sort-amount-asc:before {\n  content: "\\f160";\n}\n.fa-sort-amount-desc:before {\n  content: "\\f161";\n}\n.fa-sort-numeric-asc:before {\n  content: "\\f162";\n}\n.fa-sort-numeric-desc:before {\n  content: "\\f163";\n}\n.fa-thumbs-up:before {\n  content: "\\f164";\n}\n.fa-thumbs-down:before {\n  content: "\\f165";\n}\n.fa-youtube-square:before {\n  content: "\\f166";\n}\n.fa-youtube:before {\n  content: "\\f167";\n}\n.fa-xing:before {\n  content: "\\f168";\n}\n.fa-xing-square:before {\n  content: "\\f169";\n}\n.fa-youtube-play:before {\n  content: "\\f16a";\n}\n.fa-dropbox:before {\n  content: "\\f16b";\n}\n.fa-stack-overflow:before {\n  content: "\\f16c";\n}\n.fa-instagram:before {\n  content: "\\f16d";\n}\n.fa-flickr:before {\n  content: "\\f16e";\n}\n.fa-adn:before {\n  content: "\\f170";\n}\n.fa-bitbucket:before {\n  content: "\\f171";\n}\n.fa-bitbucket-square:before {\n  content: "\\f172";\n}\n.fa-tumblr:before {\n  content: "\\f173";\n}\n.fa-tumblr-square:before {\n  content: "\\f174";\n}\n.fa-long-arrow-down:before {\n  content: "\\f175";\n}\n.fa-long-arrow-up:before {\n  content: "\\f176";\n}\n.fa-long-arrow-left:before {\n  content: "\\f177";\n}\n.fa-long-arrow-right:before {\n  content: "\\f178";\n}\n.fa-apple:before {\n  content: "\\f179";\n}\n.fa-windows:before {\n  content: "\\f17a";\n}\n.fa-android:before {\n  content: "\\f17b";\n}\n.fa-linux:before {\n  content: "\\f17c";\n}\n.fa-dribbble:before {\n  content: "\\f17d";\n}\n.fa-skype:before {\n  content: "\\f17e";\n}\n.fa-foursquare:before {\n  content: "\\f180";\n}\n.fa-trello:before {\n  content: "\\f181";\n}\n.fa-female:before {\n  content: "\\f182";\n}\n.fa-male:before {\n  content: "\\f183";\n}\n.fa-gittip:before {\n  content: "\\f184";\n}\n.fa-sun-o:before {\n  content: "\\f185";\n}\n.fa-moon-o:before {\n  content: "\\f186";\n}\n.fa-archive:before {\n  content: "\\f187";\n}\n.fa-bug:before {\n  content: "\\f188";\n}\n.fa-vk:before {\n  content: "\\f189";\n}\n.fa-weibo:before {\n  content: "\\f18a";\n}\n.fa-renren:before {\n  content: "\\f18b";\n}\n.fa-pagelines:before {\n  content: "\\f18c";\n}\n.fa-stack-exchange:before {\n  content: "\\f18d";\n}\n.fa-arrow-circle-o-right:before {\n  content: "\\f18e";\n}\n.fa-arrow-circle-o-left:before {\n  content: "\\f190";\n}\n.fa-toggle-left:before,\n.fa-caret-square-o-left:before {\n  content: "\\f191";\n}\n.fa-dot-circle-o:before {\n  content: "\\f192";\n}\n.fa-wheelchair:before {\n  content: "\\f193";\n}\n.fa-vimeo-square:before {\n  content: "\\f194";\n}\n.fa-turkish-lira:before,\n.fa-try:before {\n  content: "\\f195";\n}\n.fa-plus-square-o:before {\n  content: "\\f196";\n}\n.fa-space-shuttle:before {\n  content: "\\f197";\n}\n.fa-slack:before {\n  content: "\\f198";\n}\n.fa-envelope-square:before {\n  content: "\\f199";\n}\n.fa-wordpress:before {\n  content: "\\f19a";\n}\n.fa-openid:before {\n  content: "\\f19b";\n}\n.fa-institution:before,\n.fa-bank:before,\n.fa-university:before {\n  content: "\\f19c";\n}\n.fa-mortar-board:before,\n.fa-graduation-cap:before {\n  content: "\\f19d";\n}\n.fa-yahoo:before {\n  content: "\\f19e";\n}\n.fa-google:before {\n  content: "\\f1a0";\n}\n.fa-reddit:before {\n  content: "\\f1a1";\n}\n.fa-reddit-square:before {\n  content: "\\f1a2";\n}\n.fa-stumbleupon-circle:before {\n  content: "\\f1a3";\n}\n.fa-stumbleupon:before {\n  content: "\\f1a4";\n}\n.fa-delicious:before {\n  content: "\\f1a5";\n}\n.fa-digg:before {\n  content: "\\f1a6";\n}\n.fa-pied-piper:before {\n  content: "\\f1a7";\n}\n.fa-pied-piper-alt:before {\n  content: "\\f1a8";\n}\n.fa-drupal:before {\n  content: "\\f1a9";\n}\n.fa-joomla:before {\n  content: "\\f1aa";\n}\n.fa-language:before {\n  content: "\\f1ab";\n}\n.fa-fax:before {\n  content: "\\f1ac";\n}\n.fa-building:before {\n  content: "\\f1ad";\n}\n.fa-child:before {\n  content: "\\f1ae";\n}\n.fa-paw:before {\n  content: "\\f1b0";\n}\n.fa-spoon:before {\n  content: "\\f1b1";\n}\n.fa-cube:before {\n  content: "\\f1b2";\n}\n.fa-cubes:before {\n  content: "\\f1b3";\n}\n.fa-behance:before {\n  content: "\\f1b4";\n}\n.fa-behance-square:before {\n  content: "\\f1b5";\n}\n.fa-steam:before {\n  content: "\\f1b6";\n}\n.fa-steam-square:before {\n  content: "\\f1b7";\n}\n.fa-recycle:before {\n  content: "\\f1b8";\n}\n.fa-automobile:before,\n.fa-car:before {\n  content: "\\f1b9";\n}\n.fa-cab:before,\n.fa-taxi:before {\n  content: "\\f1ba";\n}\n.fa-tree:before {\n  content: "\\f1bb";\n}\n.fa-spotify:before {\n  content: "\\f1bc";\n}\n.fa-deviantart:before {\n  content: "\\f1bd";\n}\n.fa-soundcloud:before {\n  content: "\\f1be";\n}\n.fa-database:before {\n  content: "\\f1c0";\n}\n.fa-file-pdf-o:before {\n  content: "\\f1c1";\n}\n.fa-file-word-o:before {\n  content: "\\f1c2";\n}\n.fa-file-excel-o:before {\n  content: "\\f1c3";\n}\n.fa-file-powerpoint-o:before {\n  content: "\\f1c4";\n}\n.fa-file-photo-o:before,\n.fa-file-picture-o:before,\n.fa-file-image-o:before {\n  content: "\\f1c5";\n}\n.fa-file-zip-o:before,\n.fa-file-archive-o:before {\n  content: "\\f1c6";\n}\n.fa-file-sound-o:before,\n.fa-file-audio-o:before {\n  content: "\\f1c7";\n}\n.fa-file-movie-o:before,\n.fa-file-video-o:before {\n  content: "\\f1c8";\n}\n.fa-file-code-o:before {\n  content: "\\f1c9";\n}\n.fa-vine:before {\n  content: "\\f1ca";\n}\n.fa-codepen:before {\n  content: "\\f1cb";\n}\n.fa-jsfiddle:before {\n  content: "\\f1cc";\n}\n.fa-life-bouy:before,\n.fa-life-buoy:before,\n.fa-life-saver:before,\n.fa-support:before,\n.fa-life-ring:before {\n  content: "\\f1cd";\n}\n.fa-circle-o-notch:before {\n  content: "\\f1ce";\n}\n.fa-ra:before,\n.fa-rebel:before {\n  content: "\\f1d0";\n}\n.fa-ge:before,\n.fa-empire:before {\n  content: "\\f1d1";\n}\n.fa-git-square:before {\n  content: "\\f1d2";\n}\n.fa-git:before {\n  content: "\\f1d3";\n}\n.fa-hacker-news:before {\n  content: "\\f1d4";\n}\n.fa-tencent-weibo:before {\n  content: "\\f1d5";\n}\n.fa-qq:before {\n  content: "\\f1d6";\n}\n.fa-wechat:before,\n.fa-weixin:before {\n  content: "\\f1d7";\n}\n.fa-send:before,\n.fa-paper-plane:before {\n  content: "\\f1d8";\n}\n.fa-send-o:before,\n.fa-paper-plane-o:before {\n  content: "\\f1d9";\n}\n.fa-history:before {\n  content: "\\f1da";\n}\n.fa-circle-thin:before {\n  content: "\\f1db";\n}\n.fa-header:before {\n  content: "\\f1dc";\n}\n.fa-paragraph:before {\n  content: "\\f1dd";\n}\n.fa-sliders:before {\n  content: "\\f1de";\n}\n.fa-share-alt:before {\n  content: "\\f1e0";\n}\n.fa-share-alt-square:before {\n  content: "\\f1e1";\n}\n.fa-bomb:before {\n  content: "\\f1e2";\n}\n.fa-soccer-ball-o:before,\n.fa-futbol-o:before {\n  content: "\\f1e3";\n}\n.fa-tty:before {\n  content: "\\f1e4";\n}\n.fa-binoculars:before {\n  content: "\\f1e5";\n}\n.fa-plug:before {\n  content: "\\f1e6";\n}\n.fa-slideshare:before {\n  content: "\\f1e7";\n}\n.fa-twitch:before {\n  content: "\\f1e8";\n}\n.fa-yelp:before {\n  content: "\\f1e9";\n}\n.fa-newspaper-o:before {\n  content: "\\f1ea";\n}\n.fa-wifi:before {\n  content: "\\f1eb";\n}\n.fa-calculator:before {\n  content: "\\f1ec";\n}\n.fa-paypal:before {\n  content: "\\f1ed";\n}\n.fa-google-wallet:before {\n  content: "\\f1ee";\n}\n.fa-cc-visa:before {\n  content: "\\f1f0";\n}\n.fa-cc-mastercard:before {\n  content: "\\f1f1";\n}\n.fa-cc-discover:before {\n  content: "\\f1f2";\n}\n.fa-cc-amex:before {\n  content: "\\f1f3";\n}\n.fa-cc-paypal:before {\n  content: "\\f1f4";\n}\n.fa-cc-stripe:before {\n  content: "\\f1f5";\n}\n.fa-bell-slash:before {\n  content: "\\f1f6";\n}\n.fa-bell-slash-o:before {\n  content: "\\f1f7";\n}\n.fa-trash:before {\n  content: "\\f1f8";\n}\n.fa-copyright:before {\n  content: "\\f1f9";\n}\n.fa-at:before {\n  content: "\\f1fa";\n}\n.fa-eyedropper:before {\n  content: "\\f1fb";\n}\n.fa-paint-brush:before {\n  content: "\\f1fc";\n}\n.fa-birthday-cake:before {\n  content: "\\f1fd";\n}\n.fa-area-chart:before {\n  content: "\\f1fe";\n}\n.fa-pie-chart:before {\n  content: "\\f200";\n}\n.fa-line-chart:before {\n  content: "\\f201";\n}\n.fa-lastfm:before {\n  content: "\\f202";\n}\n.fa-lastfm-square:before {\n  content: "\\f203";\n}\n.fa-toggle-off:before {\n  content: "\\f204";\n}\n.fa-toggle-on:before {\n  content: "\\f205";\n}\n.fa-bicycle:before {\n  content: "\\f206";\n}\n.fa-bus:before {\n  content: "\\f207";\n}\n.fa-ioxhost:before {\n  content: "\\f208";\n}\n.fa-angellist:before {\n  content: "\\f209";\n}\n.fa-cc:before {\n  content: "\\f20a";\n}\n.fa-shekel:before,\n.fa-sheqel:before,\n.fa-ils:before {\n  content: "\\f20b";\n}\n.fa-meanpath:before {\n  content: "\\f20c";\n}\n</code></property><property><name>Font-Awesome CSS</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>## General settings\nxwiki.iconset.type = font\nxwiki.iconset.ssx = IconThemes.FontAwesome\nxwiki.iconset.jsx = IconThemes.FontAwesome\nxwiki.iconset.render.wiki = {{html clean="false"}}&lt;span class="fa fa-$icon"&gt;&lt;/span&gt;{{/html}}\nxwiki.iconset.render.html = &lt;span class="fa fa-$icon"&gt;&lt;/span&gt;\n\n## XWiki Icon Set (see: http://design.xwiki.org/xwiki/bin/view/Proposal/XWiki+Icon+Set).\nhome = home\nwiki = globe\nspace = folder\npage = file-o\ncheck = check\nadd = plus\nanchor = anchor\nterminal = terminal\nlist = list-alt\nbranch = code-fork\ndown = arrow-down\nup = arrow-up\nleft = arrow-left\nright = arrow-right\narrows = arrows-alt\nrepeat = repeat\nundo = undo\nrefresh = refresh\nrotate-left = rotate-left\nrotate-right = rotate-right\nswitch = random\nrandom = random\nattach = paperclip\nshopping-cart = shopping-cart\nbell = bell\ntrash = trash\nbomb = bomb\nbook = book\ncube = cube\ncubes = cubes\nbriefcase = briefcase\nbug = bug\nbuilding = building\ncaret-down = caret-down\ncaret-up = caret-up\ncaret-right = caret-right\ncalculator = calculator\ncalendar = calendar\ncamera = camera\nremove = times-circle\ncross = times\ncar = car\ntruck = truck\nchart-bar = bar-chart-o\nchart-organisation = sitemap\ncloud = cloud\nclock = clock-o\ncog = cog\ncomment = comment\ncomments = comments\ndesktop = desktop\ncontrast = adjust\neject = eject\nstep-forward = step-forward\nstep-backward = step-backward\nfast-forward = fast-forward\nbackward = backward\nplay = play\npause = pause\nstop = stop\ngamepad = gamepad\ncredit-card = credit-card\ncoffee = coffee\ncut = cut\ndatabase = database\ndelete = minus-circle\nfloppy-disk = floppy-o\nglass = glass\ndrive = hdd-o\nenvelope = envelope-o\nwarning = exclamation-triangle\nerror = exclamation-circle\ninfo = info-circle\neye = eye\nfemale = female\nmale = male\nfilm = film\nflag = flag\nsearch = search\nsearch-plus = search-plus\nsearch-minus = search-minus\nfolder = folder\nuser = user\ngroup = group\nheart = heart\nquestion = question-circle\nimage = image\nkey = key\nkeyboard = keyboard-o\nlightbulb = lightbulb-o\nlink = link\nunlink = unlink\nlock = lock\nunlock = unlock\nmoney = money\ndollar = dollar\neuro = euro\ngbp = gbp\nyen = yen\nmusic = music\nfile = file\nfile-white = file-o\nfile-pdf = file-pdf-o\nfile-code = file-code-o\nfile-archive = file-archive-o\nfile-word = file-word-o\nfile-excel = file-excel-o\nfile-powerpoint = file-powerpoint-o\nfile-text = file-text-o\npaste = paste\npencil = pencil\nprint = print\nshield = shield\ncertificate = certificate\nvolume-up = volume-up\nvolume-down = volume-down\nvolume-off = volume-off\nsoccer = futbol-o\nstar = star\ntable = table\nphone = phone\nfont = font\nbold = bold\nitalic = italic\nstrikethrough = strikethrough\nsubscript = subscript\nsuperscript = superscript\nunderline = underline\nalign-center = align-center\nalign-justify = align-justify\nalign-left = align-left\nalign-right = align-right\ncolumns = columns\nindent-left = indent\nindent-right = outdent\nlist-bullets = list-ul\nlist-numbers = list-ol\nsun = sun-o\nworld = globe\nwrench = wrench\n\n## Silk icons for backward compatibility (see: http://design.xwiki.org/xwiki/bin/view/Proposal/Silk+Mapping).\naccept = check\nadd = plus-circle\nanchor = anchor\napplication = square-o\napplication_osx_terminal = terminal\napplication_view_list = list-alt\napplication_view_tile = th-large\napplication_xp_terminal = terminal\narrow_branch = code-fork\narrow_divide = code-fork\narrow_down = arrow-down\narrow_inout = arrows-alt\narrow_left = arrow-left\narrow_out = arrows-alt\narrow_redo = repeat\narrow_refresh = refresh\narrow_refresh_small = refresh\narrow_right = arrow-right\narrow_rotate_anticlockwise = rotate-left\narrow_rotate_clockwise = rotate-right\narrow_switch = random\narrow_turn_left = share\narrow_turn_right = reply\narrow_undo = undo\narrow_up = arrow-up\nasterisk_orange = asterisk\nasterisk_yellow = asterisk\nattach = paperclip\nbasket = shopping-cart\nbell = bell\nbin = trash-o\nbomb = bomb\nbook = book\nbox = cube\nbricks = cubes\nbriefcase = briefcase\nbug = bug\nbuilding = building\nbullet_arrow_down = caret-down\nbullet_arrow_up = caret-up\nbullet_go = caret-right\ncalculator = calculator\ncalendar = calendar\ncamera = camera\ncancel = times-circle\ncar = car\ncart = shopping-cart\nchart_line = line-chart\nchart_pie = pie-chart\nchart_bar = bar-chart-o\nchart_organisation = sitemap\nweather_clouds = cloud\nclock = clock-o\ncog = cog\ncomment = comment\ncomments = comments\ncomputer = desktop\ncontrast = adjust\ncontrol_eject = eject\ncontrol_end = step-forward\ncontrol_equalizer = sliders\ncontrol_fastforward = fast-forward\ncontrol_pause = pause\ncontrol_play = play\ncontrol_rewind = backward\ncontrol_start = step-backward\ncontrol_stop = stop\ncontroller = gamepad\ncreditcards = credit-card\ncross = times\ncup = coffee\ncut = cut\ndatabase = database\ndelete = minus-circle\ndisk = floppy-o\ndrink = glass\ndrive = hdd-o\nemail = envelope-o\nerror = exclamation-triangle\nexclamation = exclamation-circle\neye = eye\nfeed = rss-square\nfemale = female\nfilm = film\nfind = search\nflag = flag\nfolder = folder\nfont = font\ngroup = group\nheart = heart\nhelp = question-circle\nhouse = home\nimage = image\ninformation = info-circle\nipod = tablet\njoystick = gamepad\nkey = key\nkeyboard = keyboard-o\nlayout = columns\nlightbulb = lightbulb-o\nlink = link\nlink_break = unlink\nlock = lock\nlock_open = unlock\nlorry = truck\nmagifier_zoom_out = search-minus\nmagnifier = search\nmagnifier_zoom_in = search-plus\nmale = male\nmap = map-marker\nmoney = money\nmoney_dollar = dollar\nmoney_euro = euro\nmoney_pound = gbp\nmoney_yen = yen\nmonitor = desktop\nmusic = music\npage = file\npage_white = file-o\npage_white_acrobat = file-pdf-o\npage_white_code = file-code-o\npage_white_compressed = file-archive-o\npage_white_excel = file-excel-o\npage_white_picture = file-image-o\npage_white_powerpoint = file-powerpoint-o\npage_white_text = file-text-o\npage_white_word = file-word-o\npage_white_zip = file-archive-o\npaste_plain = paste\npencil = pencil\nphone = mobile\nphoto = photo\npicture = file-image-o\nprinter = print\nrosette = certificate\nrss = rss\nshield = shield\nsound = volume-up\nsound_low = volume-down\nsound_none = volume-off\nsport_soccer = futbol-o\nstar = star\nstyle = font\ntable = table\ntag = tag\ntelephone = phone\ntext_align_center = align-center\ntext_align_justify = align-justify\ntext_align_left = align-left\ntext_align_right = align-right\ntext_bold = bold\ntext_columns = columns\ntext_indent = indent\ntext_indent_remove = outdent\ntext_italic = italic\ntext_list_bullets = list-ul\ntext_list_numbers = list-ol\ntext_strikethrough = strikethrough\ntext_subscript = subscript\ntext_superscript = superscript\ntext_underline = underline\ntime = clock-o\ntransmit = rss\nuser = user\nweather_clouds = cloud\nweather_sun = sun-o\nwebcam = video-camera\nworld = globe\nwrench = wrench\nzoom = search\nzoom_in = search-plus\nzoom_out = search-minus</content></xwikidoc>\n
-8019041119380615485	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Main</web>\n<name>SpaceIndex</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252454400000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('platform.index.spaceIndex')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<name>Main.SpaceIndex</name>\n<number>0</number>\n<className>XWiki.WikiMacroClass</className>\n<guid>3b41888d-d9b1-4f4b-b790-16c880aaf332</guid>\n<property>\n<code>{{velocity}}\n  ## TODO: add a parameter to specify the style, list or livetable\n  ## Get the number of documents to display\n  #set ($limit = $xcontext.macro.params.get('count'))\n  #if ("$!limit" == '')\n    ## 100 documents displayed by default if no value is specified\n    #set ($limit = '100')\n  #end\n  #set ($limit = $mathtool.toInteger($limit))\n  ## Compute the XWQL portion related to sorting, based on the passed "sort" parameter\n  ## Valid values are "creationDate", "modificationDate" and "docName"\n  #set ($sort = $xcontext.macro.params.get('sort'))\n  #if ("$sort" == 'docName')\n    ## Sorting alphabetically\n    #set ($sortQuery = 'doc.name asc')\n  #elseif ("$sort" == 'modificationDate')\n    ## Sorting by update date\n    #set ($sortQuery = 'doc.contentUpdateDate desc')\n  #else\n    ## Sort by creation date by default\n    #set ($sortQuery = 'doc.creationDate desc')\n  #end\n  ## Get the space to display the documents for\n  #set ($spaceParam = $doc.space)\n  #set ($spaceMacroParam = $xcontext.macro.params.get('space'))\n  #if ("$!spaceMacroParam" != '')\n    #set ($spaceParam = $spaceMacroParam)\n  #end\n  #set ($docNames = $services.query.hql("where doc.space=? order by $sortQuery").addFilter('currentlanguage').addFilter('hidden').setLimit($limit).bindValues([${spaceParam}]).execute())\n  {{html}}\n    #displayDocumentList($docNames false []) \n    ## Note: we pass an empty blacklistedSpaces list since we are used as a space dashboard, not a global dashboard\n  {{/html}}\n\n  #if ($docNames.size() == $limit)\n    #set ($docCount = $services.query.xwql('where doc.space = :space').bindValue('space', $spaceParam).addFilter('unique').count())\n    #set ($remaining = $mathtool.sub($docCount, $limit))\n    #if ($remaining &gt; 0)\n    (% class="documentListMore" %) (((\n    // $services.localization.render('xe.dashboard.space.remainingDocumentsInSpace', [$remaining, $spaceParam])\n       [[$services.localization.render('xe.dashboard.space.visitSpaceIndex')&gt;&gt;Main.SpaceIndex?space=${escapetool.url($spaceParam)}]] //\n    )))\n    #end\n  #end\n  ##\n  ## Document creation.\n  ##\n  ## Only if the current user has edit rights.\n  #if ($hasCreatePage)\n  {{html}}\n    &lt;ul class="xlist"&gt;\n      &lt;li class="page create"&gt;&lt;a href="$doc.getURL('create')"&gt;$services.localization.render('platform.index.spaceIndexDocumentListCreate')&lt;/a&gt;&lt;/li&gt;\n    &lt;/ul&gt;\n  {{/html}}\n  #end\n{{/velocity}}\n</code></property><property><contentDescription></contentDescription></property><property><contentType>No content</contentType>\n</property>\n<property>\n<defaultCategory>Navigation</defaultCategory>\n</property>\n<property>\n<description>Lists documents in a space.</description>\n</property>\n<property>\n<id>spaceindex</id>\n</property>\n<property>\n<name>Space Index</name>\n</property>\n<property>\n<supportsInlineMode>0</supportsInlineMode>\n</property>\n<property>\n<visibility>Current Wiki</visibility>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Main.SpaceIndex</name>\n<number>0</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>c041a13d-a9f3-4625-bce5-fb00d9e22387</guid>\n<property>\n<defaultValue>100</defaultValue>\n</property>\n<property>\n<description>The maximum number of documents to display. By default, up to 100 documents will be listed. If all documents should be displayed, pass 0.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>count</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Main.SpaceIndex</name>\n<number>1</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>8944c531-e4f2-45e0-b3e3-18b5b0aa713a</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The space to display the list of documents for. If missing, the current space will be used.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>space</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Main.SpaceIndex</name>\n<number>2</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>fc4b56bc-f0a0-4295-89cd-3936da62bbe3</guid>\n<property>\n<defaultValue>creationDate</defaultValue>\n</property>\n<property>\n<description>Optional parameter to choose the sorting of the list of document.\nValue must be:\n- creationDate sort by creation date (default)\n- modificationDate sort by update date\n- or docName sort alphabetically</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>sort</name>\n</property>\n</object>\n<content>{{velocity}}\n#if("$!request.space" != "") #set($space=$request.space) #else #set($space = $doc.space) #end\n$services.localization.render('platform.index.spaceIndexDescription', [$space])\n\n{{documents space="$space.replaceAll('["~]', '~$0')" id="spaceindex"/}}\n#set($docextras=[])\n{{/velocity}}\n</content></xwikidoc>
9172282706119466995	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Main</web>\n<name>Spaces</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364502215000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('index.spacesMacro.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>Main.Spaces</name>\n<number>0</number>\n<className>XWiki.RequiredRightClass</className>\n<guid>eb832884-79a9-4e96-b1fa-55fdbb06b0a5</guid>\n<property>\n<level>edit</level>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>Main.Spaces</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>0556ca2b-73ab-4779-a84d-1d7e4107d9ae</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n#spSpaceCreateItem {\n  background-image: url("$xwiki.getSkinFile('icons/silk/folder_add.png')");\n}\n\nul.xlist li.space div.spSpaceName {\n  float: left;\n}\n\n#spSpaceCreateLabel a {\n  color: $theme.textSecondaryColor;\n  text-decoration: none;\n}\n\n#spSpaceCreateForm {\n  background-color: $theme.highlightColor;\n  border-top: 1px dashed $theme.borderColor;\n  padding: .5em 0;\n}\n\n/*  Hidden elements in lists that are show on hover  */\n\nul.xlist li.xitem div.xshowonhover {\n  display: none;\n  float: right;\n  font-size: .8em;\n  padding: 0 .5em 0 0;\n}\n\nul.xlist li.xitem:hover div.xshowonhover {\n  display: block;\n}\n\nul.xlist li.xitem div.xshowonhover img {\n  float: right;\n  padding: 0 .2em;\n}</code>\n</property>\n<property>\n<name>Spaces list CSS</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<name>Main.Spaces</name>\n<number>0</number>\n<className>XWiki.WikiMacroClass</className>\n<guid>e990e6f7-1eff-40d8-9699-9052e36b5802</guid>\n<property>\n<code>{{velocity}}\n##\n## List spaces within the wiki.\n##\n$xwiki.ssx.use('Main.Spaces')##\n#set($spaceList = $xwiki.getSpaces())\n{{html}}\n&lt;ul class="xlist"&gt;\n  ##\n  ## List spaces.\n  ##\n  #foreach($space in $spaceList)\n    ## Display space only if the user has view right on space home and if the space is not blacklisted.\n    ## $blacklistedSpaces is set in xwikivars.vm\n    #set ($spaceHomeDocumentReference = $services.model.createDocumentReference($xcontext.database, $space, 'WebHome'))\n    #if($xwiki.hasAccessLevel('view', $services.model.serialize($spaceHomeDocumentReference)) &amp;&amp; !$blacklistedSpaces.contains($space))\n      &lt;li class="xitem xunderline xhighlight space"&gt;\n        &lt;div class="xitemcontainer"&gt;\n          &lt;div class="spSpaceName"&gt;&lt;a href="$xwiki.getURL($spaceHomeDocumentReference)"&gt;${escapetool.xml($space)}&lt;/a&gt;&lt;/div&gt;\n          &lt;div class="xshowonhover spSpaceActions"&gt;\n            ## Link to the space index.\n            &lt;a href="$xwiki.getURL('Main.SpaceIndex', 'view', "space=$escapetool.url($space)")" title="$services.localization.render('index.spacesMacro.spaceIndex.title')"&gt;\n              &lt;img src="$xwiki.getSkinFile('icons/silk/book_open.png')" alt="$services.localization.render('index.spacesMacro.spaceIndex.alt')"/&gt;\n            &lt;/a&gt;\n            ## If the user has admin right on the space display links to administration and delete.\n            #set ($spacePreferencesDocumentReference = $services.model.createDocumentReference($xcontext.database, $space, 'WebPreferences'))\n            #if($xwiki.hasAccessLevel('admin', $services.model.serialize($spacePreferencesDocumentReference)))\n              &lt;a href="$xwiki.getURL($spacePreferencesDocumentReference, 'admin', '')" title="$services.localization.render('index.spacesMacro.spaceAdministration.title')"&gt;\n                &lt;img src="$xwiki.getSkinFile('icons/silk/wrench.png')" alt="$services.localization.render('index.spacesMacro.spaceAdministration.alt')"/&gt;\n              &lt;/a&gt;\n            #end\n          &lt;/div&gt;\n          &lt;div class="xspacer"&gt;&amp;nbsp;&lt;/div&gt;\n        &lt;/div&gt;\n      &lt;/li&gt;\n    #end\n  #end\n  ##\n  ## Space creation.\n  ##\n  ## Only if the current user has the right to create spaces and the current action is not inline.\n  ## If it's inline, then there is already a form, and if we render the second, nested one, the DOM is messed up in IE.\n  #if($hasCreateSpace &amp;&amp; "$!xcontext.action" != "inline" &amp;&amp; "$!xcontext.action" != "edit")\n    &lt;li id="spSpaceCreateItem" class="xitem space"&gt;\n      &lt;div class="xitemcontainer"&gt;\n        &lt;div id="spSpaceCreateLabel" class="spSpaceName"&gt;&lt;a href="$xwiki.getURL('XWiki.CreatePage', 'view', 'tocreate=space')" onclick="toggleClass($('spSpaceCreateForm'), 'hidden'); return false;"&gt;$services.localization.render('index.spacesMacro.createSpace.link')&lt;/a&gt;&lt;/div&gt;\n        &lt;div class="spacer"&gt;&amp;nbsp;&lt;/div&gt;\n        &lt;div id="spSpaceCreateForm" class="hidden"&gt;\n          &lt;form method="post" action="$doc.getURL('create')" class="xformInline"&gt;\n            &lt;div&gt;\n              &lt;input name="tocreate" type="hidden" value="space" /&gt;\n              #set($newSpaceName = $escapetool.xml($services.localization.render('index.spacesMacro.createSpace.defaultSpaceName')))\n              &lt;label class="hidden" for="spSpaceCreateTextInput"&gt;$newSpaceName&lt;/label&gt;\n              &lt;input id="spSpaceCreateTextInput" type="text" name="space" value="$newSpaceName" class="panelinput withTip" /&gt;\n              &lt;span class="buttonwrapper"&gt;\n                &lt;input type="submit" value="$services.localization.render('index.spacesMacro.createSpace.submit')" class="button" /&gt;\n              &lt;/span&gt;\n            &lt;/div&gt;\n          &lt;/form&gt;\n        &lt;/div&gt;\n        &lt;div class="spacer"&gt;&amp;nbsp;&lt;/div&gt;\n      &lt;/div&gt;\n    &lt;/li&gt;\n  #end\n&lt;/ul&gt;\n{{/html}}\n{{/velocity}}\n</code></property><property><contentDescription></contentDescription></property><property><contentType>No content</contentType>\n</property>\n<property>\n<defaultCategory>Navigation</defaultCategory>\n</property>\n<property>\n<description>Displays all the spaces in this wiki.</description>\n</property>\n<property>\n<id>spaces</id>\n</property>\n<property>\n<name>Spaces</name>\n</property>\n<property>\n<supportsInlineMode>0</supportsInlineMode>\n</property>\n<property>\n<visibility>Current Wiki</visibility>\n</property>\n</object>\n<content>{{spaces /}}</content></xwikidoc>\n
3539886029693013628	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>OrphanedPages</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.AllDocs</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252454400000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('platform.index.orphaned')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#set($collist = ['doc.name', 'doc.space', 'doc.date', 'doc.author', '_actions'])\n#set($colprops = {\n                   'doc.name' : { 'type' : 'text' , 'size' : 30, 'link' : 'view'},\n                   'doc.space' : { 'type' : 'text', 'link' : 'space'},\n                   'doc.date' : { 'type' : 'date' },\n                   'doc.author' : { 'type' : 'text', 'link' : 'author'},\n                   '_actions' : { 'actions': ['copy', 'delete', 'rename', 'rights']}\n                 })\n#set($options = { 'translationPrefix' : 'platform.index.',\n                  'extraParams' : '&amp;orphaned=1' })\n#livetable('orphanedpages' $collist $colprops $options)\n{{/velocity}}</content></xwikidoc>\n
-4813332152258561868	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DocumentTreeTranslations</name>\n<language>lv</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>XWiki.DocumentTree</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1424709160000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Document Tree Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nrendering.macro.documentTree.description=Parāda XWiki dokumentu koku\nrendering.macro.documentTree.name=Dokumentu koks\nrendering.macro.documentTree.parameter.checkboxes.description=Vai parādīt katra koka elementa priekšā iezīmējamo rūtiņu, ar kuru var atzīmēt uzreiz vairākus dokumentus kokā.\nrendering.macro.documentTree.parameter.checkboxes.name=Iezīmes rūtiņas\nrendering.macro.documentTree.parameter.compact.description=Ja jums ir ierobežots horizontālais laukums, vēlams ieslēgt šo iestatījumu. Rezultātā netiks rādītas dokumentu ikonas un tos saistošās līnijas. Tiks veikti arī citi izskata pielāgojumi, lai nodrošinātu, ka koks aizņem pēc iespējas mazāku horizontālo telpu.\nrendering.macro.documentTree.parameter.compact.name=Kompakti\nrendering.macro.documentTree.parameter.filterByClass.description=Rādīt tikai dokumentus, kuriem ir atbilstošs veids. Piemēram, norādot 'Blog.CategoryClass' tiks parādītas tikai emuāru kategorijas. Atstājiet šo lauku tukšu, ja vēlaties, lai kokā ir parādīti visi dokumentu viedi.\nrendering.macro.documentTree.parameter.filterByClass.name=Atlasīt pēc klases\nrendering.macro.documentTree.parameter.finder.description=Rādīt teksta lauku, ar kuru var atlasīt parādītos koka elementus. Lauks tiek parādīts virs koka un tajā piedāvā automātisku priekšāteikšanu. Izvēloties noteiktu vērtību, kokā tiek parādīts tikai izvēlētā elementa zars.\nrendering.macro.documentTree.parameter.finder.name=Meklētājs\nrendering.macro.documentTree.parameter.links.description=Norāda, vai elementu nosaukumi kokā tiek parādīti un darbojas kā hipersaites.\nrendering.macro.documentTree.parameter.links.name=Saites\nrendering.macro.documentTree.parameter.openTo.description=Koka sākuma elements. Tiks parādīts viss koks, kas sākas ar norādīto dokumentu. Elementa identifikatoru norāda kā parametru koka sākumam.\nrendering.macro.documentTree.parameter.openTo.name=Atvērt no\nrendering.macro.documentTree.parameter.readOnly.description=Vai lietotājam ir iespējams mainīt koka struktūru, ja viņam ir attiecīgas pieejas tiesības?\nrendering.macro.documentTree.parameter.readOnly.name=Tikai lasāms\nrendering.macro.documentTree.parameter.root.description=Koka sākuma elementa identifikators. Tas noder, ja vēlaties apskatīt koku, tikai sākot ar norādīto elementu (kas tad kalpo kā kokam norādītā sakne). Kokā tiek parādīti elementi, sākot ar saknes bērniem, līdz ar to pats norādītais elements parādīts netiek. Elementa attēlošanas formāts ir\\: Veids\\:Norāde, kur kur vieds var būt viki, vieta vai dokuments. Piem., viki\\:xwiki, vieta\\:xwiki\\:Main, dokuments\\:xwiki\\:Main.WebHome.\nrendering.macro.documentTree.parameter.root.name=Sakne\nrendering.macro.documentTree.parameter.showAttachments.description=Vai rādīt dokumentu pielikumus\nrendering.macro.documentTree.parameter.showAttachments.name=Rādīt pielikumus\nrendering.macro.documentTree.parameter.showChildDocuments.description=Vai rādīt bērnu dokumentus, vadoties no norādītā vecāku dokumenta.\nrendering.macro.documentTree.parameter.showChildDocuments.name=Rādīt bērnu dokumentus\nrendering.macro.documentTree.parameter.showClassProperties.description=Vai rādīt klases īpašības dokumentiem, kuros ir definētas klases.\nrendering.macro.documentTree.parameter.showClassProperties.name=Rādīt klases īpašības\nrendering.macro.documentTree.parameter.showDocumentTitle.description=Vai koka mezglam dokumenta nosaukuma vietā rādīt dokumenta virsrakstu. \nrendering.macro.documentTree.parameter.showDocumentTitle.name=Rādīt dokumenta virsrakstu\nrendering.macro.documentTree.parameter.showObjects.description=Vai rādīt doumenta objektus\nrendering.macro.documentTree.parameter.showObjects.name=Rādīt objektus\nrendering.macro.documentTree.parameter.showOnlyViewable.description=Rādīt tikai viki, vietas un dokumentus, kuriem esošajam lietotājam ir pieejas tiesības. Ja ir atslēgts, tad viki, vietas un dokumenti, kas lietotājam nav pieejami tiek parādīti kā dokumentu nosaukumi. Lietotājam nebūs iespēju apskatīt dokumentu saturu, klikšķinot uz šo dokumentu saitēm (tomēr lietotājam būs zināms, ka šādi dokumenti pastāv).\nrendering.macro.documentTree.parameter.showOnlyViewable.name=Rādīt tikai redzamos\nrendering.macro.documentTree.parameter.showSpaces.description=Vai rādīt vietu mezglus. Ja rāda, tad dokumenti ir grupēti vietu mezglos saskaņā ar to, kādā vietā tie atrodas.\nrendering.macro.documentTree.parameter.showSpaces.name=Rādīt vietas\nrendering.macro.documentTree.parameter.showTranslations.description=Vai rādīt dokumentu tulkojumus\nrendering.macro.documentTree.parameter.showTranslations.name=Rādīt tulkojumus\nrendering.macro.documentTree.parameter.showWikiPrettyName.description=Attēlojot viki mezglu, rādīt viki skaisto nosaukumu viki identifikatora vietā.\nrendering.macro.documentTree.parameter.showWikiPrettyName.name=Rādīt viki skaisto nosaukumu\nrendering.macro.documentTree.parameter.showWikis.description=Vai rādīt dokumentu kokā kā mezglus viki. To var rādīt tikai galvenajā viki un, ja koka lapu ir saglabājis lietotājs ar programmēšanas tiesībām.\nrendering.macro.documentTree.parameter.showWikis.name=Rādīt viki\n</content></xwikidoc>
-5480613752624810949	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AllAttachmentsResults</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AllAttachments</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252454400000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('platform.index.attachmentsResults')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>XWiki.AllAttachmentsResults</name>\n<number>0</number>\n<className>XWiki.RequiredRightClass</className>\n<guid>bf8888e5-2c90-47ab-9a47-dec1db8bdd54</guid>\n<property>\n<level>programming</level>\n</property>\n</object>\n<content>{{velocity wiki="false"}}\n## ============================================================================================\n## This page is called from live grids via Ajax with the argument xpage=plain. It returns a\n## set of results serialized in JSON.\n## ============================================================================================\n#if ("$!request.get('xpage')" == 'plain')\n  $response.setContentType('application/json')##\n  #set ($offset = $mathtool.toInteger($request.get('offset')))\n  ## offset starts from 0 in velocity and 1 in javascript\n  #set ($offset = $offset - 1)\n  #if (!$offset || $offset &lt; 0)\n    #set ($offset = 0)\n  #end\n  #set ($limit = $mathtool.toInteger($request.get('limit')))\n  #if (!$limit)\n    #set ($limit = 15)\n  #end\n  #set ($title = $request.get('doc.name'))\n  #set ($author = $request.get('author'))\n  #set ($space = $request.get('doc.space'))\n  #set ($filename = $request.filename)\n  #set ($formatDate = 'yyyy MMMM dd, HH:mm')\n  #set ($query = '')\n  #set ($queryParameters = [])\n  #if ($title)\n    #set ($title = $title.trim().toLowerCase())\n    #set ($query = $query + " and lower(doc.name) like ?")\n    #set ($discard = $queryParameters.add("%${title}%"))\n  #end\n  #if ($author)\n    #set ($author = $author.trim().toLowerCase())\n    #set ($query = $query + " and lower(attach.author) like ?")\n    #set ($discard = $queryParameters.add("%${author}%"))\n  #end\n  #if ($filename)\n    #set ($filename = $filename.trim().toLowerCase())\n    #set ($query = $query + " and lower(attach.filename) like ?")\n    #set ($discard = $queryParameters.add("%${filename}%"))\n  #end\n  #if ($space)\n    #set ($space = $space.trim().toLowerCase())\n    #set ($query = $query + " and lower(doc.space) like ?")\n    #set ($discard = $queryParameters.add("%${space}%"))\n  #end\n  ##\n  ## Exclude Blacklisted spaces ($blacklistedSpaces is set in xwikivars.vm)\n  ##\n  #if (!$hasAdmin)\n    #foreach ($blacklistedSpace in $blacklistedSpaces)\n      #set ($query = "${query} and doc.space &lt;&gt; ?")\n      #set ($discard = $queryParameters.add($blacklistedSpace))\n    #end\n  #end\n  #set ($validSortOptions = ['filename', 'doc.name', 'doc.space', 'date', 'author'])\n  #if ($validSortOptions.contains($request.sort))\n    #set ($order = $request.sort)\n  #else\n    #set ($order = 'filename')\n  #end\n  #if (!$order.startsWith('doc.'))\n    #set ($order = "attach.${order}")\n  #end\n  #if ("$!request.dir" == 'desc')\n    #set ($dir = 'desc')\n  #else\n    #set ($dir = 'asc')\n  #end\n  ##\n  ## Compute the final query\n  ##\n  #if ($query == "")\n    #set ($query = "1=1")\n  #end\n  #set ($sortedQuery = $query + " order by $order $dir")\n  #set ($items = $xwiki.searchAttachments($sortedQuery, $limit, $offset, $queryParameters))\n  #set ($totalItems = $xwiki.countAttachments($query, $queryParameters))\n  #set ($returnedItems = $items.size())\n  ## ==============================================\n  ## json starts\n  ## ==============================================\n{\n"totalrows": $totalItems,\n"returnedrows": #if($returnedItems &lt; $limit) $returnedItems #else $limit #end,\n"offset": $mathtool.add($offset, 1),\n"reqNo": $mathtool.toInteger($request.reqNo),\n"rows": [\n#foreach ($attach in $items)\n  #set ($document = $attach.getDocument())\n  #set ($hasAccess = $xwiki.hasAccessLevel('view', $xcontext.user, $document.getFullName()))\n  #if ($velocityCount &gt; 1) , #end\n  { "acclev" : $hasAccess,\n  #if ($hasAccess)\n    "page" : "$escapetool.javascript($document.name)",\n    "space" : "$escapetool.javascript($document.space)",\n    "fullname" : "$escapetool.javascript($document.fullName)",\n    "filename" : "$escapetool.javascript($attach.filename)",\n    "fileurl" : "$document.getAttachmentURL($attach.filename)",\n    "url" : "$document.getURL('view')",\n    "spaceurl" : "$xwiki.getURL("${document.space}.WebHome")",\n    "date" : "$xwiki.formatDate($attach.date, $formatDate)",\n    "author" : "$!escapetool.javascript($attach.author)",\n    "authorname" : "$!escapetool.javascript($xwiki.getUserName($attach.author, false))",\n    "authorurl" : "$xwiki.getURL($attach.author)",\n    "type" : "$!escapetool.javascript($attach.getMimeType())"\n  #else\n    "fullname": "$escapetool.javascript($docName)"\n  #end\n  }\n#end\n]}\n## ==============================================\n## json ended\n## ==============================================\n#end\n{{/velocity}}</content></xwikidoc>\n
-8127487877897324017	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DeletedAttachments</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.AllDocs</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1262178920000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('platform.index.attachmentsTrash')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.DeletedAttachments</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>2b1a4426-e37b-40ba-9ad3-4055a466da0a</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>// Make sure the XWiki.index.trash.attachments 'namespace' exists.\nif (typeof XWiki == "undefined") {\n  XWiki = new Object();\n}\nif (typeof XWiki.index == "undefined") {\n  XWiki.index = new Object();\n}\nif (typeof XWiki.index.trash == "undefined") {\n  XWiki.index.trash = new Object();\n}\nif (typeof XWiki.index.trash.attachments == "undefined") {\n  XWiki.index.trash.attachments = new Object();\n}\n\n/**\n * Callback function used by the DeletedAttachments livetable for generating the HTML code needed to display an entry.\n * \n * @param row the JSON data corresponding to the entry to be displayed\n * @param i the index of the row in the list of entries\n * @param table the LiveTable javascript object\n */\nXWiki.index.trash.attachments.displayEntry = function (row, i, table) {\n  var tr = new Element('tr'); // The resulting table row\n  var file = new Element('a', {'href' : row.url}).update(row.filename);\n  tr.appendChild(new Element('td').update(file));\n  var doc = new Element('a', {'href' : row.documentUrl}).update(row.title);\n  doc.appendChild(document.createTextNode(' (' + row.docName + ')'));\n  tr.appendChild(new Element('td').update(doc));\n  tr.appendChild(new Element('td').update(row.date));\n  var deleter = new Element('a', {'href' : row.deleterurl}).update(row.deletername);\n  tr.appendChild(new Element('td').update(deleter));\n  var actions = new Element('td', {'class' : 'itemActions'});\n  if(row.canDelete) {\n    var delete_ = new Element('a', {\n        'href' : row.deleteUrl,\n        'class' : "tool delete",\n        'title' : "$services.localization.render('platform.index.trashAttachmentsActionsDeleteTooltip')"\n      }).update("$services.localization.render('platform.index.trashAttachmentsActionsDeleteText')");\n    actions.appendChild(delete_);\n    delete_.observe('click', XWiki.index.trash.attachments.confirmDelete.bindAsEventListener(delete_, table, i));\n  }\n  tr.appendChild(actions);\n  return tr;\n}\n\n/**\n * Event listener, called when clicking a delete version link. It displays a confirmation box, speeding up the two-step\n * deletion process.\n * \n * @param event the link activation event\n * @param table the LiveTable javascript object\n * @param rowIdx the index of the row corresponding to the entry to be deleted\n */\nXWiki.index.trash.attachments.confirmDelete = function(event, table, rowIdx) {\n  event.stop();\n  if (this.disabled) {\n    // Do nothing if the button was already clicked and it's waiting for a response from the server.\n    return;\n  } else {\n    new XWiki.widgets.ConfirmedAjaxRequest(\n      /* Ajax request URL */\n      this.href + '&amp;confirm=1' + (Prototype.Browser.Opera ? "" : "&amp;ajax=1"),\n      /* Ajax request parameters */\n      {\n        onCreate : function() {\n          // Disable the button, to avoid a cascade of clicks from impatient users\n          this.disabled = true;\n        }.bind(this),\n        onSuccess : function(table, rowIdx) {\n          // Remove the corresponding HTML element from the UI and update the livetable\n          table.deleteRow(rowIdx);\n        }.bind(this, table, rowIdx),\n        // This is an expected 404, returned when the document has been successfully deleted and is no longer found\n        on404 : function(response, table, rowIdx) {\n          response.request.options.onSuccess(table, rowIdx);\n        }.bindAsEventListener(this, table, rowIdx),\n        onComplete : function() {\n          // In the end: re-enable the button\n          this.disabled = false;\n        }.bind(this)\n      },\n      /* Interaction parameters */\n      {\n         confirmationText: "$services.localization.render('core.recyclebin.completelyDeleteConfirm')",\n         progressMessageText : "$services.localization.render('platform.index.trashAttachmentsDeleteInProgress')",\n         successMessageText : "$services.localization.render('platform.index.trashAttachmentsDeleteDone')",\n         failureMessageText : "$services.localization.render('platform.index.trashAttachmentsDeleteFailed')"\n      }\n      );\n  }\n}\n/*\n * The livetable is hidden when javascript is disabled, so that an alternative &lt;noscript&gt; table is displayed.\n * Re-display it when the document loads and Javascript is available.\n */\ndocument.observe('xwiki:dom:loaded', function() {\n  if ($('attachmentTrash')) {\n    $('attachmentTrash').up('.hidden').removeClassName('hidden');\n  }\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<name>XWiki.DeletedAttachments</name>\n<number>0</number>\n<className>XWiki.RequiredRightClass</className>\n<guid>b70cdd38-4b2d-4dea-b1e0-c054359d3793</guid>\n<property>\n<level>programming</level>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.DeletedAttachments</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>33778e4e-5d86-472e-b065-c9c87b5b282e</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.itemActions .tool {\n  width: 16px;\n  height: 16px;\n  margin: 0 2px;\n  float: left;\n  text-indent: -1000em;\n  overflow: hidden;\n  background: transparent no-repeat center center;\n}\n.itemActions .delete {\n  background-image: url("$xwiki.getSkinFile('icons/silk/cross.png')") !important;\n}\n.itemActions .restore {\n   background-image: url("$xwiki.getSkinFile('icons/silk/arrow_refresh.png')") !important;\n}\n.itemActions .cannot-restore {\n   background-image: url("$xwiki.getSkinFile('icons/silk/page_error.png')") !important;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.DeletedAttachments</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>8d68ba7a-72d3-4f9f-a984-c7c47139b0a8</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup</groups>\n</property>\n<property>\n<levels>view,edit</levels>\n</property>\n<property>\n<users></users>\n</property>\n</object>\n<content>{{velocity}}\n#if(!$xwiki.hasProgrammingRights())\n  {{warning}}This document requires programming rights and needs to be saved by an administrator of this Wiki{{/warning}}\n#else\n#set($dateFormat = 'yyyy MMMM d, HH:mm')\n#if(!$request.list)\n$xwiki.ssx.use('XWiki.DeletedAttachments')##\n$xwiki.jsx.use('XWiki.DeletedAttachments', {'minify' : 'false'})##\n##\n#set($columns = ['datt.filename', 'datt.docName', 'datt.date', 'datt.deleter', 'actions'])\n#set($columnProperties = {\n    'datt.filename'  : { 'type' : 'text', 'size' : 10 },\n    'datt.docName'   : { 'type' : 'text', 'size' : 10 },\n    'datt.date'      : { 'type' : 'date', 'filterable' : false },\n    'datt.deleter'   : { 'type' : 'text', 'size' : 10 },\n    'actions'        : { 'type' : 'text', 'filterable' : false, 'sortable' : false }\n  })##\n#set($options = {\n    'url'               : "$xwiki.getURL('XWiki.DeletedAttachments', 'view', 'list=1&amp;xpage=plain&amp;outputSyntax=plain')",\n    'callback'          : 'XWiki.index.trash.attachments.displayEntry',\n    'translationPrefix' : 'platform.index.trashAttachments.'\n  })##\n##\n##\n##\n{{html wiki="true" clean="false"}}\n&lt;div class="hidden"&gt;\n#livetable('attachmentTrash' $columns $columnProperties $options)\n&lt;/div&gt;\n{{/html}}\n\n{{html wiki="true" clean="false"}}\n&lt;noscript&gt;\n\n  #set($deletedAttachments = $services.query.hql('select count(datt.id) from DeletedAttachment as datt').execute().get(0))\n  #if($deletedAttachments == 0)\n\n    {{info}}$services.localization.render('platform.index.trashAttachmentsEmpty'){{/info}}\n\n  #else\n  #macro(displayDeletedAttachment $id)\n    #set($datt = $xwiki.getDeletedAttachment("$id"))\n    #set($originalAttachment = $datt.getAttachment())\n    #set($originalDocument = $xwiki.getDocument($datt.docName))\n    &lt;tr&gt;\n      &lt;td&gt;&lt;a href="$originalDocument.getAttachmentRevisionURL($originalAttachment.filename, $originalAttachment.version, "rid=${datt.id}").replaceAll('&amp;', '&amp;amp;')"&gt;$escapetool.xml($datt.filename)&lt;/a&gt;&lt;/td&gt;\n      &lt;td&gt;&lt;a href="$originalDocument.getURL()"&gt;$escapetool.xml($originalDocument.plainTitle) ($escapetool.xml(${originalDocument.fullName}))&lt;/a&gt;&lt;/td&gt;\n      &lt;td&gt;$xwiki.formatDate($datt.getDate(), $dateFormat)&lt;/td&gt;\n      &lt;td&gt;$xwiki.getUserName($datt.getDeleter())&lt;/td&gt;\n      &lt;td class="itemActions"&gt;\n        #if($datt.canDelete())\n          &lt;a href="${originalDocument.getAttachmentURL($datt.filename, 'delattachment', "trashId=${datt.id}&amp;amp;xredirect=$escapetool.url($!request.getRequestURI())?$escapetool.url($!request.getQueryString())")}" class="tool delete" title="$services.localization.render('platform.index.trashAttachmentsActionsDeleteTooltip')"&gt;$services.localization.render('platform.index.trashAttachmentsDeleteText')&lt;/a&gt;\n        #end\n      &lt;/td&gt;\n    &lt;/tr&gt;\n  #end\n##\n  #if("$!{request.view}" == '')\n    #set($queryParams = '')\n  #else\n    #set($queryParams = "view=$!{escapetool.url($request.view)}")\n  #end\n  #set($paginationParameters = {\n    'totalItems' : $services.query.hql('select count(datt.id) from DeletedAttachment as datt').execute().get(0),\n    'defaultItemsPerPage' : 15,\n    'url' : $doc.getURL('view', $queryParams)\n  })\n  #pagination($paginationParameters)\n  &lt;table id="searchResults" class="xwiki-livetable xwiki-livetable-display"&gt;\n    &lt;thead class="xwiki-livetable-display-header"&gt;&lt;tr&gt;\n      &lt;th scope="col" class="xwiki-livetable-display-header-text selected asc"&gt;$services.localization.render('platform.index.trashAttachments.datt.filename')&lt;/th&gt;\n      &lt;th scope="col" class="xwiki-livetable-display-header-text"&gt;$services.localization.render('platform.index.trashAttachments.datt.docName')&lt;/th&gt;\n      &lt;th scope="col" class="xwiki-livetable-display-header-text"&gt;$services.localization.render('platform.index.trashAttachments.datt.date')&lt;/th&gt;\n      &lt;th scope="col" class="xwiki-livetable-display-header-text"&gt;$services.localization.render('platform.index.trashAttachments.datt.deleter')&lt;/th&gt;\n      &lt;th scope="col" class="xwiki-livetable-display-header-text"&gt;$services.localization.render('platform.index.trashAttachments.actions')&lt;/th&gt;\n    &lt;/tr&gt;&lt;/thead&gt;\n    &lt;tbody class="xwiki-livetable-display-body"&gt;\n    #set ($query = $services.query.hql('select datt.id from DeletedAttachment as datt order by datt.filename asc'))\n    #foreach($item in $query.setLimit($paginationParameters.itemsPerPage).setOffset($paginationParameters.firstItem).execute())\n      #displayDeletedAttachment($item)\n    #end\n    &lt;/tbody&gt;\n  &lt;/table&gt;\n  #set($discard = $paginationParameters.put('position', 'bottom'))\n  #pagination($paginationParameters)\n  #end ## deletedAttachments != 0\n&lt;/noscript&gt;\n{{/html}}##\n#else ## request.list\n## ============================================================================================\n## This page is called from live table via Ajax with the argument xpage=plain. It returns a\n## set of results serialized in JSON.\n## @programming This service page needs to be saved by a user with the programming access level\n## to work as expected\n## ============================================================================================\n#if("$!{request.get('xpage')}" == 'plain')\n$response.setContentType('application/json')\n#set($offset = $mathtool.toInteger($request.get('offset')))\n## offset starts from 0 in velocity and 1 in javascript\n#set($offset = $offset - 1)\n#if (!$offset || $offset &lt; 0)\n  #set ($offset = 0)\n#end\n#set($limit = $mathtool.toInteger($request.get('limit')))\n#if (!$limit)\n  #set ($limit = 15)\n#end\n#set($filenameFilter = $request.get('datt.filename'))\n#set($docNameFilter = $request.get('datt.docName'))\n#set($deleterFilter = $request.get('datt.deleter'))\n#set($sql = '')\n#if("$!{filenameFilter}" != '')\n  #set($sql = "and lower(datt.filename) like '%${filenameFilter.trim().toLowerCase()}%' ")\n#end\n#if("$!{docNameFilter}" != '')\n  #set($sql = "and lower(datt.docName) like '%${docNameFilter.trim().toLowerCase()}%' ")\n#end\n#if("$!{deleterFilter}" != '')\n  #set($sql = $sql + "and lower(datt.deleter) like '%${deleterFilter.trim().toLowerCase()}%' ")\n#end\n#if("$!{request.sort}" != '')\n  #set($order = $request.sort)\n#else\n  #set($order = 'datt.id')\n#end\n#if("$!{request.dir}" != '')\n  #set($dir = $request.dir)\n#else\n  #set($dir = 'asc')\n#end\n#set($selectSql = "select datt.id, $order from DeletedAttachment as datt where 1=1 " + $sql + " order by $order $dir")\n#set($countSql = "select count(*) from DeletedAttachment as datt where 1=1 " + $sql)\n#set($items = $services.query.hql($selectSql).setLimit($limit).setOffset($offset).execute())\n#set($totalItems = $services.query.hql($countSql).execute().get(0))\n#set($returnedItems = $items.size())\n## ==============================================\n## json starts\n## ==============================================\n{\n"totalrows": $totalItems,\n"returnedrows": $returnedItems,\n"offset": ${mathtool.add($offset, 1)},\n"reqNo": ${request.reqNo},\n"query" : "$selectSql", \n"rows": [\n#foreach($item in $items)\n  #set($datt = $xwiki.getDeletedAttachment("$item.get(0)"))\n  #if($velocityCount &gt; 1) , #end\n  {\n    #set($originalAttachment = $datt.getAttachment())\n    #set($originalDocument = $xwiki.getDocument($datt.docName))\n    "filename"  : "$escapetool.javascript($datt.filename)",\n    "docName"  : "$escapetool.javascript($datt.docName)",\n    "title"  : "$escapetool.javascript($originalDocument.plainTitle)",\n    "url" : "$originalDocument.getAttachmentRevisionURL($originalAttachment.filename, $originalAttachment.version, "rid=${datt.id}")",\n    "documentUrl" : "$originalDocument.getURL()",\n    "canDelete" : $datt.canDelete(),\n    "deleteUrl" : "$originalDocument.getAttachmentURL($datt.filename, 'delattachment', "trashId=${datt.id}&amp;form_token=$!{services.csrf.getToken()}")",\n    "canRestore" : $datt.canRestore(),\n    "alreadyExists" : #if($originalDocument.getAttachment($datt.filename)) true #else false #end,\n    "restoreUrl" : "$originalDocument.getAttachmentURL($datt.filename)",\n    "date" : "$xwiki.formatDate($datt.date, $dateFormat)",\n    "deleter" : "$escapetool.javascript($datt.deleter)",\n    "deletername" : "$escapetool.javascript($xwiki.getUserName($datt.deleter, false))",\n    "deleterurl" : "$xwiki.getURL($datt.deleter, 'view')"\n  }\n#end\n]}\n## ==============================================\n## json ended\n## ==============================================\n#end## xpage=plain\n#end## request.list\n#end## hasProgramR\n{{/velocity}}</content></xwikidoc>\n
-2563413316795172924	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DeletedDocumentsJSON</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.DeletedDocuments</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1404731556000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>JSON Generation for the Deleted Documents Livetable</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>XWiki.DeletedDocumentsJSON</name>\n<number>0</number>\n<className>XWiki.RequiredRightClass</className>\n<guid>9efcced5-2b33-4d59-8db5-d25cf14b8f9c</guid>\n<property>\n<level>programming</level>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.DeletedDocumentsJSON</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>cfb9a2a9-0b52-4223-9c85-1bce8cb2bc80</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup</groups>\n</property>\n<property>\n<levels>view,edit</levels>\n</property>\n</object>\n<content>{{velocity wiki="false"}}\n#if($request.list)\n## ============================================================================================\n## This page is called from live table via Ajax with the argument xpage=plain. It returns a\n## set of results serialized in JSON.\n## @programming This service page needs to be saved by a user with the programming access level\n## to work as expected\n## ============================================================================================\n#if("$!{request.get('xpage')}" == 'plain')\n$response.setContentType('application/json')\n#set($offset = $mathtool.toInteger($request.get('offset')))\n## offset starts from 0 in velocity and 1 in javascript\n#set($offset = $offset - 1)\n#if (!$offset || $offset &lt; 0)\n  #set ($offset = 0)\n#end\n#set($limit = $mathtool.toInteger($request.get('limit')))\n#if (!$limit)\n  #set ($limit = 15)\n#end\n#set($docNameFilter = $request.get('ddoc.fullName'))\n#set($deleterFilter = $request.get('ddoc.deleter'))\n#set($sql = '')\n#if("$!{docNameFilter}" != '')\n  #set($sql = "and lower(ddoc.fullName) like '%${docNameFilter.trim().toLowerCase()}%' ")\n#end\n#if("$!{deleterFilter}" != '')\n  #set($sql = $sql + "and lower(ddoc.deleter) like '%${deleterFilter.trim().toLowerCase()}%' ")\n#end\n#if("$!{request.sort}" != '')\n  #set($order = $request.sort)\n#else\n  #set($order = 'ddoc.id')\n#end\n#if("$!{request.dir}" != '')\n  #set($dir = $request.dir)\n#else\n  #set($dir = 'asc')\n#end\n#set($selectSql = "select ddoc.id from XWikiDeletedDocument as ddoc where 1=1 " + $sql + " order by $order $dir")\n#set($countSql = "select count(*) from XWikiDeletedDocument as ddoc where 1=1 " + $sql)\n#set($items = $services.query.hql($selectSql).setLimit($limit).setOffset($offset).execute())\n#set($totalItems = $services.query.hql($countSql).execute().get(0))\n#set($returnedItems = $items.size())\n## ==============================================\n## json starts\n## ==============================================\n{\n"totalrows": $totalItems,\n"returnedrows": $returnedItems,\n"offset": ${mathtool.add($offset, 1)},\n"reqNo": ${request.reqNo},\n"rows": [\n#foreach($item in $items)\n  #set($ddoc = $xwiki.getDeletedDocument('', '', "$item"))\n  #if($velocityCount &gt; 1) , #end\n  {\n     #set($originalDocument = $ddoc.getDocument())\n     "fullname"  : "$escapetool.javascript($originalDocument.fullName)",\n     "title"  : "$escapetool.javascript($originalDocument.displayTitle)",\n     "url" : "$escapetool.javascript($originalDocument.getURL('view', "viewer=recyclebin&amp;id=${item}"))",\n     "originalUrl" : "$escapetool.javascript($originalDocument.getURL())",\n     "canDelete" : $ddoc.canDelete(),\n     "deleteUrl" : "$escapetool.javascript($originalDocument.getURL('delete', "id=${item}&amp;form_token=$!{services.csrf.getToken()}"))",\n     "canRestore" : $ddoc.canUndelete(),\n     #set ($ddocReferenceWithLocale = $services.model.createDocumentReference($originalDocument.documentReference, $originalDocument.locale))\n     #set ($exists = $xwiki.exists($ddocReferenceWithLocale))\n     "alreadyExists" : ${exists},\n     ## If a document to be undeleted is a translation and the main document of that translation is not yet created or undeleted, restoring this translation \n     ## will leave it inaccessible from the UI, thus "orphaned", until the main document is created or undeleted.\n     #set ($causesOrphanedTranslation = false)\n     #if (!$exists)\n       #set ($mainDocumentExists = $xwiki.exists($originalDocument.documentReference))\n       #set ($causesOrphanedTranslation = $originalDocument.isTranslation() &amp;&amp; !$mainDocumentExists)\n     #end\n     "causesOrphanedTranslation" : $causesOrphanedTranslation,\n     "restoreUrl" : "$escapetool.javascript($originalDocument.getURL('undelete', "id=${item}&amp;form_token=$!{services.csrf.getToken()}"))",\n     "date" : "$escapetool.javascript($xwiki.formatDate($ddoc.date, $dateFormat))",\n     "deleter" : "$escapetool.javascript($ddoc.deleter)",\n     "deletername" : "$escapetool.javascript($xwiki.getUserName($ddoc.deleter, false))",\n     "deleterurl" : "$escapetool.javascript($xwiki.getURL($ddoc.deleter, 'view'))",\n     "language" : "$escapetool.javascript($ddoc.language)"\n   }\n#end\n]}\n## ==============================================\n## json ended\n## ==============================================\n#end## xpage=plain\n#end## request.list\n{{/velocity}}</content></xwikidoc>\n
8036617629373761036	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DocumentTreeMacros</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.DocumentTree</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1414167261000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Document Tree Macros</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="XWiki.SuggestSolrMacros" /}}\n\n{{velocity output="false"}}\n## Configuration options.\n#set ($docTreeConfig = {\n  'showWikis': false,\n  'showWikiPrettyName': true,\n  'showSpaces': false,\n  'showDocumentTitle': true,\n  'showAddDocument': false,\n  'showTranslations': true,\n  'showAttachments': true,\n  'showAddAttachment': false,\n  'showObjects': false,\n  'showClassProperties': false,\n  'showChildDocuments': true,\n  'showOnlyViewable': true,\n  'filterByClass': '',\n  'root': ''\n})\n\n#macro (updateDocTreeConfigFromRequest)\n  #foreach ($entry in $docTreeConfig.entrySet())\n    #set ($valueFromRequest = $request.getParameter($entry.key))\n    #if ("$!valueFromRequest" != '')\n      #if ($entry.value.getClass().getName() == 'java.lang.Boolean')\n        #set ($entry.value = $valueFromRequest == 'true')\n      #else\n        #set ($entry.value = $valueFromRequest)\n      #end\n    #end\n  #end\n#end\n\n#macro (handleDocumentTreeRequest)\n  #if ($request.action)\n    #if ($services.csrf.isTokenValid($request.form_token))\n      $response.sendError(400, 'The specified action is not supported.')\n    #elseif ($isAjaxRequest)\n      $response.sendError(403, 'The CSRF token is missing.')\n    #else\n      $response.sendRedirect($services.csrf.getResubmissionURL())\n    #end\n  #else\n    #set ($data = $NULL)\n    #if ($request.data == 'children')\n      #getChildren($request.id $data)\n    #elseif ($request.data == 'path')\n      #getPath($request.id $data)\n    #elseif ($request.data == 'contextMenu')\n      #getContextMenu($data)\n    #elseif ($request.data == 'suggestions')\n      #getSuggestions($data)\n    #end\n    #if ($data)\n      #set ($discard = $response.setContentType('application/json'))\n      $jsontool.serialize($data)\n    #else\n      $response.sendError(404);\n    #end\n  #end\n#end\n\n#macro (getChildren $nodeId $return)\n  #set ($children = [])\n  #if ($nodeId == '#')\n    ## Select the root node.\n    #if ($docTreeConfig.showWikis &amp;&amp; $xcontext.isMainWiki())\n      #set ($nodeType = 'farm')\n    #else\n      #set ($nodeType = 'wiki')\n      #set ($nodeId = $xcontext.database)\n    #end\n  #else\n    #set ($parts = $nodeId.split(':', 2))\n    #set ($nodeType = $parts[0])\n    #set ($nodeId = $parts[1])\n  #end\n  #set ($offset = $mathtool.max($mathtool.toInteger($request.offset), 0))\n  #if ("$!offset" == '')\n    #set ($offset = 0)\n  #end\n  #evaluate("${escapetool.h}add$stringtool.capitalize($nodeType)Children(${escapetool.d}nodeId\n    $offset 15 ${escapetool.d}children)")\n  #set ($return = $NULL)\n  #setVariable("$return" $children)\n#end\n\n#macro (addFarmChildren $nodeId $offset $limit $children)\n  #foreach ($wiki in $services.wiki.all)\n    #maybeAddWikiNode($wiki $children)\n  #end\n#end\n\n#macro (maybeAddWikiNode $wiki $siblings $placeholder)\n  #if ($wiki &amp;&amp; (!$docTreeConfig.showOnlyViewable || $services.security.authorization.hasAccess('view', $wiki.reference)))\n    #addWikiNode($wiki $siblings)\n  #elseif ($placeholder)\n    #set ($discard = $siblings.add($placeholder))\n  #end\n#end\n\n#macro (addWikiNode $wiki $siblings)\n  ## The main wiki cannot be deleted. For the rest we need special rights.\n  #set ($canDeleteWiki = $wiki.id != $services.wiki.mainWikiId\n    &amp;&amp; $services.wiki.canDeleteWiki($xcontext.user, $wiki.id))\n  #if ($docTreeConfig.showWikiPrettyName)\n    #set ($label = $wiki.prettyName)\n  #else\n    #set ($label = $wiki.id)\n  #end\n  #set ($discard = $siblings.add({\n    'id': "wiki:$wiki.id",\n    'text': $label,\n    'icon': 'fa fa-hdd-o',\n    'children': true,\n    'data': {\n      'id': $wiki.id,\n      'type': 'wiki',\n      'validChildren': ['space', 'document', 'pagination'],\n      'canDelete': $canDeleteWiki\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($wiki.mainPageReference)\n    }\n  }))\n#end\n\n#macro (addWikiChildren $wikiId $offset $limit $children)\n  #set ($wikiReference = $services.model.createWikiReference($wikiId))\n  #if ($docTreeConfig.showSpaces)\n    #addWikiSpaceChildren($wikiReference $offset $limit $children)\n  #else\n    #addWikiDocumentChildren($wikiReference $offset $limit $children)\n  #end\n#end\n\n#macro (addWikiSpaceChildren $wikiReference $offset $limit $children)\n  #if ($wikiReference.name == $xcontext.database)\n    ## Current wiki.\n    #set ($spaces = $xwiki.spaces)\n    #set ($totalCount = $spaces.size())\n    ## Limit the list of spaces.\n    #set ($spaces = $spaces.subList($offset, $mathtool.min($mathtool.add($offset, $limit), $totalCount)))\n  #else\n    ## A different wiki. Requires programming rights.\n    #set ($statement = 'select distinct doc.space from XWikiDocument doc order by doc.space asc')\n    #set ($query = $services.query.hql($statement).setWiki($wikiReference.name).addFilter('hidden'))\n    #set ($spaces = $query.setOffset($offset).setLimit($limit).execute())\n    #if ($spaces.size() &gt;= $limit)\n      #set ($countQuery = $services.query.hql('select count(distinct doc.space) from XWikiDocument doc'))\n      #set ($totalCount = $countQuery.setWiki($wikiId).addFilter('hidden').execute()[0])\n    #end\n  #end\n  #foreach ($space in $spaces)\n    #set ($spaceReference = $services.model.createSpaceReference($space, $wikiReference))\n    #maybeAddSpaceNode($spaceReference $children)\n  #end\n  #if ($spaces.size() &gt;= $limit)\n    #set ($newOffset = $mathtool.add($offset, $spaces.size()))\n    #if ($newOffset &lt; $totalCount)\n      #addPaginationNode("wiki:$wikiReference.name" $newOffset $totalCount $children)\n    #end\n  #end\n#end\n\n#macro (getDocumentsQuery $constraints $parameters $return)\n  #set ($fromClause = '')\n  #set ($finalConstraints = [])\n  #set ($finalParameters = {})\n  #if ("$!docTreeConfig.filterByClass" != '')\n    #set ($fromClause = ', BaseObject as obj')\n    #set ($discard = $finalConstraints.addAll([\n      'obj.name = doc.fullName',\n      'obj.className = :class',\n      'doc.fullName &lt;&gt; :template'\n    ]))\n    #set ($discard = $finalParameters.putAll({\n      'class': $docTreeConfig.filterByClass,\n      'template': "$stringtool.removeEnd($docTreeConfig.filterByClass, 'Class')Template"\n    }))\n  #end\n  #set ($discard = $finalConstraints.addAll($constraints))\n  #set ($discard = $finalParameters.putAll($parameters))\n  #set ($docsQuery = $services.query.hql("$fromClause where $stringtool.join($finalConstraints, ' and ') order by doc.name"))\n  #foreach ($entry in $finalParameters.entrySet())\n    #set ($docsQuery = $docsQuery.bindValue($entry.key, $entry.value))\n  #end\n  #set ($discard = $docsQuery.addFilter('hidden'))\n  #set ($return = $NULL)\n  #setVariable("$return" $docsQuery)\n#end\n\n#macro (addWikiDocumentChildren $wikiReference $offset $limit $children)\n  ## On Oracle the empty parent is actually null.\n  #getDocumentsQuery(["(doc.parent = '' or doc.parent is null)", 'doc.translation = 0'] {} $query)\n  #addDocumentNodesFromQuery($query $offset $limit $wikiReference $children)\n#end\n\n#macro (maybeAddSpaceNode $spaceReference $siblings $placeholder)\n  #if (!$docTreeConfig.showOnlyViewable || $services.security.authorization.hasAccess('view', $spaceReference))\n    #addSpaceNode($spaceReference $siblings)\n  #elseif ($placeholder)\n    #set ($discard = $siblings.add($placeholder))\n  #end\n#end\n\n#macro (addSpaceNode $spaceReference $siblings)\n  #set ($spaceId = $services.model.serialize($spaceReference, 'default'))\n  #set ($spaceHomePageRef = $services.model.resolveDocument('', 'default', $spaceReference))\n  #set ($spacePrefsDocRef = $services.model.resolveDocument('WebPreferences', 'explicit', $spaceReference))\n  #set ($hasSpaceAdmin = $xwiki.hasAccessLevel('admin', $xcontext.user, $spacePrefsDocRef))\n  #set ($discard = $siblings.add({\n    'id': "space:$spaceId",\n    'text': $spaceReference.name,\n    'icon': 'fa fa-folder-o',\n    'iconOpened': 'fa fa-folder-open-o',\n    'children': true,\n    'data': {\n      'id': $spaceId,\n      'type': 'space',\n      'validChildren': ['addDocument', 'document', 'pagination'],\n      'hasContextMenu': true,\n      'canRename': $hasSpaceAdmin,\n      'canDelete': $hasSpaceAdmin,\n      'createDocumentURL': $xwiki.getURL($spaceHomePageRef, 'create', $NULL),\n      'deleteURL': $xwiki.getURL($spaceHomePageRef, 'deletespace', 'confirm=1')\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($spaceHomePageRef)\n    }\n  }))\n#end\n\n#macro (addSpaceChildren $spaceId $offset $limit $children)\n  #set ($spaceReference = $services.model.resolveSpace($spaceId))\n  #maybeAddAddDocumentNode($spaceReference $children)\n  ## Get the documents from the specified space.\n  #set ($constraints = [\n    'doc.space = :space',\n    'doc.translation = 0'\n  ])\n  #set ($parameters = {'space': $spaceReference.name})\n  #if ($docTreeConfig.showChildDocuments)\n    ## Include only documents that either don't have a parent or that have a parent in a different space.\n    ## On Oracle the empty parent is actually null.\n    #set ($discard = $constraints.add("(doc.parent = '' or doc.parent is null or (doc.parent like '%.%' and doc.parent not like :absoluteRef and doc.parent not like :localRef))"))\n    #set ($absoluteRef = $services.model.resolveDocument('%', 'explicit', $spaceReference))\n    #set ($parameters.absoluteRef = "$absoluteRef")\n    #set ($parameters.localRef = $services.model.serialize($absoluteRef, 'compactwiki', $absoluteRef.wikiReference))\n  #end\n  #getDocumentsQuery($constraints $parameters $query)\n  #addDocumentNodesFromQuery($query $offset $limit $spaceReference $children)\n#end\n\n#macro (maybeAddAddDocumentNode $reference $siblings)\n  #if ($docTreeConfig.showAddDocument &amp;&amp; $services.security.authorization.hasAccess('edit', $reference))\n    #addAddDocumentNode($reference $siblings)\n  #end\n#end\n\n#macro (addAddDocumentNode $reference $siblings)\n  #set ($parentReference = $services.model.resolveDocument('', 'default', $reference))\n  #set ($discard = $siblings.add({\n    'id': "addDocument:$reference.type.toString().toLowerCase():$services.model.serialize($reference, 'default')",\n    'text': 'New document...',\n    'icon': 'fa fa-plus-circle',\n    'children': false,\n    'data': {\n      'type': 'addDocument',\n      'validChildren': []\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($parentReference, 'create')\n    }\n  }))\n#end\n\n#macro (addDocumentNodesFromQuery $_query $offset $limit $parentReference $children)\n  #set ($wikiReference = $parentReference.extractReference('WIKI'))\n  #set ($_query = $_query.setWiki($wikiReference.name))\n  #set ($results = $_query.setOffset($offset).setLimit($limit).execute())\n  #foreach ($docFullName in $results)\n    #set ($documentReference = $services.model.resolveDocument($docFullName, 'explicit', $parentReference))\n    #maybeAddDocumentNode($documentReference $children)\n  #end\n  #if ($results.size() &gt;= $limit)\n    ## There may be more documents in this space.\n    #set ($totalCount = $_query.count())\n    #set ($newOffset = $mathtool.add($offset, $results.size()))\n    #if ($newOffset &lt; $totalCount)\n      #set ($parentRefAsString = $services.model.serialize($parentReference, 'default'))\n      #set ($parentId = "$parentReference.type.toLowerCase():$parentRefAsString")\n      #addPaginationNode($parentId $newOffset $totalCount $children)\n    #end\n  #end\n#end\n\n#macro (maybeAddDocumentNode $documentReference $siblings $placeholder)\n  #if ($xwiki.exists($documentReference) &amp;&amp; (!$docTreeConfig.showOnlyViewable\n      || $services.security.authorization.hasAccess('view', $documentReference)))\n    #addDocumentNode($documentReference $siblings)\n  #elseif ($placeholder)\n    #set ($discard = $siblings.add($placeholder))\n  #end\n#end\n\n#macro (addDocumentNode $documentReference $siblings)\n  #set ($docNode = $xwiki.getDocument($documentReference))\n  #set ($canViewDoc = "$!docNode" != '')\n  #set ($canEditDoc = $docNode.hasAccessLevel('edit'))\n  #set ($canDeleteDoc = $docNode.hasAccessLevel('delete'))\n  #set ($hasChildren = false)\n  #if ($canViewDoc)\n    #set ($hasChildren = $hasChildren || ($docTreeConfig.showTranslations &amp;&amp; $docNode.translationList.size() &gt; 0))\n    #set ($hasChildren = $hasChildren || ($docTreeConfig.showAttachments\n      &amp;&amp; (($docTreeConfig.showAddAttachment &amp;&amp; $canEditDoc) || $docNode.attachmentList.size() &gt; 0)))\n    #set ($xclass = $docNode.getxWikiClass())\n    #set ($hasChildren = $hasChildren || ($docTreeConfig.showClassProperties &amp;&amp; $xclass &amp;&amp; $xclass.propertyNames.size() &gt; 0))\n    #set ($hasChildren = $hasChildren || ($docTreeConfig.showObjects &amp;&amp; $docNode.getxWikiObjects().size() &gt; 0))\n  #end\n  #if (!$hasChildren &amp;&amp; $docTreeConfig.showChildDocuments)\n    #getChildDocumentsCount($documentReference $count)\n    #set ($hasChildren = $count &gt; 0)\n  #end\n  #set ($label = $documentReference.name)\n  #if ($docTreeConfig.showDocumentTitle)\n    #set ($plainTitle = $docNode.plainTitle)\n    #if (!$stringtool.isBlank($plainTitle))\n      #set ($label = $plainTitle)\n    #end\n  #end\n  #set ($discard = $siblings.add({\n    'id': "document:$documentReference",\n    'text': $label,\n    'icon': 'fa fa-file-o',\n    'children': $hasChildren,\n    'data': {\n      'id': "$documentReference",\n      'type': 'document',\n      'validChildren': ['translations', 'attachments', 'attachment', 'classProperties', 'objects', 'document', 'pagination'],\n      'hasContextMenu': true,\n      'draggable': $canViewDoc,\n      'canDelete': $canDeleteDoc,\n      'canMove': $canDeleteDoc,\n      'canCopy': $canViewDoc,\n      'createDocumentURL': $xwiki.getURL($documentReference, 'create', $NULL),\n      'deleteURL': $xwiki.getURL($documentReference, 'delete', 'confirm=1')\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($documentReference)\n    }\n  }))\n#end\n\n#macro (getChildDocumentsQuery $parentReference $return)\n  #set ($constraints = [\n    'doc.translation = 0',\n    '(doc.parent in (:absoluteRef, :localRef) or (doc.space = :space and doc.parent = :relativeRef))'\n  ])\n  #set ($parameters = {\n    'space': $parentReference.lastSpaceReference.name,\n    'absoluteRef': "$parentReference",\n    'localRef': $services.model.serialize($parentReference, 'compactwiki', $parentReference.wikiReference),\n    'relativeRef': $services.model.serialize($parentReference, 'compact', $parentReference.parent)\n  })\n  #if ($docTreeConfig.showSpaces)\n    #set ($discard = $constraints.add(0, 'doc.space = :space'))\n    #set ($discard = $constraints.set(2, 'doc.parent in (:absoluteRef, :localRef, :relativeRef)'))\n  #end\n  #getDocumentsQuery($constraints $parameters $query)\n  #set ($return = $NULL)\n  #setVariable("$return" $query)\n#end\n\n#macro (getChildDocumentsCount $parentReference $return)\n  #getChildDocumentsQuery($parentReference $countQuery)\n  #set ($count = $countQuery.setWiki($parentReference.wikiReference.name).count())\n  #set ($return = $NULL)\n  #setVariable("$return" $count)\n#end\n\n#macro (addPaginationNode $parentId $offset $totalCount $siblings)\n  #set ($discard = $siblings.add({\n    'id': "pagination:$parentId",\n    'text': "$!mathtool.sub($totalCount, $offset) more ...",\n    'icon': 'fa fa-eye',\n    'children': false,\n    'data': {\n      'type': 'pagination',\n      'validChildren': [],\n      'canDelete': true,\n      'offset': $offset\n    }\n  }))\n#end\n\n#macro (addDocumentChildren $docId $offset $limit $children)\n  #set ($documentReference = $services.model.resolveDocument($docId))\n  #set ($docNode = $xwiki.getDocument($documentReference))\n  #set ($canEditDoc = $docNode.hasAccessLevel('edit'))\n  #set ($canDeleteDoc = $docNode.hasAccessLevel('delete'))\n  #if ($offset == 0 &amp;&amp; $docTreeConfig.showTranslations &amp;&amp; $docNode.translationList.size() &gt; 0)\n    #set ($discard = $children.add({\n      'id': "translations:${documentReference}",\n      'text': 'Translations',\n      'icon': 'fa fa-language',\n      'children': true,\n      'data': {\n        'type': 'translations',\n        'validChildren': ['translation'],\n        'canDelete': $canDeleteDoc\n      }\n    }))\n  #end\n  #if ($offset == 0 &amp;&amp; $docTreeConfig.showAttachments &amp;&amp;\n      (($docTreeConfig.showAddAttachment &amp;&amp; $canEditDoc) || $docNode.attachmentList.size() &gt; 0))\n    #addAttachmentsNode($documentReference $children)\n  #end\n  #set ($xclass = $docNode.getxWikiClass())\n  #if ($offset == 0 &amp;&amp; $docTreeConfig.showClassProperties &amp;&amp; $xclass &amp;&amp; $xclass.propertyNames.size() &gt; 0)\n    #set ($discard = $children.add({\n      'id': "classProperties:${documentReference}",\n      'text': 'Class Properties',\n      'icon': 'fa fa-gears',\n      'children': true,\n      'data': {\n        'type': 'classProperties',\n        'validChildren': ['classProperty'],\n        'canDelete': $canEditDoc\n      }\n    }))\n  #end\n  #if ($offset == 0 &amp;&amp; $docTreeConfig.showObjects &amp;&amp; $docNode.getxWikiObjects().size() &gt; 0)\n    #set ($discard = $children.add({\n      'id': "objects:${documentReference}",\n      'text': 'Objects',\n      'icon': 'fa fa-cubes',\n      'children': true,\n      'data': {\n        'type': 'objects',\n        'validChildren': ['objectsOfType'],\n        'canDelete': $canEditDoc\n      }\n    }))\n  #end\n  #if ($docTreeConfig.showChildDocuments)\n    #getChildDocumentsQuery($documentReference $query)\n    #addDocumentNodesFromQuery($query $offset $limit $documentReference $children)\n  #end\n#end\n\n#macro (addAttachmentsNode $documentReference $siblings)\n  #set ($docNode = $xwiki.getDocument($documentReference))\n  #set ($canEditDoc = $docNode.hasAccessLevel('edit'))\n  #set ($discard = $siblings.add({\n    'id': "attachments:${documentReference}",\n    'text': 'Attachments',\n    'icon': 'fa fa-paperclip',\n    'children': true,\n    'data': {\n      'type': 'attachments',\n      'validChildren': ['addAttachment', 'attachment', 'pagination'],\n      'hasContextMenu': true,\n      'canDelete': $canEditDoc\n    },\n    'a_attr': {\n      'href': $docNode.getURL('view', 'viewer=attachments')\n    }\n  }))\n#end\n\n#macro (addTranslationsChildren $docId $offset $limit $children)\n  #set ($docRef = $services.model.resolveDocument($docId))\n  #set ($docNode = $xwiki.getDocument($docRef))\n  #foreach ($language in $docNode.translationList)\n    #set ($locale = $services.localization.toLocale($language))\n    #set ($translationReference = $services.model.createDocumentReference($docNode.documentReference, $locale))\n    #addTranslationNode($translationReference $children)\n  #end\n#end\n\n#macro (addTranslationNode $translationReference $siblings)\n  #set ($currentLocale = $services.localization.currentLocale)\n  #set ($translationNode = $xwiki.getDocument($translationReference))\n  #set ($discard = $siblings.add({\n    'id': "translation:$services.model.serialize($translationReference, 'default')_$translationReference.locale",\n    'text': $translationReference.locale.getDisplayName($currentLocale),\n    'icon': 'fa fa-file-text-o',\n    'children': false,\n    'data': {\n      'type': 'translation',\n      'validChildren': [],\n      'canDelete': $translationNode.hasAccessLevel('delete')\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($translationReference, 'view', $escapetool.url({\n        'language': $translationReference.locale\n      }))\n    }\n  }))\n#end\n\n#macro (addAttachmentsChildren $docId $offset $limit $children)\n  #set ($docRef = $services.model.resolveDocument($docId))\n  #set ($docNode = $xwiki.getDocument($docRef))\n  #set ($canEditDoc = $docNode.hasAccessLevel('edit'))\n  #if ($offset == 0 &amp;&amp; $docTreeConfig.showAddAttachment &amp;&amp; $canEditDoc)\n    #addAddAttachmentNode($docRef $children)\n  #end\n  #set ($attachments = $docNode.attachmentList)\n  #set ($totalCount = $attachments.size())\n  ## Limit the number of attachments.\n  #set ($attachments = $attachments.subList($offset, $mathtool.min($mathtool.add($offset, $limit), $totalCount)))\n  #foreach ($attachment in $attachments)\n    #addAttachmentNode($attachment $children)\n  #end\n  #if ($attachments.size() &gt;= $limit)\n    #set ($newOffset = $mathtool.add($offset, $attachments.size()))\n    #if ($newOffset &lt; $totalCount)\n      #addPaginationNode("attachments:$docId" $newOffset $totalCount $children)\n    #end\n  #end\n#end\n\n#macro (addAddAttachmentNode $docNode $siblings)\n  #set ($discard = $siblings.add({\n    'id': "addAttachment:$docRef",\n    'text': 'Upload file...',\n    'icon': 'fa fa-plus-circle',\n    'children': false,\n    'data': {\n      'type': 'addAttachment',\n      'validChildren': []\n    },\n    'a_attr': {\n      'href': $xwiki.getURL($docRef, 'view', 'viewer=attachments')\n    }\n  }))\n#end\n\n#macro (addAttachmentNode $attachment $siblings)\n  #set ($attachmentReference = $services.model.createAttachmentReference($attachment.document.documentReference,\n    $attachment.filename))\n  #set ($attachmentId = $services.model.serialize($attachmentReference, 'default'))\n  #getAttachmentIcon($attachment $icon)\n  #set ($discard = $siblings.add({\n    'id': "attachment:$attachmentId",\n    'text': $attachment.filename,\n    'icon': $icon,\n    'children': false,\n    'data': {\n      'id': $attachmentId,\n      'type': 'attachment',\n      'validChildren': [],\n      'hasContextMenu': true,\n      'draggable': true,\n      'canRename': $canEditDoc,\n      'canDelete': $canEditDoc,\n      'canMove': $canEditDoc,\n      'canCopy': true,\n      'deleteURL': $docNode.getAttachmentURL($attachment.filename, 'delattachment')\n    },\n    'a_attr': {\n      'href': $docNode.getAttachmentURL($attachment.filename)\n    }\n  }))\n#end\n\n#set ($fileIconByMediaType = {\n  'text': ['text/', 'application/xml', 'application/javascript', 'application/ecmascript', 'application/json', 'application/x-sh', '+xml'],\n  'image': ['image/'],\n  'audio': ['audio/'],\n  'video': ['video/'],\n  'pdf': ['application/pdf', 'application/postscript'],\n  'word': ['application/msword', 'application/vnd.ms-word.', 'application/vnd.oasis.opendocument.text', 'application/vnd.openxmlformats-officedocument.word'],\n  'powerpoint': ['application/vnd.ms-powerpoint', 'application/vnd.oasis.opendocument.presentation', 'application/vnd.openxmlformats-officedocument.presentation'],\n  'excel': ['application/vnd.ms-excel', 'application/vnd.oasis.opendocument.spreadsheet', 'application/vnd.openxmlformats-officedocument.spreadsheet'],\n  'archive': ['application/zip', 'application/x-gzip', 'application/x-bzip', 'application/x-tar', 'application/x-gtar', 'application/vnd.xara', '-archive', '-compressed', '-package', '+zip']\n})\n\n#macro (getAttachmentIcon $attachment $return)\n  #set ($mediaType = $attachment.mimeType)\n  #set ($icon = $NULL)\n  #foreach ($entry in $fileIconByMediaType.entrySet())\n    #foreach ($pattern in $entry.value)\n      #if ($mediaType.startsWith($pattern) || $mediaType.endsWith($pattern))\n        #set ($icon = $entry.key)\n        #break\n      #end\n    #end\n    #if ($icon)\n      #break\n    #end\n  #end\n  #set ($suffix = $stringtool.substringAfterLast($attachment.filename, '.'))\n  #set ($codeSuffixes = ['html', 'css', 'js', 'java', 'c', 'cpp', 'c++', 'cs', 'h', 'sql', 'php', 'ruby'])\n  #if (!$icon)\n    #set ($icon = 'fa fa-paperclip')\n  #elseif ($icon == 'text' &amp;&amp; $codeSuffixes.contains($suffix))\n    #set ($icon = 'fa fa-file-code-o')\n  #else\n    #set ($icon = "fa fa-file-${icon}-o")\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $icon)\n#end\n\n#macro (addClassPropertiesChildren $classId $offset $limit $children)\n  #set ($classRef = $services.model.resolveDocument($classId))\n  #set ($classNode = $xwiki.getDocument($classRef))\n  #foreach ($property in $classNode.getxWikiClass().properties)\n    #addClassPropertyNode($property $classRef $children)\n  #end\n#end\n\n#set ($iconByPropertyType = {\n  'Boolean': 'check-square-o',\n  'Date': 'calendar-o',\n  'DBList': 'database',\n  'Groups': 'group',\n  'Password': 'asterisk',\n  'Levels': 'lock',\n  'StaticList': 'list',\n  'TextArea': 'paragraph',\n  'DBTreeList': 'sitemap',\n  'Users': 'user'\n})\n\n#macro (addClassPropertyNode $property $classRef $siblings)\n  #set ($classPropertyReference = $services.model.createEntityReference($property.name, 'CLASS_PROPERTY', $classRef))\n  #set ($classPropertyId = $services.model.serialize($classPropertyReference, 'default'))\n  #set ($icon = $iconByPropertyType.get($property.classType))\n  #if (!$icon)\n    #set ($icon = 'gear')\n  #end\n  #set ($discard = $siblings.add({\n    'id': "classProperty:$classPropertyId",\n    'text': $property.name,\n    'icon': "fa fa-$icon",\n    'children': false,\n    'data': {\n      'id': $classPropertyId,\n      'type': 'classProperty',\n      'validChildren': []\n    }\n  }))\n#end\n\n#macro (addObjectsChildren $docId $offset $limit $children)\n  #set ($docRef = $services.model.resolveDocument($docId))\n  #set ($docNode = $xwiki.getDocument($docRef))\n  #foreach ($classId in $docNode.getxWikiObjects().keySet())\n    #set ($discard = $children.add({\n      'id': "objectsOfType:$docRef/$classId",\n      'text': $classId,\n      'icon': 'fa fa-cubes',\n      'children': true,\n      'data': {\n        'type': 'objectsOfType',\n        'validChildren': ['object', 'pagination'],\n        'canDelete': $docNode.hasAccessLevel('edit')\n      }\n    }))\n  #end\n#end\n\n#macro (addObjectsOfTypeChildren $nodeId $offset $limit $children)\n  #set ($separatorIndex = $nodeId.lastIndexOf('/'))\n  #set ($docId = $nodeId.substring(0, $separatorIndex))\n  #set ($classId = $nodeId.substring($mathtool.add($separatorIndex, 1)))\n  #set ($docRef = $services.model.resolveDocument($docId))\n  #set ($docNode = $xwiki.getDocument($docRef))\n  #set ($canEditDoc = $docNode.hasAccessLevel('edit'))\n  #set ($objects = $docNode.getObjects($classId))\n  #set ($totalCount = $objects.size())\n  ## Limit the number of objects.\n  #set ($objects = $objects.subList($offset, $mathtool.min($mathtool.add($offset, $limit), $totalCount)))\n  #foreach ($object in $objects)\n    #set ($objectReference = $services.model.createEntityReference("${classId}[$object.number]", 'OBJECT', $docRef))\n    #addObjectNode($object $objectReference $children)\n  #end\n  #if ($objects.size() &gt;= $limit)\n    #set ($newOffset = $mathtool.add($offset, $objects.size()))\n    #if ($newOffset &lt; $totalCount)\n      #addPaginationNode("objectsOfType:$nodeId" $newOffset $totalCount 'bricks' $children)\n    #end\n  #end\n#end\n\n#macro (addObjectNode $object $objectReference $siblings)\n  #set ($objectId = $services.model.serialize($objectReference, 'default'))\n  #set ($discard = $children.add({\n    'id': "object:$objectId",\n    'text': "[$object.number]",\n    'icon': 'fa fa-cube',\n    'children': true,\n    'data': {\n      'id': $objectId,\n      'type': 'object',\n      'validChildren': ['objectProperty'],\n      'canDelete': $canEditDoc\n    }\n  }))\n#end\n\n#macro (addObjectChildren $objId $offset $limit $children)\n  #set ($objRef = $services.model.resolveObject($objId))\n  #set ($docNode = $xwiki.getDocument($objRef.extractReference('DOCUMENT')))\n  ## Object name is: Space.Class[index]\n  #set ($separatorIndex = $objRef.name.lastIndexOf('['))\n  #set ($classId = $objRef.name.substring(0, $separatorIndex))\n  #set ($objectNumber = $mathtool.toInteger($objRef.name.substring($mathtool.add($separatorIndex, 1),\n    $mathtool.sub($objRef.name.length(), 1))))\n  #set ($objNode = $docNode.getObject($classId, $objectNumber))\n  #foreach ($property in $objNode.properties)\n    #addObjectPropertyNode($property $objRef $children)\n  #end\n#end\n\n#macro (addObjectPropertyNode $property $objRef $siblings)\n  #set ($classId = $stringtool.substringBeforeLast($objRef.name, '['))\n  #set ($classRef = $services.model.resolveDocument($classId, 'explicit', $objRef))\n  #set ($xclass = $xwiki.getDocument($classRef).getxWikiClass())\n  #set ($icon = $iconByPropertyType.get($xclass.get($property.name).classType))\n  #if (!$icon)\n    #set ($icon = 'gear')\n  #end\n  #set ($objectPropertyReference = $services.model.createEntityReference($property.name, 'OBJECT_PROPERTY', $objRef))\n  #set ($objectPropertyId = $services.model.serialize($objectPropertyReference, 'default'))\n  #set ($discard = $siblings.add({\n    'id': "objectProperty:$objectPropertyId",\n    'text': $property.name,\n    'icon': "fa fa-$icon",\n    'children': false,\n    'data': {\n      'id': $objectPropertyId,\n      'type': 'objectProperty',\n      'validChildren': []\n    }\n  }))\n#end\n\n#macro (getPath $nodeId $return)\n  #set ($parts = $nodeId.split(':', 2))\n  #if ($parts.size() == 1)\n    #set ($path = [$nodeId])\n  #else\n    #set ($nodeType = $parts[0])\n    #set ($nodeId = $parts[1])\n    #set ($path = [])\n    #evaluate("${escapetool.h}get$stringtool.capitalize($nodeType)Path(${escapetool.d}nodeId ${escapetool.d}path)")\n    #if ("$!docTreeConfig.root" != '')\n      ## The path needs to be relative to the specified root because only a sub-tree is displayed.\n      #getRelativePath($path $docTreeConfig.root)\n    #end\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $path)\n#end\n\n#macro (getRelativePath $path $rootId)\n  #set ($index = -1)\n  #foreach ($node in $path)\n    #if ($node.id == $rootId)\n      #set ($index = $foreach.index)\n      #break\n    #end\n  #end\n  #if ($index &gt;= 0)\n    ## Return the path suffix that starts from the specified root.\n    #set ($path = $path.subList($mathtool.add($index, 1), $path.size()))\n  #else\n    ## The target node is not in the specified sub-tree. We return an empty path in this case, which prevents the node\n    ## from being opened or added to the tree (in case the root node has pagination).\n    #set ($path = [])\n  #end\n#end\n\n#macro (getWikiPath $wikiRefOrId $path)\n  #set ($wikiId = $wikiRefOrId.extractReference('WIKI').name)\n  #if (!$wikiId)\n    #set ($wikiId = $wikiRefOrId)\n  #end\n  #set ($wiki = $services.wiki.getById($wikiId))\n  #maybeAddWikiNode($wiki $path {})\n#end\n\n#macro (getSpacePath $spaceRefOrId $path)\n  #set ($spaceRef = $spaceRefOrId.extractReference('SPACE'))\n  #if (!$spaceRef)\n    #set ($spaceRef = $services.model.resolveSpace($spaceRefOrId))\n  #end\n  #if ($docTreeConfig.showWikis &amp;&amp; $xcontext.isMainWiki())\n    #getWikiPath($spaceRef $path)\n  #end\n  #maybeAddSpaceNode($spaceRef $path {})\n#end\n\n#macro (getDocumentPath $docRefOrId $path)\n  #set ($docRef = $docRefOrId.extractReference('DOCUMENT'))\n  #if (!$docRef)\n    #set ($docRef = $services.model.resolveDocument($docRefOrId))\n  #end\n  ## We use a linked list because #getDocumentPathRecursively() inserts the parents at the start of the list.\n  #set ($docPath = $collectionstool.linkedList)\n  #set ($discard = $docPath.add($docRef))\n  #if ($docTreeConfig.showChildDocuments)\n    ## Collect the references of all the ancestor documents.\n    #getDocumentPathRecursively($docPath)\n  #end\n  #set ($rootDocRef = $docPath.get(0))\n  #if ($docTreeConfig.showSpaces)\n    #getSpacePath($rootDocRef $path)\n  #elseif ($docTreeConfig.showWikis &amp;&amp; $xcontext.isMainWiki())\n    #getWikiPath($rootDocRef $path)\n  #end\n  #foreach ($docRef in $docPath)\n    #maybeAddDocumentNode($docRef $path {})\n  #end\n#end\n\n#macro (getDocumentPathRecursively $path)\n  #set ($docRef = $path.get(0))\n  #set ($docNode = $xwiki.getDocument($docRef))\n  #if ($docNode &amp;&amp; $docNode.parent != '')\n    #set ($parentRef = $services.model.resolveDocument($docNode.parent, 'explicit', $docRef))\n    ## If the wiki/space nodes are displayed then the documents are grouped by wiki/space and thus the parent document\n    ## must remain in the same wiki/space.\n    #if ((!$docTreeConfig.showSpaces || $docRef.lastSpaceReference.equals($parentRef.lastSpaceReference))\n        &amp;&amp; (!$docTreeConfig.showWikis || $docRef.wikiReference.equals($parentRef.wikiReference)))\n      #set ($discard = $path.add(0, $parentRef))\n      #getDocumentPathRecursively($path)\n    #end\n  #end\n#end\n\n#macro (getAttachmentsPath $docRefOrId $path)\n  #getDocumentPath($docRefOrId $path)\n  #set ($docRef = $docRefOrId.extractReference('DOCUMENT'))\n  #if (!$docRef)\n    #set ($docRef = $services.model.resolveDocument($docRefOrId))\n  #end\n  #addAttachmentsNode($docRef $path)\n#end\n\n#macro (getAttachmentPath $attachmentId $path)\n  #set ($attachmentReference = $services.model.resolveAttachment($attachmentId))\n  #set ($documentReference = $attachmentReference.documentReference)\n  #getAttachmentsPath($documentReference $path)\n  #set ($attachment = $xwiki.getDocument($attachmentReference.parent).getAttachment($attachmentReference.name))\n  #if ($attachment)\n    #addAttachmentNode($attachment $path)\n  #else\n    #set ($discard = $path.add({}))\n  #end\n#end\n\n#macro (getContextMenu $return)\n  #set ($contextMenuByNodeType = {})\n  #if ($docTreeConfig.showSpaces)\n    #addSpaceContextMenu($contextMenuByNodeType)\n  #end\n  #addDocumentContextMenu($contextMenuByNodeType)\n  #if ($docTreeConfig.showAttachments)\n    #addAttachmentsContextMenu($contextMenuByNodeType)\n    #addAttachmentContextMenu($contextMenuByNodeType)\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $contextMenuByNodeType)\n#end\n\n#macro (addSpaceContextMenu $contextMenuByNodeType)\n  #set ($contextMenuByNodeType.space = {\n    'createDocument': {\n      'label': 'New Page',\n      'icon': 'fa fa-file-o',\n      'action': 'openLink',\n      'parameters': {\n        'urlProperty': 'createDocumentURL'\n      }\n    },\n    'openLink': {\n      'separator_before': true,\n      'label': 'Go to Space',\n      'icon': 'fa fa-external-link'\n    },\n    'refresh': {\n      'label': 'Refresh',\n      'icon': 'fa fa-refresh'\n    },\n    'paste': {\n      'separator_before': true,\n      'label': 'Paste Into Space',\n      'icon': 'fa fa-clipboard'\n    },\n    'rename': {\n      'label': 'Rename...',\n      'icon': 'fa fa-pencil-square-o'\n    },\n    'remove': {\n      'label': 'Delete',\n      'icon': 'fa fa-trash-o',\n      'parameters': {\n        'confirmationMessage': 'Are you sure you want to move ALL the documents from this space to the recycle bin? If there are hidden documents in this space they will also be deleted.'\n      }\n    }\n  })\n#end\n\n#macro (addDocumentContextMenu $contextMenuByNodeType)\n  #set ($contextMenuByNodeType.document = {\n    'createDocument': {\n      'label': 'New Page',\n      'icon': 'fa fa-file-o',\n      'action': 'openLink',\n      'parameters': {\n        'urlProperty': 'createDocumentURL'\n      }\n    },\n    'openLink': {\n      'separator_before': true,\n      'label': 'Go to Page',\n      'icon': 'fa fa-external-link'\n    },\n    'refresh': {\n      'label': 'Refresh',\n      'icon': 'fa fa-refresh'\n    },\n    'cut': {\n      'separator_before': true,\n      'label': 'Cut',\n      'icon': 'fa fa-scissors'\n    },\n    'copy': {\n      'label': 'Copy',\n      'icon': 'fa fa-files-o'\n    },\n    'paste': {\n      'label': 'Paste',\n      'icon': 'fa fa-clipboard'\n    },\n    'remove': {\n      'separator_before': true,\n      'label': 'Delete',\n      'icon': 'fa fa-trash-o',\n      'parameters': {\n        'confirmationMessage': 'Are you sure you want to move this document to the recycle bin? All child documents will become orphan as a result.'\n      }\n    }\n  })\n#end\n\n#macro (addAttachmentsContextMenu $contextMenuByNodeType)\n  #set ($contextMenuByNodeType.attachments = {\n    'openLink': {\n      'label': 'Go to Attachments',\n      'icon': 'fa fa-external-link'\n    },\n    'refresh': {\n      'label': 'Refresh',\n      'icon': 'fa fa-refresh'\n    },\n    'paste': {\n      'separator_before': true,\n      'label': 'Paste',\n      'icon': 'fa fa-clipboard'\n    },\n    'remove': {\n      'label': 'Delete All',\n      'icon': 'fa fa-trash-o',\n      'parameters': {\n        'confirmationMessage': 'Are you sure you want to delete all the attachments of this page?'\n      }\n    }\n  })\n#end\n\n#macro (addAttachmentContextMenu $contextMenuByNodeType)\n  #set ($contextMenuByNodeType.attachment = {\n    'openLink': {\n      'label': 'Go to Attachment',\n      'icon': 'fa fa-external-link'\n    },\n    'cut': {\n      'separator_before': true,\n      'label': 'Cut',\n      'icon': 'fa fa-scissors'\n    },\n    'copy': {\n      'label': 'Copy',\n      'icon': 'fa fa-files-o'\n    },\n    'rename': {\n      'separator_before': true,\n      'label': 'Rename...',\n      'icon': 'fa fa-pencil-square-o'\n    },\n    'remove': {\n      'label': 'Delete',\n      'icon': 'fa fa-trash-o',\n      'parameters': {\n        'confirmationMessage': 'Are you sure you want to delete this attachment?'\n      }\n    }\n  })\n#end\n\n#macro (getSuggestions $return)\n  #set ($limit = 6)\n  #set ($text = "$!request.query")\n  #set ($lists = [])\n  #addDocumentSuggestions($text $limit $lists)\n  #if ($docTreeConfig.showAttachments)\n    #addAttachmentSuggestions($text $limit $lists)\n  #end\n  #if ($docTreeConfig.showSpaces)\n    #addSpaceSuggestions($text $limit $lists)\n  #end\n  #limitTotalCount($lists $limit)\n  #set ($output = [])\n  #foreach ($list in $lists)\n    #foreach ($node in $list)\n      ## Use the node path as suggestion info.\n      #getPath($node.id $path)\n      #displayPath($path)\n      #set ($node.data.info = $stringtool.join($path.subList(0, $mathtool.sub($path.size(), 1)), ' / '))\n      #set ($discard = $output.add($node))\n    #end\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $output)\n#end\n\n#macro (addSpaceSuggestions $text $limit $suggestions)\n  #searchSpaces($text $limit $spaceReferences)\n  #set ($spaceSuggestions = [])\n  #foreach ($spaceReference in $spaceReferences)\n    #maybeAddSpaceNode($spaceReference $spaceSuggestions)\n  #end\n  #set ($discard = $suggestions.add($spaceSuggestions))\n#end\n\n#macro (searchSpaces $text $limit $return)\n  #set ($statement = 'where upper(doc.space) like upper(?)')\n  #set ($displayHiddenDocuments = $xwiki.getUserPreference('displayHiddenDocuments'))\n  #if ("$!displayHiddenDocuments" != '1')\n    #set ($statement = "$statement and (doc.hidden &lt;&gt; true or doc.hidden is null)")\n  #end\n  #set ($spaceNames = $xwiki.searchSpacesNames($statement, $limit, 0, ["%$text%"]))\n  #set ($spaceReferences = [])\n  #set ($wikiReference = $services.model.createWikiReference($xcontext.database))\n  #foreach ($spaceName in $spaceNames)\n    #set ($discard = $spaceReferences.add($services.model.createSpaceReference($spaceName, $wikiReference)))\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $spaceReferences)\n#end\n\n#macro (addDocumentSuggestions $text $limit $suggestions)\n  #searchDocuments($text $limit $documentReferences)\n  #set ($docSuggestions = [])\n  #foreach ($documentReference in $documentReferences)\n    #maybeAddDocumentNode($documentReference $docSuggestions)\n  #end\n  #set ($discard = $suggestions.add($docSuggestions))\n#end\n\n#macro (searchDocuments $text $limit $return)\n  #if ($xwiki.exists('XWiki.SuggestSolrMacros'))\n    #searchDocumentsSolr($text $limit $return)\n  #else\n    #searchDocumentsDatabase($text $limit $return)\n  #end\n#end\n\n#macro (searchDocumentsSolr $text $limit $return)\n  #set ($params = $stringtool.join([\n    'fq=type:DOCUMENT',\n    'fq=doclocale:""',\n    'qf=title^6 name^4 doccontent^2 doccontentraw',\n    'fl=wiki space name'\n  ], $util.newline))\n  #createSearchSuggestQuery($params $text $query)\n  #set ($discard = $query.setLimit($limit))\n  #set ($documentReferences = [])\n  #foreach ($result in $query.execute()[0].results)\n    #set ($documentReference = $services.model.createDocumentReference($result.wiki, $result.space, $result.name))\n    #set ($discard = $documentReferences.add($documentReference))\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $documentReferences)\n#end\n\n#macro (searchDocumentsDatabase $text $limit $return)\n  #set ($statement = 'where doc.translation = 0 and (upper(doc.name) like upper(:text) or upper(doc.title) like upper(:text))')\n  #set ($query = $services.query.hql($statement).addFilter('hidden').setLimit($limit).bindValue('text', "%$text%"))\n  #set ($documentReferences = [])\n  #foreach ($docFullName in $query.execute())\n    #set ($discard = $documentReferences.add($services.model.resolveDocument($docFullName)))\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $documentReferences)\n#end\n\n#macro (addAttachmentSuggestions $text $limit $suggestions)\n  #searchAttachments($text $limit $attachmentReferences)\n  #set ($attachmentSuggestions = [])\n  #foreach ($attachmentReference in $attachmentReferences)\n    #set ($attachment = $xwiki.getDocument($attachmentReference.parent).getAttachment($attachmentReference.name))\n    #addAttachmentNode($attachment $attachmentSuggestions)\n  #end\n  #set ($discard = $suggestions.add($attachmentSuggestions))\n#end\n\n#macro (searchAttachments $text $limit $return)\n  #if ($xwiki.exists('XWiki.SuggestSolrMacros'))\n    #searchAttachmentsSolr($text $limit $return)\n  #else\n    #searchAttachmentsDatabase($text $limit $return)\n  #end\n#end\n\n#macro (searchAttachmentsSolr $text $limit $return)\n  #set ($params = $stringtool.join([\n    'fq=type:ATTACHMENT',\n    'qf=filename^4 attcontent',\n    'fl=wiki space name filename'\n  ], $util.newline))\n  #createSearchSuggestQuery($params $text $query)\n  #set ($discard = $query.setLimit($limit))\n  #set ($attachmentReferences = [])\n  #foreach ($result in $query.execute()[0].results)\n    #set ($documentReference = $services.model.createDocumentReference($result.wiki, $result.space, $result.name))\n    #set ($attachmentReference = $services.model.createAttachmentReference($documentReference, $result.filename))\n    #set ($discard = $attachmentReferences.add($attachmentReference))\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $attachmentReferences)\n#end\n\n#macro (searchAttachmentsDatabase $text $limit $return)\n  #set ($statement = 'where upper(attach.filename) like upper(?)')\n  #set ($displayHiddenDocuments = $xwiki.getUserPreference('displayHiddenDocuments'))\n  #if ("$!displayHiddenDocuments" != '1')\n    #set ($statement = "$statement and (doc.hidden &lt;&gt; true or doc.hidden is null)")\n  #end\n  #set ($attachments = $xwiki.searchAttachments($statement, $limit, 0, ["%$text%"]))\n  #set ($attachmentReferences = [])\n  #foreach ($attachment in $attachments)\n    #set ($discard = $attachmentReferences.add($services.model.createAttachmentReference(\n      $attachment.document.documentReference, $attachment.filename)))\n  #end\n  #set ($return = $NULL)\n  #setVariable("$return" $attachmentReferences)\n#end\n\n#macro (displayPath $path)\n  #foreach ($node in $path)\n    #set ($discard = $path.set($foreach.index, $node.text))\n  #end\n#end\n\n#macro (limitTotalCount $lists $limit)\n  ## Prepare the input.\n  #set ($input = [])\n  #foreach ($list in $lists)\n    ## We use queues to be able to easily remove items from the start.\n    #set ($queue = $collectionstool.queue)\n    #set ($discard = $queue.addAll($list))\n    #set ($discard = $input.add($queue))\n    ## We will add (part of) the items back later.\n    #set ($discard = $list.clear())\n  #end\n  ## Limit the total item count.\n  #set ($index = -1)\n  #foreach ($count in [1..$limit])\n    #foreach ($i in [1..$input.size()])\n      #set ($newIndex = ($index + $i) % $input.size())\n      #if ($input.get($newIndex).size() &gt; 0)\n        #set ($index = $newIndex)\n        #break\n      #end\n    #end\n    #if ($index &lt; 0 || $input.get($index).isEmpty())\n      #break\n    #else\n      #set ($discard = $lists.get($index).add($input.get($index).poll()))\n    #end\n  #end\n#end\n{{/velocity}}</content></xwikidoc>\n
2793603504837844625	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DocumentTreeTranslations</name>\n<language>fr</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>XWiki.DocumentTree</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1424709160000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Document Tree Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nrendering.macro.documentTree.description=Affiche l'arborescence des documents XWiki\nrendering.macro.documentTree.name=Arborescence\nrendering.macro.documentTree.parameter.checkboxes.description=Pour afficher une case à cocher en face de chaque noeud de l'arbre afin de permettre à l'utilisateur de sélectionner plusieurs noeuds de l'arbre.\nrendering.macro.documentTree.parameter.checkboxes.name=Cases à cocher\nrendering.macro.documentTree.parameter.compact.description=Si vous avez une espace horizontal disponible limité, alors vous devriez probablement le paramétrer à true. L'effet est que les icônes de noeuds et les branches qui les relient seront cachés. Certains styles spéciaux seront également appliqués pour assurer que l'arbre prenne moins d'espace horizontal tout en maintenant les labels des noeuds entièrement visible. \nrendering.macro.documentTree.parameter.compact.name=Compact\nrendering.macro.documentTree.parameter.filterByClass.description=Afficher uniquement les documents qui ont un objet du type spécifié. La valeur de ce paramètre est le nom complet d'un document XWiki qui détient une définition de classe. Par exemple, 'Blog.CategoryClass' peut être utilisé pour afficher uniquement les documents qui représentent les catégories de blog. Laissez ce paramètre vide si vous ne souhaitez pas restreindre le type de documents présentés dans l'arbre.\nrendering.macro.documentTree.parameter.filterByClass.name=Filtrer par Class\nrendering.macro.documentTree.parameter.finder.description=Affiche une entrée texte qui peut être utilisée pour trouver des noeuds de l'arbre. L'entrée est affichée au-dessus de l'arbre et offre des Suggestions automatiques basées sur le contenu de l'arbre pendant que vous tapez. Quand une suggestion est sélectionnée, l'arbre est étendu jusqu'au noeud correspondant.\nrendering.macro.documentTree.parameter.finder.name=Filtre\nrendering.macro.documentTree.parameter.links.description=Indique si les labels de noeud doivent ressembler ou se comporter comme des liens (ancres).\nrendering.macro.documentTree.parameter.links.name=Liens\nrendering.macro.documentTree.parameter.openTo.description=L'id du noeud pour ouvrir l'arbre. Tous les ancêtres du noeud spécifié, jusqu'à la racine de l'arbre, seront ouverts également. Le format de l'identifiant de noeud est celui utilisé pour le paramètre de la racine.\nrendering.macro.documentTree.parameter.openTo.name=Ouvrir à\nrendering.macro.documentTree.parameter.readOnly.description=L'utilisateur doit-il être en mesure de modifier la structure de l'arbre, si il a les droits nécessaires ?\nrendering.macro.documentTree.parameter.readOnly.name=Lecture seule\nrendering.macro.documentTree.parameter.root.description=L'identifiant du noeud de la racine. C'est utile si vous souhaitez afficher uniquement les descendants d'un noeud donné (qui est la racine spécifiée). L'arbre affiche les enfants du noeud racine sur le premier niveau, de sorte que le noeud racine n'est pas réellement affiché. L'arbre entier s'affiche si le noeud racine n'est pas spécifié. Le format d'un identificateur de noeud est entityType\\: EntityReference, où le type d'entité peut être par exemple wiki, espace, document. Par exemple\\: wiki\\:xwiki, space\\:xwiki\\:Main, document\\:xwiki\\:Main.WebHome\nrendering.macro.documentTree.parameter.root.name=Racine\nrendering.macro.documentTree.parameter.showAttachments.description=Pour afficher les pièces jointes du document ou non\nrendering.macro.documentTree.parameter.showAttachments.name=Montrer les pièces jointes\nrendering.macro.documentTree.parameter.showChildDocuments.description=Montrer les documents enfant basé sur le champ parent du document.\nrendering.macro.documentTree.parameter.showChildDocuments.name=Montrer les documents enfants\nrendering.macro.documentTree.parameter.showClassProperties.description=Pour montrer les propriétés de classe pour les documents qui définissent les classes.\nrendering.macro.documentTree.parameter.showClassProperties.name=Montrer les propriétés de Class\nrendering.macro.documentTree.parameter.showDocumentTitle.description=Pour afficher le titre de document au lieu du nom du document lors de l'affichage d'un noeud de document.\nrendering.macro.documentTree.parameter.showDocumentTitle.name=Montrer le titre du document\nrendering.macro.documentTree.parameter.showObjects.description=Pour montrer les objets de document ou non.\nrendering.macro.documentTree.parameter.showObjects.name=Montrer les Objects\nrendering.macro.documentTree.parameter.showOnlyViewable.description=N'afficher que le wiki, espace et nœuds de documents pour lesquels l'utilisateur a le droit de "voir". Si c'est la valeur false, le wiki, espace et nœuds de documents qui ne sont pas visibles par l'utilisateur actuel sont répertoriés dans l'arbre en utilisant leurs noms. L'utilisateur ne sera pas en mesure de voir leur contenu en suivant leurs liens (l'utilisateur sera seulement au courant de leur existence).\nrendering.macro.documentTree.parameter.showOnlyViewable.name=Montrer seulement ce qui est visible\nrendering.macro.documentTree.parameter.showSpaces.description=Pour montrer les noeuds des espaces ou non. Les documents sont regroupés par espace si les noeuds de l'espace sont affichés.\nrendering.macro.documentTree.parameter.showSpaces.name=Montrer les Espaces\nrendering.macro.documentTree.parameter.showTranslations.description=Pour montrer les traductions de documents ou non.\nrendering.macro.documentTree.parameter.showTranslations.name=Montrer les traductions\nrendering.macro.documentTree.parameter.showWikiPrettyName.description=Montre le pretty name du wiki au lieu de l'id du wiki quand il affiche un noeud de wiki.\nrendering.macro.documentTree.parameter.showWikiPrettyName.name=Montrer le Pretty Name du wiki\nrendering.macro.documentTree.parameter.showWikis.description=Pour montrer les nœuds de wiki ou non. Cela ne peut être utilisé que sur le wiki principal et si la source de l'arbre a été enregistrée avec des droits de programmation.\nrendering.macro.documentTree.parameter.showWikis.name=Montrer les Wikis\n</content></xwikidoc>
-7007617496204683048	1	1	2017-05-12 15:43:30	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DocumentTree</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.AllDocs</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1414166566000</creationDate>\n<date>1494618210000</date>\n<contentUpdateDate>1494618210000</contentUpdateDate>\n<version>1.1</version>\n<title>Document Tree</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>0</number>\n<className>XWiki.WikiMacroClass</className>\n<guid>7369a327-ae4a-4ea0-a99d-02187ca2d32e</guid>\n<property>\n<code>{{velocity}}\n#macro (escapeMacroParam $value)$!value.replaceAll('([~"])', '~$1')#end\n#set ($docTreeConfig = {\n  'showWikis': false,\n  'showWikiPrettyName': true,\n  'showSpaces': false,\n  'showDocumentTitle': true,\n  'showTranslations': true,\n  'showAttachments': true,\n  'showObjects': false,\n  'showClassProperties': false,\n  'showChildDocuments': true,\n  'showOnlyViewable': true,\n  'filterByClass': '',\n  'root': ''\n})\n#set ($resourceParams = {'outputSyntax': 'plain'})\n#foreach ($entry in $docTreeConfig.entrySet())\n  #set ($value = $xcontext.macro.params.get($entry.key))\n  #if ("$!value" != '' &amp;&amp; $value != "$!entry.value")\n    #set ($discard = $resourceParams.put($entry.key, $value))\n  #end\n#end\n#set ($reference = "path:$xwiki.getURL($xcontext.macro.doc.documentReference, 'get', $escapetool.url($resourceParams))")\n#set ($editable = $xcontext.macro.params.readOnly != 'true')\n#set ($isFullWidthAvailable = $xcontext.macro.params.compact != 'true')\n#set ($links = $xcontext.macro.params.links == 'true')\n#set ($checkboxes = $xcontext.macro.params.checkboxes == 'true')\n#set ($finder = $xcontext.macro.params.finder == 'true')\n## We use directly FontAwesome for the tree node icons for two reasons:\n## * the XWiki icon set (available through the icon themes) is limited\n## * jsTree expects an URL/path or a CSS class name as the value of the tree node icon configuration when JSON source is\n##   used; the icon theme API is currently only able to render an icon but there's no way to get the icon configuration\n##   as jsTree expects it. The alternative is to use the HTML source to feed the tree but then the tree definition and\n##   configuration becomes complex.\n## We don't load the FontAwesome CSS directly from its WebJar because it contains some relative paths that currently are\n## not handled correctly by the WebJar action. This has been fixed in the FontAwesome icon theme so we load the theme\n## SSX instead.\n#set ($discard = $xwiki.ssx.use('IconThemes.FontAwesome'))\n## Include also the fix for the FontAwesome loading issue on IE8.\n#set ($discard = $xwiki.jsx.use('IconThemes.FontAwesome'))\n{{tree reference="#escapeMacroParam($reference)" root="#escapeMacroParam($xcontext.macro.params.root)"\n  dragAndDrop="$editable" contextMenu="$editable" icons="$isFullWidthAvailable" edges="$isFullWidthAvailable"\n  links="$links" checkboxes="$checkboxes" openTo="#escapeMacroParam($xcontext.macro.params.openTo)"\n  finder="$finder" /}}\n{{/velocity}}</code>\n</property>\n<property>\n<contentDescription></contentDescription>\n</property>\n<property>\n<contentType>No content</contentType>\n</property>\n<property>\n<defaultCategory>Navigation</defaultCategory>\n</property>\n<property>\n<description>Displays the tree of XWiki documents.</description>\n</property>\n<property>\n<id>documentTree</id>\n</property>\n<property>\n<name>Document Tree</name>\n</property>\n<property>\n<supportsInlineMode>0</supportsInlineMode>\n</property>\n<property>\n<visibility>Current Wiki</visibility>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>0</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>583bffd2-30a7-487e-9b1e-6067e5d94aff</guid>\n<property>\n<defaultValue>true</defaultValue>\n</property>\n<property>\n<description>Should the user be able to modify the tree structure, provided she has the necessary rights?</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>readOnly</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>1</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>bbd355f8-9f4b-4674-96e3-235e29f49f95</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Whether to show the wiki nodes or not. This can be used only on the main wiki and if the tree source has been saved with programming rights.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>showWikis</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>2</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>5ad29f31-ef4d-4624-a54c-a2aa7cdb66d3</guid>\n<property>\n<defaultValue>true</defaultValue>\n</property>\n<property>\n<description>Show the wiki pretty name instead of the wiki id when displaying a wiki node.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>showWikiPrettyName</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>3</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>b3007652-cfa2-4a73-baa5-6ce96f873003</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Whether to show the space nodes or not. The documents are grouped by space if the space nodes are displayed.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>showSpaces</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>4</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>211b551c-978a-4818-99a5-c83364c9e244</guid>\n<property>\n<defaultValue>true</defaultValue>\n</property>\n<property>\n<description>Whether to show the document title instead of the document name when displaying a document node.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>showDocumentTitle</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>5</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>607c05eb-a305-4070-bed6-5574a7d97b4e</guid>\n<property>\n<defaultValue>true</defaultValue>\n</property>\n<property>\n<description>Whether to show the document translations or not.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>showTranslations</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>6</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>ddad343b-39db-4f13-9cf8-df1c953c0efa</guid>\n<property>\n<defaultValue>true</defaultValue>\n</property>\n<property>\n<description>Whether to show the document attachments or not.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>showAttachments</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>7</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>3d7cd63c-be0c-4d6b-bfa9-41a2d4a9948e</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Whether to show the document objects or not.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>showObjects</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>8</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>e1e760a9-40ec-4bb5-856b-3d18b8c48c3c</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Whether to show the class properties for documents that define classes.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>showClassProperties</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>9</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>36929e3b-326e-4f39-ac99-1b55735a031a</guid>\n<property>\n<defaultValue>true</defaultValue>\n</property>\n<property>\n<description>Whether to show the child documents based on the document parent field.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>showChildDocuments</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>10</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>a7fcc71e-deb1-4bb3-8f5b-6b8ed5482350</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The root node id. This is useful if you want to display only the descendants of a given node (which is the specified root). The tree displays the children of the root node on the first level, so the root node is not actually displayed. The entire tree is displayed if the root node is not specified. The format of a node identifier is entityType:entityReference, where the entity type can be for instance wiki, space, document. E.g.: wiki:xwiki, space:xwiki:Main, document:xwiki:Main.WebHome</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>root</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>11</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>b8d3e6d9-1054-492d-89f8-3540ec029634</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>If you have limited horizontal space available then you should probably set this to true. The effect is that the node icons and the edges that connect them will be hidden. Some special styles will also be applied to ensure the tree takes less horizontal space while keeping the node labels fully visible.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>compact</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>12</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>2a0ef5ff-9d44-4e8f-9c5b-cddda8d82b4d</guid>\n<property>\n<defaultValue>true</defaultValue>\n</property>\n<property>\n<description>Specifies whether the node labels should look and behave as links (anchors).</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>links</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>13</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>cfc10379-bd4f-4c23-a669-37566c6245ba</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Whether to display a checkbox in front of each tree node to allow the user to select multiple tree nodes.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>checkboxes</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>14</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>a0b559b9-36f6-4682-84f2-6d1e1d8fefa9</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The id of the node to open the tree to. All the ancestors of the specified node, up to the root of the tree, will be opened also. The format of the node id is the one used for the root parameter.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>openTo</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>15</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>57c05fc4-6df3-4cc8-ab8f-ec523341ce0d</guid>\n<property>\n<defaultValue>true</defaultValue>\n</property>\n<property>\n<description>Show only the wiki, space and document nodes for which the current user has view right. If this is set to false then the wiki, space and document nodes that are not viewable by the current user are listed in the tree using their names. The user won't be able to see their content by following their links though (the user will just be aware of their existence).</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>showOnlyViewable</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>16</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>a58f8083-0b50-4898-8e36-30a843acd506</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Show only the documents that have an object of the specified type. The value of this parameter is the full name of an XWiki document that holds a class definition. For example, 'Blog.CategoryClass' can be used to show only the documents that represent blog categories. Leave this parameter empty if you don't want to restrict the type of documents shown in the tree.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>filterByClass</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentTree</name>\n<number>17</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>81d944dc-8be2-45af-a7b6-b924b6608c66</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Show a text input that can be used to find tree nodes. The input is displayed above the tree and offers suggestions as you type based on the content of the tree. When a suggestion is selected the tree is expanded up to the corresponding node.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>finder</name>\n</property>\n</object>\n<content>{{include reference="XWiki.DocumentTreeMacros" /}}\n\n{{velocity wiki="false"}}\n#if ($xcontext.action == 'get')\n  #updateDocTreeConfigFromRequest\n  #handleDocumentTreeRequest\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ($xcontext.action != 'get')\n  == Document Hierarchy Tree ==\n\n  {{documentTree /}}\n\n  === Compact Document Hierarchy Tree ===\n\n  {{documentTree compact="true" /}}\n\n  == Document Index Tree ==\n\n  {{documentTree showSpaces="true" /}}\n\n  == Wiki &gt; Space &gt; Page Tree ==\n\n  {{documentTree showWikis="true" showSpaces="true" showTranslations="false" showAttachments="false" showChildDocuments="false" /}}\n\n  == Full Entity Tree ==\n\n  {{documentTree showWikis="true" showWikiPrettyName="false" showSpaces="true" showDocumentTitle="false"\n    showChildDocuments="false" showObjects="true" showClassProperties="true" /}}\n#end\n{{/velocity}}</content></xwikidoc>\n
-4238424071903631900	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>Tableview</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.AllDocs</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252454400000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('platform.index')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{documents id="alldocs"/}}</content></xwikidoc>\n
2919783485271046162	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AllAttachments</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.AllDocs</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252454400000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('platform.index.attachments')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.AllAttachments</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>9ad0f248-6336-4543-ae2b-fd41dda77be4</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>(function(){\n\nif (typeof XWiki == "undefined") {\n   XWiki = new Object();\n}\n\nif (typeof XWiki.index == "undefined") {\n   XWiki.index = new Object();\n}\n\nvar mimetypes = {\n  "image/svg"                     : { "src" : "$xwiki.getSkinFile('icons/silk/vector.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.svg')}", "title" : "${services.localization.render('core.viewers.attachments.mime.svg')}" },\n  "application/svg+xml"           : { "src" : "$xwiki.getSkinFile('icons/silk/vector.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.svg')}", "title" : "${services.localization.render('core.viewers.attachments.mime.svg')}" },\n  "text/plain"                    : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_text.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.text')}", "title" : "${services.localization.render('core.viewers.attachments.mime.text')}"},\n  "text/html"                     : { "src" : "$xwiki.getSkinFile('icons/silk/html.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.html')}", "title" : "${services.localization.render('core.viewers.attachments.mime.html')}"},\n  "text/css"                      : { "src" : "$xwiki.getSkinFile('icons/silk/css.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.css')}", "title" : "${services.localization.render('core.viewers.attachments.mime.css')}" },\n  "application/xml"               : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_code.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.xml')}", "title" : "${services.localization.render('core.viewers.attachments.mime.xml')}" },\n  "application/pdf"               : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_acrobat.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.pdf')}", "title" : "${services.localization.render('core.viewers.attachments.mime.pdf')}" },\n  "application/postscript"        : { "src" : "$xwiki.getSkinFile('icons/silk/page_red.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.ps')}",   "title" : "${services.localization.render('core.viewers.attachments.mime.ps')}"  },\n  "application/msword"            : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_word.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.document')}", "title" : "${services.localization.render('core.viewers.attachments.mime.document')}"},\n  "application/powerpoint"        : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_powerpoint.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.presentation')}", "title" : "${services.localization.render('core.viewers.attachments.mime.presentation')}" },\n  "application/x-shockwave-flash" : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_flash.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.flash')}", "title" : "${services.localization.render('core.viewers.attachments.mime.flash')}" },\n  "application/x-tar"             : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_compressed.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.tar')}", "title" : "${services.localization.render('core.viewers.attachments.mime.tar')}" },\n  "application/zip"               : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_zip.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.zip')}", "title" : "${services.localization.render('core.viewers.attachments.mime.zip')}" },\n  "application/x-gzip"            : { "src" : "$xwiki.getSkinFile('icons/silk/page_white_compressed.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.gz')}", "title" : "${services.localization.render('core.viewers.attachments.mime.gz')}"  },\n  "application/java-archive"      : { "src" : "$xwiki.getSkinFile('icons/silk/cup.png')", "alt" : "${services.localization.render('core.viewers.attachments.mime.jar')}", "title" : "${services.localization.render('core.viewers.attachments.mime.jar')}" }\n};\n\n/**\n * JavasScript equivalent of the #mimetype macro.\n * Returns a 20px * 20px image (as an element) corresponding to the passed mimetype.\n * First lookup if the type is in the mimetypes object above, then handles some other cases (starts/end with, etc.)\n * This function should be cleaned at the same time the mimetype images and macro are.\n */\nfunction getMimeTypeImage(type) {\n  var image = undefined;\n  if (mimetypes[type]) {\n    image = new Element('img',{'src':mimetypes[type].src,'alt':mimetypes[type].alt,'title':mimetypes[type].title});\n  }\n  else if(type.match(/^image\\//)) {\n    image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/picture.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.image')}", 'title': "${services.localization.render('core.viewers.attachments.mime.image')}"});\n  }\n  else if(type.match(/^text\\//)) {\n    image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page_white_text.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.text')}", 'title': "${services.localization.render('core.viewers.attachments.mime.text')}"});\n  }\n  else if(type.match(/^audio\\//)){\n    image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/music.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.audio')}", 'title': "${services.localization.render('core.viewers.attachments.mime.audio')}"});\n  }\n  else if(type.match(/^video\\//)){\n    image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/film.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.video')}", 'title': "${services.localization.render('core.viewers.attachments.mime.video')}"});\n  }\n  else if(type=="application/octet-stream") {\n    if (type.match(/\\.xls$/)) {\n      image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page_white_excel.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.spreadsheet')}", 'title': "${services.localization.render('core.viewers.attachments.mime.spreadsheet')}"});\n    }\n    else if (type.match(/\\.bz$/)) {\n      image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page_white_compressed.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.bz')}", 'title': "${services.localization.render('core.viewers.attachments.mime.bz')}"});\n    }\n    else if (type.match(/\\.tgz$/)) {\n      image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page_white_compressed.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.gz')}", 'title': "${services.localization.render('core.viewers.attachments.mime.gz')}"});\n    }\n    else if (type.match(/\\.rar$/)) {\n      image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page_white_compressed.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.rar')}", 'title': "${services.localization.render('core.viewers.attachments.mime.rar')}"});\n    }\n    else if (type.match(/\\.(odt|odp|odf|ods|sxw|stw)$/)) {\n      image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/page.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.office')}", 'title': "${services.localization.render('core.viewers.attachments.mime.office')}"});\n    }\n  } \n  else if (type.match(/^application\\//)) {\n    image = new Element('img', {'src':"$xwiki.getSkinFile('icons/silk/cog.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.exe')}", 'title': "${services.localization.render('core.viewers.attachments.mime.exe')}"});\n  }\n  if (typeof image == "undefined") {\n    image = new Element('img', {'src': "$xwiki.getSkinFile('icons/silk/page_white.png')", 'alt':"${services.localization.render('core.viewers.attachments.mime.attachment')}", 'title': "${services.localization.render('core.viewers.attachments.mime.attachment')}"});\n  }\n  image.style.width = '16px';\n  image.style.height = '16px';\n  return image;\n}\n\nXWiki.index.displayAttachmentEntry = function (row, i, table) {\n  var inaccessibleDocs = false;\n  if(row.acclev == true) {\n    var fileLink = new Element('a', {'href' : row.fileurl}).update(row.filename);\n    var tr = new Element('tr').update(new Element('td').update(fileLink));\n    var pageLink = new Element('a', {'href' : row.url}).update(row.page);\n    tr.appendChild(new Element('td', {'class' : 'pagename'}).update(pageLink));\n    var spaceLink = new Element('a', {'href' : row.spaceurl}).update(row.space);\n    tr.appendChild(new Element('td', {'class' : 'spacename'}).update(spaceLink));\n    tr.appendChild(new Element('td').update(row.date));\n    var aa = new Element('a', {'href' : row.authorurl}).update(row.authorname);\n    tr.appendChild(new Element('td').update(aa));\n    var type = new Element('td').update(getMimeTypeImage(row.type));\n    tr.appendChild(type);\n    return tr;\n  } else {\n    var tr = new Element('tr');\n    var page = row.fullname;\n\n    var td1 = new Element('td').update("unavailable");\n    var td2 = new Element('td', {'class' : 'pagename'}).update(page + "*");\n    var td3 = new Element('td').update(" ");\n    var td4 = new Element('td').update(" ");\n    var td5 = new Element('td').update(" ");\n    var td6 = new Element('td').update(" ");\n    tr.appendChild(td1);\n    tr.appendChild(td2);\n    tr.appendChild(td3);\n    tr.appendChild(td4);\n    tr.appendChild(td5);\n    tr.appendChild(td6);\n    $('inaccessibleDocsMessage').removeClassName('hidden');\n    return tr;\n  }\n}\n\n})();\n</code></property><property><name></name></property><property><parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity}}\n#set ($discard = $xwiki.jsx.use('XWiki.AllAttachments'))\n##\n#set ($collist = ['filename', 'doc.name', 'doc.space', 'date', 'author', 'type'])\n#set ($colprops = {\n                   'filename'  : { 'type' : 'text', 'size' : 10 },\n                   'doc.name'  : { 'type' : 'text', 'size' : 10 },\n                   'doc.space' : { 'type' : 'text', 'size' : 10 },\n                   'date'      : { 'type' : 'date', 'size' : 10, 'filterable' : false },\n                   'author'    : { 'type' : 'text', 'size' : 10 },\n                   'type'      : { 'sortable' : false }\n                 })\n#set($options = { 'url' : $xwiki.getURL('XWiki.AllAttachmentsResults', 'get', 'xpage=plain&amp;outputSyntax=plain'),\n                  'callback' : 'XWiki.index.displayAttachmentEntry',\n                  'translationPrefix' : 'platform.index.attachments.' })\n#livetable('allattachments' $collist $colprops $options)\n\n(% id="inaccessibleDocsMessage" class="hidden" %)\n(((\n{{info}}$services.localization.render('rightsmanager.documentrequireviewrights'){{/info}}\n)))\n{{/velocity}}</content></xwikidoc>\n
-4173326538303807814	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DocumentTreeTranslations</name>\n<language></language>\n<defaultLanguage>en</defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.DocumentTree</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1424709160000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>Document Tree Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.TranslationDocumentClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>1</number>\n<prettyName>Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>GLOBAL|WIKI|USER|ON_DEMAND</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>XWiki.DocumentTreeTranslations</name>\n<number>0</number>\n<className>XWiki.TranslationDocumentClass</className>\n<guid>7b0ef63b-7bc3-4950-a557-9d076eeafa54</guid>\n<property>\n<scope>WIKI</scope>\n</property>\n</object>\n<content>rendering.macro.documentTree.name=Document Tree\nrendering.macro.documentTree.description=Displays the tree of XWiki documents.\nrendering.macro.documentTree.parameter.readOnly.name=Read Only\nrendering.macro.documentTree.parameter.readOnly.description=Should the user be able to modify the tree structure, provided she has the necessary rights?\nrendering.macro.documentTree.parameter.showWikis.name=Show Wikis\nrendering.macro.documentTree.parameter.showWikis.description=Whether to show the wiki nodes or not. This can be used only on the main wiki and if the tree source has been saved with programming rights.\nrendering.macro.documentTree.parameter.showWikiPrettyName.name=Show Wiki Pretty Name\nrendering.macro.documentTree.parameter.showWikiPrettyName.description=Show the wiki pretty name instead of the wiki id when displaying a wiki node.\nrendering.macro.documentTree.parameter.showSpaces.name=Show Spaces\nrendering.macro.documentTree.parameter.showSpaces.description=Whether to show the space nodes or not. The documents are grouped by space if the space nodes are displayed.\nrendering.macro.documentTree.parameter.showDocumentTitle.name=Show Document Title\nrendering.macro.documentTree.parameter.showDocumentTitle.description=Whether to show the document title instead of the document name when displaying a document node.\nrendering.macro.documentTree.parameter.showTranslations.name=Show Translations\nrendering.macro.documentTree.parameter.showTranslations.description=Whether to show the document translations or not.\nrendering.macro.documentTree.parameter.showAttachments.name=Show Attachments\nrendering.macro.documentTree.parameter.showAttachments.description=Whether to show the document attachments or not.\nrendering.macro.documentTree.parameter.showObjects.name=Show Objects\nrendering.macro.documentTree.parameter.showObjects.description=Whether to show the document objects or not.\nrendering.macro.documentTree.parameter.showClassProperties.name=Show Class Properties\nrendering.macro.documentTree.parameter.showClassProperties.description=Whether to show the class properties for documents that define classes.\nrendering.macro.documentTree.parameter.showChildDocuments.name=Show Child Documents\nrendering.macro.documentTree.parameter.showChildDocuments.description=Whether to show the child documents based on the document parent field.\nrendering.macro.documentTree.parameter.root.name=Root\nrendering.macro.documentTree.parameter.root.description=The root node id. This is useful if you want to display only the descendants of a given node (which is the specified root). The tree displays the children of the root node on the first level, so the root node is not actually displayed. The entire tree is displayed if the root node is not specified. The format of a node identifier is entityType:entityReference, where the entity type can be for instance wiki, space, document. E.g.: wiki:xwiki, space:xwiki:Main, document:xwiki:Main.WebHome\nrendering.macro.documentTree.parameter.compact.name=Compact\nrendering.macro.documentTree.parameter.compact.description=If you have limited horizontal space available then you should probably set this to true. The effect is that the node icons and the edges that connect them will be hidden. Some special styles will also be applied to ensure the tree takes less horizontal space while keeping the node labels fully visible.\nrendering.macro.documentTree.parameter.links.name=Links\nrendering.macro.documentTree.parameter.links.description=Specifies whether the node labels should look and behave as links (anchors).\nrendering.macro.documentTree.parameter.checkboxes.name=Checkboxes\nrendering.macro.documentTree.parameter.checkboxes.description=Whether to display a checkbox in front of each tree node to allow the user to select multiple tree nodes.\nrendering.macro.documentTree.parameter.openTo.name=Open to\nrendering.macro.documentTree.parameter.openTo.description=The id of the node to open the tree to. All the ancestors of the specified node, up to the root of the tree, will be opened also. The format of the node id is the one used for the root parameter.\nrendering.macro.documentTree.parameter.showOnlyViewable.name=Show only Viewable\nrendering.macro.documentTree.parameter.showOnlyViewable.description=Show only the wiki, space and document nodes for which the current user has view right. If this is set to false then the wiki, space and document nodes that are not viewable by the current user are listed in the tree using their names. The user won't be able to see their content by following their links though (the user will just be aware of their existence).\nrendering.macro.documentTree.parameter.filterByClass.name=Filter by Class\nrendering.macro.documentTree.parameter.filterByClass.description=Show only the documents that have an object of the specified type. The value of this parameter is the full name of an XWiki document that holds a class definition. For example, 'Blog.CategoryClass' can be used to show only the documents that represent blog categories. Leave this parameter empty if you don't want to restrict the type of documents shown in the tree.\nrendering.macro.documentTree.parameter.finder.name=Finder\nrendering.macro.documentTree.parameter.finder.description=Show a text input that can be used to find tree nodes. The input is displayed above the tree and offers suggestions as you type based on the content of the tree. When a suggestion is selected the tree is expanded up to the corresponding node.</content></xwikidoc>\n
22690398456488318	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DeletedDocuments</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.AllDocs</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1404731556000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('platform.index.documentsTrash')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.DeletedDocuments</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>222ca0ed-b042-41d5-9d7e-942c4cc8a94b</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>// Make sure the XWiki.index.trash.documents 'namespace' exists.\nif (typeof XWiki == "undefined") {\n  XWiki = new Object();\n}\nif (typeof XWiki.index == "undefined") {\n  XWiki.index = new Object();\n}\nif (typeof XWiki.index.trash == "undefined") {\n  XWiki.index.trash = new Object();\n}\nif (typeof XWiki.index.trash.documents == "undefined") {\n  XWiki.index.trash.documents = new Object();\n}\n\n/**\n * Callback function used by the DeletedDocuments livetable for generating the HTML code needed to display an entry.\n * \n * @param row the JSON data corresponding to the entry to be displayed\n * @param i the index of the row in the list of entries\n * @param table the LiveTable javascript object\n */\nXWiki.index.trash.documents.displayEntry = function (row, i, table) {\n  var tr = new Element('tr'); // The resulting table row\n  var pageTd = new Element('td');\n  var page = new Element('a', {'href' : row.url}).update(row.fullname);\n  pageTd.appendChild(page);\n  if (row.language &amp;&amp; row.language.trim().length != 0) {\n    var language = new Element('span').update('(' + row.language.trim() + ')');\n    pageTd.appendChild(document.createTextNode(' '));\n    pageTd.appendChild(language);\n  }\n  tr.appendChild(pageTd);\n  tr.appendChild(new Element('td').update(row.title));\n  tr.appendChild(new Element('td').update(row.date));\n  var deleter = new Element('a', {'href' : row.deleterurl}).update(row.deletername);\n  tr.appendChild(new Element('td').update(deleter));\n  var actions = new Element('td', {'class' : 'itemActions'});\n  if(!row.alreadyExists) {\n    if(row.canRestore) {\n      if (row.causesOrphanedTranslation) {\n        // Can not restore: It would cause the translation to be inaccessible from the UI until the main document is restored/created.\n        var restore = new Element('a', {\n            'href' : row.originalUrl,\n            'class' : 'tool cannot-restore',\n            'title' : "$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreCausesOrphanedTranslationTooltip')"\n          }).update("$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreText')");\n        actions.appendChild(restore);\n      } else {\n        // Restore the document.\n        var restore = new Element('a', {\n            'href' : row.restoreUrl,\n            'class' : 'tool restore',\n            'title' : "$services.localization.render('platform.index.trashDocumentsActionsRestoreTooltip')"\n          }).update("$services.localization.render('platform.index.trashDocumentsActionsRestoreText')");\n        actions.appendChild(restore);\n      }\n    }\n  } else {\n    // Can not restore: A document was already restored at that location.\n    // TODO: Add an overwrite dialog here.\n    var restore = new Element('a', {\n        'href' : row.originalUrl,\n        'class' : "tool cannot-restore",\n        'title' : "$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreTooltip')"\n      }).update("$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreText')");\n    actions.appendChild(restore);\n  }\n  if(row.canDelete) {\n    var delete_ = new Element('a', {\n        'href' : row.deleteUrl,\n        'class' : "tool delete",\n        'title' : "$services.localization.render('platform.index.trashDocumentsActionsDeleteTooltip')"\n      }).update("$services.localization.render('platform.index.trashDocumentsActionsDeleteText')");\n    actions.appendChild(document.createTextNode(' '));\n    actions.appendChild(delete_);\n    delete_.observe('click', XWiki.index.trash.documents.confirmDelete.bindAsEventListener(delete_, table, i));\n  }\n  tr.appendChild(actions);\n  return tr;\n}\n\n/**\n * Event listener, called when clicking a delete version link. It displays a confirmation box, speeding up the two-step\n * deletion process.\n * \n * @param event the link activation event\n * @param table the LiveTable javascript object\n * @param rowIdx the index of the row corresponding to the entry to be deleted\n */\nXWiki.index.trash.documents.confirmDelete = function(event, table, rowIdx) {\n  event.stop();\n  if (this.disabled) {\n    // Do nothing if the button was already clicked and it's waiting for a response from the server.\n    return;\n  } else {\n    new XWiki.widgets.ConfirmedAjaxRequest(\n      /* Ajax request URL */\n      this.href + '&amp;confirm=1' + (Prototype.Browser.Opera ? "" : "&amp;ajax=1"),\n      /* Ajax request parameters */\n      {\n        onCreate : function() {\n          // Disable the button, to avoid a cascade of clicks from impatient users\n          this.disabled = true;\n        }.bind(this),\n        onSuccess : function(table, rowIdx) {\n          // Remove the corresponding HTML element from the UI and update the livetable\n          table.deleteRow(rowIdx);\n        }.bind(this, table, rowIdx),\n        // This is an expected 404, returned when the document has been successfully deleted and is no longer found\n        on404 : function(response, table, rowIdx) {\n          response.request.options.onSuccess(table, rowIdx);\n        }.bindAsEventListener(this, table, rowIdx),\n        onComplete : function() {\n          // In the end: re-enable the button\n          this.disabled = false;\n        }.bind(this)\n      },\n      /* Interaction parameters */\n      {\n         confirmationText: "$services.localization.render('core.recyclebin.completelyDeleteConfirm')",\n         progressMessageText : "$services.localization.render('platform.index.trashDocumentsDeleteInProgress')",\n         successMessageText : "$services.localization.render('platform.index.trashDocumentsDeleteDone')",\n         failureMessageText : "$services.localization.render('platform.index.trashDocumentsDeleteFailed')"\n      }\n      );\n  }\n}\n/*\n * The livetable is hidden when javascript is disabled, so that an alternative &lt;noscript&gt; table is displayed.\n * Re-display it when the document loads and Javascript is available.\n */\ndocument.observe('xwiki:dom:loaded', function() {\n  if ($('documentsTrash')) {\n    $('documentsTrash').up('.hidden').removeClassName('hidden');\n  }\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<name>XWiki.DeletedDocuments</name>\n<number>0</number>\n<className>XWiki.RequiredRightClass</className>\n<guid>8de78194-f5ba-4cd8-8f0e-69b9d554e31c</guid>\n<property>\n<level>programming</level>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.DeletedDocuments</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>aa8c7e27-a767-4e44-ac29-7809763dff56</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.itemActions .tool {\n  width: 16px;\n  height: 16px;\n  margin: 0 2px;\n  float: left;\n  text-indent: -1000em;\n  overflow: hidden;\n  background: transparent no-repeat center center;\n}\n.itemActions .delete {\n  background-image: url("$xwiki.getSkinFile('icons/silk/cross.png')") !important;\n}\n.itemActions .restore {\n   background-image: url("$xwiki.getSkinFile('icons/silk/arrow_refresh.png')") !important;\n}\n.itemActions .cannot-restore {\n   background-image: url("$xwiki.getSkinFile('icons/silk/page_error.png')") !important;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.DeletedDocuments</name>\n<number>1</number>\n<className>XWiki.XWikiRights</className>\n<guid>f31fc0c5-7569-4716-8529-b30d3d6a9d9b</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup</groups>\n</property>\n<property>\n<levels>view,edit</levels>\n</property>\n<property>\n<users></users>\n</property>\n</object>\n<content>{{velocity}}##\n#if(!$xwiki.hasProgrammingRights())\n  {{warning}}This document requires programming rights and needs to be saved by an administrator of this Wiki{{/warning}}\n#else\n#set($dateFormat = 'yyyy MMMM d, HH:mm')\n$xwiki.ssx.use('XWiki.DeletedDocuments')##\n$xwiki.jsx.use('XWiki.DeletedDocuments')##\n##\n#set($columns = ["ddoc.fullName", "ddoc.title", "ddoc.date", "ddoc.deleter", 'actions'])\n#set($columnProperties = {\n    'ddoc.fullName'  : { 'type' : 'text', 'size' : 10 },\n    'ddoc.title'     : { 'type' : 'text', 'filterable' : false, 'sortable' : false },\n    'ddoc.date'      : { 'type' : 'date', 'filterable' : false },\n    'ddoc.deleter'   : { 'type' : 'text', 'size' : 10 },\n    'actions'        : { 'type' : 'text', 'filterable' : false, 'sortable' : false }\n  })##\n#set($options = {\n    'url'               : "$xwiki.getURL('XWiki.DeletedDocumentsJSON', 'view', 'list=1&amp;xpage=plain&amp;outputSyntax=plain')",\n    'callback'          : 'XWiki.index.trash.documents.displayEntry',\n    'translationPrefix' : 'platform.index.trashDocuments.'\n  })##\n##\n##\n##\n{{html wiki="true" clean="false"}}\n&lt;div class="hidden"&gt;\n#livetable('documentsTrash' $columns $columnProperties $options)\n&lt;/div&gt;\n{{/html}}\n##\n##\n##\n\n{{html wiki="true" clean="false"}}\n&lt;noscript&gt;\n  #set($deletedDocuments = $services.query.hql('select count(ddoc.id) from XWikiDeletedDocument as ddoc').execute().get(0))\n  #if($deletedDocuments == 0)\n\n    {{info}}$services.localization.render('platform.index.trashDocumentsEmpty'){{/info}}\n\n  #else\n  #macro(displayDeletedDoc $id)\n    #set($ddoc = $xwiki.getDeletedDocument('', '', "$id"))\n    #set($originalDocument = $ddoc.getDocument())\n    &lt;tr&gt;\n      &lt;td&gt;&lt;a href="$originalDocument.getURL('view', "viewer=recyclebin&amp;amp;id=${id}")"&gt;$escapetool.xml($ddoc.fullName)&lt;/a&gt;&lt;/td&gt;\n      &lt;td&gt;$escapetool.xml($originalDocument.plainTitle)&lt;/td&gt;\n      &lt;td&gt;$xwiki.formatDate($ddoc.getDate(), $dateFormat)&lt;/td&gt;\n      &lt;td&gt;$xwiki.getUserName($ddoc.getDeleter())&lt;/td&gt;\n      &lt;td class="itemActions"&gt;\n        #if($xwiki.getDocument($ddoc.fullName).isNew())\n          #if($ddoc.canUndelete())\n            &lt;a href="${originalDocument.getURL('undelete', "id=${id}")}" class="tool restore" title="$services.localization.render('platform.index.trashDocumentsActionsRestoreTooltip')"&gt;$services.localization.render('platform.index.trashDocumentsActionsRestoreText')&lt;/a&gt;\n          #end\n        #else\n          &lt;a href="${originalDocument.getURL()}" class="tool cannot-restore" title="$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreTooltip')"&gt;$services.localization.render('platform.index.trashDocumentsActionsCannotRestoreText')&lt;/a&gt;\n        #end\n        #if($ddoc.canDelete())\n          &lt;a href="${originalDocument.getURL('delete', "id=${id}&amp;amp;xredirect=$escapetool.url($!request.getRequestURI())?$escapetool.url($!request.getQueryString())")}" class="tool delete" title="$services.localization.render('platform.index.trashDocumentsActionsDeleteTooltip')"&gt;$services.localization.render('platform.index.trashDocumentsActionsDeleteText')&lt;/a&gt;\n        #end\n      &lt;/td&gt;\n    &lt;/tr&gt;\n  #end\n##\n  #if("$!{request.view}" == '')\n    #set($queryParams = '')\n  #else\n    #set($queryParams = "view=$!{escapetool.url($request.view)}")\n  #end\n  #set($paginationParameters = {\n    'totalItems' : $services.query.hql('select count(ddoc.id) from XWikiDeletedDocument as ddoc').execute().get(0),\n    'defaultItemsPerPage' : 15,\n    'url' : $doc.getURL('view', $queryParams)\n  })\n  #pagination($paginationParameters)\n  &lt;table id="searchResults" class="xwiki-livetable xwiki-livetable-display"&gt;\n    &lt;thead class="xwiki-livetable-display-header"&gt;&lt;tr&gt;\n      &lt;th scope="col" class="xwiki-livetable-display-header-text selected asc"&gt;$services.localization.render('platform.index.trashDocuments.ddoc.fullName')&lt;/th&gt;\n      &lt;th scope="col" class="xwiki-livetable-display-header-text"&gt;$services.localization.render('platform.index.trashDocuments.ddoc.title')&lt;/th&gt;\n      &lt;th scope="col" class="xwiki-livetable-display-header-text"&gt;$services.localization.render('platform.index.trashDocuments.ddoc.date')&lt;/th&gt;\n      &lt;th scope="col" class="xwiki-livetable-display-header-text"&gt;$services.localization.render('platform.index.trashDocuments.ddoc.deleter')&lt;/th&gt;\n      &lt;th scope="col" class="xwiki-livetable-display-header-text"&gt;$services.localization.render('platform.index.trashDocuments.actions')&lt;/th&gt;\n    &lt;/tr&gt;&lt;/thead&gt;\n    &lt;tbody class="xwiki-livetable-display-body"&gt;\n    #set ($statement = 'select ddoc.id from XWikiDeletedDocument as ddoc order by ddoc.fullName asc')\n    #foreach ($item in $services.query.hql($statement).setLimit($paginationParameters.itemsPerPage).setOffset($paginationParameters.firstItem).execute())\n      #displayDeletedDoc($item)\n    #end\n    &lt;/tbody&gt;\n  &lt;/table&gt;\n  #set($discard = $paginationParameters.put('position', 'bottom'))\n  #pagination($paginationParameters)\n  #end ## deletedDocuments.size\n&lt;/noscript&gt;\n{{/html}}##\n#end## hasProgramR\n{{/velocity}}</content></xwikidoc>\n
3717629636157522186	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DocumentsMacro</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1402556245000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>Documents Macro</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<name>XWiki.DocumentsMacro</name>\n<number>0</number>\n<className>XWiki.WikiMacroClass</className>\n<guid>27ec7479-a26b-4b03-a6ec-576f00eecbf3</guid>\n<property>\n<code>{{velocity}}\n#if ("$!xcontext.macro.params.columns" != "") \n  #set ($collist = [])\n  #foreach ($colname in $xcontext.macro.params.columns.split(','))\n    #set ($discard = $collist.add($colname.trim()))\n  #end\n#else\n  #set($collist = ['doc.name', 'doc.space', 'doc.date', 'doc.author'])\n#end\n#set($colprops = {\n  'doc.title' : { 'type' : 'text' , 'size' : 30, 'link' : 'view' },\n  'doc.fullName' : { 'type' : 'text' , 'size' : 30, 'link' : 'view' },\n  'doc.name' : { 'type' : 'text' , 'size' : 30, 'link' : 'view' },\n  'doc.space' : { 'type' : 'text', 'link' : 'space' },\n  'doc.date' : { 'type' : 'date' },\n  'doc.author' : { 'type' : 'text', 'link' : 'author' }\n})\n#set($options = { \n  'translationPrefix' : 'platform.index.',\n  'rowCount' : $xcontext.macro.params.count,\n  'description' : 'This table lists documents found on this wiki based on passed criteria. The columns can be sorted and some can be filtered.'\n})\n#if ("$!xcontext.macro.params.space" != "") \n  #set ($extraParams = "&amp;space=$escapetool.url($xcontext.macro.params.space)")\n#end\n#if ("$!xcontext.macro.params.parent" != "") \n  #set ($extraParams = "$!{extraParams}&amp;parent=$escapetool.url($xcontext.macro.params.parent)")\n#end\n#if ("$!extraParams" != "")\n  #set($discard = $options.put('extraParams', $extraParams))\n#end\n#if(!$isGuest &amp;&amp; $xcontext.macro.params.actions == "true")\n  #set($discard = $collist.add('_actions'))\n  #set($discard = $colprops.put('_actions', { 'actions' : ['copy', 'rename', 'rights', 'delete'] }))\n#end\n#if ("$!xcontext.macro.params.id" != "")\n  #set ($livetableId = $xcontext.macro.params.id)\n#else\n  ## TODO: Improve this since we could have several livetables on the same page with same ids\n  #set ($livetableId = "documents-$mathtool.random(1, 1000)")\n#end\n#livetable($livetableId $collist $colprops $options)\n{{/velocity}}</code>\n</property>\n<property>\n<contentDescription></contentDescription>\n</property>\n<property>\n<contentType>No content</contentType>\n</property>\n<property>\n<defaultCategory>Content</defaultCategory>\n</property>\n<property>\n<description>Displays a list of documents in a Livetable</description>\n</property>\n<property>\n<id>documents</id>\n</property>\n<property>\n<name>Documents</name>\n</property>\n<property>\n<supportsInlineMode>0</supportsInlineMode>\n</property>\n<property>\n<visibility>Current Wiki</visibility>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentsMacro</name>\n<number>0</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>65052d4b-4b4c-4ee0-bd16-ae4be4ee53b6</guid>\n<property>\n<defaultValue>15</defaultValue>\n</property>\n<property>\n<description>Number of items to display by default</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>count</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentsMacro</name>\n<number>1</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>1307889a-13ae-4f31-8d09-71f162d3276e</guid>\n<property>\n<defaultValue>true</defaultValue>\n</property>\n<property>\n<description>Whether to show the actions columns or not</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>actions</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentsMacro</name>\n<number>2</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>ebff2ec2-730e-4389-a15d-74a07b8ace73</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Only lists documents found in the passed space</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>space</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentsMacro</name>\n<number>3</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>4eb5c373-3982-417c-8445-d6df9280bd73</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Livetable id</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>id</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentsMacro</name>\n<number>4</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>2f12ef81-9f79-4f9a-829a-c0294a4d6178</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Only list pages having the specified parent</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>parent</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.DocumentsMacro</name>\n<number>5</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>48fedb20-7177-4998-b377-feae7128b0eb</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Specifies the list of columns to display (e.g. "doc.name,doc.space"). If not specified then the default column list of used ("doc.name,doc.space,doc.date,doc.author")</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>columns</name>\n</property>\n</object>\n<content>Example:\n\n##{{{{{documents id="example" count="5" actions="false" columns="doc.title"/}}}}}##\n\nGenerates:\n\n{{documents id="example" count="5" actions="false" space="Main" parent="Main.WebHome" columns="doc.title"/}}</content></xwikidoc>\n
-611650281039125717	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DocumentTreeTranslations</name>\n<language>da</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>XWiki.DocumentTree</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1424709160000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>Document Tree Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language da generated from http://www.l10n.xwiki.org\nrendering.macro.documentTree.description=Træ-visning af XWiki-dokumenter\nrendering.macro.documentTree.name=Dokument Træ\nrendering.macro.documentTree.parameter.checkboxes.description=Om der skal sættes en check-boks ved gren i træet så man kan vælge flere dokumenter samtidig.\nrendering.macro.documentTree.parameter.checkboxes.name=Check-bokse\nrendering.macro.documentTree.parameter.compact.description=Hvis du har begrænset plads vandret, bør du sætte denne. Det betyder at træets gren-ikoner og grene ikke vises. Desuden anves special styling, som sikrer mindst mulig pladsforbrug vandret - samtidig med at gren-ikonerne er fuldt synlige.\nrendering.macro.documentTree.parameter.compact.name=Komprimér\nrendering.macro.documentTree.parameter.filterByClass.description=Vis kun dokumenter, der har et objekt af den angivne type. Værdien er det fulde navn for et XWiki-dokument der indeholder klasse-definitionen. F.eks. 'Blog.CategoryClass' vil kun vise dokumenter, der repræsenterer blog-kategorier. Lad det være blankt, hvis du ikke ønsker at begrænse dokument-typer, der vises i træet.\nrendering.macro.documentTree.parameter.filterByClass.name=Filtrér efter klasse\nrendering.macro.documentTree.parameter.finder.description=Vis tekstfelt, der kan bruges til at søge efter dokumenter i træet. Feltet vises over træet, og foreslår søgninger baseret på indholdet i træet. Når et foreslag vælges, åbnes træet til det tilsvarende dokument.\nrendering.macro.documentTree.parameter.finder.name=Vælger\nrendering.macro.documentTree.parameter.hierarchyMode.description=Angiver hvilket hieraki, der skal bruges mellem dokumenter. Mulige værdier er "reference" (standard) og "parentchild". "reference" betyder sortering efter område-angivelse i dokumentet, mens "parentchild" bruger "parent"-attributten på dokumentet. \nrendering.macro.documentTree.parameter.hierarchyMode.name=Dokumenthieraki\nrendering.macro.documentTree.parameter.links.description=Angiver om grenene i træet skal opføre sig som henvisninger (ankre)\nrendering.macro.documentTree.parameter.links.name=Henvisninger\nrendering.macro.documentTree.parameter.openTo.description=ID for grenen, som træet skal åbnes med. Alle grene op til roden af grenen åbes også. Gren-formatet er den som er angivet for roden.\nrendering.macro.documentTree.parameter.openTo.name=Åben \nrendering.macro.documentTree.parameter.readOnly.description=Skal brugeren kunne modificere træ-strukturen hvis vedkommende har rettighederne?\nrendering.macro.documentTree.parameter.readOnly.name=Kun visning\nrendering.macro.documentTree.parameter.root.description=Rodens ID Anvendes, hvis du kun vil vise undertræet for en given gren (som så er roden). Træet vises med undertræets gren på først niveau, så roden vises ikke. Hele træet vises, hvis rod-ID ikke angives. Formatet for rod-ID er entitetstype\\:entitetsreference, hvor entitetstype kan f.eks. være wiki, område, dokument, dvs.\\: wiki\\:xwiki, space\\:xwiki\\:Main eller document\\:xwiki\\:WebHome\nrendering.macro.documentTree.parameter.root.name=Rod-ID\nrendering.macro.documentTree.parameter.showAttachments.description=Om bilag til dokumenter skal vises eller ej.\nrendering.macro.documentTree.parameter.showAttachments.name=VIs bilag\nrendering.macro.documentTree.parameter.showChildDocuments.description=Om underdokumenter ("child") skal vises, baseret på dokumentets "parent"-felt.\nrendering.macro.documentTree.parameter.showChildDocuments.name=Vis underdokumenter\nrendering.macro.documentTree.parameter.showClassProperties.description=Om klasse-egenskaber skal vises for dokumenter, som definerer klasser\nrendering.macro.documentTree.parameter.showClassProperties.name=Vis klasse-egenskaber\nrendering.macro.documentTree.parameter.showDocumentTitle.description=Om dokument-titel skal vises i stedet for dokument-navn, når det vises i træet.\nrendering.macro.documentTree.parameter.showDocumentTitle.name=Vis dokument-titel\nrendering.macro.documentTree.parameter.showObjects.description=Om dokument-objekter skal vises eller ej.\nrendering.macro.documentTree.parameter.showObjects.name=Vis objekter\nrendering.macro.documentTree.parameter.showOnlyViewable.description=Vis kun wiki, området og dokumenter i træet, som bruger har rettigheder til at se. Hvis ikke sat, vil bruger kunne se dokumenternes navne, men vil ikke være i stand til at se indhold. (Dog vil bruger så vide, at de eksisterer).\nrendering.macro.documentTree.parameter.showOnlyViewable.name=Vis kun læsbare\nrendering.macro.documentTree.parameter.showSpaces.description=Om område-grene skal vises eller ej. Hvis de skal, grupperes der efter område.\nrendering.macro.documentTree.parameter.showSpaces.name=Vis områder\nrendering.macro.documentTree.parameter.showTranslations.description=Om dokument-oversættelser skal vises eller ej.\nrendering.macro.documentTree.parameter.showTranslations.name=Vis oversættelser\nrendering.macro.documentTree.parameter.showWikiPrettyName.description=Vis wiki-navn istedet for wiki-id, når wikier vises i træet.\nrendering.macro.documentTree.parameter.showWikiPrettyName.name=Vis wiki-navn\nrendering.macro.documentTree.parameter.showWikis.description=Om wiki-grene skal vises eller ej. Det virker kun på Hoved-wiki og hvis kilde-træet er gemt med programmeringsrettigheder.\nrendering.macro.documentTree.parameter.showWikis.name=Vis wikier\n</content></xwikidoc>
-2834111637150868704	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>Treeview</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.AllDocs</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252450800000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('platform.index.tree')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{documentTree showSpaces="true" finder="true" /}}</content></xwikidoc>\n
-5247107028760515047	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>vi</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language vi generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Tên Space \nindex.spacesMacro.createSpace.link=Tạo trang mới\nindex.spacesMacro.createSpace.submit=Tạo\nindex.spacesMacro.spaceAdministration.title=Thấy quản trị space\nindex.spacesMacro.spaceIndex.title=Thấy chỉ mục space\nindex.spacesMacro.title=Spaces\n</content></xwikidoc>
1298064182881282745	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>zh</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language zh generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=空间名\nindex.spacesMacro.createSpace.link=创建新空间\nindex.spacesMacro.createSpace.submit=创建\nindex.spacesMacro.spaceAdministration.title=查看空间管理\nindex.spacesMacro.spaceIndex.title=查看空间索引\nindex.spacesMacro.title=空间\n</content></xwikidoc>
3055153865684901689	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>pt_BR</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language pt_BR generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nome do espaço\nindex.spacesMacro.createSpace.link=Criar um novo espaço\nindex.spacesMacro.createSpace.submit=Criar\nindex.spacesMacro.spaceAdministration.alt=Administrar espaço\nindex.spacesMacro.spaceAdministration.title=Ver administração do espaço\nindex.spacesMacro.spaceIndex.alt=Índice do espaço\nindex.spacesMacro.spaceIndex.title=Ver índice do espaço\nindex.spacesMacro.title=Espaços\n</content></xwikidoc>
-5932348351892633648	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>it</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language it generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nome spazio\nindex.spacesMacro.createSpace.link=Crea un nuovo spazio\nindex.spacesMacro.createSpace.submit=Crea\nindex.spacesMacro.spaceAdministration.alt=Amministrazione spazio\nindex.spacesMacro.spaceAdministration.title=Vedi amministrazione spazio\nindex.spacesMacro.spaceIndex.alt=Indice dello spazio\nindex.spacesMacro.spaceIndex.title=Vedi indice spazio\nindex.spacesMacro.title=Spazi\n</content></xwikidoc>
-7672087393199565104	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>ca</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language ca generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nom de l'espai\nindex.spacesMacro.createSpace.link=Crear un nou espai\nindex.spacesMacro.createSpace.submit=Crear\nindex.spacesMacro.spaceAdministration.title=Vegeu l'administració de l'espai\nindex.spacesMacro.spaceIndex.title=Vegeu l'índex de l'espai\nindex.spacesMacro.title=Espais\n</content></xwikidoc>
7745573446522127876	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>ro</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language ro generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nume spațiu\nindex.spacesMacro.createSpace.link=Creează un spațiu nou\nindex.spacesMacro.createSpace.submit=Creează\nindex.spacesMacro.spaceAdministration.title=Vezi administrarea spațiului\nindex.spacesMacro.spaceIndex.title=Vezi indexul spațiului\nindex.spacesMacro.title=Spații\n</content></xwikidoc>
-1561720753510333682	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>pt</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language pt generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nome do Espaço\nindex.spacesMacro.createSpace.link=Criar um novo espaço\nindex.spacesMacro.createSpace.submit=Criar\nindex.spacesMacro.spaceAdministration.title=Ver a administração do espaço\nindex.spacesMacro.spaceIndex.title=Ver o índice do espaço\nindex.spacesMacro.title=Espaços\n</content></xwikidoc>
3152358699093453532	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>ru</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language ru generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Имя раздела\nindex.spacesMacro.createSpace.link=Создать новый раздел\nindex.spacesMacro.createSpace.submit=Создать\nindex.spacesMacro.spaceAdministration.alt=Администрирование раздела\nindex.spacesMacro.spaceAdministration.title=Управление разделом\nindex.spacesMacro.spaceIndex.alt=Индекс раздела\nindex.spacesMacro.spaceIndex.title=Смотреть индекс раздела\nindex.spacesMacro.title=Разделы\n</content></xwikidoc>
280151423880576027	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>da</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language da generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Navn på område\nindex.spacesMacro.createSpace.link=Opret nyt område\nindex.spacesMacro.createSpace.submit=Opret\nindex.spacesMacro.spaceAdministration.alt=Administrer område\nindex.spacesMacro.spaceAdministration.title=Se område-administration\nindex.spacesMacro.spaceIndex.alt=Indholdsfortegnelse\nindex.spacesMacro.spaceIndex.title=Se områdeindhold\nindex.spacesMacro.title=Områder\n</content></xwikidoc>
6385256784205563102	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>gl</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language gl generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nome do espazo\nindex.spacesMacro.createSpace.link=Crear un novo espazo\nindex.spacesMacro.createSpace.submit=Crear\nindex.spacesMacro.spaceAdministration.title=Ver a administración do espazo\nindex.spacesMacro.spaceIndex.title=Ver o índice do espazo\nindex.spacesMacro.title=Espazos\n</content></xwikidoc>
5596356110704125411	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>es</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language es generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nombre de espacio\nindex.spacesMacro.createSpace.link=Crear un nuevo espacio\nindex.spacesMacro.createSpace.submit=Crear\nindex.spacesMacro.spaceAdministration.alt=Administrar espacio\nindex.spacesMacro.spaceAdministration.title=Ver administración del espacio\nindex.spacesMacro.spaceIndex.alt=Índice del espacio\nindex.spacesMacro.spaceIndex.title=Ver índice del espacio\nindex.spacesMacro.title=Espacios\n</content></xwikidoc>
2151297842934956156	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>cs</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language cs generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Jméno prostoru\nindex.spacesMacro.createSpace.link=Vytvořit nový prostor\nindex.spacesMacro.createSpace.submit=Vytvořit\nindex.spacesMacro.spaceAdministration.title=Viz administrace prostoru\nindex.spacesMacro.spaceIndex.alt=Index prostoru\nindex.spacesMacro.spaceIndex.title=Viz obsah prostoru\nindex.spacesMacro.title=Prostory\n</content></xwikidoc>
-992145132395960252	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>fr</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Nom de l'espace\nindex.spacesMacro.createSpace.link=Créer un nouvel espace\nindex.spacesMacro.createSpace.submit=Créer\nindex.spacesMacro.spaceAdministration.alt=Administrer l'espace\nindex.spacesMacro.spaceAdministration.title=Administrer l'espace\nindex.spacesMacro.spaceIndex.alt=Index des documents de l'espace\nindex.spacesMacro.spaceIndex.title=Afficher les pages de l'espace\nindex.spacesMacro.title=Espaces\n</content></xwikidoc>
-3983816848654460443	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>de</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language de generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Bereichsname\nindex.spacesMacro.createSpace.link=Neuen Bereich erstellen\nindex.spacesMacro.createSpace.submit=Erstellen\nindex.spacesMacro.spaceAdministration.alt=Bereich administrieren\nindex.spacesMacro.spaceAdministration.title=Siehe Bereichs-Administration\nindex.spacesMacro.spaceIndex.alt=Dokumentenverzeichnis des Bereichs\nindex.spacesMacro.spaceIndex.title=Siehe Dokumentenverzeichnis\nindex.spacesMacro.title=Bereiche\n</content></xwikidoc>
-6798781704998144055	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>tr</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language tr generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Uzay isim\nindex.spacesMacro.createSpace.link=yeni bir alan oluşturma\nindex.spacesMacro.createSpace.submit=Oluştur\nindex.spacesMacro.spaceAdministration.alt=Yönet alanı\nindex.spacesMacro.spaceAdministration.title=See alan yönetim\nindex.spacesMacro.spaceIndex.alt=Uzay indeksi\nindex.spacesMacro.spaceIndex.title=See alan indeksi\nindex.spacesMacro.title=Spaces\n</content></xwikidoc>
-4071450812713050334	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>ko</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language ko generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Í≥µÍ∞Ñ Í≥µÍ∞Ñ\nindex.spacesMacro.createSpace.link=Î≥ÄÌôîÎ•º ÏúÑÌï¥ ÏÉàÎ°úÏö¥\nindex.spacesMacro.createSpace.submit=Ïù¥Î¶ÑÏùÑ\nindex.spacesMacro.spaceAdministration.title=ÎåÄÏâ¨Î≥¥Îìú Í≥µÍ∞Ñ Íº¨Î¶¨Ìëú\nindex.spacesMacro.spaceIndex.title=Ï∞ΩÏ°∞ÌïòÎäî Ï†ÄÏû• Íº¨Î¶¨Ìëú\n</content></xwikidoc>
133121885907056767	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>zh_TW</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language zh_TW generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=空間名稱\nindex.spacesMacro.createSpace.link=新增空間\nindex.spacesMacro.createSpace.submit=新增\nindex.spacesMacro.spaceAdministration.alt=管理員空間\nindex.spacesMacro.spaceAdministration.title=空間管理\nindex.spacesMacro.spaceIndex.alt=空間列表\nindex.spacesMacro.spaceIndex.title=空間索引\nindex.spacesMacro.title=空間\n</content></xwikidoc>
1581508176273364555	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>sk</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language sk generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Názov priestoru\nindex.spacesMacro.createSpace.link=Vytvoriť nový priestor\nindex.spacesMacro.createSpace.submit=Vytvoriť\nindex.spacesMacro.spaceAdministration.title=Pozri v správe priestoru\nindex.spacesMacro.spaceIndex.title=Pozri index priestoru\nindex.spacesMacro.title=Priestory\n</content></xwikidoc>
612096083246587070	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language></language>\n<defaultLanguage>en</defaultLanguage>\n<translation>0</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.TranslationDocumentClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>1</number>\n<prettyName>Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>GLOBAL|WIKI|USER|ON_DEMAND</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Index.Translations</name>\n<number>0</number>\n<className>XWiki.TranslationDocumentClass</className>\n<guid>8baf94ce-3441-41f3-b4b9-a5031152b7d6</guid>\n<property>\n<scope>WIKI</scope>\n</property>\n</object>\n<content>index.spacesMacro.title=Spaces\nindex.spacesMacro.spaceIndex.title=See Space Index\nindex.spacesMacro.spaceIndex.alt=Space Index\nindex.spacesMacro.spaceAdministration.title=See Space Administration\nindex.spacesMacro.spaceAdministration.alt=Administer Space\nindex.spacesMacro.createSpace.link=Create a new space\nindex.spacesMacro.createSpace.defaultSpaceName=Space name\nindex.spacesMacro.createSpace.submit=Create\n</content></xwikidoc>
3044652467280397217	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Index</web>\n<name>Translations</name>\n<language>lv</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Index.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425563685000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-index-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nindex.spacesMacro.createSpace.defaultSpaceName=Vietas nosaukums\nindex.spacesMacro.createSpace.link=Izveidot jaunu vietu\nindex.spacesMacro.createSpace.submit=Izveidot\nindex.spacesMacro.spaceAdministration.alt=Pārvaldīt vietu\nindex.spacesMacro.spaceAdministration.title=Skatīt vietu pārvaldību\nindex.spacesMacro.spaceIndex.alt=Vietas saturs\nindex.spacesMacro.spaceIndex.title=Skatīt vietu rādītāju\nindex.spacesMacro.title=Vietas\n</content></xwikidoc>
-6475539945864558365	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-rendering-wikimacro-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>WikiMacros</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1251716762000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.wikimacrobridge.wikiMacros')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-rendering-wikimacro-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>false</hidden>\n<content>{{velocity}}\n#set($wikiMacroDocuments = $services.query.xwql("from doc.object(XWiki.WikiMacroClass) as macros").execute())\n#if($wikiMacroDocuments.size() &gt; 0)\n|=$services.localization.render('xe.wikimacrobridge.macroName') {{{($services.localization.render('xe.wikimacrobridge.macroId'))}}}|=$services.localization.render('xe.wikimacrobridge.macroDescription')|=$services.localization.render('xe.wikimacrobridge.macroVisibility')|=$services.localization.render('xe.wikimacrobridge.macroPage')\n  #foreach($macroDocumentName in $wikiMacroDocuments)\n    #set($macroDocument = $xwiki.getDocument($macroDocumentName))\n    #set($macroObject = $macroDocument.getObject("XWiki.WikiMacroClass"))\n|$macroObject.get('name') {{{($macroObject.id)}}}|$macroObject.description|$macroObject.visibility|[[$macroDocument.getDisplayTitle()&gt;&gt;$macroDocument.fullName]]\n  #end\n#else\n{{warning}}$services.localization.render('xe.wikimacrobridge.noWikiMacro'){{/warning}}\n#end\n{{/velocity}}</content></xwikidoc>\n
5562125069101865423	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ExtensionHistory</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1431708202000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('extension.history')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{template name="extensionHistory.vm" output="false"/}}\n\n{{velocity}}\n{{html clean="false"}}\n#if ($request.extensionId &amp;&amp; ($request.extensionVersion || $request.extensionVersionConstraint))\n  #handleExtensionRequest\n#else\n  #handleExtensionHistoryRequest\n#end\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
6884771197862039151	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>InstalledExtensions</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1321058328000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('admin.xwiki.installedextensions')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>icon.png</filename>\n<filesize>8443</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618211000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<content>{{velocity}}\n#set ($selectedRepositoryId = 'installed')\n{{/velocity}}\n\n{{include reference="AddExtensions" /}}</content></xwikidoc>\n
-1600638843437778041	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>CoreExtensions</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1321508427000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('admin.xwiki.coreextensions')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>icon.png</filename>\n<filesize>8627</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618211000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<content>{{velocity}}\n#set ($selectedRepositoryId = 'core')\n{{/velocity}}\n\n{{include reference="AddExtensions" /}}</content></xwikidoc>\n
-4648258660478158687	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ExtensionUpdater</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1366022538000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('admin.xwiki.extensionupdater')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>icon.png</filename>\n<filesize>9332</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618211000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<content>{{template name="extension.vm" output="false"/}}\n\n{{velocity}}\n{{html}}\n#if ($isAjaxRequest)\n  #if ($request.extensionId)\n    #handleExtensionRequest()\n  #else\n    #extensionUpdater()\n  #end\n#else\n  &lt;div class="full column"&gt;\n    #extensionUpdater()\n  &lt;/div&gt;\n#end\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
2712967020895974595	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AddExtensions</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1321658413000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('admin.xwiki.addextensions')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-extension-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>icon.png</filename>\n<filesize>8529</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618211000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>XWiki.AddExtensions</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>d7757510-18cc-41db-be75-e95204c75b25</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.xwiki.platform.panels.Applications.more</extensionPointId>\n</property>\n<property>\n<name>platform.panels.addApplications</name>\n</property>\n<property>\n<parameters>label=$services.localization.render('extensions.applicationsPanel.install')\n## The Application Panel checks only if the current user has the right to view the specified target page. Since simple\n## users have by default view right on the XWiki.XWikiPreferences page but only admins can actually install\n## applications, we need to check admin rights here in order to hide this entry for simple users.\ntarget=#if ($xwiki.hasWikiAdminRights())XWiki.XWikiPreferences#end\ntargetQueryString=editor=globaladmin&amp;section=XWiki.AddExtensions\nicon=icon:bullet_go</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content>{{template name="extension.vm" output="false"/}}\n\n{{velocity}}\n## HTML cleaner messes up the content of the legend tag.\n{{html clean="false"}}\n#if ($isAjaxRequest)\n  #handleExtensionRequest()\n#else\n  &lt;div class="full column"&gt;\n  #displayExtensionSearchBar()\n\n  #if ($request.extensionId &amp;&amp; $request.extensionVersion)\n    ## Advanced search.\n    #handleExtensionRequest()\n  #else\n    ## Simple search.\n    #set ($noResultsMessageKey = 'extensions.search.noResults')\n    #set ($paginationParams = {})\n    ## Dump whitespace generated by the pagination macro\n    #set ($discard = "#paginationPrepareParams($paginationParams)")\n    #set ($repository = $extensionManager)\n    #if ($request.repo)\n      #set ($selectedRepositoryId = $request.repo)\n    #end\n    #if ("$!selectedRepositoryId" != '')\n      #set ($repository = $extensionManager.getRepository($selectedRepositoryId))\n      #if ("$!request.search" == '')\n        ## Fetch extensions from known repositories.\n        #if ($selectedRepositoryId == 'core')\n          #set($extensions = $services.extension.core.getCoreExtensions())\n        #elseif ($selectedRepositoryId == 'installed')\n          #if ($xcontext.isMainWiki())\n            #set($extensions = $services.extension.installed.getInstalledExtensions())\n          #else\n            #set($extensions = $services.extension.installed.getInstalledExtensions($extensionNamespace))\n          #end\n        #elseif ($selectedRepositoryId == 'local')\n          #set($extensions = $services.extension.local.getLocalExtensions())\n        #end\n        #if ($extensions)\n          #set ($totalHits = $extensions.size())\n          #if ($totalHits == 0)\n            #set ($noResultsMessageKey = "extensions.search.repository.${selectedRepositoryId}.empty")\n          #end\n          ## All extensions from the specified repository have been fetched. We need to display only the current page.\n          #set ($extensions = $extensions.subList($paginationParams.firstItem, $mathtool.min($extensions.size(), $mathtool.add($paginationParams.firstItem, $paginationParams.itemsPerPage))))\n        #end\n      #end\n    #end\n    #if (!$extensions)\n      #if ($selectedRepositoryId == 'installed' &amp;&amp; !$xcontext.isMainWiki())\n        ## When searching for installed extensions we need to take the namespace into account.\n        #set ($extensions = $services.extension.installed.repository.searchInstalledExtensions("$!request.search",\n          $extensionNamespace, $paginationParams.firstItem, $paginationParams.itemsPerPage))\n      #else\n        #set ($extensions = $repository.search("$!request.search", $paginationParams.firstItem, $paginationParams.itemsPerPage))\n      #end\n      #set ($totalHits = $extensions.totalHits)\n    #end\n    #if (!$extensions.iterator().hasNext())\n      &lt;div class="box infomessage"&gt;$services.localization.render($noResultsMessageKey, ["&lt;em&gt;$!escapetool.xml($request.search)&lt;/em&gt;"])&lt;/div&gt;\n    #else\n      #if ($totalHits &amp;&amp; $totalHits &gt; $paginationParams.itemsPerPage)\n        #set ($hasPagination = true)\n        #set ($paginationParams.totalItems = $totalHits)\n        #set ($paginationParams.url = $doc.getURL($xcontext.action, $request.getQueryString().replaceAll('(^|&amp;)firstIndex=[^&amp;]++&amp;?', '$1')))\n        #pagination($paginationParams)\n      #end\n      #foreach($extension in $extensions)\n        #displayExtension($extension)\n      #end\n      #if ($hasPagination)\n        #set ($discard = $paginationParams.put('position', 'bottom'))\n        #pagination($paginationParams)\n      #end\n    #end\n  #end\n  &lt;/div&gt;\n#end\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
-2740254131235155683	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-sheet-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ClassSheetBinding</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1310475456000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Sheet Binding</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-sheet-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.ClassSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<content>This class is used to bind a class to a sheet. See also [[SheetDescriptorClass]].</content></xwikidoc>\n
-5228249638585823428	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-sheet-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>SheetDescriptorClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1316521832000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Sheet Descriptor Class</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-sheet-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.SheetDescriptorClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<action>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>action</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Action</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</action>\n</class>\n<content>This class is used to describe a sheet. See also [[DocumentSheetBinding]] and [[ClassSheetBinding]] on how to apply a sheet to a document.</content></xwikidoc>\n
6430122833799377647	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-sheet-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DocumentSheetBinding</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1310473447000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>XWiki Sheet Include</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-sheet-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<content>This class is used to apply a custom sheet to a document. See also [[SheetDescriptorClass]].</content></xwikidoc>\n
-3363454890822309436	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-uiextension-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>UIExtensionSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.UIExtensionClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1370934118000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>#sheetTitle('User Interface Extension Sheet' $doc.name.equals('UIExtensionSheet'))</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-uiextension-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#set ($class = $doc.getObject('XWiki.UIExtensionClass').xWikiClass)\n#foreach ($uix in $doc.getObjects('XWiki.UIExtensionClass'))\n  = UIExtension $uix.number =\n  #foreach ($prop in $class.properties)\n    ; $prop.prettyName\n    #if ($prop.getType() == 'TextAreaClass')\n      : (% class="box" %)((({{{$uix.getProperty($prop.getName()).getValue()}}})))\n    #else\n      : $doc.display($prop.getName(), $uix)\n    #end\n  #end\n#end\n{{/velocity}}</content></xwikidoc>\n
1996552601222015142	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>WebPreferences</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252576980000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiGlobalRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>ColorThemes.WebPreferences</name>\n<number>0</number>\n<className>XWiki.XWikiGlobalRights</className>\n<guid>fe14fd95-f75c-4afa-9038-46f8b6b7a026</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiPreferences</name>\n<customClass></customClass>\n<customMapping>internal</customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<accessibility>\n<customDisplay></customDisplay>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>accessibility</name>\n<number>79</number>\n<prettyName>Enable extra accessibility features</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</accessibility>\n<admin_email>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>admin_email</name>\n<number>14</number>\n<picker>0</picker>\n<prettyName>Admin eMail</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</admin_email>\n<auth_active_check>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>auth_active_check</name>\n<number>31</number>\n<prettyName>Authentication Active Check</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</auth_active_check>\n<authenticate_edit>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>authenticate_edit</name>\n<number>7</number>\n<prettyName>Authenticate On Edit</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</authenticate_edit>\n<authenticate_view>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>authenticate_view</name>\n<number>5</number>\n<prettyName>Authenticated View</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</authenticate_view>\n<backlinks>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>backlinks</name>\n<number>25</number>\n<prettyName>Backlinks</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</backlinks>\n<colorTheme>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n{{html wiki="false" clean="false"}}\n#if ("$!value" == '')\n  #set ($value = '')\n#end\n&lt;select name="${object.getxWikiClass().name}_${object.number}_${name}" id="${object.getxWikiClass().name}_${object.number}_${name}"&gt;\n  #if ($editor != 'globaladmin')&lt;option value=""#if ($value == '') selected="selected"#end&gt;---&lt;/option&gt;#end\n#foreach($theme in $xwiki.wrapDocs($services.query.hql(", BaseObject as theme where doc.fullName=theme.name and theme.className='ColorThemes.ColorThemeClass' and doc.fullName&lt;&gt;'ColorThemes.ColorThemeTemplate' order by doc.title").execute()))\n  &lt;option value="$theme.fullName"#if ($theme.fullName.equals($value)) selected="selected"#end&gt;$theme.plainTitle&lt;/option&gt;\n#end\n&lt;/select&gt;\n{{/html}}\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>colorTheme</name>\n<number>76</number>\n<picker>0</picker>\n<prettyName>Color theme</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select doc.fullName, doc.title from XWikiDocument as doc, BaseObject as theme where doc.fullName=theme.name and (theme.className='ColorThemes.ColorThemeClass' or theme.className='FlamingoThemesCode.ThemeClass') and doc.fullName&lt;&gt;'ColorThemes.ColorThemeTemplate' and doc.fullName&lt;&gt;'FlamingoThemesCode.ThemeTemplate'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</colorTheme>\n<comment_anonymous>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>comment_anonymous</name>\n<number>39</number>\n<picker>1</picker>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</comment_anonymous>\n<comment_registered>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>comment_registered</name>\n<number>40</number>\n<picker>1</picker>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</comment_registered>\n<confirmation_email_content>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>confirmation_email_content</name>\n<number>16</number>\n<picker>0</picker>\n<prettyName>Confirmation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</confirmation_email_content>\n<core.defaultDocumentSyntax>\n<customDisplay>{{velocity}}\n{{html wiki="false" clean="false"}}\n#if ("$!value" == '')\n  #set ($value = $xwiki.getDefaultDocumentSyntax())\n#end\n&lt;select name="${object.getxWikiClass().name}_${object.number}_${name}" id="${object.getxWikiClass().name}_${object.number}_${name}"&gt;\n#set ($configuredSyntaxes = $xwiki.getConfiguredSyntaxes())\n#set ($availableParserSyntaxes = $services.rendering.getAvailableParserSyntaxes())\n##\n#foreach($syntax in $availableParserSyntaxes)\n  #if($configuredSyntaxes.contains($syntax.toIdString()))\n    &lt;option value="$syntax.toIdString()"#if($syntax.toIdString().equalsIgnoreCase($value)) selected="selected"#end&gt;$syntax.toString()&lt;/option&gt;\n  #end\n#end\n&lt;/select&gt;\n{{/html}}\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>core.defaultDocumentSyntax</name>\n<number>59</number>\n<picker>0</picker>\n<prettyName>Default document syntax</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</core.defaultDocumentSyntax>\n<dateformat>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>dateformat</name>\n<number>54</number>\n<picker>0</picker>\n<prettyName>Date Format</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</dateformat>\n<default_language>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>default_language</name>\n<number>20</number>\n<picker>0</picker>\n<prettyName>Default Language</prettyName>\n<size>5</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</default_language>\n<documentBundles>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>documentBundles</name>\n<number>52</number>\n<picker>0</picker>\n<prettyName>Internationalization Document Bundles</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</documentBundles>\n<edit_anonymous>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>edit_anonymous</name>\n<number>37</number>\n<picker>1</picker>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</edit_anonymous>\n<edit_registered>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>edit_registered</name>\n<number>38</number>\n<picker>1</picker>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</edit_registered>\n<editcomment>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>editcomment</name>\n<number>85</number>\n<prettyName>Enable version summary</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</editcomment>\n<editcomment_mandatory>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>editcomment_mandatory</name>\n<number>86</number>\n<prettyName>Make version summary mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</editcomment_mandatory>\n<editor>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>editor</name>\n<number>23</number>\n<picker>1</picker>\n<prettyName>Default Editor</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>Text|Wysiwyg</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</editor>\n<guest_comment_requires_captcha>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>guest_comment_requires_captcha</name>\n<number>77</number>\n<prettyName>Enable CAPTCHA in Comments for Unregistered Users</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</guest_comment_requires_captcha>\n<iconTheme>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>iconTheme</name>\n<number>73</number>\n<prettyName>Icon theme</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>1</size>\n<sql>select doc.fullName, propName.value from XWikiDocument as doc, BaseObject as theme, StringProperty propName where doc.fullName=theme.name and theme.className='IconThemesCode.IconThemeClass' and doc.fullName&lt;&gt;'IconThemesCode.IconThemeTemplate' and theme.id = propName.id and propName.name = 'name'</sql>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</iconTheme>\n<invitation_email_content>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>invitation_email_content</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>Invitation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</invitation_email_content>\n<javamail_extra_props>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>javamail_extra_props</name>\n<number>58</number>\n<picker>0</picker>\n<prettyName>Additional JavaMail properties</prettyName>\n<rows>6</rows>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</javamail_extra_props>\n<languages>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>languages</name>\n<number>49</number>\n<picker>0</picker>\n<prettyName>Supported languages</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</languages>\n<ldap>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap</name>\n<number>60</number>\n<prettyName>Ldap</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap>\n<ldap_UID_attr>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_UID_attr</name>\n<number>69</number>\n<picker>0</picker>\n<prettyName>Ldap UID attribute name</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_UID_attr>\n<ldap_base_DN>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_base_DN</name>\n<number>68</number>\n<picker>0</picker>\n<prettyName>Ldap base DN</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_base_DN>\n<ldap_bind_DN>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_bind_DN</name>\n<number>63</number>\n<picker>0</picker>\n<prettyName>Ldap login matching</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_bind_DN>\n<ldap_bind_pass>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_bind_pass</name>\n<number>64</number>\n<picker>0</picker>\n<prettyName>Ldap password matching</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_bind_pass>\n<ldap_exclude_group>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_exclude_group</name>\n<number>67</number>\n<picker>0</picker>\n<prettyName>Ldap group to exclude</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_exclude_group>\n<ldap_fields_mapping>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_fields_mapping</name>\n<number>70</number>\n<picker>0</picker>\n<prettyName>Ldap user fields mapping</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_fields_mapping>\n<ldap_group_mapping>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>ldap_group_mapping</name>\n<number>72</number>\n<picker>0</picker>\n<prettyName>Ldap groups mapping</prettyName>\n<rows>5</rows>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</ldap_group_mapping>\n<ldap_groupcache_expiration>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_groupcache_expiration</name>\n<number>73</number>\n<picker>0</picker>\n<prettyName>LDAP groups members cache</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_groupcache_expiration>\n<ldap_mode_group_sync>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>ldap_mode_group_sync</name>\n<number>74</number>\n<picker>0</picker>\n<prettyName>LDAP groups sync mode</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>|always|create</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</ldap_mode_group_sync>\n<ldap_port>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_port</name>\n<number>62</number>\n<picker>0</picker>\n<prettyName>Ldap server port</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_port>\n<ldap_server>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_server</name>\n<number>61</number>\n<picker>0</picker>\n<prettyName>Ldap server address</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_server>\n<ldap_trylocal>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_trylocal</name>\n<number>75</number>\n<prettyName>Try local login</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_trylocal>\n<ldap_update_user>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_update_user</name>\n<number>71</number>\n<prettyName>Update user from LDAP</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_update_user>\n<ldap_user_group>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ldap_user_group</name>\n<number>66</number>\n<picker>0</picker>\n<prettyName>Ldap group filter</prettyName>\n<size>60</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</ldap_user_group>\n<ldap_validate_password>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>ldap_validate_password</name>\n<number>65</number>\n<prettyName>Validate Ldap user/password</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ldap_validate_password>\n<leftPanels>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>leftPanels</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>Panels displayed on the left</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</leftPanels>\n<leftPanelsWidth>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>leftPanelsWidth</name>\n<number>74</number>\n<prettyName>Width of the left panel column</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Small|Medium|Large</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</leftPanelsWidth>\n<meta>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>meta</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>HTTP Meta Info</prettyName>\n<rows>5</rows>\n<size>40</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</meta>\n<minoredit>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>minoredit</name>\n<number>87</number>\n<prettyName>Enable minor edits</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</minoredit>\n<multilingual>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>multilingual</name>\n<number>19</number>\n<prettyName>Multi-Lingual</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</multilingual>\n<obfuscateEmailAddresses>\n<customDisplay></customDisplay>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>obfuscateEmailAddresses</name>\n<number>72</number>\n<prettyName>Obfuscate Email Addresses</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</obfuscateEmailAddresses>\n<parent>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>parent</name>\n<number>52</number>\n<picker>0</picker>\n<prettyName>Parent Space</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</parent>\n<plugins>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>plugins</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Plugins</prettyName>\n<size>40</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</plugins>\n<registration_anonymous>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>registration_anonymous</name>\n<number>35</number>\n<picker>1</picker>\n<prettyName>Anonymous</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</registration_anonymous>\n<registration_registered>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>registration_registered</name>\n<number>36</number>\n<picker>1</picker>\n<prettyName>Registered</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>---|Image|Text</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</registration_registered>\n<rightPanels>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>rightPanels</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>Panels displayed on the right</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</rightPanels>\n<rightPanelsWidth>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>rightPanelsWidth</name>\n<number>75</number>\n<prettyName>Width of the right panel column</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>---|Small|Medium|Large</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</rightPanelsWidth>\n<showLeftPanels>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showLeftPanels</name>\n<number>46</number>\n<prettyName>Display the left panel column</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showLeftPanels>\n<showRightPanels>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>showRightPanels</name>\n<number>47</number>\n<prettyName>Display the right panel column</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showRightPanels>\n<showannotations>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showannotations</name>\n<number>80</number>\n<prettyName>Show document annotations</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showannotations>\n<showattachments>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showattachments</name>\n<number>82</number>\n<prettyName>Show document attachments</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showattachments>\n<showcomments>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showcomments</name>\n<number>81</number>\n<prettyName>Show document comments</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showcomments>\n<showhistory>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showhistory</name>\n<number>83</number>\n<prettyName>Show document history</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showhistory>\n<showinformation>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>showinformation</name>\n<number>84</number>\n<prettyName>Show document information</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</showinformation>\n<skin>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>skin</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Skin</prettyName>\n<size>20</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</skin>\n<smtp_port>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_port</name>\n<number>55</number>\n<picker>0</picker>\n<prettyName>SMTP Port</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_port>\n<smtp_server>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_server</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>SMTP Server</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server>\n<smtp_server_password>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_server_password</name>\n<number>57</number>\n<picker>0</picker>\n<prettyName>Server password (optional)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server_password>\n<smtp_server_username>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>smtp_server_username</name>\n<number>56</number>\n<picker>0</picker>\n<prettyName>Server username (optional)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</smtp_server_username>\n<stylesheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>stylesheet</name>\n<number>17</number>\n<picker>0</picker>\n<prettyName>Stylesheet</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</stylesheet>\n<stylesheets>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>stylesheets</name>\n<number>18</number>\n<picker>0</picker>\n<prettyName>Stylesheets</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</stylesheets>\n<tags>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>tags</name>\n<number>51</number>\n<prettyName>Activate the tagging</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</tags>\n<timezone>\n<customDisplay>{{velocity}}\n      #if ($xcontext.action == 'admin' || $xcontext.action == 'edit' || $xcontext.action == 'inline')\n        {{html}}\n          #if($xwiki.jodatime)\n            &lt;select id='$prefix$name' name='$prefix$name'&gt;\n              &lt;option value="" #if($value == $tz)selected="selected"#end&gt;$services.localization.render('XWiki.XWikiPreferences_timezone_default')&lt;/option&gt;\n              #foreach($tz in $xwiki.jodatime.getServerTimezone().getAvailableIDs())\n                &lt;option value="$tz" #if($value == $tz)selected="selected"#end&gt;$tz&lt;/option&gt;\n              #end\n            &lt;/select&gt;\n          #else\n            &lt;input id='$prefix$name' name='$prefix$name' type="text" value="$!value"/&gt;\n          #end\n        {{/html}}\n      #else\n        $value\n      #end\n      {{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>timezone</name>\n<number>71</number>\n<picker>0</picker>\n<prettyName>Timezone</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</timezone>\n<title>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>title</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Title</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</title>\n<upload_maxsize>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>upload_maxsize</name>\n<number>53</number>\n<numberType>long</numberType>\n<prettyName>Maximum Upload Size</prettyName>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</upload_maxsize>\n<use_email_verification>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>use_email_verification</name>\n<number>24</number>\n<prettyName>Use eMail Verification</prettyName>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</use_email_verification>\n<validation_email_content>\n<contenttype>FullyRenderedText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>validation_email_content</name>\n<number>15</number>\n<picker>0</picker>\n<prettyName>Validation eMail Content</prettyName>\n<rows>10</rows>\n<size>72</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</validation_email_content>\n<version>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>version</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>Version</prettyName>\n<size>30</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</version>\n<webcopyright>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>webcopyright</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Web Copyright</prettyName>\n<size>60</size>\n<tooltip></tooltip>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</webcopyright>\n<xwiki.title.mandatory>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>xwiki.title.mandatory</name>\n<number>78</number>\n<prettyName>Make document title field mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</xwiki.title.mandatory>\n</class>\n<name>ColorThemes.WebPreferences</name>\n<number>0</number>\n<className>XWiki.XWikiPreferences</className>\n<guid>aa06a1fd-a6db-436c-9b35-eba43dbeeb6d</guid>\n</object>\n<content></content></xwikidoc>\n
6888561346923736117	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>Mint</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1326293092000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>Mint</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>header.png</filename>\n<filesize>27167</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618211000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>logo.png</filename>\n<filesize>2228</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618211000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<name>ColorThemes.Mint</name>\n<number>0</number>\n<className>ColorThemes.ColorThemeClass</className>\n<guid>e53237f8-80ea-40c1-a5b3-26450434a2d9</guid>\n<property>\n<backgroundSecondaryColor>#F3F3F3</backgroundSecondaryColor>\n</property>\n<property>\n<borderColor>#E8E8E8</borderColor>\n</property>\n<property>\n<buttonPrimaryBackgroundColor>#4D9244</buttonPrimaryBackgroundColor>\n</property>\n<property>\n<buttonPrimaryGradientColor>#276400</buttonPrimaryGradientColor>\n</property>\n<property>\n<buttonPrimaryTextColor>#F3F3F3</buttonPrimaryTextColor>\n</property>\n<property>\n<buttonSecondaryBackgroundColor>#E1E1E1</buttonSecondaryBackgroundColor>\n</property>\n<property>\n<buttonSecondaryGradientColor>#FFFFFF</buttonSecondaryGradientColor>\n</property>\n<property>\n<buttonSecondaryTextColor>#4D5860</buttonSecondaryTextColor>\n</property>\n<property>\n<headerBackgroundImage>header.png</headerBackgroundImage>\n</property>\n<property>\n<headerBackgroundPosition></headerBackgroundPosition>\n</property>\n<property>\n<highlightColor>#F6FFD0</highlightColor>\n</property>\n<property>\n<linkColor>#276400</linkColor>\n</property>\n<property>\n<logoImage>logo.png</logoImage>\n</property>\n<property>\n<menuAddEntryBackgroundColor>#4D9244</menuAddEntryBackgroundColor>\n</property>\n<property>\n<menuAddEntryLinkColor>#F3F3F3</menuAddEntryLinkColor>\n</property>\n<property>\n<menuBackgroundColor>#276400</menuBackgroundColor>\n</property>\n<property>\n<menuContentBackgroundColor>#E1E1E1</menuContentBackgroundColor>\n</property>\n<property>\n<menuContentGradientColor>#FFFFFF</menuContentGradientColor>\n</property>\n<property>\n<menuContentLinkColor>#4D5860</menuContentLinkColor>\n</property>\n<property>\n<menuGradientColor>#427D3B</menuGradientColor>\n</property>\n<property>\n<menuLinkColor>#F3F3F3</menuLinkColor>\n</property>\n<property>\n<menuSelectedEntryBackgroundColor>#EFEFEF</menuSelectedEntryBackgroundColor>\n</property>\n<property>\n<menuSelectedEntryLinkColor>#16620F</menuSelectedEntryLinkColor>\n</property>\n<property>\n<pageBackgroundColor>#F5F5F5</pageBackgroundColor>\n</property>\n<property>\n<pageBackgroundImage></pageBackgroundImage>\n</property>\n<property>\n<pageBackgroundPosition></pageBackgroundPosition>\n</property>\n<property>\n<pageContentBackgroundColor>#FFFFFF</pageContentBackgroundColor>\n</property>\n<property>\n<pageHeaderBackgroundColor>#4D9244</pageHeaderBackgroundColor>\n</property>\n<property>\n<panelBackgroundColor>#FFFFFF</panelBackgroundColor>\n</property>\n<property>\n<panelCollapsedBackgroundColor>#E1E1E1</panelCollapsedBackgroundColor>\n</property>\n<property>\n<panelCollapsedGradientColor>#FFFFFF</panelCollapsedGradientColor>\n</property>\n<property>\n<panelCollapsedTextColor>#16620F</panelCollapsedTextColor>\n</property>\n<property>\n<panelHeaderBackgroundColor>#E1E1E1</panelHeaderBackgroundColor>\n</property>\n<property>\n<panelHeaderGradientColor>#FFFFFF</panelHeaderGradientColor>\n</property>\n<property>\n<panelHeaderTextColor>#4D5860</panelHeaderTextColor>\n</property>\n<property>\n<panelTextColor>#636B75</panelTextColor>\n</property>\n<property>\n<submenuContentBackgroundColor>#F5F5F5</submenuContentBackgroundColor>\n</property>\n<property>\n<textColor>#636B75</textColor>\n</property>\n<property>\n<textPrimaryColor>#888888</textPrimaryColor>\n</property>\n<property>\n<textSecondaryColor>#656565</textSecondaryColor>\n</property>\n<property>\n<titleColor>#414141</titleColor>\n</property>\n</object>\n<content></content></xwikidoc>\n
1509133011128642455	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>WizardWebColors</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.ColorThemeSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1262108187000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.themes.colors.webColors.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n#set($webColors =\n  [\n    "#000000","#444444","#666666","#999999","#CCCCCC","#EEEEEE","#FFFFFF",\n    "#EA9999","#F9CB9C","#FFE599","#B6D7A8","#A2C4C9","#9FC5E8","#B4A7D6",\n    "#E06666","#F6B26B","#FFD966","#93C47D","#76A5AF","#6FA8DC","#8E7CC3",\n    "#CC0000","#E69138","#F1C232","#6AA84F","#45818E","#3D85C6","#674EA7",\n    "#990000","#B45F06","#BF9000","#38761D","#134F5C","#0B5394","#351C75"\n  ]\n)\n{{/velocity}}</content></xwikidoc>\n
-2600009163857461086	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>Azure</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1323705804000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>Azure</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>header.png</filename>\n<filesize>31799</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618211000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>logo.png</filename>\n<filesize>2228</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618211000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<name>ColorThemes.Azure</name>\n<number>0</number>\n<className>ColorThemes.ColorThemeClass</className>\n<guid>bbe5fb61-f931-4d4d-a905-568487cb8296</guid>\n<property>\n<backgroundSecondaryColor>#F3F3F3</backgroundSecondaryColor>\n</property>\n<property>\n<borderColor>#E8E8E8</borderColor>\n</property>\n<property>\n<buttonPrimaryBackgroundColor>#2173AF</buttonPrimaryBackgroundColor>\n</property>\n<property>\n<buttonPrimaryGradientColor>#0089DC</buttonPrimaryGradientColor>\n</property>\n<property>\n<buttonPrimaryTextColor>#FFFFFF</buttonPrimaryTextColor>\n</property>\n<property>\n<buttonSecondaryBackgroundColor>#E1E1E1</buttonSecondaryBackgroundColor>\n</property>\n<property>\n<buttonSecondaryGradientColor>#FFFFFF</buttonSecondaryGradientColor>\n</property>\n<property>\n<buttonSecondaryTextColor>#4D5860</buttonSecondaryTextColor>\n</property>\n<property>\n<fieldGradientColor>#F5F5F5</fieldGradientColor>\n</property>\n<property>\n<headerBackgroundImage>header.png</headerBackgroundImage>\n</property>\n<property>\n<headerBackgroundPosition></headerBackgroundPosition>\n</property>\n<property>\n<highlightColor>#FFFFCC</highlightColor>\n</property>\n<property>\n<linkColor>#0089DC</linkColor>\n</property>\n<property>\n<logoImage>logo.png</logoImage>\n</property>\n<property>\n<menuAddEntryBackgroundColor>#4D9244</menuAddEntryBackgroundColor>\n</property>\n<property>\n<menuAddEntryLinkColor>#FFFFFF</menuAddEntryLinkColor>\n</property>\n<property>\n<menuBackgroundColor>#0272A6</menuBackgroundColor>\n</property>\n<property>\n<menuContentBackgroundColor>#E1E1E1</menuContentBackgroundColor>\n</property>\n<property>\n<menuContentGradientColor>#FFFFFF</menuContentGradientColor>\n</property>\n<property>\n<menuContentLinkColor>#4D5860</menuContentLinkColor>\n</property>\n<property>\n<menuGradientColor>#3A8ABC</menuGradientColor>\n</property>\n<property>\n<menuLinkColor>#F3F3F3</menuLinkColor>\n</property>\n<property>\n<menuSelectedEntryBackgroundColor>#EFEFEF</menuSelectedEntryBackgroundColor>\n</property>\n<property>\n<menuSelectedEntryLinkColor>#2173AF</menuSelectedEntryLinkColor>\n</property>\n<property>\n<notificationErrorColor>#CC3333</notificationErrorColor>\n</property>\n<property>\n<notificationInfoColor>#336699</notificationInfoColor>\n</property>\n<property>\n<notificationSuccessColor>#008000</notificationSuccessColor>\n</property>\n<property>\n<notificationWarningColor>#D09000</notificationWarningColor>\n</property>\n<property>\n<pageBackgroundColor>#F5F5F5</pageBackgroundColor>\n</property>\n<property>\n<pageBackgroundImage></pageBackgroundImage>\n</property>\n<property>\n<pageBackgroundPosition></pageBackgroundPosition>\n</property>\n<property>\n<pageContentBackgroundColor>#FFFFFF</pageContentBackgroundColor>\n</property>\n<property>\n<pageHeaderBackgroundColor>#FFFFFF</pageHeaderBackgroundColor>\n</property>\n<property>\n<panelBackgroundColor>#FFFFFF</panelBackgroundColor>\n</property>\n<property>\n<panelCollapsedBackgroundColor>#E1E1E1</panelCollapsedBackgroundColor>\n</property>\n<property>\n<panelCollapsedGradientColor>#FFFFFF</panelCollapsedGradientColor>\n</property>\n<property>\n<panelCollapsedTextColor>#4D5860</panelCollapsedTextColor>\n</property>\n<property>\n<panelHeaderBackgroundColor>#E1E1E1</panelHeaderBackgroundColor>\n</property>\n<property>\n<panelHeaderGradientColor>#FFFFFF</panelHeaderGradientColor>\n</property>\n<property>\n<panelHeaderTextColor>#4D5860</panelHeaderTextColor>\n</property>\n<property>\n<panelTextColor>#636B75</panelTextColor>\n</property>\n<property>\n<submenuContentBackgroundColor>#F5F5F5</submenuContentBackgroundColor>\n</property>\n<property>\n<textColor>#636B75</textColor>\n</property>\n<property>\n<textPrimaryColor>#9F9F9F</textPrimaryColor>\n</property>\n<property>\n<textSecondaryColor>#9F9F9F</textSecondaryColor>\n</property>\n<property>\n<titleColor>#2173AF</titleColor>\n</property>\n</object>\n<content></content></xwikidoc>\n
-4486255357855088219	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>ColorThemeTemplate</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1251108485000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.themes.colors.template.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>ColorThemes.ColorThemeTemplate</name>\n<number>0</number>\n<className>ColorThemes.ColorThemeClass</className>\n<guid>e658ee3f-cf58-44ff-a87d-73e6ceea8181</guid>\n<property>\n<backgroundSecondaryColor>#F3F3F3</backgroundSecondaryColor>\n</property>\n<property>\n<borderColor>#E8E8E8</borderColor>\n</property>\n<property>\n<buttonPrimaryBackgroundColor>#528BA1</buttonPrimaryBackgroundColor>\n</property>\n<property>\n<buttonPrimaryGradientColor>#528BA1</buttonPrimaryGradientColor>\n</property>\n<property>\n<buttonPrimaryTextColor>#FFFFFF</buttonPrimaryTextColor>\n</property>\n<property>\n<buttonSecondaryBackgroundColor>#ECECEC</buttonSecondaryBackgroundColor>\n</property>\n<property>\n<buttonSecondaryGradientColor>#FFFFFF</buttonSecondaryGradientColor>\n</property>\n<property>\n<buttonSecondaryTextColor>#4D5860</buttonSecondaryTextColor>\n</property>\n<property>\n<fieldGradientColor>#F5F5F5</fieldGradientColor>\n</property>\n<property>\n<headerBackgroundImage></headerBackgroundImage>\n</property>\n<property>\n<headerBackgroundPosition></headerBackgroundPosition>\n</property>\n<property>\n<highlightColor>#FFFFDD</highlightColor>\n</property>\n<property>\n<linkColor>#528BA1</linkColor>\n</property>\n<property>\n<logoImage></logoImage>\n</property>\n<property>\n<menuAddEntryBackgroundColor>#4D9244</menuAddEntryBackgroundColor>\n</property>\n<property>\n<menuAddEntryLinkColor>#FFFFFF</menuAddEntryLinkColor>\n</property>\n<property>\n<menuBackgroundColor>#ECECEC</menuBackgroundColor>\n</property>\n<property>\n<menuContentBackgroundColor>#ECECEC</menuContentBackgroundColor>\n</property>\n<property>\n<menuContentGradientColor>#FFFFFF</menuContentGradientColor>\n</property>\n<property>\n<menuContentLinkColor>#4D5860</menuContentLinkColor>\n</property>\n<property>\n<menuGradientColor>#FFFFFF</menuGradientColor>\n</property>\n<property>\n<menuLinkColor>#4D5860</menuLinkColor>\n</property>\n<property>\n<menuSelectedEntryBackgroundColor>#FFFFFF</menuSelectedEntryBackgroundColor>\n</property>\n<property>\n<menuSelectedEntryLinkColor>#4D5860</menuSelectedEntryLinkColor>\n</property>\n<property>\n<notificationErrorColor>#CC3333</notificationErrorColor>\n</property>\n<property>\n<notificationInfoColor>#336699</notificationInfoColor>\n</property>\n<property>\n<notificationSuccessColor>#008000</notificationSuccessColor>\n</property>\n<property>\n<notificationWarningColor>#D09000</notificationWarningColor>\n</property>\n<property>\n<pageBackgroundColor>#ECECEC</pageBackgroundColor>\n</property>\n<property>\n<pageBackgroundImage></pageBackgroundImage>\n</property>\n<property>\n<pageBackgroundPosition></pageBackgroundPosition>\n</property>\n<property>\n<pageContentBackgroundColor>#FFFFFF</pageContentBackgroundColor>\n</property>\n<property>\n<pageHeaderBackgroundColor>#FFFFFF</pageHeaderBackgroundColor>\n</property>\n<property>\n<panelBackgroundColor>#FFFFFF</panelBackgroundColor>\n</property>\n<property>\n<panelCollapsedBackgroundColor>#ECECEC</panelCollapsedBackgroundColor>\n</property>\n<property>\n<panelCollapsedGradientColor>#FFFFFF</panelCollapsedGradientColor>\n</property>\n<property>\n<panelCollapsedTextColor>#4D5860</panelCollapsedTextColor>\n</property>\n<property>\n<panelHeaderBackgroundColor>#ECECEC</panelHeaderBackgroundColor>\n</property>\n<property>\n<panelHeaderGradientColor>#FFFFFF</panelHeaderGradientColor>\n</property>\n<property>\n<panelHeaderTextColor>#4D5860</panelHeaderTextColor>\n</property>\n<property>\n<panelTextColor>#4D4D4D</panelTextColor>\n</property>\n<property>\n<submenuContentBackgroundColor>#ECECEC</submenuContentBackgroundColor>\n</property>\n<property>\n<textColor>#4D4D4D</textColor>\n</property>\n<property>\n<textPrimaryColor>#656565</textPrimaryColor>\n</property>\n<property>\n<textSecondaryColor>#656565</textSecondaryColor>\n</property>\n<property>\n<titleColor>#4D5860</titleColor>\n</property>\n</object>\n<content></content></xwikidoc>\n
7825328454138452853	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>WizardPropertyMapping</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.ColorThemeSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1262108187000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.themes.colors.mapping.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n##\n##\n## Map maquette elements to the list of theme properties they are affected by.\n##\n## {Layout element -&gt; {CSS property -&gt; [Color theme properties]}}\n##\n#set($elementStylingPropertyMap = {\n  'page'            : {'background': ['pageBackgroundColor', 'pageBackgroundImage', 'pageBackgroundPosition'], 'color': ['textColor']},\n  'mainmenu'        : {'background': ['menuBackgroundColor'], 'color': ['menuLinkColor'], 'background-image': ['menuBackgroundColor', 'menuGradientColor']},\n  'menuaddentry'    : {'background': ['menuAddEntryBackgroundColor'], 'color': ['menuAddEntryLinkColor']},\n  'contentmenu'     : {'background': ['menuContentBackgroundColor'], 'color': ['menuContentLinkColor'], 'background-image': ['menuContentBackgroundColor', 'menuContentGradientColor']},\n  'header'          : {'background': ['pageHeaderBackgroundColor', 'headerBackgroundImage', 'headerBackgroundPosition']},\n  'panelheader'     : {'background': ['panelHeaderBackgroundColor'], 'color': ['panelHeaderTextColor'], 'border-color': ['borderColor'], 'background-image': ['panelHeaderBackgroundColor', 'panelHeaderGradientColor']},\n  'panelcontents'   : {'background': ['panelBackgroundColor'], 'color': ['panelTextColor']},\n  'collapsedpanel'  : {'background': ['panelCollapsedBackgroundColor'], 'color': ['panelCollapsedTextColor'], 'background-image': ['panelCollapsedBackgroundColor', 'panelCollapsedGradientColor']},\n  'content'         : {'background': ['pageContentBackgroundColor'], 'color': ['textColor']},\n  'title'           : {'color': ['titleColor'], 'border-color': ['borderColor']},\n  'link'            : {'color': ['linkColor']},\n  'info'            : {'color': ['textPrimaryColor']},\n  'details'         : {'color': ['textSecondaryColor']},\n  'highlight'       : {'background': ['highlightColor']},\n  'table'           : {'border-color': ['borderColor']},\n  'th'              : {'background': ['backgroundSecondaryColor'], 'border-color': ['borderColor']},\n  'td'              : {'border-color': ['borderColor']},\n  'message'         : {'background': ['backgroundSecondaryColor'], 'border-color': ['borderColor']},\n  'button'          : {'background': ['buttonPrimaryBackgroundColor'], 'color': ['buttonPrimaryTextColor'], 'background-image': ['buttonPrimaryBackgroundColor', 'buttonPrimaryGradientColor']},\n  'secondaryButton' : {'background': ['buttonSecondaryBackgroundColor'], 'color': ['buttonSecondaryTextColor'], 'background-image': ['buttonSecondaryBackgroundColor', 'buttonSecondaryGradientColor']},\n  'tabshead'        : {'background': ['menuContentBackgroundColor'], 'color': ['menuContentLinkColor'], 'background-image': ['menuContentBackgroundColor', 'menuContentGradientColor']},\n  'tabentryactive'  : {'background': ['pageContentBackgroundColor'], 'color': ['menuSelectedEntryLinkColor']},\n  'tabdetails'      : {'color': ['textSecondaryColor']},\n  'tabscontent'     : {'background': ['pageContentBackgroundColor'], 'color': ['textColor']}\n})\n##\n##\n## Map maquette elements to the list of theme properties they display when configured.\n## Each color theme property must appear EXACTLY ONCE in the whole map.\n##\n## {Layout element -&gt; [Color theme properties]}\n##\n#set($elementPropertyMap = {\n  'page'               : ['pageBackgroundColor', 'pageBackgroundImage', 'pageBackgroundPosition'],\n  'mainmenu'           : ['menuBackgroundColor', 'menuGradientColor', 'menuLinkColor', 'menuAddEntryLinkColor', 'menuAddEntryBackgroundColor'],\n  'headerbox'          : ['logoImage', 'pageHeaderBackgroundColor', 'headerBackgroundImage', 'headerBackgroundPosition'],\n  'panelheader'        : ['panelHeaderBackgroundColor', 'panelHeaderGradientColor', 'panelHeaderTextColor'],\n  'panelcontents'      : ['panelBackgroundColor', 'panelTextColor'],\n  'collapsedpanel'     : ['panelCollapsedBackgroundColor', 'panelCollapsedGradientColor', 'panelCollapsedTextColor'],\n  'content'            : ['pageContentBackgroundColor'],\n  'contentmenu'        : ['menuContentBackgroundColor', 'menuContentGradientColor', 'menuContentLinkColor', 'submenuContentBackgroundColor'],\n  'textlink'           : ['textColor', 'linkColor'],\n  'titlebox'           : ['titleColor'],\n  'info'               : ['textPrimaryColor'],\n  'details'            : ['textSecondaryColor'],\n  'highlight'          : ['highlightColor'],\n  'boxes'              : ['backgroundSecondaryColor', 'borderColor'],\n  'buttonbox'          : ['buttonPrimaryBackgroundColor','buttonPrimaryGradientColor', 'buttonPrimaryTextColor'],\n  'secondaryButtonbox' : ['buttonSecondaryBackgroundColor', 'buttonSecondaryGradientColor', 'buttonSecondaryTextColor'],\n  'extratabs'          : ['menuSelectedEntryLinkColor']\n})\n{{/velocity}}</content></xwikidoc>\n
-7092167269817579749	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>Dusk</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1326293092000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>Dusk</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>header.png</filename>\n<filesize>31199</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618211000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>logo.png</filename>\n<filesize>2228</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618211000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<name>ColorThemes.Dusk</name>\n<number>0</number>\n<className>ColorThemes.ColorThemeClass</className>\n<guid>9d1acec0-7d78-4374-a46a-684f914c2e83</guid>\n<property>\n<backgroundSecondaryColor>#EFEFEF</backgroundSecondaryColor>\n</property>\n<property>\n<borderColor>#E8E8E8</borderColor>\n</property>\n<property>\n<buttonPrimaryBackgroundColor>#EA972D</buttonPrimaryBackgroundColor>\n</property>\n<property>\n<buttonPrimaryGradientColor>#D47500</buttonPrimaryGradientColor>\n</property>\n<property>\n<buttonPrimaryTextColor>#FFFFFF</buttonPrimaryTextColor>\n</property>\n<property>\n<buttonSecondaryBackgroundColor>#E1E1E1</buttonSecondaryBackgroundColor>\n</property>\n<property>\n<buttonSecondaryGradientColor>#FFFFFF</buttonSecondaryGradientColor>\n</property>\n<property>\n<buttonSecondaryTextColor>#4D4D4D</buttonSecondaryTextColor>\n</property>\n<property>\n<headerBackgroundImage>header.png</headerBackgroundImage>\n</property>\n<property>\n<headerBackgroundPosition></headerBackgroundPosition>\n</property>\n<property>\n<highlightColor>#FFFFDD</highlightColor>\n</property>\n<property>\n<linkColor>#D47500</linkColor>\n</property>\n<property>\n<logoImage>logo.png</logoImage>\n</property>\n<property>\n<menuAddEntryBackgroundColor>#4D9244</menuAddEntryBackgroundColor>\n</property>\n<property>\n<menuAddEntryLinkColor>#FFFFFF</menuAddEntryLinkColor>\n</property>\n<property>\n<menuBackgroundColor>#414242</menuBackgroundColor>\n</property>\n<property>\n<menuContentBackgroundColor>#E1E1E1</menuContentBackgroundColor>\n</property>\n<property>\n<menuContentGradientColor>#FFFFFF</menuContentGradientColor>\n</property>\n<property>\n<menuContentLinkColor>#4D4D4D</menuContentLinkColor>\n</property>\n<property>\n<menuGradientColor>#707070</menuGradientColor>\n</property>\n<property>\n<menuLinkColor>#FFFFFF</menuLinkColor>\n</property>\n<property>\n<menuSelectedEntryBackgroundColor>#FFFFFF</menuSelectedEntryBackgroundColor>\n</property>\n<property>\n<menuSelectedEntryLinkColor>#414242</menuSelectedEntryLinkColor>\n</property>\n<property>\n<pageBackgroundColor>#ECECEC</pageBackgroundColor>\n</property>\n<property>\n<pageBackgroundImage></pageBackgroundImage>\n</property>\n<property>\n<pageBackgroundPosition></pageBackgroundPosition>\n</property>\n<property>\n<pageContentBackgroundColor>#FFFFFF</pageContentBackgroundColor>\n</property>\n<property>\n<pageHeaderBackgroundColor>#707070</pageHeaderBackgroundColor>\n</property>\n<property>\n<panelBackgroundColor>#FFFFFF</panelBackgroundColor>\n</property>\n<property>\n<panelCollapsedBackgroundColor>#FFFFFF</panelCollapsedBackgroundColor>\n</property>\n<property>\n<panelCollapsedGradientColor>#FFFFFF</panelCollapsedGradientColor>\n</property>\n<property>\n<panelCollapsedTextColor>#414242</panelCollapsedTextColor>\n</property>\n<property>\n<panelHeaderBackgroundColor>#E1E1E1</panelHeaderBackgroundColor>\n</property>\n<property>\n<panelHeaderGradientColor>#FFFFFF</panelHeaderGradientColor>\n</property>\n<property>\n<panelHeaderTextColor>#4D4D4D</panelHeaderTextColor>\n</property>\n<property>\n<panelTextColor>#4D4D4D</panelTextColor>\n</property>\n<property>\n<submenuContentBackgroundColor>#F5F5F5</submenuContentBackgroundColor>\n</property>\n<property>\n<textColor>#4D4D4D</textColor>\n</property>\n<property>\n<textPrimaryColor>#656565</textPrimaryColor>\n</property>\n<property>\n<textSecondaryColor>#656565</textSecondaryColor>\n</property>\n<property>\n<titleColor>#4D4D4D</titleColor>\n</property>\n</object>\n<content></content></xwikidoc>\n
-4040626208424784602	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>ColorThemeClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1251108485000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.themes.colors.class.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>ColorThemes.ColorThemeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<backgroundSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>backgroundSecondaryColor</name>\n<number>32</number>\n<picker>0</picker>\n<prettyName>Secondary background color (table headers, message boxes, administration boxes)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</backgroundSecondaryColor>\n<borderColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>borderColor</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Border color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</borderColor>\n<buttonPrimaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryBackgroundColor</name>\n<number>29</number>\n<picker>0</picker>\n<prettyName>Primary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryBackgroundColor>\n<buttonPrimaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryGradientColor</name>\n<number>37</number>\n<picker>0</picker>\n<prettyName>Primary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryGradientColor>\n<buttonPrimaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryTextColor</name>\n<number>28</number>\n<picker>0</picker>\n<prettyName>Primary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryTextColor>\n<buttonSecondaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryBackgroundColor</name>\n<number>31</number>\n<picker>0</picker>\n<prettyName>Secondary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryBackgroundColor>\n<buttonSecondaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryGradientColor</name>\n<number>38</number>\n<picker>0</picker>\n<prettyName>Secondary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryGradientColor>\n<buttonSecondaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryTextColor</name>\n<number>30</number>\n<picker>0</picker>\n<prettyName>Secondary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryTextColor>\n<fieldGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>fieldGradientColor</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>Field gradient color (for form elements: input, select, textarea, etc.)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</fieldGradientColor>\n<headerBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundImage</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>Banner (header image - the name of an image attached to the theme document)</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundImage>\n<headerBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundPosition</name>\n<number>14</number>\n<picker>0</picker>\n<prettyName>Banner position and repeat (CSS syntax, for example: "left center no-repeat")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundPosition>\n<highlightColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>highlightColor</name>\n<number>15</number>\n<picker>0</picker>\n<prettyName>Background color for highlighted elements</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</highlightColor>\n<linkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>linkColor</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</linkColor>\n<logoImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logoImage</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Logo (image displayed at the top left corner of the header - the name of an image attached to the theme document; if set, it has priority over the logo configured in the skin and the default logo)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logoImage>\n<menuAddEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryBackgroundColor</name>\n<number>21</number>\n<picker>0</picker>\n<prettyName>Add menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryBackgroundColor>\n<menuAddEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryLinkColor</name>\n<number>20</number>\n<picker>0</picker>\n<prettyName>Add menu entry link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryLinkColor>\n<menuBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuBackgroundColor</name>\n<number>16</number>\n<picker>0</picker>\n<prettyName>Menu background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuBackgroundColor>\n<menuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentBackgroundColor</name>\n<number>42</number>\n<picker>0</picker>\n<prettyName>Content menu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentBackgroundColor>\n<menuContentGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentGradientColor</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>Content menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentGradientColor>\n<menuContentLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentLinkColor</name>\n<number>43</number>\n<picker>0</picker>\n<prettyName>Content menu text color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentLinkColor>\n<menuGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuGradientColor</name>\n<number>39</number>\n<picker>0</picker>\n<prettyName>Menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuGradientColor>\n<menuLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuLinkColor</name>\n<number>17</number>\n<picker>0</picker>\n<prettyName>Menu text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuLinkColor>\n<menuSelectedEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryBackgroundColor</name>\n<number>18</number>\n<picker>0</picker>\n<prettyName>Selected menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryBackgroundColor>\n<menuSelectedEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryLinkColor</name>\n<number>19</number>\n<picker>0</picker>\n<prettyName>Selected menu entry text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryLinkColor>\n<notificationErrorColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationErrorColor</name>\n<number>36</number>\n<picker>0</picker>\n<prettyName>Error notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationErrorColor>\n<notificationInfoColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationInfoColor</name>\n<number>33</number>\n<picker>0</picker>\n<prettyName>Informational notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationInfoColor>\n<notificationSuccessColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationSuccessColor</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>Success notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationSuccessColor>\n<notificationWarningColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationWarningColor</name>\n<number>35</number>\n<picker>0</picker>\n<prettyName>Warning notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationWarningColor>\n<pageBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundColor</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Page background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundColor>\n<pageBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundImage</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Page background image (the name of an image attached to the theme document)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundImage>\n<pageBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundPosition</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Page background image position and repeat (CSS syntax, for example: "left top repeat-x")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundPosition>\n<pageContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageContentBackgroundColor</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Page content background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageContentBackgroundColor>\n<pageHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageHeaderBackgroundColor</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>Page header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageHeaderBackgroundColor>\n<panelBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelBackgroundColor</name>\n<number>22</number>\n<picker>0</picker>\n<prettyName>Panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelBackgroundColor>\n<panelCollapsedBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedBackgroundColor</name>\n<number>26</number>\n<picker>0</picker>\n<prettyName>Collapsed panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedBackgroundColor>\n<panelCollapsedGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedGradientColor</name>\n<number>41</number>\n<picker>0</picker>\n<prettyName>Collapsed panel gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedGradientColor>\n<panelCollapsedTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedTextColor</name>\n<number>27</number>\n<picker>0</picker>\n<prettyName>Collapsed panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedTextColor>\n<panelHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderBackgroundColor</name>\n<number>24</number>\n<picker>0</picker>\n<prettyName>Panel header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderBackgroundColor>\n<panelHeaderGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderGradientColor</name>\n<number>40</number>\n<picker>0</picker>\n<prettyName>Panel header gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderGradientColor>\n<panelHeaderTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderTextColor</name>\n<number>25</number>\n<picker>0</picker>\n<prettyName>Panel header text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderTextColor>\n<panelTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelTextColor</name>\n<number>23</number>\n<picker>0</picker>\n<prettyName>Panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelTextColor>\n<submenuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>submenuContentBackgroundColor</name>\n<number>46</number>\n<picker>0</picker>\n<prettyName>Content submenu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</submenuContentBackgroundColor>\n<textColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textColor</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textColor>\n<textPrimaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textPrimaryColor</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Informative text color (Modified by, Created by, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textPrimaryColor>\n<textSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textSecondaryColor</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Details text color (Comments date, attachments date, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textSecondaryColor>\n<titleColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>titleColor</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Title color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</titleColor>\n</class>\n<object>\n<class>\n<name>XWiki.ClassSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>ColorThemes.ColorThemeClass</name>\n<number>0</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>d8b3a046-e75e-49bc-9037-f39e49fa4de1</guid>\n<property>\n<sheet>ColorThemes.ColorThemeSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
8331172144543366478	1	1	2017-05-12 15:43:31	Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>ColorThemeSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.ColorThemeClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1251108485000</creationDate>\n<date>1494618211000</date>\n<contentUpdateDate>1494618211000</contentUpdateDate>\n<version>1.1</version>\n<title>#sheetTitle('xe.themes.colors.sheet.title' $doc.name.equals('ColorThemeSheet'))</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>ColorThemes.ColorThemeSheet</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>2fcb4790-0b18-41ad-8fdc-42f3062a8025</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>// Make sure the XWiki 'namespace' exists.\nif(typeof(XWiki) == 'undefined') {\n  XWiki = new Object();\n}\n// Make sure the editors 'namespace' exists.\nif(typeof(XWiki.editors) == 'undefined') {\n  XWiki.editors = new Object();\n}\n\n#includeTopic('ColorThemes.WizardPropertyMapping')\n#template("colorThemeInit.vm")\n\n/**\n * Javascript enhancements of the color theme wizard:\n * real-time preview when changing property values\n */\nXWiki.editors.ColorThemeWizard = Class.create({\n  classPrefix : '.colorthemewizard-',\n  /* Usually ColorThemes.ColorThemeClass_0_ */\n  inputNamePrefix : '$!{request.propertyPrefix}',\n  propertyMap : new Object(),\n  defaultValues : new Object(),\n  initialize : function() {\n    // Initialize widget selectors\n    this.pickerSelector  = this.classPrefix + 'picker';\n    this.triggerSelector = this.classPrefix + 'trigger';\n    this.maquetteSelector = this.classPrefix + 'page';\n    this.tipSelector = this.classPrefix + 'tip';\n    this.editableGroupSelector = this.classPrefix + 'editable-group';\n    this.visibleTriggerSelector = this.triggerSelector + '-visible';\n\n    this.logoProperty = 'logoImage';\n    this.logoSelector = this.classPrefix.substring(1) + 'logo';\n    this.logoPropertySelector = this.classPrefix + this.logoProperty;\n    this.defaultLogoURL = "$!{logoURL}"; // value computed in global.vm\n\n    // Generate default values for the theme properties\n    this.generateDefaultValues();\n\n    // Create a mapping from maquette elements to a map between\n    // the css properties that need to be set and the list\n    // of corresponding theme properties that compose their value.\n    // The map is generated using the definition from ColorThemes.WizardPropertyMapping\n    this.createPropertyMap();\n\n    // Hide 35 color palettes and other unnecessary elements\n    this.hideCSSVersionPickers();\n\n    // Attach image selectors, position pickers\n    // [TODO]\n    // Color pickers are already attached, because the corresponding\n    //   input elements have the class 'procolor', so they are\n    //   automatically detected by the Procolor extension\n    // TO BE IMPLEMENTED:\n    //   - image selector from attachment list (with previews) and new image attachment dialog\n    //   - image position and repeat pattern selector\n\n    // Attach listeners to display the pickers when clicking on the editable groups\n    // (necessary for CSS-stupid browsers)\n    // Also: force the pickers to remain visible when Procolor is active\n    this.redefineActivation();\n\n    // Attach change event listeners to all the inputs\n    this.attachChangeListeners();\n\n    // Make fullscreen\n    // TODO fix me!\n    /*\n    var fs = new XWiki.editors.FullScreenEditing();\n    $$(this.maquetteSelector).each(function(item){\n      fs.makeFullScreen(item);\n    });\n    $('mainmenu').style['z-index'] = '0';\n    */\n  },\n  generateDefaultValues : function() {\n    // Generated from the $theme object defined in colorThemeInit.vm\n    #foreach ($prop in $theme.keySet())\n      this.defaultValues['$prop'] = '${theme.get($prop)}';\n    #end\n  },\n  createPropertyMap : function() {\n    // Generated from the $elementStylingPropertyMap defined in WizardPropertyMapping\n    var cssProp;\n    #foreach($element in $elementStylingPropertyMap.keySet())\n      this.propertyMap['$element'] = new Object();\n      this.propertyMap['$element'].cssProperties = new Array();\n      #foreach($cssProp in $elementStylingPropertyMap.get($element).keySet())\n        cssProp = "${cssProp}".camelize();\n        this.propertyMap['$element'].cssProperties.push(cssProp);\n        this.propertyMap['$element'][cssProp] = new Array();\n        #set($themeProps = $elementStylingPropertyMap.get($element).get($cssProp))\n        #foreach ($themeProp in $themeProps)\n          this.propertyMap['$element'][cssProp].push('$themeProp');\n        #end\n      #end\n    #end\n  },\n  hideCSSVersionPickers : function() {\n    $$(this.classPrefix + 'picker-noscript').each(function(item){ item.hide(); });\n    // TODO: make sure all elements that must be hidden have this class!\n  },\n  fastUp : function(element, className) {\n    while (element != document.documentElement) {\n      if (element.hasClassName(className)) {\n        break;\n      }\n      element = element.up();\n    }\n    return element;\n  },\n  fastDown : function(element, className) {\n    var i, l;\n    var classNameMatcher = new RegExp("(^|\\\\s)" + className + "(\\\\s|$)");\n\n    for (i = 0, l = element.childNodes.length; i &lt; l; ++i) {\n      if (element.childNodes[i].nodeType == 1 &amp;&amp; classNameMatcher.test(element.childNodes[i].className)) {\n        return element.childNodes[i];\n      }\n    }\n  },\n  getMainClassName : function(element) {\n    return element.className.substring(0, element.className.indexOf(' '));\n  },\n  getMarker : function(element) {\n    return element.className.substring(this.classPrefix.length - 1, element.className.indexOf(' '));\n  },\n  redefineActivation : function() {\n    if (!$('body').hasClassName('inlinebody') &amp;&amp; !$('body').hasClassName('editbody')) {\n      return;\n    }\n\n    // Make sure only one trigger is visible at a time;\n    // Hide the triggers of the containers of the topmost hovered element\n    $$(this.editableGroupSelector).each(function(group){\n      group.observe('mouseover', function(event){\n        var cleanClassPrefix = this.getMainClassName(group);\n        var triggerID = cleanClassPrefix + '-trigger';\n        var trigger = $(triggerID);\n        if (this.fastUp(Event.element(event), this.editableGroupSelector.substring(1)) == group) {\n          group.removeClassName(cleanClassPrefix + '-unhover');\n        } else {\n          if(this.fastDown(this.fastDown(group, "colorthemewizard-trigger"), "colorthemewizard-picker").style.display != 'block') {\n            group.addClassName(cleanClassPrefix + '-unhover');\n          }\n        }\n      }.bindAsEventListener(this));\n\n      // Enable "tooltips"\n      var trigger = $(this.fastDown(group, this.triggerSelector.substring(1)));\n      trigger.observe('mouseover', function(event) {\n        if (this.fastDown(trigger, this.pickerSelector.substring(1)).style['display'] == 'none') {\n          this.fastDown(trigger, this.tipSelector.substring(1)).style['display'] = 'block';\n        }\n      }.bindAsEventListener(this));\n      trigger.observe('mouseout', function(event) {\n        if (this.fastDown(trigger, this.pickerSelector.substring(1)).style['display'] != 'none' ||\n          (!event.toElement ||\n             !($(event.toElement).descendantOf(parent) || event.toElement == parent)\n          )\n        ) {\n          this.fastDown(trigger, this.tipSelector.substring(1)).style['display'] = '';\n        }\n      }.bindAsEventListener(this));\n      // Display pickers when clicking on the triggers\n      trigger.observe('click', this.displayPicker.bindAsEventListener(this, trigger));\n      // Hide pickers when pressing 'Esc'\n      if (Prototype.Browser.IE || Prototype.Browser.WebKit) {\n        shortcut.add('Esc', this.hidePicker.bindAsEventListener(this, trigger), {type: 'keyup'});\n      } else {\n        shortcut.add('Esc', this.hidePicker.bindAsEventListener(this, trigger), {type: 'keypress'});\n      }\n\n      // Create close buttons for each picker\n      var picker = $(this.fastDown(trigger, this.pickerSelector.substring(1)));\n      var closeButton = new Element('div', {'class' : 'close-button', 'title' : "$services.localization.render('xe.themes.colors.wizard.close')"}).update('X');\n      picker.insert({top: closeButton});\n      closeButton.observe('click', this.hidePicker.bindAsEventListener(this, this.fastUp(closeButton, this.triggerSelector.substring(1))));\n      // To override the no-script activation css rule (hover), hide the pickers from the inline style;\n      picker.style['display'] = 'none';\n    }.bind(this));\n  },\n  displayPicker : function(event, trigger) {\n    if (event) {\n      Event.stop(event);\n      if (event.element() != trigger) {\n        return;\n      }\n    }\n    // First hide open pickers\n    $$(this.visibleTriggerSelector).each(function(item){\n      this.hidePicker(null, item);\n    }.bind(this));\n    trigger.addClassName(this.visibleTriggerSelector.substring(1));\n    // Keep the trigger and the picker\n    this.fastDown(trigger, this.pickerSelector.substring(1)).style['display'] = 'block';\n    // Hide tooltip\n    this.fastDown(trigger, this.tipSelector.substring(1)).style['display'] = '';\n  },\n  hidePicker : function(event, trigger) {\n    if (event) {\n      Event.stop(event);\n    }\n    trigger.removeClassName(this.visibleTriggerSelector.substring(1));\n    this.fastDown(trigger, this.pickerSelector.substring(1)).style['display'] = 'none';\n\n    // Reset undo button values to the ones prior to the picker display\n    trigger.select('input[type=text]').each(function(input) {\n      input._x_undoButton._x_value = input.value;\n      // This should be done by procolor, but it fails to observe some changes:\n      if (/Color$/.test(input.id)) {\n        input.style['backgroundColor'] = input.value;\n        if (ProColor) {\n          var textColor = ProColor.prototype.computeTextColor(ProColor.prototype.decodeHexColor(input.value));\n          textColor = '#' + textColor.r.toColorPart() + textColor.g.toColorPart() + textColor.b.toColorPart();\n          input.style['color'] = textColor;\n        }\n      }\n      input._x_undoButton.style.visibility = "hidden";\n    }.bind(this));\n  },\n  attachChangeListeners : function() {\n    var monitoredEvents = ['keyup', 'keypress', 'procolor:changed', 'procolor:closed'];\n    $$(this.maquetteSelector + ' input[type=text]').each(function(item) {\n      monitoredEvents.each(function(monitoredEvent) {\n        item.observe(monitoredEvent, this.inputValueChanged.bindAsEventListener(this, item));\n      }.bind(this));\n      // Create undo buttons\n      item._x_undoButton = new Element('button', {'class' : 'undo', 'title' : "$services.localization.render('xe.themes.colors.wizard.undo')"}).update("$services.localization.render('xe.themes.colors.wizard.undo')");\n      item._x_undoButton._x_input = item;\n      item._x_undoButton._x_value = item.value;\n      item._x_undoButton.style.visibility = "hidden";\n      item.insert({after : item._x_undoButton})\n      item._x_undoButton.observe('click', function(event){\n        item.value = item._x_undoButton._x_value;\n        this.inputValueChanged(null, item);\n        if (ProColor) {\n          // Calling the "colorSync" function attached to the procolor button adjacent to the input field.\n          item.adjacent("a")[0].colorSync(false);\n        }\n        item._x_undoButton.style.visibility = "hidden";\n      }.bindAsEventListener(this));\n    }.bind(this));\n\n    // Listen to clicks on the form reset button and recompute the style on reset\n    // (!) We don't listen to the 'reset' event on the form; because apparently this\n    //     event is sent before the actual reset is done...\n    //     Instead, listen to click on the reset buton, stop the event, call form.reset()\n    //     and then update the styles from the maquette.\n\n    $$('input[type=reset]').each(function(btn) {\n      btn.observe('click', function(event) {\n        event.stop();\n        btn.form.reset();\n        $$(this.maquetteSelector + ', ' + this.maquetteSelector + ' *').each(function(item) {\n          this.refreshStyle(item);\n        }.bind(this));\n        // Reset the inputs' background color\n        if (ProColor) {\n          $$(this.pickerSelector + ' input[type=text]').each(function(item) {\n            // Calling the "colorSync" function attached to the procolor button adjacent to the input field.\n            var proColorButton = item.adjacent("a")[0];\n            if (proColorButton != undefined) {\n              proColorButton.colorSync(false);\n            }\n          });\n        }\n      }.bindAsEventListener(this));\n    }.bind(this));\n  },\n  retrievePropertyName : function(inputName) {\n    // Expected name: className_objectNumber_propertyName\n    return inputName.substring(this.inputNamePrefix.length);\n  },\n  inputValueChanged : function(event, input) {\n    // The theme property edited in this field, e.g. textColor\n    var propName = this.retrievePropertyName(input.name);\n    if (propName == this.logoProperty) {\n       if (input.value.strip() != '') {\n         $(this.logoSelector).src = this.wrapImagePropertyValue(propName, input.value);\n       } else {\n         $(this.logoSelector).src = this.defaultLogoURl;\n       }\n    } else {\n      // The CSS classname identifying the elements affected by this property, e.g. colorthemewizard-textColor\n      var affectedElementsClassname = this.classPrefix + propName;\n      $$(affectedElementsClassname).each(function(item) {\n        this.refreshStyle(item);\n      }.bind(this));\n    }\n    input._x_undoButton.style.visibility = "visible";\n  },\n  refreshStyle : function(item) {\n    if (this.propertyMap[this.getMarker(item)]) {\n      this.propertyMap[this.getMarker(item)].cssProperties.each(function(prop) {\n        var value = '';\n        this.propertyMap[this.getMarker(item)][prop].each(function(themeProp) {\n          var input = $(this.inputNamePrefix + themeProp);\n          var propvalue = '';\n          if (input) {\n            propvalue = input.value;\n          }\n          if (!propvalue || propvalue == ''){\n            propvalue = this.defaultValues[themeProp];\n            // Old themes don't have values for gradients. Also images are theme dependant, so gradient colors and images are not inherited from DefaultColorTheme\n            if ((themeProp.indexOf('Gradient') &gt;= 0) || (themeProp.indexOf('Image') &gt;= 0)) {\n              propvalue = '';\n            }\n          }\n          if (propvalue &amp;&amp; propvalue != '') {\n            value += ' ' + this.wrapCSSPropertyValue(themeProp, propvalue);\n          }\n        }.bind(this));\n        value = value.strip();\n        if (value != '') {\n          try {\n            if (prop === 'backgroundImage') {\n              // Gradients need a special wrapping to assure cross browser support (adding browser specific sufixes)\n              value = this.wrapGradients(value);\n              item.style.cssText = item.style.cssText + ' ' + value;\n            }\n            else {\n              item.style[prop] = value;\n            }\n          } catch (exception) {\n            // Ignore invalid values, for example when the user is typing and the value is still incomplete\n          }\n        }\n      }.bind(this));\n    }\n  },\n  wrapGradients : function(value) {\n    #set($gradient1Placeholder = '__gradient1__name__placeholder__')\n    #set($gradient2Placeholder = '__gradient2__name__placeholder__')\n    var gradient1PlaceholderRegEx = new RegExp("$gradient1Placeholder",'g');\n    var gradient2PlaceholderRegEx = new RegExp("$gradient2Placeholder",'g');\n    ## #css3_backgroundLinearGradient macro (defined in macros.vm) used for the majority of browsers (FF, Chrome, Opera, IE10) that support CSS3 properties\n    #set($backgroundLinearGradientRaw= "#css3_backgroundLinearGradient({\n         'to': 'bottom',\n         'colors': [\n          {'color': ${gradient1Placeholder}, 'position': '0%'},\n          {'color': ${gradient2Placeholder}, 'position': '100%'}\n        ]\n      })")\n    var backgroundLinearGradient = "$escapetool.javascript($backgroundLinearGradientRaw)";\n    ## #css_filterGradient macro (defined in macros.vm) used for the IE8, IE9 browsers that don t support CSS3 properties\n    #set($filterGradientRaw= "#css_filterGradient(${gradient1Placeholder}, ${gradient2Placeholder})")\n    var filterGradient = "$escapetool.javascript($filterGradientRaw)";\n    ## Gradients are using 2 values that are passed to the suggested macros\n    var gradientValues = value.split(' ');\n    if (gradientValues.size() &gt;= 2) {\n      if (gradientValues[0] != '' &amp;&amp; gradientValues[1] != '') {\n        var constructedStyle = backgroundLinearGradient.replace(gradient1PlaceholderRegEx,gradientValues[1]).replace(gradient2PlaceholderRegEx,gradientValues[0]);\n        ## for IE browsers\n        constructedStyle = constructedStyle + filterGradient.replace(gradient1PlaceholderRegEx,gradientValues[1]).replace(gradient2PlaceholderRegEx,gradientValues[0]);\n        return constructedStyle;\n      }\n    }\n    // Other values remain unchanged\n    return value;\n  },\n  wrapCSSPropertyValue : function(propName, value) {\n    // Images need to be referenced using 'url()' and their full path\n    if (propName.indexOf('Image') &gt;= 0) {\n      return 'url(' + this.wrapImagePropertyValue(propName, value) + ')';\n    }\n    // Other values remain unchanged\n    return value;\n  },\n  wrapImagePropertyValue : function(propName, value) {\n    // Images need to be referenced using their full path\n    if (propName.indexOf('Image') &gt;= 0) {\n      // An url template is generated from velocity;\n      // in js, replace the attachmentNamePlaceholder with the actual attachment name given as a parameter\n      #set($attachmentNamePlaceholder = '__attachment__name__placeholder__')\n      return "${xwiki.getAttachmentURL(${request.themeDoc}, ${attachmentNamePlaceholder})}".replace("$attachmentNamePlaceholder", value);\n    }\n    // Other values remain unchanged\n    return value;\n  },\n  // for debug only, to be removed\n  info : function(message) {\n    new XWiki.widgets.Notification(message, 'info', {timeout : false});\n  }\n});\n\ndocument.observe('xwiki:dom:loaded', function(){\n  /** Force ProColor to fire an event when changing the input value */\n  if (ProColor) {\n    ProColor.prototype.options.onChanged = function(t, evtname) {\n      Event.fire(t.input || t, 'procolor:changed');\n    };\n    ProColor.prototype.options.onClosed = function(t, evtname) {\n      Event.fire(t.input || t, 'procolor:closed');\n    };\n    ProColor.prototype.options.onCancelClick = function(t, evtname) {\n      Event.fire(t.input || t, 'procolor:closed');\n    };\n  }\n\n  new XWiki.editors.ColorThemeWizard();\n});</code>\n</property>\n<property>\n<name>Live preview in the color theme editor</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>ColorThemes.ColorThemeSheet</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>bb54e5ea-3751-424b-b8dc-b3d7dee268f6</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n##\n## Velocity stuff\n##\n## Widgets color scheme\n#set($widgetsColors = {\n  'text'           : '#000',\n  'border'         : '#999',\n  'background'     : '#EEE',\n  'tipBackground'  : '#FEB',\n  'activeBorder'   : '#333',\n  'selectedBorder' : '#F60'\n})\n##\n## Define a mapping between:\n## - elements and the color theme properties that affect them: $elementStylingPropertyMap\n## - elements and the color theme properties are configured from them: $elementPropertyMap\n## to be used in both CSS-only version and JavaScript-enhanced version\n#includeTopic('ColorThemes.WizardPropertyMapping')\n##\n## CSS Selectors specific to IE versions\n#set($ie6 = '* html')\n#set($ie7 = '*+html')\n##\n## Elements with large padding.\n#set($paddedElements = ['mainmenu', 'panelheader', 'panelcontents', 'collapsedpanel', 'contentmenu', 'textlink', 'titlebox', 'info', 'details', 'highlight'])\n## Elements without padding.\n#set($notPaddedElements = ['headerbox', 'boxes', 'buttonbox', 'secondaryButtonbox', 'extratabs'])\n## Large containers.\n#set($largeContainers = ['page', 'content'])\n##\n##\n## CSS stuff\n##\n##\n/*==========================================\n *\n *  Generic stuff\n *\n *==========================================\n */\n/* Form reset */\n.colorthemewizard-reset {\n  text-align: right;\n}\n.colorthemewizard-reset input {\n  border: none;\n  padding: 4px 0 4px 18px;\n  background: transparent url("$xwiki.getSkinFile('icons/silk/cancel.png')") left center no-repeat;\n  color: $theme.linkColor;\n  cursor: pointer;\n}\n.colorthemewizard-reset input:hover {\n  text-decoration: underline;\n}\n/*\n * Palette triggers and pickers\n */\n/* The trigger is a small icon that appears in the corner of an editable element. */\n.colorthemewizard-trigger {\n  /* Initially hidden, will be displayed when hovering over the target element */\n  display: none;\n  position: absolute;\n  ##top: 0;\n  bottom: 0;\n  left: 0;\n  z-index: 9998;\n  width: 18px;\n  height: 18px;\n  background: $widgetsColors.background url("$xwiki.getSkinFile('icons/silk/palette.png')") 1px 1px no-repeat;\n  border: 1px outset $widgetsColors.border;\n  cursor: pointer;\n  /* Overrides styles inherited from the parent elements. */\n  text-transform: none;\n  font-size: x-small;\n  color: $widgetsColors.text;\n  font-weight: normal;\n  font-style: normal;\n}\n.colorthemewizard-trigger-visible {\n  background: transparent;\n  border: 0 none;\n  display: block;\n  z-index: 10000;\n}\n/* While for most elements the trigger is in the upper left corner, for large containers it is placed at the bottom left. */\n#foreach($i in $largeContainers)\n#colorthemewizard-${i}-trigger,\n#colorthemewizard-${i}-trigger .colorthemewizard-picker {\n  top: auto;\n  bottom: 0 !important;\n}\n#end\n/* In IE6/7 the z-index property does not properly work with positioned elements, thus we don't use absolute positioning. */\n#foreach($ie in [$ie6, $ie7])\n$ie .colorthemewizard-trigger {\n  top: auto !important;\n  left: auto !important;\n  bottom: auto !important;\n  margin: -18px 0 0 !important;\n}\n#foreach($i in $paddedElements)\n#if($velocityCount &gt; 1),\n#end$ie #colorthemewizard-${i}-trigger#end {\n  margin-top: -15px !important;\n}\n#end\n/* The picker is an area containing various value selectors for theme properties, displayed when activating the trigger. */\n.colorthemewizard-picker {\n  /* Initially hidden, will be displayed when activating the trigger */\n  display: none;\n  position: absolute;\n  ## /* The picker element is inside the trigger element, in HTML. Because the trigger has a 1px border, shift the picker to\n  ##    overlap the border. */\n  ## top: -1px;\n  /* Place the picker under the trigger, so that the element being edited remains visible */\n  top: 19px;\n  left: -1px;\n  /* Z-index higher than the triggers', to prevent other triggers from appearing through the visible pickers. */\n  z-index: 9999;\n  background: $widgetsColors.background url("$xwiki.getSkinFile('icons/silk/palette.png')") 1px 1px no-repeat;\n  border: 1px solid $widgetsColors.border;\n  padding: 6px;\n  width: 160px;\n  cursor: default;\n}\n.colorthemewizard-panelheader:hover .colorthemewizard-picker {\n  top: 18px;\n}\n.colorthemewizard-picker .close-button {\n  cursor: pointer;\n  font-weight: bold;\n  position:absolute;\n  right: 4px;\n  top: 4px;\n}\n.colorthemewizard-picker input {\n    width: 100%;\n}\n.colorthemewizard-picker .procolor {\n    width: 92px;\n}\n/* A picker displays selectors for several properties, each one placed in it's own section. */\n.colorthemewizard-picker-section {\n  margin: 12px 0;\n}\n\n.colorthemewizard-trigger label {\n  display: block;\n  font-weight: bold;\n}\n.colorthemewizard-trigger label .more-details {\n  display: block;\n  font-weight: normal;\n  font-size: 0.9em;\n  line-height: 1.2em;\n}\n/* The tip is an informative text concerning the properties that can be edited from each element */\n.colorthemewizard-tip {\n  /* Initially hidden. Not visible in the CSS-only version, because there the picker already shows up on hover.\n     Will be displayed as a tooltip via js.*/\n  display: none;\n  position: absolute;\n  top: -1px;\n  left: 20px;\n  width: 200px;\n  padding: 4px 6px 4px 24px;\n  background: $widgetsColors.tipBackground url("$xwiki.getSkinFile('icons/silk/information.png')") 5px 5px no-repeat;\n  border: 1px outset $widgetsColors.border;\n}\n.colorthemewizard-tip ul {\n  margin: 0;\n  font-weight: bold;\n}\n.colorthemewizard-tip ul .more-details {\n  font-weight: normal;\n}\n/* Undo button : resets the value of the correspunding input. Only available in the JS version */\n.colorthemewizard-picker .undo {\n  width: 18px;\n  height: 18px;\n  background: $widgetsColors.background url("$xwiki.getSkinFile('icons/silk/arrow_undo.png')") center center no-repeat;\n  border: 1px solid $widgetsColors.background;\n  text-indent: -1000em;\n  cursor: pointer;\n  margin: 0 4px;\n  padding: 0;\n}\n.colorthemewizard-picker .undo:hover {\n  border: 1px outset $widgetsColors.border;\n}\n/* Enable the palette trigger for each editable element. */\n#foreach($element in $elementPropertyMap.keySet())\n#if($velocityCount != 1),\n#end\n.inlinebody .colorthemewizard-${element}:hover #colorthemewizard-${element}-trigger, .editbody .colorthemewizard-${element}:hover #colorthemewizard-${element}-trigger#end\n {\n  display: block;\n  /* When hovering the element, a border is displayed reducing 2px from the padding. The triggers are shifted to compensate this difference. */\n  margin: -2px;\n}\n/* Display the picker when hovering the trigger. */\n.colorthemewizard-trigger:hover .colorthemewizard-picker {\n  display: block;\n}\n\n/* All ".colorthemewizard-editable-group"s have this style. */\n.colorthemewizard-editable-group {\n  position: relative;\n  overflow: visible;\n  cursor: default;\n}\n/* In IE6/7 the z-index property does not properly work with positioned elements, thus we don't use positioning. */\n#foreach($ie in [$ie6, $ie7])\n$ie .colorthemewizard-editable-group {\n  position: static;\n}\n#end\n/* Re-redefine the position in IE6/7 for large containers, which can be positioned. */\n#foreach($i in $largeContainers)\n#body .colorthemewizard-${i} {\n  position: relative;\n}\n#end\n\n/* Set the padding and border for padded elements. */\n#foreach($i in $paddedElements)\n#if($velocityCount &gt; 1),\n#end.colorthemewizard-$i#end {\n  padding: 3px 10px;\n}\n#foreach($i in $paddedElements)\n#if($velocityCount &gt; 1),\n#end.inlinebody .colorthemewizard-$i:hover, .editbody .colorthemewizard-$i:hover#end {\n  padding: 1px 8px;\n  border: 2px dotted $widgetsColors.selectedBorder !important;\n}\n/* For IE6/7, where the trigger is not absolutely positioned, we must shift it to overlap the padding. */\n#foreach($ie in [$ie6, $ie7])\n#foreach($i in $paddedElements)\n#if($velocityCount &gt; 1),\n#end$ie #colorthemewizard-${i}-trigger#end {\n  margin-left: -10px !important;\n}\n#end\n/* Set the margin and border for not padded elements. */\n#foreach($i in $notPaddedElements)\n#if($velocityCount &gt; 1),\n#end.colorthemewizard-$i#end {\n  padding: 2px;\n}\n#foreach($i in $notPaddedElements)\n#if($velocityCount &gt; 1),\n#end.inlinebody .colorthemewizard-$i:hover, .editbody .colorthemewizard-$i:hover#end {\n  padding: 0;\n  border: 2px dotted $widgetsColors.selectedBorder;\n}\n/* Set the border for large containers. */\n#foreach($i in $largeContainers)\n#if($velocityCount &gt; 1),\n#end.inlinebody .colorthemewizard-$i:hover, .editbody .colorthemewizard-$i:hover#end {\n  border: 2px dotted $widgetsColors.selectedBorder;\n}\n\n#foreach($i in $largeContainers)\n.inlinebody .colorthemewizard-${i}-unhover, .editbody .colorthemewizard-${i}-unhover {\n  border-color: $widgetsColors.border !important;\n}\n#end\n#foreach($i in $largeContainers)\n.colorthemewizard-${i}-unhover #colorthemewizard-${i}-trigger {\n  display: none !important;\n}\n#end\n/*==========================================\n *\n *  Maquette layout\n *\n * (!) No colors are defined for the elements in this stylesheet.\n *     All the colors are set through inline style, using the\n *     properties of the color theme being edited.\n *\n *==========================================\n */\n/*\n * Page\n */\n.colorthemewizard-page {\n  font-size: 0.75em;\n  padding: 0;\n  /* 'Invisible' border. */\n  border: 2px solid $theme.pageContentBackgroundColor;\n}\n.inlinebody .colorthemewizard-page, .editbody .colorthemewizard-page {\n  border: 2px dotted $theme.pageContentBackgroundColor; ## $widgetsColors.activeBorder;\n}\n/* Do not shift the page trigger, since there is no change in this element's padding on hover. */\n.inlinebody .colorthemewizard-page:hover #colorthemewizard-page-trigger, .editbody .colorthemewizard-page:hover #colorthemewizard-page-trigger {\n  margin: 0;\n}\n/* Display the tip above the bottom of the page */\n#colorthemewizard-page-trigger .colorthemewizard-tip {\n  top: auto;\n  bottom: 0;\n}\n/*\n * Menu\n */\n.colorthemewizard-mainmenu,\n.colorthemewizard-contentmenu {\n  text-transform: uppercase;\n  font-weight: bold;\n  /* Re-define the padding, to also apply to the contentmenu, which is not an editable element. */\n  padding: 3px 10px;\n}\n.colorthemewizard-menuentry {\n  padding: 0 0.25em;\n}\n.colorthemewizard-menuaddentry {\n  padding: 3px 0.5em;\n}\n/*\n * Header\n */\n/* The border for the header is on the outside to prevent from shifting the header background image. */\n.colorthemewizard-headerbox {\n  margin: -2px;\n}\n/* The header trigger needs extra-shifting to align with the menu trigger, since the headerbox has a -2px margin. */\n#colorthemewizard-headerbox-trigger {\n  margin: 2px;\n}\n.inlinebody .colorthemewizard-headerbox:hover #colorthemewizard-headerbox-trigger, .editbody .colorthemewizard-headerbox:hover #colorthemewizard-headerbox-trigger {\n  margin: 0;\n}\n/*\n * Panels\n */\n.colorthemewizard-panels {\n  float: left;\n  width: 150px;\n  padding: 9px 7px;\n}\n/* IE6 box model discrepancies fix. */\n$ie6 .colorthemewizard-panels {\n  width: 164px;\n}\n\n.colorthemewizard-panelheader {\n  padding-bottom: 2px;\n  border-bottom: 1px dotted;\n}\n\n.colorthemewizard-panelheader,\n.colorthemewizard-collapsedpanel {\n  text-transform: uppercase;\n  font-weight: bold;\n}\n.colorthemewizard-collapsedpanel {\n  margin: 7px 0 0 0;\n}\n/*\n * Main column (content + tabs)\n */\n.colorthemewizard-maincolumn {\n  margin: 0 7px 0 170px;\n}\n/*\n * XWiki content\n */\n.colorthemewizard-content {\n  margin: 9px 2px;\n}\n/* Reduce 2px from the margin to make room for the border. */\n.inlinebody .colorthemewizard-content:hover, .editbody .colorthemewizard-content:hover {\n  margin: 7px 0;\n}\n\n/* In IE7 a strange float bug occurs: the content overlaps the extra tabs area when not hovering. A transparent bottom border seems to fix it. */\n$ie7 .colorthemewizard-content {\n  border-bottom: 1px solid transparent;\n}\n/* Do not shift the page trigger, since there is no change in this element's padding on hover. */\n.inlinebody .colorthemewizard-content:hover #colorthemewizard-content-trigger, .editbody .colorthemewizard-content:hover #colorthemewizard-content-trigger {\n  margin: 0;\n}\n.colorthemewizard-xwikicontent {\n  padding: 10px;\n}\n/*\n * Page title\n */\n.colorthemewizard-title {\n  margin: 0;\n  padding: 0;\n  font-size: 2em;\n  font-weight: bold;\n}\n/* Move the elements under the title closer to the title. */\n.colorthemewizard-info,\n.colorthemewizard-details {\n  margin-top: -3px;\n  font-size: 0.9em;\n}\n.colorthemewizard-info {\n  float: left;\n}\n.colorthemewizard-details {\n  float: right;\n}\n/* The details element is aligned to the right. Its picker and tooltip will be expanded towards the left in order to fit inside the page. */\n#colorthemewizard-details-picker {\n  left: auto;\n  right: 20px;\n}\n#colorthemewizard-details-trigger .colorthemewizard-tip {\n  left: auto;\n  right: 20px;\n}\n.colorthemewizard-message {\n  margin: 0 0 1em;\n  padding: 8px 8px 8px 22px;\n  /* Rules set with !important so they won't be overwritten by the inline background rule */\n  background-image: url($xwiki.getSkinFile('icons/silk/information.png')) !important;\n  background-position: 2px center !important;\n  background-repeat: no-repeat !important;\n  border: 1px dotted;\n}\n/* This fixes the IE7 hover bug, when hover occurs only when hovering the text inside an element, not its background/padding/border. */\n$ie7 .colorthemewizard-message, *+html .colorthemewizard-message * {\n  zoom: 1;\n}\n.colorthemewizard-boxes,\n.colorthemewizard-highlighted,\n.colorthemewizard-textlink {\n  margin: 1em 0;\n}\n.colorthemewizard-link{\n  text-decoration: underline;\n}\n.colorthemewizard-table {\n  margin: 0 !important;\n}\n.colorthemewizard-button,\n.colorthemewizard-secondaryButton {\n  text-transform: uppercase;\n  font-weight: bold;\n  font-size: 0.9em;\n  border: none;\n  padding: 3px 8px;\n  margin: 0;\n}\n.colorthemewizard-buttonbox,\n.colorthemewizard-secondaryButtonbox {\n  float: left;\n  margin: 9px 6px;\n  display: inline;\n}\n/* IE7 has a cloned-margin bug on floated input elements. */\n$ie7 .colorthemewizard-buttonbox,\n$ie7 .colorthemewizard-secondaryButtonbox {\n##  float: none;\n}\n/*\n * Extra tabs - comments/attachments/history/information\n */\n.colorthemewizard-extratabs {\n  margin: 0 2px 9px;\n}\n.colorthemewizard-tabshead {\n  padding: 3px 10px 0;\n  font-weight: bold;\n  text-transform: uppercase;\n}\n.colorthemewizard-tabscontent {\n  padding: 10px;\n}\n.colorthemewizard-tabentry,\n.colorthemewizard-tabentryactive {\n  display: inline-block;\n  padding: 1px 5px 3px;\n  margin-bottom: -3px;\n}\n\n/*==========================================\n *\n *  Property pickers\n *\n *==========================================\n */\n/*\n * Color palette\n */\n.colorthemewizard-palette table tbody {\n  border: 1px solid $widgetsColors.border;\n}\n.colorthemewizard-palette table tr {\n  margin: 0;\n  padding: 0;\n  border: none;\n}\n.colorthemewizard-palette table td {\n  margin: 0;\n  padding: 1px;\n  border: none;\n}\n.colorthemewizard-palette a {\n  display: block;\n  width: 18px;\n  height: 18px;\n  border: 1px solid $widgetsColors.background;\n}\n.colorthemewizard-palette a:hover {\n  border: 1px solid $widgetsColors.selectedBorder;\n}\n.colorthemewizard-palette a.current {\n  border: 1px solid $widgetsColors.activeBorder;\n}\n/*  Palette Colors */\n#includeTopic('ColorThemes.WizardWebColors')\n##\n##\n#set($lastColorIndex = $webColors.size() - 1)\n#foreach($colorID in [0..$lastColorIndex])\n.colorthemewizard-palette a.color${colorID} {\n  background-color: $webColors.get($colorID);\n}\n#end\ninput.procolor {\n  background-image: none;\n}</code>\n</property>\n<property>\n<name>Color theme wizard display style</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity output="false"}}\n##=======================================================\n##\n## INITIALIZATION\n##\n## Mode\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n  #set ($sheetMode = 'edit')\n#else\n  #set ($sheetMode = 'view')\n#end\n## The color theme class and object\n#set($classname = 'ColorThemes.ColorThemeClass')\n#set($class = $xwiki.getDocument($classname).getxWikiClass())\n#set($obj = $doc.getObject($classname))\n#set($propPrefix = "${classname}_${obj.number}_")\n##\n## Color theme initialization:\n## force the use of the default colors whenever this theme has undefined properties\n#set($defaultColorTheme = 'ColorThemes.DefaultColorTheme')\n#set($themeObj = $xwiki.getDocument($defaultColorTheme).getObject($classname))\n#template("colorThemeInit.vm")\n##\n## Default color palette\n#includeTopic('ColorThemes.WizardWebColors')\n##\n## Define a mapping between:\n## - elements and the color theme properties that affect them: $elementStylingPropertyMap\n## - elements and the color theme properties configured from them: $elementPropertyMap\n## to be used in both CSS-only version and JavaScript-enhanced version\n#includeTopic('ColorThemes.WizardPropertyMapping')\n##\n## Wizard stylesheet; defines the layout.\n$xwiki.ssx.use('ColorThemes.ColorThemeSheet')##\n##\n##\n##\n## Hashmap: property number -&gt; property name\n## In the request string, the ids are used because they are much shorter,\n## thus allowing more parameters to fit in the restricted size of the query string.\n#set($propNumberNameMap = {})\n#foreach($prop in $class.properties)\n  #set($discard = $propNumberNameMap.put(${prop.number}, ${prop.name}))\n#end\n##\n## The property values given as query parameters\n#set($requestDefinedValues = {})\n#foreach($propID in $request.getParameterNames())\n  #set($propname = "$!{propNumberNameMap.get($mathtool.toInteger($propID))}")\n  #if($propname.indexOf('Color') &gt;= 0)\n    #set($colorID  = $mathtool.toInteger("$!{request.get($propID)}"))\n    #if($colorID &gt;= 0 &amp;&amp; $colorID &lt; $webColors.size())\n      #set($color    = "$!{webColors.get($colorID)}")\n      #if("$!{propname}" != '' &amp;&amp; "$!{color}" != '')\n        #set($discard = $requestDefinedValues.put($propname, $color))\n      #end\n    #end\n  #else\n    ## TODO Other property types\n  #end\n#end\n##\n##\n## Javascript enhancements of the wizard\n## - Color pickers\n$xwiki.jsfx.use('uicomponents/widgets/colorpicker/procolor.js', true)##\n## - Live preview\n##   Parameters:\n##      colorTheme     - when this theme has undefined properties, force the use of the default\n##                       colors by ignoring the current configured color theme of the wiki;\n##                       colorThemeInit.vm will see this parameter in the URL and use it\n##      themeDoc       - the current document, needed for generating image URL templates\n##      propertyPrefix - "classname_objectnumber_" - needed to identify inputs\n$xwiki.jsx.use('ColorThemes.ColorThemeSheet', {\n       'colorTheme'     : 'ColorThemes.DefaultColorTheme',\n       'themeDoc'       : $doc.fullName,\n       'propertyPrefix' : $propPrefix\n})##\n## ===============================================================\n##\n## MACROS\n##\n#**\n * Prints a colors palette\n *\n * @param propname The property for which the palette is defined\n *#\n#macro(printColorThemeWizardPalette $propname)\n  #set($rows = 5)\n  #set($columns = 7)\n  ## The Velocity foreach iterator includes the end of the range, so we define the last inclusive element\n  #set($lastRow = $rows - 1)\n  #set($lastColumn = $columns - 1)\n  #set($propID = "$!class.get(${propname}).number")\n  #set($propValue = "$!{requestDefinedValues.get($propname)}")\n  #if($propValue == '')\n    #if("$!{obj.getProperty($propname).value}" == '')\n      ##Old colorthemes (before 3.4) shared values for #mainmenu and #contentmenu\n      #if ($propname.equals('menuContentLinkColor'))\n        #set($propValue = $!{obj.getProperty('menuLinkColor').value})\n      #elseif ($propname.equals('menuContentBackgroundColor') || $propname.equals('submenuContentBackgroundColor'))\n        #set($propValue = $!{obj.getProperty('menuBackgroundColor').value})\n      #elseif (!$propname.endsWith('GradientColor'))\n        ## Old colorthemes (before 3.4) don t have values set for GradientColor variables - leave this inputs empty\n        #set($propValue = $theme.get($propname))\n      #end\n    #end\n  #end\n  #if($propValue != '')\n    $obj.set($propname, $propValue)\n  #end\n  &lt;div class="colorthemewizard-picker-section colorthemewizard-palette"&gt;\n    #printPropertyLabel($propname)\n    ## Not using $doc.display($propname) because it generates an annoying\n    ## &lt;pre&gt; around the input (among other problems)\n    ## Also, set the class 'procolor', to be recognized by the color picker\n    &lt;input type="text" size="9" name="${propPrefix}${propname}" id="${propPrefix}${propname}" value="$!{obj.getProperty($propname).value}" class="procolor"/&gt;\n    &lt;table class="colorthemewizard-picker-noscript" summary="35 Color Palette"&gt;\n      &lt;tbody&gt;\n        #foreach ($row in [0..$lastRow])\n          &lt;tr&gt;\n          #foreach ($cell in [0..$lastColumn])\n             #set($colorID = $mathtool.mul($row, $columns) + $cell)\n             #set($params = "$!{request.queryString}")\n             #set($params = $params.replaceAll("(^|&amp;)${propID}=[^&amp;]*", ""))\n             #set($params = $params.replaceAll("&amp;", "&amp;amp;"))\n             #set($params = "${params}&amp;amp;${propID}=${colorID}")\n             &lt;td&gt;&lt;a href="$doc.getURL('edit', $params)" class="color${colorID}#if("$!{obj.getProperty($propname).value}" == "$!{webColors.get($colorID)}") current#end"&gt;&lt;/a&gt;&lt;/td&gt;\n          #end\n         &lt;/tr&gt;\n        #end\n      &lt;/tbody&gt;\n    &lt;/table&gt;\n  &lt;/div&gt;\n#end\n##\n##\n##\n#**\n * Prints a css dropdown displaying the names (and thumbnail previews?)\n * of all the images attached to the current ColorTheme document\n *\n * @param propname The property for which the image picker is defined\n *\n * TODO write me!\n *#\n#macro(printImageSelector $propname)\n   &lt;div class="colorthemewizard-picker-section"&gt;\n     #printPropertyLabel($propname)\n     &lt;input type="text" size="15" name="${propPrefix}${propname}" id="${propPrefix}${propname}" value="$!{obj.getProperty($propname).value}" class="colorthemewizard-backgroundImage"/&gt;\n##     &lt;div style="color: red;"&gt;TODO: display friendly selector&lt;/div&gt;\n   &lt;/div&gt;\n#end\n##\n##\n##\n\n#**\n * Allows to choose possible positions and repeat patterns for the background images\n *\n * left    center   right\n * +--+-----+--+-----+--+\n * |  |     |  |     |  | top\n * +--+     +--+     +--+\n * |                    |\n * +--+     +--+     +--+\n * |  |     |  |     |  | center\n * +--+     +--+     +--+\n * |                    |\n * +--+     +--+     +--+\n * |  |     |  |     |  | bottom\n * +--+-----+--+-----+--+\n *\n * @param propname The property for which the position selector is defined\n *\n * TODO write me!\n *#\n#macro(printPositionSelector $propname)\n   &lt;div class="colorthemewizard-picker-section"&gt;\n     #printPropertyLabel($propname)\n     &lt;input type="text" size="15" name="${propPrefix}${propname}" id="${propPrefix}${propname}" value="$!{obj.getProperty($propname).value}"/&gt;\n##     &lt;div style="color: red;"&gt;TODO: display friendly selector&lt;/div&gt;\n   &lt;/div&gt;\n#end\n##\n##\n##\n#**\n * Chooses the right picker for each type of property.\n * Right now, the choice is based on keywords present in the property name:\n * color, image, position\n *\n * @param $propname The property name\n *#\n#macro(printPropertyPicker $propname)\n  #if($propname.contains('Color'))\n    #printColorThemeWizardPalette($propname)\n  #elseif($propname.contains('Image'))\n    #printImageSelector($propname)\n  #elseif($propname.contains('Position'))\n    #printPositionSelector($propname)\n  #end\n#end\n##\n##\n##\n#**\n * Obtains the prettyName of the property and processes it in order to display any text\n * appearing in '()' in smaller print\n *\n * @param propname The name of the color theme property\n *#\n#macro(printPropertyPrettyname $propname)$doc.displayPrettyName($propname).replaceAll("\\((.*)\\)", "&lt;span class='more-details'&gt;($1)&lt;/span&gt;")#end\n#**\n * Generates the label for the input correspinding to a given property\n *\n * @param propname The name of the color theme property\n *#\n#macro(printPropertyLabel $propname)\n   &lt;label for="${propPrefix}${propname}"&gt;#printPropertyPrettyname($propname)&lt;/label&gt;\n#end\n##\n##\n#**\n * Prints the container of ColorTheme properties for an element.\n * These properties are retrieved from the previously defined map $elementPropertyMap.\n *\n * @param element The target element\n *#\n#macro(printColorThemeWizard $element)\n  ## Only generate the palettes in edit mode\n  #if ($sheetMode == 'edit')\n    #set($propnames = '')\n    #set($propnames = $!elementPropertyMap.get($element))\n    #if("$!{propnames}" != '' &amp;&amp; $propnames.size() &gt; 0)\n    &lt;div id="colorthemewizard-${element}-trigger" class="colorthemewizard-trigger"&gt;\n      &lt;div class="colorthemewizard-tip"&gt;\n        $services.localization.render('xe.themes.colors.wizard.choose'):\n        &lt;ul&gt;\n          #foreach($propname in $propnames)\n            &lt;li&gt;#printPropertyPrettyname($propname)&lt;/li&gt;\n          #end\n        &lt;/ul&gt;\n      &lt;/div&gt;\n      &lt;div id="colorthemewizard-${element}-picker" class="colorthemewizard-picker"&gt;\n        &lt;fieldset&gt;\n          ##&lt;legend&gt;$!{element}&lt;/legend&gt;\n          #foreach($propname in $propnames)\n            #printPropertyPicker($propname)\n          #end\n        &lt;/fieldset&gt;\n      &lt;/div&gt;\n    &lt;/div&gt;\n    #end\n  #end\n#end\n##\n##\n##\n#**\n * Generates inline style for a given element in the maquette.\n * Search for values in the following order:\n * - request parameters\n * - color theme properties from the current document\n * - default color theme\n * The properties that affect it and their corresponding css rules are retrieved from\n * the previously defined $elementStylingPropertyMap.\n *\n * @param $element The element for which we generate the inline style.\n *###\n#macro(inlineStyle $element)\n  #set($style = '')\n  #foreach($cssProp in $elementStylingPropertyMap.get($element).keySet())\n    #set($cssValue = '')\n    #set($themeProps = $elementStylingPropertyMap.get($element).get($cssProp))\n    #foreach ($themeProp in $themeProps)\n      #set($themeValue = "$!{requestDefinedValues.get($themeProp)}")\n      #if($themeValue == '')\n        #set($themeValue = "$!{obj.getProperty($themeProp).value}")\n        #if($themeValue == '')\n          ## Old colorthemes (before 3.4) shared values for #mainmenu and #contentmenu\n          #if ($themeProp.equals('menuContentLinkColor'))\n            #set($themeValue = "$!{obj.getProperty('menuLinkColor').value}")\n          #elseif ($themeProp.equals('menuContentBackgroundColor'))\n            #set($themeValue = "$!{obj.getProperty('menuBackgroundColor').value}")\n          #end\n        #end\n      #end\n      #if($themeValue == '' &amp;&amp; !$themeProp.endsWith('GradientColor'))\n        ## Old colorthemes (before 3.4) don t have values set for GradientColor variables - don t fallback on these values\n        #set($themeValue = "${theme.get($themeProp)}")\n      #end\n      #if($themeValue != '' &amp;&amp; $themeProp.indexOf('Image') &gt;= 0)\n        #set($themeValue = "url($doc.getAttachmentURL($themeValue))")\n      #end\n      #set($cssValue = "${cssValue} $!{themeValue}")\n    #end\n    #if($cssValue.trim() != '')\n      #if (!$cssProp.equals('background-image'))\n        #set($style = "$!{style} ${cssProp}:${cssValue};")\n      #else\n        ## 'background-image' css properties need to be specially constructed in order to add the gradient definition \n        #set ($gradientValues = $cssValue.trim().split(' '))\n        #if ($gradientValues.size() &gt;= 2)\n          #if ($gradientValues[0] != '' &amp;&amp; $gradientValues[1] != '')\n            ## #css3_backgroundLinearGradient macro (defined in macros.vm) used for the majority of browsers (FF, Chrome, Opera, IE10) that support CSS3 properties\n            #set($style = "$!{style} #css3_backgroundLinearGradient({\n               'to': 'bottom',\n               'colors': [\n                {'color': $gradientValues[1], 'position': '0%'},\n                {'color': $gradientValues[0], 'position': '100%'}\n              ]\n            })")\n            ## #css_filterGradient macro (defined in macros.vm) used for the IE 6-9 browsers that don't support CSS3 properties\n            #set($style = "$!{style} #css_filterGradient(${gradientValues[1]}, ${gradientValues[0]})")\n          #end\n        #end\n      #end\n    #end\n  #end\n  #if ("$!{style}" != '')\n    #set($style = "style='${style}'")\n  #end\n  $style ##\n#end\n##\n##\n##\n#**\n * Generates the classes corresponding to each theme property that 'affects' an element.\n * These properties are retrieved from the previously defined map $elementStylingPropertyMap.\n * The classname is constructed as "colorthemewizard-${propertyName}".\n * Also sets the implicit class "colorthemewizard-${element}".\n * In addition, if the element should display editable pickers for one or more theme properties,\n * as defined in $elementPropertyMap, it will also have the class "colorthemewizard-editable-group".\n *\n * @param $element The element for which we generate the class names.\n *#\n#macro(themePropertyClasses $element)\n  #set($classes = "colorthemewizard-${element}")\n  #set($attachedProps = '')\n  #set($attachedProps = $elementPropertyMap.get($element))\n  #if("$!{attachedProps}" != '' &amp;&amp; $attachedProps.size() &gt; 0)\n    #set($classes = "${classes} colorthemewizard-editable-group")\n  #end\n  #foreach($themeProps in $elementStylingPropertyMap.get($element))\n    #foreach ($property in $themeProps)\n      #set($classes = "$!{classes} colorthemewizard-${property}")\n    #end\n  #end\n  class="$!{classes}" ##\n#end\n##\n##\n##\n#**\n * Generates the class and inline style for an element.\n * @see #themePropertyClasses\n * @see #inlineStyle\n *\n * @param $element The element for which we generate the metadata.\n *#\n#macro(elementMetaData $element)\n  #themePropertyClasses($element) #inlineStyle($element)##\n#end\n##\n##\n##\n##\n{{/velocity}}\n\n{{velocity}}\n## ===============================================================\n##\n## PAGE MAQUETTE\n##\n{{html clean="false" wiki="false"}}\n##\n##\n#if($sheetMode == 'edit')&lt;div class="colorthemewizard-reset"&gt;&lt;input type="reset" value="$services.localization.render('xe.themes.colors.wizard.reset')"/&gt;&lt;/div&gt;#end\n&lt;div #elementMetaData('page')&gt;\n  #printColorThemeWizard('page')\n  ## Main menu\n  &lt;div #elementMetaData('mainmenu')&gt;\n   &lt;div&gt;\n    $services.localization.render('xe.themes.colors.wizard.mainMenu')\n    &lt;span #elementMetaData('menuaddentry')&gt;$services.localization.render('xe.themes.colors.wizard.menuEntry')#$services.localization.render('core.menu.create')&lt;/span&gt;\n    &lt;span #elementMetaData('menuentry')&gt;$services.localization.render('xe.themes.colors.wizard.menuEntry')#1&lt;/span&gt;\n    &lt;span #elementMetaData('menuentry')&gt;$services.localization.render('xe.themes.colors.wizard.menuEntry')#2&lt;/span&gt;\n   &lt;/div&gt;\n   #printColorThemeWizard('mainmenu')\n  &lt;/div&gt;\n  ## Page header\n  &lt;div #elementMetaData('headerbox')&gt;\n    &lt;div #elementMetaData('header')&gt;\n      ## Page Header\n      #set($themeLogoImage = $doc.getAttachment("$!{obj.getProperty('logoImage').value}"))\n      #if ("$!{themeLogoImage}" != '')\n        #set($themeLogoImage = $doc.getAttachmentURL($!{obj.getProperty('logoImage').value}))\n      #else\n        ## If the logo is not configured, use the one in the skin or the one set by default\n        ## For this $logoname is already set in global.vm\n        #set($themeLogoImage = "$xwiki.getSkinFile($logoname)")\n      #end\n      &lt;img id="colorthemewizard-logo" src="$themeLogoImage" alt="$services.localization.render('xe.themes.colors.wizard.logo')"/&gt;\n    &lt;/div&gt;\n    #printColorThemeWizard('headerbox')\n  &lt;/div&gt;\n  ## Panels\n  &lt;div #elementMetaData('panels')&gt;\n    ## Expanded panel\n    &lt;div #elementMetaData('panel')&gt;\n      ## Expanded panel header\n      &lt;div #elementMetaData('panelheader')&gt;\n        &lt;div&gt;$services.localization.render('xe.themes.colors.wizard.panel')&lt;/div&gt;\n        #printColorThemeWizard('panelheader')\n      &lt;/div&gt;\n      ## Expanded panel contents\n      &lt;div #elementMetaData('panelcontents')&gt;\n        &lt;div&gt;&lt;span #elementMetaData('text')&gt;$services.localization.render('xe.themes.colors.wizard.panel.text')&lt;/span&gt; | &lt;span  #elementMetaData('link')&gt;$services.localization.render('xe.themes.colors.wizard.panel.link')&lt;/span&gt;&lt;/div&gt;\n        #printColorThemeWizard('panelcontents')\n      &lt;/div&gt;\n    &lt;/div&gt;\n    ## Collapsed panel\n    &lt;div #elementMetaData('collapsedpanel')&gt;\n      &lt;div&gt;$services.localization.render('xe.themes.colors.wizard.panel.collapsed')&lt;/div&gt;\n      #printColorThemeWizard('collapsedpanel')\n    &lt;/div&gt;\n  &lt;/div&gt; ##panels\n  &lt;div #elementMetaData('maincolumn')&gt;\n    ## XWiki Content\n    &lt;div #elementMetaData('content')&gt;\n      &lt;div #elementMetaData('contentmenu')&gt;\n       $services.localization.render('xe.themes.colors.wizard.menu')\n       &lt;span #elementMetaData('menuentry')&gt;$services.localization.render('xe.themes.colors.wizard.menuEntry')#1&lt;/span&gt;\n       &lt;span #elementMetaData('menuentry')&gt;$services.localization.render('xe.themes.colors.wizard.menuEntry')#2&lt;/span&gt;\n       #printColorThemeWizard('contentmenu')\n      &lt;/div&gt;\n      &lt;div #elementMetaData('xwikicontent')&gt;\n        &lt;div #elementMetaData('titlebox')&gt;\n          &lt;h2 #elementMetaData('title')&gt;$services.localization.render('xe.themes.colors.wizard.title')&lt;/h2&gt;\n          #printColorThemeWizard('titlebox')\n        &lt;/div&gt;\n        &lt;div #elementMetaData('info')&gt;\n          &lt;div&gt;$services.localization.render('xe.themes.colors.wizard.informativeText')&lt;/div&gt;\n          #printColorThemeWizard('info')\n        &lt;/div&gt;\n        &lt;div #elementMetaData('details')&gt;\n          &lt;div&gt;$services.localization.render('xe.themes.colors.wizard.detailsText')&lt;/div&gt;\n          #printColorThemeWizard('details')\n        &lt;/div&gt;\n        &lt;div class="clearfloats" &gt;&lt;/div&gt;\n        &lt;div #elementMetaData('textlink')&gt;\n          &lt;div&gt;\n            &lt;span #elementMetaData('text')&gt;$services.localization.render('xe.themes.colors.wizard.text')&lt;/span&gt; |\n            &lt;span #elementMetaData('link')&gt;$services.localization.render('xe.themes.colors.wizard.link')&lt;/span&gt;\n          &lt;/div&gt;\n          #printColorThemeWizard('textlink')\n        &lt;/div&gt;\n        &lt;div #elementMetaData('highlight')&gt;\n          &lt;div&gt;$services.localization.render('xe.themes.colors.wizard.highlightedText')&lt;/div&gt;\n          #printColorThemeWizard('highlight')\n        &lt;/div&gt;\n        &lt;div #elementMetaData('boxes')&gt;\n          &lt;div #elementMetaData('message')&gt;$services.localization.render('xe.themes.colors.wizard.messageBox')&lt;/div&gt;\n          &lt;table #elementMetaData('table')&gt;\n            &lt;thead&gt;&lt;tr&gt;&lt;th colspan="2" scope="col" #elementMetaData('th')&gt;$services.localization.render('xe.themes.colors.wizard.table')&lt;/th&gt;&lt;/tr&gt;&lt;/thead&gt;\n            &lt;tbody&gt;&lt;tr&gt;&lt;td #elementMetaData('td')&gt;$services.localization.render('xe.themes.colors.wizard.table.data')#1&lt;/td&gt;&lt;td #elementMetaData('td')&gt;$services.localization.render('xe.themes.colors.wizard.table.data')#2&lt;/td&gt;&lt;/tr&gt;&lt;/tbody&gt;\n          &lt;/table&gt;\n          #printColorThemeWizard('boxes')\n        &lt;/div&gt;\n        &lt;div class="clearfloats" &gt;&lt;/div&gt;\n        &lt;div #elementMetaData('buttonbox')&gt;\n          &lt;div&gt;&lt;input #elementMetaData('button') type="button" value="$services.localization.render('xe.themes.colors.wizard.button')" /&gt;&lt;/div&gt;\n          #printColorThemeWizard('buttonbox')\n        &lt;/div&gt;\n        &lt;div #elementMetaData('secondaryButtonbox')&gt;\n          &lt;div&gt;&lt;input #elementMetaData('secondaryButton') type="button" value="$services.localization.render('xe.themes.colors.wizard.secondaryButton')" /&gt;&lt;/div&gt;\n          #printColorThemeWizard('secondaryButtonbox')\n        &lt;/div&gt;\n        &lt;div class="clearfloats" &gt;&lt;/div&gt;\n      &lt;/div&gt; ## xwikicontent\n      #printColorThemeWizard('content')\n    &lt;/div&gt; ## content\n    ## Extra tabs - comments/attachments/history/information\n    &lt;div  #elementMetaData('extratabs')&gt;\n      &lt;div  #elementMetaData('tabshead')&gt;\n        &lt;span #elementMetaData('tabentryactive')&gt;$services.localization.render('xe.themes.colors.wizard.tab') &lt;span #elementMetaData('tabdetails')&gt;#1&lt;/span&gt;&lt;/span&gt;\n        &lt;span #elementMetaData('tabentry')&gt;$services.localization.render('xe.themes.colors.wizard.tab') &lt;span #elementMetaData('tabdetails')&gt;#2&lt;/span&gt;&lt;/span&gt;\n      &lt;/div&gt;\n      &lt;div #elementMetaData('tabscontent')&gt;$services.localization.render('xe.themes.colors.wizard.tab.text')&lt;/div&gt;\n      #printColorThemeWizard('extratabs')\n    &lt;/div&gt;\n  &lt;/div&gt; ## main column\n  &lt;div class="clearfloats" &gt;&lt;/div&gt;\n&lt;/div&gt;\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
556521603779622092	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>WebHome</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1375383699000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.themes.colors.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-colorthemes-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>ColorThemes.WebHome</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>e38b1cd9-283d-4468-b502-b501c984aa24</guid>\n<property>\n<cache>forbid</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n.x-theme {\n  border: 1px dotted $theme.borderColor;\n  float: left;\n  margin: 0 1em 1em 0;\n  padding: 2px 4px;\n  width: 300px;\n  /* IE6 bugfix */\n  display: inline;\n}\n\n.x-theme-create {\n  background: url("$xwiki.getSkinFile('icons/silk/add.png')") no-repeat .2em center $theme.backgroundSecondaryColor;\n  border: 1px dotted $theme.borderColor;\n  display: inline-block;\n  padding: .5em .5em .5em 22px;\n  margin-bottom: 1em;\n}\n.x-theme-create .buttonwrapper {\n  margin: 0;\n}\n\n.current-theme {\n  background-color: $theme.highlightColor;\n}\n\n.x-theme .x-theme-title, .x-theme .x-theme-title span {\n  border: none;\n  font-size: 1.2em;\n  margin: 0 !important;\n  padding: 0 !important;\n}\n\n.x-theme-info {\n  margin-left: 60px;\n  color: $theme.textSecondaryColor;\n  font-size: .9em;\n}\n\n.x-theme-set {\n  font-size: 1.1em;\n  margin-top: .3em;\n}\n\n.x-demo-page {\n  float: left;\n  height: 60px;\n  margin: 0 4px;\n  position: relative;\n  width: 50px;\n}\n\n* html .x-demo-page {\n  border: 1px inset #000;\n  width: 52px;\n}\n\n.x-demo-page * {\n  line-height: 1px;\n  overflow: hidden;\n  position: absolute;\n}\n\n.x-demo-top-menu, .x-demo-panel-header {\n  left: 0;\n  height: 3px;\n  top: 0;\n  width: 50px;\n}\n\n.x-demo-header {\n  left: 0;\n  height: 8px;\n  top: 3px;\n  width: 50px;\n}\n\n.x-demo-right-panel {\n  height: 24px;\n  top: 12px;\n  width: 12px;\n  right: 2px;\n}\n\n.x-demo-panel-header {\n  border-bottom: 1px dotted;\n  width: 12px;\n}\n\n.x-demo-panel-header-text, .x-demo-panel-text1, .x-demo-panel-text2, .x-demo-panel-text3 {\n  height: 1px;\n  left: 2px;\n  top: 1px;\n  width: 8px;\n}\n\n.x-demo-panel-text1 {\n  top: 4px;\n}\n\n.x-demo-panel-text2 {\n  top: 7px;\n}\n\n.x-demo-panel-text3 {\n  top: 10px;\n}\n\n.x-demo-panel-contents {\n  height: 20px;\n  top: 4px;\n  width: 12px;\n}\n\n.x-demo-page-content {\n  height: 40px;\n  left: 2px;\n  overflow: hidden;\n  top: 12px;\n  width: 32px;\n}\n\n.x-demo-title {\n  height: 2px;\n  left: 3px;\n  top: 3px;\n  width: 22px;\n}\n\n.x-demo-text1, .x-demo-text2, .x-demo-text3, .x-demo-text4, .x-demo-text5 {\n  height: 1px;\n  left: 3px;\n  top: 7px;\n  width: 26px;\n}\n\n.x-demo-text2 {\n  top: 10px;\n}\n\n.x-demo-text3 {\n  top: 13px;\n}\n\n.x-demo-text4 {\n  top: 16px;\n}\n\n.x-demo-text5 {\n  top: 19px;\n}</code>\n</property>\n<property>\n<name>Theme list styling</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity output="false"}}\n#if("$!request.xaction" == 'setTheme' &amp;&amp; "$!request.theme" != '' &amp;&amp; $hasAdmin &amp;&amp; ${services.csrf.isTokenValid("$!{request.getParameter('form_token')}")})\n  #set($preferencesDoc = $xwiki.getDocument('XWiki.XWikiPreferences'))\n  #set($preferencesObj = $preferencesDoc.getObject('XWiki.XWikiPreferences'))\n  $preferencesObj.set('colorTheme', $request.theme)\n  $preferencesDoc.save()\n  ## Redirect without xaction, so that refreshing doesn't set the same theme again.\n  $response.sendRedirect($doc.getURL('view', "theme=$escapetool.url($request.theme)"))\n  #stop\n#elseif("$!request.xaction" == 'create' &amp;&amp; "$!request.newThemeName" != '' &amp;&amp; ${services.csrf.isTokenValid("$!{request.getParameter('form_token')}")})\n  $response.sendRedirect($xwiki.getDocument($services.model.createDocumentReference($doc.wiki, 'ColorThemes', $request.newThemeName)).getURL('inline', "template=ColorThemes.ColorThemeTemplate&amp;title=$escapetool.url($request.newThemeName)"))\n  #stop\n#end\n\n$xwiki.ssx.use($doc.fullName)\n\n\n##\n## Page mockup, for displaying the theme colors\n##\n#macro(themeMiniDemo $theme)\n  &lt;div class="x-demo-page"  style="background-color: $theme.pageBackgroundColor"&gt;\n    &lt;div class="x-demo-top-menu" style="background-color: $theme.menuBackgroundColor"&gt; &lt;/div&gt;\n    &lt;div class="x-demo-header" style="background-color: $theme.pageHeaderBackgroundColor"&gt; &lt;/div&gt;\n    &lt;div class="x-demo-page-content" style="background-color: $theme.pageContentBackgroundColor"&gt;\n      &lt;div class="x-demo-title" style="background-color: $theme.titleColor; border-color: $theme.borderColor"&gt; &lt;/div&gt;\n      &lt;div class="x-demo-text1" style="background-color: $theme.textColor"&gt;&lt;/div&gt;\n      &lt;div class="x-demo-text2" style="background-color: $theme.textColor"&gt;&lt;/div&gt;\n      &lt;div class="x-demo-text3" style="background-color: $theme.textColor"&gt;&lt;/div&gt;\n      &lt;div class="x-demo-text4" style="background-color: $theme.linkColor"&gt;&lt;/div&gt;\n      &lt;div class="x-demo-text5" style="background-color: $theme.textColor"&gt;&lt;/div&gt;\n    &lt;/div&gt;\n    &lt;div class="x-demo-right-panel"&gt;\n      &lt;div class="x-demo-panel-header" style="background-color: $theme.panelHeaderBackgroundColor; border-color: $theme.borderColor"&gt;\n        &lt;div class="x-demo-panel-header-text" style="background-color: $theme.panelHeaderTextColor"&gt; &lt;/div&gt;\n      &lt;/div&gt;\n      &lt;div class="x-demo-panel-contents" style="background-color: $theme.panelBackgroundColor"&gt;\n        &lt;div class="x-demo-panel-text1" style="background-color: $theme.panelTextColor"&gt; &lt;/div&gt;\n        &lt;div class="x-demo-panel-text2" style="background-color: $theme.panelTextColor"&gt; &lt;/div&gt;\n        &lt;div class="x-demo-panel-text3" style="background-color: $theme.panelTextColor"&gt; &lt;/div&gt;\n      &lt;/div&gt;\n    &lt;/div&gt;\n  &lt;/div&gt;\n#end\n##\n##\n## Theme information: title, creator, mockup\n##\n#macro(displayTheme $themeDocName)\n  #if($xwiki.getXWikiPreference('colorTheme') == $themeDocName)\n    #set($isCurrentTheme = true)\n  #else\n    #set($isCurrentTheme = false)\n  #end\n  #set($themeDoc = $xwiki.getDocument($themeDocName))\n  #set($themeObj = $themeDoc.getObject('ColorThemes.ColorThemeClass', true))\n  #template('colorThemeInit.vm')\n  &lt;div class="x-theme#if($isCurrentTheme) current-theme#end"&gt;\n  #themeMiniDemo($theme)\n  &lt;div class="x-theme-info"&gt;\n    &lt;div class="x-theme-title"&gt;[[$themeDoc.displayTitle&gt;&gt;$themeDocName]]&lt;/div&gt;   \n    {{html wiki="false"}}\n      &lt;span class="theme-info"&gt;$services.localization.render('core.footer.creation', [$xwiki.getUserName($themeDoc.creator), $xwiki.formatDate($themeDoc.creationDate)])&lt;/span&gt;\n      #if($hasAdmin &amp;&amp; !$isCurrentTheme)\n        &lt;div class="x-theme-set" id="$themeDoc.fullName"&gt;\n          &lt;a href="$doc.getURL('view', "xaction=setTheme&amp;theme=${themeDoc.fullName}&amp;form_token=$!{services.csrf.getToken()}")" class="use-theme"&gt;$services.localization.render('xe.themes.useTheme')&lt;/a&gt;\n        &lt;/div&gt;\n      #end\n    {{/html}}\n    &lt;/div&gt;\n  &lt;/div&gt;\n#end\n##\n## End macros\n##\n##\n{{/velocity}}\n\n{{velocity}}\n#if("$!request.theme" != '')\n  {{info}}$services.localization.render('xe.themes.themeSet', [$xwiki.getDocument($request.theme).displayTitle]){{/info}}\n\n#end\n{{html wiki="true"}}\n  #set($currentTheme = $xwiki.getDocument('XWiki.XWikiPreferences').getObject('XWiki.XWikiPreferences').getProperty('colorTheme').value)\n  #if("$!currentTheme" == '')\n    #set($currentTheme = 'ColorThemes.DefaultColorTheme')\n  #end\n  == $services.localization.render('xe.themes.current') ==\n  #displayTheme($currentTheme)\n  &lt;div class="clearfloats"&gt;&lt;/div&gt;\n  #set($query = ", BaseObject as theme where doc.fullName=theme.name and theme.className='ColorThemes.ColorThemeClass' and doc.fullName&lt;&gt;'ColorThemes.ColorThemeTemplate' and doc.fullName&lt;&gt;? and doc.fullName&lt;&gt;'ColorThemes.ColorThemeSheet' order by doc.title")\n  #set($params = ["$!currentTheme"])\n  #set($themeList = $services.query.hql($query).bindValues($params).execute())\n  #if($themeList.size() &gt; 0)\n    == $services.localization.render('xe.themes.others') ==\n  #end\n  #if(!$isGuest &amp;&amp; $xcontext.action != 'inline')\n  &lt;form action="$doc.getURL()" method="post" class="xformInline"&gt;\n  &lt;div class="x-theme-create"&gt;\n    &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n    &lt;input type="hidden" name="xaction" value="create"/&gt;\n    &lt;label for="newThemeName" class="hidden"&gt;$services.localization.render('xe.themes.create.nameLabel')&lt;/label&gt;\n    &lt;input type="text" name="newThemeName" id="newThemeName" value="$services.localization.render('xe.themes.create.nameTip')" class="withTip" size="30"/&gt;\n    &lt;span class="buttonwrapper"&gt;&lt;input type="submit" value="$services.localization.render('xe.themes.create')" class="button"/&gt;&lt;/span&gt;\n  &lt;/div&gt;\n  &lt;/form&gt;\n  #end\n  &lt;div class="clearfloats"&gt;&lt;/div&gt;\n  #foreach($themeDocName in $themeList)\n    #displayTheme($themeDocName)\n  #end\n  &lt;div class="clearfloats"&gt;&lt;/div&gt;\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
-396491626832121981	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Mail</web>\n<name>Translations</name>\n<language>sv</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Mail.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1418633909000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Mail Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language sv generated from http://www.l10n.xwiki.org\nMail.GeneralMailConfigClass_obfuscate=Förvräng epostadresser\n</content></xwikidoc>
5045504870886327795	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Mail</web>\n<name>GeneralMailConfigSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Mail.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1418145957000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#set ($configDocName = 'Mail.MailConfig')\n#set ($configDoc = $xwiki.getDocument($configDocName))\n#set ($configClassName = 'Mail.GeneralMailConfigClass')\n#set ($configObj = $configDoc.getObject($configClassName))\n## =======================================================\n## Step 1: Migrate Mail config data\n## =======================================================\n## We bundle Mail.MailConfig without a Mail.GeneralMailConfigClass xobject, allowing us to migrate mail configuration\n## that were previously stored in XWikiPreferences into a Mail.GeneralMailConfigClass xobject.\n#if ($xcontext.action == 'admin' &amp;&amp; "$!configObj" == '')\n  ## Create the xobject\n  #set ($configObj = $configDoc.newObject($configClassName))\n  ## Get the "obfuscate" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('obfuscateEmailAddresses'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('obfuscate', $oldValue))\n  #end\n  ## Save the new xobject!\n  #set ($discard = $configDoc.save('Migrated Mail configuration found in XWikiPreferences', true))\n#end\n## =======================================================\n## Step 1: Display form\n## =======================================================\n#set ($params = {\n  'general': ['obfuscate']\n})\n#set ($paramDoc = $configDoc)\n#set ($paramClass = $configClassName)\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}</content></xwikidoc>\n
-5982722919062690003	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Mail</web>\n<name>SendMailConfigSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Mail.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1418312886000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#set ($configDocName = 'Mail.MailConfig')\n#set ($configDoc = $xwiki.getDocument($configDocName))\n#set ($configClassName = 'Mail.SendMailConfigClass')\n#set ($configObj = $configDoc.getObject($configClassName))\n## =======================================================\n## Step 1: Migrate Mail config data\n## =======================================================\n## We bundle Mail.MailConfig without a Mail.SendMailConfigClass xobject, allowing us to migrate mail configuration\n## that were previously stored in XWikiPreferences into a Mail.SendMailConfigClass xobject.\n#if ($xcontext.action == 'admin' &amp;&amp; "$!configObj" == '')\n  ## Create the xobject\n  #set ($configObj = $configDoc.newObject($configClassName))\n  ## Get the "from" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('admin_email'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('from', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('from', ''))\n  #end\n  ## Get the "host" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('smtp_server'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('host', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('host', 'localhost'))\n  #end\n  ## Get the "port" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('smtp_port'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('port', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('port', '25'))\n  #end\n  ## Get the "username" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('smtp_server_username'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('username', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('username', ''))\n  #end\n  ## Get the "password" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('smtp_server_password'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('password', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('password', ''))\n  #end\n  ## Get the "properties" value from the old location\n  #set ($oldValue = $xwiki.getSpacePreference('javamail_extra_props'))\n  #if ("$!oldValue" != '')\n    #set ($discard = $configObj.set('properties', $oldValue))\n  #else\n    ## Make sure the value is set and thus overrides the old config\n    #set ($discard = $configObj.set('properties', ''))\n  #end\n  ## Save the new xobject!\n  #set ($discard = $configDoc.save('Migrated Mail configuration found in XWikiPreferences', true))\n#end\n## =======================================================\n## Step 1: Display form\n## =======================================================\n#set ($params = {\n  'send': ['from', 'bcc', 'host', 'port', 'username', 'password', 'properties', 'sendWaitTime', 'discardSuccessStatuses']\n})\n#set ($paramDoc = $configDoc)\n#set ($paramClass = $configClassName)\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}</content></xwikidoc>\n
6127720060585039621	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ExternalImageClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822127000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.ExternalImageClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>comments</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<file>\n<cache>0</cache>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>file</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>file</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</file>\n<print>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>print</name>\n<number>3</number>\n<prettyName>Select this image for printing</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</print>\n</class>\n<content></content></xwikidoc>\n
8028684433813620171	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Mail</web>\n<name>GeneralMailConfigClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Mail.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1418130835000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>Mail.GeneralMailConfigClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<obfuscate>\n<customDisplay></customDisplay>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>obfuscate</name>\n<number>1</number>\n<prettyName>Obfsucate Email Addresses</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</obfuscate>\n</class>\n<content></content></xwikidoc>\n
-2371516960758767693	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Mail</web>\n<name>SendMailStatusJSON</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Mail.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1419849999000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Send Mail Status JSON</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity wiki="false"}}\n#if("$!{request.outputSyntax}" == 'plain' || "$!{request.xpage}" == 'plain')\n  $response.setContentType('application/json')\n  ##==================================================\n  ## Offset = item # at which to start displaying data\n  ##==================================================\n  #set($offset = $mathtool.toInteger($request.get('offset')))\n  ## Offset starts from 0 in velocity and 1 in javascript\n  #set($offset = $offset - 1)\n  #if(!$offset || $offset &lt; 0)\n    #set($offset = 0)\n  #end\n  ##==============================\n  ## Limit = # of items to display\n  ##==============================\n  #set($limit = $mathtool.toInteger($request.get('limit')))\n  #if(!$limit)\n    #set ($limit = 15)\n  #end\n  ##===============\n  ## Sort direction\n  ##===============\n  #set($order = "$!request.sort")\n  #if($order != '')\n    #if($order == 'error')\n      #set($order = 'errorSummary')\n    #end\n    #set($orderDirection = true)\n    #if("$!{request.get('dir')}" != '' &amp;&amp; "$!{request.get('dir')}" != 'asc')\n      #set($orderDirection = false)\n    #end\n  #else\n    #set($order = "date")\n    #set($orderDirection = false)\n  #end\n  ## ===========\n  ## Filter Data\n  ## ===========\n  #set ($filterMap = {})\n  #set ($filterId = "$!{request.get('batchId')}")\n  #if("$!{filterId}" != '')\n    #set ($discard = $filterMap.put('batchId', "%${filterId.trim()}%"))\n  #end\n  #set($filterType = "$!{request.get('type')}")\n  #if("$!{filterType}" != '')\n    #set ($discard = $filterMap.put('type', "%${filterType.trim()}%"))\n  #end\n  #set($filterRecipients = "$!{request.get('recipients')}")\n  #if("$!{filterRecipients}" != '')\n    #set ($discard = $filterMap.put('recipients', "%${filterRecipients.trim()}%"))\n  #end\n  #set($filterStatus = "$!{request.get('state')}")\n  #if("$!{filterStatus}" != '')\n    #set ($discard = $filterMap.put('state', "%${filterStatus.trim()}%"))\n  #end\n  #if ($xcontext.isMainWiki())\n    #set($filterWiki = "$!{request.get('wiki')}")\n    #if("$!{filterWiki}" != '')\n      #set ($discard = $filterMap.put('wiki', "%${filterWiki.trim()}%"))\n    #end\n  #end\n  #set($filterError = "$!{request.get('error')}")\n  #if("$!{filterError}" != '')\n    #set ($discard = $filterMap.put('errorSummary', "%${filterError.trim()}%"))\n  #end\n  #set ($totalrows = $services.mailstorage.count($filterMap))\n  #set ($results = $services.mailstorage.load($filterMap, $offset, $limit, $order, $orderDirection))\n  ## ===============\n  ## JSON Generation\n  ## ===============\n  {\n    'totalrows': $totalrows,\n    'matchingtags': {},\n    'tags' : [],\n    'returnedrows': $results.size(),\n    'offset': $mathtool.toInteger($request.offset),\n    'sort': "$request.sort",\n    'dir': "$request.dir",\n    'reqNo': $mathtool.toInteger($request.reqNo),\n    'rows': [\n    #foreach($item in $results)\n      #if($velocityCount &gt; 1) , #end\n      {\n        #set($recipients = "$!item.recipients")\n        'doc_viewable' : true,\n        'date' : "$xwiki.formatDate($!item.date)",\n        'batchId' : "$!item.batchId",\n        'type' : "$!item.type",\n        'recipients' : "$escapetool.javascript($recipients)",\n        'state' : "$!item.state",\n        #if ($xcontext.isMainWiki())'wiki' : "$!item.wiki",\n        #{end}\n        'error' : "$!item.errorSummary",\n        #if("$!item.state" != 'sent')\n          'actions' : "${escapetool.javascript("&lt;form action='' enctype='multipart/form-data' method='post'&gt;\n              &lt;input name='mail_id' value='$!item.messageId' type='hidden'/&gt;\n              &lt;input name='batch_id' value='$!item.batchId' type='hidden'/&gt;\n              &lt;span class='btn-group text-left'&gt;&lt;input name='mailsendingaction_resend' value='${escapetool.xml($services.localization.render('Mail.SendMailStatus_livetable.resend'))}' class='btn btn-primary btn-sm' type='submit'&gt;\n&lt;/span&gt;\n            &lt;/form&gt;")}"\n        #else\n          'actions' : ''\n        #end  \n      }\n    #end\n    ]\n  }\n#else\n  This page should be called by Mail.SenMailStatus with parameters.\n#end\n{{/velocity}}</content></xwikidoc>\n
361299506791820685	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Mail</web>\n<name>MailConfig</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Mail.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1417705603000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Mail Configuration</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>email.png</filename>\n<filesize>8309</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618212000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<name>Mail.MailConfig</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>8887c25f-a95f-44ba-8b87-c119e65a0d36</guid>\n<property>\n<categoryIcon>email</categoryIcon>\n</property>\n<property>\n<codeToExecute>{{include reference="Mail.GeneralMailConfigSheet" /}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayBeforeCategory>lf</displayBeforeCategory>\n</property>\n<property>\n<displayInCategory>email</displayInCategory>\n</property>\n<property>\n<displayInSection>emailGeneral</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment>email.png</iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionOrder></sectionOrder>\n</property>\n</object>\n<object>\n<name>Mail.MailConfig</name>\n<number>1</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>4bee1ca8-fffb-4c7a-b9f6-780a1338e31d</guid>\n<property>\n<categoryIcon></categoryIcon>\n</property>\n<property>\n<codeToExecute>{{include reference="Mail.SendMailConfigSheet" /}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayBeforeCategory>lf</displayBeforeCategory>\n</property>\n<property>\n<displayInCategory>email</displayInCategory>\n</property>\n<property>\n<displayInSection>emailSend</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment>email.png</iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionOrder></sectionOrder>\n</property>\n</object>\n<object>\n<name>Mail.MailConfig</name>\n<number>2</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>b867c013-9ab7-406e-9fe2-4cafed309b0b</guid>\n<property>\n<categoryIcon></categoryIcon>\n</property>\n<property>\n<codeToExecute>{{include reference="Mail.SendMailStatus" /}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayBeforeCategory>if</displayBeforeCategory>\n</property>\n<property>\n<displayInCategory>email</displayInCategory>\n</property>\n<property>\n<displayInSection>emailStatus</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment>email.png</iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionOrder></sectionOrder>\n</property>\n</object>\n<content></content></xwikidoc>\n
-8746370434493217633	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Mail</web>\n<name>Translations</name>\n<language>fr</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Mail.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1418633909000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Mail Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language fr generated from http://www.l10n.xwiki.org\nMail.GeneralMailConfigClass_obfuscate=Obscurcir l'adresse email\nMail.GeneralMailConfigClass_obfuscate.hint=Cela affecte seulement les adresses email enregistrées dans les propriétés de l'objet de type E-mail, aussi longtemps que le displayer par défaut pour le type de propriété Email n'est pas écrasé.\nMail.SendMailConfigClass_bcc=CCI\nMail.SendMailConfigClass_bcc.hint=Une liste d'adresses emails CCI séparée par des virgules à utiliser lors de l'envoi.\nMail.SendMailConfigClass_discardSuccessStatuses=Effacer les statuts succès ?\nMail.SendMailConfigClass_discardSuccessStatuses.hint=Ne pas stocker les statuts des mails envoyés avec succès. \nMail.SendMailConfigClass_from=Adresse email à envoyer depuis\nMail.SendMailConfigClass_from.hint=L'adresse email par défaut utilisée pour envoyer des emails de notifications depuis\nMail.SendMailConfigClass_host=Serveur email\nMail.SendMailConfigClass_host.hint=Le serveur SMTP vers lequel envoyer.\\n"localhost" par défaut\nMail.SendMailConfigClass_password=Mot de passe du serveur d'email (optionnel)\nMail.SendMailConfigClass_password.hint=Le mot de passe pour se connecter au serveur SMTP, pour authentifier les serveurs\nMail.SendMailConfigClass_port=Port du serveur d'email\nMail.SendMailConfigClass_port.hint=Le port du serveur SMTP à utiliser. Par défaut \\: 25\nMail.SendMailConfigClass_properties=Propriétés additionnelles\nMail.SendMailConfigClass_properties.hint=La liste des propriétés JavaMail additionnelles à utiliser (par exemple "mail.smtp.starttls.enable\\=true" pour TLS\nMail.SendMailConfigClass_sendWaitTime=Envoyer temps d'attente\nMail.SendMailConfigClass_sendWaitTime.hint=Le délai d'attente entre chaque email envoyé, en milli-secondes (par défaut 8 secondes)\nMail.SendMailConfigClass_username=Nom d'utilisateur du serveur email (optionnel)\nMail.SendMailConfigClass_username.hint=Le nom d'utilisateur pour se connecter au serveur SMTP, pour authentifier les serveurs\nMail.SendMailStatus_livetable.actions=Actions\nMail.SendMailStatus_livetable.batchId=ID du lot\nMail.SendMailStatus_livetable.date=Date\nMail.SendMailStatus_livetable.error=Erreur\nMail.SendMailStatus_livetable.recipients=Destinataires\nMail.SendMailStatus_livetable.resend=Renvoyer\nMail.SendMailStatus_livetable.state=Statuts\nMail.SendMailStatus_livetable.type=Type\nMail.SendMailStatus_livetable.wiki=Wiki\nadmin.email=Email\nadmin.email.description=Configurer l'email (général, envoi d'email) et voir  les statuts d'emails.\nadmin.emailgeneral=Général\nadmin.emailgeneral.description=Configuration des paramètres généraux relatifs aux mails\nadmin.emailsend=Envoi de mails\nadmin.emailsend.description=Configurer les paramètres d'envoi d'emails\nadmin.emailstatus=Status des mails\nadmin.emailstatus.description=Voir le status des mails envoyés.\nmailSender.admin.resendFailure=Le mail n'a pas pu être envoyé de nouveau. Cliquez pour avoir plus d'information.\nmailSender.admin.resendSuccess=Le mail a été envoyé avec succès\n</content></xwikidoc>
-1426973562654651158	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Mail</web>\n<name>SendMailConfigClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Mail.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1418130718000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>Mail.SendMailConfigClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<bcc>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>bcc</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>BCC</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</bcc>\n<discardSuccessStatuses>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>discardSuccessStatuses</name>\n<number>9</number>\n<prettyName>Discard Success Statuses</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</discardSuccessStatuses>\n<from>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>from</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>From Email Address</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</from>\n<host>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>host</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Host</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</host>\n<password>\n<algorithm></algorithm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>password</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Password</prettyName>\n<size>30</size>\n<storageType>Clear</storageType>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.PasswordClass</classType>\n</password>\n<port>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>port</name>\n<number>4</number>\n<numberType>integer</numberType>\n<prettyName>Port</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</port>\n<properties>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>properties</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>JavaMail Properties</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</properties>\n<sendWaitTime>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sendWaitTime</name>\n<number>8</number>\n<numberType>long</numberType>\n<prettyName>Send Wait Time</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</sendWaitTime>\n<username>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>username</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Username</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</username>\n</class>\n<content></content></xwikidoc>\n
1971837450616235771	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Section__prenatal-info</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822219000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXSection.prenatalInfo')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Section__prenatal-info</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>b409d0dc-62a0-47ee-94d7-145f6c1a09ad</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.content</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.section.prenatal-info</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXSection.prenatalInfo')\nenabled=true\nrequired=\norder=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
9183376433184547103	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Mail</web>\n<name>SendMailStatus</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Mail.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1419848735000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n##\n## Resending an email ##\n##\n#if ($request.mailsendingaction_resend &amp;&amp; $request.mail_id &amp;&amp; $request.batch_id)\n  ## resending email\n  #set($mailResult = $services.mailstorage.resend($request.batch_id, $request.mail_id))\n  #set ($mailError = false)\n  #macro (displayError $description)\n\n    {{html}}\n      &lt;div class="xwikirenderingerror" title="Click to get more details about the error" style="cursor: pointer;"&gt;\n        $services.localization.render('mailSender.admin.resendFailure')\n      &lt;/div&gt;\n      &lt;div class="xwikirenderingerrordescription hidden"&gt;\n        &lt;pre&gt;${description}&lt;/pre&gt;\n      &lt;/div&gt;\n    {{/html}}\n\n  #end\n  #if ("$!services.mailstorage.lastError" != '')\n    #set ($mailError = true)\n    #displayError($exceptiontool.getStackTrace($services.mailstorage.lastError))\n  #end\n  #set ($statuses = $mailResult.statusResult.getByState('FAILED'))\n  #if ($statuses.hasNext())\n    #set ($mailError = true)\n    #set ($status = $statuses.next())\n    #displayError($status.errorDescription)\n  #end\n  #if(!$mailError)\n\n    {{success}}$services.localization.render('mailSender.admin.resendSuccess'){{/success}}\n\n  #end\n#end\n##\n## Livetable #\n##\n#set($columns = ['date', 'batchId', 'type', 'recipients', 'state', 'error', 'actions'])\n#set($columnsProperties = {\n    'date' : { 'type' : 'date' },\n    'batchId' : { 'type' : 'text' },\n    'type' : { 'type' : 'text' },\n    'recipients' : { 'type' : 'text' , 'html' : 'true' },\n    'state' : { 'type' : 'text', 'size' : 6 },\n    'error' : { 'type' : 'text' },\n    'actions' : { 'type' : 'text', 'html' : 'true', 'filterable' : 'false', 'sortable' : 'false' }\n})\n#if ($xcontext.isMainWiki())\n  #set($discard = $columns.add(5, 'wiki'))\n  #set($discard = $columnsProperties.put('wiki', { 'type' : 'text', 'size' : 6 }))\n#end\n#set($options = {\n   'resultPage': 'Mail.SendMailStatusJSON',\n   'translationPrefix' : 'Mail.SendMailStatus_livetable.',\n   'tagCloud' : false,\n   'selectedColumn' : 'date',\n   'defaultOrder' : 'desc'\n})\n#livetable('sendmailstatus' $columns $columnsProperties $options)\n{{/velocity}}</content></xwikidoc>\n
-8653958196404776035	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Mail</web>\n<name>Translations</name>\n<language></language>\n<defaultLanguage>en</defaultLanguage>\n<translation>0</translation>\n<parent>Mail.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1418633909000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Mail Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.TranslationDocumentClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>1</number>\n<prettyName>Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>GLOBAL|WIKI|USER|ON_DEMAND</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Mail.Translations</name>\n<number>0</number>\n<className>XWiki.TranslationDocumentClass</className>\n<guid>3717d543-149c-4119-a7d5-cef10dedd8d9</guid>\n<property>\n<scope>WIKI</scope>\n</property>\n</object>\n<content>admin.email=Email\nadmin.email.description=Configure email (general, mail sending) and view mail statuses.\nadmin.emailgeneral=General\nadmin.emailgeneral.description=Configure general email parameters.\nadmin.emailsend=Mail Sending\nadmin.emailsend.description=Configure mail sending parameters.\nadmin.emailstatus=Mail Sending Status\nadmin.emailstatus.description=View the statuses of sent mails.\nMail.GeneralMailConfigClass_obfuscate=Obfuscate Email Addresses\nMail.GeneralMailConfigClass_obfuscate.hint=This affects only the email addresses stored in object properties of type Email, as long as the default custom displayer for the Email property type is not overwritten. Example: a...@domain.org\nMail.SendMailConfigClass_from=Email address to send from\nMail.SendMailConfigClass_from.hint=The default email address used to send notification emails from\nMail.SendMailConfigClass_bcc=BCC email addresses\nMail.SendMailConfigClass_bcc.hint=A default comma-separated list of BCC email addresses to use when sending mail\nMail.SendMailConfigClass_host=Email Server\nMail.SendMailConfigClass_host.hint=The SMTP server to send to. Defaults to "localhost"\nMail.SendMailConfigClass_port=Email Server Port\nMail.SendMailConfigClass_port.hint=The port of the SMTP server to use. Defaults to 25\nMail.SendMailConfigClass_username=Email Server Username\nMail.SendMailConfigClass_username.hint=The username to connect to the SMTP server, only when authentication is required\nMail.SendMailConfigClass_password=Email Server Password\nMail.SendMailConfigClass_password.hint=The password to connect to the SMTP server, only when authentication is required\nMail.SendMailConfigClass_properties=Additional Properties\nMail.SendMailConfigClass_properties.hint=The list of additional JavaMail properties to use (e.g. "mail.smtp.starttls.enable=true" for TLS)\nMail.SendMailConfigClass_sendWaitTime=Send Wait Time\nMail.SendMailConfigClass_sendWaitTime.hint=The delay to wait between each mail being sent, in milliseconds (defaults to 8 seconds)\nMail.SendMailConfigClass_discardSuccessStatuses=Discard Success Statuses?\nMail.SendMailConfigClass_discardSuccessStatuses.hint=Whether mail statuses are kept or not for mail that have been sent successfully (defaults to true)\nMail.SendMailStatus_livetable.date=Date\nMail.SendMailStatus_livetable.batchId=Batch ID\nMail.SendMailStatus_livetable.type=Type\nMail.SendMailStatus_livetable.recipients=Recipients\nMail.SendMailStatus_livetable.state=Status\nMail.SendMailStatus_livetable.wiki=Wiki\nMail.SendMailStatus_livetable.error=Error\nMail.SendMailStatus_livetable.actions=Actions\nMail.SendMailStatus_livetable.resend=Resend\nmailSender.admin.resendSuccess=The mail has been resent successfully\nmailSender.admin.resendFailure=The mail has failed again to be sent. Click for more details.</content></xwikidoc>\n
-7582184892041564814	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Mail</web>\n<name>Translations</name>\n<language>lv</language>\n<defaultLanguage>en</defaultLanguage>\n<translation>1</translation>\n<parent>Mail.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1418633909000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Mail Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-mail-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>## XWiki Translation for language lv generated from http://www.l10n.xwiki.org\nMail.GeneralMailConfigClass_obfuscate=Slēpt e-pasta adresi\nMail.GeneralMailConfigClass_obfuscate.hint=Šis iestatījums darbojas tikai uz e-pasta adresēm, kuras ir saglabātas Email veidā, un ja nav mainīta noklusētā attēlošana. Izskata piemērs\\: a...@domain.org\nMail.SendMailConfigClass_bcc=BCC e-pasta adreses\nMail.SendMailConfigClass_bcc.hint=Noklusētais, ar komatu atdalītas e-pasta adrešu saraksts, uz kurām neredzami nosūtīt visu e-pastu kopijas.\nMail.SendMailConfigClass_discardSuccessStatuses=Dzēst veiksmes ziņojumus?\nMail.SendMailConfigClass_discardSuccessStatuses.hint=Vai saglabāt, vai izmest ziņojumus par veiksmīgi nosūtītajiem e-pastiem.\nMail.SendMailConfigClass_from=Nosūtīto e-pastu sūtītāja adrese\nMail.SendMailConfigClass_from.hint=Noklusētā e-pasta adrese, kuru norādīs kā nosūtīto pastu sūtītāja adresi.\nMail.SendMailConfigClass_host=E-pasta serveris\nMail.SendMailConfigClass_host.hint=Izmantotais SMTP serveris. Noklusētais serveris ir "localhost"\nMail.SendMailConfigClass_password=E-pasta servera parole\nMail.SendMailConfigClass_password.hint=Ja SMTP serveris pieprasa autentifikāciju, šeit norādiet lietotāja paroli\nMail.SendMailConfigClass_port=E-pasta servera ports\nMail.SendMailConfigClass_port.hint=E-pasta servera ports. Pēc noklusēšanas 25\nMail.SendMailConfigClass_properties=Papildu īpašības\nMail.SendMailConfigClass_properties.hint=Saraksts ar papildu JavaMail īpašībām (piem.,  "mail.smtp.starttls.enable\\=true", lai lietotu TLS)\nMail.SendMailConfigClass_sendWaitTime=Izsūtīšanas pauzes ilgums\nMail.SendMailConfigClass_sendWaitTime.hint=Pauze milisekundēs, kuru nogaidīt pēc katra e-pasta izsūtīšanas (pēc noklusēšanas 8 sekundes)\nMail.SendMailConfigClass_username=E-pasta servera lietotājvārds\nMail.SendMailConfigClass_username.hint=Ja SMTP serveris pieprasa autentifikāciju, šeit norādiet lietotāja vārdu\nMail.SendMailStatus_livetable.actions=Darbības\nMail.SendMailStatus_livetable.batchId=Partijas IID\nMail.SendMailStatus_livetable.date=Datums\nMail.SendMailStatus_livetable.error=Kļūda\nMail.SendMailStatus_livetable.recipients=Saņēmēji\nMail.SendMailStatus_livetable.resend=Nosūtīt vēlreiz\nMail.SendMailStatus_livetable.state=Statuss\nMail.SendMailStatus_livetable.type=Veids\nMail.SendMailStatus_livetable.wiki=Viki\nadmin.email=E-pasts\nadmin.email.description=Iestatīt e-pastu (vispārīgi e-pasta iestatījumi) un skatīt nosūtīšanas statusus.\nadmin.emailgeneral=Vispārīgi\nadmin.emailgeneral.description=Iestatīt vispārīgos e-pasta iestatījumus.\nadmin.emailsend=Sūta e-pastu\nadmin.emailsend.description=Iestatīt e-pasta sūtīšanas iestatījumus.\nadmin.emailstatus=E-pasta sūtīšanas statuss\nadmin.emailstatus.description=Skatīt nosūtīto e-pastu statusu.\nmailSender.admin.resendFailure=Neizdevās nosūtīt e-pastu. Klikšķiet, lai gūtu papildu informāciju.\nmailSender.admin.resendSuccess=E-pasts veiksmīgi nosūtīts\n</content></xwikidoc>
-8233535419500066551	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ObjectSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252454400000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Object Sheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n## You can modify this page to customize the presentation of your object.\n## At first you should keep the default presentation and just save the document.\n\n#set($class = $doc.getObject('XWiki.MyClass').xWikiClass)\n#foreach($prop in $class.properties)\n  ; $prop.prettyName\n  : $doc.display($prop.getName())\n#end\n{{/velocity}}</content></xwikidoc>\n
7748366455063382168	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ClassSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1375383737000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>#sheetTitle('Default Class Sheet')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.SheetDescriptorClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<action>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>action</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Action</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</action>\n</class>\n<name>XWiki.ClassSheet</name>\n<number>0</number>\n<className>XWiki.SheetDescriptorClass</className>\n<guid>4d854769-efce-441c-8594-349c458b880e</guid>\n<property>\n<action>view</action>\n</property>\n</object>\n<content>{{velocity}}\n## This document can be copied in order to be customized so we cannot rely on its name to determine if the currently\n## displayed document is a class or the class sheet itself. We look for the sheet descriptor instead.\n#set ($isSheet = $doc.getObject('XWiki.SheetDescriptorClass'))\n#if ($isSheet)\n  ## Viewing the sheet document itself.\n  You can edit this document to change the default presentation of classes, or you can copy it to create a customized view just for one or several classes.\n#elseif ("$!request.bindSheet" != '' &amp;&amp; $hasEdit)\n  #if ($services.csrf.isTokenValid($request.getParameter('form_token')))\n    ## Bind the sheet to the class.\n    #set ($classSheetReference = $services.model.resolveDocument($request.bindSheet))\n    #if ($services.sheet.bindClassSheet($doc, $classSheetReference))\n      $doc.save('Bind class sheet.')\n    #end\n    $response.sendRedirect($request.xredirect)\n  #else\n    $response.sendRedirect($services.csrf.getResubmissionURL())\n  #end\n  ## Stop processing, since we already sent a redirect.\n  #stop\n#elseif("$!request.docName" != '')\n  ## Request for creating a new instance. We don't actually create a new instance here, we just redirect to the edit mode.\n  #set($targetDocName = "${request.spaceName}.${request.docName}")\n  #if(!$xwiki.exists($targetDocName) &amp;&amp; $xwiki.hasAccessLevel('edit', $xcontext.user, $targetDocName))\n    ## Compute the default edit mode to ensure backward compatibility with documents still using the deprecated inline action.\n    #set($editAction = $xwiki.getDocument($request.template).getDefaultEditMode())\n    $response.sendRedirect($xwiki.getURL($targetDocName, $editAction, "template=$!escapetool.url($request.template)&amp;parent=$!escapetool.url($request.parent)&amp;title=$!escapetool.url($request.docName)"))\n    ## Stop processing, since we already sent a redirect.\n    #stop\n  #end\n#end\n{{/velocity}}\n\n{{velocity}}\n## If this sheet is explicitly bound to the displayed class then print the class document content before the\n## sheet output. Class authors can put the description of the class in the class document content.\n#set($classSheetReference = $services.model.createDocumentReference($doc.wiki, 'XWiki', 'ClassSheet'))\n#if($services.sheet.getDocumentSheets($doc).contains($classSheetReference))\n  {{include reference="" /}}\n#end\n{{/velocity}}\n\n{{velocity}}\n#if (!$isSheet)\n  #set($className = $stringtool.removeEnd($doc.name, 'Class'))\n  ## Determine the class sheets.\n  #set($classSheetReferences = $services.sheet.getClassSheets($doc))\n  #if ($classSheetReferences.isEmpty())\n    ## There is no class sheet explicitly bound to this class. Fall-back on naming convention.\n    ## Before XWiki 2.0, the default class sheet was suffixed with "ClassSheet". Since 2.0, the suffix is just "Sheet".\n    #set($defaultClassSheetReference = $services.model.createDocumentReference($doc.wiki, $doc.space, "${className}ClassSheet"))\n    #if(!$xwiki.exists($defaultClassSheetReference))\n      #set($defaultClassSheetReference = $services.model.createDocumentReference($doc.wiki, $doc.space, "${className}Sheet"))\n    #end\n  #end\n  ## Determine the template using naming convention.\n  ## Before XWiki 2.0, the default class template was suffixed with "ClassTemplate". Since 2.0, the suffix is just "Template".\n  #set($classTemplateReference = $services.model.createDocumentReference($doc.wiki, $doc.space, "${className}ClassTemplate"))\n  #if(!$xwiki.exists($classTemplateReference))\n    #set($classTemplateReference = $services.model.createDocumentReference($doc.wiki, $doc.space, "${className}Template"))\n  #end\n  #set($classTemplateDoc = $xwiki.getDocument($classTemplateReference))\n  #set($hasClassSheets = !$classSheetReferences.isEmpty() || $xwiki.exists($defaultClassSheetReference))\n  #set($hasClassTemplate = !$classTemplateDoc.isNew())\n  #if(!$defaultSpace)\n    #set($defaultSpace = 'Main')\n  #end\n  #if(!$defaultParent)\n    #set($defaultParent = ${doc.fullName})\n  #end\n\n  #if($doc.getxWikiClass().properties.size() == 0)\n    {{warning}}The class does not have any properties yet. You can use the {{html}}&lt;a href="$doc.getURL('edit', 'editor=class')"&gt;class editor&lt;/a&gt;{{/html}} to define them.{{/warning}}\n  #else\n    = Class properties =\n    #foreach($property in $doc.getxWikiClass().properties)\n      * $property.prettyName (${property.name}: $xwiki.metaclass.get($property.classType).prettyName)\n    #end\n    * //You can use the class editor to {{html}}&lt;a href="$doc.getURL('edit', 'editor=class')"&gt;add or modify the class properties&lt;/a&gt;{{/html}}.//\n\n  #end\n  #if ($hasClassSheets &amp;&amp; $hasClassTemplate)\n    = Create a new document =\n\n    #if("$!targetDocName" != '' &amp;&amp; $xwiki.exists($targetDocName))\n      {{warning}}The target document already exists. Please choose a different name, or [[view the existing document&gt;&gt;$targetDocName]]{{/warning}}\n    #elseif("$!targetDocName" != '')\n      {{warning}}You don't have permission to create that document{{/warning}}\n    #end\n\n    {{html}}\n      &lt;form action="$doc.getURL()" id="newdoc" method="post"&gt;\n        &lt;div&gt;\n          &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n          &lt;input type="hidden" name="parent" value="${defaultParent}"/&gt;\n          &lt;input type="hidden" name="template" value="${classTemplateDoc}"/&gt;\n          &lt;input type="hidden" name="sheet" value="1"/&gt;\n          &lt;label for="spaceName"&gt;Space: &lt;/label&gt;&lt;input type="text" id="spaceName" name="spaceName" value="${defaultSpace}" size="8"/&gt;\n          &lt;label for="docName"&gt;Document: &lt;/label&gt;&lt;input type="text" id="docName" name="docName" value="Document name" class="withTip"'/&gt;         \n          &lt;span class="buttonwrapper"&gt;&lt;input type="submit" value="Create this document" class="button"/&gt;&lt;/span&gt;\n        &lt;/div&gt;\n      &lt;/form&gt;\n    {{/html}}\n\n  #end ## has class sheet and class template\n  = Existing documents =\n\n  #set($sql = ", BaseObject as obj where obj.name=doc.fullName and obj.className=? and obj.name&lt;&gt;?")\n  #foreach ($item in $services.query.hql($sql).bindValues([$doc.fullName, $classTemplateDoc.fullName]).execute())\n    * [[$item]]\n  #end\n    \n  = The class sheets =\n\n  #if (!$hasClassSheets || !$hasClassTemplate)\n    Before using this class you must first create a sheet and a template for it. Follow the instructions below to do this.\n  #end\n\n  {{info}}The //Sheet// allows to control the presentation of documents of this data type. You can use the default presentation, which enumerates all the available fields, or you can design your own presentation. You can also choose different presentations for the viewing and for the editing modes.{{/info}}\n\n  #if(!$hasClassSheets)\n    {{html}}\n      &lt;form action="$xwiki.getURL($defaultClassSheetReference, 'save', 'editor=wiki')" method="post"&gt;\n        &lt;div&gt;\n          &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n          &lt;input type="hidden" name="parent" value="${doc.fullName}"/&gt;\n          &lt;input type="hidden" name="xredirect" value="${doc.URL}"/&gt;\n          #set ($sheetContent = $xwiki.getDocument('XWiki.ObjectSheet').getContent().replace('XWiki.MyClass', $doc.fullName))\n          ## We have to encode the new line characters in order to preserve them, otherwise they are replace with a\n          ## space when the HTML is cleaned.\n          ## FIXME: Use a dedicated escape tool method when XCOMMONS-405 is implemented.\n          #set ($sheetContent = $escapetool.xml($sheetContent).replaceAll("\\n", '&amp;#10;'))\n          &lt;input type="hidden" name="content" value="$sheetContent"/&gt;\n          &lt;input type="hidden" name="title" value="${escapetool.h}if(${escapetool.d}doc.name == '$escapetool.xml($defaultClassSheetReference.name)')$escapetool.xml($className) Sheet${escapetool.h}{else}${escapetool.d}services.display.title(${escapetool.d}doc, {'displayerHint': 'default'})${escapetool.h}end"/&gt;\n          &lt;span class="buttonwrapper"&gt;&lt;input type="submit" value="Create the document sheet" class="button"/&gt;&lt;/span&gt;\n        &lt;/div&gt;\n      &lt;/form&gt;\n    {{/html}}\n  #else\n    #set($defaultClassSheetDoc = $xwiki.getDocument($defaultClassSheetReference))\n    #if($classSheetReferences.isEmpty() &amp;&amp; !$defaultClassSheetDoc.getObject('XWiki.SheetClass'))\n      ## The sheet is not bound to the class.\n      #set($xredirect = $xwiki.relativeRequestURL)\n      #set($defaultClassSheetStringReference = $services.model.serialize($defaultClassSheetReference, "default"))\n      #set($bindURL = $doc.getURL('view', "bindSheet=${escapetool.url($defaultClassSheetStringReference)}&amp;xredirect=${escapetool.url($xredirect)}&amp;form_token=$!{services.csrf.getToken()}"))\n      {{warning}}\n        The sheet is not bound to the class so it won't be applied automatically when a document that has an object of this class is displayed.#if ($hasEdit) {{html}}&lt;a href="$bindURL"&gt;Bind the sheet to the class »&lt;/a&gt;.{{/html}}#end\n      {{/warning}}\n\n    #end\n    #if ($classSheetReferences.size() &lt; 2)\n      #set($classSheetDoc = $defaultClassSheetDoc)\n      #if(!$classSheetReferences.isEmpty())\n        #set($classSheetDoc = $xwiki.getDocument($classSheetReferences.get(0)))\n      #end\n      [[View the sheet document (${classSheetDoc.fullName}) »&gt;&gt;${classSheetDoc.fullName}]]\n    #else\n      The following class sheets are bound to this class:\n\n      #foreach($classSheetReference in $classSheetReferences)\n        * [[$services.model.serialize($classSheetReference, "default")]]\n      #end\n    #end\n  #end\n\n  = The class template =\n\n    {{info}}The //Template// is the document used as the model for documents of this data type. It contains an instance of your //Class//.{{/info}}\n\n  #if (!$hasClassTemplate)\n    {{html}}\n      &lt;form action="$classTemplateDoc.getURL('save', 'editor=wiki')" method="post"&gt;\n        &lt;div&gt;\n          &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n          &lt;input type="hidden" name="parent" value="${doc.fullName}"/&gt;\n          &lt;input type="hidden" name="xredirect" value="${doc.URL}"/&gt;\n          &lt;input type="hidden" name="title" value="$className Template"/&gt;\n          &lt;span class="buttonwrapper"&gt;&lt;input type="submit" value="Create the document template" class="button"/&gt;&lt;/span&gt;\n        &lt;/div&gt;\n      &lt;/form&gt;\n    {{/html}}\n  #else\n    #if(!$classTemplateDoc.getObject(${doc.fullName}))\n      #set($xredirect = $xwiki.relativeRequestURL)\n      #set($createUrl = $classTemplateDoc.getURL('objectadd', "classname=${escapetool.url($doc.fullName)}&amp;amp;xredirect=${escapetool.url($xredirect)}&amp;amp;form_token=$!{services.csrf.getToken()}"))\n      {{warning}}\n        The template does not contain an object of type //$doc.fullName//. {{html}}&lt;a href="$createUrl"&gt;Add a ${className} object to the template »&lt;/a&gt;.{{/html}}\n      {{/warning}}\n\n    #end\n    [[View the template document (${classTemplateDoc.fullName}) »&gt;&gt;${classTemplateDoc.fullName}]]\n  #end\n\n#end ## !$isSheet\n{{/velocity}}</content></xwikidoc>\n
-8116851991418346851	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiClasses</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252454400000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Data types</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if($request.space &amp;&amp; $request.name)\n  #set($className = "#toXMLName($stringtool.removeEnd($request.name, 'Class'))")\n  #set($classTitle = "$className Class")\n  #set($classReference = $services.model.createDocumentReference('', $request.space, "${className}Class"))\n  #if($xwiki.hasAccessLevel('edit', $xcontext.user, $services.model.serialize($classReference)))\n    $response.sendRedirect($xwiki.getURL($classReference, 'edit', "editor=wiki&amp;template=$!{request.template}&amp;parent=$!{request.parent}&amp;title=$escapetool.url($classTitle)"))\n    ## Stop processing, since we already sent a redirect.\n    #stop\n  #end\n#end\n{{/velocity}}\nThis tool allows to define structured data types (classes) in your wiki. Please consult the [[developer's guide&gt;&gt;http://platform.xwiki.org/xwiki/bin/DevGuide/]] to get familiar with the XWiki data model and the public APIs.\n\n= Templates for new data types =\n\nHere are the templates and sheets for creating new classes:\n\n* [[Default code for displaying a class&gt;&gt;ClassSheet]]\n* [[Document template for new classes&gt;&gt;ClassTemplate]]\n* [[Default code for displaying class instances (objects)&gt;&gt;ObjectSheet]]\n\n= Create a new data type =\n\nChoose a simple name, such as //Article//, //Book//, //Employee//. '//Class//' will be appended at the end automatically.\n\n{{velocity}}\n#if("$!{targetClassName}" != ''){{warning}}You don't have permission to create that class{{/warning}}#end\n\n{{html}}\n&lt;form action="$doc.URL" method="post"&gt;\n  &lt;div&gt;\n    &lt;input type="hidden" name="parent" value="XWiki.XWikiClasses"/&gt;\n    &lt;input type="hidden" name="template" value="XWiki.ClassTemplate"/&gt;\n    &lt;label for="space"&gt;Space:&lt;/label&gt; &lt;input type="text" id="space" name="space" value="XWiki"/&gt;\n    &lt;label for="name"&gt;Class:&lt;/label&gt; &lt;input type="text" id="name" name="name" value="Name of the class" class="withTip"/&gt;\n    &lt;span class="buttonwrapper"&gt;&lt;input type="submit" value="Create this Class" class="button"/&gt;&lt;/span&gt;\n  &lt;/div&gt;\n&lt;/form&gt;\n{{/html}}{{/velocity}}\n\n= Data types defined in this wiki =\n\n{{velocity}}\n##\n## Existing classes are enumerated, grouped by space name.\n## The list is already sorted alphabetically\n##\n#set($prevSpace = '')\n#foreach ($classname in $xwiki.classList)\n  #set($classReference = $services.model.resolveDocument($classname))\n  ##\n  ## Let check the user right to see the class\n  ##\n  #if($xwiki.getUser().hasAccessLevel('view', $classname))\n    #set($space = $classReference.getLastSpaceReference().name)\n    #if($space != $prevSpace)\n      ; [[$space&gt;&gt;${space}.WebHome]] space:\n      #set($prevSpace = $space)\n    #end\n    : [[$classReference.name&gt;&gt;$classname]]\n  #end  \n#end\n{{/velocity}}</content></xwikidoc>\n
3083808014052590554	1	1	2017-05-12 15:43:32	Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ClassTemplate</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252454400000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Class Template</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-xclass-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>XWiki.ClassTemplate</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>4236a78b-13cd-49db-aa31-45ae80a10334</guid>\n<property>\n<sheet>XWiki.ClassSheet</sheet>\n</property>\n</object>\n<content>{{velocity}}\n## Replace the default space with the space where you want your documents to be created.\n## Replace the default parent with the one of your choice and save the document.\n##\n#set($defaultSpace = $doc.space)\n#set($defaultParent = $doc.fullName)\n{{/velocity}}</content></xwikidoc>\n
7037253817368042333	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>TabelarDataMacros</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822205000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.TabelarDataMacros</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>bc8be6ae-af69-4ca1-a439-ec5087bd156d</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var ExtraData = (function (ExtraData) {\n  var tools = ExtraData.tools = ExtraData.tools || {};\n  tools.Editor = Class.create({\n    initialize : function () {\n      $$('.extradata-list a.delete').invoke('observe', 'click', this.ajaxDeleteData.bindAsEventListener(this));\n      $$('.extradata-list a.reject').invoke('observe', 'click', this.ajaxRejectData.bindAsEventListener(this));\n      $$('.list-actions a.add').invoke('observe', 'click', this.ajaxAddData.bindAsEventListener(this));\n      $$('.list-actions a.add').invoke('observe', 'extradata:reject-add', this.ajaxAddData.bindAsEventListener(this));\n    },\n    ajaxDeleteData : function (event) {\n      event.stop();\n      var deleteTrigger = event.element();\n      if (deleteTrigger.disabled) {\n         return;\n      }\n      new XWiki.widgets.ConfirmedAjaxRequest(deleteTrigger.href, {\n        onCreate : function() {\n          deleteTrigger.disabled = true\n        },\n        onSuccess : function() {\n          var dataRow = deleteTrigger.up('tr:not(.head-group)');\n          var dataTable = deleteTrigger.up('table.extradata-list');\n          if (dataRow) {\n            dataRow.remove();\n            Event.fire(dataTable, 'extradata:deleted', {'element' : dataRow});\n          }\n          if (dataTable) {\n            var i = 1;\n            dataTable.select('th.row-count').each(function(item) {\n              item.update((i++));\n            });\n            Event.fire(document, 'xwiki:dom:updated', {'elements' : [dataTable]});\n          }\n        },\n        onComplete : function() {\n          deleteTrigger.disabled = false;\n        }\n      },\n      {\n         confirmationText : "$services.localization.render('phenotips.tableMacros.rowDeleteConfirmation')"\n      });\n    },\n    ajaxAddData : function (event) {\n      event.stop();\n      var addTrigger = event.element();\n      if (addTrigger.disabled) {\n         return;\n      }\n      var classname = '';\n      try {\n        var classname = /classname=([^&amp;]+)/.exec(addTrigger.href)[1];\n      } catch (err) {\n         new XWiki.widgets.Notification('Cannot add data: type not found', 'error');\n         return;\n      }\n      var dataTable = addTrigger.up('.list-actions').previous('table[id^="extradata-list-' + classname + '"]');\n      if (!dataTable) {\n        new XWiki.widgets.Notification("$services.localization.render('phenotips.tableMacros.listNotFound')" + ' ' + classname, 'error');\n      }\n      var propertyName = addTrigger.href.replace(/.*&amp;xredirect=.*propertyName=([^&amp;]*).*/, '$1') || '';\n      var propertyValue = addTrigger.href.replace(/.*&amp;xredirect=.*propertyValue=([^&amp;]*).*/, '$1') || '';\n      var addedDisplaySheet = addTrigger.href.replace(/.*&amp;xredirect=.*addedDisplaySheet=([^&amp;]*).*/, '$1') || '';\n      var rejectToClass = Element.readAttribute(dataTable, 'data-reject-to-class') || '';\n      var url = addTrigger.href.replace(/(&amp;xredirect=[^&amp;]*)/m, '$1' + encodeURIComponent('?xpage=plain&amp;xaction=lastentry&amp;dataClassName=' + classname + '&amp;withLabel=' + dataTable.hasClassName('withLabel') + '&amp;propertyName=' + propertyName + '&amp;propertyValue=' + propertyValue + (addedDisplaySheet ? '&amp;sheet=' + addedDisplaySheet : '' + '&amp;rejectToClass=' + rejectToClass))).replace(/#.*/m, '');\n      new Ajax.Request(url, {\n        onCreate : function() {\n          addTrigger.disabled = true\n          addTrigger._x_notif = new XWiki.widgets.Notification('Adding...', 'inprogress');\n        },\n        onSuccess : function (response) {\n          addTrigger._x_notif.hide();\n          var newRow = new Element('tr', {'class' : 'new'});\n          dataTable.down('tbody').insert(newRow);\n          if (dataTable.hasClassName('withCounter')) {\n            var idx = dataTable.select('.row-count').size() + 1;\n            newRow.insert(new Element('th', {'class' : 'row-count'}).update(idx));\n          }\n          newRow.insert(response.responseText);\n          newRow.down('a.delete').observe('click', this.ajaxDeleteData.bindAsEventListener(this));\n          newRow.down('a.reject') &amp;&amp; newRow.down('a.reject').observe('click', this.ajaxRejectData.bindAsEventListener(this));\n          Event.fire(dataTable, 'extradata:added', {'element' : newRow});\n          Event.fire(document, 'xwiki:dom:updated', {'elements' : [newRow]});\n        }.bind(this),\n        onFailure : function(response) {\n          var failureReason = response.statusText;\n          if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n            failureReason = 'Server not responding';\n          }\n          if (addTrigger._x_notif) {\n            addTrigger._x_notif.replace(new XWiki.widgets.Notification("Failed: " + failureReason, "error"));\n          } else {\n            new XWiki.widgets.Notification(this.interactionParameters.failureMessageText + failureReason, "error");\n          }\n        },\n        on1223 : function(response) {\n          response.request.options.onSuccess(response);\n        },\n        on0 : function(response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          addTrigger.disabled = false\n        }\n      });\n    },\n    ajaxRejectData : function (event) {\n      event.stop();\n      var rejectTrigger = event.findElement('.reject');\n      if (rejectTrigger.disabled) {\n         return;\n      }\n      var transferToClass = rejectTrigger.getAttribute("data-bind");\n      new XWiki.widgets.ConfirmedAjaxRequest(rejectTrigger.href, {\n        onCreate : function() {\n          rejectTrigger.disabled = true\n        },\n        onSuccess : function() {\n          var dataRow = rejectTrigger.up('tr:not(.head-group)');\n          var dataTable = rejectTrigger.up('table.extradata-list');\n          if (dataRow) {\n            dataRow.remove();\n            Event.fire(dataTable, 'extradata:rejected', {'element' : dataRow, 'transferToClass' : transferToClass});\n            Event.fire(dataTable, 'extradata:deleted', {'element' : dataRow});\n          }\n          if (dataTable) {\n            var i = 1;\n            dataTable.select('th.row-count').each(function(item) {\n              item.update((i++));\n            });\n            Event.fire(document, 'xwiki:dom:updated', {'elements' : [dataTable]});\n          }\n        },\n        onComplete : function() {\n          rejectTrigger.disabled = false;\n        }\n      },\n      {\n         confirmationText : "$services.localization.render('phenotips.tableMacros.rejectConfirmation')"\n      });    \n    },\n  });\n  return ExtraData;\n}(ExtraData || {}));\n\ndocument.observe('xwiki:dom:loaded', function() {\n  new ExtraData.tools.Editor();\n})</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.TabelarDataMacros</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>ae82f359-cbf6-4b2d-a634-e0ca99f22ae8</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\ntable.extradata-list {\n    width: 100%;\n}\n.extradata-list td, .extradata-list th {\n    border: 1px solid $theme.backgroundSecondaryColor;\n    border-left: 1px solid $theme.pageContentBackgroundColor;\n    border-right: 1px solid $theme.pageContentBackgroundColor;\n}\n.extradata-list th.col-label {\n    font-weight: normal;\n    font-variant: small-caps;\n}\n.extradata th.col-label, .viewbody td {\n    text-align: center;\n}\n.viewbody td.comments, .editbody th.comments {\n    text-align: left;\n    border-right: 0 none;\n}\n.extradata-list th.row-count {\n    background: transparent;\n}\n.extradata-list th.row-count,\n.extradata-list td.start,\n.extradata-list td.end {\n    text-align: right;\n}\n.extradata-list td.start,\n.extradata-list td.end,\n.extradata-list td.band {\n    min-width: 6em;\n}\n.extradata-list th.comments {\n    min-width: 20em;\n}\n.extradata-list .xwiki-form-listclass {\n    display: block;\n    white-space: nowrap;\n}\n.extradata-list th.actions {\n  width: 24px;\n}\n.extradata-list th.actions .buttonwrapper {\n    display: block;\n    height: 2.3em;\n    position: relative;\n    margin: 0;\n}\n.extradata-list th.actions a.delete {\n  background-image: url("$xwiki.getSkinFile('icons/silk/cross.png')");\n}\n.extradata-list th.actions .add-data-button {\n    position: absolute;\n    right: 0;\n}\n.list-actions {\n  position: relative;\n  width: 50%;\n}\n.list-actions .buttonwrapper {\n  text-align: left;\n  margin: 0 !important;\n}\ntable.withLabel td, table.withLabel th {\n  border: 0 none;\n}\ntable.withLabel tr:first-child th {\n  display: none;\n}\n\n.extradata-list .file {\n  width: 160px;\n  max-width: 160px;\n}\n.extradata-list .file .attachment-list .attachment-item, .extradata-list .file .attachment-list .attachment-item input {\n  display: none;\n}\n.extradata-list .file .attachment-list .attachment-item.selected {\n  display: block;\n  width: 100%;\n}\n.extradata-list .file .attachment-list .attachment-item.image {\n  width: 150px !important;\n}\n.extradata-list .file .attachment-list .attachment-item.selected label {\n  padding: 3px 0 3px 20px;\n}\n.extradata-list .file .attachment-list .attachment-item.image label {\n  padding: 0 !important;\n}\n.extradata-list .file .attachment-list .attachment-item .attachment-preview {\n    width: 140px;\n}\n.extradata-list .file p img {\n  max-width: 480px !important;\n  max-height: 480px !important;\n}\n.extradata-list .file .attachment-list .attachment-item .view {\n  background-color: $theme.pageContentBackgroundColor;\n  bottom: 0;\n  padding: 5px;\n}\n.variant-info .extradata-list td {\n  text-align: left;\n}\n.variant-info .extradata-list td.chr {\n  text-align: center;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity output=false}}\n$xwiki.jsx.use('PhenoTips.TabelarDataMacros')##\n$xwiki.ssx.use('PhenoTips.TabelarDataMacros')##\n## =====================================================================\n##\n## "Tabelar" data associated with the patient report\n##\n##\n#macro (__extradata_deleteTool $object $anchor)\n  {{html clean="false"}}&lt;a class="action delete" href="$doc.getURL('objectremove', "classname=${object.xWikiClass.name}&amp;amp;classid=${object.number}&amp;amp;xredirect=$escapetool.url($doc.getURL('edit'))&amp;amp;form_token=$!{services.csrf.getToken()}#$!{anchor}")" title="$services.localization.render('phenotips.tableMacros.delete')"&gt;✖&lt;/a&gt;{{/html}}##\n#end\n\n#macro (__extradata_rejectTool $object $anchor $options)\n  {{html clean="false"}}&lt;a class="action reject" href="$doc.getURL('objectremove', "classname=${object.xWikiClass.name}&amp;amp;classid=${object.number}&amp;amp;xredirect=$escapetool.url($doc.getURL('edit'))&amp;amp;form_token=$!{services.csrf.getToken()}#$!{anchor}")" data-bind="$!{options.rejectToClass}" title="$services.localization.render('phenotips.tableMacros.reject')"&gt;&lt;i class="fa fa-level-down"&gt;&lt;/i&gt;&lt;/a&gt;{{/html}}##\n#end\n\n#macro (__extradata_addTool $classname $anchor $options)\n  {{html clean="false"}}&lt;span class="buttonwrapper"&gt;&lt;label class="create-button-label"&gt;+&lt;/label&gt;&lt;a class="add button add-data-button" href="$doc.getURL('objectadd', "classname=${classname}&amp;amp;${classname}_$!{options.propertyName}=$!escapetool.url($!{options.propertyValue})&amp;amp;xredirect=$escapetool.url(${doc.getURL($options.mode)})&amp;amp;propertyName=$!{options.propertyName}&amp;amp;propertyValue=$!escapetool.url($!{options.propertyValue})#foreach($d in $options.defaults.keySet())&amp;amp;${classname}_${escapetool.url($d)}=$!{escapetool.url($options.defaults.get($d))}#end&amp;amp;addedDisplaySheet=$!escapetool.url($!{options.addedDisplaySheet})&amp;amp;form_token=$!{services.csrf.getToken()}#$!{anchor}")" title="$services.localization.render('phenotips.tableMacros.newEntry')"&gt;$services.localization.render('phenotips.tableMacros.newEntry')&lt;/a&gt;&lt;/span&gt;{{/html}}#if ($services.localization.get("$!{classname}_hint")) {{icon name="question-circle" cssClass="xHelpButton" title="$services.localization.render("${classname}_hint").replace('"', '~~~"')"/}}#end\n#end\n\n#macro (__extradata_displayTable $dataClassName $options)\n  #if (!$options.mode)\n    #set ($discard = $options.put('mode', $xcontext.action))\n  #end\n  #set ($displayMode = $options.mode)\n  #if ($options.mode == 'export')\n    #set ($displayMode = 'view')\n  #end\n  #set($dataClass = $xwiki.getDocument($dataClassName).xWikiClass)\n  #if ($dataClass)\n    #set($dataObjects = $doc.getObjects($dataClassName, "$!{options.propertyName}", "$!{options.propertyValue}"))\n    #if ($options.mode != 'edit' &amp;&amp; $dataObjects.size() == 0)\n      (% class="hint" %)$services.localization.render('phenotips.tableMacros.noObjects')\n    #elseif ($options.mode == 'export')\n      (% class="extradata-list#if ("$!{options.labels}" == 'true') withLabel#end#if ("$!{options.counter}" == 'true') withCounter#end#if ("$!{options.rejectToClass}" != '') withReject#end" id="extradata-list-${dataClassName}#if("$!{options.propertyName}" != '')-$!{options.propertyValue}#end" %)\n      #set ($disableLabels = true)\n      #foreach ($o in $dataObjects)\n        #foreach($prop in $dataClass.properties)#if ($prop.name != $options.propertyName)|= ${prop.translatedPrettyName}: |#if ($velocityCount &lt;= 2)=#end $doc.display($prop.getName(), $displayMode, $o)#if ($velocityCount %2 == 0)\n\n        #end#end#end## foreach object\n\n      #end## foreach object\n    #else\n      (% class="extradata-list#if ("$!{options.labels}" == 'true') withLabel#end#if ("$!{options.counter}" == 'true') withCounter#end $!{options.cssClass}" id="extradata-list-${dataClassName}#if("$!{options.propertyName}" != '')-$!{options.propertyValue}#end"#if("$!{options.rejectToClass}" != '') data-reject-to-class="$!{options.rejectToClass}"#end %)\n      #if ("$!{options.counter}" == 'true')|=(% class="col-label" %)# #end#foreach($prop in $dataClass.properties)|=(% class="col-label $prop.name#if ($prop.name == $options.propertyName) hidden#end" %)$prop.translatedPrettyName#end#if("$!{options.rejectToClass}" != '')|=(% class="actions" %)#end#if ($options.mode == 'edit')|=(% class="actions" %)\n      #else\n\n      #end\n      #if ($options.mode == 'export')\n        #set ($disableLabels = true)\n      #end\n      #foreach ($o in $dataObjects)\n        #if ("$!{options.counter}" == 'true')|=(% class="row-count" %)${velocityCount}#end#foreach($prop in $dataClass.properties)|(% class="$prop.name#if ($prop.name == $options.propertyName) hidden#end" %)#if ("$!{options.labels}$!{disableLabels}" == 'true'){{html clean="false" wiki="false"}}&lt;label class="" &gt;${prop.translatedPrettyName}&lt;/label&gt;{{/html}}#end $doc.display($prop.getName(), $displayMode, $o).replaceAll('^(\\{\\{html clean="false" wiki="false"}})?&lt;p&gt;|&lt;/p&gt;(\\{\\{/html}})?$', '$1$2')#end#if ($displayMode == 'edit')#if ("$!{options.rejectToClass}" != '')|(% class="actions" %)#__extradata_rejectTool($o "extradata-${dataClassName}" $options)#end|(% class="actions" %)#__extradata_deleteTool($o "extradata-${dataClassName}")#end\n\n      #end## foreach object\n\n      #if ($options.mode == 'edit')(% class="list-actions" %)(((#__extradata_addTool($dataClassName "extradata-${dataClassName}" $options))))\n      #end\n    #end## if options.mode\n  #end## if dataclass\n#end\n\n#macro (__extradata_displayLastEntry $dataClassName $options)\n  #set ($objects = $doc.getObjects($dataClassName))\n  #if ($objects.size() &gt; 0)\n    #set ($targetObj = $objects.get($mathtool.sub($objects.size(), 1)))\n    #set($dataClass = $targetObj.xWikiClass)\n    {{html wiki="true" clean="false"}}#foreach($prop in $dataClass.properties)&lt;td class="${prop.name}#if ($prop.name == $options.propertyName) hidden#end"&gt;#if ("$!{options.labels}" == 'true'){{html clean="false" wiki="false"}}&lt;label &gt;${prop.translatedPrettyName}:&lt;/label&gt;{{/html}}#end$doc.display($prop.getName(), $options.mode, $targetObj)&lt;/td&gt;#end#if ($options.mode == 'edit')#if("$!{options.rejectToClass}" != '')&lt;td class="actions"&gt;#__extradata_rejectTool($targetObj '' $options)&lt;/td&gt;#end&lt;td class="actions"&gt;#__extradata_deleteTool($targetObj '')&lt;/td&gt;#end{{/html}}\n  #end\n#end\n{{/velocity}}\n</content></xwikidoc>
-3183937284401684184	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>FontAwesomeIcons</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822217000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Macro for inserting Font Awesome icons</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.FontAwesomeIcons</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>20e6d01c-ccdd-4417-b3c5-b67851c65298</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>body .fa {\n  display: inline;\n  font-family: inherit;\n}\n.fa.fa-fw {\n  display: inline-block;\n}\n.fa:before {\n  display: inline-block;\n  font-family: FontAwesome;\n}\nbody .fa-spin, body .fa-pulse {\n  -webkit-animation: none;\n  animation: none;\n}\n.fa-spin:before {\n  display: inline-block;\n  -webkit-animation: fa-spin 2s infinite linear;\n  animation: fa-spin 2s infinite linear;\n}\n.fa-pulse:before {\n  -webkit-animation: fa-spin 1s infinite steps(8);\n  animation: fa-spin 1s infinite steps(8);\n}\n</code></property><property><contentType>CSS</contentType>\n</property>\n<property>\n<name>FontAwesome text font override</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<name>PhenoTips.FontAwesomeIcons</name>\n<number>0</number>\n<className>XWiki.WikiMacroClass</className>\n<guid>90c03ff1-f1ba-4f3e-9648-e2a7aa423b6e</guid>\n<property>\n<code>{{velocity output=false}}\n#set ($aliases = {\n  'public' : 'eye',\n  'private' : 'lock',\n  'hidden' : 'eye-slash',\n  'matchable' : 'search',\n  'open' : 'pencil-square-o',\n  'delete' : 'times'\n})\n#set ($iconName = $xcontext.macro.params.name)\n#if ($aliases.containsKey($iconName))\n  #set ($iconName = $aliases.get($iconName))\n#end\n#set ($supportedSizes = ['lg', '2x', '3x', '4x'])\n#set ($iconSize = $xcontext.macro.params.size)\n#if ($iconSize == 'large')\n  #set ($iconSize = 'lg')\n#end\n#if ($supportedSizes.contains($iconSize))\n  #set ($iconSize = "fa-${iconSize}")\n#else\n  #set ($iconSize = '')\n#end\n#set ($cssClass = $xcontext.macro.params.cssClass.replaceAll('"', '\\"'))\n#set ($text = " $!{xcontext.macro.content}")\n##\n## Pull the Font Awesome style\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')\n##\n{{/velocity}}{{velocity}}(% class="fa fa-$!iconName $!iconSize $!cssClass" title="$!{xcontext.macro.params.title}"%)$!{text}(%%){{/velocity}}</code>\n</property>\n<property>\n<contentDescription>The text to display next to the icon (optional)</contentDescription>\n</property>\n<property>\n<contentType>Optional</contentType>\n</property>\n<property>\n<defaultCategory>Icons</defaultCategory>\n</property>\n<property>\n<description>Inserts a Font Awesome icon</description>\n</property>\n<property>\n<id>icon</id>\n</property>\n<property>\n<name>Font Awesome icon</name>\n</property>\n<property>\n<supportsInlineMode>1</supportsInlineMode>\n</property>\n<property>\n<visibility>Current Wiki</visibility>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.FontAwesomeIcons</name>\n<number>0</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>3bd583dc-fe5b-48a0-be80-5dbda6e5d123</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The name of the icon. See the Font Awesome supported icons (http://fortawesome.github.io/Font-Awesome/icons) for a complete list.</description>\n</property>\n<property>\n<mandatory>1</mandatory>\n</property>\n<property>\n<name>name</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.FontAwesomeIcons</name>\n<number>1</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>48b1ea40-a3e4-427c-833c-b440a07cddd0</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The size of the icon. Supported values: "large" (33% increase), "2x", "3x", "4x". By default, the icon size is the inherited font size.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>size</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.FontAwesomeIcons</name>\n<number>2</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>34d49cbf-067d-4553-8827-40b5ab64bcbc</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>A tooltip to display on hover.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>title</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.FontAwesomeIcons</name>\n<number>3</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>384e2e9f-bf98-4504-b174-835f1a3cbdc5</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>An additional CSS class for the icon element.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>cssClass</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>PhenoTips.FontAwesomeIcons</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>78631e3f-e026-49da-87df-a14d67f1df89</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
-191089711533601945	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>YesNoNAPicker</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822208000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Yes/No picker</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.YesNoNAPicker</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>ec504294-9ed2-4288-a088-fc12b010c398</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var YesNoPicker = Class.create({\n\n  hints : {\n    yes : {unselectedTitle : "$services.localization.render('phenotips.yesNoNAPicker.yes.unselectedTitle')", selectedTitle : "$services.localization.render('phenotips.yesNoNAPicker.yes.selectedTitle')", labelTitle : "$services.localization.render('phenotips.yesNoNAPicker.yes.title')"},\n    no  : {unselectedTitle : "$services.localization.render('phenotips.yesNoNAPicker.no.unselectedTitle')",  selectedTitle : "$services.localization.render('phenotips.yesNoNAPicker.no.selectedTitle')", labelTitle : "$services.localization.render('phenotips.yesNoNAPicker.no.title')"},\n    na  : {unselectedTitle : "$services.localization.render('phenotips.yesNoNAPicker.NA.unselectedTitle')", selectedTitle : "", labelTitle : "$services.localization.render('phenotips.yesNoNAPicker.NA.title')"}\n  },\n\n  initialize : function(element, label, isLabelActive) {\n    var _this = this;\n    this._hints = _this.hints;\n    this.element = $(element);\n    this.label = label;\n    element.select('input[type="checkbox"]').invoke("hide");\n    element.addClassName('yes-no-picker');\n    element.addClassName('initialized');\n\n    var yes = this.yes = element.down('label.yes');\n    var no = this.no = element.down('label.no');\n    var na = this.na = element.down('label.na');\n\n    this.yesInput = this.yes &amp;&amp; this.yes.down('input');\n    this.noInput = this.no &amp;&amp; this.no.down('input');\n    this.naInput = this.na &amp;&amp; this.na.down('input');\n\n    var _onYes = this._onYes.bindAsEventListener(this);\n    var _onNo = this._onNo.bindAsEventListener(this);\n    var _onNA = this._onNA.bindAsEventListener(this);\n    var _onUnselect = this._onUnselect.bindAsEventListener(this);\n\n    this.yes &amp;&amp; (this.yes.title = this.hints.yes.labelTitle);\n    this.no &amp;&amp; (this.no.title = this.hints.no.labelTitle);\n    this.na &amp;&amp; (this.na.title = this.hints.na.labelTitle);\n\n    this.yes &amp;&amp; this.yes.observe('click', _onYes);\n    this.no &amp;&amp; this.no.observe('click', _onNo);\n    this.na &amp;&amp; this.na.observe('click', _onNA);\n    //this.element.observe('click', _onUnselect);\n    document.observe('ynpicker:change', this._sync.bindAsEventListener(this));\n\n    if (this.yesInput) this.yesInput.observe('suggest:change', function(event) {\n      var input = event.findElement();\n      _this._onSelect(input.checked ? 'yes' : 'na');\n    });\n    if (this.noInput) this.noInput.observe('suggest:change', function(event) {\n      var input = event.findElement();\n      _this._onSelect(input.checked ? 'no' : 'na');\n    });\n\n    if (yes.down('input').checked) this._onSelect('yes');\n    else if (no.down('input').checked) this._onSelect('no');\n    else this._onSelect('na');\n\n    if (this.label) {\n      this.label.addClassName('yes-no-picker-label');\n      if (isLabelActive) {\n        this.label.observe('click', function(event) {\n          if (!_this._isSelected('no')) {\n            _this._onYes(event);\n          }\n        });\n      }\n    }\n  },\n\n  _onYes : function (event) {\n    if (this._isSelected('yes')) this._onClick(event, 'na'); else\n    this._onClick(event, 'yes');\n  },\n  _onNo : function (event) {\n    if (this._isSelected('no')) this._onClick(event, 'na'); else\n    this._onClick(event, 'no');\n  },\n  _onNA : function (event) {\n    this._onClick(event, 'na');\n  },\n  _onClick : function (event, target) {\n    if (event) {\n      event.stop();\n    }\n    this._onSelect(target);\n    this.element.fire('ynpicker:selectionChanged', {'selected' : target});\n  },\n  _onSelect : function (target) {\n    (target == 'yes') &amp;&amp; this._select('yes') || this._unselect('yes');\n    (target == 'no') &amp;&amp; this._select('no') || this._unselect('no');\n    (target == 'na') &amp;&amp; this._select('na') || this._unselect('na');\n  },\n  _onUnselect : function () {\n    this._unselect('yes');\n    this._unselect('no');\n    this._select('na');\n  },\n\n  _getInput : function(name) {\n    this[name] &amp;&amp; this[name].down('input');\n  },\n  _isSelected : function (name) {\n     return this[name] &amp;&amp; this[name].down('input').checked;\n  },\n  _select : function (name) {\n     if (this[name]) {\n       this[name].addClassName('selected');\n       var input = this[name].down('input');\n       input.checked = true;\n       Event.fire(input, 'picker:change');\n       document.fire('ynpicker:change', {'element' : input});\n       this.label &amp;&amp; this.label.addClassName(name + '-selected');\n       //Expanding and collapsing the terms descendants\n       if (input._dropDown) {\n         var dropDownEnabled = false;\n         if (name == "yes") {\n           dropDownEnabled = input._dropDown.show(true);\n           dropDownEnabled ? input._trigger._root._expanded = false : null;\n         } \n         if (dropDownEnabled) {\n           input._trigger.click();\n         }\n       }\n       //this[name].title = this._hints[name].selectedTitle;\n     }\n     return this[name];\n  },\n  _unselect : function (name) {\n     if (this[name]) {\n       this[name].removeClassName('selected');\n       var input = this[name].down('input');\n       input.checked = false;\n       Event.fire(input, 'picker:change');\n       this.label &amp;&amp; this.label.removeClassName(name + '-selected');\n       //Expanding and collapsing the terms descendants\n       if (input._dropDown) {\n         var dropDownEnabled = false;\n         if (name == "yes") {\n           dropDownEnabled = input._dropDown.show(true);\n           dropDownEnabled ? input._trigger._root._expanded = true : null;\n         } \n         if (dropDownEnabled) {\n           input._trigger.click();\n         }\n       }\n       //this[name].title = this._hints[name].unselectedTitle;\n     }\n     return this[name];\n  },\n  _sync : function(event) {\n    if (!event.memo || !event.memo.element) {\n      return;\n    }\n    var element = event.memo.element;\n    var value = element.value;\n    var selected = element.checked;\n    var label = element.parentNode;\n    if (value != this.yesInput.value || !selected || !label || (this.yesInput.name != element.name &amp;&amp; this.noInput.name != element.name)) {\n      return;\n    }\n    if (label.hasClassName('na')) {\n      this.na &amp;&amp; (this.naInput.checked = true);\n      this.na &amp;&amp; this.na.addClassName('selected');\n      this.label &amp;&amp; this.label.addClassName('na-selected');\n      this.yesInput.checked = false;\n      this.yes.removeClassName('selected');\n      this.label &amp;&amp; this.label.removeClassName('yes-selected');\n      this.noInput.checked = false;\n      this.no.removeClassName('selected');\n      this.label &amp;&amp; this.label.removeClassName('no-selected');\n      this.element.up('li') &amp;&amp; this.element.up('li').removeClassName('accepted');\n    } else if (label.hasClassName('no')) {\n      this.na &amp;&amp; (this.naInput.checked = false);\n      this.na &amp;&amp; this.na.removeClassName('selected');\n      this.yesInput.checked = false;\n      this.yes.removeClassName('selected');\n      this.label &amp;&amp; this.label.removeClassName('yes-selected');\n      this.noInput.checked = true;\n      this.no.addClassName('selected');\n      this.label &amp;&amp; this.label.addClassName('no-selected');\n      this.element.up('li') &amp;&amp; this.element.up('li').removeClassName('accepted');\n    } else {\n      this.na &amp;&amp; (this.naInput.checked = false);\n      this.na &amp;&amp; this.na.removeClassName('selected');\n      this.yesInput.checked = true;\n      this.yes.addClassName('selected');\n      this.label &amp;&amp; this.label.addClassName('yes-selected');\n      this.noInput.checked = false;\n      this.no.removeClassName('selected');\n      this.label &amp;&amp; this.label.removeClassName('no-selected');\n      this.element.up('li') &amp;&amp; this.element.up('li').addClassName('accepted');\n    }\n  }\n});\n\nYesNoPicker.generatePickerElement = function(buttons, value, title, activate, label) {\n  var supportedValues = {\n      yes : {label: 'Y', title : "$services.localization.render('phenotips.yesNoNAPicker.yes.title')"},\n      no  : {label: 'N', title : "$services.localization.render('phenotips.yesNoNAPicker.no.title')"},\n      na  : {label: 'NA', title : "$services.localization.render('phenotips.yesNoNAPicker.NA.title')"}\n  };\n  var ynPickerElt = new Element("span", {'class': 'yes-no-picker'});\n  buttons.each(function(b) {\n     if (b.type &amp;&amp; supportedValues[b.type]) {\n       var bLabel = new Element('label', {'class' : b.type + (b.selected &amp;&amp; ' selected' || ''), title : supportedValues[b.type].title}).update(supportedValues[b.type].label);\n       var bInput = new Element('input', {type : 'checkbox', value : value, title: title || ''});\n       b.selected &amp;&amp; (bInput.checked = true);\n       if (b.name) {\n         bInput.name = b.name;\n         bInput.id = typeof b.id != "undefined" ? b.id : (b.name + "_" + value);\n         bLabel.htmlFor = bInput.id;\n       }\n       bInput.hide();\n       bLabel.insert({top: bInput});\n       ynPickerElt.insert(bLabel);\n     }\n  });\n  if (activate) {\n    ynPickerElt._ynpicker = new YesNoPicker(ynPickerElt, label, label &amp;&amp; true);\n    ynPickerElt.select('input').each(function (item) {item._ynpicker = ynPickerElt._ynpicker});\n  }\n  return ynPickerElt;\n};</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.YesNoNAPicker</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>6cb766b8-0d90-4b54-a866-a92cc2ffdf6b</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.yes-no-picker {\n  border: 1px solid #fff;\n  border-radius: 4px;\n  box-shadow: 0 0 10px #eee;\n  display: inline-block;\n  margin: 0 0.5em 0 0;\n  background: #fff;\n  position: relative;\n  cursor: pointer;\n  vertical-align: middle;\n  height: 20px;\n}\n.yes-no-picker label {\n  display: inline-block;\n  width: 20px !important;\n  height: 20px;\n  text-align: center;\n  overflow: hidden;\n  background: transparent none center center no-repeat;\n  box-shadow: inset 0 1px 2px #999;\n  font-size: .7em;\n  line-height: 20px !important;\n  cursor: pointer;\n  margin: 0px !important;\n  padding: 0px !important;\n  float: none !important;\n}\n#body .yes-no-picker label.highlighted {\n  background-color: #999;\n  color: #fff;\n  text-shadow: 0 1px 1px #000;\n}\n.yes-no-picker label.selected {\n  text-shadow: 0 1px 1px #000;\n}\n\n.yes-no-picker label:first-child {\n  border-top-left-radius: 4px;\n  border-bottom-left-radius: 4px;\n}\n\n.yes-no-picker label:last-child {\n  border-top-right-radius: 4px;\n  border-bottom-right-radius: 4px;\n}\n.yes-no-picker label.yes {\n  color: #000;\n  border-right: 1px solid #fff;\n  border-left: 1px solid #fff;\n}\n.yes-no-picker label.selected.yes {\n  background: #333;\n  color: #FFF;\n}\n\n.yes-no-picker label.no {\n  color: #a00;\n  border-left: 1px solid #fff;\n}\n.yes-no-picker label.semi-selected {\n  background-color: #ccc;\n}\n.yes-no-picker label.selected.no {\n  background: #a00;\n  color: #FFF;\n}\n.yes-no-picker label.na {\n  color: #888;\n  border-right: 4px solid #fff;\n}\n.yes-no-picker label.selected.na {\n  background-color: #888;\n  color: #fff;\n  cursor: default;\n}\n.yes-no-picker-label {\n  color: #777;\n}\n.yes-no-picker-label.yes-selected {\n  color: #000;\n}\n.yes-no-picker-label.no-selected {\n  color: #a00;\n  text-decoration: line-through;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity}}\n$xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n$xwiki.ssx.use('PhenoTips.YesNoNAPicker')##\n#set ($doDisplay = ($xcontext.action == 'edit' || "$!value" != ''))\n{{html clean=false wiki=false}}##\n#if ($xcontext.action == 'edit')&lt;span class="yes-no-picker"&gt;&lt;label class="na" title="$services.localization.render('phenotips.yesNoNAPicker.NA.title')"&gt;&lt;input type="checkbox" name="${prefix}${name}" value="" #if($value == '')checked="checked"#end /&gt;NA&lt;/label&gt;&lt;label class="yes" title="$services.localization.render('phenotips.yesNoNAPicker.yes.title')"&gt;&lt;input type="checkbox" name="${prefix}${name}" value="1" #if($value == '1')checked="checked"#end /&gt;Y&lt;/label&gt;&lt;label class="no" title="$services.localization.render('phenotips.yesNoNAPicker.no.title')"&gt;&lt;input type="checkbox" name="${prefix}${name}" value="0" #if($value == '0')checked="checked" #end/&gt;N&lt;/label&gt;&lt;/span&gt;#elseif ($value == '0')NO #{end}#if ($doDisplay)&lt;label class="yes-no-picker-label"&gt;$!object.xWikiClass.get($name).prettyName&lt;/label&gt;#end{{/html}}{{/velocity}}\n</content></xwikidoc>
4433604499475660399	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ImageDisplayer</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822197000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.ImageDisplayer</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>92c4c790-a961-4909-a1e5-ec02c0cf2e85</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var XWiki = (function(XWiki) {\n  /** Handles the gallery buttons directly in the current page without reloading the window. */\n  XWiki.MultiImageSelector = Class.create({\n     DEDUPLICATION_PREFIX : "IMAGE_SELECTOR",\n     ENFORCE_POPUP_MARKER : "showmng",\n     CHECK_LASTATT_MARKER : "lastatt",\n    /**\n     * Constructor.\n     *\n     * @param dialog the modal dialog where the gallery was loaded\n     */\n    initialize : function(dialog, reloadTargetId, sourceList) {\n      this.dialog = dialog;\n      this.gallery = dialog.dialogBox;\n      this.list = this.gallery.down('.attachment-list');\n      this.sourceList = sourceList;\n      this.reloadTargetId = reloadTargetId;\n\n      this.filterFormUpload();\n      this.addDeleteListeners();\n      this.addCloseListener();\n    },\n    /**\n     * Catches the upload form submission and stops it if the selected file is not of the accepted types (or not selected at all),\n     * and saves the underlying form (if any) so that any unsaved changes won't be lost.\n     */\n    filterFormUpload : function() {\n      this.form = this.gallery.down('form');\n      // Make sure unsaved selections are not lost\n      this.gallery.select('.attachment-item input[type=checkbox], .attachment-item input[type=radio]').each(function(item) {\n          var twin = $(item.id.substring(XWiki.MultiImageSelector.prototype.DEDUPLICATION_PREFIX.length));\n          if (twin) {item.checked = twin.checked;}\n      });\n      if (typeof (XWiki.FileUploader) != 'undefined') {\n        // -------------------------------------------------------\n        // HTML5 ajax file uploader is available, use it\n        // -------------------------------------------------------\n        // Update the url that will provide the submission result\n        var xredirect = this.form.down('input[type=hidden][name=xredirect]');\n        var ajaxxredirect = this.form.down('input[type=hidden][name=ajaxxredirect]');\n        if (xredirect &amp;&amp; ajaxxredirect) {\n          xredirect.value = ajaxxredirect.value + "&amp;manage=true&amp;dprefix="+ this.DEDUPLICATION_PREFIX;;\n          //ajaxxredirect.remove();\n        }\n        new XWiki.FileUploader(this.form, {enablePreview : false, enableFileInfo: false});\n        this.form.observe('xwiki:ajaxupload:finish', function(event) {\n           var responseContainer = this.gallery.down('.progress-info .upload-response');\n           if (responseContainer) {\n             var attachmentField = responseContainer.down('.attachment-item input[type="checkbox"], .attachment-item input[type="radio"]');\n             if (attachmentField) {\n               // is this just another version of another attachment that already exists?\n               this.gallery.select('.attachment-list .attachment-item input[type="' + attachmentField.type + '"][value="' + attachmentField.value.replace(/"/g, '\\\\"') + '"]').each(function (item) {\n                 item.up('.attachment-item').remove();\n               })\n               // if the attachment list contained some "Empty list" message, make sure to remove it\n               if (!this.list.down('.attachment-item')) {\n                 this.list.update('');\n               }\n               // only update the gallery with valid attachment-item elements\n               this.list.insert({top: responseContainer.innerHTML});\n               responseContainer.update('');\n               // delete listener for the new-comer\n               var newItemAction = this.list.down('.attachment-item .action.delete')\n               if (newItemAction) {\n                 newItemAction.observe('click', this.onDelete.bindAsEventListener(this));\n               }\n             }\n           }\n        }.bindAsEventListener(this));\n      } else {\n        // -------------------------------------------------------\n        // The browser does not support AJAX file upload. Do what you can...\n        // -------------------------------------------------------\n        new XWiki.widgets.Notification("$services.localization.render('phenotips.imageDisplayer.AJAXnotSuportedMessage')", 'info');\n        // Setup the allowed extensions for each file input\n        this.form.select('.upload-attachment input[type=file]').each(function(fileInput) {\n          fileInput.__allowedExtensions = fileInput.title.toLowerCase().replace(/\\s*[,|; ]\\s*/g, " ").strip();\n          if (fileInput.__allowedExtensions != '') {\n            fileInput.__allowedExtensions = fileInput.__allowedExtensions.split(" ");\n          } else {\n            fileInput.__allowedExtensions = false;\n          }\n        });\n        // On submit, check file extensions and make sure no data is lost\n        this.form.observe('submit', function(event) {\n          event.stop();\n          var uploadForm = event.element();\n          var hasErrors = false;\n          uploadForm.select('input[type=file]').each(function(fileInput) {\n            if (fileInput.value == '') {\n              new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.error.noFile')", 'error');\n              hasErrors = true;\n            } else if (fileInput.__allowedExtensions &amp;&amp; fileInput.__allowedExtensions.indexOf(this.getFileExtension(fileInput.value)) == -1) {\n              new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.error.badExtension')", 'error');\n              hasErrors = true;\n            }\n          }.bind(this));\n          // No form submission by AJAX right now, because file uploads can't be done this way without HTML5, this is future work\n          // Save the document before submitting, since the current form data will be lost otherwise\n          if (!hasErrors) {\n            this.updateSource();\n            // Update the url that will provide the submission result\n            var xredirect = this.form.down('input[type=hidden][name=xredirect]');\n            if (xredirect) {\n              xredirect.value = window.location.toString().replace(/#.*$/g, "").replace(/\\?.*$/g, '')\n                               + "?" + this.ENFORCE_POPUP_MARKER + "=1"\n                               + "&amp;" + this.CHECK_LASTATT_MARKER + "=" + this.getFileName(uploadForm.down('input[type=file]').value)\n                               + (this.reloadTargetId ? '#' + this.reloadTargetId : '');\n            }\n            document.observe('xwiki:document:saved', function() {\n              new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.inProgress')", 'inprogress');\n              uploadForm.submit();\n            })\n            document.fire('xwiki:actions:save', {'continue': true, form: $('edit') || $('inline')});\n          }\n        }.bindAsEventListener(this));\n      }\n    },\n    getFileName : function(filepath) {\n      var fpath = filepath.replace(/\\\\/g, '/');\n      var pieces = fpath.split('/');\n      if (pieces.length == 0) {\n        return null;\n      }\n      return pieces[pieces.length-1];\n    },\n    getFileExtension : function(filepath) {\n      var basename = this.getFileName(filepath);\n      pieces = basename.split('.');\n      return pieces[pieces.length-1].toLowerCase();\n    },\n\n    /** Catch attachment delete requests. */\n    addDeleteListeners : function() {\n      this.gallery.select('.action.delete').invoke('observe', 'click', this.onDelete.bindAsEventListener(this));\n    },\n\n    /** AJAX deletion of attachments. */\n    onDelete : function(event) {\n      event.stop();\n      deleteTool = event.element();\n      if (!deleteTool.disabled) {\n        new XWiki.widgets.ConfirmedAjaxRequest(\n          deleteTool.readAttribute('href'),\n          {\n            onCreate : function() { deleteTool.disabled = true },\n            onSuccess : function() {\n              var imgElt = deleteTool.up('.attachment-item');\n              var list = imgElt.up('.attachment-list');\n              if (imgElt) {\n                imgElt.remove();\n              }\n              if (!list.down('.attachment-item')) {\n                list.update(new Element('span', {'class' : 'hint'}).update("$services.localization.render('phenotips.imageDisplayer.noFiles')"));\n              }\n            }.bind(this),\n            onComplete : function() {\n              deleteTool.disabled = false;\n            }\n          },\n          {\n            confirmationText: "$services.localization.render('core.viewers.attachments.delete.confirm')",\n            progressMessageText : "$services.localization.render('core.viewers.attachments.delete.inProgress')",\n            successMessageText : "$services.localization.render('core.viewers.attachments.delete.done')",\n            failureMessageText : "$services.localization.render('core.viewers.attachments.delete.failed')"\n          }\n        );\n      }\n    },\n\n    updateSource : function () {\n      var newList = new Element('div', {'class' : 'attachment-list'});\n      this.list.select('.attachment-item').each(function(item) {\n        var label = item.down('label');\n        var input = label.down('input');\n        var image = item.down('.attachment-preview img');\n        var viewlink = item.down('a.view.hidden');\n        var id = input.id.substring(XWiki.MultiImageSelector.prototype.DEDUPLICATION_PREFIX.length);\n        var lItem = new Element('div', {'class' : item.className + (input.checked &amp;&amp; ' selected' || '')});\n        lItem.insert({\n                  'top' : new Element('label', {'for' : id, 'title' : input.value}).update(input.value).insert({\n                              top : new Element('input', {\n                                        'type' : input.type,\n                                        'checked' : input.checked,\n                                        'id' : id,\n                                        'name' : input.name.substring(XWiki.MultiImageSelector.prototype.DEDUPLICATION_PREFIX.length),\n                                        'value' : input.value\n                                    })\n                   }),\n                  'bottom': image &amp;&amp; new Element ('div', {'class' : 'attachment-preview'}).update(image) ||\n                                 viewlink &amp;&amp; new Element('a', {\n                                       'class' : 'view',\n                                       'href': viewlink.href,\n                                       'title' : viewlink.title,\n                                       'target' : '_blank'}).update(viewlink.innerHTML) || ''\n        });\n        newList.insert({bottom: lItem});\n      });\n      // If there's no attachment available, copy the "no image available" message\n      if (!newList.down('.attachment-item')) {\n        newList.update(this.list.innerHTML);\n      }\n      this.sourceList.replace(newList);\n      this.sourceList = newList;\n    },\n\n    addCloseListener : function () {\n      this.dialog.__controller = this;\n      var closeButton = new Element('input', {'type' : 'button', 'class' : 'button', 'value' : "$services.localization.render('phenotips.imageDisplayer.done')"});\n      this.gallery.down('.content').insert({bottom : closeButton});\n      closeButton.observe('click', this.dialog.closeDialog.bindAsEventListener(this.dialog));\n    }\n  });\n\n  var loading = new Element('div', {'class' : 'imgcenter'}).update("&lt;img src=\\"$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')\\"/&gt;");\n  var dialog;\n\n  /* Hook onto the picker buttons so that the gallery is loaded via AJAX in a modal dialog. */\n  var __hookImageSelector = function(evt) {\n    var __getParameter = function (name) {\n      var result;\n      if(result = (new RegExp('[?&amp;]'+encodeURIComponent(name)+'=([^&amp;#]*)')).exec(window.location.search))\n        return decodeURIComponent(result[1]);\n    };\n    $$('.manage-images-button:not(.initialized)').each(function(item) {\n      item.observe('click', function(event) {\n        event.stop();\n        var targetElement = event.findElement();\n        var reloadTargetId = targetElement.up('*[id]');\n        if (reloadTargetId) {\n          reloadTargetId = reloadTargetId.id;\n        }\n        var url = targetElement.href;\n        if (url.indexOf('?') &lt; 0) {\n          url += '?';\n        }\n        url += "&amp;xpage=plain&amp;dprefix="+ XWiki.MultiImageSelector.prototype.DEDUPLICATION_PREFIX;\n        dialog = new PhenoTips.widgets.ModalPopup(\n          loading, {}, {\n            'verticalPosition' : 'top',\n            'removeOnClose' : true,\n            'title' : targetElement.innerHTML,\n             onClose : function() {this.__controller.updateSource()}\n          }\n        );\n        dialog.shortcuts.close.keys = [];\n        dialog.showDialog();\n        new Ajax.Updater(loading.up(), url, {\n          onComplete : function() {\n            // Play nice with the Lightbox widget\n            if (window.gallery_lb) {\n              window.gallery_lb.updateImageList();\n            }\n            // Manually convert the special rel values into target attributes for the newly inserted content (rel="_something" =&gt; target="something")\n            if (typeof (XWiki.fixLinksTargetAttribute) == 'function') {\n              // Trick the function into updating link targets in inline mode; normally the conversion only takes place in view mode\n              var __tmp = XWiki.contextaction;\n              XWiki.contextaction = 'view';\n              XWiki.fixLinksTargetAttribute(dialog.dialog);\n              XWiki.contextaction = __tmp;\n            }\n            new XWiki.MultiImageSelector(dialog, reloadTargetId,  targetElement.up('.actions').next('.attachment-list'));\n            var toCheck = null;\n            if (toCheck = __getParameter(XWiki.MultiImageSelector.prototype.CHECK_LASTATT_MARKER)) {\n              var lastAtt = dialog.dialogBox.down('.attachment-item input[type=checkbox]'); // in 3.4+ add "[value=' + toCheck + ']"\n              if (lastAtt) {lastAtt.checked = true}\n            }\n          }\n        });\n      });\n      item.addClassName('initialized');\n    });\n    if (evt.eventName != 'xwiki:dom:loaded') {\n      return;\n    }\n    var activeAction = null;\n    if (__getParameter(XWiki.MultiImageSelector.prototype.ENFORCE_POPUP_MARKER) &amp;&amp; window.location.hash\n        &amp;&amp; (activeAction = $(window.location.hash.substring(1)))\n        &amp;&amp; (activeAction = activeAction.down('.manage-images-button'))\n    ) {\n      activeAction.click();\n    }\n  };\n  ['xwiki:dom:loaded', 'xwiki:dom:updated'].each (function(eventName) {\n     document.observe(eventName, __hookImageSelector)\n  });\n\n  return XWiki;\n}(XWiki || {}));</code>\n</property>\n<property>\n<name>Ajax photo management</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.ImageDisplayer</name>\n<number>1</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>71632e63-756b-45e6-94bc-6b81867954b3</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var XWiki = (function(XWiki) {\n  if (typeof (FileReader) == 'undefined' || typeof (FormData) == 'undefined') {return XWiki;}\n  XWiki.FileUploader = Class.create({\n    options : {\n      maxFilesize : 1073741824, // 1GB\n      fileFilter  : /^(image\\/gif|image\\/jpeg|image\\/png|image\\/tiff)$/i,\n      enablePreview : true,\n      enableFileInfo : true,\n      enableProgressInfo : true,\n      progressAutohide : true,\n      autoUpload : true\n    },\n\n    initialize : function(form, options) {\n      this.options = Object.extend(Object.clone(this.options), options || { });\n\n      // initialize upload variables\n      this.resetUploadData();\n\n      // attach listeners\n      this.form = form;\n      var customFilter = this.form.down('input[name=filter]');\n      if (customFilter &amp;&amp; customFilter.value != '') {\n         this.options.fileFilter = new RegExp(customFilter.value, "i");\n      }\n      this.form.select('input[type=file]').invoke('observe', 'change', this.fileSelected.bindAsEventListener(this));\n      this.form.observe('submit', this.startUploading.bindAsEventListener(this));\n      if (this.options.autoUpload) {\n        // Hide submit buttons\n        this.form.select('input[type=submit]').invoke('setStyle', {'display' : 'none'});\n      }\n\n      //initialize messages\n      this.initFeedbackMessages();\n    },\n\n    resetUploadData : function () {\n      this.fileIsValid = false;\n      this.bytesUploaded = 0;\n      this.bytesTotal = 0;\n      this.previousBytesLoaded = 0;\n      this.timer = 0;\n      this.resultFileSize = '';\n    },\n\n    initFeedbackMessages : function() {\n      var _getElt = function (cssClass, content) {\n        return new Element('div', {'class' : cssClass}).update(content ? content : '');\n      };\n\n      if (this.options.enablePreview || this.options.enableFileInfo) {\n        this.PREVIEW = new Element('img', {'class' : 'preview'});\n        this.form.insert({bottom : this.PREVIEW});\n        if (!this.options.enablePreview) {\n          this.PREVIEW.style.display = 'none';\n        }\n      }\n\n      if (this.options.enableFileInfo) {\n        this.FILE_INFO = _getElt('file-info');\n        this.FILE_NAME = _getElt('file-name');\n        this.FILE_SIZE = _getElt('file-size');\n        this.FILE_TYPE = _getElt('file-type');\n        this.FILE_DIM  = _getElt('file-dim');\n\n        this.FILE_INFO.insert({\n               top: this.FILE_NAME,\n               bottom: this.FILE_SIZE\n             }).insert({\n               bottom: this.FILE_TYPE\n             }).insert({\n               bottom: this.FILE_DIM\n             });\n\n        this.FILE_INFO.style.display = 'none';\n        this.form.insert({bottom : this.FILE_INFO});\n      }\n\n      if (this.options.enableProgressInfo) {\n        this.PROGRESS_INFO       = _getElt('progress-info');\n        this.PROGRESS_CONTAINER  = _getElt('progress-container');\n        this.PROGRESS            = _getElt('progress');\n        this.PROGRESS_PERCENTAGE = _getElt('progress-percentage', '&amp;nbsp;');\n        this.PROGRESS_SPEED      = _getElt('progress-speed', '&amp;nbsp;');\n        this.PROGRESS_REMAINING  = _getElt('progress-remaining', '&amp;nbsp;');\n        this.PROGRESS_TRANSFERED = _getElt('progress-transfered', '&amp;nbsp;');\n        this.UPLOAD_RESPONSE     = _getElt('upload-response');\n\n        this.PROGRESS_INFO.insert({\n             top: this.PROGRESS_CONTAINER.insert(this.PROGRESS),\n             bottom: this.PROGRESS_PERCENTAGE\n           }).insert({\n             bottom: new Element('div', {'class' : 'clear'})\n           }).insert({\n             bottom: new Element('div').insert({\n                                       top: this.PROGRESS_SPEED,\n                                       bottom: this.PROGRESS_REMAINING\n                                     }).insert({\n                                       bottom: this.PROGRESS_TRANSFERED\n                                     }).insert({\n                                       bottom: new Element('div', {'class' : 'clear'})\n                                     })\n           }).insert({\n             bottom: this.UPLOAD_RESPONSE\n           });\n\n        this.PROGRESS_HIDE = _getElt('progress-hide', 'hide');\n        this.PROGRESS_INFO.insert({bottom: this.PROGRESS_HIDE}).insert({bottom: new Element('div', {'class' : 'clear'})});\n        this._hideProgressInfo = function() {\n          this.PROGRESS_INFO.style.display = 'none';\n          this.PROGRESS_HIDE.style.display = 'none';\n        }.bind(this);\n        this.PROGRESS_HIDE.observe('click', this._hideProgressInfo);\n        this._hideProgressInfo()\n        this.form.insert({bottom : this.PROGRESS_INFO});\n      }\n\n      this.MESSAGE_CONTAINER      = _getElt('');\n      this.INVALID_FILE_MESSAGE   = _getElt('errormessage', "$services.localization.render('phenotips.imageDisplayer.error.invalidFile')");\n      this.UNKNOWN_ERROR_MESSAGE  = _getElt('errormessage', "$services.localization.render('phenotips.imageDisplayer.error.general')");\n      this.UPLOAD_ABORTED_MESSAGE = _getElt('errormessage' , "$services.localization.render('phenotips.imageDisplayer.error.abort')");\n      this.UPLOAD_SIZE_MESSAGE    = _getElt('errormessage' , "$services.localization.render('phenotips.imageDisplayer.error.size')".replace("__maxSize__", this.bytesToSize(this.options.maxFilesize)));\n\n      this.form.insert({top : this.MESSAGE_CONTAINER});\n    },\n\n    secondsToTime : function (secs) { // we will use this function to convert seconds in normal time format\n      var hr = Math.floor(secs / 3600);\n      var min = Math.floor((secs - (hr * 3600))/60);\n      var sec = Math.floor(secs - (hr * 3600) -  (min * 60));\n\n      if (hr &lt; 10) {hr = "0" + hr; }\n      if (min &lt; 10) {min = "0" + min;}\n      if (sec &lt; 10) {sec = "0" + sec;}\n      if (hr) {hr = "00";}\n      return hr + ':' + min + ':' + sec;\n    },\n\n    bytesToSize : function (bytes) {\n      var sizes = ['Bytes', 'KB', 'MB'];\n      if (bytes == 0) return 'n/a';\n      var i = parseInt(Math.floor(Math.log(bytes) / Math.log(1024)));\n      return (bytes / Math.pow(1024, i)).toFixed(1) + ' ' + sizes[i];\n    },\n\n    fileSelected : function (event) {\n      // hide different warnings\n      this.MESSAGE_CONTAINER.update('');\n      this.UPLOAD_RESPONSE.update('');\n\n      // get selected file element\n      var lFile = event.element().files[0];\n\n      // filter files\n      if (! this.options.fileFilter.test(lFile.type)) {\n        this.MESSAGE_CONTAINER.update(this.INVALID_FILE_MESSAGE);\n        this.fileIsValid = false;\n        return;\n      }\n\n      // little test for filesize\n      if (lFile.size &gt; this.options.maxFilesize) {\n        this.MESSAGE_CONTAINER.update(this.UPLOAD_SIZE_MESSAGE);\n        this.fileIsValid = false;\n        return;\n      }\n\n      this.fileIsValid = true;\n\n      // get preview element\n      var imgPreview = this.PREVIEW;\n\n      // prepare HTML5 FileReader\n      var fileReader = new FileReader();\n      fileReader.onload = function(e){\n        if (imgPreview) {\n          // e.target.result contains the DataURL which we will use as a source of the image\n          imgPreview.src = e.target.result;\n        }\n        if (this.options.enableFileInfo) {\n          imgPreview.onload = function () { // binding onload event\n            // we are going to display some custom image information here\n            this.resultFileSize = this.bytesToSize(lFile.size);\n            this.FILE_NAME.update('Name: ' + lFile.name);\n            this.FILE_SIZE.update('Size: ' + this.resultFileSize);\n            this.FILE_TYPE.update('Type: ' + lFile.type);\n            this.FILE_DIM.update('Dimension: ' + imgPreview.naturalWidth + ' x ' + imgPreview.naturalHeight);\n            this.FILE_INFO.style.display = 'block';\n          }.bindAsEventListener(this);\n        }\n      }.bindAsEventListener(this);\n\n    // read selected file as DataURL\n    fileReader.readAsDataURL(lFile);\n    if (this.options.autoUpload) {\n      this.startUploading();\n    }\n  },\n\n  startUploading : function (event) {\n    if (event) {\n      event.stop();\n    }\n    var fileExists = false;\n    this.form.select('input[type=file]').each(function(item) {\n      if (item.value != '') {\n         fileExists = true;\n      }\n    });\n    this.fileIsValid = this.fileIsValid &amp;&amp; fileExists;\n    if (!this.fileIsValid) {return;}\n    // cleanup all temp states\n    this.MESSAGE_CONTAINER.update('');\n    this.resetUploadData();\n\n    if (this.options.enableProgressInfo) {\n      this.UPLOAD_RESPONSE.update('');\n      this.PROGRESS_INFO.style.display = 'block';\n      this.PROGRESS_CONTAINER.style.display = 'block';\n      this.PROGRESS.style.width = '0px';\n    }\n    // get form data for POSTing\n    //var vFD = this.form.getFormData(); // for FF3\n    var vFD = new FormData(this.form);\n\n    // create XMLHttpRequest object, adding few event listeners, and POSTing our data\n    var oXHR = new XMLHttpRequest();\n    oXHR.upload.addEventListener('progress', this.uploadProgress.bindAsEventListener(this), false);\n    oXHR.addEventListener('load', this.uploadFinish.bindAsEventListener(this), false);\n    oXHR.addEventListener('error', this.uploadError.bindAsEventListener(this), false);\n    oXHR.addEventListener('abort', this.uploadAbort.bindAsEventListener(this), false);\n    oXHR.open('POST', this.form.action);\n    oXHR.send(vFD);\n\n    // set inner timer\n    this.timer = setInterval(this.doInnerUpdates.bind(this), 30);\n  },\n\n  doInnerUpdates : function () { // we will use this function to display upload speed\n    if (this.options.enableProgressInfo) {\n      var iCB = this.bytesUploaded;\n      var iDiff = iCB - this.previousBytesLoaded;\n\n      // if nothing new loaded - exit\n      if (iDiff == 0)\n        return;\n\n      this.previousBytesLoaded = iCB;\n      iDiff = iDiff * 2;\n      var iBytesRem = this.bytesTotal - this.previousBytesLoaded;\n      var secondsRemaining = iBytesRem / iDiff;\n\n      // update speed info\n      var iSpeed = iDiff.toString() + 'B/s';\n      if (iDiff &gt; 1024 * 1024) {\n        iSpeed = (Math.round(iDiff * 100/(1024*1024))/100).toString() + 'MB/s';\n      } else if (iDiff &gt; 1024) {\n        iSpeed =  (Math.round(iDiff * 100/1024)/100).toString() + 'KB/s';\n      }\n      this.PROGRESS_SPEED.update(iSpeed);\n      this.PROGRESS_REMAINING.update('| ' + this.secondsToTime(secondsRemaining));\n    }\n  },\n\n  uploadProgress : function(e) { // upload process in progress\n    if (this.options.enableProgressInfo) {\n      if (e.lengthComputable) {\n        this.bytesUploaded = e.loaded;\n        this.bytesTotal = e.total;\n        var iPercentComplete = Math.round(e.loaded * 100 / e.total);\n        var iBytesTransfered = this.bytesToSize(this.bytesUploaded);\n\n        this.PROGRESS_PERCENTAGE.update(iPercentComplete.toString() + '%');\n        this.PROGRESS.style.width = (iPercentComplete).toString() + '%';\n        this.PROGRESS_TRANSFERED.update(iBytesTransfered);\n        if (iPercentComplete == 100) {\n          this.UPLOAD_RESPONSE.update('Processing...');\n          this.UPLOAD_RESPONSE.style.display = 'block';\n        }\n      } else {\n        this.PROGRESS.update('unable to compute');\n      }\n    }\n  },\n\n  uploadFinish : function(e) { // upload successfully finished\n    if (this.options.enableProgressInfo) {\n      this.UPLOAD_RESPONSE.update(e.target.responseText);\n      this.UPLOAD_RESPONSE.style.display = 'block';\n\n      this.PROGRESS_PERCENTAGE.update('100%');\n      this.PROGRESS.style.width = "100%";\n      if (this.options.enableFileInfo) {\n        this.FILE_SIZE.update(this.resultFileSize);\n      }\n      this.PROGRESS_REMAINING.update('| 00:00:00');\n      if (this.options.progressAutohide) {\n        setTimeout(this._hideProgressInfo, 5000);\n      } else {\n        this.PROGRESS_HIDE.style.display = '';\n      }\n    }\n    clearInterval(this.timer);\n\n    this.form.fire('xwiki:ajaxupload:finish');\n  },\n\n  uploadError : function(e) { // upload error\n    this.uploadAbnormalFinish(this.UNKNOWN_ERROR_MESSAGE);\n  },\n\n  uploadAbort : function(e) { // upload abort\n    this.uploadAbnormalFinish(this.UPLOAD_ABORTED_MESSAGE);\n  },\n\n  uploadAbnormalFinish : function (message) {\n    this.MESSAGE_CONTAINER.update(message);\n    if (this.options.enableProgressInfo) {\n      this.PROGRESS_HIDE.style.display = '';\n    }\n    clearInterval(this.timer);\n  }\n  });\n  return XWiki;\n}(XWiki || {}));</code>\n</property>\n<property>\n<name>HTML5 file upload</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.ImageDisplayer</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>138649f5-23c9-4416-884f-37b72d3b2309</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n.editbody .image-gallery {\n  background-color: $theme.backgroundSecondaryColor;\n  padding: 0.5em 1em;\n}\n.image-gallery {\n  margin: 0.5em 1em .5em 0;\n  position: relative;\n}\n.image-gallery .caption {\n  font-variant: small-caps;\n  font-weight: bold;\n  text-transform: lowercase;\n}\n.image-gallery .actions {\n  position: absolute;\n  right: 0;\n  top: 0.25em;\n}\n.image-gallery .attachment-list {\n}\n.actions {\n  position: relative;\n}\n.image-gallery .attachment-list label.selected {\n  background-color: transparent;\n  margin: 0;\n  padding: 0 5px;\n  font-weight: normal;\n}\n.image-gallery .xGallery {\n}\n.attachment-item {\n  position: relative;\n  width: 31%;\n  float: left;\n  margin: .5em 2% .5em 0;\n  overflow: hidden;\n  padding: .25em;\n}\n.attachment-item.image {\n  position: relative;\n  width: 110px;\n  float: left;\n  margin: .5em;\n  overflow: hidden;\n  border-radius: 4px;\n  box-shadow: 0 0 4px #aaa;\n}\n.attachment-item:hover {\n  background-color: $theme.pageContentBackgroundColor;\n}\n.attachment-item label {\n  font-size: 0.9em;\n  overflow: hidden;\n  white-space: nowrap;\n  padding: 0 5px;\n}\n.attachment-item .size {\n  font-size: 0.9em;\n  opacity: 0.7;\n}\n.attachment-item.pdf label, .attachment-link.pdf {\n  background-image: url("$xwiki.getSkinFile('icons/silk/page_white_acrobat.png')");\n  background-position: left center;\n  background-repeat: no-repeat;\n  display: inline-block;\n  padding: 0 0 0 20px;\n}\n.attachment-item label input {\n  margin-left: 0px;\n  vertical-align: middle;\n}\n.attachment-item .action {\n  background: $theme.pageContentBackgroundColor;\n  border-radius: 1em;\n  display: none;\n  line-height: 1.286em;\n  position: absolute;\n  right: 0;\n  top: 0;\n}\n.attachment-item:hover .action {\n  display: inline-block;\n}\n.attachment-item .view {\n  display: none;\n  position: absolute;\n  right: 0;\n}\n.attachment-item:hover .view {\n  display: inline-block;\n}\n.attachment-item .attachment-preview {\n  padding: 5px;\n  text-align: center;\n  width: 100px;\n  height: 60px;\n}\n.attachment-item .attachment-preview img{\n  max-width: 100px;\n  max-height: 60px;\n  width: auto;\n}\n.xdialog-modal-container, .xnotification-container {\n  z-index: 100015 !important;\n}</code>\n</property>\n<property>\n<name>Image selector ui</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.ImageDisplayer</name>\n<number>1</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>a716b014-bd8a-43c3-b18c-38f84a651e81</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.preview {\n  max-width: 400px;\n}\n.file-info {\n  font-style: italic;\n  display:none;\n  margin: .5em 0;\n  opacity: .5;\n}\n\n.progress-info, .file-info {\n  font-size: .9em;\n}\n.progress-info .progress-hide {\n  font-style: italic;\n  opacity: .5;\n  cursor: pointer;\n  float: right;\n}\n.progress-info .progress-speed, .progress-info .progress-remaining {\n  opacity: .5;\n  float:left;\n  width:100px;\n}\n.progress-info .progress-transfered {\n  opacity: .5;\n  float:right;\n  text-align:right;\n}\n.progress-info .progress-percentage {\n  opacity: .5;\n  float:right;\n}\n.progress-info .progress, .progress-info .progress-container {\n  height:6px;\n  border-radius:10px;\n}\n.progress-info .progress {\n  background: linear-gradient(#66cc00, #4b9500);\n}\n.progress-info .progress-container {\n  border:1px solid #fff;\n  display:none;\n  float:left;\n  background: linear-gradient(#f9f9f9, #ddd);\n  width: 92%;\n}\n.progress-info /*.upload-response*/ {\n  margin-top: .5em;\n  padding: 5px 10px;\n  overflow: hidden;\n  display: none;\n  border: 1px solid #fff;\n  border-radius:4px;\n  box-shadow: 0 0 5px #ccc;\n}</code>\n</property>\n<property>\n<name>HTML5 file upload UI</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity output=false}}\n#set ($displayerName = 'PhenoTips.ImageDisplayer')\n#set ($displayer = $xwiki.getDocument($displayerName))\n#set($options = {\n  'fieldName' : "",\n  'filter' : ['png', 'jpg', 'jpeg', 'gif'],\n  'manage' : false,\n  'inputType' : 'checkbox',\n  'isImage' : true\n})\n\n#set($options.mode = "$!{xcontext.action}")\n\n#if ("$!{name}" != '' &amp;&amp; "$!{prefix}" != '' &amp;&amp; "$!{object}" != '')\n  ## In displayer mode\n  #set ($targetDoc = $doc)\n  #set ($property = "$!{name}")\n  #set ($propValue = $value)\n  #set ($fieldName = "$!{prefix}$!{name}")\n#elseif ("$!{request.doc}" != '' &amp;&amp; "$!{request.classname}" != '' &amp;&amp; "$!{request.object}" != '' &amp;&amp; "$!{request.property}" != '')\n  ## In external mode\n  #set ($targetDoc = $xwiki.getDocument("$!{request.doc}"))\n  #set ($property = "$!{request.property}")\n  #set ($object = $targetDoc.getObject("$!{request.classname}", $mathtool.toInteger("$!{request.object}")))\n  #set ($propValue = $object.getProperty("$!{request.property}").value)\n  #if ("$!{propValue.size()}" == '')\n    #set ($propValue = [])\n  #end\n  #set ($fieldName = "$!{request.dprefix}$!{request.classname}_$!{request.object}_$!{request.property}")\n  #if ("$!{request.mode}" != '')\n    #set($options.mode = "$!{request.mode}")\n  #else\n    #set($options.mode = "$!{xcontext.action}")\n  #end\n  #if ("$!{request.manage}" != '')\n    #set($options.manage = true)\n  #end\n#end\n#if ($object.getxWikiClass().get($property).getProperty('multiSelect').value != 1)\n  #set($options.inputType = 'radio')\n  #if ("$!{value}" == '')\n    #set ($propValue = [])\n  #else\n    #set ($propValue = [$value])\n  #end\n#end\n## TODO: This is a workaround. Find a better way to specify accepted file formats.\n#set($options.html5Filter = "$!{object.getxWikiClass().get($property).getProperty('validationRegExp').value}")\n#set($formats = "$!{object.getxWikiClass().get($property).getProperty('validationMessage').value}")\n#if ($formats != '')\n  #set ($options.filter = $formats.split('\\s*[,| ]\\s*'))\n  #if (!$options.html5Filter.contains('image'))\n    #set ($options.isImage = false)\n  #end\n#end\n#set ($qString = "doc=$!escapetool.url($!{targetDoc.fullName})&amp;property=$!{property}&amp;classname=$!escapetool.url($!{object.xWikiClass.name})&amp;object=${object.number}")\n\n#if ($options.filter &amp;&amp; $options.filter.size() &gt; 0)\n  #foreach($item in $options.filter)\n    #set($options.rawfilter = "$!{options.rawfilter}, ${item}")\n  #end\n  #if ($options.rawfilter)\n    #set($options.rawfilter = $options.rawfilter.substring(2))\n  #end\n#end\n\n#macro (__getExtension $filename)$!{filename.substring($mathtool.add($filename.lastIndexOf('.'), 1)).toLowerCase()}#end\n\n#macro (__displaySelectableAttachment $attachment $targetDocument $selection)\n  {{html wiki=true clean=false}}&lt;div class="attachment-item #if($options.isImage) image #else #__getExtension(${attachment.filename})#{end}#if($selection.contains(${attachment.filename})) selected#{end}"&gt;\n  &lt;label for='${fieldName}_${escapetool.xml($attachment.filename)}' title='${escapetool.xml($attachment.filename)}'&gt;\n  {{html wiki=false clean=false}}&lt;input id='${fieldName}_${escapetool.xml($attachment.filename)}' type='${options.inputType}' name='${fieldName}' value='${escapetool.xml($attachment.filename)}'#if($selection.contains(${attachment.filename})) checked='checked'#{end}/&gt;{{/html}}${escapetool.xml($attachment.filename)} &lt;span class="size"&gt;(#dynamicsize($attachment.filesize))&lt;/span&gt;&lt;/label&gt;##\n  #if ($options.manage)\n  &lt;a class='action delete fa fa-times-circle fa-lg fa-fw' href="$targetDocument.getAttachmentURL(${attachment.filename}, 'delattachment', "form_token=$!{services.csrf.getToken()}&amp;xredirect=$!{escapetool.url($doc.getURL($xcontext.action, $request.queryString))}")" title="$services.localization.render('phenotips.imageDisplayer.delete')"&gt;&lt;/a&gt;##\n  #end\n  #if($options.isImage)(% class="attachment-preview" %)((([[image:${services.rendering.escape($targetDoc.fullName, $doc.syntax)}@${services.rendering.escape($attachment.filename, $doc.syntax)}||title="${services.rendering.escape($attachment.filename, $doc.syntax)}"]])))#else##\n &lt;a class='view #if($options.manage)hidden#end' target="_blank" href="$targetDocument.getAttachmentURL(${attachment.filename})" title="$services.localization.render('phenotips.imageDisplayer.openImage', [$!{attachment.filename}])"&gt; [open]&lt;/a&gt;#end##\n  &lt;/div&gt;{{/html}}##\n#end\n\n#macro (__displaySelectableAttachmentList $targetDocument $selection)\n  (% class="attachment-list" %)(((\n  #set ($sortedAttachments = $sorttool.sort($targetDocument.getAttachmentList(), 'date:desc') )\n  #if ($sortedAttachments.size() == 0)(% class="hint" %)$services.localization.render('phenotips.imageDisplayer.noneAvailable')(%%)#end\n  #foreach ($attachment in $sortedAttachments)\n    #set ($extension = "#__getExtension($attachment.getFilename())")\n    #if ($options.filter.size() == 0 || $options.filter.contains($extension))\n      #__displaySelectableAttachment($attachment $targetDocument $selection)\n    #end\n  #end\n  {{html wiki=false clean=false}}&lt;input type='hidden' name='${fieldName}' value=''/&gt;{{/html}}##\n  )))(% class="clear" %)((()))###\n#end\n\n#macro (__displayLastAttachmentSelected $targetDocument)\n  #set ($sortedAttachments = $sorttool.sort($targetDocument.getAttachmentList(), 'date:desc') )\n  #if ($sortedAttachments.size() &gt; 0)\n    #set ($attachment = $sortedAttachments.get(0))\n    #set ($extension = "#__getExtension($attachment.getFilename())")\n    #if ($options.filter.size() == 0 || $options.filter.contains($extension))\n      #__displaySelectableAttachment($attachment $targetDocument [${attachment.filename}])\n    #end\n  #end\n#end\n\n#macro (__displayUploadForm $targetDocument)\n  {{html wiki=false clean=false}}\n  &lt;form action="$targetDocument.getURL('upload')" enctype="multipart/form-data" method="post" id="${fieldName}-upload2" class="upload-attachment xform"&gt;\n  &lt;div&gt;\n    #if (${options.rawfilter} != '')\n      &lt;span class="xHint"&gt;$services.localization.render('phenotips.imageDisplayer.acceptedFormats') ${options.rawfilter}&lt;/span&gt;\n    #end\n    &lt;input type="file" name="filepath" id="attachfile2" class="attachment" size="30" title="$!{escapetool.xml($options.rawfilter)}"/&gt;\n    &lt;input type="hidden" name="filter" value="$!{escapetool.xml($options.html5Filter)}" /&gt;\n    &lt;input type="hidden" name="xredirect" value="$!{escapetool.xml($doc.getURL($xcontext.action, $request.queryString))}" /&gt;\n    &lt;input type="hidden" name="ajaxxredirect" value="$!{escapetool.xml($displayer.getURL('get', "$!{qString}&amp;xaction=lastatt" ))}" /&gt;\n    &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n    &lt;input type="submit" name="action_upload" class="button" value="$services.localization.render('phenotips.imageDisplayer.uploadAndSelect')"  title="$services.localization.render('phenotips.imageDisplayer.uploadAndSelect')"/&gt;\n  &lt;/div&gt;\n  &lt;/form&gt;\n  {{/html}}\n#end\n\n#macro (__displayGallery $targetDocument  $selection)\n  #set ($content = '')\n  #foreach ($name in  $selection)\n    #if ("$!{targetDocument.getAttachment(${name})}" != '')\n      #if ($options.isImage)\n        #set ($content = "$!{content}[[image:${services.rendering.escape($targetDocument.fullName, $doc.syntax)}@${services.rendering.escape($name, $doc.syntax)}||style=""max-width:100%""]]${util.newline}")\n      #else\n        #set ($content = "$!{content}[[attach:${services.rendering.escape($targetDocument.fullName, $doc.syntax)}@${services.rendering.escape($name, $doc.syntax)}||class='attachment-link #__getExtension($name)']]${util.newline}")\n      #end\n    #end\n  #end\n  #if ($content != '')\n#if ($options.isImage &amp;&amp; $options.inputType == 'checkbox')\n{{gallery}}\n$content\n{{/gallery}}\n\n#else\n$content\n#end\n  #end\n#end\n\n{{/velocity}}\n\n{{velocity}}\n#if ("$!{request.xaction}" == 'lastatt')\n#__displayLastAttachmentSelected($targetDoc)\n#else\n  $xwiki.ssx.use($displayerName, {'colorTheme' : "$xwiki.getSpacePreferenceFor('colorTheme', ${targetDoc.space})"})##\n  $xwiki.jsx.use($displayerName)##\n  ## check if the property exists and its value has the right type (is a list)\n  #if ("$!{propValue.size()}" != '')\n    #if ($options.mode == 'edit')\n      (% id=$!{fieldName}_container %)(((\n      #if ($options.manage)\n        #__displayUploadForm($targetDoc)\n      #else\n        #set ($actionURL = $displayer.getURL('view', "$!{qString}&amp;mode=edit&amp;manage=true"))\n        {{html wiki=false clean=false}}&lt;div class="actions"&gt;&lt;label class="create-button-label"&gt;+&lt;/label&gt;&lt;span class="buttonwrapper"&gt;&lt;a class="add-data-button button manage-images-button" href="${actionURL}"&gt;$services.localization.render('phenotips.imageDisplayer.uploadAndManage')&lt;/a&gt;&lt;/span&gt;&lt;/div&gt;{{/html}}\n      #end\n      #__displaySelectableAttachmentList($targetDoc $propValue)\n      )))\n    #else## not edit\n      #__displayGallery($targetDoc $propValue)\n    #end## context action check\n  #end## target object &amp; property exist and are valid\n#end## not a custom action\n{{/velocity}}</content></xwikidoc>\n
3771351910856738067	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__measurements</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822214000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.measurements')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__measurements</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>0fbed218-0ed3-40b1-bd6c-678b864f31ae</guid>\n<property>\n<content>{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n#set ($targetClassName = 'PhenoTips.MeasurementsClass')\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('XWiki.DateTimePicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('XWiki.DateTimePicker')##\n  #if ($config &amp;&amp; "$!{config.getProperty('enableImperialUnitSystem').value}" == '1')\n    #set ($measurementUnitInfo = "enable-unit-switch $!{config.getProperty('measurementUnitSystem').value}")\n  #else\n    #set ($measurementUnitInfo = '')\n  #end\n\n  #__extradata_displayTable($targetClassName, {'counter' : false, 'labels' : true, 'mode' : $xcontext.action, 'cssClass' : "measurements full $!{measurementUnitInfo}"})\n#elseif ($doc.getObject($targetClassName))\n  #set($dataClass = $xwiki.getDocument('PhenoTips.MeasurementsClass').xWikiClass)\n  #if ($dataClass)\n    #set($dataObjects = $doc.getObjects('PhenoTips.MeasurementsClass'))\n    (% class="extradata-list" %)\n    ##\n    ## Sort dataObjects\n    #set ($sortedDataObjects = [])\n    #foreach ($o in $dataObjects)\n       #set ($discard = $sortedDataObjects.add({\n           'age' : $o.getValue('age'),\n           'date' : $o.getValue('date'),\n           'obj' : $o\n       }))\n    #end\n    #set ($sortedDataObjects = $sorttool.sort($sortedDataObjects, ['age:asc', 'date:asc']))\n    ##\n    #foreach ($obj in $sortedDataObjects )\n      #set ($o = $obj.obj)\n      #foreach($prop in $dataClass.properties)\n        #if ($prop.name == 'date' || $prop.name == 'age')\n          |= ${prop.prettyName}: |=(% colspan="2" %) $doc.display($prop.getName(), $o)\n        #elseif (!$prop.name.endsWith('_evaluation') &amp;&amp; "$!o.getProperty($prop.getName()).value" != '')\n          |= ${prop.prettyName}: | $doc.display($prop.getName(), $o) | $!doc.display("${prop.getName()}_evaluation", $o)\n        #end\n      #end\n    #end## foreach object\n    ##\n  #end## if dataclass\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.measurement-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.measurements</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.measurements')\nenabled=true\nrequired=\norder=2\nfields=\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
4083987752000231013	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__family</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822210000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.family')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__family</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>c69577c0-d150-47f2-9895-e1317ac466f1</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n#set ($targetClassName = 'PhenoTips.RelativeClass')\n#if ($xcontext.action == 'edit' || $doc.getObject($targetClassName))\n  (% class="clear relatives-info" %)(((\n    === $services.localization.render('phenotips.UIXField.family.heading') ===\n    #__extradata_displayTable($targetClassName, {'counter' : false, 'labels' : true, 'mode' : $xcontext.action})\n  )))\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.family-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.family_study</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.family')\nenabled=true\nrequired=\norder=1\nfields=\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-4067961920416208475	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>SuggestWorkgroupsService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.SearchCode</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1427252599000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Workgroup Suggestion Service</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#set ($input = "$!request.input.toLowerCase()")\n#if ($input == '')\n  #break\n#end\n#macro (suggestUsersOrGroups)\n  #if ($input.length() &gt; 0)\n    ## Resolve the input as a user/group reference and use only the document name for matching.\n    #set ($input = $services.model.resolveDocument($input).name)\n  #end\n  #set ($statement = 'from doc.object(PhenoTips.PhenoTipsGroupClass) as groups where (lower(doc.name) like :input or lower(doc.title) like :input) and doc.fullName &lt;&gt; ''PhenoTips.PhenoTipsGroupTemplate'' order by doc.name')\n  #set ($query = $services.query.xwql($statement).setWiki($wikiReference.name).addFilter('unique'))\n  #set ($discard = $query.setOffset(0).setLimit(10).bindValue('input', "%${input}%"))\n  #foreach ($result in $query.execute())\n    #if ($xwiki.hasAccessLevel('view', $xcontext.user, $result))\n      #displayResult($result)\n    #end\n  #end\n#end\n\n#macro (displayResult $result)\n  #set ($reference = $services.model.resolveDocument($result, $wikiReference))\n  ## Make sure we use relative references as much as possible. See XWIKI-10046.\n  #set ($stringReference = $services.model.serialize($reference, 'compactwiki'))\n  #getUserAvatarURL($reference $avatarURL 30)\n  #set ($prettyName = $xwiki.getDocument($reference).plainTitle)\n  #if ("$!prettyName" == '')\n     #set ($prettyName = $reference.name)\n  #end\n  &lt;rs id="$escapetool.xml($reference.name)" icon="$escapetool.xml($avatarURL.url)" info="$prettyName"&gt;$escapetool.xml($stringReference)&lt;/rs&gt;\n#end\n\n$response.setContentType("text/xml")\n&lt;?xml version="1.0" encoding="UTF-8"?&gt;\n&lt;results&gt;\n#if ($request.wiki == 'global')\n  #set ($wikiReference = $services.model.createWikiReference($xcontext.mainWikiName))\n#else\n  #set ($wikiReference = $doc.documentReference.wikiReference)\n#end\n#if ($request.exactMatch == 'true')\n  ## This is normally used for loading the initial selection.\n  #displayResult("$!request.input")\n#else\n  #suggestUsersOrGroups()\n#end\n&lt;/results&gt;\n{{/velocity}}\n</content></xwikidoc>
-1108930243295435631	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>JSONMacros</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822205000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output=false}}\n#macro(json__displayJSONFragment $data)\n  #if ($data.keySet())\n  {\n    #foreach ($key in $data.keySet())\n       "${key}" : #json__displayJSONFragment($data.get($key))#if ($foreach.hasNext()),#end\n\n    #end\n  }\n  #elseif ($data.size())\n    [\n    #foreach ($item in $data)\n      #json__displayJSONFragment($item)#if ($foreach.hasNext()),#end\n\n    #end\n    ]##\n  #else\n    "$!{data}"##\n  #end\n#end\n\n#macro(json__displayJSON $results $metadata)\n{\n   "returnedrows" : "$results.size()",\n   #foreach ($k in $metadata.keySet())\n     "$k" : #json__displayJSONFragment($metadata.get($k)),\n   #end\n   #if ("$!request.reqNo" != '')\n     "reqNo" : $!{request.reqNo},\n   #end\n   "rows" : #json__displayJSONFragment($results)\n}\n#end\n\n#macro(json__respondJSON $results $metadata)\n  $response.setContentType('application/json')\n  #json__displayJSON($results $metadata)\n#end\n{{/velocity}}\n</content></xwikidoc>
545815201161121945	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>Widgets</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822215000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>0e1a6de2-6050-432f-a39f-656bb3b90163</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function(PhenoTips){\n\n var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n\n if (typeof XWiki.widgets.XList == 'undefined') {\n  if (typeof console != "undefined" &amp;&amp; typeof console.warn == "function") {\n    console.warn("[Suggest widget] Required class missing: XWiki.widgets.XList");\n  }\n } else {\n  widgets.XList = XWiki.widgets.XList;\n  widgets.XListItem = XWiki.widgets.XListItem;\n/**\n * Suggest class.\n * Provide value suggestions to users when starting to type in a text input.\n */\n widgets.Suggest = Class.create({\n  options : {\n    // The minimum number of characters after which to trigger the suggest\n    minchars : 1,\n    // The HTTP method for the AJAX request\n    method : "get",\n    // The name of the request parameter holding the input stub\n    varname : "input",\n    // The CSS classname of the suggest list\n    className : "ajaxsuggest",\n    timeout : 2500,\n    delay : 500,\n    offsety : 0,\n    // Display a "no results" message, or simply hide the suggest box when no suggestions are available\n    shownoresults : true,\n    // The message to display as the "no results" message\n    noresults : "No results!",\n    maxheight : 250,\n    cache : false,\n    seps : "",\n    icon : null,\n    // The name of the JSON variable or XML element holding the results.\n    // "results" for the old suggest, "searchResults" for the REST search.\n    resultsParameter : "results",\n    // The name of the JSON parameter or XML attribute holding the result identifier.\n    // "id" for both the old suggest and the REST search.\n    resultId : "id",\n    // The name of the JSON parameter or XML attribute holding the result value.\n    // "value" for the old suggest, "pageFullName" for the REST page search.\n    resultValue : "value",\n    // The name of the JSON parameter or XML attribute holding the result auxiliary information.\n    // "info" for the old suggest, "pageFullName" for the REST search.\n    resultInfo : "info",\n    // The name of the JSON parameter or XML attribute holding the result category.\n    resultCategory : "category",\n    // The name of the JSON parameter or XML attribute holding the result alternative name.\n    resultAltName : "",\n    // The name of the JSON parameter or XML attribute holding the result icon.\n    resultIcon: "icon",\n    // The name of the JSON parameter or XML attribute holding a potential result hint (displayed next to the value).\n    resultHint: "hint",\n    // What kind of tooltip (if any) should be attached to each entry. Default: none.\n    tooltip: false,\n    // The id of the element that will hold the suggest element\n    //parentContainer : "body",\n    // Should results fragments be highlighted when matching typed input\n    highlight: true,\n    // Fade the suggestion container on clear\n    fadeOnClear: true,\n    // Show a 'hide suggestions' button\n    enableHideButton: true,\n    insertBeforeSuggestions: null,\n    // Should id be displayed or hidden\n    displayId: false,\n    // Should value be displayed as a hint\n    displayValue: false,\n    // Display value prefix text\n    displayValueText: "Value :",\n    // How to align the suggestion list when its width is different from the input field width\n    align: "left",\n    // When there are several suggest sources, should the widget displays only one, unified, "loading" indicator for all requests undergoing,\n    // Or should it displays one loading indicator per request next to the corresponding source.\n    unifiedLoader: false,\n    // The DOM node to use to display the loading indicator when in mode unified loader (it will receive a "loading" class name for the time of the loading)\n    // Default is null, which falls back on the input itself. This option is used only when unifiedLoader is true.\n    loaderNode: null,\n    // A function returning true or false for each fetched suggestion. If defined, only suggestions for which 'true' is returned\n    // are added to the list\n    filterFunc: null\n  },\n  sInput : "",\n  nInputChars : 0,\n  aSuggestions : [],\n  iHighlighted : null,\n  isActive : false,\n\n  /**\n   * Initialize the suggest\n   *\n   * @param {Object} fld the suggest field\n   * @param {Object} param the options\n   */\n  initialize: function (fld, param){\n\n    if (!fld) {\n      return false;\n    }\n    this.setInputField(fld);\n\n    // Clone default options from the prototype so that they are not shared and extend options with passed parameters\n    this.options = Object.extend(Object.clone(this.options), param || { });\n    if (typeof this.options.sources == 'object' &amp;&amp; this.options.sources.length &gt; 1) {\n      // We are in multi-sources mode\n      this.sources = this.options.sources;\n    } else {\n      // We are in mono-source mode\n      this.sources = this.options;\n    }\n\n    // Flatten sources\n    this.sources = [ this.sources ].flatten().compact();\n\n    // Reset the container if the configured parameter is not valid\n    if (!$(this.options.parentContainer)) {\n      this.options.parentContainer = $(document.body);\n    }\n\n    if (this.options.seps) {\n      this.seps = this.options.seps;\n    } else {\n      this.seps = "";\n    }\n\n    // Initialize a request number that will keep track of the latest request being fired.\n    // This will help to discard potential non-last requests callbacks ; this in order to have better performance\n    // (less unneccessary DOM manipulation, and less unneccessary highlighting computation).\n    this.latestRequest = 0;\n\n  },\n\n  /**\n   * Sets or replace the input field associated with this suggest.\n   */\n  setInputField: function(input){\n    if (this.fld) {\n      this.fld.stopObserving();\n    }\n    this.fld = $(input);\n    this.fld._suggestWidget = this;\n    // Bind the key listeners on the input field.\n    this.fld.observe("keyup", this.onKeyUp.bindAsEventListener(this));\n    if (Prototype.Browser.IE || Prototype.Browser.WebKit) {\n      this.fld.observe("keydown", this.onKeyPress.bindAsEventListener(this));\n    } else {\n      this.fld.observe("keypress", this.onKeyPress.bindAsEventListener(this));\n    }\n    this.fld.observe("paste", this.onPaste.bindAsEventListener(this));\n\n    // Prevent normal browser autocomplete\n    this.fld.setAttribute("autocomplete", "off");\n\n    this.fld.observe("blur", function(event){\n      // Make sure any running request will be dropped after the input field has been left\n      this.latestRequest++;\n\n    }.bind(this));\n  },\n\n  /**\n   * Treats normal characters and triggers the autocompletion behavior. This is needed since the field value is not\n   * updated when keydown/keypress are called, so the suggest would work with the previous value. The disadvantage is\n   * that keyUp is not fired for each stroke in a long keypress, but only once at the end. This is not a real problem,\n   * though.\n   */\n  onKeyUp: function(event)\n  {\n    var key = event.keyCode;\n    switch(key) {\n      // Ignore special keys, which are treated in onKeyPress\n      case Event.KEY_RETURN:\n      case Event.KEY_ESC:\n      case Event.KEY_UP:\n      case Event.KEY_DOWN:\n        break;\n      default: {\n        // If there are separators in the input string, get suggestions only for the text after the last separator\n        // TODO The user might be typing in the middle of the field, not in the last item. Do a better detection by\n        // comparing the new value with the old one.\n        if(this.seps) {\n          var lastIndx = -1;\n          for(var i = 0; i &lt; this.seps.length; i++) {\n            if(this.fld.value.lastIndexOf(this.seps.charAt(i)) &gt; lastIndx) {\n              lastIndx = this.fld.value.lastIndexOf(this.seps.charAt(i));\n            }\n          }\n          if(lastIndx == -1) {\n            this.getSuggestions(this.fld.value);\n          } else {\n            this.getSuggestions(this.fld.value.substring(lastIndx+1));\n          }\n        } else {\n          this.getSuggestions(this.fld.value);\n        }\n      }\n    }\n  },\n  /**\n   * Use the key press routine to search as if some "other" key was pressed;\n   * Pasted value is not yet available at the time of the "paste" event, so schedule\n   * the handler to fire immediately after paste processing is done.\n   */\n  onPaste: function(event) {\n    setTimeout(function () {\n        this.onKeyUp({"keyCode": null});\n      }.bind(this),0);\n  },\n  /**\n   * Treats Up and Down arrows, Enter and Escape, affecting the UI meta-behavior. Enter puts the currently selected\n   * value inside the target field, Escape closes the suggest dropdown, Up and Down move the current selection.\n   */\n  onKeyPress: function(event) {\n    if(!$(this.isActive)) {\n      // Let the key events pass through if the UI is not displayed\n      return;\n    }\n    var key = event.keyCode;\n\n    switch(key) {\n      case Event.KEY_RETURN:\n        if (this.aSuggestions.length == 1) {\n          this.highlightFirst();\n        }\n        this.setHighlightedValue();\n        Event.stop(event);\n        break;\n      case Event.KEY_ESC:\n        this.clearSuggestions();\n        Event.stop(event);\n        break;\n      case Event.KEY_UP:\n        this.changeHighlight(key);\n        Event.stop(event);\n        break;\n      case Event.KEY_DOWN:\n        this.changeHighlight(key);\n        Event.stop(event);\n        break;\n      default:\n        break;\n    }\n  },\n\n  /**\n   * Get suggestions\n   *\n   * @param {Object} val the value to get suggestions for\n   */\n  getSuggestions: function (val)\n  {\n    // if input stays the same, do nothing\n    //\n    val = val.strip().toLowerCase();\n    if (val == this.sInput &amp;&amp; val.length &gt; 1) {\n      return false;\n    }\n\n    if (val.length == 0) {\n      this.sInput = "";\n      this.clearSuggestions();\n      return false;\n    }\n    // input length is less than the min required to trigger a request\n    // reset input string\n    // do nothing\n    //\n    if (val.length &lt; this.options.minchars) {\n      this.sInput = "";\n      return false;\n    }\n\n    // if caching enabled, and user is typing (ie. length of input is increasing)\n    // filter results out of aSuggestions from last request\n    //\n    if (val.length&gt;this.nInputChars &amp;&amp; this.aSuggestions.length &amp;&amp; this.options.cache)\n    {\n      var arr = [];\n      for (var i=0;i&lt;this.aSuggestions.length;i++) {\n        if (this.aSuggestions[i].value.substr(0,val.length).toLowerCase() == val) {\n          arr.push( this.aSuggestions[i] );\n        }\n      }\n\n      this.sInput = val;\n      this.nInputChars = val.length;\n      this.aSuggestions = arr;\n\n      this.createList(this.aSuggestions);\n\n      return false;\n    } else  {\n      // do new request\n      this.sInput = val;\n      this.nInputChars = val.length;\n\n      this.prepareContainer();\n\n      this.latestRequest++;\n      var pointer = this;\n      var requestId = this.latestRequest;\n      clearTimeout(this.ajID);\n      this.ajID = setTimeout( function() { pointer.doAjaxRequests(requestId) }, this.options.delay );\n\n    }\n    return false;\n  },\n\n  /**\n   * Fire the AJAX Request(s) that will get suggestions\n   */\n  doAjaxRequests: function (requestId)\n  {\n    if (this.fld.value.length &lt; this.options.minchars) {\n      return;\n    }\n\n    for (var i=0;i&lt;this.sources.length;i++) {\n      var source = this.sources[i];\n\n      // create ajax request\n      var query = this.fld.value.strip();\n      var parameters = {};\n      if (this.options.queryProcessor != null &amp;&amp; typeof(this.options.queryProcessor.generateParameters) == "function") {\n        parameters = this.options.queryProcessor.generateParameters(query);\n      }\n      if (this.options.queryProcessor != null &amp;&amp; typeof(this.options.queryProcessor.processQuery) == "function") {\n        query = this.options.queryProcessor.processQuery(query);\n      }\n      var url = source.script + source.varname + "=" + encodeURIComponent(query);\n      var method = source.method || "get";\n      var headers = {};\n      if (source.json) {\n        headers.Accept = "application/json";\n      } else {\n        headers.Accept = "application/xml";\n      }\n\n      var ajx = new Ajax.Request(url, {\n        method: method,\n        parameters: parameters,\n        requestHeaders: headers,\n        onCreate : function () {\n          this.fld.addClassName("loading");\n        }.bind(this),\n        onSuccess: this.setSuggestions.bindAsEventListener(this, source, requestId),\n        onFailure: function (response) {\n          //new PhenoTips.widgets.Notification("Failed to retrieve suggestions : ')" + response.statusText, "error", {timeout: 5});\n          alert("Failed to retrieve suggestions : " + response.statusText);\n        },\n        onComplete : function () {\n          if (requestId &lt; this.latestRequest) {\n            return;\n          }\n          this.fld.removeClassName("loading");\n        }.bind(this)\n      });\n    }\n  },\n\n  /**\n   * Set suggestions\n   *\n   * @param {Object} req\n   * @param {Object} source\n   * @param {Number} requestId the identifier of the request for which this callback is triggered.\n   */\n  setSuggestions: function (req, source, requestId)\n  {\n\n    // If there has been one or several requests fired in the mean time (between the time the request for which this callback\n    // has been triggered and the time of the callback itself) ; we don't do anything and leave it to following callbacks to\n    // set potential suggestions\n    if (requestId &lt; this.latestRequest) {\n      return;\n    }\n\n    this.aSuggestions = this.getSuggestionList(req, source);\n    this.createList(this.aSuggestions, source);\n  },\n\n  getSuggestionList : function (req, source) {\n    var aSuggestions = [];\n    if (source &amp;&amp; source.json) {\n      var jsondata = req.responseJSON;\n      if (!jsondata) {\n        return false;\n      }\n      var results = jsondata[source.resultsParameter || this.options.resultsParameter];\n\n      var _getResultFieldValue = function(data, fieldName) {\n        return data &amp;&amp; data[fieldName] || '';\n      }\n\n      var _getResultFieldValueAsArray = function(data, fieldName) {\n        return new Array(data &amp;&amp; data[fieldName] || '').flatten();\n      };\n    } else {\n      var xmldata = req.responseXML;\n      if (!xmldata) {\n        return false;\n      }\n      var results = xmldata.getElementsByTagName((source &amp;&amp; source.resultsParameter) || this.options.resultsParameter);\n\n      var _getResultFieldValue = function(data, selector) {\n        var element = data &amp;&amp; Element.down(data, selector);\n        return element &amp;&amp; element.firstChild &amp;&amp; element.firstChild.nodeValue || '';\n      }\n\n      var _getResultFieldValueAsArray = function(data, selector) {\n        var result = new Array();\n        if (data) {\n          Element.select(data, selector).each(function(item) {\n            var value = item.firstChild &amp;&amp; item.firstChild.nodeValue;\n            if (value) {\n              result.push(value);\n            }\n          });\n        }\n        return result;\n      };\n    }\n\n    var _getExpandCollapseTriggerSymbol = function(isCollapsed) {\n      if (isCollapsed) return "&amp;#x25B8;";\n      return "&amp;#x25BE;";\n    }\n    for (var i = 0; i &lt; results.length; i++) {\n      var info = new Element("dl");\n      for (var section in this.options.resultInfo) {\n        var sOptions = this.options.resultInfo[section];\n\n        sectionClass = section.strip().toLowerCase().replace(/[^a-z0-9 ]/gi, '').replace(/\\s+/gi, "-");\n\n        var sectionState = ""\n        if (sOptions.collapsed) {\n          sectionState = "collapsed";\n        }\n\n        var processingFunction = sOptions.processor;\n\n        if (sOptions.extern) {\n          var trigger =  new Element("a").update(section);\n          trigger._processingFunction = processingFunction;\n          info.insert({"bottom" : new Element("dt", {'class' : sectionState + " " + sectionClass}).insert({'bottom' : trigger})});\n          trigger._processingFunction.call(this, trigger);\n          continue;\n        }\n\n        var selector = sOptions.selector;\n        if (!selector) {\n          continue;\n        }\n\n        var sectionContents = null;\n        _getResultFieldValueAsArray(results[i], selector).each(function(item) {\n          var text = item || '';\n          if (typeof (processingFunction) == "function") {\n            text = processingFunction(text);\n          }\n          if (text == '') {return;}\n          if (!sectionContents) {\n            var trigger = new Element("a", {'class' : 'expand-tool'}).update(_getExpandCollapseTriggerSymbol(sOptions.collapsed));\n            info.insert({"bottom" : new Element("dt", {'class' : sectionState}).insert({'top' : trigger}).insert({'bottom' : section})});\n            sectionContents = new Element("dd", {'class' : 'expandable'});\n            info.insert({"bottom" : sectionContents});\n            trigger.observe('click', function(event) {\n              event.stop();\n              trigger.up().toggleClassName('collapsed');\n              trigger.update(_getExpandCollapseTriggerSymbol(trigger.up().hasClassName('collapsed')));\n            }.bindAsEventListener(this));\n          }\n          sectionContents.insert({"bottom" : new Element("div").update(text)});\n        });\n      }\n      if (!info.hasChildNodes()) {\n        info = '';\n      }\n      if (this.options.resultCategory) {\n        var category = new Element("span", {'class' : 'hidden term-category'});\n        _getResultFieldValueAsArray(results[i], this.options.resultCategory).each(function(c) {\n           category.insert(new Element('input', {'type' : 'hidden', 'value' : c}));\n        });\n      }\n      if (!this.options.resultCategory || !category.hasChildNodes()) {\n        category = '';\n      }\n\n      if (this.options.resultAltName) {\n        var bestNameMatch = '';\n        var name =  _getResultFieldValue(results[i], source.resultValue || this.options.resultValue);\n        var altNames = _getResultFieldValueAsArray(results[i], source.resultAltName || this.options.resultAltName);\n        var nameMatchScore = this.computeSimilarity(name, this.sInput);\n        for (var k = 0; k &lt; altNames.length; ++k) {\n           var altNameMatchScore = this.computeSimilarity(altNames[k], this.sInput);\n           if (altNameMatchScore &gt; nameMatchScore) {\n             bestNameMatch = altNames[k];\n             nameMatchScore = altNameMatchScore;\n           }\n        }\n      }\n\n      aSuggestions.push({\n        'id': _getResultFieldValue(results[i], source.resultId || this.options.resultId),\n        'value': _getResultFieldValue(results[i], source.resultValue || this.options.resultValue),\n        'altName': bestNameMatch,\n        'info'    : info,\n        'category': category\n      });\n    }\n    return aSuggestions;\n  },\n\n  /**\n   * Compute the Smith Waterman similarity between two strings\n   */\n  computeSimilarity: function(str1, str2) {\n    var score;\n    var maxSoFar=0;\n    var gapCost = 2;\n\n    // get values\n    var a = str1;\n    var m = a.length;\n\n    //n is the length of currFieldValue\n    var b = str2;\n    var n = b.length;\n\n    //declare the matrix\n    var d = new Array();\n\n    for (i = 0; i &lt; n; i++) {\n      d[i] = new Array();\n\n      // get the substitution score\n      score = (a.charAt(i) == b.charAt(0))? 1: -1;\n\n      if (i == 0) {\n        d[0][0] = Math.max(0,-gapCost,score);\n      }else {\n        d[i][0] = Math.max(0,d[i - 1][0] - gapCost,score);\n      }\n\n      //update max possible if available\n      if (d[i][0] &gt; maxSoFar) {\n        maxSoFar = d[i][0];\n      }\n    }\n\n    for (j = 0; j &lt; m; j++) {\n      // get the substitution score\n      score = (a.charAt(0) == b.charAt(j))? 1: -1;\n\n      if (j == 0) {\n        d[0][0] = Math.max(0,-gapCost,score);\n      }else {\n        d[0][j] = Math.max(0,d[0][j - 1] - gapCost,score);\n      }\n\n      //update max possible if available\n      if (d[0][j] &gt; maxSoFar) {\n        maxSoFar = d[0][j];\n      }\n    }\n\n    // cycle through rest of table filling values from the lowest cost value of the three part cost function\n    for (i = 1; i &lt; n; i++) {\n      for (j = 1; j &lt; m; j++) {\n        // get the substitution score\n        score = (a.charAt(i) == b.charAt(j))? 1: -1;\n\n        // find lowest cost at point from three possible\n        d[i][j] = Math.max(0,d[i - 1][j] - gapCost,d[i][j - 1] - gapCost,d[i - 1][j - 1] + score);\n        //update max possible if available\n        if (d[i][j] &gt; maxSoFar) {\n          maxSoFar = d[i][j];\n        }\n      }\n    }\n    // return max value within matrix as holds the maximum edit score\n    return maxSoFar;\n  },\n\n\n  /**\n   * Creates the container that will hold one or multiple source results.\n   */\n  prepareContainer: function() {\n\n    var crtContainer = $(this.options.parentContainer).down('.suggestItems');\n\n    if (crtContainer &amp;&amp; crtContainer.__targetField != this.fld) {\n       if (crtContainer.__targetField) {\n         crtContainer.__targetField._suggest.clearSuggestions();\n       } else {\n         crtContainer.remove();\n       }\n       crtContainer = false;\n    }\n\n    if (!crtContainer) {\n      // If the suggestion top container is not in the DOM already, we create it and inject it\n\n      var div = new Element("div", { 'class': "suggestItems "+ this.options.className });\n\n      // Get position of target textfield\n      var pos = $(this.options.parentContainer).tagName.toLowerCase() == 'body' ? this.fld.cumulativeOffset() : this.fld.positionedOffset();\n\n      // Container width is passed as an option, or field width if no width provided.\n      // The 2px substracted correspond to one pixel of border on each side of the field,\n      // this allows to have the suggestion box borders well aligned with the field borders.\n      // FIXME this should be computed instead, since border might not always be 1px.\n      var containerWidth = this.options.width ? this.options.width : (this.fld.offsetWidth - 2)\n\n      if (this.options.align == 'left') {\n        // Align the box on the left\n        div.style.left = pos.left + "px";\n      } else if (this.options.align == "center") {\n        // Align the box to the center\n        div.style.left = pos.left + (this.fld.getWidth() - containerWidth - 2) / 2 + "px";\n      } else {\n        // Align the box on the right.\n        // This has a visible effect only when the container width is not the same as the input width\n        div.style.left = (pos.left - containerWidth + this.fld.offsetWidth - 2) + "px";\n      }\n\n      div.style.top = (pos.top + this.fld.offsetHeight + this.options.offsety) + "px";\n      div.style.width = containerWidth + "px";\n\n      // set mouseover functions for div\n      // when mouse pointer leaves div, set a timeout to remove the list after an interval\n      // when mouse enters div, kill the timeout so the list won't be removed\n      var pointer = this;\n      div.onmouseover = function(){ pointer.killTimeout() }\n      div.onmouseout = function(){ pointer.resetTimeout() }\n\n      this.resultContainer = new Element("div", {'class':'resultContainer'});\n      div.appendChild(this.resultContainer);\n\n      // add DIV to document\n      $(this.options.parentContainer).insert(div);\n\n      this.container = div;\n\n      if (this.options.insertBeforeSuggestions) {\n        this.resultContainer.insert(this.options.insertBeforeSuggestions);\n      }\n\n      document.fire("ms:suggest:containerCreated", {\n        'container' : this.container,\n        'suggest' : this\n      });\n    }\n\n    if (this.sources.length &gt; 1) {\n      // If we are in multi-source mode, we need to prepare a sub-container for each of the suggestion source\n      for (var i=0;i&lt;this.sources.length;i++) {\n\n        var source = this.sources[i];\n        source.id = i\n\n        if(this.resultContainer.down('.results' + source.id)) {\n          // If the sub-container for this source is already present, we just re-initialize it :\n          // - remove its content\n          // - set it as loading\n          if (this.resultContainer.down('.results' + source.id).down('ul')) {\n            this.resultContainer.down('.results' + source.id).down('ul').remove();\n          }\n          if (!this.options.unifiedLoader) {\n            this.resultContainer.down('.results' + source.id).down('.sourceContent').addClassName('loading');\n          }\n          else {\n            (this.options.loaderNode || this.fld).addClassName("loading");\n            this.resultContainer.down('.results' + source.id).addClassName('hidden loading');\n          }\n        }\n        else {\n          // The sub-container for this source has not been created yet\n          // Really create the subcontainer for this source and inject it in the global container\n          var sourceContainer = new Element('div', {'class' : 'results results' + source.id}),\n              sourceHeader = new Element('div', {'class':'sourceName'});\n\n          if (this.options.unifiedLoader) {\n            sourceContainer.addClassName('hidden loading');\n          }\n\n          if (typeof source.icon != 'undefined') {\n            // If there is an icon for this source group, set it as background image\n            var iconImage = new Image();\n            iconImage.onload = function(){\n              this.sourceHeader.setStyle({\n                backgroundImage: "url(" + this.iconImage.src + ")"\n              });\n              this.sourceHeader.setStyle({\n                textIndent:(this.iconImage.width + 6) + 'px'\n              });\n            }.bind({\n              sourceHeader:sourceHeader,\n              iconImage:iconImage\n            });\n            iconImage.src = source.icon;\n          }\n          sourceHeader.insert(source.name)\n          sourceContainer.insert( sourceHeader );\n          var classes = "sourceContent " + (this.options.unifiedLoader ? "" : "loading");\n          sourceContainer.insert( new Element('div', {'class':classes}));\n\n          if (typeof source.before !== 'undefined') {\n            this.resultContainer.insert(source.before);\n          }\n          this.resultContainer.insert(sourceContainer);\n          if (typeof source.after !== 'undefined') {\n            this.resultContainer.insert(source.after);\n          }\n        }\n      }\n    } else {\n      // In mono-source mode, reset the list if present\n      if (this.resultContainer.down("ul")) {\n        this.resultContainer.down("ul").remove();\n      }\n    }\n\n    var ev = this.container.fire("ms:suggest:containerPrepared", {\n      'container' : this.container,\n      'suggest' : this\n    });\n\n    this.container.__targetField = this.fld;\n    if (this.options.enableHideButton &amp;&amp; !this.container.down('.hide-button')) {\n      var hideButton = new Element('span', {'class' : 'hide-button'}).update("$services.localization.render('phenotips.widgets.suggest.hideSuggestions')");\n      hideButton.observe('click', this.clearSuggestions.bindAsEventListener(this));\n      this.container.insert({top : new Element('div', {'class' : 'hide-button-wrapper'}).update(hideButton)});\n\n      hideButton = new Element('span', {'class' : 'hide-button'}).update("$services.localization.render('phenotips.widgets.suggest.hideSuggestions')");\n      hideButton.observe('click', this.clearSuggestions.bindAsEventListener(this));\n      this.container.insert({bottom : new Element('div', {'class' : 'hide-button-wrapper'}).update(hideButton)});\n    }\n    return this.container;\n  },\n\n  /**\n   * Create the HTML list of suggestions.\n   *\n   * @param {Object} arr\n   * @param {Object} source the source for data for which to create this list of results.\n   */\n  createList: function(arr, source)\n  {\n    this.isActive = true;\n    var pointer = this;\n\n    this.killTimeout();\n    this.clearHighlight();\n\n    // create holding div\n    //\n    if (this.sources.length &gt; 1) {\n      var div = this.resultContainer.down(".results" + source.id);\n      if (arr.length &gt; 0 || this.options.shownoresults) {\n        div.down('.sourceContent').removeClassName('loading');\n        this.resultContainer.down(".results" + source.id).removeClassName("hidden loading");\n      }\n\n      // If we are in mode "unified loader" (showing one loading indicator for all requests and not one per request)\n      // and there aren't any source still loading, we remove the unified loading status.\n      if (this.options.unifiedLoader &amp;&amp; !this.resultContainer.down("loading")) {\n        (this.options.loaderNode || this.fld).removeClassName("loading");\n      }\n    }\n    else {\n      var div = this.resultContainer;\n    }\n\n    // if no results, and shownoresults is false, go no further\n    if (arr.length == 0 &amp;&amp; !this.options.shownoresults) {\n      return false;\n    }\n\n    // Ensure any previous list of results for this source gets removed\n    if (div.down('ul')) {\n      div.down('ul').remove();\n    }\n\n    // create and populate list\n    var list = this.createListElement(arr, pointer);\n    div.appendChild(list);\n    Event.fire(document, "xwiki:dom:updated", {elements : [list]})\n\n    this.suggest = div;\n\n    // remove list after an interval\n    var pointer = this;\n    if (this.options.timeout &gt; 0) {\n      this.toID = setTimeout(function () { pointer.clearSuggestions() }, this.options.timeout);\n    }\n  },\n\n  createListElement : function(arr, pointer) {\n    var list = new PhenoTips.widgets.XList([], {\n       icon: this.options.icon,\n       classes: 'suggestList',\n       eventListeners: {\n          'click' : function () { pointer.setHighlightedValue(); return false; },\n          'mouseover' : function () { pointer.setHighlight( this.getElement() ); }\n       }\n    });\n\n    // loop throught arr of suggestions\n    // creating an XlistItem for each suggestion\n    //\n    for (var i = 0,len = arr.length; i &lt; len; i++)\n    {\n       if (!this.options.filterFunc || this.options.filterFunc(arr[i])) {\n           list.addItem(this.generateListItem(arr[i]));\n       }\n    }\n    // no results\n    if (arr.length == 0)\n    {\n      list.addItem( new PhenoTips.widgets.XListItem(this.options.noresults, {\n                          'classes' : 'noSuggestion',\n                          noHighlight :true }) );\n    }\n    if (this.fld.hasClassName('accept-value')) {\n       var customItemId = this.fld.value.replace(/[^a-z0-9_]+/gi, "_");\n       var customItemCategoryInfo = this.fld.next('input[name="_category"]');\n       var customItemCategories = customItemCategoryInfo &amp;&amp; customItemCategoryInfo.value.split(",") || [];\n       var customItemCategoriesElt = new Element('div', {'class' : 'hidden term-category'});\n       var categoryFieldName = this.fld.name + "__" + customItemId + "__category";\n       customItemCategories.each(function (c) {\n         if (c) {\n           customItemCategoriesElt.insert(new Element('input', {'type' : 'hidden', name: categoryFieldName, value: c}));\n         }\n       });\n       list.addItem(this.generateListItem({\n         id: this.fld.value,\n         value: this.fld.value,\n         category: customItemCategoriesElt,\n         info: new Element('div', {'class' : 'hint'}).update('(your text, not a standard term)')\n       }, 'custom-value', true));\n    }\n    return list.getElement();\n  },\n\n  generateListItem : function(data, cssClass, disableTooltip) {\n    var displayNode = new Element("div", {'class': 'tooltip-'+this.options.tooltip});\n    // If the search result contains an icon information, we insert this icon in the result entry.\n    if (data.icon) {\n      displayNode.insert(new Element("img", {'src' : data.icon, 'class' : 'icon' }));\n    }\n    if (this.options.displayId) {\n        displayNode.insert(new Element('span', {'class':'suggestId'}).update(data.id.escapeHTML()));\n    }\n    displayNode.insert(new Element('span', {'class':'suggestValue'}).update(data.value.escapeHTML()));\n\n    if (this.options.tooltip &amp;&amp; !disableTooltip) {\n      var infoTool = new Element('span', {'class' : 'fa fa-info-circle xHelpButton ' + this.options.tooltip, 'title' : data.id});\n      infoTool.observe('click', function(event) {event.stop()});\n      displayNode.insert(' ').insert(infoTool);\n    }\n    var displayInfo = new Element('div', {'class':'suggestInfo'}).update(data.info);\n    displayNode.insert(displayInfo);\n    if(data.altName){\n        displayInfo.insert({'top' : new Element('span', {'class':'matching-alternative-name'}).update(data.altName.escapeHTML())});\n    }\n\n    var valueNode = new Element('div')\n            .insert(new Element('span', {'class':'suggestId'}).update(data.id.escapeHTML()))\n            .insert(new Element('span', {'class':'suggestValue'}).update(data.value.escapeHTML()))\n            .insert(new Element('div', {'class':'suggestCategory'}).update(data.category));\n    valueNode.store('itemData', data);\n\n    var item = new PhenoTips.widgets.XListItem( displayNode , {\n        containerClasses: 'suggestItem ' + (cssClass || ''),\n        value: valueNode,\n        noHighlight: true // we do the highlighting ourselves\n    });\n\n    Event.fire(this.fld, "ms:suggest:suggestionCreated", {element: item.getElement(), suggest: this});\n\n    return item;\n  },\n\n  /**\n   * Emphesize the elements in passed value that matches one of the words typed as input by the user.\n   *\n   * @param String input the (typed) input\n   * @param String value the value to emphasize\n   */\n  emphasizeMatches:function(input, value)\n  {\n    // If the source declares that results are matching, we highlight them in the value\n    var output = value,\n        // Separate words (called fragments hereafter) in user input\n        fragments = input.split(' ').uniq().compact(),\n        offset = 0,\n        matches = {};\n\n    for (var j=0,flen=fragments.length;j&lt;flen;j++) {\n      // We iterate over each fragments, and try to find one or several matches in this suggestion\n      // item display value.\n      var index = output.toLowerCase().indexOf(fragments[j].toLowerCase());\n      while (index &gt;= 0) {\n        // As long as we have matches, we store their index and replace them in the output string with the space char\n        // so that they don't get matched for ever.\n        // Note that the space char is the only one safe to use, as it cannot be part of a fragment.\n        var match = output.substring(index, index + fragments[j].length),\n            placeholder = "";\n        fragments[j].length.times(function(){\n          placeholder += " ";\n        });\n        matches[index] = match;\n        output = output.substring(0, index) + placeholder + output.substring(index + fragments[j].length);\n        index = output.toLowerCase().indexOf(fragments[j].toLowerCase());\n      }\n    }\n    // Now that we have found all matches for all possible fragments, we iterate over them\n    // to construct the final "output String" that will be injected as a suggestion item,\n    // with all matches emphasized\n    Object.keys(matches).sortBy(function(s){return parseInt(s)}).each(function(key){\n      var before = output.substring(0, parseInt(key) + offset);\n      var after = output.substring(parseInt(key) + matches[key].length + offset);\n      // Emphasize the match in the output string that will be displayed\n      output = before + "&lt;em&gt;" + matches[key] + "&lt;/em&gt;" + after;\n      // Increase the offset by 9, which correspond to the number of chars in the opening and closing "em" tags\n      // we have introduced for this match in the output String\n      offset += 9;\n    });\n\n    return output;\n  },\n\n  /**\n   * Change highlight\n   *\n   * @param {Object} key\n   */\n  changeHighlight: function(key)\n  {\n    var list = this.resultContainer;\n    if (!list)\n      return false;\n\n    var n, elem;\n\n    if (this.iHighlighted) {\n      // If there is already a highlighted element, we look for the next or previous highlightable item in the list\n      // of results, according to which key has been pressed.\n      if (key == Event.KEY_DOWN) {\n        elem = this.iHighlighted.next();\n        if (!elem &amp;&amp; this.iHighlighted.up('div.results')) {\n          // if the next item could not be found and multi-source mode, find the next not empty source\n          var source = this.iHighlighted.up('div.results').next();\n          while (source &amp;&amp; !elem) {\n            elem = source.down('li');\n            source = source.next();\n          }\n        }\n        if(!elem) {\n          elem = list.down('li');\n        }\n      }\n      else if (key == Event.KEY_UP) {\n        elem = this.iHighlighted.previous();\n        if (!elem &amp;&amp; this.iHighlighted.up('div.results')) {\n          // if the previous item could not be found and multi-source mode, find the previous not empty source\n          var source = this.iHighlighted.up('div.results').previous();\n          while(source &amp;&amp; !elem) {\n            elem = source.down('li:last-child');\n            source = source.previous();\n          }\n        }\n        if (!elem) {\n          elem =  list.select('ul')[list.select('ul').length - 1].down('li:last-child');\n        }\n      }\n    }\n    else {\n      // No item is highlighted yet, so we just look for the first or last highlightable item,\n      // according to which key, up or down, has been pressed.\n      if (key == Event.KEY_DOWN) {\n        if (list.down('div.results')) {\n          elem = list.down('div.results').down('li')\n        }\n        else {\n          elem = list.down('li');\n        }\n      }\n      else if (key == Event.KEY_UP)\n        if (list.select('li') &gt; 0) {\n          elem = list.select('li')[list.select('li').length - 1];\n        }\n    }\n\n    if (elem) {\n      this.setHighlight(elem);\n    }\n  },\n\n  /**\n   * Set highlight\n   *\n   * @param {Object} n\n   */\n  setHighlight: function(highlightedItem)\n  {\n    if (this.iHighlighted)\n      this.clearHighlight();\n\n    highlightedItem.addClassName("xhighlight");\n\n    this.iHighlighted = highlightedItem;\n\n    this.killTimeout();\n  },\n\n  /**\n   * Clear highlight\n   */\n  clearHighlight: function()\n  {\n    if (this.iHighlighted) {\n      this.iHighlighted.removeClassName("xhighlight");\n      delete this.iHighlighted;\n    }\n  },\n\n  highlightFirst: function()\n  {\n    if (this.suggest &amp;&amp; this.suggest.down('ul')) {\n      var first = this.suggest.down('ul').down('li');\n      if (first) {\n        this.setHighlight(first);\n      }\n    }\n  },\n\n  /**\n   * return true if a suggestion is highlighted, false otherwise\n   */\n  hasActiveSelection: function(){\n    return this.iHighlighted;\n  },\n\n  setHighlightedValue: function ()\n  {\n    if (this.iHighlighted &amp;&amp; !this.iHighlighted.hasClassName('noSuggestion'))\n    {\n      var selection, newFieldValue\n      if(this.sInput == "" &amp;&amp; this.fld.value == "")\n        selection = newFieldValue = this.iHighlighted.down(".suggestValue").innerHTML;\n      else {\n        if(this.seps) {\n           var lastIndx = -1;\n           for(var i = 0; i &lt; this.seps.length; i++)\n             if(this.fld.value.lastIndexOf(this.seps.charAt(i)) &gt; lastIndx)\n               lastIndx = this.fld.value.lastIndexOf(this.seps.charAt(i));\n            if(lastIndx == -1)\n              selection = newFieldValue = this.iHighlighted.down(".suggestValue").innerHTML;\n            else\n            {\n               newFieldValue = this.fld.value.substring(0, lastIndx+1) + this.iHighlighted.down(".suggestValue").innerHTML;\n               selection = newFieldValue.substring(lastIndx+1);\n           }\n        }\n        else\n          selection = newFieldValue = this.iHighlighted.down(".suggestValue").innerHTML;\n      }\n\n      var inputData = this.iHighlighted.down('.value div').retrieve('itemData');\n      var data = {\n        suggest  : this,\n        id       : inputData.id || this.iHighlighted.down(".suggestId").innerHTML,\n        value    : inputData.value || this.iHighlighted.down(".suggestValue").innerHTML,\n        info     : inputData.info || this.iHighlighted.down(".suggestInfo").innerHTML,\n        icon     : inputData.icon || (this.iHighlighted.down('img.icon') ? this.iHighlighted.down('img.icon').src : ''),\n        category : this.iHighlighted.down(".suggestCategory").innerHTML\n      };\n      this.acceptEntry(data, selection, newFieldValue);\n    }\n  },\n\n  acceptEntry : function(data, selection, newFieldValue, silent) {\n      var event = Event.fire(this.fld, "ms:suggest:selected", data);\n\n      if (!event.stopped) {\n        if (!silent) {\n          this.sInput = selection;\n          this.fld.value = newFieldValue || this.fld.defaultValue || '';\n          this.fld.focus();\n          this.clearSuggestions();\n        }\n        // pass selected object to callback function, if exists\n        if (typeof(this.options.callback) == "function") {\n          this.options.callback(data);\n        }\n\n        //there is a hidden input\n        if(this.fld.id.indexOf("_suggest") &gt; 0) {\n          var hidden_id = this.fld.id.substring(0, this.fld.id.indexOf("_suggest"));\n          var hidden_inp = $(hidden_id);\n          if (hidden_inp) {\n            hidden_inp.value =  info;\n          }\n        }\n      }\n  },\n\n  /**\n   * Kill timeout\n   */\n  killTimeout: function()\n  {\n    clearTimeout(this.toID);\n  },\n\n  /**\n   * Reset timeout\n   */\n  resetTimeout: function()\n  {\n    clearTimeout(this.toID);\n    var pointer = this;\n    this.toID = setTimeout(function () { pointer.clearSuggestions() }, 1000000);\n  },\n\n  /**\n   * Clear suggestions\n   */\n  clearSuggestions: function() {\n    this.killTimeout();\n    this.isActive = false;\n    var ele = $(this.container);\n    var pointer = this;\n    if (ele &amp;&amp; ele.parentNode) {\n      if (this.options.fadeOnClear) {\n        var fade = new Effect.Fade(ele, {duration: "0.25", afterFinish : function() {\n          if($(pointer.container)) {\n            $(pointer.container).remove();\n          }\n        }});\n      }\n      else {\n        $(this.container).remove();\n      }\n      document.fire("ms:suggest:clearSuggestions", { 'suggest' : this});\n    }\n  }\n\n });\n\n }\n\n return PhenoTips;\n\n})(PhenoTips || {});</code>\n</property>\n<property>\n<name>Modified suggest widget</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>1</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>d12911da-ec96-4e6b-bee9-8e6a5673edf8</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.SuggestPicker = Class.create({\n\n  options : {\n    'showKey' : true,\n    'showTooltip' : false,\n    'showDeleteTool' : true,\n    'enableSort' : true,\n    'showClearTool' : true,\n    'inputType': 'hidden',\n    'listInsertionElt' : null,\n    'listInsertionPosition' : 'after',\n    'predefinedEntries' : null,\n    'acceptFreeText' : false\n  },\n  initialize: function(element, suggest, options, serializedDataInput) {\n    this.options = Object.extend(Object.clone(this.options), options || { });\n    this.serializedDataInput = serializedDataInput;\n    this.input = element;\n    this.suggest = suggest;\n    this.inputName = this.input.name;\n    if (!this.options.acceptFreeText) {\n      this.input.name = this.input.name + "__suggested";\n    } else {\n      this.input.addClassName("accept-value");\n    }\n    this.suggest.options.callback = this.acceptSuggestion.bind(this);\n    this.list = new Element('ul', {'class' : 'accepted-suggestions'});\n    var listInsertionElement;\n    if (this.options.listInsertionElt) {\n      if (typeof(this.options.listInsertionElt) == "string") {\n        listInsertionElement = this.input.up().down(this.options.listInsertionElt);\n      } else {\n        listInsertionElement = this.options.listInsertionElt;\n      }\n    }\n    if (!listInsertionElement) {\n      listInsertionElement = this.input;\n    }\n    var insertion = {};\n    insertion[this.options.listInsertionPosition] = this.list;\n    listInsertionElement.insert(insertion);\n    this.predefinedEntries = this.options.predefinedEntries ? $(this.options.predefinedEntries) : null;\n    if (this.options.showClearTool) {\n      this.clearTool = new Element('span', {'class' : 'clear-tool delete-tool invisible', 'title' : "$services.localization.render('phenotips.widgets.multiSuggest.clear.title')"}).update('$services.localization.render('phenotips.widgets.multiSuggest.clear') &amp;#x2716;');\n      this.clearTool.observe('click', this.clearAcceptedList.bindAsEventListener(this));\n      this.list.insert({'after': this.clearTool});\n    }\n    if (typeof(this.options.onItemAdded) == "function") {\n      this.onItemAdded = this.options.onItemAdded;\n    }\n  },\n\n  acceptAddItem : function (key, negative) {\n    var searchFor = 'input[id="' + this.getInputId(key, negative).replace(/[^a-zA-Z0-9_-]/g, '\\\\$&amp;') + '"]';\n    var input = this.predefinedEntries ? this.predefinedEntries.down(searchFor) : this.list ? this.list.down(searchFor) : $(this.getInputId(key, negative));\n    if (input) {\n      input.checked = true;\n      Event.fire(input, 'suggest:change');\n      //this.ensureVisible(input.up(), true);\n      this.synchronizeSelection(input);\n      return false;\n    }\n    return true;\n  },\n\n  ensureVisible : function (element, force) {\n    if (this.silent || (!force &amp;&amp; this.options.silent) || element.up('.hidden')) {return;}\n    var section = element.up('.collapsed:not(.force-collapse)');\n    while (section) {\n      section.removeClassName('collapsed');\n      if (section.down('.expand-tool')) {\n        section.down('.expand-tool').update('▼');\n      }\n      section = section.up('.collapsed:not(.force-collapse)');\n    }\n    if (element.viewportOffset().top &gt; this.input.viewportOffset().top) {\n      if (element.viewportOffset().top &gt; document.viewport.getHeight()) {\n        if (element.viewportOffset().top - this.input.viewportOffset().top &lt; document.viewport.getHeight()) {\n          this.input.scrollTo();\n        } else {\n          element.scrollTo();\n        }\n      }\n    } else {\n      if (element.cumulativeOffset().top &lt; document.viewport.getScrollOffsets().top) {\n        element.scrollTo();\n      }\n    }\n  },\n\n  acceptSuggestion : function(obj) {\n    this.input.value = this.input.defaultValue || "";\n    if (this.acceptAddItem(obj.id || obj.value, obj.negative)) {\n      this.addItem(obj.id || obj.value, obj.value, obj.info, obj.category);\n    }\n    return false;\n  },\n\n  addItem : function(key, value, info, category) {\n    if (!key) {\n      return;\n    }\n    var id = this.getInputId(key);\n    var listItem = new Element("li");\n    var displayedValue = new Element("label", {"class": "accepted-suggestion", "for" : id});\n    // insert input\n    var inputOptions = {"type" : this.options.inputType, "name" : this.inputName, "id" : id, "value" : key};\n    if (this.options.inputType == 'checkbox') {\n      inputOptions.checked = true;\n    }\n    displayedValue.insert({'bottom' : new Element("input", inputOptions)});\n    // if the key should be displayed, insert it\n    if (this.options.showKey) {\n      displayedValue.insert({'bottom' : new Element("span", {"class": "key"}).update("[" + key.escapeHTML() + "]")});\n      displayedValue.insert({'bottom' : new Element("span", {"class": "sep"}).update(" ")});\n    }\n    // insert the displayed value\n    displayedValue.insert({'bottom' : new Element("span", {"class": "value"}).update(value.escapeHTML())});\n    listItem.insert(displayedValue);\n    if (category &amp;&amp; category != '') {\n      listItem.insert(category);\n    }\n    // delete tool\n    if (this.options.showDeleteTool) {\n      var deleteTool = new Element("span", {'class': "delete-tool", "title" : "Delete this term"}).update('&amp;#x2716;');\n      deleteTool.observe('click', this.removeItem.bindAsEventListener(this));\n      listItem.appendChild(deleteTool);\n    }\n    // tooltip, if information exists and the options state there should be a tooltip\n    if (this.options.showTooltip &amp;&amp; info) {\n      listItem.appendChild(new Element("div", {'class' : "tooltip"}).update(info));\n      listItem.select('.expand-tool').invoke('observe', 'click', function(event){event.stop();});\n    }\n    this.list.insert(listItem);\n    var newItem = this.list ? this.list.down('input[id="' + id.replace(/[^a-zA-Z0-9_-]/g, '\\\\$&amp;') + '"]') : $(id);\n    //this.ensureVisible(newItem);\n    this.synchronizeSelection(newItem);\n    newItem.observe('change', this.synchronizeSelection.bind(this, newItem));\n    this.updateListTools();\n    this.onItemAdded(newItem)\n    return newItem;\n  },\n\n  onItemAdded : function (element) {\n  },\n\n  removeItem : function(event) {\n    var item = event.findElement('li');\n    this.synchronizeSelection({\n      value   : (item.down('input[type=checkbox]') || item.down('input')).value,\n      checked : false\n    });\n    item.remove();\n    this.notifySelectionChange(item);\n    this.input.value = this.input.defaultValue || "";\n    this.updateListTools();\n  },\n\n  clearAcceptedList : function () {\n    // The list items are recreated after each update, so we can't cache the set of items, we must request them one by one\n    var item = this.list.down('li .delete-tool');\n    while (item) {\n      item.click();\n      item = this.list.down('li .delete-tool');\n    }\n  },\n\n  updateListTools : function () {\n    if (this.clearTool) {\n      if (this.list.select('li .accepted-suggestion').length &gt; 0) {\n        this.clearTool.removeClassName('invisible');\n      } else {\n        this.clearTool.addClassName('invisible');\n      }\n    }\n    if (this.options.enableSort &amp;&amp; this.list.select('li .accepted-suggestion').length &gt; 0 &amp;&amp; typeof(Sortable) != "undefined") {\n      Sortable.create(this.list);\n    }\n    if (this.serializedDataInput) {\n      var value = '';\n      this.list.select('li .accepted-suggestion input[type=checkbox]').each(function (entry) {\n        value += entry.value + '|';\n      });\n      this.serializedDataInput.value = value;\n    }\n  },\n\n  getInputId : function(key, negative) {\n    return (negative ? this.inputName.replace(/(_\\d+)_/, "$1_negative_") : this.inputName) + "_" + key;\n  },\n\n  synchronizeSelection : function (input) {\n    var element = (typeof (input.up) == 'function') &amp;&amp; input.up('li');\n    if (element) {\n      if (this.input.hasClassName('generateYesNo') &amp;&amp; !input.up('.yes-no-picker')) {\n        Element.select(element, 'input[name="fieldName"][type="hidden"]').each(function(n) {\n          var target = n.up('li').down('input[type="checkbox"]');\n          var originalName = target.name;\n          target.id = target.id.replace(target.name, n.value);\n          target.name = n.value;\n          target.up('label').addClassName(n.className);\n          target.up('label').htmlFor = target.id;\n          n.value = originalName;\n          if (n.up('.term-category')) {\n            n.up('.term-category').insert({before: n});\n          }\n        });\n        var positiveName = this.input.name.replace(/__suggested$/, "");\n        var negativeName = this.input.name.replace(/(_\\d+)_/, "$1_negative_").replace(/__suggested$/, "");;\n        var value = input.value;\n        var text = element.down('.value').firstChild.nodeValue;\n        var ynpickerElt = YesNoPicker.generatePickerElement([\n              {type: 'na',                         selected: !isValueSelected(positiveName, value) &amp;&amp; !isValueSelected(negativeName, value)},\n              {type: 'yes', name: positiveName, selected: isValueSelected(positiveName, value)},\n              {type: 'no' , name: negativeName,    selected: isValueSelected(negativeName, value)}\n        ], value, text, true, input.next());\n        input.insert({before: ynpickerElt});\n        input.hide();\n        input.name = '';\n        input.id = '';\n        input.value = '';\n        enableHighlightChecked(ynpickerElt.down('.yes input'));\n        enableHighlightChecked(ynpickerElt.down('.no input'));\n      }\n    }\n    if (element) {\n      this.notifySelectionChange(element);\n    }\n  },\n\n  notifySelectionChange : function(elt) {\n    if (!elt.__categoryArray) {\n      elt.__categoryArray = [];\n      Element.select(elt, '.term-category input[type=hidden]').each(function(c) {\n        elt.__categoryArray.push(c.value);\n      });\n    }\n    Event.fire(this.input, 'xwiki:form:field-value-changed');\n    Event.fire(document, "custom:selection:changed", {\n       'categories' : elt.__categoryArray,\n       'trigger'    : this.input,\n       'fieldName'  : this.inputName,\n       'customElement' : elt\n    });\n  }\n});\n  return PhenoTips;\n}(PhenoTips || {}));</code>\n</property>\n<property>\n<name>Multi-suggest</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>2</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>8671764c-5e4b-4641-a1ae-0a77d30d8009</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n// Start PhenoTips augmentation.\nvar widgets = PhenoTips.widgets = PhenoTips.widgets || {};\nwidgets.ModalPopup = Class.create({\n  /** Configuration. Empty values will fall back to the CSS. */\n  options : {\n    idPrefix : "modal-popup-",\n    title : "",\n    displayCloseButton : true,\n    screenColor : "",\n    borderColor : "",\n    titleColor : "",\n    backgroundColor : "",\n    screenOpacity : "0.5",\n    verticalPosition : "center",\n    horizontalPosition : "center",\n    resetPositionOnShow: true,\n    removeOnClose : false,\n    onClose : Prototype.emptyFunction\n  },\n  /** Constructor. Registers the key listener that pops up the dialog. */\n  initialize : function(content, shortcuts, options) {\n    /** Shortcut configuration. Action name -&amp;gt; {method: function(evt), keys: string[]}. */\n    this.shortcuts = {\n      "show" : { method : this.showDialog, keys : []},\n      "close" : { method : this.closeDialog, keys : ['Esc']}\n    },\n\n    this.content = content || "Hello world!";\n    // Add the new shortcuts\n    this.shortcuts = Object.extend(Object.clone(this.shortcuts), shortcuts || { });\n    // Add the custom options\n    this.options = Object.extend(Object.clone(this.options), options || { });\n    // Register a shortcut for showing the dialog.\n    this.registerShortcuts("show");\n\n    if (typeof (widgets.ModalPopup.instanceCounter) == 'undefined') {\n      widgets.ModalPopup.instanceCounter = 0;\n    }\n    this.id = ++widgets.ModalPopup.instanceCounter;\n  },\n\n  getBoxId : function() {\n    return this.options.idPrefix + this.id;\n  },\n\n  /** Create the dialog, if it is not already loaded. Otherwise, just make it visible again. */\n  createDialog : function(event) {\n    this.dialog = new Element('div', {'class': 'msdialog-modal-container'});\n    if (this.options.extraDialogClassName) {\n      this.dialog.addClassName(this.options.extraDialogClassName);\n    }\n    // A full-screen semi-transparent screen covering the main document\n    this.screen = new Element('div', {'class': 'msdialog-screen'}).setStyle({\n      opacity : this.options.screenOpacity,\n      backgroundColor : this.options.screenColor\n    });\n    this.dialog.update(this.screen);\n    // The dialog chrome\n    this.dialogBox = new Element('div', {'class': 'msdialog-box', 'id' : this.getBoxId()});\n    if (this.options.extraClassName) {\n      this.dialogBox.addClassName(this.options.extraClassName);\n    }\n    // Insert the content\n    this.dialogBox._x_contentPlug = new Element('div', {'class' : 'content'});\n    this.dialogBox.update(this.dialogBox._x_contentPlug);\n    this.dialogBox._x_contentPlug.update(this.content);\n    // Add the dialog title\n    if (this.options.title) {\n      var title = new Element('div', {'class': 'msdialog-title'}).update(this.options.title);\n      title.setStyle({"color" : this.options.titleColor, "backgroundColor" : this.options.borderColor});\n      this.dialogBox.insertBefore(title, this.dialogBox.firstChild);\n    }\n    // Add the close button\n    if (this.options.displayCloseButton) {\n      var closeButton = new Element('div', {'class': 'msdialog-close', 'title': 'Close'}).update("&amp;#215;");\n      closeButton.setStyle({"color": this.options.titleColor});\n      closeButton.observe("click", this.closeDialog.bindAsEventListener(this));\n      this.dialogBox.insertBefore(closeButton, this.dialogBox.firstChild);\n    }\n    this.dialog.appendChild(this.dialogBox);\n    this.dialogBox.setStyle({\n      "textAlign": "left",\n      "borderColor": this.options.borderColor,\n      "backgroundColor" : this.options.backgroundColor\n    });\n    this.positionDialog();\n    // Append to the end of the document body.\n    document.body.appendChild(this.dialog);\n    if (typeof (Draggable) != 'undefined') {\n      new Draggable(this.getBoxId(), {\n        handle: $(this.getBoxId()).down('.msdialog-title'),\n        scroll: window,\n        change: this.updateScreenSize.bind(this)\n      });\n    }\n    this.dialog.hide();\n    var __enableUpdateScreenSize = function (event) {\n      if (this.dialog.visible()) {\n        this.updateScreenSize();\n      }\n    }.bindAsEventListener(this);\n    ['resize', 'scroll'].each(function(eventName) {\n       Event.observe(window, eventName, __enableUpdateScreenSize);\n    }.bind(this));\n    Event.observe(document, 'ms:popup:content-updated', __enableUpdateScreenSize);\n  },\n  positionDialog : function() {\n    switch(this.options.verticalPosition) {\n      case "top":\n        this.dialogBox.setStyle({"top": (document.viewport.getScrollOffsets().top + 6) + "px"});\n        break;\n      case "bottom":\n        this.dialogBox.setStyle({"bottom": ".5em"});\n        break;\n      default:\n        // TODO: smart alignment according to the actual height\n        this.dialogBox.setStyle({"top": "35%"});\n        break;\n    }\n    this.dialogBox.setStyle({"left": "", "right" : ""});\n    switch(this.options.horizontalPosition) {\n      case "left":\n        this.dialog.setStyle({"textAlign": "left"});\n        break;\n      case "right":\n        this.dialog.setStyle({"textAlign": "right"});\n        break;\n      default:\n        this.dialog.setStyle({"textAlign": "center"});\n        this.dialogBox.setStyle({"margin": "auto"});\n      break;\n    }\n  },\n  positionDialogInViewport : function(left, top) {\n    this.dialogBox.setStyle({\n      "left": (document.viewport.getScrollOffsets().left + left) + "px",\n      "top" : (document.viewport.getScrollOffsets().top  + top ) + "px",\n      "margin" : "0"\n    });\n  },\n  getPositionInViewport : function() {\n    return this.dialogBox.viewportOffset();\n  },\n\n  updateScreenSize : function() {\n    var __getNewDimension = function (eltToFit, dimensionAccessFunction, position) {\n      var crtDimension = $(document.documentElement)[dimensionAccessFunction]();\n      var viewportDimension = document.viewport.getScrollOffsets()[position] + document.viewport[dimensionAccessFunction]();\n      if (eltToFit) {\n        var limit = eltToFit.cumulativeOffset()[position] + eltToFit[dimensionAccessFunction]();\n      }\n      var result = '';\n      if (crtDimension &lt; viewportDimension) {\n        result = viewportDimension + 'px';\n      }\n      /*if (limit &amp;&amp; crtDimension &lt; limit) {\n        result = limit + 'px';\n      } else if (limit &amp;&amp; limit &lt; viewportDimension) {\n        result = viewportDimension + 'px';\n      }*/\n      return result;\n    };\n    this.screen.style.width  = __getNewDimension(this.dialogBox, 'getWidth', 'left');\n    this.screen.style.height = __getNewDimension(this.dialogBox, 'getHeight', 'top');\n  },\n  /** Set a class name to the dialog box */\n  setClass : function(className) {\n    this.dialogBox.addClassName('msdialog-box-' + className);\n  },\n  /** Remove a class name from the dialog box */\n  removeClass : function(className) {\n    this.dialogBox.removeClassName('msdialog-box-' + className);\n  },\n  /** Set the content of the dialog box */\n  setContent : function(content) {\n     this.content = content;\n     this.dialogBox._x_contentPlug.update(this.content);\n     this.updateScreenSize();\n  },\n  /** Called when the dialog is displayed. Enables the key listeners and gives focus to the (cleared) input. */\n  showDialog : function(event) {\n    if (event) {\n      Event.stop(event);\n    }\n    // Only do this if the dialog is not already active.\n    //if (!widgets.ModalPopup.active) {\n    //  widgets.ModalPopup.active = true;\n    if (!this.active) {\n      this.active = true;\n      if (!this.dialog) {\n        // The dialog wasn't loaded, create it.\n        this.createDialog();\n      }\n      // Start listening to keyboard events\n      this.attachKeyListeners();\n      // In IE, position: fixed does not work.\n      /*if (Prototype.Browser.IE6x) {\n        this.dialog.setStyle({top : document.viewport.getScrollOffsets().top + "px"});\n        this.dialog._x_scrollListener = this.onScroll.bindAsEventListener(this);\n        Event.observe(window, "scroll", this.dialog._x_scrollListener);\n        $$("select").each(function(item) {\n          item._x_initiallyVisible = item.style.visibility;\n          item.style.visibility = 'hidden';\n        });\n      }*/\n      // Display the dialog\n      this.dialog.show();\n      if (this.options.resetPositionOnShow) {\n        this.positionDialog();\n      }\n      this.updateScreenSize();\n    }\n  },\n  onScroll : function(event) {\n    this.dialog.setStyle({top : document.viewport.getScrollOffsets().top + "px"});\n  },\n  /** Called when the dialog is closed. Disables the key listeners, hides the UI and re-enables the 'Show' behavior. */\n  closeDialog : function(event) {\n    if (event) {\n      Event.stop(event);\n    }\n    /*if (window.browser.isIE6x) {\n      Event.stopObserving(window, "scroll", this.dialog._x_scrollListener);\n      $$("select").each(function(item) {\n        item.style.visibility = item._x_initiallyVisible;\n      });\n    }*/\n    // Call optional callback\n    this.options.onClose.call(this);\n    // Hide the dialog, without removing it from the DOM.\n    this.dialog.hide();\n    if (this.options.removeOnClose) {\n      this.dialog.remove();\n    }\n    // Stop the UI shortcuts (except the initial Show Dialog one).\n    this.detachKeyListeners();\n    // Re-enable the 'show' behavior.\n    // widgets.ModalPopup.active = false;\n    this.active = false;\n  },\n  /** Enables all the keyboard shortcuts, except the one that opens the dialog, which is already enabled. */\n  attachKeyListeners : function() {\n    for (var action in this.shortcuts) {\n      if (action != "show") {\n        this.registerShortcuts(action);\n      }\n    }\n  },\n  /** Disables all the keyboard shortcuts, except the one that opens the dialog. */\n  detachKeyListeners : function() {\n    for (var action in this.shortcuts) {\n      if (action != "show") {\n        this.unregisterShortcuts(action);\n      }\n    }\n  },\n  /**\n   * Enables the keyboard shortcuts for a specific action.\n   *\n   * @param {String} action The action to register\n   * {@see #shortcuts}\n   */\n  registerShortcuts : function(action) {\n    var shortcuts = this.shortcuts[action].keys;\n    var method = this.shortcuts[action].method;\n    for (var i = 0; i &lt; shortcuts.size(); ++i) {\n      if (Prototype.Browser.IE || Prototype.Browser.WebKit) {\n        shortcut.add(shortcuts[i], method.bindAsEventListener(this, action), {type: 'keyup'});\n      } else {\n        shortcut.add(shortcuts[i], method.bindAsEventListener(this, action), {type: 'keypress'});\n      }\n    }\n  },\n  /**\n   * Disables the keyboard shortcuts for a specific action.\n   *\n   * @param {String} action The action to unregister {@see #shortcuts}\n   */\n  unregisterShortcuts : function(action) {\n    for (var i = 0; i &lt; this.shortcuts[action].keys.size(); ++i) {\n      shortcut.remove(this.shortcuts[action].keys[i]);\n    }\n  },\n  createButton : function(type, text, title, id) {\n    var wrapper = new Element("span", {"class" : "buttonwrapper"});\n    var button = new Element("input", {\n      "type" : type,\n      "class" : "button",\n      "value" : text,\n      "title" : title,\n      "id" : id\n    });\n    wrapper.update(button);\n    return wrapper;\n  },\n  show : function(event) {\n    this.showDialog(event);\n  },\n  close : function(event) {\n    this.closeDialog(event);\n  }\n});\n/** Whether or not the dialog is already active (or activating). */\nwidgets.ModalPopup.active = false;\n// End PhenoTips augmentation.\nreturn PhenoTips;\n}(PhenoTips || {}));\n</code></property><property><name>Modified modal popup</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>3</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>d536b27d-9de4-4d3d-9bc8-e458d3274c16</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.SolrQueryProcessor = Class.create({\n  initialize: function(queryFields, restriction) {\n    this.queryFields = queryFields;\n    this.restriction = restriction;\n  },\n\n  processQuery: function(query)\n  {\n    return this.inflateQuery(query);\n  },\n\n  generateParameters: function(query)\n  {\n    var parameters = {'defType': 'edismax', 'spellcheck.collate': true, 'spellcheck': true, 'lowercaseOperators': false};\n    if (this.setupMandatoryQuery(query, parameters)) {\n      return parameters;\n    }\n    this.restrictQuery(query, parameters);\n    this.setupQueryFields(query, parameters);\n    return parameters;\n  },\n\n  setupMandatoryQuery : function(query, parameters)\n  {\n    var txt = query.strip();\n    var mandatoryQuery = "";\n    var hasMandatoryFields = false;\n    for (var field in this.queryFields) {\n      var fieldOptions = this.queryFields[field];\n      var activationRegex = fieldOptions['activationRegex'];\n      if (!fieldOptions['mandatory'] || !activationRegex || !txt.match(activationRegex)) {\n        continue;\n      }\n      mandatoryQuery += field + ":" + (fieldOptions['transform'] ? fieldOptions['transform'](query) : query) + " ";\n      hasMandatoryFields = true;\n    }\n    if (mandatoryQuery) {\n      parameters.fq = mandatoryQuery.strip();\n    }\n    return hasMandatoryFields;\n  },\n\n  restrictQuery : function(query, parameters)\n  {\n    if (!this.restriction) {\n      return;\n    }\n    var result = "";\n    for (var rField in this.restriction) {\n      var restrictionString = (rField.substring(0, 1) == '-' ? '-' : '+') + "(";\n      for (var i = 0; i &lt; this.restriction[rField].length; ++i) {\n        restrictionString += rField.replace(/^-/, '') + ":" + this.restriction[rField][i].replace(/:/g, "\\\\:") + " ";\n      }\n      restrictionString = restrictionString.strip() + ") ";\n      result += restrictionString;\n    }\n    if (result) {\n      parameters.fq = result.strip();\n    }\n  },\n\n  setupQueryFields : function(query, parameters)\n  {\n    var txt = query.strip();\n    var wordFields = "";\n    var phraseFields = "";\n    var boostQuery = "";\n    var lastWord = query.replace(/.*\\W/g, '');\n    for (var field in this.queryFields) {\n      var fieldOptions = this.queryFields[field];\n      var activationRegex = fieldOptions['activationRegex'];\n      if (activationRegex &amp;&amp; !txt.match(activationRegex)) {\n        continue;\n      }\n      if (fieldOptions['wordBoost']) {\n        wordFields += field + "^" + fieldOptions['wordBoost'] + " ";\n      }\n      if (fieldOptions['phraseBoost']) {\n        phraseFields += field + "^" + fieldOptions['phraseBoost'] + (fieldOptions['phraseSlop'] ? "~" + fieldOptions['phraseSlop'] : "") + " ";\n      }\n      if (lastWord &amp;&amp; fieldOptions['stubBoost']) {\n        boostQuery += field + ":" + lastWord.replace(/:/g, "\\\\:")+ "*^" + fieldOptions['stubBoost'] + " ";\n      }\n    }\n    if (wordFields) {\n      parameters.qf = wordFields.strip();\n    }\n    if (phraseFields) {\n      parameters.pf = phraseFields.strip();\n    }\n    if (boostQuery) {\n      parameters.bq = boostQuery.strip();\n    }\n  },\n\n  inflateQuery : function(query)\n  {\n    var lastWord = query.replace(/.*\\W/g, '');\n    if (!lastWord) {\n      return query;\n    }\n    var result = query;\n\n    for (var field in this.queryFields) {\n      if (this.queryFields[field].stubTrigger) {\n        result += " " + field + ":" + lastWord.replace(/:/g, "\\\\:") + "*";\n      }\n    }\n    return result.strip();\n  }\n});\n  return PhenoTips;\n}(PhenoTips || {}));</code>\n</property>\n<property>\n<name>Solr Query Processor</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>4</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>984c7b53-5644-489c-8ddc-ef51a196254a</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.OntologyBrowser = Class.create({\n  options : {\n    script : "${xwiki.getURL('PhenoTips.SolrService', 'get', 'sort=nameSort asc&amp;start=0&amp;rows=10000')}&amp;",\n    varname: "q",\n    method : "post",\n    json : true,\n    responseFormat : "application/json",\n    resultsParameter : "rows",\n    resultId : "id",\n    resultValue : "name",\n    resultCategory : "term_category",\n    resultParent : {\n      selector : 'is_a',\n      processingFunction : function (text){\n        var data = {};\n        data.id = text.replace(/\\s+/gm, ' ').replace(/(HP:[0-9]+)\\s*!\\s*(.*)/m, "$1");\n        data.value = text.replace(/\\s+/gm, ' ').replace(/(HP:[0-9]+)\\s*!\\s*(.*)/m, "$2");\n        return data;\n      }\n    },\n    noresults: "No sub-terms",\n    targetQueryProcessor: typeof(PhenoTips.widgets.SolrQueryProcessor) == "undefined" ? null : new PhenoTips.widgets.SolrQueryProcessor({\n                           'id' : {'activationRegex' : /^HP:[0-9]+$/i, 'mandatory' : true, 'transform': function(query) {return query.toUpperCase().replace(/:/g, "\\\\:");}}\n                         }),\n    expandQueryProcessor: typeof(PhenoTips.widgets.SolrQueryProcessor) == "undefined" ? null : new PhenoTips.widgets.SolrQueryProcessor({\n                           'is_a' : {'activationRegex' : /^HP:[0-9]+$/i, 'mandatory' : true, 'transform': function(query) {return query.toUpperCase().replace(/:/g, "\\\\:");}}\n                         }),\n    showParents : true,\n    showRoot : true,\n    enableSelection : true,\n    enableBrowse : true,\n    isTermSelected : function (id) {return false;},\n    unselectTerm : function(id) {},\n\n    defaultEntryAction: 'browse' /* {browse, select} */\n  },\n\n  initialize: function(suggest, container, options) {\n    this.options = Object.extend(Object.clone(this.options), options || { });\n    this.suggest = suggest;\n    this.loadingMessage = new Element('div', {'class' : 'plainmessage loading'}).update("Loading...");\n    if (container) {\n      this.container = container;\n    } else {\n      this.container = new PhenoTips.widgets.ModalPopup(this.loadingMessage, {}, {\n        idPrefix : 'ontology-browser-window-',\n        title : "Related terms",\n        backgroundColor : "#ffffff",\n        verticalPosition : "top",\n        extraDialogClassName : "dialog-ontology-browser",\n        removeOnClose: true\n      });\n      this.options.modal = true;\n    }\n    this._obrowserExpandEventHandler = this._obrowserExpandEventHandler.bindAsEventListener(this);\n  },\n\n  load : function(id) {\n      this.setContent(this.loadingMessage);\n      var query = id;\n      var parameters = {};\n      if (this.options.targetQueryProcessor != null &amp;&amp; typeof(this.options.targetQueryProcessor.generateParameters) == "function") {\n        parameters = this.options.targetQueryProcessor.generateParameters(query);\n      }\n      if (this.options.targetQueryProcessor != null &amp;&amp; typeof(this.options.targetQueryProcessor.processQuery) == "function") {\n        query = this.options.targetQueryProcessor.processQuery(query);\n      }\n      var url = this.options.script + this.options.varname + "=" + encodeURIComponent(query);\n      var headers = {};\n      headers.Accept = this.options.responseFormat;\n\n      var ajx = new Ajax.Request(url, {\n        method: this.options.method,\n        parameters: parameters,\n        requestHeaders: headers,\n        onSuccess: function (response) {\n          this.setContent(this.buildTree(this._getDataFromResponse(response)));\n          this.__crtRoot = id;\n          if (this.container.content) {\n            Event.fire(document, 'xwiki:dom:updated', {'elements' : [this.container.content]});\n          }\n        }.bind(this),\n        onFailure: function (response) {\n          this.setContent("Failed to retrieve data : " + respose.statusText);\n          this.__crtRoot = '';\n        }.bind(this)\n      });\n  },\n\n  expandTo : function (termId, categories) {\n    if (categories.indexOf(this.__crtRoot) == -1) {\n      // not in the right tree, nothing to do\n      return;\n    }\n    this._expandToStep(termId, categories.without(this.__crtRoot, termId));\n  },\n\n  _expandToStep : function (termId, categories) {\n    var _this = this;\n    //alert ("expanding " + termId + " " + categories);\n    var target = this.container.contentContainer.down('li.entry input.select-tool[value="' + termId.replace(/"/g, '\\\\"') + '"]');\n    if (target) {\n       return;\n    }\n    var finishedStep = false;\n    categories.each(function(category) {\n      if (finishedStep) {return}\n      var categoryInput = _this.container.contentContainer.down('li.entry input.select-tool[value="' + category.replace(/"/g, '\\\\"') + '"]');\n      if (categoryInput) {\n        //alert ("start expanding " + category + " " + categories);\n        var categoryEntry = categoryInput.up('li');\n        if (categoryEntry.hasClassName('collapsed') || !categoryEntry.down('.descendents')) {\n          Event.observe(categoryEntry, "obrowser:expand:finished", function(event) {\n            Event.stopObserving(categoryEntry, "obrowser:expand:finished");\n            _this._expandToStep(termId, categories.without(category));\n          });\n          _this._toggleExpandState(categoryEntry);\n          finishedStep = true;\n        }\n      }\n    });\n  },\n\n  expand : function (element, doPopulate) {\n      var query = element.__termId;\n      var parameters = {};\n      if (this.options.expandQueryProcessor != null &amp;&amp; typeof(this.options.expandQueryProcessor.generateParameters) == "function") {\n        parameters = this.options.expandQueryProcessor.generateParameters(query);\n      }\n      if (this.options.expandQueryProcessor != null &amp;&amp; typeof(this.options.expandQueryProcessor.processQuery) == "function") {\n        query = this.options.expandQueryProcessor.processQuery(query);\n      }\n      var url = this.options.script + this.options.varname + "=" + encodeURIComponent(query);\n      var headers = {};\n      headers.Accept = this.options.responseFormat;\n\n      var ajx = new Ajax.Request(url, {\n        method: this.options.method,\n        requestHeaders: headers,\n        parameters: parameters,\n        onCreate: function() {this._lockExpandTool(element)}.bind(this),\n        onSuccess: function (response) {\n          var memo = {};\n          if (doPopulate) {\n            var newAdditions = this.buildDescendentsList(this._getDataFromResponse(response));\n            element.insert({'bottom': newAdditions});\n            Event.fire(document, "obrowser:content:added", {added: newAdditions, obrowser: this});\n            Event.fire(element, "obrowser:expand:finished");\n            Event.fire(this.container.contentContainer || document, "obrowser:expand:finished");\n            Event.fire(document, 'xwiki:dom:updated', {'elements' : [newAdditions]});\n            //memo.data = this.buildDescendentsList(this._getDataFromResponse(response));\n            //Event.fire(element, 'obrowser:expand:done', memo);\n          } else {\n            memo.count = this.countDescendents(this._getDataFromResponse(response));\n            //Event.fire(element, 'obrowser:count:done', memo);\n          }\n          if ((memo.count === 0) || (doPopulate &amp;&amp; !element.down('.descendents .entry, .error'))) {\n            element.addClassName('collapsed');\n            var expandTool = element.down('.expand-tool');\n            if (expandTool) {\n              expandTool.update(this._getExpandCollapseSymbol(true)).addClassName('disabled');\n              expandTool.stopObserving('click');\n            }\n          }\n          Event.fire(document, "ms:popup:content-updated", {popup: this.container});\n        }.bind(this),\n        onFailure: function (response) {\n          Event.fire(element, 'obrowser:expand:failed', {data: new Element('div', {'class' : 'error'}).update("Failed to retrieve data : " + respose.statusText), count: -1});\n        },\n        onComplete: function() {this._unlockExpandTool(element)}.bind(this)\n      });\n  },\n\n  _getDataFromResponse : function(response) {\n    if (this.options.json) {\n      return response.responseJSON;\n    }\n    return response.responseXML;\n  },\n  _getResultset_json : function(data, fieldName) {\n    return data &amp;&amp; data[fieldName] || [];\n  },\n  _getResultFieldValue_json : function(data, fieldName) {\n    return data &amp;&amp; data[fieldName] || '';\n  },\n  _getResultFieldValueAsArray_json : function(data, fieldName) {\n    return new Array(data &amp;&amp; data[fieldName] || '').flatten();\n  },\n  _getResultset_xml : function(data, selector) {\n    var elements = data &amp;&amp; data.getElementsByTagName(selector);\n    return elements;\n  },\n  _getResultFieldValue_xml : function(data, selector) {\n    var element = data &amp;&amp; Element.down(data, selector);\n    return element &amp;&amp; element.firstChild &amp;&amp; element.firstChild.nodeValue || '';\n  },\n  _getResultFieldValueAsArray_xml : function(data, selector) {\n    var result = new Array();\n    if (data) {\n      Element.select(data, selector).each(function(item) {\n        var value = item.firstChild &amp;&amp; item.firstChild.nodeValue;\n        if (value) {\n          result.push(value);\n        }\n      });\n    }\n    return result;\n  },\n  _getResultset : function(data, fieldName) {\n    if (this.options.json) {\n      return this._getResultset_json(data, fieldName);\n    }\n    return this._getResultset_xml(data, fieldName);\n  },\n  _getResultFieldValue : function(data, fieldName) {\n    if (this.options.json) {\n      return this._getResultFieldValue_json(data, fieldName);\n    }\n    return this._getResultFieldValue_xml(data, fieldName);\n  },\n  _getResultFieldValueAsArray : function(data, fieldName) {\n    if (this.options.json) {\n      return this._getResultFieldValueAsArray_json(data, fieldName);\n    }\n    return this._getResultFieldValueAsArray_xml(data, fieldName);\n  },\n\n  buildTree : function (data) {\n    var results = this._getResultset(data, this.options.resultsParameter);\n    if (results.length == 0) {\n      return new Element('div', {'class' : 'error'}).update(this.options.noresults);\n    }\n    var targetResult = results[0];\n    var newContent = new Element('div');\n    if (this.options.showParents) {\n      var parents = new Element('ul', {'class': 'parents'});\n      this._getResultFieldValueAsArray(targetResult, this.options.resultParent.selector).each(function(item) {\n        var text = item;\n        var data = {};\n        if (typeof (this.options.resultParent.processingFunction) == "function") {\n          data = this.options.resultParent.processingFunction(text);\n        }\n        parents.insert({'bottom' : this._createParentBranch(data)});\n      }.bind(this));\n      if (parents.hasChildNodes()) {\n        newContent.insert({'top' : parents});\n      }\n      Event.fire(document, "obrowser:content:added", {added: parents, obrowser: this});\n    }\n    var data = {\n      id : this._getResultFieldValue(targetResult, this.options.resultId),\n      value : this._getResultFieldValue(targetResult, this.options.resultValue),\n      category: this._generateEntryCategory(targetResult)\n    }\n    var root = this._createRoot(data);\n    newContent.insert({'bottom' : root});\n    Event.fire(document, "obrowser:content:added", {added: root, obrowser: this});\n    //this._toggleExpandState(root);\n    return newContent;\n  },\n\n  countDescendents : function(xml) {\n    return this._getResultset(xml, this.options.resultsParameter).length;\n  },\n\n  buildDescendentsList : function(xml) {\n    var results = this._getResultset(xml, this.options.resultsParameter);\n    var list = new Element('ul', {'class' : 'descendents'});\n    for (var i = 0; i &lt; results.length; i++) {\n        var data = {\n          id : this._getResultFieldValue(results[i], this.options.resultId),\n          value : this._getResultFieldValue(results[i], this.options.resultValue),\n          category: this._generateEntryCategory(results[i])\n        };\n        list.insert({'bottom': this._createDescendentBranch(data)});\n    }\n    if (list.hasChildNodes()) {\n      return list;\n    }\n    return new Element('div', {'class' : 'descendents hint empty'}).update(this.options.noresults);\n  },\n\n  _createBranch: function (eltName, className, data, expandable) {\n    var element =  new Element(eltName, {'class' : 'entry ' + className});\n    element.__termId = data.id;\n    element.__termCategory = data.category;\n    var wrapper = new Element('div', {'class' : 'entry-data'});\n    wrapper.insert({'bottom': this._generateEntryTitle(data.id, data.value)});\n    var entryTools = new Element('span', {'class' : 'entry-tools'});\n    entryTools.observe('click', function(event) {event.stop()}); // don't forward click events\n    wrapper.insert({'bottom': entryTools});\n    element.update(wrapper);\n\n    if (!this._isRootEntry(element)) {\n      if (this.options.defaultEntryAction == 'browse') {\n        wrapper.down('.info').observe('click', this._browseEntry.bindAsEventListener(this));\n      }\n    }\n    entryTools.insert(new Element('span', {'class' : 'fa fa-info-circle phenotype-info xHelpButton', title : data.id}));\n\n    if (this.options.enableSelection) {\n      element.__selectTool = new Element('input', {'type' : 'checkbox', name: 'term_selector', value: data.id, 'class' : 'select-tool'});\n      wrapper.insert({'top': element.__selectTool});\n      if (this.options.isTermSelected(element.__termId)) {\n        element.addClassName('accepted');\n        element.__selectTool.checked = 'checked';\n      }\n      element.__selectTool.observe('click', this._toggleEntrySelection.bindAsEventListener(this));\n      if (this.options.defaultEntryAction == 'select') {\n         wrapper.down('.info').observe('click', this._toggleEntrySelection.bindAsEventListener(this));\n      }\n    }\n\n    if (expandable) {\n      var expandTool = new Element('span', {'class' : 'expand-tool'}).update(this._getExpandCollapseSymbol(!element.hasClassName('root')));\n      expandTool.observe('click', function(event) {\n        var entry = event.element().up('.entry');\n        if (!this._isExpandToolLocked(entry)){\n          this._toggleExpandState(entry);\n        }\n      }.bindAsEventListener(this));\n      wrapper.insert({'top': expandTool});\n      this.expand(element, element.hasClassName('root'));\n      //element.observe('obrowser:expand:done', this._obrowserExpandEventHandler);\n      //element.observe('obrowser:count:done', this._obrowserExpandEventHandler);\n      //element.observe('obrowser:expand:failed', this._obrowserExpandEventHandler);\n    }\n    return element;\n  },\n\n  _generateEntryTitle : function(id, value) {\n    return  new Element('span', {'class' : 'info'}).insert(\n                     {'bottom' : new Element('span', {'class' : 'key'}).update('[' + id + ']')}).insert(\n                     {'bottom' : ' '}).insert(\n                     {'bottom' : new Element('span', {'class' : 'value'}).update(value)});\n  },\n\n  _generateEntryCategory : function (xmlFragment) {\n    var category = new Element("span", {'class' : 'hidden term-category'});\n    if (this.options.resultCategory) {\n      this._getResultFieldValueAsArray(xmlFragment, this.options.resultCategory).each(function(c) {\n        category.insert(new Element('input', {'type' : 'hidden', 'value' : c}));\n      });\n    }\n    if (category.hasChildNodes()) {\n      return category;\n    } else {\n      return null;\n    }\n  },\n\n  _toggleExpandState : function(target) {\n    if (target) {\n      if (target.down('.descendents')) {\n        target.toggleClassName('collapsed');\n        Event.fire(target, "obrowser:expand:finished");\n      } else {\n        target.removeClassName('collapsed');\n        if (target.down(".error")) {\n          target.down(".error").remove();\n        }\n        this.expand(target, true);\n      }\n      target.down('.expand-tool').update(this._getExpandCollapseSymbol(target.hasClassName("collapsed")));\n    }\n  },\n\n  _obrowserExpandEventHandler : function(event) {\n     var element = event.element();\n     if (!event.memo) {\n       return;\n    }\n    if (event.memo.data) {\n       element.insert({'bottom': event.memo.data});\n       element.stopObserving('obrowser:expand:done', this._obrowserExpandEventHandler);\n    } else if (typeof (event.memo.count) != "undefined") {\n       element.stopObserving('obrowser:count:done', this._obrowserExpandEventHandler);\n    }\n    element.stopObserving('obrowser:expand:failed', this._obrowserExpandEventHandler);\n    if ((event.memo.count == "0") || (!element.hasClassName('root') &amp;&amp; event.memo.data &amp;&amp; !element.down('.descendents .entry, .error'))) {\n      element.addClassName('collapsed');\n      var expandTool = element.down('.expand-tool');\n      if (expandTool) {\n        expandTool.update(this._getExpandCollapseSymbol(true)).addClassName('disabled');\n        expandTool.stopObserving('click');\n      }\n    }\n    this._unlockExpandTool(element);\n    Event.fire(document, "ms:popup:content-updated", {popup: this.container});\n    if (event.memo.data) {\n      Event.fire(element, "obrowser:expand:finished");\n    }\n  },\n\n  _lockExpandTool : function(element) {\n    var expandTool = element.down('.expand-tool');\n    if (expandTool) {\n      expandTool.addClassName('locked');\n    }\n  },\n\n  _unlockExpandTool : function(element) {\n    var expandTool = element.down('.expand-tool');\n    if (expandTool) {\n      expandTool.removeClassName('locked');\n    }\n  },\n\n  _isExpandToolLocked : function(element) {\n    if (element.down('.expand-tool.locked')) {\n      return true;\n    }\n    return false;\n  },\n\n  _getExpandCollapseSymbol : function (isCollapsed) {\n    if (isCollapsed) {\n      return "&amp;#x25ba;";\n    }\n    return "&amp;#x25bc;";\n  },\n  _toggleEntrySelection : function(event) {\n    var trigger = event.element();\n    if (!trigger.hasClassName('select-tool')) {\n      trigger.up('.entry').down('input').click();\n      return;\n    }\n    var elt = trigger.up('.entry');\n    if (trigger.checked) {\n      this._selectEntry(elt);\n    } else {\n      this._unselectEntry(elt);\n    }\n  },\n  _selectEntry: function (entry) {\n    if (this.suggest) {\n      if (this.options.modal &amp;&amp; typeof (this.container.getPositionInViewport) == 'function') {\n        var prevPosition = this.container.getPositionInViewport();\n      }\n      var value = entry.down('.value').firstChild.nodeValue;\n      this.suggest.acceptEntry({'id':entry.__termId, 'value':value, 'category' : entry.__termCategory, 'negative' : entry.down('.selected.no')}, value, '', true);\n      entry.addClassName('accepted');\n      if (prevPosition &amp;&amp; (typeof (this.container.positionDialogInViewport) == 'function')) {\n        this.container.positionDialogInViewport(prevPosition.left, prevPosition.top);\n      }\n    }\n  },\n  _unselectEntry: function (entry) {\n     this.options.unselectTerm(entry.__termId);\n     this.options.unselectTerm(entry.__termId, true);\n     entry.removeClassName('accepted');\n  },\n\n  _browseEntry : function(event) {\n    event.stop();\n    var elt = event.element().up('.entry');\n    this.load(elt.__termId);\n  },\n\n  _createParentBranch: function (parent) {\n    var parent = this._createBranch('li', 'parent', parent, false);\n    return parent;\n  },\n\n  _createRoot : function (data) {\n    var root = this._createBranch('div', 'root', data, true);\n    if (!this.options.showRoot) {\n      root.addClassName('no-root');\n      root.down('.entry-data').addClassName('invisible');\n    }\n    return root;\n  },\n\n  _createDescendentBranch : function(data) {\n    return this._createBranch('li', 'descendent', data, true);\n  },\n\n  _isRootEntry : function(element) {\n    return element.hasClassName('entry') &amp;&amp; element.hasClassName('root');\n  },\n\n  setContent : function(content) {\n    this.container.setContent(new Element('div', {'class' : 'ontology-tree'}).update(content));\n  },\n\n  show : function(id) {\n    if (id) {\n      this.container.show();\n      if (this.__crtRoot != id) {\n        this.load (id);\n      } else {\n        Event.fire(this.container.contentContainer || document, 'obrowser:expand:finished');\n      }\n    }\n  },\n\n  hide : function() {\n    this.container.close();\n  }\n  });\n\n  return PhenoTips;\n}(PhenoTips || {}));</code>\n</property>\n<property>\n<name>Ontology browser</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>5</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>62a03919-3321-48ca-ae5a-b748ca291f63</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.DropDown = Class.create({\n  options : {},\n  initialize : function (element) {\n    this.element = element;\n    this.hasForceOpen = false;\n    var existingDropdown = element.next(".dropdown")\n    if (existingDropdown) {\n      this.contentContainer = null;\n      this.dropdown = existingDropdown;\n      this.hasForceOpen = true;\n    } else {\n      this.dropdown = new Element('div', {'class' : 'dropdown'});\n\n      this.contentContainer = new Element('div');\n      this.dropdown.update(this.contentContainer);\n    }\n    //var closeButton = new Element('div', {'class': 'close', 'title': 'Close'}).update("&amp;#215;");\n    //closeButton.observe("click", this.close.bindAsEventListener(this));\n    //this.dropdown.insert({top: closeButton});\n  },\n  setContent : function(content) {\n    this.contentContainer != null ? this.contentContainer.update(content) : null;\n  },\n  show : function (force) {\n    if (force &amp;&amp; !this.hasForceOpen) {\n      return false;\n    }\n    if (this.dropdown.hasClassName('invisible')) {\n      this.dropdown.removeClassName('invisible');\n    } else  {\n      this.element.insert({after : this.dropdown});\n    }\n    return true;\n  },\n  close : function (force) {\n    if (force &amp;&amp; !this.hasForceOpen) {\n      return false;\n    }\n    this.dropdown.addClassName('invisible');\n    return true;\n    //this.dropdown.remove();\n  }\n  });\n  return PhenoTips;\n}(PhenoTips || {}));</code>\n</property>\n<property>\n<name>Dropdown ontology browser</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>6</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>1cc2a76f-aca1-4bfa-a468-3a599799c13c</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>StickyBox = Class.create({\n    options : {\n      offsetTop : 6,\n      offsetBottom: 0,\n      resize : false,\n      isSticky : function(element) {return true}\n    },\n    initialize : function(stickyElement, stickyAreaElement, options) {\n      this.stickyElement = stickyElement;\n      this.stickyAreaElement = stickyAreaElement;\n      if (this.stickyElement &amp;&amp; this.stickyAreaElement) {\n        this.options = Object.extend(Object.clone(this.options), options || { });\n        // Temporary, for backwards compatibility with deprecated parameter 'shadowSize'\n        if (this.options.shadowSize &amp;&amp; options.offsetTop === undefined) {\n          this.options.offsetTop = this.options.shadowSize;\n        }\n        this.resetPosition = this.resetPosition.bindAsEventListener(this);\n        Event.observe(window, 'scroll', this.resetPosition);\n        Event.observe(window, 'resize', this.resetPosition);\n        if (typeof(this.options.makeDefault) == 'function') {\n          thid.makeDefault = this.options.makeDefault.bind(this);\n        }\n        this.resetPosition();\n      }\n    },\n\n    resetPosition : function() {\n      if (!this.options.isSticky(this.stickyElement) || this.stickyElement.getHeight() &gt;= this.stickyAreaElement.getHeight()) {\n        return;\n      }\n      this.stickyElement.style.height = '';\n      this.stickyElement.style.overflow = '';\n      this.stickyElement.fire('size:changed');\n      this.boxHeight = this.stickyElement.getHeight();\n      var maxBoxHeight = document.viewport.getHeight() - this.options.offsetTop - this.options.offsetBottom;\n      if (this.options.resize) {\n         var memo =  {'diff' : (maxBoxHeight - this.boxHeight), 'original': this.boxHeight};\n         this.boxHeight = maxBoxHeight;\n         this.stickyElement.style.height = this.boxHeight + "px";\n         this.stickyElement.style.overflow = 'auto';\n         this.stickyElement.fire('size:changed', memo);\n      }\n      this.boxWidth = this.stickyElement.getWidth();\n      this.boxMinTop = this.stickyAreaElement.cumulativeOffset().top + this.options.offsetTop;\n      this.boxMaxTop = this.stickyAreaElement.cumulativeOffset().top + this.stickyAreaElement.getHeight() - this.boxHeight;\n      this.boxLeft = this.stickyElement.cumulativeOffset().left;\n      this.boxRelativeLeft = this.boxLeft - this.stickyElement.getOffsetParent().viewportOffset().left;\n      var relativeContentPosition = this.stickyAreaElement.viewportOffset().top;\n      this.direction = 0;\n      if (this.stickyAreaElement._prevPosition) {\n        if (this.stickyAreaElement._prevPosition &gt; relativeContentPosition) {\n          this.direction = 1;\n        } else if (this.stickyAreaElement._prevPosition &lt; relativeContentPosition) {\n          this.direction = -1;\n        }\n      }\n      if ((this.options.isSticky(this.stickyElement) || this.direction == 1) &amp;&amp;\n        document.viewport.getScrollOffsets().top &gt;= this.boxMinTop &amp;&amp;\n        document.viewport.getScrollOffsets().top &lt; this.boxMaxTop) {\n        this.makeFixed();\n      } else if ((this.options.isSticky(this.stickyElement) || this.direction == -1) &amp;&amp;\n        document.viewport.getScrollOffsets().top &gt;= this.boxMaxTop) {\n        this.makeAbsolute();\n      } else {\n        this.makeDefault();\n      }\n      this.stickyAreaElement._prevPosition = relativeContentPosition;\n    },\n\n    makeFixed : function() {\n      if (this.stickyElement.style.position != 'fixed') {\n        this.stickyElement.addClassName('sticky');\n        this.stickyElement.style.left = this.boxLeft + 'px';\n        this.stickyElement.style.width = (this.boxWidth) + 'px';\n        this.stickyElement.style.top = this.options.offsetTop + 'px';\n        this.stickyElement.style.right = '';\n        this.stickyElement.style.position = 'fixed';\n      }\n    },\n    makeAbsolute : function(top) {\n      if (this.stickyElement.style.position != 'absolute') { // || top &amp;&amp; this.stickyElement.style.top != top + 'px'){\n        this.stickyElement.addClassName('sticky');\n        top = top || (this.stickyAreaElement.getHeight() - this.stickyElement.getHeight());\n        this.stickyElement.style.top = top + 'px';\n        this.stickyElement.style.right = '';\n        var originalPosition = this.stickyElement.getStyle('position');\n        this.stickyElement.style.position = 'absolute';\n        if (originalPosition == 'fixed' &amp;&amp; !Prototype.Browser.WebKit) {\n          this.stickyElement.style.left = (this.boxRelativeLeft - this.stickyElement.getOffsetParent().viewportOffset().left + 2) + 'px';\n        } else {\n          this.stickyElement.style.left = this.boxRelativeLeft + 'px';\n        }\n      }\n    },\n    makeDefault : function() {\n      if (this.stickyElement.style.position != ''){\n        this.stickyElement.removeClassName('sticky');\n        this.stickyElement.style.position = '';\n        this.stickyElement.style.top = '';\n        this.stickyElement.style.left = '';\n        this.stickyElement.style.right = '';\n        this.stickyElement.style.width = '';\n      }\n    },\n    isFixed: function() {\n      return (this.stickyElement.style.position == 'fixed');\n    },\n    isAbsolute: function() {\n      return (this.stickyElement.style.position == 'absolute');\n    },\n    isDefault: function() {\n      return (this.stickyElement.style.position == '');\n    }\n});</code>\n</property>\n<property>\n<name>Sticky Box</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>7</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>576a48e8-6707-4310-941b-0abb9e532d23</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.FreeMultiselect = Class.create({\n    counter : 1,\n    options : {\n      returnKeyNavigation : false\n    },\n    initialize: function(element, options) {\n      this.options = Object.extend(Object.clone(this.options), options || { });\n      var _this = this;\n\n      // Suggest?\n      var suggestInfoSource = element.previous('input[name="xwiki-free-multiselect-suggest-script"][type="hidden"]');\n      if (suggestInfoSource &amp;&amp; suggestInfoSource.value &amp;&amp; typeof(XWiki.widgets.Suggest) != "undefined") {\n        this.suggestOptions = {\n          script : suggestInfoSource.value,\n          shownoresults : false,\n          varname: "input",\n          timeout : 0\n        }\n      }\n\n      // Add a delete button and a "KEY_RETURN" keypress event listener for each line\n      this.enhanceLine = this.enhanceLine.bind(this);\n      var values = element.select('li input.xwiki-free-multiselect-value');\n      values.each(this.enhanceLine);\n\n      // Generate and insert the "add" button, edit mode only\n      if (element.down('input.xwiki-free-multiselect-value')) {\n        var addTool = new Element('a', {'title' : 'add', 'href' : '#' + element.id}).update('+...');\n        element.insert(addTool.wrap('li'));\n        addTool.observe('click', function(event) {\n          event.stop();\n          var prevLine = addTool.up('li').previous();\n          var template = prevLine &amp;&amp; prevLine.down('input.xwiki-free-multiselect-value');\n          if (template) {\n            _this.generateInput(template);\n          }\n        }.bindAsEventListener(this));\n      }\n    },\n\n    enhanceLine : function(element) {\n      element.id = this.generateId(element);\n      element.up('li').addClassName('xwiki-free-multiselect-line');\n      this.attachDeleteTool(element);\n      if (this.suggestOptions) {\n        new XWiki.widgets.Suggest(element, this.suggestOptions);\n      }\n      this.enableAddInput(element);\n    },\n\n    attachDeleteTool : function(element) {\n      var wrapper = element.up('.xwiki-free-multiselect-line');\n      var deleteTool = new Element('a', {'title' : 'delete', 'href' : '#' + element.id}).update('✖');\n      wrapper.insert(' ').insert(deleteTool);\n      deleteTool.observe('click', function(event) {\n        event.stop();\n        var wrapper = event.findElement('.xwiki-free-multiselect-line');\n        if (wrapper.previous('.xwiki-free-multiselect-line') || wrapper.next('.xwiki-free-multiselect-line')) {\n          wrapper.remove();\n        } else {\n          var target = wrapper.down('input');\n          target.value = '';\n          target.focus();\n        }\n      });\n    },\n\n    enableAddInput : function(element) {\n      var wrapper = element.up('.xwiki-free-multiselect-line');\n      var _this = this;\n      if (!wrapper) {return;}\n      element.observe('keypress', function(event) {\n        if (event.keyCode == Event.KEY_RETURN) {\n          event.stop();\n          var next = wrapper.next('.xwiki-free-multiselect-line');\n          if (_this.options.returnKeyNavigation &amp;&amp; next &amp;&amp; next.down('input')) {\n            next.down('input').focus();\n          } else {\n            element.next().removeClassName('inactive');\n            _this.generateInput(element);\n          }\n        } else if (event.keyCode == Event.KEY_BACKSPACE &amp;&amp; element.value == '') {\n          event.stop();\n          var previous = wrapper.previous('.xwiki-free-multiselect-line');\n          if (previous &amp;&amp; previous.down('input')) {\n            previous.down('input').focus();\n            element.up('.xwiki-free-multiselect-line').remove();\n          }\n        }\n      });\n    },\n\n    generateInput : function(template) {\n      var newInput = new Element('input', {'name' : template.name, id : this.generateId(template), type: template.type, size: template.size, 'class' : 'xwiki-free-multiselect-value'});\n      var newWrapper = new Element('li');\n      newWrapper.insert(newInput);\n      template.up('.xwiki-free-multiselect-line').insert({after: newWrapper});\n      this.enhanceLine(newInput);\n      newInput.focus();\n    },\n\n    generateId : function(element) {\n      return element.name + '_' + this.nextIndex();\n    },\n\n    nextIndex : function() {\n      return ++this.counter;\n    },\n\n    lastIndex : function() {\n      return this.counter;\n    }\n\n  });\n  return PhenoTips;\n}(PhenoTips || {}));\n\ndocument.observe("xwiki:dom:loaded", function() {\n  $$('.xwiki-free-multiselect').each(function(element) {\n    new PhenoTips.widgets.FreeMultiselect(element);\n  });\n});</code>\n</property>\n<property>\n<name>Free Multiselect</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>8</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>a81251a5-7e93-4dda-b851-c37f4841d346</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var XWiki = (function(XWiki) {\n  // Start XWiki augmentation\n  var widgets = XWiki.widgets = XWiki.widgets || {};\n\n  widgets.VisibilityController =  Class.create({\n    initialize : function(element) {\n      this.element = element;\n      this.reverse = this.element.hasClassName("exclude");\n      this.controller = this.element.down(".controller input[type=checkbox]");\n      if (!this.controller) {\n        // No controller, nothing else to do...\n        return;\n      }\n      this.controlled = this.element.select(".controlled");\n      if (this.element.hasClassName("complete-hide")) {\n        this.hiddenStyle = {"display" : "none"};\n        this.visibleStyle = {"display" : ""};\n      } else {\n        this.hiddenStyle = {"visibility" : "hidden"};\n        this.visibleStyle = {"visibility" : "visible"};\n      }\n      this.controlVisibility();\n      this.controller.observe("change", this.controlVisibility.bindAsEventListener(this));\n    },\n    controlVisibility : function() {\n      if (this.controller.checked ^ this.reverse) {\n         this.controlled.invoke("setStyle", this.hiddenStyle);\n         this.element.select(".controlled input").invoke("disable");\n      } else {\n         this.controlled.invoke("setStyle", this.visibleStyle);\n         this.element.select(".controlled input").invoke("enable");\n      }\n    }\n  });\n\n  var init = function(event) {\n    ((event &amp;&amp; event.memo.elements) || [$('body')]).each(function(element) {\n      element.select(".controlled-group").each(function(group) {\n        if (!group.__visibilityController) {\n          group.__visibilityController = new XWiki.widgets.VisibilityController(group);\n        }\n      });\n    });\n    return true;\n  };\n\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe("xwiki:dom:updated", init);\n\n  // End XWiki augmentation.\n  return XWiki;\n}(XWiki || {}));</code>\n</property>\n<property>\n<name>Controlled visibility groups</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>9</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>ce0e1cc4-d0b1-4bf0-9815-444160042fd0</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.UnitConverter = Class.create({\n\n     CONVERSION_META : {\n        'weight': {\n           'imperial_units' : ['lb', 'oz'],\n           'metric_unit' : 'kg',\n           'inter_unit_scale' : 16,\n           'inter_system_scale' : 0.0283495\n        },\n        'length': {\n           'imperial_units' : ['ft', 'in'],\n           'metric_unit' : 'cm',\n           'inter_unit_scale' : 12,\n           'inter_system_scale' : 2.54\n        }\n     },\n\n     DEFAULT_UNIT_SYSTEM : 'metric',\n\n     initialize : function (container, selector, triggerInsertionElt, triggerInsertionPosition, system) {\n       this._selector = selector;\n       this._container = container || document.documentElement;\n       if (!this._selector || !triggerInsertionElt) {return;}\n\n       this.crtUnitSystem = system || this.DEFAULT_UNIT_SYSTEM;\n\n       this.initializeElements = this.initializeElements.bind(this);\n       this.attachConverter = this.attachConverter.bind(this);\n\n       this.generateTrigger(triggerInsertionElt, triggerInsertionPosition || 'bottom');\n\n       this.initializeElements();\n       var _this = this;\n       document.observe('xwiki:dom:updated', function(event) {\n         if (event.memo &amp;&amp; event.memo.elements) {\n           event.memo.elements.each(_this.initializeElements.bind(_this));\n         }\n       });\n     },\n\n     generateTrigger : function(atElement, position) {\n       this._trigger = new Element('select', {"class" : "unit-system-selector"});\n\n       var optionMetric = new Element('option', {\n                value : 'metric',\n         }).update('Metric units (' + this.CONVERSION_META.weight.metric_unit + ', ' + this.CONVERSION_META.length.metric_unit + ')');\n       if (this.crtUnitSystem == 'metric') {\n          optionMetric.selected = 'selected';\n       }\n       var optionImperial = new Element('option', {\n                value : 'imperial',\n         }).update('Imperial units (' + this.CONVERSION_META.weight.imperial_units.join(' / ') + ', ' + this.CONVERSION_META.length.imperial_units.join(' / ') + ')');\n       if (this.crtUnitSystem == 'imperial') {\n          optionImperial.selected = 'selected';\n       }\n       this._trigger.insert(optionMetric).insert(optionImperial);\n\n       insertionInfo = {};\n       insertionInfo[position] = this._trigger;\n       atElement.insert(insertionInfo);\n\n       var _this = this;\n       this._trigger.observe('change', function(event) {\n         _this.crtUnitSystem = _this._trigger.options[_this._trigger.selectedIndex].value;\n         _this.switchUnits(_this.crtUnitSystem);\n       });\n     },\n\n     initializeElements : function(element) {\n       container = element || this._container;\n        if (container.__unitSwitcher || (!container.up('.measurements') &amp;&amp; !container.hasClassName('measurements'))) {\n         return;\n       }\n       container.__unitSwitcher = this;\n       container.select(this._selector).each(this.attachConverter);\n       this.switchUnits(this.crtUnitSystem, container);\n     },\n\n     switchUnits : function(type, element) {\n       container = element || this._container;\n       container.select('.unit-conversion-values .unit-type').each(function(item) {\n          if (item.hasClassName(type)) {\n            item.show();\n          } else {\n            item.hide();\n          }\n       });\n     },\n\n     attachConverter : function(element) {\n       if (element.tagName.toLowerCase() != 'input' || element.type != 'text') {\n         return;\n       }\n       var unitElt = element.next('.unit');\n       var converterElement = new Element('div', {'class' : 'unit-conversion-values'});\n       var imperialUnits;\n       var type = (element.up('.weight')) ? 'weight' : 'length';\n\n       converterElement.addClassName(type);\n       converterElement._meta = this.CONVERSION_META[type];\n\n       var values = this.metricToImperial(converterElement._meta, parseFloat(element.value) || 0);\n\n       var metricZone = element.up('.metric');\n       if (!metricZone) {\n         metricZone = new Element('div', {'class' : 'unit-type metric'});\n         metricZone.insert(element).insert(unitElt || converterElement._meta.metric_unit);\n         element.insert({after: converterElement});\n       } else {\n         metricZone.addClassName('unit-type');\n         metricZone.insert({after: converterElement});\n       }\n       var imperialZone = new Element('div', {'class' : 'unit-type imperial'});\n       converterElement.insert(metricZone).insert(imperialZone);\n\n       converterElement._meta.imperial_units.each(function (unit) {\n         imperialZone.insert(new Element('label').insert(new Element('input', {'style' : 'width: auto', 'name' : unit, type: 'text', size : 3, value : (values[unit] || '')})).insert(unit));\n       });\n\n       this.enableSyncValues(converterElement);\n     },\n\n     enableSyncValues : function (element) {\n       var _this = this;\n       element.select('.imperial input').invoke('observe', 'change', function(event) {_this.syncMetricWithImperial(element);});\n       element.select('.metric input').invoke('observe', 'change', function(event) {_this.syncImperialWithMetric(element);});\n     },\n\n     syncMetricWithImperial : function (element) {\n        var metricInput =  element.down('.metric input');\n        metricInput.value  = this.imperialToMetric(element._meta,\n                                                      parseFloat(element.down('.imperial input[name="' + element._meta.imperial_units[0] + '"]').value) || 0,\n                                                      parseFloat(element.down('.imperial input[name="' + element._meta.imperial_units[1] + '"]').value) || 0\n                                                ) || '';\n        Event.fire(metricInput, 'phenotips:measurement-updated');\n     },\n\n     syncImperialWithMetric : function (element) {\n        var imperialValues = this.metricToImperial(element._meta, parseFloat(element.down('.metric input').value) || 0);\n        element._meta.imperial_units.each(function (unit) {\n          element.down('.imperial input[name="' + unit + '"]').value = imperialValues[unit] || '';\n        });\n     },\n\n     metricToImperial : function (conversionMeta, value) {\n        var result = {};\n        var lowerUnitValue = value / conversionMeta.inter_system_scale;\n        var higherUnitValue = Math.floor (lowerUnitValue / conversionMeta.inter_unit_scale);\n        lowerUnitValue = lowerUnitValue - higherUnitValue * conversionMeta.inter_unit_scale;\n        if (lowerUnitValue) {\n          lowerUnitValue = lowerUnitValue.toFixed(2);\n        }\n        result[conversionMeta.imperial_units[0]] = higherUnitValue;\n        result[conversionMeta.imperial_units[1]] = lowerUnitValue;\n        return result;\n     },\n\n     imperialToMetric : function (conversionMeta, higherUnitValue, lowerUnitValue) {\n        return ((conversionMeta.inter_unit_scale * higherUnitValue + lowerUnitValue) * conversionMeta.inter_system_scale).toFixed(2);\n     }\n  });\n  return PhenoTips;\n}(PhenoTips || {}));</code>\n</property>\n<property>\n<name>Switcher between metric and imperial units for measurements</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>10</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>34bc814b-fee0-4738-bc6d-b5803a08a0dc</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function(PhenoTips) {\n  // Start augmentation\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n\n  widgets.HelpButton =  Class.create({\n\n    infoServices : {\n      'xHelpButton' : {\n         'hint'     : "$services.localization.render('phenotips.widgets.helpButtons.xHelpButton.hint')",\n         'callback' : function (helpButton) {\n           helpButton.helpBox.content.update(helpButton._information || '');\n         }\n       },\n      'phenotype-info' : {\n        'hint'     : "$services.localization.render('phenotips.widgets.helpButtons.phenotype.hint')",\n        'service'  : "$xwiki.getURL('PhenoTips.PhenotypeInfoService', 'get')",\n        'callback' : function (helpButton, json) {\n          var c = helpButton.helpBox.content;\n          var elt = function(type, cssClass, content) {\n            return new Element(type, cssClass &amp;&amp; {'class' : cssClass} || {}).update(content || '');\n          };\n\n          c.update(\n                    elt('span', 'info').insert(elt('span', 'key').update(json.id))\n                                       .insert(' ')\n                                       .insert(elt('span', 'value').update(json.label))\n                  );\n          json.def &amp;&amp; c.insert(elt('p').update(json.def.replace(/\\s*\\n\\s*/, ' ').replace(/`([^`]+)`\\s+\\(([A-Z]+:[0-9]+)`?\\)/g, '&lt;em title="$2"&gt;$1&lt;/em&gt;')));\n\n          var labels = {'synonym' : "$services.localization.render('phenotips.widgets.helpButtons.phenotype.synonym')", 'is_a' : "$services.localization.render('phenotips.widgets.helpButtons.phenotype.typeOf')"};\n          var advancedInfo = elt('dl');\n          for (var l in labels) {\n            if (json[l]) {\n              advancedInfo.insert(elt('dt', '', labels[l]));\n              json[l].each(function (item) {\n                advancedInfo.insert(elt('dd', '', item.label || item));\n              })\n            }\n          }\n          if (advancedInfo.firstDescendant()) {\n            c.insert(advancedInfo);\n          }\n\n          if (PhenoTips.widgets.OntologyBrowser) {\n            var browseButton = new Element('a', {'class' : 'button', href : '#'}).update("$services.localization.render('phenotips.widgets.helpButtons.phenotype.browseRelated')");\n            browseButton._id = json.id;\n            browseButton.observe('click', function(event){\n              event.stop();\n              var suggest = ($('quick-phenotype-search') || $$('input.suggestHpo')[0])._suggest;\n              var params = {};\n              if (typeof isPhenotypeSelected !== 'undefined') {\n                params = {\n                  isTermSelected : isPhenotypeSelected,\n                  unselectTerm : unselectPhenotype\n                };\n              }\n              browseButton._obrowser = new PhenoTips.widgets.OntologyBrowser(suggest, null, params);\n              browseButton._obrowser.show(browseButton._id);\n            });\n            c.insert(elt('div', 'term-tools').insert(browseButton.wrap('span', {'class' : 'buttonwrapper'})));\n          }\n        }\n      },\n      'phenotype-qualifier-info' : {\n        'hint'     : "$services.localization.render('phenotips.widgets.helpButtons.phenotypeQualifier.hint')",\n        'service'  : "$xwiki.getURL('PhenoTips.PhenotypeInfoService', 'get')",\n        'callback' : function (helpButton, json) {\n          var c = helpButton.helpBox.content;\n          var elt = function(type, cssClass, content) {\n            return new Element(type, cssClass &amp;&amp; {'class' : cssClass} || {}).update(content || '');\n          };\n          c.update(\n                    elt('span', 'info').insert(elt('span', 'key').update(json.id))\n                                       .insert(' ')\n                                       .insert(elt('span', 'value').update(json.label))\n                  );\n          json.def &amp;&amp; c.insert(elt('p').update(json.def.replace(/\\s*\\n\\s*/, ' ').replace(/`([^`]+)`\\s+\\(([A-Z]+:[0-9]+)`?\\)/g, '&lt;em title="$2"&gt;$1&lt;/em&gt;')));\n        }\n      },\n      'omim-disease-info' : {\n        'hint' : "$services.localization.render('phenotips.widgets.helpButtons.omimDisease.hint')",\n        'service'  : "$xwiki.getURL('PhenoTips.OmimInfoService', 'get')",\n        'callback' : function (helpButton, json) {\n          var c = helpButton.helpBox.content;\n          var elt = function(type, cssClass, content) {\n            return new Element(type, cssClass &amp;&amp; {'class' : cssClass} || {}).update(content || '');\n          };\n\n          c.update(\n                    elt('span', 'info').insert(elt('span', 'key').update(json.id))\n                                       .insert(' ')\n                                       .insert(elt('span', 'value').update(json.label.splice(0, 1)[0]))\n                  );\n\n          var labels = {'label' : '', 'symptoms' : "$services.localization.render('phenotips.widgets.helpButtons.omimDisease.symptoms')", 'not_symptoms' : "$services.localization.render('phenotips.widgets.helpButtons.omimDisease.notSymptoms')"};\n          var advancedInfo = elt('dl');\n          for (var l in labels) {\n            if (json[l] &amp;&amp; json[l].length &gt; 0) {\n              advancedInfo.insert(elt('dt', '', labels[l]));\n              json[l].each(function (item) {\n                advancedInfo.insert(elt('dd', '', item.label || item));\n              })\n            }\n          }\n          if (advancedInfo.firstDescendant()) {\n            c.insert(advancedInfo);\n          }\n          var viewButton = new Element('a', {'class' : 'button', href : 'http://www.omim.org/entry/' + json.id, 'target' : '_blank'}).update("$services.localization.render('phenotips.widgets.helpButtons.omimDisease.linkToOmim')");\n          c.insert(elt('div', 'term-tools').insert(viewButton.wrap('span', {'class' : 'buttonwrapper'})));\n          viewButton.observe('click', function(event) {\n            event.stop();\n            window.open(viewButton.href);\n          });\n          if (json.gene_reviews_link) {\n            var geneReviewsButton = new Element('a', {'class' : 'button', href : json.gene_reviews_link, 'target' : '_blank'}).update('Read about it on Gene Reviews...');\n            c.insert(elt('div', 'term-tools').insert(geneReviewsButton.wrap('span', {'class' : 'buttonwrapper'})));\n            geneReviewsButton.observe('click', function(event) {\n              event.stop();\n              window.open(geneReviewsButton.href);\n            });\n          }\n        }\n      },\n      'gene-info' : {\n        'hint' : "$services.localization.render('phenotips.widgets.helpButtons.gene.hint')",\n        'service'  : "$xwiki.getURL('PhenoTips.GeneInfoService', 'get')",\n        'callback' : function (helpButton, json) {\n          var c = helpButton.helpBox.content;\n          var elt = function(type, cssClass, content) {\n            return new Element(type, cssClass &amp;&amp; {'class' : cssClass} || {}).update(content || '');\n          };\n\n          c.update(\n                    elt('span', 'info').insert(elt('span', 'key').update(json.symbol))\n                                       .insert(' ')\n                                       .insert(elt('span', 'value').update(json.name))\n                  );\n\n          var labels = {'alias_symbol' : "$services.localization.render('phenotips.widgets.helpButtons.gene.alias')", 'prev_symbol' : "$services.localization.render('phenotips.widgets.helpButtons.gene.previousSymbols')", 'gene_family' : "$services.localization.render('phenotips.widgets.helpButtons.gene.family')"};\n          var advancedInfo = elt('dl');\n          for (var l in labels) {\n            if (json[l] &amp;&amp; json[l].length &gt; 0) {\n              advancedInfo.insert(elt('dt', '', labels[l]));\n              if (Object.prototype.toString.call(json[l]) === '[object Array]') {\n                json[l].each(function (item) {\n                  advancedInfo.insert(elt('dd', '', item.label || item));\n                })\n              } else {\n                 advancedInfo.insert(elt('dd', '', json[l]));\n              }\n            }\n          }\n          if (advancedInfo.firstDescendant()) {\n            c.insert(advancedInfo);\n          }\n\n          if (json.external_ids) {\n            var tools = elt('div', 'term-tools');\n            var externalDBs = [\n                          { name : 'GENECARDS', url : 'http://www.genecards.org/cgi-bin/carddisp.pl?gene=',          field : 'genecards_id'},\n                          { name : 'OMIM',      url : 'http://www.omim.org/entry/',                                  field : 'omim_id'},\n                          { name : 'Entrez',    url : 'http://www.ncbi.nlm.nih.gov/gene/?term=',                     field : 'entrez_id'},\n                          { name : 'RefSeq',    url : 'http://www.ncbi.nlm.nih.gov/nuccore/',                        field : 'refseq_accession'},\n                          { name : 'Ensembl',   url : 'http://useast.ensembl.org/Homo_sapiens/Gene/Compara_Tree?g=', field : 'ensembl_gene_id'}\n            ];\n            externalDBs.each(function (item) {\n                         var value = json.external_ids[item.field];\n                         if (value) {\n                           if (!value.each) {\n                             value = [value];\n                           }\n                           value.each (function (id) {\n                             tools.insert(new Element('a', {\n                               'href'   : item.url + id,\n                               'class'  : 'button'\n                             }).update(item.name + ': ' + id).wrap('span', {'class' : 'buttonwrapper'}));\n                           });\n                         }\n            });\n            // We must stop the event, otherwise this item will be selected; as a consequence, we must also manually open the link\n            tools.select('a').each(function(item) {\n                         item.observe('click', function(event) {\n                            event.stop();\n                            window.open(item.href);\n                         })\n            });\n            c.insert(tools);\n          }\n        }\n      }\n    },\n\n    initialize : function(icon) {\n      this.icon = icon;\n      this._information = this.icon._information || this.icon.title;\n      for (var label in this.infoServices) {\n        if (this.icon.hasClassName(label)) {\n          this._builder = this.infoServices[label];\n          this.icon.title = this.infoServices[label].hint || '';\n        }\n      }\n      if (!this._builder) {\n        return;\n      }\n      this.icon.observe("click", this.toggleHelp.bindAsEventListener(this));\n      this.hideAllHelpOnOutsideClick = this.hideAllHelpOnOutsideClick.bindAsEventListener(this);\n    },\n\n    toggleHelp : function() {\n      if (!this.helpBox || this.helpBox.hasClassName('hidden')) {\n        this.showHelp();\n        document.observe('click', this.hideAllHelpOnOutsideClick);\n      } else {\n        this.hideHelp();\n      }\n    },\n\n    hideAllHelpOnOutsideClick : function (event) {\n      if (!event.findElement('.xTooltip') &amp;&amp; !event.findElement('.xHelpButton')) {\n        this.hideHelp();\n        document.stopObserving('click', this.hideAllHelpOnOutsideClick);\n      }\n    },\n\n    hideHelp : function(event) {\n      event &amp;&amp; event.stop();\n      if (this.helpBox) {\n        if (this.helpBox.hasClassName('error')) {\n          this.helpBox.remove();\n          delete this.helpBox;\n        } else {\n          this.helpBox.addClassName('hidden');\n        }\n      }\n    },\n\n    showHelp : function() {\n      if (!this.helpBox) {\n        this.createHelpBox();\n      }\n      $$('div.xTooltip:not(.hidden)').invoke('_hideHelp');\n      this.helpBox.removeClassName('hidden');\n    },\n\n    createHelpBox : function() {\n      this.helpBox = new Element('div', {'class': 'hidden xTooltip'});\n      this.helpBox._behavior = this;\n      this.helpBox._hideHelp = function() {\n         this._behavior.hideHelp();\n      }.bind(this.helpBox);\n\n      this.helpBox.content = new Element('div');\n      this.helpBox.insert(this.helpBox.content);\n\n      if (this._builder.service) {\n        this.createHelpContentFromService();\n      } else {\n        this._builder.callback &amp;&amp; this._builder.callback(this);\n      }\n\n      var closeButton = new Element('span', {'class': 'hide-tool', 'title': 'Hide'});\n      closeButton.update('×');\n      closeButton.observe('click', this.hideHelp.bindAsEventListener(this));\n      this.helpBox.insert({'top': closeButton});\n      this.icon.insert({'after' : this.helpBox});\n    },\n\n    createHelpContentFromService : function() {\n      var _this = this;\n      new Ajax.Request(_this._builder.service, {\n        parameters: {'id' : _this._information},\n        onCreate : function () {\n          _this.helpBox.content.update(new Element('span', {'class' : 'hint temporary'}).update("$services.localization.render('phenotips.widgets.helpButtons.loading')"));\n        },\n        onSuccess: function (response) {\n          _this._builder.callback(_this, response.responseJSON);\n        },\n        onFailure: function (response) {\n          _this.helpBox.addClassName('error');\n          _this.helpBox.down('.temporary').remove();\n          _this.helpBox.insert("$services.localization.render('phenotips.widgets.helpButtons.failedToLoad')".replace("__subject__", _this._information) + " : "+ response.statusText);\n        }\n      });\n    }\n  });\n\n  var init = function(event) {\n    ((event &amp;&amp; event.memo.elements) || [$('body')]).each(function(element) {\n      (element.hasClassName("xHelpButton") ? [element] : element.select(".xHelpButton")).each(function(icon) {\n        if (!icon.__helpController) {\n          icon.__helpController = new PhenoTips.widgets.HelpButton(icon);\n        }\n      });\n    });\n    return true;\n  };\n\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe("xwiki:dom:updated", init);\n\n  // End augmentation.\n  return PhenoTips;\n}(PhenoTips || {}));</code>\n</property>\n<property>\n<name>Help buttons</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>11</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>f35b7996-c858-464b-aa26-f58512b40b50</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n\n  widgets.FuzzyDatePickerDropdown = Class.create({\n    initialize : function(options) {\n      this.span     = new Element('span');\n      this.options  = options;\n      this.callback = null;\n    },\n\n    populate : function(values) {\n      var selectedIndex = this.dropdown ? (this.dropdown.selectedIndex || this._tmpSelectedIndex) : 0;\n\n      // using raw HTML for performance reasons: generating many years takes a noticeable time using\n      // more proper methods (e.g. new Element()...)\n      // (Note: using span around select because IE9 does not allow setting innerHTML of &lt;select&gt;-s)\n      var optionsHTML = '&lt;select name="' + this.options.name +\n                             '" class="' + (this.options.cssClass || this.options.name || '') +\n                             '" placeholder="' + (this.options.hint || this.options.name || '') +\n                             '" title="'       + (this.options.hint || this.options.name || '') + '"&gt;';\n\n      optionsHTML += '&lt;option value="" class="empty"&gt; &lt;/option&gt;';\n      values.each(function (item) {\n         optionsHTML += '&lt;option value="' + item.value + '"';\n         if (item.cssClass) {\n             optionsHTML += ' class="' + item.cssClass + '"';\n         }\n         if (item.selected) {\n             optionsHTML += ' selected="selected"';\n         }\n         optionsHTML += '&gt;' + (item.text || item.value || '') + '&lt;/option&gt;';\n      });\n      optionsHTML += "&lt;/select&gt;";\n      this.span.innerHTML = optionsHTML;\n      this.dropdown = this.span.firstChild;\n      this.callback &amp;&amp; this.onSelect(this.callback);\n      if (this.dropdown.selectedIndex &lt;= 0 &amp;&amp; selectedIndex &gt;= 0 &amp;&amp; selectedIndex &lt; this.dropdown.options.length) {\n        this.dropdown.selectedIndex = selectedIndex;\n      }\n    },\n\n    enable : function () {\n      this.dropdown.enable();\n      if (this.dropdown.selectedIndex &lt;= 0 &amp;&amp; this._tmpSelectedIndex &lt; this.dropdown.options.length) {\n        this.dropdown.selectedIndex = this._tmpSelectedIndex;\n        return (this._tmpSelectedIndex &gt; 0);\n      }\n      return false;\n    },\n\n    disable : function () {\n      this.dropdown.disable();\n      this._tmpSelectedIndex = this.dropdown.selectedIndex;\n      this.dropdown.selectedIndex = 0;\n    },\n\n    getElement : function() {\n      return this.span;\n    },\n\n    onSelect : function(callback) {\n      var _this = this;\n      this.callback = callback;\n      var events = ['change'];\n      browser.isGecko &amp;&amp; events.push('keyup');\n      events.each(function(eventName) {\n        _this.dropdown.observe(eventName, function() {\n          callback();\n          _this._tmpSelectedIndex = _this.dropdown.selectedIndex;\n        });\n      });\n    },\n\n    onFocus : function(callback) {\n      var _this = this;\n      this.dropdown.observe('focus', function() {\n        callback();\n        if (_this.dropdown.selectedIndex == -1 &amp;&amp; _this._tmpSelectedIndex &lt; _this.dropdown.options.size()) {\n          _this.dropdown.selectedIndex = _this._tmpSelectedIndex;\n        }\n      });\n    },\n    onBlur : function(callback) {\n      this.dropdown.observe('blur', callback);\n    },\n\n    getSelectedValue : function () {\n       return (this.dropdown.selectedIndex &gt;= 0) ? this.dropdown.options[this.dropdown.selectedIndex].value : '';\n    },\n\n    getSelectedOption : function () {\n       return (this.dropdown.selectedIndex &gt;= 0) ? this.dropdown.options[this.dropdown.selectedIndex].innerHTML : '';\n    }\n  });\n\n  widgets.FuzzyDatePicker = Class.create({\n    initialize : function (input) {\n      if (!input) {return};\n      this.__input = input;\n      this.__input.hide();\n      this.__fuzzyInput = $(this.__input.name + '_entered')\n      if (this.__fuzzyInput) {\n        this.__recordBoth = true;\n      }\n      if (this.__fuzzyInput &amp;&amp; this.__fuzzyInput.value) {\n        this.__date = JSON.parse(this.__fuzzyInput.value || '{}');\n      } else if (this.__input.alt) {\n        var parsedDate = new Date(this.__input.alt);\n        this.__date = {'year': parsedDate.getUTCFullYear(), 'month': parsedDate.getUTCMonth() + 1, 'day': parsedDate.getUTCDate()};\n      } else {\n        this.__date = {};\n      }\n\n      this.container = new Element('div', {'class' : 'fuzzy-date-picker'});\n      \n      //Insertion is done before, so that validation errors can appear after it\n      this.__input.insert({before : this.container});\n      var format = (this.__input.title || 'yyyy-MM-dd').split(/\\W+/);\n      for (var i = 0; i &lt; format.length; ++i) {\n        switch (format[i][0]) {\n          case 'y':\n            this.container.insert(this.createYearDropdown());\n            break;\n          case 'M':\n            this.container.insert(this.createMonthDropdown());\n            break;\n          case 'd':\n            this.container.insert(this.createDayDropdown());\n            break;\n        }\n      }\n\n      // TODO: yearSelector's (and month's &amp; day's) .onSelect() does not seem to fire\n      //       upon programmatic update if a substitute is found can remove these hackish events\n      this.container.observe("datepicker:date:changed", this.onProgrammaticUpdate.bind(this));\n      this.onProgrammaticUpdate();\n    },\n\n    onProgrammaticUpdate : function() {\n        this.yearSelected();\n        this.monthSelected();\n        this.updateDate();\n    },\n    \n    createYearDropdown : function() {\n      this.yearSelector = new widgets.FuzzyDatePickerDropdown({name: "year"});\n\n      var today = new Date();\n      var crtYear = today.getYear() + 1900;\n      var startYear = 1900;\n\n      var values = [];\n      for (var y = crtYear; y &gt;= startYear; --y) {\n        var yearSelected = (this.__date.year == y);\n        values.push({"value" : y, "selected" : yearSelected});\n        if (y % 10 == 0) {\n            values.push({"value" : (y + "s"), "cssClass" : "decade", "text" : (y + 's'), "selected" : (!yearSelected &amp;&amp; (this.__date.decade == y + "s"))});\n        }\n      }\n      values.push({"value": "1800s", "cssClass" : "decade", "selected" : this.__date.decade == "1800s"});\n      values.push({"value": "1700s", "cssClass" : "decade", "selected" : this.__date.decade == "1700s"});\n      values.push({"value": "1600s", "cssClass" : "decade", "selected" : this.__date.decade == "1600s"});\n\n      this.yearSelector.populate(values);\n      this.yearSelector.onSelect(this.yearSelected.bind(this));\n\n      return this.yearSelector.getElement();\n    },\n\n    yearSelected : function() {\n      if (!this.yearSelector) {\n        return;\n      }\n      if (this.yearSelector.getSelectedValue() &gt; 0) {\n      //  this.monthSelector.enable();\n        this.monthSelector &amp;&amp; this.monthSelected();\n      //} else {\n      //  this.monthSelector.disable();\n      //  this.daySelector.disable();\n      }\n      this.updateDate();\n    },\n\n    createMonthDropdown : function() {\n      this.monthSelector = new widgets.FuzzyDatePickerDropdown({name: "month"});\n      this.monthSelector.populate(this.getZeroPaddedValueRange(1,12, this.__date.month));\n      //this.monthSelector.disable();\n      this.monthSelector.onSelect(this.monthSelected.bind(this));\n      return this.monthSelector.getElement();\n    },\n\n    monthSelected : function() {\n      if (!this.monthSelector) {\n        return;\n      }\n      if (this.monthSelector.getSelectedValue() &gt; 0) {\n        this.daySelector &amp;&amp; this.daySelector.populate(this.getAvailableDays());\n      //  this.daySelector.enable();\n      //} else {\n      //  this.daySelector.disable();\n      }\n      this.updateDate();\n    },\n\n    createDayDropdown : function() {\n      this.daySelector = new widgets.FuzzyDatePickerDropdown({name: "day"});\n      this.daySelector.populate(this.getZeroPaddedValueRange(1,31, this.__date.day));\n      //this.daySelector.disable();\n      this.daySelector.onSelect(this.updateDate.bind(this));\n      return this.daySelector.getElement();\n    },\n\n    getAvailableDays : function () {\n      var year = this.yearSelector.getSelectedValue() * 1;\n      var month = this.monthSelector.getSelectedValue() * 1;\n      var lastDayOfMonth = 0;\n      if ([1,3,5,7,8,10,12].indexOf(month) &gt;= 0) {\n        lastDayOfMonth = 31;\n      } else if ([4,6,9,11].indexOf(month) &gt;= 0) {\n        lastDayOfMonth = 30\n      } else if (month == 2) {\n        if (year % 4 == 0 &amp;&amp; (year % 100 != 0 || year % 400 == 0)) {\n          lastDayOfMonth = 29;\n        } else {\n          lastDayOfMonth = 28;\n        }\n      }\n      return this.getZeroPaddedValueRange(1, lastDayOfMonth);\n    },\n\n    getZeroPaddedValue : function (value) {\n      return value ? ("0" + value).slice(-2) : "01";\n    },\n\n    getZeroPaddedValueRange : function (start, end, selected) {\n      var values = [];\n      if (start &lt;= end) {\n          for (var v = start; v &lt;= end; ++v) {\n              values.push({'value': v, 'text' : ("0" + v).slice(-2), 'selected' : selected == v});\n          }\n      } else {\n          for (var v = end; v &lt;= start; --v) {\n              values.push({'value': v, 'text' : ("0" + v).slice(-2), 'selected' : selected == v});\n          }\n      }\n      return values;\n    },\n\n    updateDate : function () {\n        var dateObject = {};\n\n        var y = this.yearSelector.getSelectedValue();\n        if (y.match(/\\d\\d\\d\\ds$/)) {\n            dateObject["decade"] = y;\n        } else {\n            if (y != "") {\n                dateObject["year"] = y;\n                dateObject["decade"] = y + "s";\n            }\n        }\n\n        if (y &gt; 0) {\n            var m = this.monthSelector &amp;&amp; this.monthSelector.getSelectedValue();\n            if (m &gt; 0) {\n                dateObject["month"] = this.monthSelector.getSelectedOption();\n\n                var d = this.daySelector &amp;&amp; this.daySelector.getSelectedValue();\n                if (d &gt; 0) {\n                    dateObject["day"] = this.daySelector.getSelectedOption();\n                }\n            }\n        }\n\n        var newValue = JSON.stringify(dateObject);\n        if (this.__recordBoth) {\n          var oldValue = this.__fuzzyInput.value;\n          if (newValue != oldValue) {\n            this.__fuzzyInput.value = JSON.stringify(dateObject);\n            this.__input.value = (y &amp;&amp; !y.match(/\\d\\d\\d\\ds$/)) ? (y + "-" + this.getZeroPaddedValue(m) + "-" + this.getZeroPaddedValue(d)) : "";\n            this.__input.alt = (y &amp;&amp; !y.match(/\\d\\d\\d\\ds$/)) ? (y + "-" + this.getZeroPaddedValue(m) + "-" + this.getZeroPaddedValue(d) + "T00:00:00Z") : "";\n            this.__input.fire("xwiki:date:changed");\n          }\n        } else {\n          var oldValue = this.__input.value;\n          if (newValue != oldValue) {\n            this.__input.value = JSON.stringify(dateObject);\n            this.__input.alt = (y &amp;&amp; !y.match(/\\d\\d\\d\\ds$/)) ? (y + "-" + this.getZeroPaddedValue(m) + "-" + this.getZeroPaddedValue(d) + "T00:00:00Z") : "";\n            this.__input.fire("xwiki:date:changed");\n          }\n        }\n    }\n  });\n\n  var init = function(event) {\n    ((event &amp;&amp; event.memo.elements) || [$('body')]).each(function(element) {\n      (element.hasClassName("fuzzy-date") ? [element] : element.select(".fuzzy-date")).each(function(dateInput) {\n        if (!dateInput.__datePicker) {\n          dateInput.__datePicker = new PhenoTips.widgets.FuzzyDatePicker(dateInput);\n        }\n      });\n    });\n    return true;\n  };\n\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe("xwiki:dom:updated", init);\n\n  // End augmentation.\n\n  return PhenoTips;\n}(PhenoTips || {}));</code>\n</property>\n<property>\n<name>Fuzzy datepicker</name>\n</property>\n<property>\n<parse></parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>12</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>27737a98-9433-41fd-83f6-ecb74ffac1a2</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>(function() {\n  var init = function(event) {\n    var containers = (event &amp;&amp; event.memo.elements) || [$('body')];\n    containers.each(function(container) {\n      container.select('input.suggestWorkgroups').each(function(input) {\n        if (!input.hasClassName('initialized')) {\n          var options = {\n            script: new XWiki.Document('SuggestWorkgroupsService', 'PhenoTips').getURL('get', 'outputSyntax=plain&amp;'),\n            noresults: "$services.localization.render('phenotips.widgets.workgroupPicker.noResults')"\n          };\n          // The picker suggests by default local workgroups.\n          if (input.hasClassName('global')) {\n            // Suggest global users or groups.\n            options.script = options.script + 'wiki=global&amp;';\n          }\n          new XWiki.widgets.UserPicker(input, options);\n          input.addClassName('initialized');\n        }\n      });\n    });\n  };\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe('xwiki:dom:loaded', init);\n  document.observe('xwiki:dom:updated', init);\n})()</code>\n</property>\n<property>\n<name>Suggest workgroups</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>13</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>d823f086-78f1-4019-8747-fcd55d2bd448</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function(PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.SegmentedBar = Class.create({\n    options: {\n      segments : 5,\n      displayValue : true\n    },\n    /**\n    A PhenoTips widget for displaying a value as a segmented bar HTML element. It uses the current text color and font size, so adjusting the look of the bar means changing the color and font-size on the HTML element returned by the generateSegmentedBar method, or on one of its ancestors, either via a CSS extension or programmatically. Example:\n\n        var barOptions = {\n          segments : 10,\n          displayValue : false\n        };\n        container.insert(new PhenoTips.widgets.SegmentedBar(score, barOptions).generateSegmentedBar().setStyle({color: 'red', fontSize: '200%'}));\n\n    @param value The value that this bar is meant to display. Must be between 0 and 1.\n\n    @param options Options for styling the segmented bar, all values are optional:\n\n    {\n      segments: The number of segments in the bar; default is 5,\n      displayValue: Option to display the percentage value after the bar; default is true\n    }\n\n    */\n    initialize : function(value, options) {\n      this.value = value;\n      this.options = Object.extend(Object.clone(this.options), options || { });\n    },\n    generateSegmentedBar: function() {\n      if (this.value &gt; 1 || this.value &lt; 0) {\n        console.log("Invalid segmented bar value");\n        return;\n      }\n      var bar = new Element('div', {\n        'class' : 'segmented-bar',\n        'title': Math.round(this.value * 100) + '%' || ''\n      });\n      var valueUnit = 1 / this.options.segments;\n      for (var i = 0; i &lt; this.options.segments; ++i) {\n        var segmentFill = 100 * Math.min(Math.max((this.value - i * valueUnit) / valueUnit, 0), 1);\n        var segment = new Element('span', {\n          'class': 'segmented-unit'\n        });\n        var segmentFillElement =  new Element('span', {\n          'class': 'segmented-unit-fill'\n        });\n        segmentFillElement.setStyle({\n          width: segmentFill + '%',\n        });\n        segment.insert(segmentFillElement);\n        bar.insert(segment);\n      }\n      if(this.options.displayValue){\n        bar.insert(' ' + Math.round(this.value * 100) + '%');\n      }\n      return bar;\n    }\n  });\n  return PhenoTips;\n})(PhenoTips || {});</code>\n</property>\n<property>\n<name>Segmented Bar</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>3adf8acf-b6e8-4d05-a382-fa56ee969cf9</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n.msdialog-modal-container {\n  position: absolute;/*fixed;*/\n  top: 0px;\n  bottom: 0px;\n  left: 0px;\n  right: 0px;\n  width: 100%;\n  height: 100%;\n  text-align: center;\n  z-index: 100014;/*1005;*/\n}\n/* For IE6, which doesn't understand position: fixed. */\n* html .msdialog-modal-container {\n  position: absolute;\n}\n/* Semi-transparent overlay screen that covers the entire page. */\n.msdialog-screen {\n  position: absolute;\n  top: 0px;\n  bottom: 0px;\n  left: 0px;\n  right: 0px;\n  width: 100%;\n  height: 100%;\n  background-color: #000;\n}\n.msdialog-box {\n  text-align: left;\n  padding: 0;\n  margin: auto;\n  position: relative;\n  width: 60%;\n  color: #000;\n  border: 2px solid #333;\n  background-color: #f5f5f5;\n  border-radius: 8px;\n  box-shadow: 0 0 6px $theme.linkColor;\n}\n.msdialog-box .content{\n  margin: .8em;\n}\n.msdialog-close {\n  float: right;\n  cursor: pointer;\n  width: .8em;\n  margin-right: .4em;\n  height: 1.4em;\n  text-align : center;\n  font-weight: bold;\n  font-family: Arial, Helvetica, sans-serif;\n  line-height: 1.4em;\n  color: #FFF;\n}\n* html .msdialog-close {\n  width: 22px;\n}\n.msdialog-title {\n  font-size: 80%;\n  font-weight: bold;\n  color: #FFF;\n  background-color: #333;\n  border-radius: 5.5px 5.5px 0 0;\n  padding: .3em 1.2em .3em .8em;\n  cursor: move;\n}\n.msdialog-box .xform {\n  width: 100%;\n}</code>\n</property>\n<property>\n<name>Modified Modal popup</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>1</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>95d4225b-2cf1-4680-9922-a2d82e238ffe</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n.xhover {\n  background:red;\n}\n\ninput[type="text"].suggest {\n  border-width: 1px;\n}\n\nbody {\n  position: relative;\n}\n\ndiv.suggestItems {\n  position:absolute;\n  border: 1px solid #eee;\n  border-top: none;\n  background: white;\n  z-index: 100013;\n  text-align:left;\n  box-shadow: 0 4px 8px #777;\n  margin-left: 1px;\n  margin-top: 5px;\n}\ndiv.suggestItems:before {\n  border-left: 11px solid transparent;\n  border-right: 11px solid transparent;\n  border-top: 0 none;\n  border-bottom: 11px solid $theme.borderColor;\n  content: "";\n  display: block;\n  left: 50%;\n  margin-left: -11px;\n  position: absolute;\n  top: -11px;\n}\ndiv.suggestItems:after {\n  border-left: 10px solid transparent;\n  border-right: 10px solid transparent;\n  border-top: 0 none;\n  border-bottom: 10px solid $theme.pageContentBackgroundColor;\n  content: "";\n  display: block;\n  left: 50%;\n  margin-left: -10px;\n  position: absolute;\n  top: -10px;\n}\n\ndiv.suggestItems .hide-button-wrapper {\n  text-align: right;\n  line-height: 1em;\n  border-bottom: 1px dotted;\n}\ndiv.suggestItems .hide-button {\n  color: $theme.linkColor;\n  cursor: pointer;\n  font-size: 0.8em;\n  font-style: italic;\n  opacity: 1;\n  padding: 0 0.5em;\n  margin: 0 4px;\n}\ndiv.suggestItems ul {\n  margin: 0px;\n}\n\ndiv.suggestItems li {\n  overflow:hidden;\n  white-space:normal !important;\n  width: auto !important;\n  float: none !important;\n  padding: 4px;\n}\n\ndiv.suggestItems .suggestItem.custom-value .suggestId {\n  display: none !important;\n}\n\ndiv.suggestItems em {\n  font-weight:normal !important;\n  margin-right:2px;\n}\n\ndiv.suggestItems span.info span.hint {\n  color: #777;\n  margin-left:5px;\n}\n\ndiv.suggestItems span.matching-alternative-name {\n  display: inline-block;\n  padding-left: 55px;\n}\n\ndiv.suggestItems span.matching-alternative-name:before {\n  content: "(also known as: ";\n  font-size: 0.8em;\n  opacity: .4;\n}\n\ndiv.suggestItems span.matching-alternative-name:after {\n  content: ")";\n  font-size: 0.8em;\n  opacity: .4;\n}\n\ndiv.suggestItems div.info {\n  color: #777;\n  font-size: 0.8em;\n  padding-left:5px;\n}\n\ndiv.suggestItems div.info span.legend {\n  font-weight: normal;\n}\n\nul.suggestList {\n  margin:0px !important;\n  text-transform:none;\n  color: #333;\n  font-weight:normal;\n  padding: 0;\n}\n\nul.suggestList li{\n  padding: 4px;\n  border-top: 1px dotted #777;\n}\nul.suggestList li:first-child{\n  border-top: 0 none;\n}\nul.suggestList .xhighlight {\n  background-color: $theme.highlightColor;\n  cursor:pointer;\n}\n\ndiv.suggestItemName {\n  text-indent: 0;\n}\n\ndiv.suggestItem, li.noSuggestion div {\n  color: #333;\n  font-size: 0.875em;\n}\n\ndiv.suggestItemName,\ndiv.suggestItemInfo {\n  text-decoration: inherit;\n}\n\n.highlight {\n  background-color: $theme.highlightColor;\n  color: #000;\n  font-weight:bold;\n  text-decoration: inherit;\n}\n\ndiv.resultContainer div.sourceName {\n  background-color: #DDD;\n  font-variant: small-caps;\n  font-weight: 700;\n  color: #333;\n  padding-top:3px;\n  font-size:0.875em;\n  background-position:3px 3px;\n  background-repeat:no-repeat;\n}\n\n.horizontalLayout div.resultContainer div.sourceName {\n  float:left;\n  width:150px;\n  margin-right:3px;\n  padding-right:20px;\n  text-align:right;\n  background-position:right center;\n}\n\n.horizontalLayout div.resultContainer div.xitemcontainer {\n  margin-left:10px;\n}\n\n.horizontalLayout div.resultContainer div.results {\n  clear:both;\n  background-color: #DDD;\n}\n\n.horizontalLayout div.resultContainer ul.suggestList {\n  background-color:white;\n}\n\ndiv.resultContainer div.sourceContent.loading {\n  background-position:center center;\n  min-height:30px;\n}\n\n.suggestId:before {\n  content: "[";\n}\n.suggestId:after {\n  content: "] ";\n}\n.suggestId {\n  font-size: 87%;\n}\n.suggestInfo {\n  font-size: 100%;\n  word-wrap: normal !important;\n  display: inline-block;\n  width: 100%;\n  float: right;\n  line-height:1.2em !important;\n}\n.suggestInfo dl {\n  display: inline;\n}\n.suggestInfo dt {\n  font-style: italic;\n}\n\n.suggestInfo dt, .suggestInfo dd {\n  margin-left: 1.2em;\n  position: relative;\n}\n.suggestInfo dt.collapsed + dd {\n  display: none;\n}\n.suggestInfo dt .expand-tool {\n  cursor: pointer;\n  position: absolute;\n  top: 0em;\n  left: -1.2em;\n}</code>\n</property>\n<property>\n<name>Modified suggest</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>2</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>64464fe6-5214-4cab-b03d-ba1892d3bb2c</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n.accepted-suggestions {\n  margin: 0 0 1em !important;\n  list-style-type: none;\n  padding: 0;\n}\n\n.accepted-suggestions li {\n  position: relative;\n  line-height: 1.3em;\n}\n.accepted-suggestion {\n  padding: .05em 0;\n}\n.accepted-suggestions li .key {\n  font-size: 87%;\n  color: #777;\n}\n.accepted-suggestions li .value {\n  margin-right: 1em;\n}\n.accepted-suggestions li .delete-tool,\n.clear-tool {\n  display: none;\n  color: #a00;\n  line-height: 1em;\n  font-size: 87%;\n  margin: 0 0.5em;\n  cursor: pointer;\n  float: right;\n}\n.clear-tool {\n  display: block;\n}\n.accepted-suggestions li:hover {\n  background: $theme.highlightColor;\n}\n.accepted-suggestions li:hover .delete-tool {\n  position: absolute;\n  top: .4em;\n  right: 0;\n  display: inline;\n}\n.accepted-suggestions li .tooltip {\n  display: none;\n  position: absolute;\n  top: 1.35em;\n  left: 12.5%;\n  width: 75%;\n  border: 0 none;\n  background: #fff;\n  padding: 4px 8px;\n  border-radius: 0 12px 12px 12px;\n  box-shadow: 0 0 6px #777;\n  z-index: 20;\n}\n.accepted-suggestions li:hover .tooltip {\n  display: block;\n}\n.accepted-suggestions li .tooltip dt {\n  color: #000;\n  font-style: italic;\n  margin: .4em 0 0.2em;\n}</code>\n</property>\n<property>\n<name>Multi suggest</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>3</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>8b79ea53-be8b-4d5e-a725-4d60224414b7</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n\n.ontology-tree {\n}\n.ontology-tree .parents{\n  list-style-type: none;\n  margin: 0;\n  padding: 0;\n}\n\n.ontology-tree .parents .parent:before {\n  display: inline-block;\n  float: left;\n  font-size: 1.2em;\n  content: "\\251C"; /*"\\2523";*/\n  width: .8em;\n}\n.ontology-tree .parent:first-child:before {\n  content: "\\250C";/*"\\250f";*/\n}\n\n.ontology-tree .root:before {\n  display: inline-block;\n  float: left;\n  content: "\\2514\\2500";/*"\\2517\\2501";*/\n  width: 1.4em;\n  font-size: 1.2em;\n  font-weight: normal;\n  color: transparent;\n}\n\n.ontology-tree .parents+.root:before {\n  color: $theme.textColor;\n}\n\n.ontology-tree .key {\n  opacity: .4;\n  font-size: .8em;\n}\n.ontology-tree .root&gt;.entry-data .value {\n  font-weight: bold;\n}\n.ontology-tree .root&gt;.descendents {\n  margin-left: 2.4em;\n}\n.ontology-tree .no-root&gt;.descendents {\n  margin: 0 0;\n}\n.ontology-tree .no-root:before {\n  display: none;\n}\n.ontology-tree .root&gt;.empty {\n  margin-left: 3.8em;\n}\n.ontology-tree .descendents li {\n  clear: both;\n}\n.ontology-tree .collapsed .descendents {\n  display: none;\n}\n.ontology-tree .descendents {\n  list-style-type: none;\n  margin: 0 0 0 1em;\n  padding: 0;\n}\n.ontology-tree .hint {\n  margin-left: 1.6em;\n}\n.ontology-tree .entry-tools {\n  /* float: right; */\n  display: inline-block;\n  margin-left: 0.5em;\n  margin-right: 0.5em;\n  min-width: 17px;\n  vertical-align: middle;\n}\n.ontology-tree .entry-data {\n  line-height: 1.4em;\n}\n.ontology-tree .info {\n  cursor: pointer;\n}\n.ontology-tree .entry-data:hover {\n  background: $theme.highlightColor;\n}\n\n.ontology-tree .accepted &gt;.entry-data {\n  background-color: $theme.backgroundSecondaryColor;\n}\n.ontology-tree .accepted &gt;.entry-data .info .value {\n  font-weight: bold;\n}\n\n.ontology-tree .entry, .term-entry {\n  position: relative;\n}\n.expand-tool {\n  display: inline-block;\n  color: $theme.linkColor;\n  width: .8em;\n  text-shadow: 0 0 5px #ccc;\n  cursor: pointer;\n  font-size: .8em;\n  margin-right: 0.5em;\n  vertical-align: middle;\n}\n.expand-tool.locked {\n  color: $theme.textColor;\n  opacity: .4;\n  cursor: default;\n}\n.expand-tool.disabled {\n  visibility: hidden;\n  cursor: default;\n}\n.select-tool {\n  vertical-align: middle;\n}\n.ontology-tree .subterm-selected .select-tool {\n  opacity: .5;\n}\n.ontology-tree .subterm-selected .expand-tool:after {\n  background: none repeat scroll 0 0 $theme.linkColor;\n  color: $theme.linkColor;\n  content: "...";\n  display: inline-block;\n  font-weight: bold;\n  margin-left: 1.3em;\n  position: absolute;\n  text-align: center;\n  top: .3em;\n  width: 11px;\n}\n.msdialog-box .ontology-tree .term-tools {\n  display: none;\n}\n.dialog-ontology-browser {\n  z-index: 400000 !important;\n}</code>\n</property>\n<property>\n<name>Ontology browser</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>4</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>a629e713-040b-4000-b42e-4b34bb397448</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n.dropdown {\n  margin-left: 1.2em;\n  width: 95%;\n  z-index: 100;\n}\n.dropdown.emphasized-box {\n  margin-left: -4px;\n  padding: 0.25em 0.25em 0.25em 1.05em;\n  /*position: absolute;*/\n}\n.dropdown .close {\n  cursor: pointer;\n  right: .25em;\n  position: absolute;\n}\n.dropdown .ontology-tree .entry-data {\n  line-height: 1.4em;\n  padding-right: 1.1em;\n}\n.dropdown .ontology-tree .entry-data&gt;.info .key {\n  display: none;\n}\n.term-label .expand-tool {\n  display: inline-block;\n  margin-top: -0.5em;\n}\n.dropdown:not(.invisible) + br {\n  display: none;\n}</code>\n</property>\n<property>\n<name>Dropdown style</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>5</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>6a32e24f-34dd-4972-b5da-305be3db4027</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>ol.xwiki-free-multiselect {\n  list-style-position: outside;\n}\ninput.xwiki-free-multiselect-value {\n  max-width: 50% !important;\n}</code>\n</property>\n<property>\n<name>Free Multiselect</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>6</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>db98aaff-6646-4778-8d05-160724bac290</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.unit-system-selector {\n  float: right;\n  padding: 3px 3px 0;\n  border-radius: 3px;\n}</code>\n</property>\n<property>\n<name>Unit system selector</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>7</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>00ed2265-5601-43d6-94b9-c1cab4eaae52</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n/* The help icon, already displayed as a question mark character. */\n.xHelpButton {\n  cursor: pointer;\n  line-height: 0.75em;\n  display: inline-block;\n  padding: .125em;\n}\n.xHelpButton:hover {\n  color: $theme.linkColor;\n}\n\n/* The box containing the tooltip, displayed when clicking on the help icon. */\n.xTooltip {\n  background: $theme.pageContentBackgroundColor;\n  border: 0 none;\n  border-radius: 0 1em 1em;\n  box-shadow: 0 0 6px rgba(0, 0, 0, 0.2);\n  color: $theme.textColor;\n  display: inline-block;\n  margin: 0.7em 0 0 -0.3em;\n  max-width: 80%;\n  padding: 0.75em 1em;\n  position: absolute;\n  z-index: 25;\n}\n.xTooltip.error {\n  color: $theme.notificationErrorColor;\n  font-weight: bold;\n}\n.xTooltip .hide-tool {\n  cursor: pointer;\n  float: right;\n  margin-right: -0.5em;\n  margin-top: -0.6em;\n}\n\n.xTooltip .value {\n  font-weight: bold;\n}\n.xTooltip .key {\n  font-size: .8em;\n  opacity: .7;\n}\n.xTooltip dl {\n  margin: .3em 0;\n}\n.xTooltip dt {\n  font-style: italic;\n  margin: .4em 0 0.2em;\n}\n.xTooltip .term-tools {\n  margin: .4em 0;\n}</code>\n</property>\n<property>\n<name>Help buttons</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>8</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>1fcf8d61-83d1-4fdb-8723-64b8de5cd688</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>input.suggestWorkgroups {\n  background-image: url('/resources/icons/datamodel/groups.png');\n  background-position: 0.3em center;\n  background-repeat: no-repeat;\n  padding-left: 2em;\n}</code>\n</property>\n<property>\n<name>Suggest workgroups</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Widgets</name>\n<number>9</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>a9b51b91-4ca2-45c8-9b25-845afcdd9a6e</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.segmented-bar {\n  white-space: nowrap;\n  width: auto;\n}\n.segmented-bar .segmented-unit {\n  border: 1px solid currentColor;\n  border-radius: 1px;\n  display: inline-block;\n  height: 1ex;\n  margin: 0;\n  padding: 0;\n  width: 1ex;\n}\n.segmented-bar .segmented-unit+.segmented-unit {\n  margin-left: 0.2ex;\n}\n.segmented-bar .segmented-unit-fill {\n  display: block;\n  height: 100%;\n  background: currentColor;\n}</code>\n</property>\n<property>\n<name>Segmented Bar</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content></content></xwikidoc>\n
-937063183793048906	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Main</web>\n<name>MessageSenderMacro</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1424473682000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Message Sender Macro</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>Main.MessageSenderMacro</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>45267be4-0f7b-407f-99c8-f5ce7665cbb8</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#set ($userSuggestScope = 'local')\n#if ($services.wiki.user &amp;&amp; $services.wiki.user.userScope != "LOCAL_ONLY")\n  #set ($userSuggestScope = 'global')\n#end\nvar XWiki = (function (XWiki) {\n// Start XWiki augmentation.\n/**\n * Extends the UserPicker in order to display the selected user/group inline after the target text input.\n */\nvar CustomUserPicker = Class.create(XWiki.widgets.UserPicker, {\n  // @Override\n  _createSelectionManager: function($super, options) {\n    var selectionManager = $super(Object.extend(options, {\n      listInsertionPosition : 'after',\n      acceptFreeText : false\n    }));\n    // Overwrite the way the selected item is displayed.\n    selectionManager.displayItem = function(suggestion) {\n      var targetInfo = new Element('span').update(suggestion.info).insert(this.createDeleteTool());\n      var targetClass = this.suggest.sources[0].script.indexOf('uorg=group') &gt; 0 ? 'target-group' : 'target-user';\n      return new Element('li', {'class': targetClass}).insert(targetInfo).insert(this.createItemInput(suggestion));\n    }.bind(selectionManager);\n    return selectionManager;\n  }\n});\n\nXWiki.MessageStream = Class.create({\n  targetsWithName : ['user', 'group'],\n  suggestParameters : {\n    user : {\n      script: '$doc.getURL("get", "xpage=uorgsuggest&amp;uorg=user&amp;wiki=${userSuggestScope}")&amp;',\n      noresults: "$escapetool.javascript($services.localization.render('core.widgets.userPicker.noResults'))"\n    },\n    group : {\n      script: "$doc.getURL('get', 'xpage=uorgsuggest&amp;uorg=group')&amp;",\n      noresults: "$escapetool.javascript($services.localization.render('core.widgets.groupPicker.noResults'))"\n    }\n  },\n  initialize : function() {\n    this.prepareForms();\n    this.enhanceSelect();\n  },\n  prepareTargetInput : function(event, element) {\n    var targetType = element.options[element.selectedIndex].value;\n    element.className = targetType;\n    if (!element.__targetNameInput) {return;}\n    if (this.targetsWithName.indexOf(targetType) &lt; 0) {\n      element.__targetNameInput.addClassName('hidden');\n      if (element.__targetNameInput.__x_suggest) {\n        element.__targetNameInput.__x_suggest.detach();\n      }\n    } else {\n      // Focus the text input so that the place-holder value is cleared if present. Otherwise the user picker will treat\n      // the place-holder value as if it was typed by the user and will automatically select the corresponding suggestion.\n      element.__targetNameInput.removeClassName('hidden').activate();\n      // Defer the creation of the user picker to allow the focus listeners to be called first (in order to clear the\n      // place-holder value).\n      this.suggestParameters[targetType] &amp;&amp; function() {\n        new CustomUserPicker(element.__targetNameInput, this.suggestParameters[targetType]);\n      }.bind(this).defer();\n    }\n  },\n  enhanceSelect: function () {\n    $$('.messagestream select[name="visibilityLevel"]').each(function(element) {\n      element.addClassName(element.options[element.selectedIndex].value);\n      element.__targetNameInput = element.up('.messagestream').down('input[name="targetName"]');\n      if (element.__targetNameInput &amp;&amp; this.targetsWithName.indexOf(element.options[element.selectedIndex].value) &lt; 0) {\n        element.__targetNameInput.addClassName('hidden');\n      }\n      element.observe('change', this.prepareTargetInput.bindAsEventListener(this, element));\n      this.prepareTargetInput(null, element);\n    }.bind(this));\n  },\n  prepareForms: function() {\n    $$('.messagestream form').each(function(msForm) {\n      msForm.action = msForm.action.replace(/xredirect=.*$/, 'xpage=plain')\n      msForm.observe('submit', function(event) {\n        event.stop();\n        if (msForm._disabled == true || msForm.down('textarea').value.strip() == '') {\n          return;\n        }\n        new Ajax.Request(\n          msForm.action, {\n            parameters: msForm.serialize(true),\n            onCreate: function() {\n              msForm._disabled = true;\n              msForm._notification = new XWiki.widgets.Notification("$services.localization.render('xe.activity.messages.submit.inProgress')", 'inprogress');\n            },\n            onSuccess: function() {\n              if (msForm) {\n                msForm.messagestream_message.value = '';\n              }\n              if (msForm &amp;&amp; msForm._notification) {\n                msForm._notification.hide();\n              }\n              msForm._notification = new XWiki.widgets.Notification("$services.localization.render('xe.activity.messages.submit.success')", 'done');\n\n              document.fire('xwiki:activity:newActivity', msForm);\n            },\n            onFailure: function(response) {\n              var failureReason = '';\n              if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                failureReason = 'Server not responding';\n              } else {\n                failureReason = response.statusText;\n              }\n              if (msForm) {\n                msForm._disabled = false\n                if (msForm._notification) {\n                  msForm._notification.hide();\n                }\n                msForm._notification = new XWiki.widgets.Notification("$services.localization.render('xe.activity.messages.submit.failed'): " + failureReason, 'error');\n              }\n            },\n            on1223 : function(response) { /*SUCCESS*/\n              response.request.options.onSuccess(response);\n            },\n            on0 : function(response) {  /*FAILURE*/\n              response.request.options.onFailure(response);\n            },\n            onComplete: function() {\n              msForm._disabled = false;\n            }.bind(this)\n          }\n        );\n      }.bindAsEventListener(this));\n    }.bind(this));\n  }\n});\n\nvar init = function() {\n  return new XWiki.MessageStream();\n};\n(XWiki.domIsLoaded &amp;&amp; init()) || document.observe('xwiki:dom:loaded', init);\n\n// End XWiki augmentation.\nreturn XWiki;\n}(XWiki || {}));</code>\n</property>\n<property>\n<name>User status update</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>Main.MessageSenderMacro</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>d2eaf281-0560-40ea-bfed-99a94ee1b305</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n.messagestream-tools {\n  position: relative;\n  margin: 2px 0;\n}\n.messagestream-tools .accepted-suggestions {\n  display: inline;\n}\n.messagestream-tools .accepted-suggestions .target-user,\n.messagestream-tools .accepted-suggestions .target-group {\n  background: none no-repeat scroll left center transparent;\n  display: inline-block;\n  margin-right: 1em;\n  padding: 0 1px 0 18px;\n}\n.messagestream-tools .accepted-suggestions .target-user {\n  background-image: url("$xwiki.getSkinFile('icons/silk/user.png')");\n}\n.messagestream-tools .accepted-suggestions .target-group {\n  background-image: url("$xwiki.getSkinFile('icons/silk/group.png')");\n}\n.messagestream select {\n  padding: .2em;\n  width: auto;\n}\n.messagestream input.targetName {\n  margin-right: .3em;\n  width: auto;\n}</code>\n</property>\n<property>\n<name>Message stream form styling</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<name>Main.MessageSenderMacro</name>\n<number>0</number>\n<className>XWiki.WikiMacroClass</className>\n<guid>080fc355-840c-4a9d-820f-1fb16690f451</guid>\n<property>\n<code>{{velocity output='false'}}\n#* Duplicate code (from Main.Activity) START *#\n##\n## User status configuration\n## -------------------------------------------------------------\n#set ($config = 'XWiki.MessageStreamConfig')\n#set ($configClass = $xwiki.getDocument($config).getxWikiClass())\n#set ($configObj = $xwiki.getDocument($config).getObject($config))\n#set ($isMessageStreamActive = ("$configObj.getProperty('active').value" == '1'))\n\n#set ($currentUser = $services.model.serialize($xcontext.userReference, 'default'))\n\n#set ($activityActionsMap = {\n  'publicMessage':    'icons/silk/user_comment.png',\n  'personalMessage':  'icons/silk/user_comment.png',\n  'directMessage':    'icons/silk/user_go.png',\n  'groupMessage':     'icons/silk/group_go.png'\n})\n##\n#**\n  * Display user avatar and action message\n  *#\n#macro(activitySnapshot $eventUser $eventType)\n  &lt;span class='activitySnapshot'&gt;\n    #if ($eventUser != 'XWiki.XWikiGuest')\n      &lt;a href="$xwiki.getURL($eventUser)"&gt;#smallUserAvatar("$!eventUser")&lt;/a&gt;\n    #else\n      #smallUserAvatar("$!eventUser")\n    #end\n    &lt;img class='activityActionAvatar' src="$xwiki.getSkinFile($activityActionsMap.get($eventType), true)" alt="$services.localization.render("xe.activity.action.${eventType}", [$relatedEventsNo])" title="$services.localization.render("xe.activity.action.${eventType}", [$relatedEventsNo])" /&gt;\n  &lt;/span&gt;\n#end\n##\n#* Duplicate code END *#\n##\n## Skin Extensions\n##--------------------------------------------------------------\n#set ($discard = $xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js'))\n#set ($discard = $xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js'))\n#set ($discard = $xwiki.ssx.use('Main.Activity'))\n#set ($discard = $xwiki.ssx.use('Main.MessageSenderMacro'))\n#set ($discard = $xwiki.jsx.use('Main.MessageSenderMacro'))\n{{/velocity}}\n\n{{velocity}}\n#if ($isMessageStreamActive)\n  #set ($xredirect = $doc.getURL($xcontext.action, $!{request.queryString}))\n  #set ($errorMessageKeyPrefix = "messageSender.post.error.")\n  #set ($errorMessage = $request.session.getAttribute("${errorMessageKeyPrefix}${xredirect}"))\n  #if ("$!errorMessage" != '')\n    ## Clean the error and display the message.\n    #set ($discard = $request.session.removeAttribute("${errorMessageKeyPrefix}${xredirect}"))\n    {{error}}$errorMessage{{/error}}\n\n  ##\n  ## Handle postMessage action here so that the macro can be self contained.\n  ##\n  #elseif ("$!{request.xaction}" != '')\n    #if ("$!{request.xaction}" == 'postMessage')\n      #if(!$services.csrf.isTokenValid(${request.form_token}))\n        #set($redirectURL = $services.csrf.getResubmissionURL())\n        $response.sendRedirect($redirectURL)\n      #else\n        #set ($message = "$!{request.messagestream_message.trim()}")\n        #if ($message == '')\n          ## Do nothing with empty messages\n          #if ("$!{request.xredirect}" != '')\n            $response.sendRedirect(${request.xredirect})\n          #end\n        #else\n          #set ($success = false)\n          #if (!$isGuest)\n            #set ($messageType = "$!{request.visibilityLevel}")\n            #if ($messageType == 'everyone')\n              #set ($success = $services.messageStream.postPublicMessage($message))\n            #elseif ($messageType == 'followers')\n              #set ($success = $services.messageStream.postPersonalMessage($message))\n            #elseif ($messageType == 'group')\n              #set ($success = $services.messageStream.postMessageToGroup($message, $services.model.resolveDocument("$!{request.targetName}")))\n            #elseif ($messageType == 'user')\n              #set ($success = $services.messageStream.postDirectMessageToUser($message, $services.model.resolveDocument("$!{request.targetName}")))\n            #end\n          #end\n          #if (!$success)\n            #if ($request.xpage == 'plain')\n              #if ($isGuest)\n                $response.setStatus(401)## Unauthorized\n              #else\n                $response.setStatus(403)## Forbidden\n              #end\n              $services.localization.render('xe.activity.messages.submit.failed')\n            #elseif ("$!{request.xredirect}" != '')\n              ## Pass the error message in the xredirect so that we display it in the calling page and not in the macro page.\n              $request.session.setAttribute("${errorMessageKeyPrefix}${request.xredirect}", $services.localization.render('xe.activity.messages.submit.failed'))\n              $response.sendRedirect($request.xredirect)\n            #else\n              {{error}}$services.localization.render('xe.activity.messages.submit.failed'){{/error}}\n\n            #end\n          #elseif ("$!{request.xredirect}" != '')\n            $response.sendRedirect(${request.xredirect})\n          #elseif ($request.xpage == 'plain')\n            ## Just print something for confirmation.\n            $services.localization.render('xe.activity.messages.submit.success')\n          #end\n        #end\n      #end\n    #end\n  #end\n  ##\n  ## Display the UI. Don't display it for AJAX calls and guests.\n  ##\n  #if ($request.xpage != 'plain' &amp;&amp; !$isGuest)\n    ## When this macro is displayed in edit/inline mode, we disable the inputs and no longer display the form (because it would clash with the main form of inline edit).\n    #set ($inEditMode = ($xcontext.action == 'inline' || $xcontext.action == 'edit'))\n    #set ($actionQueryString = "xredirect=$escapetool.url($xredirect)")\n    {{html}}\n    ## Wrap the form in a div so that the layout is preserved in inline mode (where the form is stripped by the rendering).\n    &lt;div class='messagestream activityUser xform'&gt;\n    #if (!$inEditMode)\n    &lt;form action="${xwiki.getURL('Main.MessageSenderMacro', 'view', $!{actionQueryString})}" method='post'&gt;\n    #end\n      &lt;div class='activityContent'&gt;\n        #if(!$inEditMode)\n          ## CSRF prevention\n          &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n          &lt;input type='hidden' name='xaction' value='postMessage' /&gt;\n        #end\n        #activitySnapshot($xcontext.user, 'personalMessage')\n        &lt;div class='messagestream-data'&gt;\n          &lt;textarea name='messagestream_message' rows='3' cols='40'#if($inEditMode) disabled='disabled'#end&gt;&lt;/textarea&gt;\n        &lt;/div&gt;\n        &lt;div class='messagestream-tools'&gt;\n          #set ($possibleTargets = $xcontext.macro.params.get('visibilityOptions').split('\\s*,\\s*'))\n          #if (!$possibleTargets)\n            #set ($possibleTargets = $configClass.get('visibilityLevel').getListValues())\n          #end\n          ##\n          #set ($targetName = $xcontext.macro.params.get('visibilityParameter'))\n          ##\n          #set ($defaultTarget = $xcontext.macro.params.get('visibility'))\n          #if (!$defaultTarget)\n            #if ($doc.getObject('XWiki.XWikiGroups'))\n              #set ($defaultTarget = 'group')\n              #set ($targetName = $doc.prefixedFullName)\n            #elseif ($doc.getObject('XWiki.XWikiUsers'))\n              #if ($doc.prefixedFullName == $currentUser)\n                #set ($defaultTarget = 'followers')\n              #else\n                #set ($defaultTarget = 'user')\n                #set ($targetName = $doc.prefixedFullName)\n              #end\n            #else\n              #set ($defaultTarget = 'everyone')\n            #end\n          #end\n          &lt;label&gt;$services.localization.render('xe.activity.messages.visibility')\n            &lt;select name='visibilityLevel'#if($inEditMode) disabled='disabled'#end&gt;\n            #foreach ($target in $possibleTargets)\n              &lt;option value="${target}"#if ($defaultTarget == $target) selected='selected'#end&gt;$services.localization.render("XWiki.MessageStreamConfig_visibilityLevel_${target}")&lt;/option&gt;\n            #end\n            &lt;/select&gt;\n          &lt;/label&gt;\n          &lt;label for="targetName$!{targetNameCounter}"&gt;\n            &lt;span class='hidden'&gt;Name:&lt;/span&gt;\n            &lt;input type="text" name="targetName" id="targetName$!targetNameCounter" class="targetName withTip useTitleAsTip" value="$!targetName" size="15"\n              title="$services.localization.render('xe.activity.messages.visibility.targetName.tip')" #if ($inEditMode) disabled="disabled"#end/&gt;\n          &lt;/label&gt;\n          #if (!$targetNameCounter)\n            #set ($targetNameCounter = 1)\n          #else\n            #set ($targetNameCounter = $targetNameCounter + 1)\n          #end\n        &lt;/div&gt;\n        &lt;div class='messagestream-buttons'&gt;\n          &lt;span class='butonwrapper'&gt;&lt;input type='submit' value="$services.localization.render('xe.activity.messages.submit')" class='button'#if($inEditMode) disabled='disabled'#end/&gt;&lt;/span&gt;\n        &lt;/div&gt;\n      &lt;/div&gt;\n    #if (!$inEditMode)\n    &lt;/form&gt;\n    #end\n    &lt;/div&gt;\n    {{/html}}\n  #end\n#end\n{{/velocity}}</code>\n</property>\n<property>\n<contentDescription></contentDescription>\n</property>\n<property>\n<contentType>No content</contentType>\n</property>\n<property>\n<defaultCategory>Social</defaultCategory>\n</property>\n<property>\n<description>A control that allows users to enter messages that are handled by the MessageStream module.</description>\n</property>\n<property>\n<id>messageSender</id>\n</property>\n<property>\n<name>Message Sender</name>\n</property>\n<property>\n<supportsInlineMode>0</supportsInlineMode>\n</property>\n<property>\n<visibility>Current Wiki</visibility>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Main.MessageSenderMacro</name>\n<number>0</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>615acf22-2c34-4197-9255-d3539674457a</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Default selected visibility when the macro is displayed.\n\nIf not specified, it is determined automatically based on the page where the macro is used.\n\nValid values are: 'everyone', 'followers', 'group' or 'user'. </description>\n</property>\n<property>\n<mandatory></mandatory>\n</property>\n<property>\n<name>visibility</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Main.MessageSenderMacro</name>\n<number>1</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>feced613-3e36-40e2-a0db-71d91b3c5bb9</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Some visibility levels (like 'user' and 'group') accept a parameter. In the case of the 2 mentioned levels, the value can be a serialized reference of a user or a group document.</description>\n</property>\n<property>\n<mandatory></mandatory>\n</property>\n<property>\n<name>visibilityParameter</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>Main.MessageSenderMacro</name>\n<number>2</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>72674ec2-6bd1-4735-a395-15a5ccac6aac</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Comma separated list of visibility options that the macro should allow the user to choose from.\n\nThis list should be a sublist of the defualt ones: 'everyone', 'followers', 'group', 'user'.</description>\n</property>\n<property>\n<mandatory></mandatory>\n</property>\n<property>\n<name>visibilityOptions</name>\n</property>\n</object>\n<content>{{messageSender/}}</content></xwikidoc>\n
-885409311507671954	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>DateTimePicker</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822130000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Date Time Picker</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.DateTimePicker</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>6f429c0b-173f-4a3a-bd45-f5bc1f977bb4</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#set($dayFormats = {\n   'dayNames' : 'EEEE',\n   'abbreviatedDayNames' : 'EEE',\n   'shortestDayNames' : 'EE',\n   'firstLetterDayNames' : 'E'\n})\n#set($monthFormats = {\n   'monthNames' : 'MMMM',\n   'abbreviatedMonthNames' : 'MMM'\n})\n#set($weekdays = ['sun', 'mon', 'tue', 'wed', 'thu', 'fri', 'sat'])\n#set($months = ['jan', 'feb', 'mar', 'apr', 'may', 'jun', 'jul', 'aug', 'sep', 'oct', 'nov', 'dec'])\n\n#set ($templateDate = $services.jodatime.mutableDateTime)\n\n#macro(datePicker_generateLocalizedDateComponent $jsvar2FormatMap, $values, $templateDate, $targetDateComponent)\n  #foreach ($entry in $jsvar2FormatMap.entrySet())\n  $entry.key : [ ##\n    #foreach($i in $values)\n      #set($discard = $targetDateComponent.set($i))\n      '$xwiki.formatDate($templateDate.toDate(), $entry.value)'#if ($velocityHasNext), #end\n    #end\n  ],\n  #end\n#end\n\n#macro(datePicker_generateLocalizedDateComponentRegExp $varnames, $jsvar2FormatMap, $templateDate, $targetDateComponent)\n  #foreach ($varname in $varnames)\n    #set($discard = $targetDateComponent.set($velocityCount))\n    $varname : /^#foreach ($format in $jsvar2FormatMap)($xwiki.formatDate($templateDate.toDate(), $format))#if($velocityHasNext)|#end#end/i#if ($velocityHasNext), #end\n  #end\n#end\n\nDate.CultureInfo={\n  name:"en-US",\n  englishName:"English (United States)",\n  nativeName:"English (United States)",\n  #datePicker_generateLocalizedDateComponent ($dayFormats, [1..7], $templateDate, $templateDate.dayOfWeek())\n  #datePicker_generateLocalizedDateComponent ($monthFormats, [1..12], $templateDate, $templateDate.monthOfYear())\n  amDesignator:"AM",\n  pmDesignator:"PM",\n  firstDayOfWeek: $mathtool.add($datetool.calendar.firstDayOfWeek, -1),\n  dateElementOrder:"mdy",\n  formatPatterns:{\n    shortDate:"M/d/yyyy",\n    longDate:"dddd, MMMM dd, yyyy",\n    shortTime:"h:mm tt",\n    longTime:"h:mm:ss tt",\n    fullDateTime:"dddd, MMMM dd, yyyy h:mm:ss tt",\n    sortableDateTime:"yyyy-MM-ddTHH:mm:ss",\n    universalSortableDateTime:"yyyy-MM-dd HH:mm:ssZ",\n    rfc1123:"ddd, dd MMM yyyy HH:mm:ss GMT",\n    monthDay:"MMMM dd",yearMonth:"MMMM, yyyy"},\n    regexPatterns:{\n        #datePicker_generateLocalizedDateComponentRegExp($months, $monthFormats, $templateDate, $templateDate.monthOfYear()),\n        #datePicker_generateLocalizedDateComponentRegExp($weekdays, $dayFormats, $templateDate, $templateDate.dayOfWeek()),\n        future:/^next/i,\n        past:/^last|past|prev(ious)?/i,\n        add:/^(\\+|aft(er)?|from|hence)/i,\n        subtract:/^(\\-|bef(ore)?|ago)/i,\n        yesterday:/^yes(terday)?/i,today:/^t(od(ay)?)?/i,\n        tomorrow:/^tom(orrow)?/i,\n        now:/^n(ow)?/i,\n        millisecond:/^ms|milli(second)?s?/i,\n        second:/^sec(ond)?s?/i,\n        minute:/^mn|min(ute)?s?/i,\n        hour:/^h(our)?s?/i,\n        week:/^w(eek)?s?/i,\n        month:/^m(onth)?s?/i,\n        day:/^d(ay)?s?/i,\n        year:/^y(ear)?s?/i,\n        shortMeridian:/^(a|p)/i,\n        longMeridian:/^(a\\.?m?\\.?|p\\.?m?\\.?)/i,\n        timezone:/^((e(s|d)t|c(s|d)t|m(s|d)t|p(s|d)t)|((gmt)?\\s*(\\+|\\-)\\s*\\d\\d\\d\\d?)|gmt|utc)/i,\n        ordinalSuffix:/^\\s*(st|nd|rd|th)/i,\n        timeContext:/^\\s*(\\:|a(?!u|p)|p)/i},\n        timezones:[\n          {name:"UTC",offset:"-000"},\n          {name:"GMT",offset:"-000"},\n          {name:"EST",offset:"-0500"},\n          {name:"EDT",offset:"-0400"},\n          {name:"CST",offset:"-0600"},\n          {name:"CDT",offset:"-0500"},\n          {name:"MST",offset:"-0700"},\n          {name:"MDT",offset:"-0600"},\n          {name:"PST",offset:"-0800"},\n          {name:"PDT",offset:"-0700"}\n        ]\n  };\n\n_translations = {\n  "OK": 'OK', //"$services.localization.render('xe.dateTimePicker.confirm')",\n  "Now": 'Now', //"$services.localization.render('xe.dateTimePicker.now')",\n  "Today": 'Today', //"$services.localization.render('xe.dateTimePicker.today')",\n  "Clear": 'Clear' //"$services.localization.render('xe.dateTimePicker.clear')"\n};\n</code></property><property><name>Datejs - Localization</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.DateTimePicker</name>\n<number>1</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>a7431ce6-0522-4fdc-a212-0759f788415d</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>/**\n * Version: 1.0 Alpha-1 \n * Build Date: 12-Nov-2007\n * Copyright (c) 2006-2007, Coolite Inc. (http://www.coolite.com/). All rights reserved.\n * License: Licensed under The MIT License. See license.txt and http://www.datejs.com/license/. \n * Website: http://www.datejs.com/ or http://www.coolite.com/datejs/\n */\n\n/**\n * Gets the month number (0-11) if given a Culture Info specific string which is a valid monthName or abbreviatedMonthName.\n * @param {String}   The name of the month (eg. "February, "Feb", "october", "oct").\n * @return {Number}  The day number\n */\nDate.getMonthNumberFromName = function (name) {\n    var n = Date.CultureInfo.monthNames, m = Date.CultureInfo.abbreviatedMonthNames, s = name.toLowerCase();\n    for (var i = 0; i &lt; n.length; i++) {\n        if (n[i].toLowerCase() == s || m[i].toLowerCase() == s) { \n            return i; \n        }\n    }\n    return -1;\n};\n\n/**\n * Gets the day number (0-6) if given a CultureInfo specific string which is a valid dayName, abbreviatedDayName or shortestDayName (two char).\n * @param {String}   The name of the day (eg. "Monday, "Mon", "tuesday", "tue", "We", "we").\n * @return {Number}  The day number\n */\nDate.getDayNumberFromName = function (name) {\n    var n = Date.CultureInfo.dayNames, m = Date.CultureInfo.abbreviatedDayNames, o = Date.CultureInfo.shortestDayNames, s = name.toLowerCase();\n    for (var i = 0; i &lt; n.length; i++) { \n        if (n[i].toLowerCase() == s || m[i].toLowerCase() == s) { \n            return i; \n        }\n    }\n    return -1;  \n};\n\n/**\n * Determines if the current date instance is within a LeapYear.\n * @param {Number}   The year (0-9999).\n * @return {Boolean} true if date is within a LeapYear, otherwise false.\n */\nDate.isLeapYear = function (year) { \n    return (((year % 4 === 0) &amp;&amp; (year % 100 !== 0)) || (year % 400 === 0)); \n};\n\n/**\n * Gets the number of days in the month, given a year and month value. Automatically corrects for LeapYear.\n * @param {Number}   The year (0-9999).\n * @param {Number}   The month (0-11).\n * @return {Number}  The number of days in the month.\n */\nDate.getDaysInMonth = function (year, month) {\n    return [31, (Date.isLeapYear(year) ? 29 : 28), 31, 30, 31, 30, 31, 31, 30, 31, 30, 31][month];\n};\n\nDate.getTimezoneOffset = function (s, dst) {\n    return (dst || false) ? Date.CultureInfo.abbreviatedTimeZoneDST[s.toUpperCase()] :\n        Date.CultureInfo.abbreviatedTimeZoneStandard[s.toUpperCase()];\n};\n\nDate.getTimezoneAbbreviation = function (offset, dst) {\n    var n = (dst || false) ? Date.CultureInfo.abbreviatedTimeZoneDST : Date.CultureInfo.abbreviatedTimeZoneStandard, p;\n    for (p in n) { \n        if (n[p] === offset) { \n            return p; \n        }\n    }\n    return null;\n};\n\n/**\n * Returns a new Date object that is an exact date and time copy of the original instance.\n * @return {Date}    A new Date instance\n */\nDate.prototype.clone = function () {\n    return new Date(this.getTime()); \n};\n\n/**\n * Compares this instance to a Date object and return an number indication of their relative values.  \n * @param {Date}     Date object to compare [Required]\n * @return {Number}  1 = this is greaterthan date. -1 = this is lessthan date. 0 = values are equal\n */\nDate.prototype.compareTo = function (date) {\n    if (isNaN(this)) { \n        throw new Error(this); \n    }\n    if (date instanceof Date &amp;&amp; !isNaN(date)) {\n        return (this &gt; date) ? 1 : (this &lt; date) ? -1 : 0;\n    } else { \n        throw new TypeError(date); \n    }\n};\n\n/**\n * Compares this instance to another Date object and returns true if they are equal.  \n * @param {Date}     Date object to compare [Required]\n * @return {Boolean} true if dates are equal. false if they are not equal.\n */\nDate.prototype.equals = function (date) { \n    return (this.compareTo(date) === 0); \n};\n\n/**\n * Determines is this instance is between a range of two dates or equal to either the start or end dates.\n * @param {Date}     Start of range [Required]\n * @param {Date}     End of range [Required]\n * @return {Boolean} true is this is between or equal to the start and end dates, else false\n */\nDate.prototype.between = function (start, end) {\n    var t = this.getTime();\n    return t &gt;= start.getTime() &amp;&amp; t &lt;= end.getTime();\n};\n\n/**\n * Adds the specified number of milliseconds to this instance. \n * @param {Number}   The number of milliseconds to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addMilliseconds = function (value) {\n    this.setMilliseconds(this.getMilliseconds() + value);\n    return this;\n};\n\n/**\n * Adds the specified number of seconds to this instance. \n * @param {Number}   The number of seconds to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addSeconds = function (value) { \n    return this.addMilliseconds(value * 1000); \n};\n\n/**\n * Adds the specified number of seconds to this instance. \n * @param {Number}   The number of seconds to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addMinutes = function (value) { \n    return this.addMilliseconds(value * 60000); /* 60*1000 */\n};\n\n/**\n * Adds the specified number of hours to this instance. \n * @param {Number}   The number of hours to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addHours = function (value) { \n    return this.addMilliseconds(value * 3600000); /* 60*60*1000 */\n};\n\n/**\n * Adds the specified number of days to this instance. \n * @param {Number}   The number of days to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addDays = function (value) { \n    return this.addMilliseconds(value * 86400000); /* 60*60*24*1000 */\n};\n\n/**\n * Adds the specified number of weeks to this instance. \n * @param {Number}   The number of weeks to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addWeeks = function (value) { \n    return this.addMilliseconds(value * 604800000); /* 60*60*24*7*1000 */\n};\n\n/**\n * Adds the specified number of months to this instance. \n * @param {Number}   The number of months to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addMonths = function (value) {\n    var n = this.getDate();\n    this.setDate(1);\n    this.setMonth(this.getMonth() + value);\n    this.setDate(Math.min(n, this.getDaysInMonth()));\n    return this;\n};\n\n/**\n * Adds the specified number of years to this instance. \n * @param {Number}   The number of years to add. The number can be positive or negative [Required]\n * @return {Date}    this\n */\nDate.prototype.addYears = function (value) {\n    return this.addMonths(value * 12);\n};\n\n/**\n * Adds (or subtracts) to the value of the year, month, day, hour, minute, second, millisecond of the date instance using given configuration object. Positive and Negative values allowed.\n * Example\n&lt;pre&gt;&lt;code&gt;\nDate.today().add( { day: 1, month: 1 } )\n \nnew Date().add( { year: -1 } )\n&lt;/code&gt;&lt;/pre&gt; \n * @param {Object}   Configuration object containing attributes (month, day, etc.)\n * @return {Date}    this\n */\nDate.prototype.add = function (config) {\n    if (typeof config == "number") {\n        this._orient = config;\n        return this;    \n    }\n    var x = config;\n    if (x.millisecond || x.milliseconds) { \n        this.addMilliseconds(x.millisecond || x.milliseconds); \n    }\n    if (x.second || x.seconds) { \n        this.addSeconds(x.second || x.seconds); \n    }\n    if (x.minute || x.minutes) { \n        this.addMinutes(x.minute || x.minutes); \n    }\n    if (x.hour || x.hours) { \n        this.addHours(x.hour || x.hours); \n    }\n    if (x.month || x.months) { \n        this.addMonths(x.month || x.months); \n    }\n    if (x.year || x.years) { \n        this.addYears(x.year || x.years); \n    }\n    if (x.day || x.days) {\n        this.addDays(x.day || x.days); \n    }\n    return this;\n};\n\n// private\nDate._validate = function (value, min, max, name) {\n    if (typeof value != "number") {\n        throw new TypeError(value + " is not a Number."); \n    } else if (value &lt; min || value &gt; max) {\n        throw new RangeError(value + " is not a valid value for " + name + "."); \n    }\n    return true;\n};\n\n/**\n * Validates the number is within an acceptable range for milliseconds [0-999].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateMillisecond = function (n) {\n    return Date._validate(n, 0, 999, "milliseconds");\n};\n\n/**\n * Validates the number is within an acceptable range for seconds [0-59].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateSecond = function (n) {\n    return Date._validate(n, 0, 59, "seconds");\n};\n\n/**\n * Validates the number is within an acceptable range for minutes [0-59].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateMinute = function (n) {\n    return Date._validate(n, 0, 59, "minutes");\n};\n\n/**\n * Validates the number is within an acceptable range for hours [0-23].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateHour = function (n) {\n    return Date._validate(n, 0, 23, "hours");\n};\n\n/**\n * Validates the number is within an acceptable range for the days in a month [0-MaxDaysInMonth].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateDay = function (n, year, month) {\n    return Date._validate(n, 1, Date.getDaysInMonth(year, month), "days");\n};\n\n/**\n * Validates the number is within an acceptable range for months [0-11].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateMonth = function (n) {\n    return Date._validate(n, 0, 11, "months");\n};\n\n/**\n * Validates the number is within an acceptable range for years [0-9999].\n * @param {Number}   The number to check if within range.\n * @return {Boolean} true if within range, otherwise false.\n */\nDate.validateYear = function (n) {\n    return Date._validate(n, 1, 9999, "seconds");\n};\n\n/**\n * Set the value of year, month, day, hour, minute, second, millisecond of date instance using given configuration object.\n * Example\n&lt;pre&gt;&lt;code&gt;\nDate.today().set( { day: 20, month: 1 } )\n\nnew Date().set( { millisecond: 0 } )\n&lt;/code&gt;&lt;/pre&gt;\n * \n * @param {Object}   Configuration object containing attributes (month, day, etc.)\n * @return {Date}    this\n */\nDate.prototype.set = function (config) {\n    var x = config;\n\n    if (!x.millisecond &amp;&amp; x.millisecond !== 0) { \n        x.millisecond = -1; \n    }\n    if (!x.second &amp;&amp; x.second !== 0) { \n        x.second = -1; \n    }\n    if (!x.minute &amp;&amp; x.minute !== 0) { \n        x.minute = -1; \n    }\n    if (!x.hour &amp;&amp; x.hour !== 0) { \n        x.hour = -1; \n    }\n    if (!x.day &amp;&amp; x.day !== 0) { \n        x.day = -1; \n    }\n    if (!x.month &amp;&amp; x.month !== 0) { \n        x.month = -1; \n    }\n    if (!x.year &amp;&amp; x.year !== 0) { \n        x.year = -1; \n    }\n\n    if (x.millisecond != -1 &amp;&amp; Date.validateMillisecond(x.millisecond)) {\n        this.addMilliseconds(x.millisecond - this.getMilliseconds()); \n    }\n    if (x.second != -1 &amp;&amp; Date.validateSecond(x.second)) {\n        this.addSeconds(x.second - this.getSeconds()); \n    }\n    if (x.minute != -1 &amp;&amp; Date.validateMinute(x.minute)) {\n        this.addMinutes(x.minute - this.getMinutes()); \n    }\n    if (x.hour != -1 &amp;&amp; Date.validateHour(x.hour)) {\n        this.addHours(x.hour - this.getHours()); \n    }\n    if (x.month !== -1 &amp;&amp; Date.validateMonth(x.month)) {\n        this.addMonths(x.month - this.getMonth()); \n    }\n    if (x.year != -1 &amp;&amp; Date.validateYear(x.year)) {\n        this.addYears(x.year - this.getFullYear()); \n    }\n    \n\t/* day has to go last because you can't validate the day without first knowing the month */\n    if (x.day != -1 &amp;&amp; Date.validateDay(x.day, this.getFullYear(), this.getMonth())) {\n        this.addDays(x.day - this.getDate()); \n    }\n    if (x.timezone) { \n        this.setTimezone(x.timezone); \n    }\n    if (x.timezoneOffset) { \n        this.setTimezoneOffset(x.timezoneOffset); \n    }\n    \n    return this;   \n};\n\n/**\n * Resets the time of this Date object to 12:00 AM (00:00), which is the start of the day.\n * @return {Date}    this\n */\nDate.prototype.clearTime = function () {\n    this.setHours(0); \n    this.setMinutes(0); \n    this.setSeconds(0);\n    this.setMilliseconds(0); \n    return this;\n};\n\n/**\n * Determines whether or not this instance is in a leap year.\n * @return {Boolean} true if this instance is in a leap year, else false\n */\nDate.prototype.isLeapYear = function () { \n    var y = this.getFullYear(); \n    return (((y % 4 === 0) &amp;&amp; (y % 100 !== 0)) || (y % 400 === 0)); \n};\n\n/**\n * Determines whether or not this instance is a weekday.\n * @return {Boolean} true if this instance is a weekday\n */\nDate.prototype.isWeekday = function () { \n    return !(this.is().sat() || this.is().sun());\n};\n\n/**\n * Get the number of days in the current month, adjusted for leap year.\n * @return {Number}  The number of days in the month\n */\nDate.prototype.getDaysInMonth = function () { \n    return Date.getDaysInMonth(this.getFullYear(), this.getMonth());\n};\n\n/**\n * Moves the date to the first day of the month.\n * @return {Date}    this\n */\nDate.prototype.moveToFirstDayOfMonth = function () {\n    return this.set({ day: 1 });\n};\n\n/**\n * Moves the date to the last day of the month.\n * @return {Date}    this\n */\nDate.prototype.moveToLastDayOfMonth = function () { \n    return this.set({ day: this.getDaysInMonth()});\n};\n\n/**\n * Move to the next or last dayOfWeek based on the orient value.\n * @param {Number}   The dayOfWeek to move to.\n * @param {Number}   Forward (+1) or Back (-1). Defaults to +1. [Optional]\n * @return {Date}    this\n */\nDate.prototype.moveToDayOfWeek = function (day, orient) {\n    var diff = (day - this.getDay() + 7 * (orient || +1)) % 7;\n    return this.addDays((diff === 0) ? diff += 7 * (orient || +1) : diff);\n};\n\n/**\n * Move to the next or last month based on the orient value.\n * @param {Number}   The month to move to. 0 = January, 11 = December.\n * @param {Number}   Forward (+1) or Back (-1). Defaults to +1. [Optional]\n * @return {Date}    this\n */\nDate.prototype.moveToMonth = function (month, orient) {\n    var diff = (month - this.getMonth() + 12 * (orient || +1)) % 12;\n    return this.addMonths((diff === 0) ? diff += 12 * (orient || +1) : diff);\n};\n\n/**\n * Get the numeric day number of the year, adjusted for leap year.\n * @return {Number} 0 through 364 (365 in leap years)\n */\nDate.prototype.getDayOfYear = function () {\n    return Math.floor((this - new Date(this.getFullYear(), 0, 1)) / 86400000);\n};\n\n/**\n * Get the week of the year for the current date instance.\n * @param {Number}   A Number that represents the first day of the week (0-6) [Optional]\n * @return {Number}  0 through 53\n */\nDate.prototype.getWeekOfYear = function (firstDayOfWeek) {\n    var y = this.getFullYear(), m = this.getMonth(), d = this.getDate();\n    \n    var dow = firstDayOfWeek || Date.CultureInfo.firstDayOfWeek;\n\t\n    var offset = 7 + 1 - new Date(y, 0, 1).getDay();\n    if (offset == 8) {\n        offset = 1;\n    }\n    var daynum = ((Date.UTC(y, m, d, 0, 0, 0) - Date.UTC(y, 0, 1, 0, 0, 0)) / 86400000) + 1;\n    var w = Math.floor((daynum - offset + 7) / 7);\n    if (w === dow) {\n        y--;\n        var prevOffset = 7 + 1 - new Date(y, 0, 1).getDay();\n        if (prevOffset == 2 || prevOffset == 8) { \n            w = 53; \n        } else { \n            w = 52; \n        }\n    }\n    return w;\n};\n\n/**\n * Determine whether Daylight Saving Time (DST) is in effect\n * @return {Boolean} True if DST is in effect.\n */\nDate.prototype.isDST = function () {\n    console.log('isDST');\n    /* TODO: not sure if this is portable ... get from Date.CultureInfo? */\n    return this.toString().match(/(E|C|M|P)(S|D)T/)[2] == "D";\n};\n\n/**\n * Get the timezone abbreviation of the current date.\n * @return {String} The abbreviated timezone name (e.g. "EST")\n */\nDate.prototype.getTimezone = function () {\n    return Date.getTimezoneAbbreviation(this.getUTCOffset, this.isDST());\n};\n\nDate.prototype.setTimezoneOffset = function (s) {\n    var here = this.getTimezoneOffset(), there = Number(s) * -6 / 10;\n    this.addMinutes(there - here); \n    return this;\n};\n\nDate.prototype.setTimezone = function (s) { \n    return this.setTimezoneOffset(Date.getTimezoneOffset(s)); \n};\n\n/**\n * Get the offset from UTC of the current date.\n * @return {String} The 4-character offset string prefixed with + or - (e.g. "-0500")\n */\nDate.prototype.getUTCOffset = function () {\n    var n = this.getTimezoneOffset() * -10 / 6, r;\n    if (n &lt; 0) { \n        r = (n - 10000).toString(); \n        return r[0] + r.substr(2); \n    } else { \n        r = (n + 10000).toString();  \n        return "+" + r.substr(1); \n    }\n};\n\n/**\n * Gets the name of the day of the week.\n * @param {Boolean}  true to return the abbreviated name of the day of the week\n * @return {String}  The name of the day\n */\nDate.prototype.getDayName = function (abbrev) {\n    return abbrev ? Date.CultureInfo.abbreviatedDayNames[this.getDay()] : \n        Date.CultureInfo.dayNames[this.getDay()];\n};\n\n/**\n * Gets the month name.\n * @param {Boolean}  true to return the abbreviated name of the month\n * @return {String}  The name of the month\n */\nDate.prototype.getMonthName = function (abbrev) {\n    return abbrev ? Date.CultureInfo.abbreviatedMonthNames[this.getMonth()] : \n        Date.CultureInfo.monthNames[this.getMonth()];\n};\n\n// private\nDate.prototype._toString = Date.prototype.toString;\n\n/**\n * Converts the value of the current Date object to its equivalent UTC string representation.\n * Format Specifiers\n&lt;pre&gt;\nFormat  Description                                                                  Example\n------  ---------------------------------------------------------------------------  -----------------------\n s      The seconds of the minute between 1-59.                                      "1" to "59"\n ss     The seconds of the minute with leading zero if required.                     "01" to "59"\n \n m      The minute of the hour between 0-59.                                         "1"  or "59"\n mm     The minute of the hour with leading zero if required.                        "01" or "59"\n \n h      The hour of the day between 1-12.                                            "1"  to "12"\n hh     The hour of the day with leading zero if required.                           "01" to "12"\n \n H      The hour of the day between 1-23.                                            "1"  to "23"\n HH     The hour of the day with leading zero if required.                           "01" to "23"\n \n d      The day of the month between 1 and 31.                                       "1"  to "31"\n dd     The day of the month with leading zero if required.                          "01" to "31"\n ddd    Abbreviated day name. Date.CultureInfo.abbreviatedDayNames.                  "Mon" to "Sun" \n dddd   The full day name. Date.CultureInfo.dayNames.                                "Monday" to "Sunday"\n \n M      The month of the year between 1-12.                                          "1" to "12"\n MM     The month of the year with leading zero if required.                         "01" to "12"\n MMM    Abbreviated month name. Date.CultureInfo.abbreviatedMonthNames.              "Jan" to "Dec"\n MMMM   The full month name. Date.CultureInfo.monthNames.                            "January" to "December"\n\n yy     Displays the year as a maximum two-digit number.                             "99" or "07"\n yyyy   Displays the full four digit year.                                           "1999" or "2007"\n \n t      Displays the first character of the A.M./P.M. designator.                    "A" or "P"\n        Date.CultureInfo.amDesignator or Date.CultureInfo.pmDesignator\n tt     Displays the A.M./P.M. designator.                                           "AM" or "PM"\n        Date.CultureInfo.amDesignator or Date.CultureInfo.pmDesignator\n&lt;/pre&gt;\n * @param {String}   A format string consisting of one or more format spcifiers [Optional].\n * @return {String}  A string representation of the current Date object.\n */\nDate.prototype.toString = function (format) {\n    var self = this.toUTC();\n\n    var p = function p(s) {\n        return (s.toString().length == 1) ? "0" + s : s;\n    };\n\n    return format ? format.replace(/dd?d?d?|MM?M?M?|yy?y?y?|hh?|HH?|mm?|ss?|tt?|zz?z?/g, \n    function (format) {\n        switch (format) {\n        case "hh":\n            return p(self.getHours() &lt; 13 ? self.getHours() : (self.getHours() - 12));\n        case "h":\n            return self.getHours() &lt; 13 ? self.getHours() : (self.getHours() - 12);\n        case "HH":\n            return p(self.getHours());\n        case "H":\n            return self.getHours();\n        case "mm":\n            return p(self.getMinutes());\n        case "m":\n            return self.getMinutes();\n        case "ss":\n            return p(self.getSeconds());\n        case "s":\n            return self.getSeconds();\n        case "yyyy":\n            return self.getFullYear();\n        case "yy":\n            return self.getFullYear().toString().substring(2, 4);\n        case "dddd":\n            return self.getDayName();\n        case "ddd":\n            return self.getDayName(true);\n        case "dd":\n            return p(self.getDate());\n        case "d":\n            return self.getDate().toString();\n        case "MMMM":\n            return self.getMonthName();\n        case "MMM":\n            return self.getMonthName(true);\n        case "MM":\n            return p((self.getMonth() + 1));\n        case "M":\n            return self.getMonth() + 1;\n        case "t":\n            return self.getHours() &lt; 12 ? Date.CultureInfo.amDesignator.substring(0, 1) : Date.CultureInfo.pmDesignator.substring(0, 1);\n        case "tt":\n            return self.getHours() &lt; 12 ? Date.CultureInfo.amDesignator : Date.CultureInfo.pmDesignator;\n        case "zzz":\n        case "zz":\n        case "z":\n            return 'Z';\n        }\n    }\n    ) : this._toString();\n};\n\n/**\n * Version: 1.0 Alpha-1 \n * Build Date: 12-Nov-2007\n * Copyright (c) 2006-2007, Coolite Inc. (http://www.coolite.com/). All rights reserved.\n * License: Licensed under The MIT License. See license.txt and http://www.datejs.com/license/. \n * Website: http://www.datejs.com/ or http://www.coolite.com/datejs/\n */\n \n/* \n * TimeSpan(days, hours, minutes, seconds, milliseconds);\n * TimeSpan(milliseconds);\n */\nTimeSpan = function (days, hours, minutes, seconds, milliseconds) {\n    this.days = 0;\n    this.hours = 0;\n    this.minutes = 0;\n    this.seconds = 0;\n    this.milliseconds = 0;\n    \n    if (arguments.length == 5) { \n        this.days = days; \n        this.hours = hours; \n        this.minutes = minutes; \n        this.seconds = seconds; \n        this.milliseconds = milliseconds; \n    } \n    else if (arguments.length == 1 &amp;&amp; typeof days == "number") {\n        var orient = (days &lt; 0) ? -1 : +1;\n        this.milliseconds = Math.abs(days);\n        \n        this.days = Math.floor(this.milliseconds / (24 * 60 * 60 * 1000)) * orient;\n        this.milliseconds = this.milliseconds % (24 * 60 * 60 * 1000);\n\n        this.hours = Math.floor(this.milliseconds / (60 * 60 * 1000)) * orient;\n        this.milliseconds = this.milliseconds % (60 * 60 * 1000);\n\n        this.minutes = Math.floor(this.milliseconds / (60 * 1000)) * orient;\n        this.milliseconds = this.milliseconds % (60 * 1000);\n\n        this.seconds = Math.floor(this.milliseconds / 1000) * orient;\n        this.milliseconds = this.milliseconds % 1000;\n\n        this.milliseconds = this.milliseconds * orient;\n        return this;\n    } \n    else {\n        return null;\n    }\n};\n\nTimeSpan.prototype.compare = function (timeSpan) {\n    var t1 = new Date(1970, 1, 1, this.hours(), this.minutes(), this.seconds()), t2;\n    if (timeSpan === null) { \n        t2 = new Date(1970, 1, 1, 0, 0, 0); \n    }\n    else { \n        t2 = new Date(1970, 1, 1, timeSpan.hours(), timeSpan.minutes(), timeSpan.seconds()); /* t2 = t2.addDays(timeSpan.days()); */ \n    }\n    return (t1 &gt; t2) ? 1 : (t1 &lt; t2) ? -1 : 0;\n};\n\nTimeSpan.prototype.add = function (timeSpan) { \n    return (timeSpan === null) ? this : this.addSeconds(timeSpan.getTotalMilliseconds() / 1000); \n};\n\nTimeSpan.prototype.subtract = function (timeSpan) { \n    return (timeSpan === null) ? this : this.addSeconds(-timeSpan.getTotalMilliseconds() / 1000); \n};\n\nTimeSpan.prototype.addDays = function (n) { \n    return new TimeSpan(this.getTotalMilliseconds() + (n * 24 * 60 * 60 * 1000)); \n};\n\nTimeSpan.prototype.addHours = function (n) { \n    return new TimeSpan(this.getTotalMilliseconds() + (n * 60 * 60 * 1000)); \n};\n\nTimeSpan.prototype.addMinutes = function (n) { \n    return new TimeSpan(this.getTotalMilliseconds() + (n * 60 * 1000)); \n};\n\nTimeSpan.prototype.addSeconds = function (n) {\n    return new TimeSpan(this.getTotalMilliseconds() + (n * 1000)); \n};\n\nTimeSpan.prototype.addMilliseconds = function (n) {\n    return new TimeSpan(this.getTotalMilliseconds() + n); \n};\n\nTimeSpan.prototype.getTotalMilliseconds = function () {\n    return (this.days() * (24 * 60 * 60 * 1000)) + (this.hours() * (60 * 60 * 1000)) + (this.minutes() * (60 * 1000)) + (this.seconds() * (1000)); \n};\n\nTimeSpan.prototype.get12HourHour = function () {\n    return ((h = this.hours() % 12) ? h : 12); \n};\n\nTimeSpan.prototype.getDesignator = function () { \n    return (this.hours() &lt; 12) ? Date.CultureInfo.amDesignator : Date.CultureInfo.pmDesignator;\n};\n\nTimeSpan.prototype.toString = function (format) {\n    function _toString() {\n        if (this.days() !== null &amp;&amp; this.days() &gt; 0) {\n            return this.days() + "." + this.hours() + ":" + p(this.minutes()) + ":" + p(this.seconds());\n        }\n        else { \n            return this.hours() + ":" + p(this.minutes()) + ":" + p(this.seconds());\n        }\n    }\n    function p(s) {\n        return (s.toString().length &lt; 2) ? "0" + s : s;\n    } \n    var self = this;\n    return format ? format.replace(/d|dd|HH|H|hh|h|mm|m|ss|s|tt|t/g, \n    function (format) {\n        switch (format) {\n        case "d":\t\n            return self.days();\n        case "dd":\t\n            return p(self.days());\n        case "H":\t\n            return self.hours();\n        case "HH":\t\n            return p(self.hours());\n        case "h":\t\n            return self.get12HourHour();\n        case "hh":\t\n            return p(self.get12HourHour());\n        case "m":\t\n            return self.minutes();\n        case "mm":\t\n            return p(self.minutes());\n        case "s":\t\n            return self.seconds();\n        case "ss":\t\n            return p(self.seconds());\n        case "t":\t\n            return ((this.hours() &lt; 12) ? Date.CultureInfo.amDesignator : Date.CultureInfo.pmDesignator).substring(0, 1);\n        case "tt":\t\n            return (this.hours() &lt; 12) ? Date.CultureInfo.amDesignator : Date.CultureInfo.pmDesignator;\n        }\n    }\n    ) : this._toString();\n};\n\n/* \n * TimePeriod(startDate, endDate);\n */\nvar TimePeriod = function (years, months, days, hours, minutes, seconds, milliseconds) {\n    this.years = 0;\n    this.months = 0;\n    this.days = 0;\n    this.hours = 0;\n    this.minutes = 0;\n    this.seconds = 0;\n    this.milliseconds = 0;\n    \n    // startDate and endDate as arguments\n    if (arguments.length == 2 &amp;&amp; arguments[0] instanceof Date &amp;&amp; arguments[1] instanceof Date) {\n    \n        var date1 = years.clone();\n        var date2 = months.clone();\n    \n        var temp = date1.clone();\n        var orient = (date1 &gt; date2) ? -1 : +1;\n        \n        this.years = date2.getFullYear() - date1.getFullYear();\n        temp.addYears(this.years);\n        \n        if (orient == +1) {\n            if (temp &gt; date2) {\n                if (this.years !== 0) {\n                    this.years--;\n                }\n            }\n        } else {\n            if (temp &lt; date2) {\n                if (this.years !== 0) {\n                    this.years++;\n                }\n            }\n        }\n        \n        date1.addYears(this.years);\n\n        if (orient == +1) {\n            while (date1 &lt; date2 &amp;&amp; date1.clone().addDays(date1.getDaysInMonth()) &lt; date2) {\n                date1.addMonths(1);\n                this.months++;\n            }\n        }\n        else {\n            while (date1 &gt; date2 &amp;&amp; date1.clone().addDays(-date1.getDaysInMonth()) &gt; date2) {\n                date1.addMonths(-1);\n                this.months--;\n            }\n        }\n        \n        var diff = date2 - date1;\n\n        if (diff !== 0) {\n            var ts = new TimeSpan(diff);\n            \n            this.days = ts.days;\n            this.hours = ts.hours;\n            this.minutes = ts.minutes;\n            this.seconds = ts.seconds;\n            this.milliseconds = ts.milliseconds;\n        }\n\n        // UTC Hacks required...\n        return this;\n    }\n \n};\n\n/**\n * Version: 1.0 Alpha-1 \n * Build Date: 12-Nov-2007\n * Copyright (c) 2006-2007, Coolite Inc. (http://www.coolite.com/). All rights reserved.\n * License: Licensed under The MIT License. See license.txt and http://www.datejs.com/license/. \n * Website: http://www.datejs.com/ or http://www.coolite.com/datejs/\n */\n\n/**\n **************************************************************\n ** SugarPak - Domain Specific Language -  Syntactical Sugar **\n **************************************************************\n */\n \n/**\n * Gets a date that is set to the current date and time. \n * @return {Date}    The current date and time.\n */\nDate.now = function () {\n    return new Date();\n};\n\n/** \n * Gets a date that is set to the current date. The time is set to the start of the day (00:00 or 12:00 AM).\n * @return {Date}    The current date.\n */\nDate.today = function () {\n    return Date.now().clearTime();\n};\n\n// private\nDate.prototype._orient = +1;\n\n/** \n * Moves the date to the next instance of a date as specified by a trailing date element function (eg. .day(), .month()), month name function (eg. .january(), .jan()) or day name function (eg. .friday(), fri()).\n * Example\n&lt;pre&gt;&lt;code&gt;\nDate.today().next().friday();\nDate.today().next().fri();\nDate.today().next().march();\nDate.today().next().mar();\nDate.today().next().week();\n&lt;/code&gt;&lt;/pre&gt;\n * \n * @return {Date}    this\n */\nDate.prototype.next = function () {\n    this._orient = +1;\n    return this;\n};\n\n/** \n * Moves the date to the previous instance of a date as specified by a trailing date element function (eg. .day(), .month()), month name function (eg. .january(), .jan()) or day name function (eg. .friday(), fri()).\n * Example\n&lt;pre&gt;&lt;code&gt;\nDate.today().last().friday();\nDate.today().last().fri();\nDate.today().last().march();\nDate.today().last().mar();\nDate.today().last().week();\n&lt;/code&gt;&lt;/pre&gt;\n *  \n * @return {Date}    this\n */\nDate.prototype.last = Date.prototype.prev = Date.prototype.previous = function () {\n    this._orient = -1;\n    return this;\n};\n\n// private\nDate.prototype._is = false;\n    \n/** \n * Performs a equality check when followed by either a month name or day name function.\n * Example\n&lt;pre&gt;&lt;code&gt;\nDate.today().is().friday(); // true|false\nDate.today().is().fri();\nDate.today().is().march();\nDate.today().is().mar();\n&lt;/code&gt;&lt;/pre&gt;\n *  \n * @return {bool}    true|false\n */\nDate.prototype.is = function () { \n    this._is = true; \n    return this; \n}; \n\n// private\nNumber.prototype._dateElement = "day";\n\n/** \n * Creates a new Date (Date.now()) and adds this (Number) to the date based on the preceding date element function (eg. second|minute|hour|day|month|year).\n * Example\n&lt;pre&gt;&lt;code&gt;\n// Undeclared Numbers must be wrapped with parentheses. Requirment of JavaScript.\n(3).days().fromNow();\n(6).months().fromNow();\n\n// Declared Number variables do not require parentheses. \nvar n = 6;\nn.months().fromNow();\n&lt;/code&gt;&lt;/pre&gt;\n *  \n * @return {Date}    A new Date instance\n */\nNumber.prototype.fromNow = function () {\n    var c = {};\n    c[this._dateElement] = this;\n    return Date.now().add(c);\n};\n\n/** \n * Creates a new Date (Date.now()) and subtract this (Number) from the date based on the preceding date element function (eg. second|minute|hour|day|month|year).\n * Example\n&lt;pre&gt;&lt;code&gt;\n// Undeclared Numbers must be wrapped with parentheses. Requirment of JavaScript.\n(3).days().ago();\n(6).months().ago();\n\n// Declared Number variables do not require parentheses. \nvar n = 6;\nn.months().ago();\n&lt;/code&gt;&lt;/pre&gt;\n *  \n * @return {Date}    A new Date instance\n */\nNumber.prototype.ago = function () {\n    var c = {};\n    c[this._dateElement] = this * -1;\n    return Date.now().add(c);\n};\n\n// Build dynamic date element, month name and day name functions.\n(function () {\n    var $D = Date.prototype, $N = Number.prototype;\n\n    /* Do NOT modify the following string tokens. These tokens are used to build dynamic functions. */\n    var dx = ("sunday monday tuesday wednesday thursday friday saturday").split(/\\s/),\n        mx = ("january february march april may june july august september october november december").split(/\\s/),\n        px = ("Millisecond Second Minute Hour Day Week Month Year").split(/\\s/),\n        de;\n    \n    // Create day name functions and abbreviated day name functions (eg. monday(), friday(), fri()).\n    var df = function (n) {\n        return function () { \n            if (this._is) { \n                this._is = false; \n                return this.getDay() == n; \n            }\n            return this.moveToDayOfWeek(n, this._orient);\n        };\n    };\n    \n    for (var i = 0 ; i &lt; dx.length ; i++) { \n        $D[dx[i]] = $D[dx[i].substring(0, 3)] = df(i);\n    }\n    \n    // Create month name functions and abbreviated month name functions (eg. january(), march(), mar()).\n    var mf = function (n) { \n        return function () {\n            if (this._is) { \n                this._is = false; \n                return this.getMonth() === n; \n            }\n            return this.moveToMonth(n, this._orient); \n        };\n    };\n    \n    for (var j = 0 ; j &lt; mx.length ; j++) { \n        $D[mx[j]] = $D[mx[j].substring(0, 3)] = mf(j);\n    }\n    \n    // Create date element functions and plural date element functions used with Date (eg. day(), days(), months()).\n    var ef = function (j) { \n        return function () {\n            if (j.substring(j.length - 1) != "s") { \n                j += "s"; \n            }\n            return this["add" + j](this._orient); \n        };\n    };\n    \n    // Create date element functions and plural date element functions used with Number (eg. day(), days(), months()).\n    var nf = function (n) {\n        return function () {\n            this._dateElement = n;\n            return this;\n        };\n    };\n    \n    for (var k = 0 ; k &lt; px.length ; k++) {\n        de = px[k].toLowerCase();\n        $D[de] = $D[de + "s"] = ef(px[k]);\n        $N[de] = $N[de + "s"] = nf(de);\n    }\n}());\n\n/**\n * Converts the current date instance into a JSON string value.\n * @return {String}  JSON string of date\n */\nDate.prototype.toJSONString = function () {\n    return this.toString("yyyy-MM-ddThh:mm:ssZ");\n};\n\n/**\n * Converts the current date instance to a string using the culture specific shortDatePattern.\n * @return {String}  A string formatted as per the culture specific shortDatePattern\n */\nDate.prototype.toShortDateString = function () {\n    return this.toString(Date.CultureInfo.formatPatterns.shortDatePattern);\n};\n\n/**\n * Converts the current date instance to a string using the culture specific longDatePattern.\n * @return {String}  A string formatted as per the culture specific longDatePattern\n */\nDate.prototype.toLongDateString = function () {\n    return this.toString(Date.CultureInfo.formatPatterns.longDatePattern);\n};\n\n/**\n * Converts the current date instance to a string using the culture specific shortTimePattern.\n * @return {String}  A string formatted as per the culture specific shortTimePattern\n */\nDate.prototype.toShortTimeString = function () {\n    return this.toString(Date.CultureInfo.formatPatterns.shortTimePattern);\n};\n\n/**\n * Converts the current date instance to a string using the culture specific longTimePattern.\n * @return {String}  A string formatted as per the culture specific longTimePattern\n */\nDate.prototype.toLongTimeString = function () {\n    return this.toString(Date.CultureInfo.formatPatterns.longTimePattern);\n};\n\n/**\n * Get the ordinal suffix of the current day.\n * @return {String}  "st, "nd", "rd" or "th"\n */\nDate.prototype.getOrdinal = function () {\n    switch (this.getDate()) {\n    case 1: \n    case 21: \n    case 31: \n        return "st";\n    case 2: \n    case 22: \n        return "nd";\n    case 3: \n    case 23: \n        return "rd";\n    default: \n        return "th";\n    }\n};\n/*\n ********************************************************************************\n * Formatting\n ********************************************************************************\n */\nDate.ISO8601Format = 'yyyy-MM-ddTHH:mm:ssZ';\nDate.prototype.toISO8601 = function() {\n  var result = this.toString(Date.ISO8601Format);\n  if (result.indexOf("NaN") &gt; -1) {\n    result = "";\n  }\n  return result;\n};\nDate.prototype.toUTC = function() {\n   return new Date(\n          this.getUTCFullYear(),\n          this.getUTCMonth(),\n          this.getUTCDate(),\n          this.getUTCHours(),\n          this.getUTCMinutes(),\n          0,\n          0\n   );\n}\nDate.prototype.setAsUTC = function() {\n   var date = this.getDate();\n   var month = this.getMonth();\n   var year = this.getFullYear();\n   var hours = this.getHours();\n   var minutes = this.getMinutes();\n   this.setUTCDate( date );\n   this.setUTCMonth( month );\n   this.setUTCFullYear( year );\n   this.setUTCHours( hours );\n   this.setUTCMinutes( minutes );\n} \nDate.prototype.toFormattedString = function(display_options){\n   var hour, str;\n   var mask = display_options.format_mask;\n   var display_date = display_options.convert_to_UTC ? this.toUTC() : this;\n   var sdf = new SimpleDateFormat(mask);\n   str = sdf.format(display_date);\n   return str;\n}\nDate.parseISO_8601 = function(string) {\n   var pieces = /^(\\d{4})-(\\d{2})-(\\d{2})T(\\d{2}):(\\d{2}):(\\d{2})(\\.\\d+)?(([+-](\\d{2})([:]?(\\d{2}))?)|Z)$/.exec(string);\n   if (pieces) {\n     if (pieces[8] == 'Z') {\n       return new Date(Date.UTC(\n             parseInt(pieces[1], 10),\n             parseInt(pieces[2], 10) - 1,\n             parseInt(pieces[3], 10),\n             parseInt(pieces[4], 10),\n             parseInt(pieces[5], 10),\n             parseInt(pieces[6], 10)\n           ));\n     } else {\n       return new Date(\n             parseInt(pieces[1], 10),\n             parseInt(pieces[2], 10) - 1,\n             parseInt(pieces[3], 10),\n             parseInt(pieces[4], 10),\n             parseInt(pieces[5], 10),\n             parseInt(pieces[6], 10)\n           );\n     }\n   }\n}</code>\n</property>\n<property>\n<name>Datejs - code</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.DateTimePicker</name>\n<number>2</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>7bda20e1-10df-458b-92da-57ff91e9f2d0</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>// CalendarDateSelect version 1.16.1 - a prototype based date picker\n// Questions, comments, bugs? - see the project page: http://code.google.com/p/calendardateselect\nif (typeof Prototype == 'undefined') alert("CalendarDateSelect Error: Prototype could not be found. Please make sure that your application's layout includes prototype.js *before* it includes calendar_date_select.js");\nif (Prototype.Version &lt; "1.6") alert("Prototype &gt; 1.6.0 is required.");\n\nDateUtils = Class.create({\n  weekdays : [],\n  months : $A(Date.CultureInfo.monthNames),\n  firstDayOfWeek : Date.CultureInfo.firstDayOfWeek,\n  msecondsInOneDay : 24 * 60 * 60 * 1000,\n  initialize : function () {\n    var wdays = $A(Date.CultureInfo.firstLetterDayNames);\n    this.weekdays = [];\n    var f = (this.firstDayOfWeek + 6) % 7;\n    for (var i = f; i &gt;= 0 &amp;&amp; i &lt; wdays.length; ++i) {\n      this.weekdays.push(wdays[i]);\n    }\n    for (var i = 0; i &lt; wdays.length &amp;&amp; i &lt; f; ++i) {\n      this.weekdays.push(wdays[i]);\n    }\n  },\n  daysDistance : function(date1, date2) {\n    return Math.round((date2 - date1) / this.msecondsInOneDay);\n  },\n  getAMPMHour : function(date) {\n    var hour = date.getHours();\n    return (hour == 0) ? 12 : (hour &gt; 12 ? hour - 12 : hour )\n  },\n  getAMPM : function() {\n    return (this.getHours() &lt; 12) ? "AM" : "PM";\n  }\n});\n\nSelectBox = Class.create({\n  initialize: function(parent, values, cssClass, changeListener) {\n    this.element = new Element('select', {'class' : cssClass || ''});\n    this.populate(values);\n    Element.insert(parent, this.element);\n    this.element.observe('change', changeListener);\n  },\n  populate: function (values) {\n    var container = this.element;\n    container.update('');\n    $A(values).each(function(data) {\n      if (typeof(data) != "object") {\n        data = [data, data];\n      }\n      container.insert(new Element("option", { value: data[1]}).update(data[0]));\n    });\n  },\n  setValue: function(value) {\n    var e = this.element;\n    var matched = false;\n    $R(0, e.options.length - 1 ).each(function(i) {\n      if(e.options[i].value == value.toString()) {\n        e.selectedIndex = i;\n        matched = true;\n      };\n    });\n    return matched;\n  },\n  getValue: function() { return $F(this.element)}\n});\n\nCalendarDateSelect = Class.create({\n  options : {\n      hour_format_12: false,\n      default_format_mask: "dd/MM/yyyy",\n      format_mask: null,\n      convert_to_UTC:false,\n      embedded: false,\n      popup: null,\n      time: false,\n      buttons: true,\n      clear_button: true,\n      year_range: 10,\n      close_on_click: null,\n      minute_interval: 5,\n      month_year: "dropdowns",\n      valid_date_check: null\n  },\n  initialize : function(target_element, options) {\n    this.target_element = $(target_element); // make sure it's an element, not a string\n    if (!this.target_element) { alert("Target element " + target_element + " not found!"); return false;}\n    if (this.target_element.tagName != "INPUT") this.target_element = this.target_element.down("INPUT")\n    \n    this.target_element.calendar_date_select = this;\n    this.last_click_at = 0;\n    // initialize the date control\n    this.options = Object.extend(Object.clone(this.options), options || {});\n    this.options.popup_by = this.target_element,\n    this.options.onchange = this.options.onchange || this.target_element.onchange;\n    // change the format to reflect the options\n    var mask = this.target_element.title || this.options.format_mask || this.options.default_format_mask;\n    if (this.options.time &amp;&amp; \n         !mask.toLowerCase().include('h') &amp;&amp; \n         !mask.include('m') &amp;&amp; \n         !mask.include('a')) {\n      if( this.options.hour_format_12 ) {\n        this.options.format_mask = mask + " hh:mm tt";\n      } else {\n        this.options.format_mask = mask + " HH:mm";\n      }\n    } else {\n      this.options.format_mask = mask;\n    }\n    this.dateUtils = new DateUtils();\n    this.use_time = this.options.time;\n    this.parseDate();\n    this.callback("before_show")\n    this.initCalendarDiv();\n    if(!this.options.embedded) {\n      this.positionCalendarDiv()\n      // set the click handler to check if a user has clicked away from the document\n      Event.observe(document, "mousedown", this.closeIfClickedOut_handler = this.closeIfClickedOut.bindAsEventListener(this));\n      Event.observe(document, "keypress", this.keyPress_handler = this.keyPress.bindAsEventListener(this));\n    }\n    this.callback("after_show")\n  },\n  newElement : function (type, options) {\n    options = options || {};\n    var element = new Element(type, options.attrs || {}).update(options.content || '');\n    if (options.style) {\n      element.setStyle(options.style);\n    }\n    if (options.parent) {\n      Element.insert(options.parent, element);\n    }\n    if (options.events) {\n      for (var eventName in options.events) {\n        Event.observe(element, eventName, options.events[eventName]);\n      }\n    }\n    if (options.customData) {\n      for (var fieldName in options.customData) {\n        element[fieldName] = options.customData[fieldName];\n      }\n    }\n    return element;\n  },\n  positionCalendarDiv : function() {\n    var above = false;\n    var c_pos = this.calendar_div.cumulativeOffset(),\n        c_left = c_pos[0],\n        c_top = c_pos[1],\n        c_dim = this.calendar_div.getDimensions(),\n        c_height = c_dim.height,\n        c_width = c_dim.width; \n    var w_top = document.viewport.getScrollOffsets().top,\n        w_height = document.viewport.getHeight();\n    var e_dim = $(this.options.popup_by).cumulativeOffset(),\n        e_top = e_dim[1],\n        e_left = e_dim[0],\n        e_height = $(this.options.popup_by).getDimensions().height,\n        e_bottom = e_top + e_height;\n    \n    if ((( e_bottom + c_height ) &gt; (w_top + w_height)) &amp;&amp; ( e_bottom - c_height &gt; w_top )) {\n      above = true;\n    }\n    var left_px = e_left.toString() + "px",\n        top_px = (above ? (e_top - c_height ) : ( e_top + e_height )).toString() + "px";\n    \n    this.calendar_div.style.left = left_px;\n    this.calendar_div.style.top = top_px;\n    \n    this.calendar_div.setStyle({visibility : ''});\n    \n    // draw an iframe behind the calendar -- ugly hack to make IE 6 happy\n    if(navigator.appName=="Microsoft Internet Explorer") {\n      this.iframe = this.newElement('iframe', {\n        parent : $(document.body),\n        attrs : {src : "javascript:false", 'class' : "ie6_blocker"},\n        style: {left : left_px, top : top_px, height : c_height.toString() + "px", width : c_width.toString() + "px", border : "0px"}\n      });\n    }\n  },\n  initCalendarDiv : function() {\n    if (this.options.embedded) {\n      var parent = this.target_element.parentNode;\n      var style = {}\n    } else {\n      var parent = document.body\n      var style = { position:"absolute", visibility: "hidden", left:0, top:0 }\n    }\n    this.calendar_div = this.newElement('div', {'parent' : $(parent), attrs: {'class': "calendar_date_select"}, 'style' : style});\n    \n    var context = this;\n    // create the divs\n    $w("top header body buttons footer bottom").each(function(name) {\n      eval("context." + name + "_div = context.newElement('div', {parent : context.calendar_div, attrs : { 'class': 'cds_part cds_" + name + "' } }); ");\n    });\n    \n    this.initHeaderDiv();\n    this.initButtonsDiv();\n    this.initCalendarGrid();\n    this.updateFooter("&amp;#160;");\n    \n    this.refresh();\n    this.setUseTime(this.use_time);\n  },\n  initHeaderDiv : function() {\n    this.close_button = this.newElement('a', {\n        attrs : {'href' : '#', 'class' : 'close'},\n        content : 'x',\n        parent : this.header_div,\n        events : {\n          'click': function(event) {\n             event.stop();\n             this.close();\n          }.bindAsEventListener(this)\n        }\n    });\n    this.next_month_button = this.newElement('a', {\n        attrs : {'href' : '#', 'class' : 'next'},\n        content : '&amp;raquo;',\n        parent : this.header_div,\n        events : {\n          'click': function(event) {\n             event.stop();\n             this.navMonth(event, this.date.getMonth() + 1);\n          }.bindAsEventListener(this)\n        }\n    });\n    this.prev_month_button = this.newElement('a', {\n        attrs : {'href' : '#', 'class' : 'prev'},\n        content : '&amp;laquo;',\n        parent : this.header_div,\n        events : {\n          'click': function(event) {\n             event.stop();\n             this.navMonth(event, this.date.getMonth() - 1);\n          }.bindAsEventListener(this)\n        }\n    });\n    var dateUtils = this.dateUtils;\n    if (this.options.month_year == "dropdowns") {\n      this.month_select = new SelectBox(\n        this.header_div,\n        $R(0,11).map(function(m){return [dateUtils.months[m], m]}),\n        "month",\n        this.navMonth.bindAsEventListener(this)\n      ); \n      this.year_select = new SelectBox(\n        this.header_div,\n        [],\n        "year",\n        this.navYear.bindAsEventListener(this)\n      ); \n      this.populateYearRange();\n    } else {\n      this.month_year_label = this.newElement("span", {parent : this.header_div});\n    }\n  },\n  initCalendarGrid : function() {\n    var body_div = this.body_div;\n    this.calendar_day_grid = [];\n    var days_table = this.newElement('table', {parent : body_div});\n    var weekdays_row =  this.newElement('tr', {parent : this.newElement('thead', {parent : days_table})});\n    function isLatin(str) {\n      var fcc = str.charCodeAt(0);\n      if (64 &lt;= fcc &amp;&amp; fcc &lt;= 7929) return true;\n      return false;\n    }\n    this.dateUtils.weekdays.each( function(weekday) {\n      Element.insert(weekdays_row, new Element('th').update(isLatin(weekday) ? weekday.substring(0,2) : weekday));\n    });\n    \n    var days_tbody = this.newElement('tbody', {parent : days_table});\n    var row_number = 0, weekday;\n    for (var cell_index = 0; cell_index &lt; 42; cell_index++) {\n      weekday = (cell_index) % 7;//(cell_index + this.dateUtils.firstDayOfWeek) % 7;\n      if (cell_index % 7 == 0) {\n        days_row = this.newElement('tr', {parent : days_tbody, attrs : {'class' : 'row_' + row_number++}});\n      }\n      this.calendar_day_grid[cell_index] = this.newElement('td', {\n          content : new Element('div'),\n          parent: days_row,\n          attrs : {'class': ((weekday == (7 - this.dateUtils.firstDayOfWeek) % 7) || (weekday == (13 - this.dateUtils.firstDayOfWeek) % 7)) ? "weekend" : ""},\n          events : {\n            mouseover: function () { this.calendar_date_select.dayHover(this); },\n            mouseout: function () { this.calendar_date_select.dayHoverOut(this) },\n            click: function() { this.calendar_date_select.updateSelectedDate(this, true); }\n          },\n          customData : {calendar_date_select: this}\n        }\n      );\n    }\n  },\n  initButtonsDiv : function() {\n    var _formatNumber0d = function(value) {\n      var formatted = parseInt(value, 10);\n      if (value &lt; 10) {\n        formatted = "0" + formatted;\n      }\n      return formatted;\n    }\n    \n    var buttons_div = this.buttons_div;\n    var time_div = this.newElement('div', {parent : buttons_div, attrs : {'class': "timediv"}});\n    if (this.options.time) {\n      var blank_time = $A(this.options.time == "mixed" ? [[" - ", ""]] : []);\n      time_div.update(new Element("span", {'class': "at_sign"}).update('@'));\n      \n      if (this.options.hour_format_12) {\n        var t = new Date();\n        blank_time = blank_time.concat($R(0, 23).map(function(x) {\n          t.setHours(x); return $A([this.dateUtils.getAMPMHour(t) + " " + this.dateUtils.getAMPM(t), x])\n        }));\n      } else { \n        blank_time = blank_time.concat($R(0, 23).map(function(x) {\n          return $A([_formatNumber0d(x), x])\n        }));\n      }\n      this.hour_select = new SelectBox(\n        time_div,\n        blank_time,\n        "hour",\n        this.calendar_date_select.updateSelectedDate.bind(this, {hour: this.value })\n      );\n      this.hour_select.calendar_date_select = this;\n      \n      time_div.insert(new Element ("span", {'class' : "separator"}).update(':'));\n      var context = this;\n      blank_time = $A([]);\n      this.minute_select = new SelectBox(\n        time_div,\n        blank_time.concat($R(0,59).select(function(x) {\n          return (x % context.options.minute_interval == 0)\n        }).map(function(x) {\n          return $A([_formatNumber0d(x), x]);\n        })),\n        "minute",\n        this.calendar_date_select.updateSelectedDate.bind(this, {minute: this.value})\n      );\n      this.minute_select.calendar_date_select = this;\n      \n    } else if (!this.options.buttons) {\n      buttons_div.remove();\n    }\n    \n    if (this.options.buttons) {\n      var _insertButton = function(parent, textKey, clickListener) {\n        this.newElement("a", {\n          parent :  parent,\n          content : _translations[textKey],\n          attrs: {'href' : "#"},\n          events : {'click' : clickListener}\n        });\n      }.bind(this);\n      var _insertButtonSeparator = function(parent) {\n        this.newElement("span", {\n          parent : parent,\n          content : "&amp;#160;|&amp;#160;",\n          attrs : {'class' : "button_separator"}\n        })\n      }.bind(this);\n      \n      this.newElement('span', {parent : buttons_div, content : "&amp;#160;"});\n      if (this.options.time == "mixed" || !this.options.time) {\n        _insertButton(buttons_div, "Today", function(event) {this.today(false); event.stop(); return false;}.bindAsEventListener(this));\n      }\n      if (this.options.time == "mixed") {\n        _insertButtonSeparator(buttons_div);\n      }\n      if (this.options.time) {\n        _insertButton(buttons_div, "Now", function(event) {this.today(true); event.stop(); return false;}.bindAsEventListener(this));\n      }\n      if (!this.options.embedded &amp;&amp; !this.closeOnClick()) {\n        _insertButtonSeparator(buttons_div);\n        _insertButton(buttons_div, "OK", function(event) {this.close(); event.stop(); return false;}.bindAsEventListener(this));\n      }\n      if (this.options.clear_button) {\n        _insertButtonSeparator(buttons_div);\n        _insertButton(buttons_div, "Clear", function(event) {this.clearDate(); if (!this.options.embedded) this.close(); event.stop(); return false;}.bindAsEventListener(this));\n      }\n    }\n  },\n  refresh: function () {\n    this.refreshMonthYear();\n    this.refreshCalendarGrid();\n    \n    this.setSelectedClass();\n    this.updateFooter();\n  },\n  refreshCalendarGrid: function () {\n    this.beginning_date = new Date(this.date).clearTime();\n    this.beginning_date.setDate(1);\n    this.beginning_date.setHours(12); // Prevent daylight savings time boundaries from showing a duplicate day\n    var pre_days = this.beginning_date.getDay() // draw some days before the fact\n    if (pre_days &lt; 3) pre_days += 7;\n    this.beginning_date.setDate(1 - pre_days + this.dateUtils.firstDayOfWeek);\n    \n    var iterator = new Date(this.beginning_date);\n    \n    var today = new Date().clearTime();\n    var this_month = this.date.getMonth();\n    vdc = this.options.valid_date_check;\n    for (var cell_index = 0; cell_index &lt; 42; cell_index++) {\n      day = iterator.getDate();\n      month = iterator.getMonth();\n      cell = this.calendar_day_grid[cell_index];\n      cell.update(new Element('div', {'class' : (month != this_month) ? 'other' : ''}).update(day));\n      cell.day = day;\n      cell.month = month;\n      cell.year = iterator.getFullYear();\n      if (vdc) {\n        if (vdc(iterator.clearTime())) {\n          cell.removeClassName("disabled");\n        } else {\n          cell.addClassName("disabled")\n        };\n      }\n      iterator.setDate(day + 1);\n    }\n    \n    if (this.today_cell) {\n      this.today_cell.removeClassName("today");\n    }\n    \n    if ($R(0, 41).include(days_until = this.dateUtils.daysDistance(this.beginning_date.clearTime(), (today)))) {\n      this.today_cell = this.calendar_day_grid[days_until];\n      this.today_cell.addClassName("today");\n    }\n  },\n  \n  refreshMonthYear : function() {\n    var m = this.date.getMonth();\n    var y = this.date.getFullYear();\n    // set the month\n    if (this.options.month_year == "dropdowns") {\n      this.month_select.setValue(m, false);\n      var e = this.year_select.element; \n      if (this.flexibleYearRange() &amp;&amp;\n        (!(this.year_select.setValue(y, false)) || e.selectedIndex &lt;= 1 || e.selectedIndex &gt;= e.options.length - 2 )\n      ) {\n        this.populateYearRange();\n      }\n      this.year_select.setValue(y);\n      \n    } else {\n      this.month_year_label.update(this.dateUtils.months[m] + " " + y.toString());\n    }\n  },\n  \n  populateYearRange : function() {\n    this.year_select.populate(this.yearRange().toArray());\n  },\n  yearRange : function() {\n    if (!this.flexibleYearRange()) {\n      return $R(this.options.year_range[0], this.options.year_range[1]);\n    }\n    var y = this.date.getFullYear();\n    return $R(y - this.options.year_range, y + this.options.year_range);\n  },\n  flexibleYearRange : function() {\n    return (typeof(this.options.year_range) == "number");\n  },\n  validYear : function(year) {\n    if (this.flexibleYearRange()) {\n      return true;\n    } else {\n      return this.yearRange().include(year);\n    }\n  },\n  dayHover: function(element) {\n    var hover_date = new Date(this.selected_date);\n    hover_date.setFullYear(element.year, element.month, element.day);\n    this.updateFooter(hover_date.toFormattedString(this.options));\n  },\n  dayHoverOut: function(element) { this.updateFooter(); },\n  clearSelectedClass: function() {\n    if (this.selected_cell) {\n      this.selected_cell.removeClassName("selected");\n    }\n  },\n  setSelectedClass: function() {\n    if (!this.selection_made) return;\n    this.clearSelectedClass();\n    if ($R(0,42).include(days_until = this.dateUtils.daysDistance(this.beginning_date.clearTime(), this.selected_date.clearTime()))) {\n      this.selected_cell = this.calendar_day_grid[days_until];\n      this.selected_cell.addClassName("selected");\n    }\n  },\n  reparse: function() {\n    this.parseDate();\n    this.refresh();\n  },\n  dateString: function() {\n    return (this.selection_made) ? this.selected_date.toFormattedString( this.options ) : "&amp;#160;";\n  },\n  parseDate: function() {\n    var value = this.target_element.readAttribute('alt').strip()\n    var default_time = this.options.default_time;\n    this.selection_made = (value != "" || default_time);\n    this.date = value=="" ? NaN : Date.parseISO_8601(value);\n    if (isNaN(this.date) &amp;&amp; !default_time) {\n        this.date = new Date();\n    } else if (isNaN(this.date) &amp;&amp; default_time) {\n        this.date = (Object.prototype.toString.apply(default_time) === '[object Function]') ? default_time() : default_time;\n    }\n    if (!this.validYear(this.date.getFullYear())) {\n      this.date.setYear((this.date.getFullYear() &lt; this.yearRange().start) ? this.yearRange().start : this.yearRange().end);\n    }\n    this.selected_date = new Date(this.date);\n    this.use_time = /[0-9]:[0-9]{2}/.exec(value) ? true : false;\n    this.date.setDate(1);\n  },\n  updateFooter: function(text) {\n    this.footer_div.update(new Element('span').update(text || this.dateString()));\n  },\n  clearDate: function() {\n    if ((this.target_element.disabled || this.target_element.readOnly) &amp;&amp; this.options.popup != "force") {\n      return false;\n    }\n    var last_value = this.target_element.value;\n    this.target_element.value = "";\n    this.target_element.writeAttribute('alt', '');\n    this.clearSelectedClass();\n    this.updateFooter('&amp;#160;');\n    if (last_value!=this.target_element.value) {\n      this.callback("onchange");\n    }\n  },\n  updateSelectedDate:function(partsOrElement, via_click) {\n    var parts = $H(partsOrElement);\n    if ((this.target_element.disabled || this.target_element.readOnly) &amp;&amp; this.options.popup != "force") {\n      return false;\n    }\n    if (parts.get("day")) {\n      var t_selected_date = this.selected_date, vdc = this.options.valid_date_check;\n      t_selected_date.setFullYear(parts.get("year"), parts.get("month"), parts.get("day"));\n      \n      if (vdc &amp;&amp; ! vdc(t_selected_date.clearTime())) { return false; }\n      this.selected_date = t_selected_date;\n      this.selection_made = true;\n    }\n    if (!isNaN(parts.get("hour"))) {\n      this.selected_date.setHours(parts.get("hour"));\n    }\n    if (!isNaN(parts.get("minute"))) {\n      this.selected_date.setMinutes(this.alignMinutesToInterval(parts.get("minute")) );\n    }\n    if (parts.get("hour") === "" || parts.get("minute") === "") {\n      this.setUseTime(false);\n    } else if (!isNaN(parts.get("hour")) || !isNaN(parts.get("minute"))) {\n      this.setUseTime(true);\n    }\n    this.updateFooter();\n    this.setSelectedClass();\n    if (this.selection_made) {\n      this.updateValue();\n    }\n    if (via_click &amp;&amp; this.closeOnClick()) {\n      this.close();\n    }\n    if (via_click &amp;&amp; !this.options.embedded) {\n      if ((new Date() - this.last_click_at) &lt; 333) {\n        this.close();\n      }\n      this.last_click_at = new Date();\n    }\n  },\n  closeOnClick: function() {\n    if (this.options.embedded) return false;\n    if (this.options.close_on_click === null) {\n      return (this.options.time) ? false : true\n    } else {\n      return (this.options.close_on_click)\n    }\n  },\n  navMonth: function(event, month) {\n    (target_date = new Date(this.date)).setMonth(typeof(month) == 'number' ? month : this.month_select.getValue());\n    return (this.navTo(target_date));\n  },\n  navYear: function(event, year) {\n    (target_date = new Date(this.date)).setYear(typeof(year) == 'number' ? year : this.year_select.getValue());\n    return (this.navTo(target_date));\n  },\n  navTo: function(date) {\n    if (!this.validYear(date.getFullYear())) return false;\n    this.date = date;\n    this.date.setDate(1);\n    this.refresh();\n    this.callback("after_navigate", this.date);\n    return true;\n  },\n  alignMinutesToInterval : function(value) {\n    var interval = this.options.minute_interval;\n    return Math.floor(value/interval) * interval;\n  },\n  setUseTime: function(turn_on) {\n    this.use_time = this.options.time &amp;&amp; (this.options.time == "mixed" ? turn_on : true) // force use_time to true if time==true &amp;&amp; time!="mixed"\n    if (this.use_time &amp;&amp; this.selected_date) { // only set hour/minute if a date is already selected\n      var minute = this.alignMinutesToInterval(this.selected_date.getMinutes());\n      var hour = this.selected_date.getHours();\n      \n      this.hour_select.setValue(hour);\n      this.minute_select.setValue(minute)\n    } else if (this.options.time == "mixed") {\n      this.hour_select.setValue(""); this.minute_select.setValue("");\n    }\n  },\n  updateValue: function() {\n    var last_value = this.target_element.value;\n    this.target_element.value = this.dateString();\n    this.target_element.writeAttribute('alt', this.selected_date.toISO8601());\n    if (last_value!=this.target_element.value) {\n      this.callback("onchange");\n    }\n  },\n  today: function(now) {\n    var d = new Date(); this.date = new Date();\n    var o = $H({ day: d.getDate(), month: d.getMonth(), year: d.getFullYear(), hour: d.getHours(), minute: d.getMinutes()});\n    if ( ! now ) o = o.merge({hour: "", minute:""}); \n    this.updateSelectedDate(o, true);\n    this.refresh();\n  },\n  close: function() {\n    if (this.closed) return false;\n    this.callback("before_close");\n    this.target_element.calendar_date_select = null;\n    Event.stopObserving(document, "mousedown", this.closeIfClickedOut_handler);\n    Event.stopObserving(document, "keypress", this.keyPress_handler);\n    this.calendar_div.remove(); this.closed = true;\n    if (this.iframe) {\n      this.iframe.remove();\n    }\n    if (this.target_element.type != "hidden" &amp;&amp; ! this.target_element.disabled) {\n      this.target_element.focus();\n    }\n    this.callback("after_close");\n  },\n  closeIfClickedOut: function(e) {\n    if (! ($(Event.element(e)).descendantOf &amp;&amp; $(Event.element(e)).descendantOf(this.calendar_div)) ) this.close();\n  },\n  keyPress: function(e) {\n    if (e.keyCode==Event.KEY_ESC) this.close();\n  },\n  callback: function(name, param) {\n    if (this.options[name]) {\n      this.options[name].bind(this.target_element)(param);\n    }\n  }\n});</code>\n</property>\n<property>\n<name>Calendar Date Select</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.DateTimePicker</name>\n<number>4</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>6ec8f73b-75c3-41b2-8869-c6fe927f6345</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var XWiki = (function (XWiki) {\n  var widgets = XWiki.widgets = XWiki.widgets || {};\n  widgets.DateTimePicker = Class.create({\n    selector : "input.xwiki-date",\n    options : {\n      year_range: 10,\n      time: false,\n      convert_to_UTC: false,\n      hour_format_12: false,\n      minute_interval: 1,\n      popup:'force'\n    },\n    initialize : function(options) {\n      this.options = Object.extend(Object.clone(this.options), options || {});\n      this.attachPickers();\n    },\n    attachPickers : function (container) {\n      var dateInputs = container &amp;&amp; container.select(this.selector) || $$(this.selector);\n      dateInputs.invoke('observe', 'click', this.onClick.bindAsEventListener(this));\n      dateInputs.each(function(element) {\n        element.readOnly = true;\n      });\n    },\n    onClick : function(event) {\n      this.showCalendar(event.element());\n    },\n    showCalendar : function (target) {\n      var cOptions = Object.clone(this.options);\n      cOptions.time = cOptions.time || target.hasClassName('withTime');\n      cOptions.convert_to_UTC = cOptions.convert_to_UTC || target.hasClassName('withUTC');\n      cOptions.onchange = function () {\n        Event.fire(target, 'xwiki:date:changed');\n        Event.fire(target, 'xwiki:form:field-value-changed');\n      }\n      target.addClassName('initialized');\n      target._selector = new CalendarDateSelect(target, cOptions);\n    }\n  });\n  return XWiki;\n}(XWiki || {}));\n\ndocument.observe('xwiki:dom:loaded', function () {\n  var crtYear = new Date().getFullYear();\n  window.dateTimePicker = new XWiki.widgets.DateTimePicker({year_range: [crtYear - 99, crtYear + 1]});\n});</code>\n</property>\n<property>\n<name>Calendar activation</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.DateTimePicker</name>\n<number>5</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>3c2e2312-63bb-4599-bbec-ed37ae4ba254</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>/**\n * Copyright 2007 Tim Down.\n * \n * Licensed under the Apache License, Version 2.0 (the "License");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n * \n *      http://www.apache.org/licenses/LICENSE-2.0\n * \n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an "AS IS" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License.\n */\n \n/**\n * simpledateformat.js\n *\n * A faithful JavaScript implementation of Java's SimpleDateFormat's format\n * method. All pattern layouts present in the Java implementation are\n * implemented here except for z, the text version of the date's time zone.\n *\n * Thanks to Ash Searle (http://hexmen.com/blog/) for his fix to my\n * misinterpretation of pattern letters h and k.\n * \n * See the official Sun documentation for the Java version:\n * http://java.sun.com/j2se/1.5.0/docs/api/java/text/SimpleDateFormat.html\n *\n * Author: Tim Down &lt;tim@timdown.co.uk&gt;\n * Last modified: 6/2/2007\n * Website: http://www.timdown.co.uk/code/simpledateformat.php\n */\n \n/* ------------------------------------------------------------------------- */\n\nvar SimpleDateFormat;\n\n(function() {\n\tfunction isUndefined(obj) {\n\t\treturn typeof obj == "undefined";\n\t}\n\n\tvar regex = /('[^']*')|(G+|y+|M+|w+|W+|D+|d+|F+|E+|a+|H+|k+|K+|h+|m+|s+|S+|Z+)|([a-zA-Z]+)|([^a-zA-Z']+)/;\n\tvar monthNames = Date.CultureInfo.monthNames;\n\tvar dayNames = Date.CultureInfo.dayNames;\n\tvar TEXT2 = 0, TEXT3 = 1, NUMBER = 2, YEAR = 3, MONTH = 4, TIMEZONE = 5;\n\tvar types = {\n\t\tG : TEXT2,\n\t\ty : YEAR,\n\t\tM : MONTH,\n\t\tw : NUMBER,\n\t\tW : NUMBER,\n\t\tD : NUMBER,\n\t\td : NUMBER,\n\t\tF : NUMBER,\n\t\tE : TEXT3,\n\t\ta : TEXT2,\n\t\tH : NUMBER,\n\t\tk : NUMBER,\n\t\tK : NUMBER,\n\t\th : NUMBER,\n\t\tm : NUMBER,\n\t\ts : NUMBER,\n\t\tS : NUMBER,\n\t\tZ : TIMEZONE\n\t};\n\tvar ONE_DAY = 24 * 60 * 60 * 1000;\n\tvar ONE_WEEK = 7 * ONE_DAY;\n\tvar DEFAULT_MINIMAL_DAYS_IN_FIRST_WEEK = 1;\n\n\tvar newDateAtMidnight = function(year, month, day) {\n\t\tvar d = new Date(year, month, day, 0, 0, 0);\n\t\td.setMilliseconds(0);\n\t\treturn d;\n\t}\n\n\tDate.prototype.getDifference = function(date) {\n\t\treturn this.getTime() - date.getTime();\n\t};\n\n\tDate.prototype.isBefore = function(d) {\n\t\treturn this.getTime() &lt; d.getTime();\n\t};\n\n\tDate.prototype.getUTCTime = function() {\n\t\treturn Date.UTC(this.getFullYear(), this.getMonth(), this.getDate(), this.getHours(), this.getMinutes(),\n\t\t\t\tthis.getSeconds(), this.getMilliseconds());\n\t};\n\n\tDate.prototype.getTimeSince = function(d) {\n\t\treturn this.getUTCTime() - d.getUTCTime();\n\t};\n\n\tDate.prototype.getPreviousSunday = function() {\n\t\t// Using midday avoids any possibility of DST messing things up\n\t\tvar midday = new Date(this.getFullYear(), this.getMonth(), this.getDate(), 12, 0, 0);\n\t\tvar previousSunday = new Date(midday.getTime() - this.getDay() * ONE_DAY);\n\t\treturn newDateAtMidnight(previousSunday.getFullYear(), previousSunday.getMonth(),\n\t\t\t\tpreviousSunday.getDate());\n\t}\n\n\tDate.prototype.getWeekInYear = function(minimalDaysInFirstWeek) {\n\t\tif (isUndefined(this.minimalDaysInFirstWeek)) {\n\t\t\tminimalDaysInFirstWeek = DEFAULT_MINIMAL_DAYS_IN_FIRST_WEEK;\n\t\t}\n\t\tvar previousSunday = this.getPreviousSunday();\n\t\tvar startOfYear = newDateAtMidnight(this.getFullYear(), 0, 1);\n\t\tvar numberOfSundays = previousSunday.isBefore(startOfYear) ?\n\t\t\t0 : 1 + Math.floor(previousSunday.getTimeSince(startOfYear) / ONE_WEEK);\n\t\tvar numberOfDaysInFirstWeek =  7 - startOfYear.getDay();\n\t\tvar weekInYear = numberOfSundays;\n\t\tif (numberOfDaysInFirstWeek &lt; minimalDaysInFirstWeek) {\n\t\t\tweekInYear--;\n\t\t}\n\t\treturn weekInYear;\n\t};\n\n\tDate.prototype.getWeekInMonth = function(minimalDaysInFirstWeek) {\n\t\tif (isUndefined(this.minimalDaysInFirstWeek)) {\n\t\t\tminimalDaysInFirstWeek = DEFAULT_MINIMAL_DAYS_IN_FIRST_WEEK;\n\t\t}\n\t\tvar previousSunday = this.getPreviousSunday();\n\t\tvar startOfMonth = newDateAtMidnight(this.getFullYear(), this.getMonth(), 1);\n\t\tvar numberOfSundays = previousSunday.isBefore(startOfMonth) ?\n\t\t\t0 : 1 + Math.floor((previousSunday.getTimeSince(startOfMonth)) / ONE_WEEK);\n\t\tvar numberOfDaysInFirstWeek =  7 - startOfMonth.getDay();\n\t\tvar weekInMonth = numberOfSundays;\n\t\tif (numberOfDaysInFirstWeek &gt;= minimalDaysInFirstWeek) {\n\t\t\tweekInMonth++;\n\t\t}\n\t\treturn weekInMonth;\n\t};\n\n\tDate.prototype.getDayInYear = function() {\n\t\tvar startOfYear = newDateAtMidnight(this.getFullYear(), 0, 1);\n\t\treturn 1 + Math.floor(this.getTimeSince(startOfYear) / ONE_DAY);\n\t};\n\n\t/* ----------------------------------------------------------------- */\n\n\tSimpleDateFormat = function(formatString) {\n\t\tthis.formatString = formatString;\n\t};\n\n\t/**\n\t * Sets the minimum number of days in a week in order for that week to\n\t * be considered as belonging to a particular month or year\n\t */\n\tSimpleDateFormat.prototype.setMinimalDaysInFirstWeek = function(days) {\n\t\tthis.minimalDaysInFirstWeek = days;\n\t};\n\n\tSimpleDateFormat.prototype.getMinimalDaysInFirstWeek = function(days) {\n\t\treturn isUndefined(this.minimalDaysInFirstWeek)\t?\n\t\t\tDEFAULT_MINIMAL_DAYS_IN_FIRST_WEEK : this.minimalDaysInFirstWeek;\n\t};\n\n\tSimpleDateFormat.prototype.format = function(date) {\n    if (date == "Invalid Date") {\n      return "";\n    }\n    var formattedString = "";\n\t\tvar result;\n\t\tvar padWithZeroes = function(str, len) {\n\t\t\twhile (str.length &lt; len) {\n\t\t\t\tstr = "0" + str;\n\t\t\t}\n\t\t\treturn str;\n\t\t};\n\n\t\tvar formatText = function(data, numberOfLetters, minLength) {\n\t\t\treturn (numberOfLetters &gt;= 4) ? data : data.substr(0, Math.max(minLength, numberOfLetters));\n\t\t};\n\n\t\tvar formatNumber = function(data, numberOfLetters) {\n\t\t\tvar dataString = "" + data;\n\t\t\t// Pad with 0s as necessary\n\t\t\treturn padWithZeroes(dataString, numberOfLetters);\n\t\t};\n\n\t\tvar searchString = this.formatString;\n\t\twhile ((result = regex.exec(searchString))) {\n\t\t\tvar matchedString = result[0];\n\t\t\tvar quotedString = result[1];\n\t\t\tvar patternLetters = result[2];\n\t\t\tvar otherLetters = result[3];\n\t\t\tvar otherCharacters = result[4];\n\n\t\t\t// If the pattern matched is quoted string, output the text between the quotes\n\t\t\tif (quotedString) {\n\t\t\t\tif (quotedString == "''") {\n\t\t\t\t\tformattedString += "'";\n\t\t\t\t} else {\n\t\t\t\t\tformattedString += quotedString.substring(1, quotedString.length - 1);\n\t\t\t\t}\n\t\t\t} else if (otherLetters) {\n\t\t\t\t// Swallow non-pattern letters by doing nothing here\n\t\t\t} else if (otherCharacters) {\n\t\t\t\t// Simply output other characters\n\t\t\t\tformattedString += otherCharacters;\n\t\t\t} else if (patternLetters) {\n\t\t\t\t// Replace pattern letters\n\t\t\t\tvar patternLetter = patternLetters.charAt(0);\n\t\t\t\tvar numberOfLetters = patternLetters.length;\n\t\t\t\tvar rawData = "";\n\t\t\t\tswitch (patternLetter) {\n\t\t\t\t\tcase "G":\n\t\t\t\t\t\trawData = "AD";\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "y":\n\t\t\t\t\t\trawData = date.getFullYear();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "M":\n\t\t\t\t\t\trawData = date.getMonth();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "w":\n\t\t\t\t\t\trawData = date.getWeekInYear(this.getMinimalDaysInFirstWeek());\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "W":\n\t\t\t\t\t\trawData = date.getWeekInMonth(this.getMinimalDaysInFirstWeek());\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "D":\n\t\t\t\t\t\trawData = date.getDayInYear();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "d":\n\t\t\t\t\t\trawData = date.getDate();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "F":\n\t\t\t\t\t\trawData = 1 + Math.floor((date.getDate() - 1) / 7);\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "E":\n\t\t\t\t\t\trawData = dayNames[date.getDay()];\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "a":\n\t\t\t\t\t\trawData = (date.getHours() &gt;= 12) ? "PM" : "AM";\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "H":\n\t\t\t\t\t\trawData = date.getHours();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "k":\n\t\t\t\t\t\trawData = date.getHours() || 24;\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "K":\n\t\t\t\t\t\trawData = date.getHours() % 12;\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "h":\n\t\t\t\t\t\trawData = (date.getHours() % 12) || 12;\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "m":\n\t\t\t\t\t\trawData = date.getMinutes();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "s":\n\t\t\t\t\t\trawData = date.getSeconds();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "S":\n\t\t\t\t\t\trawData = date.getMilliseconds();\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase "Z":\n\t\t\t\t\t\trawData = date.getTimezoneOffset(); // This is returns the number of minutes since GMT was this time.\n\t\t\t\t\t\tbreak;\n\t\t\t\t}\n\t\t\t\t// Format the raw data depending on the type\n\t\t\t\tswitch (types[patternLetter]) {\n\t\t\t\t\tcase TEXT2:\n\t\t\t\t\t\tformattedString += formatText(rawData, numberOfLetters, 2);\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase TEXT3:\n\t\t\t\t\t\tformattedString += formatText(rawData, numberOfLetters, 3);\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase NUMBER:\n\t\t\t\t\t\tformattedString += formatNumber(rawData, numberOfLetters);\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase YEAR:\n\t\t\t\t\t\tif (numberOfLetters &lt;= 3) {\n\t\t\t\t\t\t\t// Output a 2-digit year\n\t\t\t\t\t\t\tvar dataString = "" + rawData;\n\t\t\t\t\t\t\tformattedString += dataString.substr(2, 2);\n\t\t\t\t\t\t} else {\n\t\t\t\t\t\t\tformattedString += formatNumber(rawData, numberOfLetters);\n\t\t\t\t\t\t}\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase MONTH:\n\t\t\t\t\t\tif (numberOfLetters &gt;= 3) {\n\t\t\t\t\t\t\tformattedString += formatText(monthNames[rawData], numberOfLetters, numberOfLetters);\n\t\t\t\t\t\t} else {\n\t\t\t\t\t\t\t// NB. Months returned by getMonth are zero-based\n\t\t\t\t\t\t\tformattedString += formatNumber(rawData + 1, numberOfLetters);\n\t\t\t\t\t\t}\n\t\t\t\t\t\tbreak;\n\t\t\t\t\tcase TIMEZONE:\n\t\t\t\t\t\tvar isPositive = (rawData &gt; 0);\n\t\t\t\t\t\t// The following line looks like a mistake but isn't\n\t\t\t\t\t\t// because of the way getTimezoneOffset measures.\n\t\t\t\t\t\tvar prefix = isPositive ? "-" : "+";\n\t\t\t\t\t\tvar absData = Math.abs(rawData);\n\n\t\t\t\t\t\t// Hours\n\t\t\t\t\t\tvar hours = "" + Math.floor(absData / 60);\n\t\t\t\t\t\thours = padWithZeroes(hours, 2);\n\t\t\t\t\t\t// Minutes\n\t\t\t\t\t\tvar minutes = "" + (absData % 60);\n\t\t\t\t\t\tminutes = padWithZeroes(minutes, 2);\n\n\t\t\t\t\t\tformattedString += prefix + hours + minutes;\n\t\t\t\t\t\tbreak;\n\t\t\t\t}\n\t\t\t}\n\t\t\tsearchString = searchString.substr(result.index + result[0].length);\n\t\t}\n\t\treturn formattedString;\n\t};\n})();</code>\n</property>\n<property>\n<name>SimpleDateFormat</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.DateTimePicker</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>ce37339d-1130-4b6a-94f4-f998389b5320</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\ninput.xwiki-date {\n  background-image: url("$xwiki.getSkinFile('icons/silk/date.png')");\n  background-position: right center;\n  background-repeat: no-repeat;\n  min-height: 16px;\n  cursor: pointer;\n}\n.calendar_date_select {\n  color:$theme.textColor;\n  border: $theme.pageContentBackgroundColor 1px solid;\n  box-shadow: 0 0 6px $theme.borderColor;\n  display:block;\n  width:13.929em;\n  z-index: 1000;\n}\n/* this is a fun ie6 hack to get drop downs to stay behind the popup window.  This should always be just underneath .calendar_date_select */\niframe.ie6_blocker {\n  position: absolute;\n  z-index: 999;\n}\n\n.calendar_date_select thead th {\n  font-weight:bold;\n  background-color: $theme.panelHeaderBackgroundColor;\n  border-top:1px solid $theme.borderColor;\n  border-bottom:2px solid $theme.borderColor;\n  color: $theme.panelHeaderTextColor !important;\n  text-align:center;\n}\n\n.calendar_date_select .cds_part {\n  clear: left;\n}\n.calendar_date_select .cds_buttons {\n  text-align:center;\n  padding:0.357em 0;\n  background-color: $theme.backgroundSecondaryColor;\n}\n\n.calendar_date_select .cds_footer {\n  color: $theme.panelHeaderTextColor;\n  background-color: $theme.panelHeaderBackgroundColor;\n  padding:0.214em;\n  font-size:0.857em;\n  text-align:center;\n}\n\n.calendar_date_select table {\n  margin: 0;\n  padding: 0;\n}\n\n\n.calendar_date_select .cds_header {\n  background-color: $theme.backgroundSecondaryColor;\n  border-bottom:2px solid $theme.borderColor;\n  text-align:center;\n}\n\n.calendar_date_select .cds_header span {\n  font-size:1.071em;\n  color: $theme.textColor;\n  font-weight: bold;\n}\n\n.calendar_date_select select { font-size:0.786em;}\n\n.calendar_date_select .cds_header a:hover {\n  color: $theme.textColor;\n}\n.calendar_date_select .cds_header a {\n  width:1.571em;\n  height:1.429em;\n  text-decoration: none;\n  font-size:1em;\n  color:$theme.textColor !important;\n}\n\n.calendar_date_select .cds_header a.prev {\n  float:left;\n}\n.calendar_date_select .cds_header a.next {\n  float:right;\n}\n.calendar_date_select .cds_header a.close {\n  float:right;\n  display:none;\n}\n\n*html div.calendar_date_select .cds_header select.month {\n  width:5.714em;\n}\n\n.calendar_date_select .cds_buttons a {\n  color: $theme.textColor;\n  font-size:0.643em;\n}\n.calendar_date_select td {\n  cursor: pointer;\n  font-size:0.857em;\n  width: 1.714em;\n  height: 1.5em;\n  text-align:center;\n  vertical-align: middle;\n  background-color: $theme.pageContentBackgroundColor;\n}\n.calendar_date_select td.weekend {\n  background-color: $theme.backgroundSecondaryColor;\n}\n\n.calendar_date_select td div {\n  color: $theme.linkColor;\n}\n.calendar_date_select td div.other {\n  color: $theme.textSecondaryColor;\n}\n.calendar_date_select td.selected div {\n  color:$theme.textColor;\n  font-weight:bold;\n}\n\n.calendar_date_select .cds_body table {\n  cell-padding: 0;\n  cell-spacing: 0;\n  width: 100%;\n}\n\n.calendar_date_select tbody td {\n  border-bottom: 1px solid $theme.borderColor;\n}\n.calendar_date_select td.selected {\n  background-color: $theme.pageBackgroundColor;\n}\n\n.calendar_date_select td:hover {\n  background-color: $theme.highlightColor;\n}\n\n.calendar_date_select td.today {\n  border: 2px solid $theme.linkColor;\n}\n\n.calendar_date_select td.disabled div {\n  color: $theme.textSecondaryColor;\n}\n\n\n.fieldWithErrors .calendar_date_select {\n  border: 2px solid $theme.notificationWarningColor;\n}\n\n*html .calendar_date_select .cds_top, *html .calendar_date_select .cds_bottom {\n  display:none;\n}\n</code></property><property><name>Calendar styling</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>XWiki.DateTimePicker</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>fcd76e0d-037e-4054-a1fd-ca124fd5deeb</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
2543804617369772519	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>StringDisplayer</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1424978928000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($type == 'edit' || $type == 'search')\n  #set ($id = $escapetool.xml("${prefix}${name}"))\n  {{html clean="false"}}&lt;input type="text" name="$!id" id="$!id" value="$!{escapetool.xml($value)}" size="$!{field.getProperty('size').value}" /&gt;{{/html}}\n#elseif ($type == 'view' || $type == 'rendered')\n$!{value}##\n#elseif ($type == 'hidden')\n  #set ($id = $escapetool.xml("${prefix}${name}"))\n  {{html clean="false"}}&lt;input type="hidden" id="$!id" name="$!id" value="$!escapetool.xml($value)" /&gt;{{/html}}\n#else\n  ## In order for the custom displayer to be taken into account, the result of its evaluation with an unknown display\n  ## mode must not be empty. Let's output something.\n  Unknown display mode.\n#end\n{{/velocity}}</content></xwikidoc>\n
125676037161426409	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AttachmentSelector</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822167000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>#if ($request.docname)$xwiki.getDocument($request.docname).plainTitle ($request.docname): #end$services.localization.render('xe.attachmentSelector.gallery.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-widgets-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>caa5337b-fad4-4c21-8ef4-9e7e1c44dbfe</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var XWiki = (function(XWiki) {\n  /** Handles the gallery buttons directly in the current page without reloading the window. */\n  XWiki.AttachmentPicker = Class.create({\n    /**\n     * Constructor.\n     *\n     * @param property the property being edited, as the containing div with class="attachment-picker"\n     * @param dialog the modal dialog where the gallery was loaded\n     */\n    initialize : function(property, dialog) {\n      this.property = property;\n      this.dialog = dialog;\n      this.gallery = dialog.dialogBox;\n      if (!this.property.down('input')) {\n        this.directSave = true;\n      }\n      this.defaultValue = '';\n      var defaultValueElement = this.gallery.down('.gallery_emptyChoice .gallery_attachmenttitle');\n      if (defaultValueElement) {\n        this.defaultValue = defaultValueElement.title;\n      }\n      this.defaultImageSource = '';\n      var defaultImage = this.gallery.down('.gallery_emptyChoice.gallery_image img');\n      if (defaultImage) {\n        this.defaultImageSource = defaultImage.src.replace(/\\?.*$/, '');\n      }\n      this.filterFormUpload();\n      this.addDeleteListeners();\n      this.addSelectListeners();\n      this.updateCurrentSelection();\n      this.addCloseListener();\n      var img = this.property.down('img');\n      if (img) {\n        img.observe('load', function() {img.up('div').removeClassName('hidden');});\n        img.observe('error', function() {img.up('div').addClassName('hidden');});\n      }\n    },\n    /**\n     * Catches the upload form submission and stops it if the selected file is not of the accepted types (or not selected at all),\n     * and saves the underlying form (if any) so that any unsaved changes won't be lost.\n     */\n    filterFormUpload : function() {\n      this.gallery.select('.uploadAttachment input.attachment').each(function(fileInput) {\n        fileInput.__allowedExtensions = fileInput.title.toLowerCase().replace(/\\s*[,|; ]\\s*/g, " ").strip();\n        if (fileInput.__allowedExtensions != '') {\n          fileInput.__allowedExtensions = fileInput.__allowedExtensions.split(" ");\n        } else {\n          fileInput.__allowedExtensions = false;\n        }\n      });\n      this.gallery.select(".uploadAttachment").invoke('observe', 'submit', function(event) {\n        event.stop();\n        var uploadForm = event.element();\n        var hasErrors = false;\n        uploadForm.select('input.attachment').each(function(fileInput) {\n          if (fileInput.value == '') {\n            new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.error.noFile')", 'error');\n            hasErrors = true;\n          } else if (fileInput.__allowedExtensions &amp;&amp; fileInput.__allowedExtensions.indexOf(this.getFileExtension(fileInput.value)) == -1) {\n            new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.error.badExtension')", 'error');\n            hasErrors = true;\n          }\n        }.bind(this));\n        // No form submission by AJAX right now, because file uploads can't be done this way without HTML5, this is future work\n        // Save the document before submitting, since the current form data will be lost otherwise\n        if (!hasErrors) {\n          if (this.directSave) {\n            uploadForm.submit();\n          } else {\n            // FIXME This fails in HTML5, will deal with it later:\n            // this.property.down('input').value = uploadForm.down('.attachment').value;\n            // uploadForm.xredirect.value = window.location.pathname;\n            document.observe('xwiki:document:saved', function() {\n              new XWiki.widgets.Notification("$services.localization.render('xe.attachmentSelector.upload.inProgress')", 'inprogress');\n              uploadForm.submit();\n            })\n            document.fire('xwiki:actions:save', {'continue': true, form: this.property.up('form')});\n          }\n        }\n      }.bindAsEventListener(this));\n    },\n    getFileExtension : function(filename) {\n      var fpath = filename.replace('\\\\', '/');\n      var pieces = fpath.split('/');\n      if (pieces.length == 0) {\n        return null;\n      }\n      var basename = pieces[pieces.length-1];\n      pieces = basename.split('.');\n      return pieces[pieces.length-1].toLowerCase();\n    },\n\n    /** Catch attachment delete requests. */\n    addDeleteListeners : function() {\n      this.gallery.select('.gallery_actions .tool.delete').invoke('observe', 'click', this.onDelete.bindAsEventListener(this));\n    },\n\n    /** Catch attachment selection requests. */\n    addSelectListeners : function() {\n      this.gallery.select('.gallery_actions .tool.select').invoke('observe', 'click', this.onSelect.bindAsEventListener(this));\n    },\n\n    /** AJAX deletion of attachments. */\n    onDelete : function(event) {\n      event.stop();\n      deleteTool = event.element();\n      if (!deleteTool.disabled) {\n        new XWiki.widgets.ConfirmedAjaxRequest(\n          deleteTool.readAttribute('href'),\n          {\n            onCreate : function() { deleteTool.disabled = true },\n            onSuccess : function() {\n              var attachmentBox = deleteTool.up('.gallery_attachmentbox');\n              if (attachmentBox) {\n                if (attachmentBox.hasClassName('current')) {\n                   this.updateAttachment(this.defaultValue, this.defaultImageSource);\n                   if (this.gallery.down('.gallery_emptyChoice')) {\n                     this.gallery.down('.gallery_emptyChoice').addClassName('current');\n                   }\n                   if (!this.directSave) {\n                     this.property.down('input').value = this.defaultValue;\n                   }\n                }\n                attachmentBox.remove();\n              }\n            }.bind(this),\n            onComplete : function() {\n              deleteTool.disabled = false;\n            }\n          },\n          {\n            confirmationText: "$services.localization.render('core.viewers.attachments.delete.confirm')",\n            progressMessageText : "$services.localization.render('core.viewers.attachments.delete.inProgress')",\n            successMessageText : "$services.localization.render('core.viewers.attachments.delete.done')",\n            failureMessageText : "$services.localization.render('core.viewers.attachments.delete.failed')"\n          }\n        );\n      }\n    },\n\n    /** Update the property with the selected value without reloading the page. */\n    onSelect : function(event) {\n      event.stop();\n      var targetElement = event.element();\n      var attachmentName = targetElement.up('.gallery_attachmentbox').down('.gallery_attachmenttitle').title;\n      var imageSource = targetElement.up('.gallery_attachmentbox.gallery_image');\n      if (imageSource) {\n        imageSource = imageSource.down('.gallery_attachmentframe img');\n        if (imageSource) {\n          imageSource = imageSource.src.replace(/\\?.*$/, '');\n        }\n      }\n      if (!imageSource) {\n        imageSource = '';\n      }\n      if (this.directSave) {\n        // save via ajax\n        if (!targetElement.disabled) {\n          new Ajax.Request(event.element().href, {\n            onCreate : function() {\n              targetElement.disabled = true;\n              targetElement._x_notif = new XWiki.widgets.Notification("$services.localization.render('core.widgets.confirmationBox.notification.inProgress')", 'inprogress');\n            },\n            onSuccess : function () {\n              targetElement._x_notif.hide();\n              // on success, update image\n              this.updateAttachment(attachmentName, imageSource);\n              this.dialog.closeDialog();\n            }.bindAsEventListener(this),\n            onFailure : function(response) {\n              var failureReason = response.statusText;\n              if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                failureReason = 'Server not responding';\n              }\n              if (targetElement._x_notif) {\n                targetElement._x_notif.replace(new XWiki.widgets.Notification("$services.localization.render('core.widgets.confirmationBox.notification.failed')" + failureReason, "error"));\n              } else {\n                new XWiki.widgets.Notification(this.interactionParameters.failureMessageText + failureReason, "error");\n              }\n            },\n            on1223 : function(response) {\n              response.request.options.onSuccess(response);\n            },\n            on0 : function(response) {\n              response.request.options.onFailure(response);\n            },\n            onComplete : function() {\n              targetElement.disabled = false;\n            }\n          });\n        }\n      } else {\n        this.updateAttachment(attachmentName, imageSource);\n        this.property.down('input').value = attachmentName;\n        this.dialog.closeDialog();\n      }\n    },\n\n    /** Update the property display. */\n    updateAttachment : function(attachmentName, imageSource) {\n      var img = this.property.down('img');\n      if (img) {\n        img.src = img.src.replace(/^[^\\?]+($|\\?)/, imageSource + "$1");\n        var link = img.up('a');\n        if (link) {\n          link.href = link.href.replace(/^[^\\?]+($|\\?)/, imageSource + "$1");\n        }\n      } else {\n        var displayed = this.property.down('.displayed');\n        if (displayed) {\n          displayed.update(attachmentName);\n          var link = displayed.up('a');\n          if (link) {\n            link.href = link.href.replace(/^[^\\?]+($|\\?)/, attachmentName + "$1");\n          }\n        }\n      }\n    },\n\n    /** Update the gallery to reflect the currently selected value. */\n    updateCurrentSelection : function() {\n      if (!this.directSave) {\n        var selectedName =  this.property.down('input').value;\n        var selectedElement = this.gallery.down('.gallery_attachmenttitle[title="' + selectedName.replace('"', '\\\\22 ') + '"]');\n        if (selectedElement) {\n          selectedElement = selectedElement.up('.gallery_attachmentbox');\n        } else {\n          selectedElement = this.gallery.down('.gallery_emptyChoice');\n        }\n        if (!selectedElement.hasClassName('current')) {\n          this.gallery.select('.gallery_attachmentbox.current .tool.select').invoke('removeClassName', 'hidden');\n          this.gallery.select('.gallery_attachmentbox.current').invoke('removeClassName', 'current');\n          selectedElement.addClassName('current');\n        }\n        selectedElement.down('.tool.select').addClassName('hidden');\n      } else {\n        this.gallery.down('.current .tool.select').addClassName('hidden');\n      }\n    },\n    addCloseListener : function () {\n      var closeButton = $('attachment-picker-close');\n      if (closeButton) {\n        closeButton.observe('click', function(event) {\n          event.stop();\n          this.dialog.closeDialog();\n        }.bindAsEventListener(this));\n      }\n    }\n  });\n\n  var loading = new Element('div', {'class' : 'imgcenter'}).update("&lt;img src=\\"$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')\\"/&gt;");\n  var dialog;\n\n  /* Hook onto the picker buttons so that the gallery is loaded via AJAX in a modal dialog. */\n  document.observe('xwiki:dom:loaded', function() {\n    $$('.attachment-picker-start').invoke('observe', 'click', function(event) {\n      event.stop();\n      var targetElement = event.element();\n      var url = targetElement.href;\n      if (url.indexOf('?') &lt; 0) {\n        url += '?';\n      }\n      url += "&amp;xpage=plain";\n      dialog = new XWiki.widgets.ModalPopup(\n        loading, {}, {\n          'verticalPosition' : 'top',\n          'removeOnClose' : true,\n          'title' : "$services.localization.render('xe.attachmentSelector.gallery.title')"\n        }\n      );\n      dialog.shortcuts.close.keys = [];\n      dialog.showDialog();\n      if (window.browser.isIE6x) {\n        dialog.dialog.down().setStyle({position: "absolute"});\n      } else {\n        dialog.dialog.down().setStyle({position: "fixed"});\n      }\n      dialog.dialog.setStyle({top: document.viewport.getScrollOffsets().top + "px", position: "absolute"});\n      dialog.dialogBox.setStyle({overflow: "hidden", width: "80%", margin: "0 10%"});\n      new Ajax.Updater(loading.up(), url, {\n        onComplete : function() {\n          // Play nice with the Lightbox widget\n          if (window.gallery_lb) {\n            window.gallery_lb.updateImageList();\n          }\n          // Manually convert the special rel values into target attributes for the newly inserted content (rel="_something" =&gt; target="something")\n          if (typeof (XWiki.fixLinksTargetAttribute) == 'function') {\n            // Trick the function into updating link targets in edit mode; normally the conversion only takes place in view mode\n            var __tmp = XWiki.contextaction;\n            XWiki.contextaction = 'view';\n            XWiki.fixLinksTargetAttribute(dialog.dialog);\n            XWiki.contextaction = __tmp;\n          }\n          new XWiki.AttachmentPicker(targetElement.up('.attachment-picker'), dialog);\n        }\n      });\n    });\n  });\n  return XWiki;\n}(XWiki || {}));</code>\n</property>\n<property>\n<name>Loads the image picker in a modal dialog</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>1</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>2aa565e6-b9bd-4095-a7a9-bbf47d75d079</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>XWiki.widgets.ModalPopup.prototype.showDialog = function(event) {\n  if (event) {\n    Event.stop(event);\n  }\n  // Only do this if the dialog is not already active.\n  if (!this.active) {\n    this.active = true;\n    if (!this.dialog) {\n      // The dialog wasn't loaded, create it.\n      this.createDialog();\n    }\n    // Start listening to keyboard events\n    this.attachKeyListeners();\n    // Display the dialog\n    this.dialog.show();\n  }\n};\nXWiki.widgets.ModalPopup.prototype.closeDialog = function(event) {\n  if (event) {\n    Event.stop(event);\n  }\n  // Call optional callback\n  this.options.onClose.call(this);\n  // Hide the dialog, without removing it from the DOM.\n  this.dialog.hide();\n  if (this.options.removeOnClose) {\n    this.dialog.remove();\n  }\n  // Stop the UI shortcuts (except the initial Show Dialog one).\n  this.detachKeyListeners();\n  // Re-enable the 'show' behavior.\n  this.active = false;\n}\n</code></property><property><name>Patch for modalPopup.js, allowing to display several widgets on the same screen and removing position:fixed in IE</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>2a28ce9c-ab00-4847-936d-53e4f2acbfe0</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n#set ($boxSize = 170)\n#set ($boxPadding = 5)\n#set ($boxMargin = 5)\n## Make the upload box two times as wide, so that the input fits nicely.\n## |                                                     |\n## |                         |  |                        |\n## | 1 width + 1 border + 2 margins + 1 border + 1 width |\n#set ($uploadBoxSize = $mathtool.add(2, $mathtool.add($mathtool.mul($boxSize, 2), $mathtool.mul($boxMargin, 2))))\n#set ($imgSize = $mathtool.sub($boxSize, $mathtool.mul($boxPadding, 2)))\n#set ($actionsHeight = 20)\n#set ($actionsWidth = 16)\n/*--------------------------------------------------------*/\n/* Attachment picker layout fixes                              */\n.attachment-picker p {\n  margin: 0;\n  padding : 0;\n}\n.attachment-picker picture {\n  max-width: 100%;\n}\n/*--------------------------------------------------------*/\n/* Gallery attachmentboxes                                     */\n.gallery p {\n  margin: 0;\n}\n.gallery_attachmentbox {\n  background: $theme.pageContentBackgroundColor;\n  border: 1px solid $theme.borderColor;\n  border-radius: 5px;\n  float: left;\n  margin: ${boxMargin}px;\n  overflow: hidden;\n  position: relative;\n  width: ${boxSize}px;\n}\n/* Broken IE6 box model, add the border width to the total width. */\n* html .gallery_attachmentbox {\n  width: ${mathtool.add($boxSize, 2)}px;\n}\n.gallery .current {\n  background-color: $theme.highlightColor;\n  border-width: 3px;\n  margin: 3px;\n}\n/* Broken IE6 box model, add the border width to the total width. */\n* html .gallery .current {\n  width: ${mathtool.add($boxSize, 6)}px;\n}\n.gallery .current .gallery_attachmenttitle {\n  font-weight: bold;\n}\n.gallery_attachmentbox:hover {\n  background-color: $theme.highlightColor;\n}\n\n.gallery_attachmenttitle {\n  background: $theme.backgroundSecondaryColor;\n  border-bottom: 1px dotted $theme.borderColor;\n  border-radius: 5px 5px 0px 0px;\n  font-size: 85%;\n  padding: 3px ${boxPadding}px;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n}\n.gallery_attachmenttitle p {\n  text-align: center;\n  overflow: hidden;\n}\n\n.gallery_attachmentframe {\n  padding: ${boxPadding}px;\n  height: ${imgSize}px;\n  overflow: hidden;\n  position: relative;\n}\n\n.gallery_attachmentframe a {\n  display: block;\n  text-align: center;\n}\n\n.gallery_attachmentbox img {\n  max-height: ${imgSize}px;\n  max-width: ${imgSize}px;\n  width: auto;\n}\n.gallery_attachmentframe ul {\n  list-style-type: none;\n  margin: 0;\n  padding: 0;\n}\n.gallery_attachmentframe li {\n  margin: 0.5em 0 0.5em 20px;\n  font-size: 0.8em;\n}\n.gallery_attachmentframe .mime {\n  margin: 0 2px 0 -20px;\n}\n.gallery_attachmentframe .mime img {\n  vertical-align: top;\n}\n.gallery_attachmentframe li .filename {\n  display: inline-block;\n  font-weight: bold;\n  width: $mathtool.sub($imgSize, 22)px;\n  word-wrap: break-word;\n}\n\n/* Actions */\n.gallery_actions {\n  width: auto;\n  position: absolute;\n  bottom: 0px;\n  right: ${boxPadding}px;\n}\n.gallery_actions .tool {\n  background: none no-repeat 50% transparent;\n  cursor: pointer;\n  display: block;\n  float: left;\n  height: ${actionsHeight}px;\n  padding: 0 !important;\n  overflow: hidden;\n  text-indent: -1000em;\n  opacity: 0.6;\n  width: ${actionsWidth}px;\n}\n.gallery_actions .tool:hover {\n  opacity: 1;\n}\n.gallery_actions .select {\n  background-image: url("$xwiki.getSkinFile('icons/silk/tick.png')");\n}\n.gallery_actions .delete {\n  background-image: url("$xwiki.getSkinFile('icons/silk/cross.png')");\n}\n.gallery_actions .view {\n  background-image: url("$xwiki.getSkinFile('icons/silk/link.png')");\n}\n.gallery_actions .download {\n  background-image: url("$xwiki.getSkinFile('icons/silk/arrow_down.png')");\n}\n/*--------------------------------------------------*/\n/* Upload form                                      */\n.gallery_upload {\n  ## Make this box twice as large as the others\n  width: ${uploadBoxSize}px;\n}\n* html .gallery_upload {\n  width: ${mathtool.add($uploadBoxSize, 2)}px;\n}\n.gallery_upload, .gallery_upload:hover {\n  background-color: $theme.backgroundSecondaryColor;\n}\n\n.gallery_upload .gallery_attachmenttitle {\n  background-position: 1px center;\n  background-image: url("$xwiki.getSkinFile('icons/silk/bullet_add.png')");\n  background-repeat: no-repeat;\n  padding-left: 16px;\n}\n.gallery_upload form {\n  height: ${imgSize}px;\n}\n.gallery_upload .xHint {\n  text-transform: none !important;\n}\n.gallery_upload input.attachment {\n  font-size: 83.3%;\n  margin: 0; /* Overrides viewers/attachments.css */\n  padding: 0; /* Overrides viewers/attachments.css */\n  width: ${mathtool.sub($uploadBoxSize, $mathtool.mul($boxPadding, 2))}px;\n}\n.gallery_upload .buttonwrapper {\n  margin: 0;\n}\n.gallery_upload .button {\n  font-size: .65em;\n}\n\n/* ------------------------------------ */\n/* Buttons on top:                      */\n.gallery_actions {\n  top: 1px;\n  right: 3px;\n}\n.gallery_attachmenttitle p {\n  text-align: left;\n  margin-right: ${mathtool.add($mathtool.mul(2, $actionsWidth), $boxPadding)}px;\n}\n/* ------------------------------------ */\n/* Cancel button                        */\n.gallery_buttons {\n  clear: both;\n  margin: ${boxMargin}px;\n}</code>\n</property>\n<property>\n<name>Attachment galery styling</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>0</number>\n<className>XWiki.WikiMacroClass</className>\n<guid>7f67fdfc-a67a-4166-b7c1-6d572ee54719</guid>\n<property>\n<code>{{velocity output="false"}}\n$xwiki.jsfx.use('js/xwiki/widgets/modalPopup.js', true)##\n$xwiki.ssfx.use('js/xwiki/widgets/modalPopup.css', true)##\n$xwiki.jsx.use($xcontext.macro.doc.fullName)##\n$xwiki.ssx.use($xcontext.macro.doc.fullName)##\n$xwiki.jsfx.use('js/scriptaculous/builder.js')##\n## Integrates the optional Lightbox widget (from http://extensions.xwiki.org/xwiki/bin/view/Extension/Lightbox+Application )\n#if ($xwiki.exists('XWiki.Lightbox'))\n  $xwiki.jsx.use('XWiki.Lightbox')\n  $xwiki.ssx.use('XWiki.Lightbox')\n#end\n\n##\n## Prepare parameters\n##\n## Keep track for when we have a target document\n#set ($hasTargetDoc = false)\n#set ($targetdoc = "$!{xcontext.macro.params.targetdocname}")\n###\n## Set the targetdoc we want to save to (default to current doc if not set)\n#if ("$!{targetdoc}" != '')\n  ## Check access on targetdocname\n  #set ($targetPermView = $xwiki.hasAccessLevel('view',$xcontext.user,${targetdoc}))\n  #set ($targetPermEdit = $xwiki.hasAccessLevel('edit',$xcontext.user,${targetdoc}))\n  #set ($targetdoc = $xwiki.getDocument($targetdoc) )\n  #set ($hasTargetDoc = true)\n#else\n  ## The user should have edit and view permissions for the current doc\n  #set ($targetPermView = true)\n  #set ($targetPermEdit = true)\n  #set($targetdoc = $doc)\n#end\n#set ($classname = "$!{xcontext.macro.params.classname}")\n#set ($property = "$!{xcontext.macro.params.property}")\n#set ($object = $mathtool.toInteger("$!{xcontext.macro.params.object}"))\n#if ("$!{object}" != $!{xcontext.macro.params.object})\n  #set ($object = ${doc.getObject($classname).number})\n  #if ("$!{object}" == '')\n    #set ($object = 0)\n  #end\n#end\n\n#if ("$!{xcontext.macro.params.displayImage}" == 'true' &amp;&amp; $targetPermView)\n  #set ($displayImage = true)\n#else\n  #set ($displayImage = false)\n#end\n#if ($displayImage)\n  #set ($alt = "$!{xcontext.macro.params.alternateText}")\n  #set ($width = "$!{xcontext.macro.params.width}")\n  #set ($height = "$!{xcontext.macro.params.height}")\n  #set ($imageParams = '')\n  #if ("${width}" != '')\n    #set($imageParams = "$!{imageParams} width=${width}")\n  #end\n  #if ("${height}" != '')\n    #set ($imageParams = "$!{imageParams} height=${height}")\n  #end\n  #set ($imageParams = "$!{imageParams} alt='${alt}'")\n  #if ("$!{imageParams}" != '')\n    #set ($imageParams = "||${imageParams.trim()}")\n  #end\n#end\n#if ("$!{xcontext.macro.params.link}" == 'true')\n  #set ($link = true)\n#else\n  #set ($link = false)\n#end\n\n#set ($cssClass = "displayed x-attachment $!{xcontext.macro.params.cssClass}")\n#set ($defaultValue = "$!{xcontext.macro.params.defaultValue}")\n#if ($defaultValue != '')\n  #set ($defaultReference = $services.model.resolveAttachment($defaultValue))\n#else\n  #set ($defaultReference = false)\n#end\n#set ($filter = ${xcontext.macro.params.filter})\n\n#set ($buttontext = "$!{xcontext.macro.params.buttontext}")\n#if ($buttontext == '')\n  #set ($buttontext = $services.localization.render('xe.attachmentSelector.selectFile'))\n#end\n\n#set ($savemode = "$!{xcontext.macro.params.savemode}")\n#if ($savemode != 'direct')\n  #set ($savemode = 'form')\n#end\n\n#set ($propValue = "$!{doc.getObject($classname, $object).getProperty($property).value}")\n##\n\n#macro (attachmentPicker_displayAttachment $name $displayImage $withLink $forceElement)\n  #set ($attachment = $targetdoc.getAttachment("$!{name}"))\n  #if ("$!{name}" != '' &amp;&amp; "$!{attachment}" != '')\n    #set ($attachmentRef = $services.model.createAttachmentReference(${targetdoc.documentReference}, ${name}))\n    #set ($attachmentName = $name)\n  #else\n    #set ($attachmentRef = $defaultReference)\n    #if ($attachmentRef)\n      #set ($docReference = $attachmentRef.documentReference)\n    #else\n      #set ($docReference = $targetdoc.documentReference)\n    #end\n    #set ($attachmentName = $attachmentRef.name)\n    #set ($attachment = $xwiki.getDocument($docReference).getAttachment($attachmentName))\n    #if (!$attachment)\n      #set ($withLink = false)\n    #end\n  #end\n  #if ($attachmentRef)\n    #set ($attachmentResource = $services.model.serialize($attachmentRef, 'local'))\n  #else\n    #set ($attachmentResource = '')\n  #end\n  #if ($displayImage)\n    (% class="$!{cssClass}#if (!$attachment) hidden#end" %)(((#if ("$!{attachmentResource}" != '' || $forceElement)#if($withLink)[[#end[[image:${attachmentResource}$!{imageParams}]]#if($withLink)&gt;&gt;attach:${attachmentResource}||rel=lightbox]]#{end}#end)))##\n  #else\n    (% class="$!{cssClass}" %)#if ("$!{attachmentResource}" != '' || $forceElement)#if ($withLink)[[attach:${attachmentResource}||rel=__blank]]#{else}(% class="displayed" %)#if($targetPermView)$!{attachmentName}#{else}Access Denied#{end}(% %)#{end}#end(%%)##\n  #end\n#end\n\n## Display the "Choose an attachment" button if they can:\n##  1. Edit the current page\n##  2. View the target attachment page. (can be the same page)\n#macro (attachmentPicker_displayButton)\n  #if ($hasEdit &amp;&amp; $targetPermView)(% class="buttonwrapper" %)[[${buttontext}&gt;&gt;${xcontext.macro.doc.fullName}||queryString="#if ($hasTargetDoc)targetdocname=${escapetool.url($targetdoc.fullName)}&amp;#{end}docname=${escapetool.url($doc.fullName)}&amp;classname=${classname}&amp;property=${property}&amp;object=${object}&amp;savemode=${savemode}&amp;defaultValue=$escapetool.url($defaultValue)&amp;filter=$!{filter}&amp;displayImage=${displayImage}" class="attachment-picker-start button" title="${buttontext}"]](%%)#end\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ("${savemode}" == 'direct')\n  (% class="attachment-picker" %)(((#attachmentPicker_displayAttachment($propValue $displayImage $link true) #attachmentPicker_displayButton())))\n#elseif ($xcontext.action == 'inline' || $xcontext.action == 'edit')\n  (% class="attachment-picker" %)(((##\n    #attachmentPicker_displayAttachment($propValue $displayImage false true) #attachmentPicker_displayButton()##\n    {{html}}&lt;input type="hidden" name="${classname}_${object}_${property}" value="${propValue}"/&gt;{{/html}}##\n  )))\n#else\n  #attachmentPicker_displayAttachment($propValue $displayImage $link false)\n#end\n{{/velocity}}</code>\n</property>\n<property>\n<contentDescription></contentDescription>\n</property>\n<property>\n<contentType>No content</contentType>\n</property>\n<property>\n<defaultCategory></defaultCategory>\n</property>\n<property>\n<description>A control to be used for object properties of the current document that are supposed to contain the name of an attachment from the current (or target) document. Allows uploading new attachments, and deleting attachments from the target document.  If no target document is specified, the current document will be used. Object properties are only saved to the current document.</description>\n</property>\n<property>\n<id>attachmentSelector</id>\n</property>\n<property>\n<name>Attachment Selector</name>\n</property>\n<property>\n<supportsInlineMode>1</supportsInlineMode>\n</property>\n<property>\n<visibility>Current Wiki</visibility>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>0</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>bb1b9208-3b4a-43e4-8a69-603281ca1412</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The full name of the document holding the XClass that contains the property associated with this picker. </description>\n</property>\n<property>\n<mandatory>1</mandatory>\n</property>\n<property>\n<name>classname</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>1</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>c51517fc-93e9-4594-8b10-b014a8907452</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The name of the property associated with the picker.</description>\n</property>\n<property>\n<mandatory>1</mandatory>\n</property>\n<property>\n<name>property</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>2</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>b43c2df7-9941-4941-834b-0236424cfaa9</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The identifier (number) of the object for which the property is displayed by this picker. If missing, the first instance of the class given by the parameter classname found in the document will be considered.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>object</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>5</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>a35e6fcc-b5e9-4c49-a601-cead93cba813</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>A CSS class for the element surrounding the property value.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>cssClass</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>6</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>2dcec651-66b9-4d7c-9ac6-2578a426a5f4</guid>\n<property>\n<defaultValue>form</defaultValue>\n</property>\n<property>\n<description>States how the property is updated. Accepted values: "form" (default)  meaning that the selected value is stored in an input that will be saved via an external form; "direct" meas that the picker is responsible with updating the property value.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>savemode</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>7</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>a932ece6-3c6d-48c7-a717-536317705f71</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Text of the button that triggers the picker. Defaults to $services.localization.render('xe.attachmentSelector.selectFile').</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>buttontext</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>10</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>5c3f5b0d-1d0d-4820-8985-13d779972acb</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>What attachment is displayed in view mode if the property is empty. Should either be empty or in the form of a wiki attachment reference (e.g. "attachment.txt", "Another.Document@attachment.txt").</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>defaultValue</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>12</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>aa252c40-59a0-4e82-a94b-e133862fe082</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>Comma separated list of file extensions accepted by the property (to become a comma separated list of mimetypes when XWiki will use HTML5). All files are accepted if this parameter is empty.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>filter</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>13</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>e31c42de-47d7-4a73-a236-b99c2231dca7</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>States whether images are displayed or just their name is printed like for other attachments. Possible values: true, false (default).</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>displayImage</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>14</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>0b2cea67-1942-4ce2-9f5e-90907033c92c</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The width of the displayed image, only taken into account if displayImage=true.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>width</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>15</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>003ab606-5c72-465d-bfd6-bd21262be502</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The height of the displayed image, only taken into account if displayImage=true</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>height</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>16</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>9ca8402c-6df8-4068-b00f-1f9bb18f38a9</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The alternate text of the displayed image, only taken into account if displayImage=true</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>alternateText</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>17</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>54e733cd-f755-4dee-8629-b713f685790a</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>States whether a link to the attachment is associated in view mode with the displayed attachment name/image. Possible values: true, false (default).</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>link</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>XWiki.AttachmentSelector</name>\n<number>18</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>99b73453-120c-481a-8889-1a7efc7b73f2</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>The target document name to save/list attachments from</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>targetdocname</name>\n</property>\n</object>\n<content>{{velocity output="false"}}\n#if ($request.xaction == 'postUpload')\n  #set ($targetDocument = $xwiki.getDocument($request.get('docname')))\n  #set ($targetAttachDocument = $xwiki.getDocument($request.get('targetdocname')))\n\n  #set ($fieldname = $request.get('fieldname'))\n  #set ($docAction = $request.get('docAction'))\n  #set ($attachmentList = $targetAttachDocument.getAttachmentList())\n  #if ($attachmentList &amp;&amp; $attachmentList.size() &gt; 0)\n    #set ($sortedAttachments = $sorttool.sort($attachmentList, 'date:desc'))\n    #set ($lastAttachment = $sortedAttachments.get(0))\n  #end\n  $response.sendRedirect($targetDocument.getURL($docAction, "$!{fieldname}=$!{lastAttachment.filename}&amp;form_token=$!{escapetool.url($request.get('form_token'))}"))\n  #stop\n#end\n{{/velocity}}\n\n{{velocity output="false"}}\n##\n## Macros\n##\n#set ($translationPrefix = 'xe.attachmentSelector')\n#set ($attachmentPickerDocName = 'XWiki.AttachmentSelector')\n\n$xwiki.ssx.use($attachmentPickerDocName)\n$xwiki.jsx.use($attachmentPickerDocName)\n\n#**\n * Displays the attachment gallery as a list of attachment boxes, starting with special boxes for uploading a new attachment and for setting a default value.\n *\n * @param $targetDocument the document to recieve the field value being modified\n * @param $targetAttachDocument the document to list/save attachments to\n * @param $options generic picker options\n *#\n#macro (attachmentPicker_displayAttachmentGallery $targetDocument, $targetAttachDocument, $options)\n  #set ($currentValue = $targetDocument.getValue($options.property))\n  #if ("$!{targetAttachDocument.getAttachment($currentValue)}" == '')\n    #set ($currentValue = "$!{options.defaultValue}")\n  #end\n  (% class="gallery" %)(((\n  ## Only display the upload form if they have edit permission on targetAttachDocument\n  #if ($xwiki.hasAccessLevel('edit',$xcontext.user,${targetAttachDocument.fullName}))\n    #attachmentPicker_displayUploadForm($targetDocument, $targetAttachDocument, $options)\n  #end\n  #attachmentPicker_displayAttachmentGalleryEmptyValue($targetDocument, $targetAttachDocument, $options, $currentValue)\n  #set ($sortedAttachments = $sorttool.sort($targetAttachDocument.getAttachmentList(), "${options.sortAttachmentsBy}") )\n  #foreach ($attachment in $sortedAttachments)\n    #set ($extension = $attachment.getFilename())\n    #set ($extension = $extension.substring($mathtool.add($extension.lastIndexOf('.'), 1)).toLowerCase())\n    #if ($options.filter.size() == 0 || $options.filter.contains($extension))\n      #attachmentPicker_displayAttachmentBox($attachment $targetDocument $targetAttachDocument, $options $currentValue)\n    #end\n  #end\n  )))\n#end\n\n#**\n * Displays an attachment box.\n *\n * @param $attachment the target attachment to display\n * @param $targetDocument the document being modified\n * @param $options generic picker options\n * @param $currentValue the currently selected file, used for determining if the box should be highlighted as the current value\n *#\n#macro (attachmentPicker_displayAttachmentBox $attachment $targetDocument $targetAttachDocument, $options $currentValue)\n  #if ($options.displayImage &amp;&amp; $attachment.isImage())\n    #set ($cssClass = 'gallery_image')\n  #else\n    #set ($cssClass = '')\n  #end\n  #attachmentPicker_displayStartFrame({'value' : $attachment.filename, 'text' : $attachment.filename, 'cssClass' : "$!{cssClass}"} $currentValue)\n  #attachmentPicker_displayAttachmentDetails($attachment $options)\n  #set ($returnURL = $escapetool.url($doc.getURL('view', $request.queryString)))\n  #set ($deleteURL = $targetAttachDocument.getAttachmentURL($attachment.filename, 'delattachment', "xredirect=${returnURL}&amp;form_token=$!{services.csrf.getToken()}") )\n  #set ($viewURL = $targetAttachDocument.getAttachmentURL($attachment.filename) )##{'name' : 'download', 'url' : $viewURL, 'rel' : '__blank'}\n  #set ($selectURL = $targetDocument.getURL(${options.get('docAction')}, "${options.get('classname')}_${options.get('object')}_${options.get('property')}=${attachment.filename}&amp;form_token=$!{services.csrf.getToken()}"))\n  #attachmentPicker_displayEndFrame ([{'name' : 'select', 'url' : $selectURL}, {'name' : 'delete', 'url' : $deleteURL}])\n#end\n\n#**\n * Writes the wiki code used at the start of an attachment box. Outputs the attachment title bar, and opens the inner frame div.\n *\n * @param $boxOptions a map of parameters/options for the current attachment, holding, for example, the attachment name (boxOptions.value),\n *        the title to display (boxOptions.text), optional extra CSS classnames to put on the box (boxOptions.cssClass)\n * @param $currentValue the currently selected file, used for determining if this attachment should be highlighted as the current value\n *#\n#macro (attachmentPicker_displayStartFrame $boxOptions $currentValue)\n  (% class="gallery_attachmentbox $!{boxOptions.cssClass} #if ("$!{boxOptions.value}" == $currentValue) current#{end}" %)(((\n    (% class="gallery_attachmenttitle" title="$!{boxOptions.value}" %)((($boxOptions.text)))\n    (% class="gallery_attachmentframe" %)(((\n#end\n\n#**\n * Displays details about an attachment inside the attachment box. If the attachment is an image and the "displayImage" option is on,\n * then the image is displayed. Otherwise, some basic information is displayed: the version, the size, the date and the author.\n *\n * @param $attachment the target attachment to display\n * @param $options generic picker options\n *#\n#macro (attachmentPicker_displayAttachmentDetails $attachment $options)\n  #if ($attachment)\n    #if ($attachment.isImage() &amp;&amp; $options.displayImage)\n      #set ($attachmentDocument = $attachment.getDocument())\n[[[[image:${attachmentDocument.fullName}@${attachment.filename}||width=160]]&gt;&gt;attach:${attachmentDocument.fullName}@${attachment.filename}||rel="lightbox[attachments]"]]\n    #else\n      * (% class="mime" %){{html wiki=false clean=false}}#mimetypeimg($attachment.getMimeType().toLowerCase() $attachment.getFilename().toLowerCase()){{/html}}(%%) (% class="filename" %)$attachment.getFilename()(% %)\n      * v$attachment.getVersion() (#dynamicsize($attachment.filesize))\n      * $services.localization.render('core.viewers.attachments.author', [$!{xwiki.getUserName($attachment.author, false)}]) $services.localization.render('core.viewers.attachments.date', [$!{xwiki.formatDate($attachment.date, 'dd/MM/yyyy hh:mm')}])\n      * (% class="buttonwrapper" %)[[${services.localization.render("${translationPrefix}.actions.download")}&gt;&gt;attach:${attachment.getDocument()}@${attachment.filename}||title="$services.localization.render("${translationPrefix}.actions.download")" rel="__blank" class="button"]](%%)\n    #end\n  #end\n#end\n\n#**\n * Writes the wiki code used at the end of an attachment box. Closes the inner frame div, and outputs the attachment actions.\n *\n * @param $actions a list of maps defining action buttons, where each entry contains a subset of the following:\n *        &lt;dl&gt;\n *          &lt;dt&gt;name&lt;/dt&gt;\n *          &lt;dd&gt;identifies the action; the name is used as a CSS classname, and in the translation key for the display text, as "xe.attachmentSelector.actions.&lt;name&gt;"&lt;/dd&gt;\n *          &lt;dt&gt;url&lt;/dt&gt;\n *          &lt;dd&gt;the destination of the button&lt;/dd&gt;\n *          &lt;dt&gt;rel&lt;/dt&gt;\n *          &lt;dd&gt;an optional parameter to be used in the "rel" HTML attribute; for example "__blank" can be used to open the link in a new tab/window&lt;/dd&gt;\n *        &lt;/dl&gt;\n *#\n#macro (attachmentPicker_displayEndFrame $actions)\n    )))## attachmentframe\n    (% class="gallery_actions" %)(((\n      #foreach ($action in $actions)\n        #set( $actionname = $services.localization.render("${translationPrefix}.actions.${action.name}") )\n        [[${actionname}&gt;&gt;path:${action.url}||class="tool ${action.name}" title="${actionname}" #if($action.rel) rel="${action.rel}"#end]]##\n      #end\n    )))## actions\n  )))## attachmentbox\n#end\n\n#**\n * Displays the upload box used for adding and selecting a new attachment.\n *\n * @param $targetDocument the document with the property being modified\n * @param $targetAttachDocument the document to upload the attachment to\n * @param $options generic picker options\n *#\n#macro (attachmentPicker_displayUploadForm $targetDocument, $targetAttachDocument, $options)\n#attachmentPicker_displayStartFrame({\n   'value' : $services.localization.render("${translationPrefix}.upload.title"),\n   'text' : $services.localization.render("${translationPrefix}.upload.title"),\n   'cssClass' : 'gallery_upload'\n  } $NULL)\n{{html clean="false"}}\n&lt;form action="$targetAttachDocument.getURL('upload')" enctype="multipart/form-data" method="post" id="uploadAttachment" class="uploadAttachment xform"&gt;\n  &lt;div class="gallery_upload_input"&gt;\n    #if (${options.rawfilter} != '')\n      &lt;span class="xHint"&gt;$escapetool.xml($services.localization.render("${translationPrefix}.upload.hint", [${options.rawfilter}]))&lt;/span&gt;\n    #end\n    &lt;input type="file" name="filepath" id="attachfile" class="attachment" size="30" title="$!{escapetool.xml($options.rawfilter)}"/&gt;\n    &lt;input type="hidden" name="xredirect" value="$xwiki.getDocument($attachmentPickerDocName).getURL('get', "xaction=postUpload&amp;amp;docAction=$!{escapetool.url($options.get('docAction'))}&amp;amp;targetdocname=$!{escapetool.url($targetAttachDocument.fullName)}&amp;amp;docname=$!{escapetool.url($targetDocument.fullName)}&amp;amp;fieldname=$!{escapetool.url($options.get('classname'))}_$!{escapetool.url($options.get('object'))}_$!{escapetool.url($options.get('property'))}&amp;amp;form_token=$!{services.csrf.getToken()}")" /&gt;\n    &lt;input type="hidden" name="docname" value="$!{escapetool.xml($targetDocument.fullName)}" /&gt;\n    &lt;input type="hidden" name="classname" value="$!{escapetool.xml($options.get('classname'))}" /&gt;\n    &lt;input type="hidden" name="object" value="$!{escapetool.xml($options.get('object'))}" /&gt;\n    &lt;input type="hidden" name="property" value="$!{escapetool.xml($options.get('property'))}" /&gt;\n    &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n  &lt;/div&gt;\n  &lt;div class="buttons"&gt;\n    &lt;span class="buttonwrapper"&gt;\n    &lt;input type="submit" name="action_upload" class="button " value='$services.localization.render("${translationPrefix}.upload.submit")'  title='$services.localization.render("${translationPrefix}.upload.submit")'/&gt;\n    &lt;/span&gt;\n  &lt;/div&gt;\n&lt;/form&gt;\n{{/html}}\n#attachmentPicker_displayEndFrame ([])\n#end\n\n#**\n * Displays the "empty value" box, used for unsetting the field value.\n *\n * @param $targetDocument the document being modified\n * @param $targetAttachDocument the document that the attachments will the loaded from/saved to\n * @param $options generic picker options\n * @param $currentValue the currently selected file, used for determining if the empty box should be highlighted as the current value\n *#\n#macro (attachmentPicker_displayAttachmentGalleryEmptyValue $targetDocument, $targetAttachDocument, $options, $currentValue)\n  #if ("$!{options.get('defaultValue')}" != '')\n    #set ($reference = ${options.get('defaultValue')})\n    #set ($docNameLimit = $reference.indexOf('@'))\n    #if ($docNameLimit &gt; 0)\n      #set ($docName = $reference.substring(0, $docNameLimit))\n    #else\n      #set ($docName = $targetAttachDocument.fullName)\n    #end\n    #set ($attachmentName = $reference.substring($mathtool.add($docNameLimit, 1)))\n    #set ($defaultAttachment = $xwiki.getDocument($docName).getAttachment($attachmentName))\n    #if ($defaultAttachment.isImage())\n      #set($dcssClass = 'gallery_image')\n    #end\n  #end\n  #attachmentPicker_displayStartFrame({'cssClass' : "gallery_emptyChoice $!{dcssClass}", 'text' : $services.localization.render("${translationPrefix}.default"), 'value' : "${options.defaultValue}"} $currentValue)\n  #attachmentPicker_displayAttachmentDetails($defaultAttachment $options)\n  #set ($returnURL = $escapetool.url($doc.getURL('view', $request.queryString)))\n  #set ($selectURL = $targetDocument.getURL(${options.get('docAction')}, "${options.get('classname')}_${options.get('object')}_${options.get('property')}=&amp;form_token=$!{services.csrf.getToken()}"))\n  #attachmentPicker_displayEndFrame ([{'name' : 'select', 'url' : $selectURL}])\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ($request.docname)\n  ###if ($request.xpage == 'plain')\n  ##  ## IE6 + XHR + gzip compression = BOOM!\n  ##  ## This disables the automatic gzip compression\n  ##  $response.setContentType('multipart/formdata')\n  ###end\n  #set ($targetDocument = $xwiki.getDocument($request.docname))\n  #if ($request.targetdocname)\n    ## Use the target document if it exists.\n    #set ($targetAttachDocument = $xwiki.getDocument($request.targetdocname))\n  #else\n    ## Otherwise, just use the current document as the target to save/load attachments\n    #set ($targetAttachDocument = $targetDocument)\n  #end\n  #if ("$!{request.savemode}" == 'direct')\n    #set($docAction = 'save')\n  #else\n    #set($docAction = $targetAttachDocument.getDefaultEditMode())\n  #end\n  #set ($filter = [])\n  #set ($rawfilter = '')\n  #if ("$!{request.filter}" != '')\n    #foreach ($value in $request.filter.trim().split('\\s*+[,|; ]\\s*+'))\n      #if ("$!value" != '')\n        #set ($discard = $filter.add($value.toLowerCase()))\n        #set ($rawfilter = "${rawfilter}, ${value}")\n      #end\n    #end\n    #if ($rawfilter != '')\n      #set ($rawfilter = $rawfilter.substring(2))\n    #end\n  #end\n  #if ("$!{request.displayImage}" == 'true')\n    #set ($displayImage = true)\n  #else\n    #set ($displayImage = false)\n  #end\n  ### Determine attachment sorting\n  #set($sortAttachmentsBy = "$!{request.sortAttachmentsBy}")\n  #set ($validAttachmentProperties = ['filename', 'date', 'filesize', 'author', 'version', 'mimeType'])\n  #if($sortAttachmentsBy == '' || $validAttachmentProperties.indexOf($sortAttachmentsBy) == -1)\n    ### Default to sorting by filename, sort not requested.\n    #set($sortAttachmentsBy = "filename")\n  #end\n  ### Set attachment sorting direction\n  #if($sortAttachmentsBy == 'date')\n    ### Sort the date descending\n    #set($sortAttachmentsBy = "date:desc")\n  #else\n    ### Sort everything else ascending\n    #set($sortAttachmentsBy = "${sortAttachmentsBy}:asc")\n  #end\n  #set ($options = {\n    'classname' : ${request.get('classname')},\n    'object' : $!{mathtool.toInteger($request.object)},\n    'property' : ${request.property},\n    'displayImage' : ${displayImage},\n    'docAction' : ${docAction},\n    'defaultValue' : "$!{request.defaultValue}",\n    'rawfilter': "$!{rawfilter}",\n    'filter': ${filter},\n    'sortAttachmentsBy': ${sortAttachmentsBy}\n  })\n  $!targetDocument.use($targetDocument.getObject($options.classname, $options.object))##\n  #attachmentPicker_displayAttachmentGallery($targetDocument, $targetAttachDocument, $options)\n\n  (% class="gallery_buttons buttons" %)(((\n  (% class="buttonwrapper secondary" %)[[$services.localization.render("${translationPrefix}.cancel")&gt;&gt;$targetDocument||class="button secondary" id="attachment-picker-close"]]\n  )))\n#end\n{{/velocity}}</content></xwikidoc>\n
2151722851504732867	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>CreatePatientRecordForm</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822210000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Form for creating new patient records</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}{{html clean=false}}\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n#if($hasCreatePage)\n  &lt;form id="patient-creation-form" class="patient-creation-form" action="$xwiki.getURL('PhenoTips.CreatePatientRecord')" method="post"&gt;&lt;div&gt;\n    &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n    &lt;input type="hidden" name="doCreate" value="1" /&gt;\n    ##\n    #if ($xwiki.exists('PhenoTips.StudyBindingClass'))\n      ## Is there more than one sheet option?\n      ## Check out all the groups this user is part of\n      #set ($studiesVisibilityPreference = $xwiki.getDocument('XWiki.XWikiPreferences').getObject('XWiki.ConfigurationClass', 'property', 'study-visibility-option', false).getProperty('value').value)\n      #if ($studiesVisibilityPreference == 'unrestricted')\n        #set ($studyClassName = 'PhenoTips.StudyClass')\n        #set ($studyTemplateName = 'PhenoTips.StudyTemplate')\n        #set ($query = $services.query.xwql("from doc.object(${studyClassName}) as std where doc.fullName &lt;&gt; :template").bindValue('template', $studyTemplateName))\n        #set ($studyDocs = $xwiki.wrapDocs($query.execute()))\n        #set ($studies = $collectionstool.sortedSet)\n        #foreach ($study in $studyDocs)\n          #set ($discard = $studies.add($services.model.serialize($study.documentReference, 'default')))\n        #end\n      #else\n        #set ($toProcess = $collectionstool.queue)\n        #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n        #set ($groups = [])\n        #set ($studies = $collectionstool.sortedSet)\n        #foreach ($iteration in [0..1000])\n          #if ($toProcess.empty)\n            #break\n          #end\n          #set ($item = $toProcess.poll())\n          #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n            #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n            #if (!$groupObj &amp;&amp; $group.documentReference.name.endsWith(' Administrators'))\n              #set ($groupObj = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)).getObject('PhenoTips.PhenoTipsGroupClass'))\n            #end\n            #if ($groupObj &amp;&amp; !$groups.contains($group.documentReference.toString()))\n              #set ($discard = $toProcess.add($group.documentReference.toString()))\n              #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n              #if ($groupObj.getProperty('studies').value.isEmpty() == false)\n                #set ($discard = $studies.addAll($groupObj.getProperty('studies').value))\n              #end\n            #end\n          #end\n        #end\n      #end\n      #if ($studies.size() &gt; 0)\n        $xwiki.jsx.use('PhenoTips.StudyBindingClass')##\n        $xwiki.ssx.use('PhenoTips.StudyBindingClass')##\n        &lt;input type="hidden" name="sheet" value="PhenoTips.StudyBindingSheet" /&gt;\n      #end\n    #end\n    ## Extensions displayed before the content\n    #foreach ($e in $services.uix.getExtensions('org.phenotips.newPatientForm'))\n      &lt;input type="hidden" name="$!e.parameters.name" value="$!e.parameters.value" /&gt;\n    #end\n    &lt;label for="create-patient-record"&gt;&lt;span class="fa fa-plus-circle"&gt; &lt;/span&gt;&lt;input type="submit" id="create-patient-record" title="$services.localization.render('phenotips.globalHeader.createPatient')" value="$services.localization.render('phenotips.globalHeader.createPatient')"/&gt;&lt;/label&gt;\n  &lt;/div&gt;&lt;/form&gt;\n#end\n{{/html}}{{/velocity}}</content></xwikidoc>\n
-1721617627816790868	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Section__variant-info</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822215000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXSection.variantInfo')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Section__variant-info</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>d8dd72df-d746-42b0-bcc1-0b7953c68aaf</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.content</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.section.variant-info</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXSection.variantInfo')\nenabled=false\nrequired=\norder=7</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-6830765980515416491	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>DocumentMeta</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822203000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}{{html clean=false wiki=false}}\n#if ($doc.getObject('PhenoTips.PatientClass'))\n  &lt;div id="document-authors"&gt;##\n    &lt;span class="document-meta document-creation"&gt;## Creation\n    ##Sets the creator text to a link iff the creator was not a guest. Guests are displayed in span elements\n    #if ("$!{tdoc.creator}" == '')\n      #set ($creatorElement = "&lt;span class=""document-creator document-author""&gt;${xwiki.getUserName($tdoc.creator, false)}&lt;/span&gt;")\n    #else\n      #set ($creatorElement = "&lt;a class=""document-creator document-author"" href=""${xwiki.getURL($tdoc.creator)}""&gt;${xwiki.getUserName($tdoc.creator, false)}&lt;/a&gt;")\n    #end\n      $services.localization.render('phenotips.patientRecord.header.creation', [$creatorElement, $xwiki.formatDate($doc.creationDate)])##\n    &lt;/span&gt;##\n    #if ($doc.date != $doc.creationDate)\n      &lt;span class="sep"&gt;·&lt;/span&gt;&lt;span class="document-meta document-last-modification"&gt;## Last update\n      #if ($doc.author != $doc.creator)\n        ##Must do the same as done for the creator above for the author\n        #if ("$!{tdoc.author}" == '')\n          #set ($authorElement = "&lt;span class=""document-author""&gt;${xwiki.getUserName($tdoc.author, false)}&lt;/span&gt;")\n        #else\n          #set ($authorElement = "&lt;a class=""document-author"" href=""${xwiki.getURL($tdoc.author)}""&gt;${xwiki.getUserName($tdoc.author, false)}&lt;/a&gt;")\n        #end\n        $services.localization.render('phenotips.patientRecord.header.modificationWithModifier',[$authorElement, $xwiki.formatDate($tdoc.date)])##\n      #else\n        $services.localization.render('phenotips.patientRecord.header.modificationWithoutModifier', [$xwiki.formatDate($doc.creationDate)])\n      #end\n      &lt;/span&gt;##\n    #end\n  &lt;/div&gt;##document-authors\n#end\n{{/html}}{{/velocity}}\n</content></xwikidoc>
-1068312065260436099	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>SkinCustomization</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822215000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.SkinCustomization</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>6e3e70c9-22a3-4133-948a-fa18b7db7257</guid>\n<property>\n<content>{{velocity}}\n#set($uixs = $services.uix.getExtensions("org.phenotips.header.top:${doc.space}"))\n#if ($uixs.size() &gt; 0)\n  #foreach ($uix in $uixs)\n    {{html clean=false}}$services.rendering.render($uix.execute(), 'xhtml/1.0'){{/html}}\n  #end\n#else\n  {{html clean=false}}#template("menuview.vm"){{/html}}\n#end</content>\n</property>\n<property>\n<extensionPointId>org.xwiki.platform.header.top</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.header.top</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.SkinCustomization</name>\n<number>2</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>c92a9749-be15-42c4-9d98-04a69a519b2d</guid>\n<property>\n<content>{{velocity}}\n#set($uixs = $services.uix.getExtensions("org.phenotips.header.bottom:${doc.space}"))\n#if ($uixs.size() &gt; 0)\n  #foreach ($uix in $uixs)\n    {{html clean=false}}$services.rendering.render($uix.execute(), 'xhtml/1.0'){{/html}}\n  #end\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.xwiki.platform.header.bottom</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.header.bottom</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.SkinCustomization</name>\n<number>4</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>51232060-d6a2-409e-91eb-feea8cdd0e73</guid>\n<property>\n<content>{{velocity}}\n#set($uixs = $services.uix.getExtensions("org.phenotips.main.top:${doc.space}"))\n#if ($uixs.size() &gt; 0)\n  #foreach ($uix in $uixs)\n    {{html clean=false}}$services.rendering.render($uix.execute(), 'xhtml/1.0'){{/html}}\n  #end\n#else\n  #if($displayContentMenu)\n    #if ($xcontext.action == 'edit')\n      #set ($menuName = 'editmenu')\n    #else\n      #set ($menuName = 'contentmenu')\n    #end\n    #set ($menuTemplate = "${menuName}.vm")\n    #if ("$!editor" == 'inline')\n      #set ($menuTemplate = 'contentmenu.vm')\n    #end\n    {{html clean=false}}\n    &lt;div id="${menuName}" class="actionmenu"&gt;\n      #template($menuTemplate)\n    &lt;/div&gt;\n    {{/html}}\n  #end\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.xwiki.platform.main.top</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.main.top</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.SkinCustomization</name>\n<number>6</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>c92aad87-9fc7-415f-b073-6d7696d7c7bc</guid>\n<property>\n<content>{{velocity}}\n#set($uixs = $services.uix.getExtensions("org.phenotips.content.top:${doc.space}"))\n#if ($uixs.size() &gt; 0)\n  #foreach ($uix in $uixs)\n    {{html clean=false}}$services.rendering.render($uix.execute(), 'xhtml/1.0'){{/html}}\n\n  #end\n#else\n  {{html clean=false}}\n  #template("hierarchy.vm")\n  #if (($editor == 'wiki' == 'inline' || $editor == 'wiki' || $editor == 'wysiwyg') &amp;&amp; !$request.section)\n    #template('editmeta.vm')\n  #end\n  {{/html}}\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.xwiki.platform.content.top</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.content.top</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>PhenoTips.SkinCustomization</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>007a396b-14ff-4fba-ad44-e23c905d29c1</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>xwiki:XWiki.XWikiAllGroup,XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
1037827143862641310	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIXSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.UIX Directory</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822214000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action == 'edit')\n#set ($uix = $doc.getObject('XWiki.UIExtensionClass'))\n#set ($jsx = $doc.getObject('XWiki.JavaScriptExtension'))\n#set ($ssx = $doc.getObject('XWiki.StyleSheetExtension'))\n{{html wiki=true}}\n; Title\n: &lt;input type="text" name="title" value="$!doc.title"/&gt;\n; Description\n: &lt;textarea name="content" rows="20" cols="80"&gt;{{html wiki="false" clean="false"}}$!escapetool.html($doc.content){{/html}}&lt;/textarea&gt;\n#if ($uix)\n; Extension id\n: $uix.get('name')\n; Extension point id\n: $uix.get('extensionPointId')\n; Extension code\n: $uix.get('content')\n; Extension parameters\n: $uix.get('parameters')\n#end\n#if ($jsx)\n; CSS code\n: $ssx.get('code')\n#end\n#if ($jsx)\n; JavaScript code\n: $jsx.get('code')\n#end\n{{/html}}\n#elseif ($doc.name != 'UIXSheet')\n$doc.content\n#end\n{{/velocity}}</content></xwikidoc>\n
-4707315439071732610	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ContentTopMenu</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822198000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title>Patient sheet top menu</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.ContentTopMenu</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>e5d4f60d-d537-495d-bef2-c7e7894fb3f4</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  var tocLinkClicked = function(event) {\n    //event.stop();\n    var trigger = event.findElement('a');\n    var targetName = trigger &amp;&amp; trigger.getAttribute('href');\n    var target = targetName &amp;&amp; $(targetName.substring(1));\n    var parent = target &amp;&amp; (target.up('.collapsible-group') || target.up('.chapter'));\n    if (parent &amp;&amp; parent.hasClassName('collapsed')) {\n       parent.removeClassName('collapsed');\n       if (parent.down('.expand-tool')) {\n         parent.down('.expand-tool').update('▼');\n       }\n       if (parent.up('.chapter')) {\n         parent.up('.chapter').removeClassName('collapsed');\n       }\n       //parent.scrollTo();\n    } else {\n       //target.scrollTo();\n    }\n  };\n\n  var tocElement = $('table-of-contents')\n  var tocMenuEntry = $('toc-entry');\n  if (!tocElement || !tocMenuEntry || !tocElement.down('ul')) {\n    tocMenuEntry &amp;&amp; tocMenuEntry.up('li').remove();\n    return;\n  }\n  tocMenuEntry = tocMenuEntry.up('li');\n  tocMenuEntry.down('ul').replace(tocElement.down('ul'));\n\n  tocMenuEntry.down('ul').select('a').invoke('observe', 'click', tocLinkClicked);\n});</code>\n</property>\n<property>\n<name>Fix ToC</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.ContentTopMenu</name>\n<number>1</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>13a3388b-e108-4903-9b1a-2ef792c5c472</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  var deleteTool = $('prActionDelete');\n  if (!deleteTool) {\n    return false;\n  }\n  deleteTool.observe('click', function(clickEvent) {\n    clickEvent.stop();\n    var item = clickEvent.element();\n    item.blur();\n    if (item.disabled) {\n      // Do nothing if the button was already clicked and it's waiting for a response from the server.\n      return;\n    } else {\n      var url = item.readAttribute('href') + "?confirm=1&amp;form_token=" + $$('meta[name=form_token]')[0].content + (Prototype.Browser.Opera ? "" : "&amp;ajax=1");\n      new XWiki.widgets.ConfirmedAjaxRequest(\n        /* Ajax request URL */\n        url,\n        /* Ajax request parameters */\n        {\n          onCreate : function() {\n            // Disable the button, to avoid a cascade of clicks from impatient users\n            item.disabled = true;\n          },\n          onSuccess : function() {\n            // Go to space WebHome\n            window.location = new XWiki.Document('WebHome', XWiki.Document.currentSpace).getURL('view');\n          },\n          onFailure : function() {\n            // Better luck next time!\n            item.disabled = false;\n          }\n        },\n        /* Interaction parameters */\n        {\n          confirmationText: "$services.localization.render('core.recyclebin.confirm')"\n        }\n      );\n    }\n  });\n});</code>\n</property>\n<property>\n<name>Confirmed AJAX deletion</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.ContentTopMenu</name>\n<number>2</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>4097e56a-9f34-410b-a188-84a459a3bbea</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  // Only do this in edit mode\n  if (XWiki.contextaction != 'edit') { return; }\n  var form = $('edit') || $('inline');\n  if (!form) {return; }\n  var formToken = form.form_token &amp;&amp; form.form_token.value;\n\n  // What the form initially looked like\n  var originalFormData = form.serialize();\n\n  // Warn users when they navigate away from this page without submitting the form, if the data changed\n  /*window.onbeforeunload = function(uEvent) {\n    if (originalFormData != form.serialize()) {\n      return "$services.localization.render('phenotips.contentTopMenu.unsavedDataWarning')";\n    }\n  };\n  form.observe('submit', function(event) {\n     window.onbeforeunload = function() {};\n  });*/\n\n  // Obtain the number of the loaded version\n  var originalVersion = ($$("meta[name=version]").length &gt; 0) ? $$("meta[name=version]")[0].content : false;\n\n  // What could happen on cancel:\n  var __getRollbackURL = function (version) {\n    return XWiki.currentDocument.getURL('rollback', 'rev=' + version + "&amp;confirm=1&amp;form_token=" + formToken);\n  }\n  var deleteURL =  XWiki.currentDocument.getURL('delete', "confirm=1&amp;form_token=" + formToken);\n  var NEW_DOCUMENT = 'none';\n\n  if (originalVersion) {\n     var cancelURL = __getRollbackURL(originalVersion);\n  }\n\n  var versionProviderURL = XWiki.currentDocument.getRestURL();\n  var __getDocumentVersionFromREST = function(xml) {\n    var version = xml.getElementsByTagName('version');\n    if (version.length &gt; 0) {\n       return version[0].firstChild.nodeValue;\n    }\n    return false;\n  };\n\n  // In background, check if the document actually exists; if not, it should be deleted on cancel\n  // (non-existing documents have 1.1 in their meta version)\n  new Ajax.Request(\n            versionProviderURL, {\n              method: 'get',\n              onSuccess : function (response) {\n                // only update if the information was unavailable in the meta section\n                if (!originalVersion &amp;&amp; (originalVersion = __getDocumentVersionFromREST(response.responseXML))) {\n                   cancelURL = __getRollbackURL(originalVersion);\n                }\n              },\n              onFailure : function (response) {\n                if (response.statusCode == 404) {\n                   //Document missing\n                   originalVersion = NEW_DOCUMENT;\n                   cancelURL = deleteURL;\n                }\n              }.bind(this)\n            }\n      );\n\n  //form.select('input[name=action_cancel]').invoke('stopOserving', 'click');\n  form.select('input[name=action_cancel]').invoke('observe', 'click', function (event) {\n    // Continue with the default behavior if the cancel action is being forced after form version verification\n    // or if at this point we still have no information regarding the original document version\n    if (form._isVersionVerified || !originalVersion || !cancelURL) { return; }\n    Event.stop(event);\n    // Find the current version\n    new Ajax.Request(\n            versionProviderURL,\n            {\n              method: 'get',\n              onCreate : function() {\n                form._isVersionVerified = true;\n              },\n              onSuccess : function(response) {\n                var crtVersion = __getDocumentVersionFromREST(response.responseXML);\n                window.onbeforeunload = function() {};\n                if (crtVersion &amp;&amp; crtVersion != originalVersion) {\n                  // Go to the original state (i.e. rollback or delete)\n                  window.location = cancelURL;\n                } else {\n                  //just cancel\n                  event.element().click();\n                }\n              }.bind(this),\n              onFailure : function (response) {\n                window.onbeforeunload = function() {};\n                // Fail silently\n                event.element().click();\n              }.bind(this),\n              on0 : function (response) {\n                response.request.options.onFailure(response);\n              }\n            }\n      );\n  });\n});</code>\n</property>\n<property>\n<name>Fix uncancellable object changes</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.ContentTopMenu</name>\n<number>3</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>5c370dd1-519a-4cae-a5b2-a555d2199cae</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>(function(){\n  var init = function(event) {\n    var docContent = $('mainContentArea');\n    var docActions = $('patient-record-actions');\n    if (docContent &amp;&amp; docActions) {\n      var daSticky  = new StickyBox(docActions, docContent, {offsetTop : 0});\n    }\n  };\n\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);\n})();</code>\n</property>\n<property>\n<name>Make the menu in the doc header sticky</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.ContentTopMenu</name>\n<number>4</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>dd3b46fe-acb2-43ee-bf76-b01d0c3bccae</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe("xwiki:dom:loaded", function () {\n  var exportLinks = $$(' .export-link');\n  exportLinks.invoke('observe', 'click', function (event) {\n    event.stop();\n    if (typeof event.findElement('.editbody') !== "undefined") {\n      // We are in edit mode. Ask whether to save first\n      new XWiki.widgets.ConfirmationBox(\n        {\n          onYes : function() {\n            var myWindow = window.open("","_blank");\n            var exportAfterSave = function() {\n              myWindow.location = event.findElement().href;\n              document.stopObserving('xwiki:document:saved', exportAfterSave);\n            };\n            document.observe('xwiki:document:saved', exportAfterSave);\n            document.fire('xwiki:actions:save', {'continue' : true, 'form' : event.findElement('form')});\n          },\n          onNo : function() {\n            window.open(event.findElement().href,"_blank");\n          }\n        },\n        /* Interaction parameters */\n        { confirmationText: "$services.localization.render('phenotips.contentTopMenu.saveBeforeExport')", showCancelButton: true }\n      );\n    } else {\n      // View mode\n      window.open(event.findElement().href,"_blank");\n    }\n  });\n});</code>\n</property>\n<property>\n<name>Prompt to save before exporting in edit mode</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.ContentTopMenu</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>b3934e65-aa68-4fcb-8df4-875c955e2f93</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n\n#patient-record-actions {\n  float: right;\n  margin: 0;\n  position: absolute;\n  right: 0px;\n  top: 0;\n  z-index: 3000;\n}\n\n#patient-record-actions .menu.menu-horizontal {\n  border: 0 none;\n  font-size: 1em;\n  height: 1.833em;\n  padding: 0 0 0 10px;\n  text-shadow: none;\n}\n#patient-record-actions .menu.menu-horizontal a:hover {\n  text-decoration: none !important;\n  text-shadow: 0 0 2px $theme.highlightColor;\n}\n\n#patient-record-actions .menu-horizontal &gt; ul &gt; li {\n  padding: 0.2em 1.3em 0.2em 0.3em;\n}\n#patient-record-actions .menu-horizontal &gt; ul {\n  white-space: nowrap;\n}\n#patient-record-actions .menu-horizontal ul ul {\n  white-space: normal;\n}\n.menu-vertical li:empty, .menu-horizontal li li:empty {\n  min-height: 1px !important;\n}\n\n#patient-record-actions .menu-horizontal input {\n  background: transparent !important;\n  /* Buttons without a border in IE don't trigger the :hover state */\n  border: 1px solid transparent !important;\n  color: inherit !important;\n  margin: 0 !important;\n  padding: 0 !important;\n}\n#patient-record-actions .menu-horizontal label:hover, #patient-record-actions .menu-horizontal label:hover input {\n  cursor: pointer;\n  text-shadow: 0 0 2px $theme.highlightColor;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.ContentTopMenu</name>\n<number>1</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>87c40da3-7d05-4feb-ad36-18d4a49376d3</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n/* General Styles */\n\n.menu-horizontal ul {\n  list-style-type: none;\n  margin: auto;\n}\n\n.menu-horizontal ul * {\n  line-height: normal;\n}\n\n.menu-horizontal li {\n  cursor: default;\n  line-height: 16px;\n  min-height: 16px;\n}\n\n.menu-horizontal img {\n  vertical-align: middle;\n}\n\n/* Horizontal separator */\n.menu-horizontal li li:empty {\n  border-top: 1px solid $theme.borderColor;\n  line-height: 1px;\n  min-height: auto;\n  padding: 0;\n}\n\n/* Horizontal Menu */\n\n.menu.menu-horizontal {\n  background-color: $theme.menuBackgroundColor;\n  #css3_backgroundLinearGradient({\n    'to': 'bottom',\n    'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n  color: $theme.menuLinkColor;\n  font-size: .85em;\n  height: 2em;\n  padding-left: 25px;\n}\n\n.menu-horizontal li {\n  padding: 0.2em 1.3em;\n}\n\n.menu-horizontal li li:empty {\n  border-top: 1px solid $theme.textSecondaryColor;\n  margin: .5em 1em;\n}\n\n/* Vertical separator */\n.menu-horizontal &gt; ul &gt; li:empty {\n  border-left: 1px solid $theme.textSecondaryColor;\n  margin: 0 .5em;\n  padding: 0;\n  vertical-align: middle;\n}\n\n.menu-horizontal li a, .menu-horizontal li a:visited {\n  color: inherit;\n}\n\n.menu-horizontal &gt; ul &gt; li {\n  display: inline-block;\n}\n\n.menu-horizontal &gt; ul &gt; li &gt; .xDropdown:after {\n  content: '\\25BC';\n  font-size: .8em;\n  margin-left: .5em;\n}\n\n.menu-horizontal &gt; ul ul {\n  background: none repeat scroll 0 0 $theme.menuBackgroundColor;\n  border-radius: 0 0 .8em .8em;\n  box-shadow: 0 1px 1px $theme.borderColor;\n  display: none;\n  margin: 0.2em 0 0 -1.3em;\n  padding-bottom: .3em;\n  position: absolute;\n  z-index: 1000;\n}\n\n.menu-horizontal li:hover &gt; ul {\n  display: block;\n}\n\n/* The only way to have a menu with more than 2 levels without JavaScript is to use a fixed width. */\n.menu-horizontal.fixedWidth li li {\n  position: relative;\n}\n\n.menu-horizontal.fixedWidth ul ul {\n  width: 12em;\n}\n\n.menu-horizontal.fixedWidth ul ul ul {\n  left: 12em;\n  margin: 0;\n  top: 0;\n}\n</code></property><property><name>Menu styles</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.ContentTopMenu</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>9449621f-d20d-42a1-bc70-18096cd6be2a</guid>\n<property>\n<content>{{velocity}}\n#macro (__icon $name){{html clean="false"}}&lt;span class="fa fa-fw fa-${name}"&gt; &lt;/span&gt;{{/html}}#end\n#if ($doc.getObject('PhenoTips.PatientClass'))\n#set ($colorTheme = $xwiki.getUserPreference('colorTheme'))\n#if ("$!colorTheme" != '')\n  ## Make sure we use an absolute reference (see XWIKI-9672)\n  #set ($colorTheme = $services.model.resolveDocument($colorTheme, $doc.documentReference))\n#end\n$xwiki.ssx.use('PhenoTips.ContentTopMenu', {'colorTheme': $colorTheme})##\n$xwiki.jsx.use('PhenoTips.ContentTopMenu')##\n(% id="patient-record-actions" %)(((\n(% id="pr-more-actions-menu" class="menu menu-horizontal" %)(((\n#if ($xcontext.action == 'view')\n#if($hasEdit &amp;&amp; !$isReadOnly)\n  #set($editaction = $doc.getDefaultEditMode())\n* [[#__icon("pencil")$services.localization.render('core.menu.edit')&gt;&gt;path:$doc.getURL($editaction, $!languageparams)|| id="prActionEdit"]]\n#end## HAS EDIT\n#set ($canDelete = !$doc.isNew() &amp;&amp; $xwiki.hasAccessLevel('delete'))\n#if ($canDelete)\n* [[#__icon("times")$services.localization.render('core.menu.delete')&gt;&gt;path:$doc.getURL('delete', $!languageparams)|| id="prActionDelete"]]\n#end## HAS DELETE\n#else## NOT IN VIEW MODE, SHOW EDIT MODE ACTIONS\n* (% class="xDropdown" %){{html clean="false"}}&lt;span class="fa fa-fw fa-check"&gt; &lt;/span&gt;&lt;label&gt;&lt;input type="submit" value="$services.localization.render('phenotips.contentTopMenu.save')" name="action_saveandcontinue"/&gt;&lt;/label&gt;{{/html}}\n** {{html clean="false"}}&lt;label&gt;&lt;input id="tmActionSave" type="submit" value="$services.localization.render('saveandcontinue')" title="$services.localization.render('saveandcontinue')" name="action_saveandcontinue"/&gt;&lt;/label&gt;{{/html}}\n** {{html clean="false"}}&lt;label&gt;&lt;input id="tmActionSaveAndContinue" type="submit" value="$services.localization.render('saveandview')" title="$services.localization.render('saveandview')" name="action_save"/&gt;&lt;/label&gt;{{/html}}\n* {{html clean="false"}}&lt;span class="fa fa-fw fa-ban"&gt; &lt;/span&gt;&lt;label&gt;&lt;input id="tmActionCancel" type="submit" value="$services.localization.render('phenotips.contentTopMenu.cancel')" title="$services.localization.render('phenotips.contentTopMenu.cancel.title')" name="action_cancel"/&gt;&lt;/label&gt;{{/html}}\n#end## DONE WITH EDIT MODE SPECIFIC ACTIONS\n* (% class="xDropdown" %){{html clean="false"}}&lt;span class="fa fa-fw fa-list"&gt; &lt;/span&gt;&lt;span id="toc-entry"&gt;$services.localization.render('phenotips.contentTopMenu.jumpMenu')&lt;/span&gt;{{/html}}\n##The ToC will be populated by JS\n** ----\n* (% class="xDropdown" %)#__icon("cog") $services.localization.render('phenotips.contentTopMenu.moreActionsMenu')\n#if ($xcontext.action != 'view' || $viewer != 'content')\n** [[$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.viewMode')&gt;&gt;$doc.fullName|| title="$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.viewMode.title')" target="_blank"]]\n#end\n#if ($isAdvancedUser &amp;&amp; $xcontext.action != 'view' || $viewer != 'history')\n** [[$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.history')&gt;&gt;path:$doc.getURL('view', 'viewer=history')|| target="_blank" title="$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.history.title')"]]\n#end\n#if ($xwiki.getDocument($xwiki.getSpacePreference('colorTheme')).getObject('XWiki.PDFClass'))\n  #set ($pdfTemplate = $xwiki.getSpacePreference('colorTheme'))\n#else\n  #set ($pdfTemplate = 'PhenoTips.PatientSheetCode')\n#end\n** (% class="empty" %)----\n** [[$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.exportPDF')&gt;&gt;path:$doc.getURL('export', "format=pdf&amp;pdfcover=0&amp;pdftoc=0&amp;pdftemplate=${pdfTemplate}")|| class="export-link"]]\n#if($isAdvancedUser)\n** [[$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.exportXAR')&gt;&gt;path:$doc.getURL('export', "format=xar&amp;name=${doc.fullName}&amp;pages=${doc.fullName}")|| class="export-link"]]\n** [[$services.localization.render('phenotips.contentTopMenu.moreActionsMenu.exportJSON')&gt;&gt;path:$xwiki.getURL('PhenoTips.ExportPatient', 'get', "id=${escapetool.url($doc.documentReference.name)}&amp;outputSyntax=plain")|| class="export-link"]]\n#end\n#foreach ($e in $services.uix.getExtensions("org.phenotips.patientRecordMenu.moreActions"))\n  #set ($extensionContent = $services.rendering.render($e.execute(), 'xhtml/1.0'))\n  #if ($stringtool.isNotBlank($extensionContent) &amp;&amp; !$foreach.hasContent)\n    #if (!$foreach.hasContent)\n      ** ----\n      #set ($foreach.hasContent = true)\n    #end\n    ** {{html clean=false}}$extensionContent{{/html}}\n  #end\n#end\n)))## menu\n)))## container\n#end{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.content.top:data</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.menu</name>\n</property>\n<property>\n<parameters>title=Patient sheet top menu\norder=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
7840787070684997650	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIXTemplate</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.UIX Directory</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822217000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>PhenoTips.UIXTemplate</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>d83f51ff-a672-4ff8-9b77-9a2a416ee20b</guid>\n<property>\n<sheet>PhenoTips.UIXSheet</sheet>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.UIXTemplate</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>8fcec09a-ebce-4b2f-b121-7562b21f6865</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code></code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse></parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.UIXTemplate</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>dcd85ffb-79dd-40d7-8152-0a441bb5c936</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code></code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse></parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIXTemplate</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>76b4de3d-f8f1-4454-8869-b14a6c2944bc</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId></extensionPointId>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
5380970307048909325	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>Skin</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822199000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>body-icon-left-s.png</filename>\n<filesize>573</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618212000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>body-icon-right-s.png</filename>\n<filesize>568</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618212000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>body-icon-s.png</filename>\n<filesize>546</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618212000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>eye.png</filename>\n<filesize>699</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618212000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>head-icon-s.png</filename>\n<filesize>235</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618212000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>logo.png</filename>\n<filesize>1782</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618212000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>ratios-icon-s.png</filename>\n<filesize>549</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618212000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Skin</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>5a947c54-713e-41c7-8f8a-465610b7555f</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>if (browser.isIE &amp;&amp; browser.versionMajor &lt; 9) {\n  new XWiki.widgets.ModalPopup("${services.localization.render('phenotips.skin.incompatibleBrowserWarning')}", {}, {"title": "${services.localization.render('phenotips.skin.incompatibleBrowserWarning.title')}"}).showDialog();\n}</code>\n</property>\n<property>\n<name>Incompatibe browser warning</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>always</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.Skin</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>8dda95b8-cd05-43f6-9f5b-c60c9566d28d</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n## Remove this after it's implemented by default in the base skin\n*::-moz-focus-inner {\n  padding: 0;\n  border: 0\n}\n\n#body {\n  font-family: Arial,Verdana,sans-serif;\n}\n.edit_section {\n  display: none !important;\n}\n#headerglobal {\n  position: relative;\n}\n#company h1 a {\n  color: $theme.pageBackgroundColor !important;\n  text-decoration: none !important;\n}\n#company h1 {\n  border: 0 none;\n  color: $theme.pageBackgroundColor;\n  font-size: 1.2em;\n  margin: 0 20px 0;\n  position: absolute;\n  right: 5%;\n  text-shadow: 0 0 6px #777;\n  text-transform: uppercase;\n}\n.xdocCreation {\n  float: right;\n  width: 48%;\n}\n#document-title h1 {\n  margin: 0 0 0.5em;\n  padding: 5px 0 0;\n}\n#mainContentArea, #mainEditArea {\n  overflow: visible;\n  padding: 10px;\n  position: relative;\n}\n\n.actionmenu {\n  height: 1.8em;\n}\n#phenotips-mainmenu, #phenotips-globalTools {\n  background-color: rgba(255, 255, 255, 0.1);\n  box-shadow: 0 0 1px rgba(0, 0, 0, 0.2);\n  color: $theme.menuLinkColor;\n  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.5)\n}\n#phenotips-mainmenu .topmenuentry {\n  background-image: none;\n  white-space: nowrap;\n}\n#phenotips-mainmenu a, #phenotips-globalTools a {\n  display: inline-block;\n  float: none;\n}\n#phenotips-globalTools .search input {\n  height: 1.7em;\n  margin-left: 0;\n  margin-right: 5px;\n  margin-top: 0.05em;\n  min-height: 22px;\n  padding: 0 3px;\n  width: 20em;\n}\n\n#phenotips-globalTools label {\n  margin-left: 2em;\n  white-space: nowrap;\n}\n\n#create-patient-record {\n  box-sizing: content-box;\n  background: transparent;\n  border: 0 none;\n  color: $theme.menuLinkColor;\n  cursor: pointer;\n  display: inline-block;\n  font: 700 0.8em/1.8em sans-serif;\n  height: 1.8em;\n  padding: 2px 0 0;\n  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.5);\n  text-transform: uppercase;\n  white-space: nowrap;\n  width: auto;\n}\n#create-patient-record:hover {\n  text-decoration: underline;\n}\n#phenotips-globalTools .search .icon-search, #phenotips-globalTools .search .fa-search {\n  color: $theme.menuLinkColor;\n  display: inline-block;\n  margin-right: 5px;\n}\n\n.bottombuttons {\n  background: #F9F9F9;\n  border: 1px solid #FFFFFF;\n  bottom: 0;\n  box-shadow: 0 0 8px rgba(0, 0, 0, 0.2);\n  left: 0;\n  margin: 0 25px !important;\n  padding: 0.5em 10px;\n  position: fixed;\n  right: 0;\n  z-index: 3;\n}\n.bottombuttons input[name="action_cancel"] {\n  float: right;\n}\n\ninput.button:disabled, .buttonwrapper button:disabled, input.button:disabled:hover, .buttonwrapper button:disabled:hover {\n    background-image: none;\n}\n\n.add-data-button,\n.buttonwrapper a.add-data-button:link,\n.buttonwrapper a.add-data-button:visited,\n.buttonwrapper a.add-data-button:active {\n  background-color: $theme.buttonPrimaryBackgroundColor;\n  border-radius: 4px;\n  box-shadow: 0 0 6px $theme.borderColor;\n  color: $theme.buttonPrimaryTextColor;\n  display: inline-block;\n  font: normal normal 700 .8em/140% "Helvetica",sans-serif;\n  padding: .3em .2em .3em  2.2em;\n  position: relative;\n  text-transform: uppercase;\n  white-space: nowrap;\n}\n.add-data-button:hover,\n.buttonwrapper a.add-data-button:hover {\n  box-shadow: 0 0 6px $theme.linkColor;\n}\n.general-tools {\n  float: right;\n  margin: -1.6em 3px 0;\n  padding: 3px 0;\n  position: relative;\n}\n.general-tools label {\n  color: $theme.linkColor;\n  cursor: pointer;\n}\n.general-tools label:hover {\n  text-decoration: underline;\n}\n#patient-creation-form {\n  position: relative;\n}\n.xwiki-livetable-pagination #patient-creation-form {\n  float: left;\n}\nlabel.create-button-label, .add-data-button:before {\n  color: $theme.buttonPrimaryTextColor;\n  cursor: pointer;\n  display: inline-block;\n  font-size: 1.25em;\n  font-weight: bold;\n  height: .8em;\n  left: .4em;\n  line-height: .9em;\n  position: absolute;\n  text-align: center;\n  text-shadow: none;\n  top: .24em;\n  vertical-align: middle;\n  width: .8em !important;\n  z-index: 2;\n}\n\nthead.xwiki-livetable-display-header td.xwiki-livetable-display-header-filter input, thead.xwiki-livetable-display-header td.xwiki-livetable-display-header-filter select {\n  padding: .3em !important;\n}\n\ninput[type=text], input[type=password], textarea {\n  border-color: $theme.borderColor;\n  border-radius: 4px;\n  box-shadow: 0 1px 2px rgba(0,0,0,.4) inset !important;\n  width: 100%;\n}\ntextarea {\n  box-sizing: border-box;\n  width: 100%;\n}\ninput[type=text]:focus, input[type=password]:focus, textarea:focus {\n  border-color: $theme.linkColor;\n}\n\nbody .xwiki-livetable-topfilters-container, body .xwiki-livetable-tagcloud-container {\n  background-color: $theme.backgroundSecondaryColor;\n  border-color: $theme.buttonPrimaryBackgroundColor;\n}\nbody .xwiki-livetable-topfilters-tip .tippointer, body .xwiki-livetable-tagcloud-tip .tippointer {\n  border-top-color: $theme.buttonPrimaryBackgroundColor;\n}\nbody .xwiki-livetable-topfilters-tip .tippointer div, body .xwiki-livetable-tagcloud-tip .tippointer div {\n  border-top-color: $theme.backgroundSecondaryColor;\n  top: -22px;\n}\nbody .xwiki-livetable-topfilters-container .value-cloud-tools a {\n  color: $theme.textColor;\n  font-weight: bold;\n}\n#patients.xwiki-livetable .actions {\n  text-align: right;\n}\nh1:target, h2:target, h3:target {\n  background-color: $theme.highlightColor;\n}\n#globallinks {\n  display: none;\n}\n\n## Disable gradients\n#mainmenu {\n  background-image: none;\n  box-shadow: none;\n}\n#mainmenu * {\n  text-shadow: none;\n}\n.editbody #footerglobal {\n  margin-bottom: 4em;\n}\n.main {\n  padding-bottom: 0;\n}\n.gadget label[for=create-patient-record] {\n  color: $theme.linkColor;\n  cursor: pointer;\n  float: right;\n}\n#xdocFooter {\n  display: none;\n}</code>\n</property>\n<property>\n<contentType>CSS</contentType>\n</property>\n<property>\n<name>PhenoTips skin</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>always</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>PhenoTips.Skin</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>4898ab6a-ab78-47af-962c-874bd555edf1</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiSkins</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<baseskin>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>baseskin</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Base Skin</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</baseskin>\n<edit.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>edit.vm</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Edit</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</edit.vm>\n<footer.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>footer.vm</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Footer</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</footer.vm>\n<header.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>header.vm</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</header.vm>\n<logo>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logo</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Logo</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logo>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<style.css>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>style.css</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Style</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</style.css>\n<view.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>view.vm</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>View</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</view.vm>\n<viewheader.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>viewheader.vm</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>View Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</viewheader.vm>\n</class>\n<name>PhenoTips.Skin</name>\n<number>0</number>\n<className>XWiki.XWikiSkins</className>\n<guid>deed3e95-9ca1-4315-85b2-4b70e05cd884</guid>\n<property>\n<baseskin>phenotips</baseskin>\n</property>\n<property>\n<edit.vm></edit.vm>\n</property>\n<property>\n<footer.vm></footer.vm>\n</property>\n<property>\n<header.vm></header.vm>\n</property>\n<property>\n<logo></logo>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<outputSyntax>html/5.0</outputSyntax>\n</property>\n<property>\n<style.css></style.css>\n</property>\n<property>\n<view.vm></view.vm>\n</property>\n<property>\n<viewheader.vm></viewheader.vm>\n</property>\n</object>\n<content></content></xwikidoc>\n
5331437976160361692	1	1	2017-05-12 15:43:32	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>EmbeddableSkin</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822208000</creationDate>\n<date>1494618212000</date>\n<contentUpdateDate>1494618212000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>PhenoTips.EmbeddableSkin</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>1df7f289-a681-4a80-985f-7bf6d1ef89f7</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiSkins</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<baseskin>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>baseskin</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Base Skin</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</baseskin>\n<edit.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>edit.vm</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Edit</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</edit.vm>\n<footer.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>footer.vm</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Footer</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</footer.vm>\n<header.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>header.vm</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</header.vm>\n<logo>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logo</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Logo</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logo>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<style.css>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>style.css</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Style</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</style.css>\n<view.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>view.vm</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>View</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</view.vm>\n<viewheader.vm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>viewheader.vm</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>View Header</prettyName>\n<rows>15</rows>\n<size>80</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</viewheader.vm>\n</class>\n<name>PhenoTips.EmbeddableSkin</name>\n<number>0</number>\n<className>XWiki.XWikiSkins</className>\n<guid>4b5cc73f-a484-4f88-b62c-fa1a4dde6ccc</guid>\n<property>\n<baseskin>PhenoTips.Skin</baseskin>\n</property>\n<property>\n<edit.vm></edit.vm>\n</property>\n<property>\n<footer.vm>###\n### Global footer deactivated for this skin\n###\n&lt;div&gt;&lt;/div&gt;</footer.vm>\n</property>\n<property>\n<header.vm>###\n### Global header deactivated for this skin\n###\n&lt;div&gt;&lt;/div&gt;</header.vm>\n</property>\n<property>\n<logo></logo>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<style.css>@import "$xwiki.getSkinFile('css/microformats.css')";\n@import "$xwiki.getSkinFile('colibri.css', true)#if ("$!{request.colorTheme}" != '')?colorTheme=${request.colorTheme}#end";\n\n#menuview, #document-head, #document-actions, #table-of-contents {\n  display: none;\n}\n#mainContentArea {\n  margin: 0 !important; \n}\n.main {\n  padding: 0 0 4em !important;\n}\n#body .bottombuttons {\n  left: 0;\n  right: 0;\n  margin: 0.5em 11px !important;\n}</style.css>\n</property>\n<property>\n<view.vm></view.vm>\n</property>\n<property>\n<viewheader.vm></viewheader.vm>\n</property>\n</object>\n<content></content></xwikidoc>\n
3906721010564700566	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Main</web>\n<name>WebHome</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent></parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822196000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>Home</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>Main.WebHome</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>f62a85d8-9e77-43a2-89e7-02c9e801376b</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.start-box {\n  width: 47%;\n  margin: 1%;\n  float: left;\n  text-align: center;\n}\n.start-button {\n  margin: 6px !important;\n  padding: 1em 2em !important;\n  border-radius: 4px;\n}\n.start-box .info {\n  font-size: .7em;\n  opacity: .5;\n}\n#document-info {\n  display:none;\n}\n</code></property><property><name></name></property><property><parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity}}\n$response.sendRedirect($xwiki.getURL('data.WebHome'))\n{{/velocity}}\n</content></xwikidoc>
-2574330713050449243	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>data</web>\n<name>ServerError</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822174000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>Unexpected Server Error</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>data.ServerError</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>78631e3f-e026-49da-87df-a14d67f1df88</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>data.ServerError</name>\n<number>1</number>\n<className>XWiki.XWikiRights</className>\n<guid>2782540b-fda3-4816-9d6c-e3f16ad13919</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup</groups>\n</property>\n<property>\n<levels>edit,comment</levels>\n</property>\n<property>\n<users></users>\n</property>\n</object>\n<content>{{error}}{{translation key=data.serverError}}{{/error}}</content></xwikidoc>\n
1160353948684402343	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>Kiwi</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822189000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>Kiwi</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>header.png</filename>\n<filesize>27167</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618213000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>ColorThemes.ColorThemeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<backgroundSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>backgroundSecondaryColor</name>\n<number>32</number>\n<picker>0</picker>\n<prettyName>Secondary background color (table headers, message boxes, administration boxes)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</backgroundSecondaryColor>\n<borderColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>borderColor</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Border color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</borderColor>\n<buttonPrimaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryBackgroundColor</name>\n<number>29</number>\n<picker>0</picker>\n<prettyName>Primary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryBackgroundColor>\n<buttonPrimaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryGradientColor</name>\n<number>37</number>\n<picker>0</picker>\n<prettyName>Primary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryGradientColor>\n<buttonPrimaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryTextColor</name>\n<number>28</number>\n<picker>0</picker>\n<prettyName>Primary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryTextColor>\n<buttonSecondaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryBackgroundColor</name>\n<number>31</number>\n<picker>0</picker>\n<prettyName>Secondary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryBackgroundColor>\n<buttonSecondaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryGradientColor</name>\n<number>38</number>\n<picker>0</picker>\n<prettyName>Secondary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryGradientColor>\n<buttonSecondaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryTextColor</name>\n<number>30</number>\n<picker>0</picker>\n<prettyName>Secondary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryTextColor>\n<fieldGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>fieldGradientColor</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>Field gradient color (for form elements: input, select, textarea, etc.)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</fieldGradientColor>\n<headerBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundImage</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>Banner (header image - the name of an image attached to the theme document)</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundImage>\n<headerBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundPosition</name>\n<number>14</number>\n<picker>0</picker>\n<prettyName>Banner position and repeat (CSS syntax, for example: "left center no-repeat")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundPosition>\n<highlightColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>highlightColor</name>\n<number>15</number>\n<picker>0</picker>\n<prettyName>Background color for highlighted elements</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</highlightColor>\n<linkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>linkColor</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</linkColor>\n<logoImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logoImage</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Logo (image displayed at the top left corner of the header - the name of an image attached to the theme document; if set, it has priority over the logo configured in the skin and the default logo)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logoImage>\n<menuAddEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryBackgroundColor</name>\n<number>21</number>\n<picker>0</picker>\n<prettyName>Add menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryBackgroundColor>\n<menuAddEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryLinkColor</name>\n<number>20</number>\n<picker>0</picker>\n<prettyName>Add menu entry link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryLinkColor>\n<menuBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuBackgroundColor</name>\n<number>16</number>\n<picker>0</picker>\n<prettyName>Menu background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuBackgroundColor>\n<menuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentBackgroundColor</name>\n<number>42</number>\n<picker>0</picker>\n<prettyName>Content menu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentBackgroundColor>\n<menuContentGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentGradientColor</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>Content menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentGradientColor>\n<menuContentLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentLinkColor</name>\n<number>43</number>\n<picker>0</picker>\n<prettyName>Content menu text color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentLinkColor>\n<menuGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuGradientColor</name>\n<number>39</number>\n<picker>0</picker>\n<prettyName>Menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuGradientColor>\n<menuLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuLinkColor</name>\n<number>17</number>\n<picker>0</picker>\n<prettyName>Menu text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuLinkColor>\n<menuSelectedEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryBackgroundColor</name>\n<number>18</number>\n<picker>0</picker>\n<prettyName>Selected menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryBackgroundColor>\n<menuSelectedEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryLinkColor</name>\n<number>19</number>\n<picker>0</picker>\n<prettyName>Selected menu entry text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryLinkColor>\n<notificationErrorColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationErrorColor</name>\n<number>36</number>\n<picker>0</picker>\n<prettyName>Error notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationErrorColor>\n<notificationInfoColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationInfoColor</name>\n<number>33</number>\n<picker>0</picker>\n<prettyName>Informational notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationInfoColor>\n<notificationSuccessColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationSuccessColor</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>Success notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationSuccessColor>\n<notificationWarningColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationWarningColor</name>\n<number>35</number>\n<picker>0</picker>\n<prettyName>Warning notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationWarningColor>\n<pageBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundColor</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Page background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundColor>\n<pageBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundImage</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Page background image (the name of an image attached to the theme document)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundImage>\n<pageBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundPosition</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Page background image position and repeat (CSS syntax, for example: "left top repeat-x")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundPosition>\n<pageContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageContentBackgroundColor</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Page content background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageContentBackgroundColor>\n<pageHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageHeaderBackgroundColor</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>Page header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageHeaderBackgroundColor>\n<panelBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelBackgroundColor</name>\n<number>22</number>\n<picker>0</picker>\n<prettyName>Panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelBackgroundColor>\n<panelCollapsedBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedBackgroundColor</name>\n<number>26</number>\n<picker>0</picker>\n<prettyName>Collapsed panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedBackgroundColor>\n<panelCollapsedGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedGradientColor</name>\n<number>41</number>\n<picker>0</picker>\n<prettyName>Collapsed panel gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedGradientColor>\n<panelCollapsedTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedTextColor</name>\n<number>27</number>\n<picker>0</picker>\n<prettyName>Collapsed panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedTextColor>\n<panelHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderBackgroundColor</name>\n<number>24</number>\n<picker>0</picker>\n<prettyName>Panel header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderBackgroundColor>\n<panelHeaderGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderGradientColor</name>\n<number>40</number>\n<picker>0</picker>\n<prettyName>Panel header gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderGradientColor>\n<panelHeaderTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderTextColor</name>\n<number>25</number>\n<picker>0</picker>\n<prettyName>Panel header text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderTextColor>\n<panelTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelTextColor</name>\n<number>23</number>\n<picker>0</picker>\n<prettyName>Panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelTextColor>\n<submenuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>submenuContentBackgroundColor</name>\n<number>46</number>\n<picker>0</picker>\n<prettyName>Content submenu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</submenuContentBackgroundColor>\n<textColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textColor</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textColor>\n<textPrimaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textPrimaryColor</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Informative text color (Modified by, Created by, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textPrimaryColor>\n<textSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textSecondaryColor</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Details text color (Comments date, attachments date, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textSecondaryColor>\n<titleColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>titleColor</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Title color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</titleColor>\n</class>\n<name>ColorThemes.Kiwi</name>\n<number>0</number>\n<className>ColorThemes.ColorThemeClass</className>\n<guid>8eea84bf-2dd7-4948-a20a-548dad97b5bf</guid>\n<property>\n<backgroundSecondaryColor>#F3F3F3</backgroundSecondaryColor>\n</property>\n<property>\n<borderColor>#E8E8E8</borderColor>\n</property>\n<property>\n<buttonPrimaryBackgroundColor>#222222</buttonPrimaryBackgroundColor>\n</property>\n<property>\n<buttonPrimaryGradientColor>#555555</buttonPrimaryGradientColor>\n</property>\n<property>\n<buttonPrimaryTextColor>#F3F3F3</buttonPrimaryTextColor>\n</property>\n<property>\n<buttonSecondaryBackgroundColor>#E1E1E1</buttonSecondaryBackgroundColor>\n</property>\n<property>\n<buttonSecondaryGradientColor>#FFFFFF</buttonSecondaryGradientColor>\n</property>\n<property>\n<buttonSecondaryTextColor>#4D5860</buttonSecondaryTextColor>\n</property>\n<property>\n<headerBackgroundImage>header.png</headerBackgroundImage>\n</property>\n<property>\n<headerBackgroundPosition></headerBackgroundPosition>\n</property>\n<property>\n<highlightColor>#F6FFD0</highlightColor>\n</property>\n<property>\n<linkColor>#276400</linkColor>\n</property>\n<property>\n<logoImage></logoImage>\n</property>\n<property>\n<menuAddEntryBackgroundColor>#4D9244</menuAddEntryBackgroundColor>\n</property>\n<property>\n<menuAddEntryLinkColor>#F3F3F3</menuAddEntryLinkColor>\n</property>\n<property>\n<menuBackgroundColor>#276400</menuBackgroundColor>\n</property>\n<property>\n<menuContentBackgroundColor>#E1E1E1</menuContentBackgroundColor>\n</property>\n<property>\n<menuContentGradientColor>#FFFFFF</menuContentGradientColor>\n</property>\n<property>\n<menuContentLinkColor>#4D5860</menuContentLinkColor>\n</property>\n<property>\n<menuGradientColor>#427D3B</menuGradientColor>\n</property>\n<property>\n<menuLinkColor>#F3F3F3</menuLinkColor>\n</property>\n<property>\n<menuSelectedEntryBackgroundColor>#EFEFEF</menuSelectedEntryBackgroundColor>\n</property>\n<property>\n<menuSelectedEntryLinkColor>#16620F</menuSelectedEntryLinkColor>\n</property>\n<property>\n<notificationErrorColor>#CC0000</notificationErrorColor>\n</property>\n<property>\n<notificationInfoColor></notificationInfoColor>\n</property>\n<property>\n<notificationSuccessColor></notificationSuccessColor>\n</property>\n<property>\n<notificationWarningColor></notificationWarningColor>\n</property>\n<property>\n<pageBackgroundColor>#F5F5F5</pageBackgroundColor>\n</property>\n<property>\n<pageBackgroundImage></pageBackgroundImage>\n</property>\n<property>\n<pageBackgroundPosition></pageBackgroundPosition>\n</property>\n<property>\n<pageContentBackgroundColor>#FFFFFF</pageContentBackgroundColor>\n</property>\n<property>\n<pageHeaderBackgroundColor>#6CB100</pageHeaderBackgroundColor>\n</property>\n<property>\n<panelBackgroundColor>#FFFFFF</panelBackgroundColor>\n</property>\n<property>\n<panelCollapsedBackgroundColor>#E1E1E1</panelCollapsedBackgroundColor>\n</property>\n<property>\n<panelCollapsedGradientColor>#FFFFFF</panelCollapsedGradientColor>\n</property>\n<property>\n<panelCollapsedTextColor>#16620F</panelCollapsedTextColor>\n</property>\n<property>\n<panelHeaderBackgroundColor>#E1E1E1</panelHeaderBackgroundColor>\n</property>\n<property>\n<panelHeaderGradientColor>#FFFFFF</panelHeaderGradientColor>\n</property>\n<property>\n<panelHeaderTextColor>#4D5860</panelHeaderTextColor>\n</property>\n<property>\n<panelTextColor>#636B75</panelTextColor>\n</property>\n<property>\n<submenuContentBackgroundColor>#F5F5F5</submenuContentBackgroundColor>\n</property>\n<property>\n<textColor>#636B75</textColor>\n</property>\n<property>\n<textPrimaryColor>#888888</textPrimaryColor>\n</property>\n<property>\n<textSecondaryColor>#656565</textSecondaryColor>\n</property>\n<property>\n<titleColor>#414141</titleColor>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>ColorThemes.Kiwi</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>a1635932-95e9-418e-a908-6209ca65dd4b</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
5535268348243340484	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>Orange</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822190000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>Orange</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>header.png</filename>\n<filesize>31199</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618213000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>ColorThemes.ColorThemeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<backgroundSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>backgroundSecondaryColor</name>\n<number>32</number>\n<picker>0</picker>\n<prettyName>Secondary background color (table headers, message boxes, administration boxes)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</backgroundSecondaryColor>\n<borderColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>borderColor</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Border color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</borderColor>\n<buttonPrimaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryBackgroundColor</name>\n<number>29</number>\n<picker>0</picker>\n<prettyName>Primary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryBackgroundColor>\n<buttonPrimaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryGradientColor</name>\n<number>37</number>\n<picker>0</picker>\n<prettyName>Primary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryGradientColor>\n<buttonPrimaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryTextColor</name>\n<number>28</number>\n<picker>0</picker>\n<prettyName>Primary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryTextColor>\n<buttonSecondaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryBackgroundColor</name>\n<number>31</number>\n<picker>0</picker>\n<prettyName>Secondary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryBackgroundColor>\n<buttonSecondaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryGradientColor</name>\n<number>38</number>\n<picker>0</picker>\n<prettyName>Secondary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryGradientColor>\n<buttonSecondaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryTextColor</name>\n<number>30</number>\n<picker>0</picker>\n<prettyName>Secondary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryTextColor>\n<fieldGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>fieldGradientColor</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>Field gradient color (for form elements: input, select, textarea, etc.)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</fieldGradientColor>\n<headerBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundImage</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>Banner (header image - the name of an image attached to the theme document)</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundImage>\n<headerBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundPosition</name>\n<number>14</number>\n<picker>0</picker>\n<prettyName>Banner position and repeat (CSS syntax, for example: "left center no-repeat")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundPosition>\n<highlightColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>highlightColor</name>\n<number>15</number>\n<picker>0</picker>\n<prettyName>Background color for highlighted elements</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</highlightColor>\n<linkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>linkColor</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</linkColor>\n<logoImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logoImage</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Logo (image displayed at the top left corner of the header - the name of an image attached to the theme document; if set, it has priority over the logo configured in the skin and the default logo)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logoImage>\n<menuAddEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryBackgroundColor</name>\n<number>21</number>\n<picker>0</picker>\n<prettyName>Add menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryBackgroundColor>\n<menuAddEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryLinkColor</name>\n<number>20</number>\n<picker>0</picker>\n<prettyName>Add menu entry link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryLinkColor>\n<menuBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuBackgroundColor</name>\n<number>16</number>\n<picker>0</picker>\n<prettyName>Menu background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuBackgroundColor>\n<menuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentBackgroundColor</name>\n<number>42</number>\n<picker>0</picker>\n<prettyName>Content menu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentBackgroundColor>\n<menuContentGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentGradientColor</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>Content menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentGradientColor>\n<menuContentLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentLinkColor</name>\n<number>43</number>\n<picker>0</picker>\n<prettyName>Content menu text color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentLinkColor>\n<menuGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuGradientColor</name>\n<number>39</number>\n<picker>0</picker>\n<prettyName>Menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuGradientColor>\n<menuLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuLinkColor</name>\n<number>17</number>\n<picker>0</picker>\n<prettyName>Menu text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuLinkColor>\n<menuSelectedEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryBackgroundColor</name>\n<number>18</number>\n<picker>0</picker>\n<prettyName>Selected menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryBackgroundColor>\n<menuSelectedEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryLinkColor</name>\n<number>19</number>\n<picker>0</picker>\n<prettyName>Selected menu entry text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryLinkColor>\n<notificationErrorColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationErrorColor</name>\n<number>36</number>\n<picker>0</picker>\n<prettyName>Error notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationErrorColor>\n<notificationInfoColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationInfoColor</name>\n<number>33</number>\n<picker>0</picker>\n<prettyName>Informational notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationInfoColor>\n<notificationSuccessColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationSuccessColor</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>Success notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationSuccessColor>\n<notificationWarningColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationWarningColor</name>\n<number>35</number>\n<picker>0</picker>\n<prettyName>Warning notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationWarningColor>\n<pageBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundColor</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Page background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundColor>\n<pageBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundImage</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Page background image (the name of an image attached to the theme document)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundImage>\n<pageBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundPosition</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Page background image position and repeat (CSS syntax, for example: "left top repeat-x")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundPosition>\n<pageContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageContentBackgroundColor</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Page content background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageContentBackgroundColor>\n<pageHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageHeaderBackgroundColor</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>Page header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageHeaderBackgroundColor>\n<panelBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelBackgroundColor</name>\n<number>22</number>\n<picker>0</picker>\n<prettyName>Panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelBackgroundColor>\n<panelCollapsedBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedBackgroundColor</name>\n<number>26</number>\n<picker>0</picker>\n<prettyName>Collapsed panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedBackgroundColor>\n<panelCollapsedGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedGradientColor</name>\n<number>41</number>\n<picker>0</picker>\n<prettyName>Collapsed panel gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedGradientColor>\n<panelCollapsedTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedTextColor</name>\n<number>27</number>\n<picker>0</picker>\n<prettyName>Collapsed panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedTextColor>\n<panelHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderBackgroundColor</name>\n<number>24</number>\n<picker>0</picker>\n<prettyName>Panel header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderBackgroundColor>\n<panelHeaderGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderGradientColor</name>\n<number>40</number>\n<picker>0</picker>\n<prettyName>Panel header gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderGradientColor>\n<panelHeaderTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderTextColor</name>\n<number>25</number>\n<picker>0</picker>\n<prettyName>Panel header text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderTextColor>\n<panelTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelTextColor</name>\n<number>23</number>\n<picker>0</picker>\n<prettyName>Panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelTextColor>\n<submenuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>submenuContentBackgroundColor</name>\n<number>46</number>\n<picker>0</picker>\n<prettyName>Content submenu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</submenuContentBackgroundColor>\n<textColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textColor</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textColor>\n<textPrimaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textPrimaryColor</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Informative text color (Modified by, Created by, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textPrimaryColor>\n<textSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textSecondaryColor</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Details text color (Comments date, attachments date, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textSecondaryColor>\n<titleColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>titleColor</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Title color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</titleColor>\n</class>\n<name>ColorThemes.Orange</name>\n<number>0</number>\n<className>ColorThemes.ColorThemeClass</className>\n<guid>ef90e4f2-a523-4811-8218-bef1eed266a7</guid>\n<property>\n<backgroundSecondaryColor>#EFEFEF</backgroundSecondaryColor>\n</property>\n<property>\n<borderColor>#E8E8E8</borderColor>\n</property>\n<property>\n<buttonPrimaryBackgroundColor>#EA972D</buttonPrimaryBackgroundColor>\n</property>\n<property>\n<buttonPrimaryGradientColor>#D47500</buttonPrimaryGradientColor>\n</property>\n<property>\n<buttonPrimaryTextColor>#FFFFFF</buttonPrimaryTextColor>\n</property>\n<property>\n<buttonSecondaryBackgroundColor>#E1E1E1</buttonSecondaryBackgroundColor>\n</property>\n<property>\n<buttonSecondaryGradientColor>#FFFFFF</buttonSecondaryGradientColor>\n</property>\n<property>\n<buttonSecondaryTextColor>#4D4D4D</buttonSecondaryTextColor>\n</property>\n<property>\n<headerBackgroundImage>header.png</headerBackgroundImage>\n</property>\n<property>\n<headerBackgroundPosition></headerBackgroundPosition>\n</property>\n<property>\n<highlightColor>#FFFFDD</highlightColor>\n</property>\n<property>\n<linkColor>#D47500</linkColor>\n</property>\n<property>\n<logoImage></logoImage>\n</property>\n<property>\n<menuAddEntryBackgroundColor>#4D9244</menuAddEntryBackgroundColor>\n</property>\n<property>\n<menuAddEntryLinkColor>#FFFFFF</menuAddEntryLinkColor>\n</property>\n<property>\n<menuBackgroundColor>#414242</menuBackgroundColor>\n</property>\n<property>\n<menuContentBackgroundColor>#E1E1E1</menuContentBackgroundColor>\n</property>\n<property>\n<menuContentGradientColor>#FFFFFF</menuContentGradientColor>\n</property>\n<property>\n<menuContentLinkColor>#4D4D4D</menuContentLinkColor>\n</property>\n<property>\n<menuGradientColor>#707070</menuGradientColor>\n</property>\n<property>\n<menuLinkColor>#FFFFFF</menuLinkColor>\n</property>\n<property>\n<menuSelectedEntryBackgroundColor>#FFFFFF</menuSelectedEntryBackgroundColor>\n</property>\n<property>\n<menuSelectedEntryLinkColor>#414242</menuSelectedEntryLinkColor>\n</property>\n<property>\n<pageBackgroundColor>#ECECEC</pageBackgroundColor>\n</property>\n<property>\n<pageBackgroundImage></pageBackgroundImage>\n</property>\n<property>\n<pageBackgroundPosition></pageBackgroundPosition>\n</property>\n<property>\n<pageContentBackgroundColor>#FFFFFF</pageContentBackgroundColor>\n</property>\n<property>\n<pageHeaderBackgroundColor>#EA972D</pageHeaderBackgroundColor>\n</property>\n<property>\n<panelBackgroundColor>#FFFFFF</panelBackgroundColor>\n</property>\n<property>\n<panelCollapsedBackgroundColor>#FFFFFF</panelCollapsedBackgroundColor>\n</property>\n<property>\n<panelCollapsedGradientColor>#FFFFFF</panelCollapsedGradientColor>\n</property>\n<property>\n<panelCollapsedTextColor>#414242</panelCollapsedTextColor>\n</property>\n<property>\n<panelHeaderBackgroundColor>#E1E1E1</panelHeaderBackgroundColor>\n</property>\n<property>\n<panelHeaderGradientColor>#FFFFFF</panelHeaderGradientColor>\n</property>\n<property>\n<panelHeaderTextColor>#4D4D4D</panelHeaderTextColor>\n</property>\n<property>\n<panelTextColor>#4D4D4D</panelTextColor>\n</property>\n<property>\n<submenuContentBackgroundColor>#F5F5F5</submenuContentBackgroundColor>\n</property>\n<property>\n<textColor>#4D4D4D</textColor>\n</property>\n<property>\n<textPrimaryColor>#656565</textPrimaryColor>\n</property>\n<property>\n<textSecondaryColor>#656565</textSecondaryColor>\n</property>\n<property>\n<titleColor>#4D4D4D</titleColor>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>ColorThemes.Orange</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>204cbdb7-7d3f-4755-a5b9-416f0b4a489a</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
8754155596405016767	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>Silver leaf</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822189000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>Silver leaf</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>header.png</filename>\n<filesize>47512</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618213000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>logo-b.png</filename>\n<filesize>2249</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618213000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>ColorThemes.ColorThemeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<backgroundSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>backgroundSecondaryColor</name>\n<number>32</number>\n<picker>0</picker>\n<prettyName>Secondary background color (table headers, message boxes, administration boxes)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</backgroundSecondaryColor>\n<borderColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>borderColor</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Border color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</borderColor>\n<buttonPrimaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryBackgroundColor</name>\n<number>29</number>\n<picker>0</picker>\n<prettyName>Primary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryBackgroundColor>\n<buttonPrimaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryGradientColor</name>\n<number>37</number>\n<picker>0</picker>\n<prettyName>Primary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryGradientColor>\n<buttonPrimaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryTextColor</name>\n<number>28</number>\n<picker>0</picker>\n<prettyName>Primary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryTextColor>\n<buttonSecondaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryBackgroundColor</name>\n<number>31</number>\n<picker>0</picker>\n<prettyName>Secondary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryBackgroundColor>\n<buttonSecondaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryGradientColor</name>\n<number>38</number>\n<picker>0</picker>\n<prettyName>Secondary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryGradientColor>\n<buttonSecondaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryTextColor</name>\n<number>30</number>\n<picker>0</picker>\n<prettyName>Secondary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryTextColor>\n<fieldGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>fieldGradientColor</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>Field gradient color (for form elements: input, select, textarea, etc.)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</fieldGradientColor>\n<headerBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundImage</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>Banner (header image - the name of an image attached to the theme document)</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundImage>\n<headerBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundPosition</name>\n<number>14</number>\n<picker>0</picker>\n<prettyName>Banner position and repeat (CSS syntax, for example: "left center no-repeat")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundPosition>\n<highlightColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>highlightColor</name>\n<number>15</number>\n<picker>0</picker>\n<prettyName>Background color for highlighted elements</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</highlightColor>\n<linkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>linkColor</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</linkColor>\n<logoImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logoImage</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Logo (image displayed at the top left corner of the header - the name of an image attached to the theme document; if set, it has priority over the logo configured in the skin and the default logo)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logoImage>\n<menuAddEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryBackgroundColor</name>\n<number>21</number>\n<picker>0</picker>\n<prettyName>Add menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryBackgroundColor>\n<menuAddEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryLinkColor</name>\n<number>20</number>\n<picker>0</picker>\n<prettyName>Add menu entry link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryLinkColor>\n<menuBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuBackgroundColor</name>\n<number>16</number>\n<picker>0</picker>\n<prettyName>Menu background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuBackgroundColor>\n<menuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentBackgroundColor</name>\n<number>42</number>\n<picker>0</picker>\n<prettyName>Content menu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentBackgroundColor>\n<menuContentGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentGradientColor</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>Content menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentGradientColor>\n<menuContentLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentLinkColor</name>\n<number>43</number>\n<picker>0</picker>\n<prettyName>Content menu text color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentLinkColor>\n<menuGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuGradientColor</name>\n<number>39</number>\n<picker>0</picker>\n<prettyName>Menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuGradientColor>\n<menuLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuLinkColor</name>\n<number>17</number>\n<picker>0</picker>\n<prettyName>Menu text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuLinkColor>\n<menuSelectedEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryBackgroundColor</name>\n<number>18</number>\n<picker>0</picker>\n<prettyName>Selected menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryBackgroundColor>\n<menuSelectedEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryLinkColor</name>\n<number>19</number>\n<picker>0</picker>\n<prettyName>Selected menu entry text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryLinkColor>\n<notificationErrorColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationErrorColor</name>\n<number>36</number>\n<picker>0</picker>\n<prettyName>Error notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationErrorColor>\n<notificationInfoColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationInfoColor</name>\n<number>33</number>\n<picker>0</picker>\n<prettyName>Informational notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationInfoColor>\n<notificationSuccessColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationSuccessColor</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>Success notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationSuccessColor>\n<notificationWarningColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationWarningColor</name>\n<number>35</number>\n<picker>0</picker>\n<prettyName>Warning notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationWarningColor>\n<pageBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundColor</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Page background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundColor>\n<pageBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundImage</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Page background image (the name of an image attached to the theme document)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundImage>\n<pageBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundPosition</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Page background image position and repeat (CSS syntax, for example: "left top repeat-x")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundPosition>\n<pageContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageContentBackgroundColor</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Page content background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageContentBackgroundColor>\n<pageHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageHeaderBackgroundColor</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>Page header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageHeaderBackgroundColor>\n<panelBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelBackgroundColor</name>\n<number>22</number>\n<picker>0</picker>\n<prettyName>Panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelBackgroundColor>\n<panelCollapsedBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedBackgroundColor</name>\n<number>26</number>\n<picker>0</picker>\n<prettyName>Collapsed panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedBackgroundColor>\n<panelCollapsedGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedGradientColor</name>\n<number>41</number>\n<picker>0</picker>\n<prettyName>Collapsed panel gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedGradientColor>\n<panelCollapsedTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedTextColor</name>\n<number>27</number>\n<picker>0</picker>\n<prettyName>Collapsed panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedTextColor>\n<panelHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderBackgroundColor</name>\n<number>24</number>\n<picker>0</picker>\n<prettyName>Panel header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderBackgroundColor>\n<panelHeaderGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderGradientColor</name>\n<number>40</number>\n<picker>0</picker>\n<prettyName>Panel header gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderGradientColor>\n<panelHeaderTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderTextColor</name>\n<number>25</number>\n<picker>0</picker>\n<prettyName>Panel header text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderTextColor>\n<panelTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelTextColor</name>\n<number>23</number>\n<picker>0</picker>\n<prettyName>Panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelTextColor>\n<submenuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>submenuContentBackgroundColor</name>\n<number>46</number>\n<picker>0</picker>\n<prettyName>Content submenu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</submenuContentBackgroundColor>\n<textColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textColor</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textColor>\n<textPrimaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textPrimaryColor</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Informative text color (Modified by, Created by, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textPrimaryColor>\n<textSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textSecondaryColor</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Details text color (Comments date, attachments date, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textSecondaryColor>\n<titleColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>titleColor</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Title color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</titleColor>\n</class>\n<name>ColorThemes.Silver leaf</name>\n<number>0</number>\n<className>ColorThemes.ColorThemeClass</className>\n<guid>9d6c7ad7-0f94-4c72-9420-c8bc972160ac</guid>\n<property>\n<backgroundSecondaryColor>#F7F7F7</backgroundSecondaryColor>\n</property>\n<property>\n<borderColor>#F0F0F0</borderColor>\n</property>\n<property>\n<buttonPrimaryBackgroundColor>#222222</buttonPrimaryBackgroundColor>\n</property>\n<property>\n<buttonPrimaryGradientColor>#555555</buttonPrimaryGradientColor>\n</property>\n<property>\n<buttonPrimaryTextColor>#FFFFFF</buttonPrimaryTextColor>\n</property>\n<property>\n<buttonSecondaryBackgroundColor>#E1E1E1</buttonSecondaryBackgroundColor>\n</property>\n<property>\n<buttonSecondaryGradientColor>#FFFFFF</buttonSecondaryGradientColor>\n</property>\n<property>\n<buttonSecondaryTextColor>#404040</buttonSecondaryTextColor>\n</property>\n<property>\n<fieldGradientColor></fieldGradientColor>\n</property>\n<property>\n<headerBackgroundImage>header.png</headerBackgroundImage>\n</property>\n<property>\n<headerBackgroundPosition>left center no-repeat</headerBackgroundPosition>\n</property>\n<property>\n<highlightColor>#FFFFCC</highlightColor>\n</property>\n<property>\n<linkColor>#0089DC</linkColor>\n</property>\n<property>\n<logoImage>logo-b.png</logoImage>\n</property>\n<property>\n<menuAddEntryBackgroundColor>#4D9244</menuAddEntryBackgroundColor>\n</property>\n<property>\n<menuAddEntryLinkColor>#FFFFFF</menuAddEntryLinkColor>\n</property>\n<property>\n<menuBackgroundColor>#E1E1E1</menuBackgroundColor>\n</property>\n<property>\n<menuContentBackgroundColor>#E1E1E1</menuContentBackgroundColor>\n</property>\n<property>\n<menuContentGradientColor>#FFFFFF</menuContentGradientColor>\n</property>\n<property>\n<menuContentLinkColor>#404040</menuContentLinkColor>\n</property>\n<property>\n<menuGradientColor>#FFFFFF</menuGradientColor>\n</property>\n<property>\n<menuLinkColor>#404040</menuLinkColor>\n</property>\n<property>\n<menuSelectedEntryBackgroundColor>#F3D4D2</menuSelectedEntryBackgroundColor>\n</property>\n<property>\n<menuSelectedEntryLinkColor>#404040</menuSelectedEntryLinkColor>\n</property>\n<property>\n<notificationErrorColor></notificationErrorColor>\n</property>\n<property>\n<notificationInfoColor></notificationInfoColor>\n</property>\n<property>\n<notificationSuccessColor></notificationSuccessColor>\n</property>\n<property>\n<notificationWarningColor></notificationWarningColor>\n</property>\n<property>\n<pageBackgroundColor>#FFFFFF</pageBackgroundColor>\n</property>\n<property>\n<pageBackgroundImage></pageBackgroundImage>\n</property>\n<property>\n<pageBackgroundPosition></pageBackgroundPosition>\n</property>\n<property>\n<pageContentBackgroundColor>#FFFFFF</pageContentBackgroundColor>\n</property>\n<property>\n<pageHeaderBackgroundColor>#CFCFCF</pageHeaderBackgroundColor>\n</property>\n<property>\n<panelBackgroundColor>#FFFFFF</panelBackgroundColor>\n</property>\n<property>\n<panelCollapsedBackgroundColor>#E1E1E1</panelCollapsedBackgroundColor>\n</property>\n<property>\n<panelCollapsedGradientColor>#FFFFFF</panelCollapsedGradientColor>\n</property>\n<property>\n<panelCollapsedTextColor>#404040</panelCollapsedTextColor>\n</property>\n<property>\n<panelHeaderBackgroundColor>#E1E1E1</panelHeaderBackgroundColor>\n</property>\n<property>\n<panelHeaderGradientColor>#FFFFFF</panelHeaderGradientColor>\n</property>\n<property>\n<panelHeaderTextColor>#404040</panelHeaderTextColor>\n</property>\n<property>\n<panelTextColor>#404040</panelTextColor>\n</property>\n<property>\n<submenuContentBackgroundColor>#FFFFFF</submenuContentBackgroundColor>\n</property>\n<property>\n<textColor>#404040</textColor>\n</property>\n<property>\n<textPrimaryColor>#636B75</textPrimaryColor>\n</property>\n<property>\n<textSecondaryColor>#888888</textSecondaryColor>\n</property>\n<property>\n<titleColor>#404040</titleColor>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>ColorThemes.Silver leaf</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>ac041107-4546-48ea-946d-5f3731c57808</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#phenotips-mainmenu, #phenotips-globalTools {\n   background-color: rgba(0, 0, 0, 0.1) !important;\n   text-shadow: 0 1px 1px #FFF !important;\n}\n#headerglobal {\n    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.1);\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse></parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>ColorThemes.Silver leaf</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>0c4a2439-99c6-4353-940b-72a7d3199083</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
-3360037916034797650	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>Maple leaf</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822188000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>Maple leaf</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>header.png</filename>\n<filesize>55994</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618213000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>logo-b.png</filename>\n<filesize>2249</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618213000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>ColorThemes.ColorThemeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<backgroundSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>backgroundSecondaryColor</name>\n<number>32</number>\n<picker>0</picker>\n<prettyName>Secondary background color (table headers, message boxes, administration boxes)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</backgroundSecondaryColor>\n<borderColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>borderColor</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Border color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</borderColor>\n<buttonPrimaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryBackgroundColor</name>\n<number>29</number>\n<picker>0</picker>\n<prettyName>Primary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryBackgroundColor>\n<buttonPrimaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryGradientColor</name>\n<number>37</number>\n<picker>0</picker>\n<prettyName>Primary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryGradientColor>\n<buttonPrimaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryTextColor</name>\n<number>28</number>\n<picker>0</picker>\n<prettyName>Primary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryTextColor>\n<buttonSecondaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryBackgroundColor</name>\n<number>31</number>\n<picker>0</picker>\n<prettyName>Secondary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryBackgroundColor>\n<buttonSecondaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryGradientColor</name>\n<number>38</number>\n<picker>0</picker>\n<prettyName>Secondary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryGradientColor>\n<buttonSecondaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryTextColor</name>\n<number>30</number>\n<picker>0</picker>\n<prettyName>Secondary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryTextColor>\n<fieldGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>fieldGradientColor</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>Field gradient color (for form elements: input, select, textarea, etc.)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</fieldGradientColor>\n<headerBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundImage</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>Banner (header image - the name of an image attached to the theme document)</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundImage>\n<headerBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundPosition</name>\n<number>14</number>\n<picker>0</picker>\n<prettyName>Banner position and repeat (CSS syntax, for example: "left center no-repeat")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundPosition>\n<highlightColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>highlightColor</name>\n<number>15</number>\n<picker>0</picker>\n<prettyName>Background color for highlighted elements</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</highlightColor>\n<linkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>linkColor</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</linkColor>\n<logoImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logoImage</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Logo (image displayed at the top left corner of the header - the name of an image attached to the theme document; if set, it has priority over the logo configured in the skin and the default logo)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logoImage>\n<menuAddEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryBackgroundColor</name>\n<number>21</number>\n<picker>0</picker>\n<prettyName>Add menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryBackgroundColor>\n<menuAddEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryLinkColor</name>\n<number>20</number>\n<picker>0</picker>\n<prettyName>Add menu entry link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryLinkColor>\n<menuBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuBackgroundColor</name>\n<number>16</number>\n<picker>0</picker>\n<prettyName>Menu background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuBackgroundColor>\n<menuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentBackgroundColor</name>\n<number>42</number>\n<picker>0</picker>\n<prettyName>Content menu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentBackgroundColor>\n<menuContentGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentGradientColor</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>Content menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentGradientColor>\n<menuContentLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentLinkColor</name>\n<number>43</number>\n<picker>0</picker>\n<prettyName>Content menu text color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentLinkColor>\n<menuGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuGradientColor</name>\n<number>39</number>\n<picker>0</picker>\n<prettyName>Menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuGradientColor>\n<menuLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuLinkColor</name>\n<number>17</number>\n<picker>0</picker>\n<prettyName>Menu text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuLinkColor>\n<menuSelectedEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryBackgroundColor</name>\n<number>18</number>\n<picker>0</picker>\n<prettyName>Selected menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryBackgroundColor>\n<menuSelectedEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryLinkColor</name>\n<number>19</number>\n<picker>0</picker>\n<prettyName>Selected menu entry text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryLinkColor>\n<notificationErrorColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationErrorColor</name>\n<number>36</number>\n<picker>0</picker>\n<prettyName>Error notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationErrorColor>\n<notificationInfoColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationInfoColor</name>\n<number>33</number>\n<picker>0</picker>\n<prettyName>Informational notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationInfoColor>\n<notificationSuccessColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationSuccessColor</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>Success notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationSuccessColor>\n<notificationWarningColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationWarningColor</name>\n<number>35</number>\n<picker>0</picker>\n<prettyName>Warning notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationWarningColor>\n<pageBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundColor</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Page background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundColor>\n<pageBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundImage</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Page background image (the name of an image attached to the theme document)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundImage>\n<pageBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundPosition</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Page background image position and repeat (CSS syntax, for example: "left top repeat-x")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundPosition>\n<pageContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageContentBackgroundColor</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Page content background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageContentBackgroundColor>\n<pageHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageHeaderBackgroundColor</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>Page header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageHeaderBackgroundColor>\n<panelBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelBackgroundColor</name>\n<number>22</number>\n<picker>0</picker>\n<prettyName>Panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelBackgroundColor>\n<panelCollapsedBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedBackgroundColor</name>\n<number>26</number>\n<picker>0</picker>\n<prettyName>Collapsed panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedBackgroundColor>\n<panelCollapsedGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedGradientColor</name>\n<number>41</number>\n<picker>0</picker>\n<prettyName>Collapsed panel gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedGradientColor>\n<panelCollapsedTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedTextColor</name>\n<number>27</number>\n<picker>0</picker>\n<prettyName>Collapsed panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedTextColor>\n<panelHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderBackgroundColor</name>\n<number>24</number>\n<picker>0</picker>\n<prettyName>Panel header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderBackgroundColor>\n<panelHeaderGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderGradientColor</name>\n<number>40</number>\n<picker>0</picker>\n<prettyName>Panel header gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderGradientColor>\n<panelHeaderTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderTextColor</name>\n<number>25</number>\n<picker>0</picker>\n<prettyName>Panel header text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderTextColor>\n<panelTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelTextColor</name>\n<number>23</number>\n<picker>0</picker>\n<prettyName>Panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelTextColor>\n<submenuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>submenuContentBackgroundColor</name>\n<number>46</number>\n<picker>0</picker>\n<prettyName>Content submenu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</submenuContentBackgroundColor>\n<textColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textColor</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textColor>\n<textPrimaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textPrimaryColor</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Informative text color (Modified by, Created by, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textPrimaryColor>\n<textSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textSecondaryColor</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Details text color (Comments date, attachments date, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textSecondaryColor>\n<titleColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>titleColor</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Title color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</titleColor>\n</class>\n<name>ColorThemes.Maple leaf</name>\n<number>0</number>\n<className>ColorThemes.ColorThemeClass</className>\n<guid>09007a4c-4494-40ca-927b-3f0a9571dbe8</guid>\n<property>\n<backgroundSecondaryColor>#F7F7F7</backgroundSecondaryColor>\n</property>\n<property>\n<borderColor>#F0F0F0</borderColor>\n</property>\n<property>\n<buttonPrimaryBackgroundColor>#222222</buttonPrimaryBackgroundColor>\n</property>\n<property>\n<buttonPrimaryGradientColor>#555555</buttonPrimaryGradientColor>\n</property>\n<property>\n<buttonPrimaryTextColor>#FFFFFF</buttonPrimaryTextColor>\n</property>\n<property>\n<buttonSecondaryBackgroundColor>#E1E1E1</buttonSecondaryBackgroundColor>\n</property>\n<property>\n<buttonSecondaryGradientColor>#FFFFFF</buttonSecondaryGradientColor>\n</property>\n<property>\n<buttonSecondaryTextColor>#404040</buttonSecondaryTextColor>\n</property>\n<property>\n<fieldGradientColor></fieldGradientColor>\n</property>\n<property>\n<headerBackgroundImage>header.png</headerBackgroundImage>\n</property>\n<property>\n<headerBackgroundPosition>left center no-repeat</headerBackgroundPosition>\n</property>\n<property>\n<highlightColor>#FFFFCC</highlightColor>\n</property>\n<property>\n<linkColor>#0089DC</linkColor>\n</property>\n<property>\n<logoImage>logo-b.png</logoImage>\n</property>\n<property>\n<menuAddEntryBackgroundColor>#4D9244</menuAddEntryBackgroundColor>\n</property>\n<property>\n<menuAddEntryLinkColor>#FFFFFF</menuAddEntryLinkColor>\n</property>\n<property>\n<menuBackgroundColor>#E1E1E1</menuBackgroundColor>\n</property>\n<property>\n<menuContentBackgroundColor>#E1E1E1</menuContentBackgroundColor>\n</property>\n<property>\n<menuContentGradientColor>#FFFFFF</menuContentGradientColor>\n</property>\n<property>\n<menuContentLinkColor>#404040</menuContentLinkColor>\n</property>\n<property>\n<menuGradientColor>#FFFFFF</menuGradientColor>\n</property>\n<property>\n<menuLinkColor>#404040</menuLinkColor>\n</property>\n<property>\n<menuSelectedEntryBackgroundColor>#F3D4D2</menuSelectedEntryBackgroundColor>\n</property>\n<property>\n<menuSelectedEntryLinkColor>#404040</menuSelectedEntryLinkColor>\n</property>\n<property>\n<notificationErrorColor></notificationErrorColor>\n</property>\n<property>\n<notificationInfoColor></notificationInfoColor>\n</property>\n<property>\n<notificationSuccessColor></notificationSuccessColor>\n</property>\n<property>\n<notificationWarningColor></notificationWarningColor>\n</property>\n<property>\n<pageBackgroundColor>#FFFFFF</pageBackgroundColor>\n</property>\n<property>\n<pageBackgroundImage></pageBackgroundImage>\n</property>\n<property>\n<pageBackgroundPosition></pageBackgroundPosition>\n</property>\n<property>\n<pageContentBackgroundColor>#FFFFFF</pageContentBackgroundColor>\n</property>\n<property>\n<pageHeaderBackgroundColor>#AD1616</pageHeaderBackgroundColor>\n</property>\n<property>\n<panelBackgroundColor>#FFFFFF</panelBackgroundColor>\n</property>\n<property>\n<panelCollapsedBackgroundColor>#E1E1E1</panelCollapsedBackgroundColor>\n</property>\n<property>\n<panelCollapsedGradientColor>#FFFFFF</panelCollapsedGradientColor>\n</property>\n<property>\n<panelCollapsedTextColor>#404040</panelCollapsedTextColor>\n</property>\n<property>\n<panelHeaderBackgroundColor>#E1E1E1</panelHeaderBackgroundColor>\n</property>\n<property>\n<panelHeaderGradientColor>#FFFFFF</panelHeaderGradientColor>\n</property>\n<property>\n<panelHeaderTextColor>#404040</panelHeaderTextColor>\n</property>\n<property>\n<panelTextColor>#404040</panelTextColor>\n</property>\n<property>\n<submenuContentBackgroundColor>#FFFFFF</submenuContentBackgroundColor>\n</property>\n<property>\n<textColor>#404040</textColor>\n</property>\n<property>\n<textPrimaryColor>#636B75</textPrimaryColor>\n</property>\n<property>\n<textSecondaryColor>#888888</textSecondaryColor>\n</property>\n<property>\n<titleColor>#404040</titleColor>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>ColorThemes.Maple leaf</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>63a0713d-cbab-4687-87be-ba595d7ca833</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#phenotips-mainmenu, #phenotips-globalTools {\n   background-color: rgba(0, 0, 0, 0.1) !important;\n   text-shadow: 0 1px 1px rgba(0, 0, 0, 0.5);\n}\n#phenotips-mainmenu .leftmenu, #phenotips-globalTools .leftmenu {\n   text-shadow: 0 1px 1px #FFF;\n}\n#phenotips-globalTools .rightmenu label,\n#phenotips-globalTools .rightmenu label a,\n#phenotips-globalTools .rightmenu label span,\n#phenotips-globalTools .rightmenu input[type="submit"],\n.rightmenu #create-patient-record,\n#phenotips-mainmenu .rightmenu .topmenuentry, \n#phenotips-mainmenu .rightmenu .topmenuentry a {\n    color: #FFF !important;\n}\n#headerglobal {\n    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.1);\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse></parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>ColorThemes.Maple leaf</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>2df73029-e64c-4e1d-9091-4e10762adcf7</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
8591098630944079733	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>Blue</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822187000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>Blue</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>header.png</filename>\n<filesize>31799</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618213000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>ColorThemes.ColorThemeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<backgroundSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>backgroundSecondaryColor</name>\n<number>32</number>\n<picker>0</picker>\n<prettyName>Secondary background color (table headers, message boxes, administration boxes)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</backgroundSecondaryColor>\n<borderColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>borderColor</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Border color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</borderColor>\n<buttonPrimaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryBackgroundColor</name>\n<number>29</number>\n<picker>0</picker>\n<prettyName>Primary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryBackgroundColor>\n<buttonPrimaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryGradientColor</name>\n<number>37</number>\n<picker>0</picker>\n<prettyName>Primary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryGradientColor>\n<buttonPrimaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryTextColor</name>\n<number>28</number>\n<picker>0</picker>\n<prettyName>Primary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryTextColor>\n<buttonSecondaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryBackgroundColor</name>\n<number>31</number>\n<picker>0</picker>\n<prettyName>Secondary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryBackgroundColor>\n<buttonSecondaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryGradientColor</name>\n<number>38</number>\n<picker>0</picker>\n<prettyName>Secondary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryGradientColor>\n<buttonSecondaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryTextColor</name>\n<number>30</number>\n<picker>0</picker>\n<prettyName>Secondary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryTextColor>\n<fieldGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>fieldGradientColor</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>Field gradient color (for form elements: input, select, textarea, etc.)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</fieldGradientColor>\n<headerBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundImage</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>Banner (header image - the name of an image attached to the theme document)</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundImage>\n<headerBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundPosition</name>\n<number>14</number>\n<picker>0</picker>\n<prettyName>Banner position and repeat (CSS syntax, for example: "left center no-repeat")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundPosition>\n<highlightColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>highlightColor</name>\n<number>15</number>\n<picker>0</picker>\n<prettyName>Background color for highlighted elements</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</highlightColor>\n<linkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>linkColor</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</linkColor>\n<logoImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logoImage</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Logo (image displayed at the top left corner of the header - the name of an image attached to the theme document; if set, it has priority over the logo configured in the skin and the default logo)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logoImage>\n<menuAddEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryBackgroundColor</name>\n<number>21</number>\n<picker>0</picker>\n<prettyName>Add menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryBackgroundColor>\n<menuAddEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryLinkColor</name>\n<number>20</number>\n<picker>0</picker>\n<prettyName>Add menu entry link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryLinkColor>\n<menuBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuBackgroundColor</name>\n<number>16</number>\n<picker>0</picker>\n<prettyName>Menu background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuBackgroundColor>\n<menuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentBackgroundColor</name>\n<number>42</number>\n<picker>0</picker>\n<prettyName>Content menu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentBackgroundColor>\n<menuContentGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentGradientColor</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>Content menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentGradientColor>\n<menuContentLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentLinkColor</name>\n<number>43</number>\n<picker>0</picker>\n<prettyName>Content menu text color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentLinkColor>\n<menuGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuGradientColor</name>\n<number>39</number>\n<picker>0</picker>\n<prettyName>Menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuGradientColor>\n<menuLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuLinkColor</name>\n<number>17</number>\n<picker>0</picker>\n<prettyName>Menu text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuLinkColor>\n<menuSelectedEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryBackgroundColor</name>\n<number>18</number>\n<picker>0</picker>\n<prettyName>Selected menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryBackgroundColor>\n<menuSelectedEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryLinkColor</name>\n<number>19</number>\n<picker>0</picker>\n<prettyName>Selected menu entry text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryLinkColor>\n<notificationErrorColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationErrorColor</name>\n<number>36</number>\n<picker>0</picker>\n<prettyName>Error notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationErrorColor>\n<notificationInfoColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationInfoColor</name>\n<number>33</number>\n<picker>0</picker>\n<prettyName>Informational notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationInfoColor>\n<notificationSuccessColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationSuccessColor</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>Success notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationSuccessColor>\n<notificationWarningColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationWarningColor</name>\n<number>35</number>\n<picker>0</picker>\n<prettyName>Warning notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationWarningColor>\n<pageBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundColor</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Page background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundColor>\n<pageBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundImage</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Page background image (the name of an image attached to the theme document)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundImage>\n<pageBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundPosition</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Page background image position and repeat (CSS syntax, for example: "left top repeat-x")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundPosition>\n<pageContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageContentBackgroundColor</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Page content background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageContentBackgroundColor>\n<pageHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageHeaderBackgroundColor</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>Page header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageHeaderBackgroundColor>\n<panelBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelBackgroundColor</name>\n<number>22</number>\n<picker>0</picker>\n<prettyName>Panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelBackgroundColor>\n<panelCollapsedBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedBackgroundColor</name>\n<number>26</number>\n<picker>0</picker>\n<prettyName>Collapsed panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedBackgroundColor>\n<panelCollapsedGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedGradientColor</name>\n<number>41</number>\n<picker>0</picker>\n<prettyName>Collapsed panel gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedGradientColor>\n<panelCollapsedTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedTextColor</name>\n<number>27</number>\n<picker>0</picker>\n<prettyName>Collapsed panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedTextColor>\n<panelHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderBackgroundColor</name>\n<number>24</number>\n<picker>0</picker>\n<prettyName>Panel header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderBackgroundColor>\n<panelHeaderGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderGradientColor</name>\n<number>40</number>\n<picker>0</picker>\n<prettyName>Panel header gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderGradientColor>\n<panelHeaderTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderTextColor</name>\n<number>25</number>\n<picker>0</picker>\n<prettyName>Panel header text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderTextColor>\n<panelTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelTextColor</name>\n<number>23</number>\n<picker>0</picker>\n<prettyName>Panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelTextColor>\n<submenuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>submenuContentBackgroundColor</name>\n<number>46</number>\n<picker>0</picker>\n<prettyName>Content submenu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</submenuContentBackgroundColor>\n<textColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textColor</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textColor>\n<textPrimaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textPrimaryColor</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Informative text color (Modified by, Created by, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textPrimaryColor>\n<textSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textSecondaryColor</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Details text color (Comments date, attachments date, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textSecondaryColor>\n<titleColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>titleColor</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Title color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</titleColor>\n</class>\n<name>ColorThemes.Blue</name>\n<number>0</number>\n<className>ColorThemes.ColorThemeClass</className>\n<guid>e2fc387c-de26-4328-b256-8ae73d83cad7</guid>\n<property>\n<backgroundSecondaryColor>#F3F3F3</backgroundSecondaryColor>\n</property>\n<property>\n<borderColor>#E8E8E8</borderColor>\n</property>\n<property>\n<buttonPrimaryBackgroundColor>#2173AF</buttonPrimaryBackgroundColor>\n</property>\n<property>\n<buttonPrimaryGradientColor>#0089DC</buttonPrimaryGradientColor>\n</property>\n<property>\n<buttonPrimaryTextColor>#FFFFFF</buttonPrimaryTextColor>\n</property>\n<property>\n<buttonSecondaryBackgroundColor>#E1E1E1</buttonSecondaryBackgroundColor>\n</property>\n<property>\n<buttonSecondaryGradientColor>#FFFFFF</buttonSecondaryGradientColor>\n</property>\n<property>\n<buttonSecondaryTextColor>#4D5860</buttonSecondaryTextColor>\n</property>\n<property>\n<fieldGradientColor>#F5F5F5</fieldGradientColor>\n</property>\n<property>\n<headerBackgroundImage>header.png</headerBackgroundImage>\n</property>\n<property>\n<headerBackgroundPosition></headerBackgroundPosition>\n</property>\n<property>\n<highlightColor>#FFFFCC</highlightColor>\n</property>\n<property>\n<linkColor>#0089DC</linkColor>\n</property>\n<property>\n<logoImage></logoImage>\n</property>\n<property>\n<menuAddEntryBackgroundColor>#4D9244</menuAddEntryBackgroundColor>\n</property>\n<property>\n<menuAddEntryLinkColor>#FFFFFF</menuAddEntryLinkColor>\n</property>\n<property>\n<menuBackgroundColor>#0272A6</menuBackgroundColor>\n</property>\n<property>\n<menuContentBackgroundColor>#E1E1E1</menuContentBackgroundColor>\n</property>\n<property>\n<menuContentGradientColor>#FFFFFF</menuContentGradientColor>\n</property>\n<property>\n<menuContentLinkColor>#4D5860</menuContentLinkColor>\n</property>\n<property>\n<menuGradientColor>#3A8ABC</menuGradientColor>\n</property>\n<property>\n<menuLinkColor>#F3F3F3</menuLinkColor>\n</property>\n<property>\n<menuSelectedEntryBackgroundColor>#EFEFEF</menuSelectedEntryBackgroundColor>\n</property>\n<property>\n<menuSelectedEntryLinkColor>#2173AF</menuSelectedEntryLinkColor>\n</property>\n<property>\n<notificationErrorColor>#CC3333</notificationErrorColor>\n</property>\n<property>\n<notificationInfoColor>#336699</notificationInfoColor>\n</property>\n<property>\n<notificationSuccessColor>#008000</notificationSuccessColor>\n</property>\n<property>\n<notificationWarningColor>#D09000</notificationWarningColor>\n</property>\n<property>\n<pageBackgroundColor>#F5F5F5</pageBackgroundColor>\n</property>\n<property>\n<pageBackgroundImage></pageBackgroundImage>\n</property>\n<property>\n<pageBackgroundPosition></pageBackgroundPosition>\n</property>\n<property>\n<pageContentBackgroundColor>#FFFFFF</pageContentBackgroundColor>\n</property>\n<property>\n<pageHeaderBackgroundColor>#3A8ABC</pageHeaderBackgroundColor>\n</property>\n<property>\n<panelBackgroundColor>#FFFFFF</panelBackgroundColor>\n</property>\n<property>\n<panelCollapsedBackgroundColor>#E1E1E1</panelCollapsedBackgroundColor>\n</property>\n<property>\n<panelCollapsedGradientColor>#FFFFFF</panelCollapsedGradientColor>\n</property>\n<property>\n<panelCollapsedTextColor>#4D5860</panelCollapsedTextColor>\n</property>\n<property>\n<panelHeaderBackgroundColor>#E1E1E1</panelHeaderBackgroundColor>\n</property>\n<property>\n<panelHeaderGradientColor>#FFFFFF</panelHeaderGradientColor>\n</property>\n<property>\n<panelHeaderTextColor>#4D5860</panelHeaderTextColor>\n</property>\n<property>\n<panelTextColor>#636B75</panelTextColor>\n</property>\n<property>\n<submenuContentBackgroundColor>#F5F5F5</submenuContentBackgroundColor>\n</property>\n<property>\n<textColor>#636B75</textColor>\n</property>\n<property>\n<textPrimaryColor>#9F9F9F</textPrimaryColor>\n</property>\n<property>\n<textSecondaryColor>#9F9F9F</textSecondaryColor>\n</property>\n<property>\n<titleColor>#2173AF</titleColor>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>ColorThemes.Blue</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>3e96ac14-b5b3-4232-9570-46482ae3f066</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
-5014424313236062365	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>ColorThemes</web>\n<name>Ruby</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>ColorThemes.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822191000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>Ruby</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>header.png</filename>\n<filesize>28268</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618213000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>ColorThemes.ColorThemeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<backgroundSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>backgroundSecondaryColor</name>\n<number>32</number>\n<picker>0</picker>\n<prettyName>Secondary background color (table headers, message boxes, administration boxes)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</backgroundSecondaryColor>\n<borderColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>borderColor</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Border color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</borderColor>\n<buttonPrimaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryBackgroundColor</name>\n<number>29</number>\n<picker>0</picker>\n<prettyName>Primary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryBackgroundColor>\n<buttonPrimaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryGradientColor</name>\n<number>37</number>\n<picker>0</picker>\n<prettyName>Primary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryGradientColor>\n<buttonPrimaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonPrimaryTextColor</name>\n<number>28</number>\n<picker>0</picker>\n<prettyName>Primary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonPrimaryTextColor>\n<buttonSecondaryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryBackgroundColor</name>\n<number>31</number>\n<picker>0</picker>\n<prettyName>Secondary action button background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryBackgroundColor>\n<buttonSecondaryGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryGradientColor</name>\n<number>38</number>\n<picker>0</picker>\n<prettyName>Secondary action button gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryGradientColor>\n<buttonSecondaryTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>buttonSecondaryTextColor</name>\n<number>30</number>\n<picker>0</picker>\n<prettyName>Secondary action button text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</buttonSecondaryTextColor>\n<fieldGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>fieldGradientColor</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>Field gradient color (for form elements: input, select, textarea, etc.)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</fieldGradientColor>\n<headerBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundImage</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>Banner (header image - the name of an image attached to the theme document)</prettyName>\n<size>15</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundImage>\n<headerBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>headerBackgroundPosition</name>\n<number>14</number>\n<picker>0</picker>\n<prettyName>Banner position and repeat (CSS syntax, for example: "left center no-repeat")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</headerBackgroundPosition>\n<highlightColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>highlightColor</name>\n<number>15</number>\n<picker>0</picker>\n<prettyName>Background color for highlighted elements</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</highlightColor>\n<linkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>linkColor</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</linkColor>\n<logoImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>logoImage</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Logo (image displayed at the top left corner of the header - the name of an image attached to the theme document; if set, it has priority over the logo configured in the skin and the default logo)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</logoImage>\n<menuAddEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryBackgroundColor</name>\n<number>21</number>\n<picker>0</picker>\n<prettyName>Add menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryBackgroundColor>\n<menuAddEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuAddEntryLinkColor</name>\n<number>20</number>\n<picker>0</picker>\n<prettyName>Add menu entry link color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuAddEntryLinkColor>\n<menuBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuBackgroundColor</name>\n<number>16</number>\n<picker>0</picker>\n<prettyName>Menu background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuBackgroundColor>\n<menuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentBackgroundColor</name>\n<number>42</number>\n<picker>0</picker>\n<prettyName>Content menu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentBackgroundColor>\n<menuContentGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentGradientColor</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>Content menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentGradientColor>\n<menuContentLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuContentLinkColor</name>\n<number>43</number>\n<picker>0</picker>\n<prettyName>Content menu text color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuContentLinkColor>\n<menuGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuGradientColor</name>\n<number>39</number>\n<picker>0</picker>\n<prettyName>Menu gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuGradientColor>\n<menuLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuLinkColor</name>\n<number>17</number>\n<picker>0</picker>\n<prettyName>Menu text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuLinkColor>\n<menuSelectedEntryBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryBackgroundColor</name>\n<number>18</number>\n<picker>0</picker>\n<prettyName>Selected menu entry background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryBackgroundColor>\n<menuSelectedEntryLinkColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>menuSelectedEntryLinkColor</name>\n<number>19</number>\n<picker>0</picker>\n<prettyName>Selected menu entry text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</menuSelectedEntryLinkColor>\n<notificationErrorColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationErrorColor</name>\n<number>36</number>\n<picker>0</picker>\n<prettyName>Error notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationErrorColor>\n<notificationInfoColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationInfoColor</name>\n<number>33</number>\n<picker>0</picker>\n<prettyName>Informational notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationInfoColor>\n<notificationSuccessColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationSuccessColor</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>Success notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationSuccessColor>\n<notificationWarningColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>notificationWarningColor</name>\n<number>35</number>\n<picker>0</picker>\n<prettyName>Warning notifications color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</notificationWarningColor>\n<pageBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundColor</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Page background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundColor>\n<pageBackgroundImage>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundImage</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Page background image (the name of an image attached to the theme document)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundImage>\n<pageBackgroundPosition>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageBackgroundPosition</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Page background image position and repeat (CSS syntax, for example: "left top repeat-x")</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageBackgroundPosition>\n<pageContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageContentBackgroundColor</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Page content background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageContentBackgroundColor>\n<pageHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pageHeaderBackgroundColor</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>Page header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</pageHeaderBackgroundColor>\n<panelBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelBackgroundColor</name>\n<number>22</number>\n<picker>0</picker>\n<prettyName>Panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelBackgroundColor>\n<panelCollapsedBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedBackgroundColor</name>\n<number>26</number>\n<picker>0</picker>\n<prettyName>Collapsed panel background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedBackgroundColor>\n<panelCollapsedGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedGradientColor</name>\n<number>41</number>\n<picker>0</picker>\n<prettyName>Collapsed panel gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedGradientColor>\n<panelCollapsedTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelCollapsedTextColor</name>\n<number>27</number>\n<picker>0</picker>\n<prettyName>Collapsed panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelCollapsedTextColor>\n<panelHeaderBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderBackgroundColor</name>\n<number>24</number>\n<picker>0</picker>\n<prettyName>Panel header background color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderBackgroundColor>\n<panelHeaderGradientColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderGradientColor</name>\n<number>40</number>\n<picker>0</picker>\n<prettyName>Panel header gradient color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderGradientColor>\n<panelHeaderTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelHeaderTextColor</name>\n<number>25</number>\n<picker>0</picker>\n<prettyName>Panel header text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelHeaderTextColor>\n<panelTextColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>panelTextColor</name>\n<number>23</number>\n<picker>0</picker>\n<prettyName>Panel text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</panelTextColor>\n<submenuContentBackgroundColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>submenuContentBackgroundColor</name>\n<number>46</number>\n<picker>0</picker>\n<prettyName>Content submenu background color</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</submenuContentBackgroundColor>\n<textColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textColor</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Text color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textColor>\n<textPrimaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textPrimaryColor</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Informative text color (Modified by, Created by, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textPrimaryColor>\n<textSecondaryColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>textSecondaryColor</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Details text color (Comments date, attachments date, etc)</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</textSecondaryColor>\n<titleColor>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>titleColor</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Title color</prettyName>\n<size>7</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</titleColor>\n</class>\n<name>ColorThemes.Ruby</name>\n<number>0</number>\n<className>ColorThemes.ColorThemeClass</className>\n<guid>e20e0d0d-bbd3-43b7-96f5-ec464a28c408</guid>\n<property>\n<backgroundSecondaryColor>#F7F7F7</backgroundSecondaryColor>\n</property>\n<property>\n<borderColor>#F0F0F0</borderColor>\n</property>\n<property>\n<buttonPrimaryBackgroundColor>#222222</buttonPrimaryBackgroundColor>\n</property>\n<property>\n<buttonPrimaryGradientColor>#555555</buttonPrimaryGradientColor>\n</property>\n<property>\n<buttonPrimaryTextColor>#FFFFFF</buttonPrimaryTextColor>\n</property>\n<property>\n<buttonSecondaryBackgroundColor>#E1E1E1</buttonSecondaryBackgroundColor>\n</property>\n<property>\n<buttonSecondaryGradientColor>#FFFFFF</buttonSecondaryGradientColor>\n</property>\n<property>\n<buttonSecondaryTextColor>#881212</buttonSecondaryTextColor>\n</property>\n<property>\n<headerBackgroundImage>header.png</headerBackgroundImage>\n</property>\n<property>\n<headerBackgroundPosition></headerBackgroundPosition>\n</property>\n<property>\n<highlightColor>#FFFFCC</highlightColor>\n</property>\n<property>\n<linkColor>#C61A1A</linkColor>\n</property>\n<property>\n<logoImage></logoImage>\n</property>\n<property>\n<menuAddEntryBackgroundColor>#4D9244</menuAddEntryBackgroundColor>\n</property>\n<property>\n<menuAddEntryLinkColor>#FFFFFF</menuAddEntryLinkColor>\n</property>\n<property>\n<menuBackgroundColor>#881212</menuBackgroundColor>\n</property>\n<property>\n<menuContentBackgroundColor>#E1E1E1</menuContentBackgroundColor>\n</property>\n<property>\n<menuContentGradientColor>#FFFFFF</menuContentGradientColor>\n</property>\n<property>\n<menuContentLinkColor>#881212</menuContentLinkColor>\n</property>\n<property>\n<menuGradientColor>#AD1616</menuGradientColor>\n</property>\n<property>\n<menuLinkColor>#FFFFFF</menuLinkColor>\n</property>\n<property>\n<menuSelectedEntryBackgroundColor>#F3D4D2</menuSelectedEntryBackgroundColor>\n</property>\n<property>\n<menuSelectedEntryLinkColor>#404040</menuSelectedEntryLinkColor>\n</property>\n<property>\n<pageBackgroundColor>#FFFFFF</pageBackgroundColor>\n</property>\n<property>\n<pageBackgroundImage></pageBackgroundImage>\n</property>\n<property>\n<pageBackgroundPosition></pageBackgroundPosition>\n</property>\n<property>\n<pageContentBackgroundColor>#FFFFFF</pageContentBackgroundColor>\n</property>\n<property>\n<pageHeaderBackgroundColor>#AD1616</pageHeaderBackgroundColor>\n</property>\n<property>\n<panelBackgroundColor>#FFFFFF</panelBackgroundColor>\n</property>\n<property>\n<panelCollapsedBackgroundColor>#E1E1E1</panelCollapsedBackgroundColor>\n</property>\n<property>\n<panelCollapsedGradientColor>#FFFFFF</panelCollapsedGradientColor>\n</property>\n<property>\n<panelCollapsedTextColor>#881212</panelCollapsedTextColor>\n</property>\n<property>\n<panelHeaderBackgroundColor>#E1E1E1</panelHeaderBackgroundColor>\n</property>\n<property>\n<panelHeaderGradientColor>#FFFFFF</panelHeaderGradientColor>\n</property>\n<property>\n<panelHeaderTextColor>#881212</panelHeaderTextColor>\n</property>\n<property>\n<panelTextColor>#404040</panelTextColor>\n</property>\n<property>\n<submenuContentBackgroundColor>#FFFFFF</submenuContentBackgroundColor>\n</property>\n<property>\n<textColor>#404040</textColor>\n</property>\n<property>\n<textPrimaryColor>#636B75</textPrimaryColor>\n</property>\n<property>\n<textSecondaryColor>#888888</textSecondaryColor>\n</property>\n<property>\n<titleColor>#404040</titleColor>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>ColorThemes.Ruby</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>6a64366f-ecf8-4cb8-9ecf-dba642a45976</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAllGroup</groups>\n</property>\n<property>\n<levels>view</levels>\n</property>\n<property>\n<users>XWiki.XWikiGuest</users>\n</property>\n</object>\n<content></content></xwikidoc>\n
-2957041759631817068	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiLogin</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822158000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>Login</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content></content></xwikidoc>\n
-4271439358188529591	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>WebHome</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822169000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>PhenoTips</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>XWiki.WebHome</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>ac3ad56c-e655-4809-86a6-a7a397cde479</guid>\n<property>\n<content>{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n&lt;div id="phenotips-mainmenu" class="layoutsubsection actionmenu"&gt;\n&lt;strong id="xwikimenutitle" class="hidden"&gt;$services.localization.render('core.menu.main.title')&lt;/strong&gt;\n&lt;div class="rightmenu"&gt;\n#set ($workspaceManagerMainDocumentReference = $services.model.createDocumentReference($xcontext.mainWikiName, 'WorkspaceManager', 'WebHome'))\n#set ($isWorkspaceManagerAppInstalled = $xwiki.exists($workspaceManagerMainDocumentReference))\n#set ($isWorkspace = $services.workspace.isWorkspace($xcontext.database))\n#set ($isMainWikiUser = ($xcontext.mainWikiName == "$!{xcontext.userReference.wikiReference.name}"))\n##\n## User\n##\n#if (!$xcontext.action.startsWith('login'))\n  #if ($isGuest)\n    #set ($loginurl = $xwiki.getURL('XWiki.XWikiLogin', 'login', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!loginurl $!services.localization.render('login') 'tmLogin' 'fa fa-sign-in')\n  #else\n    #set ($logouturl = $xwiki.getURL('XWiki.XWikiLogout', 'logout', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!logouturl $!services.localization.render('logout') 'tmLogout' 'fa fa-sign-out')\n  #end\n#end\n#if ($isGuest &amp;&amp; $xwiki.hasAccessLevel('register', 'XWiki.XWikiPreferences'))\n  #set ($regurl = $xwiki.getURL('XWiki.Register', 'register'))\n  #xwikitopmenuentry($!regurl $!services.localization.render('core.register') 'tmRegister' 'fa fa-plus-square')\n#end\n##\n##\n#if (!$isGuest)\n#if ($isSuperAdmin)\n  #xwikitopmenuentry('#' $!services.localization.render('superadmin') 'tmUser' 'fa fa-user')\n#else\n  #xwikitopmenuentry("$!xwiki.getURL($xcontext.user)" "$!xwiki.getUserName($xcontext.user, false)" 'tmUser' 'fa fa-user')\n#end\n#end\n&lt;/div&gt;\n&lt;div class="leftmenu"&gt;\n##\n## Administration\n##\n#set ($isAdminAppInstalled = $xwiki.exists('XWiki.AdminSheet'))\n#if ($isAdminAppInstalled &amp;&amp; $hasSpaceAdmin)\n  #set ($adminspaceaction = $!xwiki.getURL("XWiki.XWikiPreferences", 'admin'))\n  #xwikitopmenuentry($adminspaceaction "$services.localization.render('admin')" 'tmAdminSpace' 'fa fa-cogs')\n#end\n&lt;/div&gt;\n&lt;/div&gt;\n{{/html}}{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.header.top:XWiki</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.header.top.globalMenu</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>XWiki.WebHome</name>\n<number>1</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>b2cfd8bc-7984-4d98-92b6-9e3ec73d41fe</guid>\n<property>\n<content>{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n&lt;div id="phenotips-globalTools" class="layoutsubsection actionmenu"&gt;\n  &lt;div class="rightmenu"&gt;\n    &lt;div class="topmenuentry search"&gt;\n      #if ($displayQuickSearch &amp;&amp; ($xwiki.exists('Main.Search') || $xwiki.exists('Main.WebSearch')))\n        &lt;div class="globalsearch"&gt;&lt;input type="hidden" name="space" value="data"/&gt;\n          &lt;label for="headerglobalsearchinput"&gt;&lt;span class="fa fa-search"&gt; &lt;/span&gt;&lt;/label&gt;&lt;input class="globalsearchinput" id="headerglobalsearchinput" type="text" name="text" placeholder="$services.localization.render('phenotips.globalHeader.search.placeholder')" size="20"/&gt;\n        &lt;/div&gt;\n      #end\n    &lt;/div&gt;\n    &lt;div class="topmenuentry all"&gt;&lt;label for="browse-all-patients"&gt;&lt;span class="fa fa-folder-open"&gt; &lt;/span&gt;&lt;a id="browse-all-patients" href="$xwiki.getURL('data.AllData')"&gt;$services.localization.render('phenotips.globalHeader.allData')&lt;/a&gt;&lt;/label&gt;&lt;/div&gt;\n    #if ($hasCreatePage)\n      &lt;div class="topmenuentry add"&gt;\n{{/html}}\n\n{{include reference="PhenoTips.CreatePatientRecordForm" /}}\n\n{{html clean=false}}&lt;/div&gt;\n    #end\n  &lt;/div&gt;\n  &lt;div class="breadcrumbs leftmenu"&gt;\n    &lt;a href="$!xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))" title="Home" rel="home"&gt;&lt;span class="fa fa-home fa-lg"&gt;&lt;/span&gt;&lt;/a&gt; &amp;raquo;\n    &lt;a href="$!xwiki.getURL("${doc.space}.WebHome")" &gt;$!{doc.space}&lt;/a&gt;\n    #if ($doc.name != 'WebHome')\n      &amp;raquo; &lt;a href="$doc.getURL()"&gt;$doc.displayTitle&lt;/a&gt;\n    #end\n  &lt;/div&gt;\n&lt;/div&gt;\n{{/html}}{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.header.bottom:XWiki</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.header.bottom.globalTools</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>XWiki.WebHome</name>\n<number>2</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>c26fad45-a9cd-489a-96fe-0af3415b0b16</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.main.top:XWiki</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.main.top.empty</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>XWiki.WebHome</name>\n<number>3</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>0d7ce298-dc92-4ed6-aa2e-bdb7cffcd895</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.content.top:XWiki</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.content.top.empty</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content>{{velocity}}\n$response.sendRedirect($xwiki.getURL('data.WebHome'))\n{{/velocity}}</content></xwikidoc>\n
6300007534016900424	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:phenotips-skin-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>PDFClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822120000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-skin-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.PDFClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<footer>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>footer</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Footer displayed at the bottom of each PDF page</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</footer>\n<fopxsl>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>fopxsl</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>XSLT for post-processing the FO document</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</fopxsl>\n<header>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>header</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Header displayed on top of each PDF page</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</header>\n<style>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>style</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Custom CSS style to apply to the PDF</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</style>\n<xhtmlxsl>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>xhtmlxsl</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>XSLT for transforming HTML into a FO document</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</xhtmlxsl>\n</class>\n<content></content></xwikidoc>\n
1462508874651988343	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PhenotypeMappingClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822127000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.PhenotypeMappingClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<description>\n<contenttype>PureText</contenttype>\n<disabled>0</disabled>\n<name>description</name>\n<number>1</number>\n<prettyName>description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n</class>\n<object>\n<class>\n<name>XWiki.ClassSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>PhenoTips.PhenotypeMappingClass</name>\n<number>0</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>23873546-c660-4b27-a4fe-04ab2d8bbf11</guid>\n<property>\n<sheet>PhenoTips.PhenotypeMappingSheet</sheet>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>PhenoTips.PhenotypeMappingClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>193aa8c4-2ba2-4c7c-bf07-ff9c6318f125</guid>\n<property>\n<sheet>XWiki.ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
5900379023341872695	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PhenotypeInfoService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1408995197000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>PhenotypeInfoService</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action != 'get')\n  **Usage**: //http[s]:~/~/&lt;hostname&gt;[:&lt;port&gt;]/&lt;appname&gt;/bin/get/PhenoTips/PhenotypeInfoService?id=&lt;hpo identifier&gt;//\n  Example: [[http://playground.phenotips.org/bin/get/PhenoTips/PhenotypeInfoService?id=HP:0000118]]\n  #break\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#if ("$!request.id" != '')\n  #set ($term = $services.vocabularies.hpo.getTerm($request.id))\n#else\n  $response.setStatus(400)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Term id not provided."})\n  #break\n#end\n#if (!$term)\n  $response.setStatus(404)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Term not found."})\n  #break\n#end\n\n#set ($result = {\n  'id' : "$!term.id",\n  'label' : "$!term.name",\n  'def' : "$!term.def"\n})\n#if ("$!term.is_a" != '')\n  #set ($result.is_a = [])\n  #foreach ($p in $!term.is_a)\n    #set($parts = $p.split(" ! "))\n    #if ($parts.size() == 2)\n      #set($discard = $result.is_a.add({'id' : $parts[0], 'label' : $parts[1]}))\n    #end\n  #end\n#end\n#if ("$!term.synonym" != '')\n  #set ($result.synonym = $term.synonym)\n#end\n$response.setContentType('application/json')\n$jsontool.serialize($result)\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}</content></xwikidoc>\n
-2555991279911937841	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PhenotypeMappingPreview</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PhenotypeMappingClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822208000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>PhenotypeMappingPreview</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PhenotypeMappingPreview</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>2046b272-5863-4c04-a6b7-c8bb2850868b</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>//\n// Enable the live preview of the selected phenotype mapping\n//\nvar init = function(event) {\n  // Check for the elements needed to do the preview:\n  // 1. the container where the preview is to be displayed\n  var previewContainer = $('mappingPreview');\n  // 2. a/ the input containing the selected value\n  var textInputs = $$('input[type="text"][name$="apping_suggest"]');\n  // or b/ the radio buttons for the options\n  var options = $$('input[type="radio"][name$="apping"]');\n  // If 1 or 2 are missing, move along, there's nothing to do here\n  if (!previewContainer || !(textInputs.size() == 1 || options.size() &gt; 0)) {\n    return;\n  }\n\n\n  // Make it easy for the user to look at long mappings:\n  previewContainer.style.maxHeight = (.9 * document.viewport.getHeight()) + 'px';\n  Event.observe(window, 'resize', function (event) {\n    previewContainer.style.maxHeight = (.9 * document.viewport.getHeight()) + 'px';\n  });\n\n\n  // Preview requests should have increasing identifiers and only the response of the latest one should be displayed\n  // Store the ID of the latest request:\n  previewContainer.reqNo = 0;\n\n  // -------------------------------------------------------------------\n  // Requesting a preview based on the selected value:\n  var updatePreview = function(selectedValue) {\n    // Mark that this is a new request\n    previewContainer.reqNo++;\n    // No value? No preview\n    if (!selectedValue) {\n      previewContainer.update('');\n      return;\n    }\n    // Make the request:\n    new Ajax.Request(new XWiki.Document('PhenotypeMappingPreview', 'PhenoTips').getURL('get'), {\n        parameters: {\n           mapping: selectedValue,\n           reqNo : previewContainer.reqNo\n        },\n        onCreate : function() {\n           // Always ignore all but the latest request\n           if (this.parameters.reqNo &lt; previewContainer.reqNo) {\n             return;\n           }\n           // Clean up the preview container and add a spinner while waiting for the result to come\n           previewContainer.update('').addClassName('loading');\n        },\n        onSuccess : function(response) {\n           // Always ignore all but the latest request\n           if (response.request.options.parameters.reqNo &lt; previewContainer.reqNo) {\n             return;\n           }\n           // Display the results\n           previewContainer.update(response.responseText);\n           // Disable all inputs (this is a preview, there should be no interaction)\n           previewContainer.select('input').each(function (item) {\n             item.disabled = 'disabled';\n           });\n        },\n        onFailure : function(response) {\n           // Always ignore all but the latest request\n           if (response.request.options.parameters.reqNo &lt; previewContainer.reqNo) {\n             return;\n           }\n           // Tell the user why the preview request failed\n           var failureReason = response.responseText || response.statusText;\n           if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n              failureReason = 'Server not responding';\n           }\n           previewContainer.update(new Element('div', {'class' : 'errormessage'}).update('Failed to generate preview. ' + failureReason));\n        },\n        on0 : function (response) {\n           response.request.options.onFailure(response);\n        },\n        onComplete : function(response) {\n           // Always ignore all but the latest request\n           if (response.request.options.parameters.reqNo &lt; previewContainer.reqNo) {\n             return;\n           }\n           // Done one way or the other, remove spinner\n           previewContainer.removeClassName('loading');\n        }\n     });\n  };\n\n\n  // Handling the value in the input\n  var handleInputValue = function(event) {\n    // What do we have in the input, a newly selected value or the initial one?\n    var selectedValue = event &amp;&amp; event.memo &amp;&amp; event.memo.info || input.value &amp;&amp; input.previous('input').value;\n\n    // No value? No preview\n    if (!selectedValue) {\n      updatePreview();\n      mappingCustomizationTool.href = '#';\n      mappingCustomizationTool.addClassName('hidden');\n      return;\n    }\n\n    // Update the preview\n    updatePreview(selectedValue);\n\n    // Update the customization link\n    var targetDocumentReference = XWiki.resource.get(selectedValue, XWiki.EntityType.DOCUMENT);\n    mappingCustomizationTool.href = new XWiki.Document(targetDocumentReference.name, targetDocumentReference.space).getURL('edit');\n    mappingCustomizationTool.removeClassName('hidden');\n  }\n\n  // Handling the selected option\n  var handleSelectedOption = function(event) {\n    var selectedValue = '';\n    options.each(function (item) {\n      if (item.checked) {\n         selectedValue = item.value;\n      }\n    });\n\n    // Update the preview\n    updatePreview(selectedValue);\n  }\n\n\n  // -------------------------------------------------------------------\n  // What kind of config selection UI do we have?\n  // 1. input with suggestions:\n  if (textInputs.size() == 1) {\n    var input = textInputs[0];\n\n    // Add a link permitting the user to modify the selected mapping\n    var mappingCustomizationTool = new Element('a', {'class': 'button hidden', 'href' : '#', 'id' : 'customizeMapping', 'target' : '_blank'}).update('Customize');\n    input.insert({'before' : mappingCustomizationTool.wrap('span', {'class' : 'buttonwrapper customize-button'})});\n\n    // Show the preview for the initial value\n    handleInputValue();\n    // Update preview every time the value changes\n    input.observe('xwiki:suggest:selected', handleInputValue);\n    // Correct behavior for emptying the input\n    input.observe('change', function (event) {\n      if (input.value == '') {\n      input.previous('input').value = '';\n        input.fire('xwiki:suggest:selected', {'id' : '', 'value' : '', 'info' : ''});\n      }\n    });\n  }\n  // 2. radio buttons:\n  if (options.size() &gt; 0) {\n    options.each(function (item) {\n      var container = new Element('div', {'class' : 'option-container'});\n      var label = item.up('label');\n      label.insert({after : container});\n      container.insert(label);\n      // Add "customize" buttons to each options\n      if (item.value != '') {\n        //    - first compute urls\n        var targetDocumentReference = XWiki.resource.get(item.value, XWiki.EntityType.DOCUMENT);\n        var url = new XWiki.Document(targetDocumentReference.name, targetDocumentReference.space).getURL('edit');\n\n        //     - then generate and insert buttons\n        var container = new Element('div', {'class' : 'option-container'});\n        var label = item.up('label');\n        label.insert({after : container});\n        container.insert(\n                 new Element('a', {'class': 'button', 'href' : url, 'id' : 'customizeMapping', 'target' : '_blank'})\n                            .update("$services.localization.render('phenotips.phenotypeMappingPreview.customizeButton')")\n                            .wrap('span', {'class' : 'buttonwrapper customize-button'}\n                 )\n        );\n      }\n      // Handle selection change\n      item.observe('change', handleSelectedOption);\n    });\n    // Show preview for the initial value\n    handleSelectedOption();\n  }\n};\n\n(XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PhenotypeMappingPreview</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>150b3f6c-a46d-4dd3-b362-c1cdbf63a83b</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n#mappingPreview {\n  background: none repeat scroll 0 0 $theme.backgroundSecondaryColor;\n  border: 1px solid $theme.pageContentBackgroundColor;\n  box-shadow: 0 0 4px $theme.borderColor, 0 0 4px $theme.borderColor inset;\n  font-size: 0.8em;\n  max-height: 300px;\n  min-height: 20px;\n  overflow: auto;\n  padding: 1em;\n}\n/*\n * Fix the style of the mapping to match what is displayed in the actual patient form\n */\n#mappingPreview h3 {\n  text-transform: uppercase;\n  font-weight: normal;\n  margin-bottom: 5px;\n}\n#mappingPreview .yes-no-picker input {\n  display: none;\n}\n\n#mappingPreview .term-entry:before {\n  content: "►";\n  cursor: default;\n  visibility: hidden;\n}\n#mappingPreview .term-entry.dropdown-root:before {\n  color: $theme.linkColor;\n  cursor: pointer;\n  visibility: visible;\n}\n/*\n * Preview can be displayed either to the right of or under the mapping selector; style differently\n */\n\n.mappingPreviewContainer {\n  width: 47%;\n  float: right;\n  padding: 0 1% 1em;\n}\n.mappingPreviewContainer.side {\n  width: 40%;\n}\n.customize-button {\n  float: right;\n  margin-top: -1.4em;\n  margin-right: 1%;\n}\n.mappingPreviewContainer .customize-button {\n  margin-right: 0;\n}\n.mappingPreviewContainer .hint.side:before {\n  border-bottom: 32px solid rgba(0, 0, 0, 0);\n  border-left: 32px solid;\n  border-top: 32px solid rgba(0, 0, 0, 0);\n  left: 50%;\n  margin-left: 16px;\n}\n\n.mappingPreviewContainer .hint:before, .mappingPreviewContainer .hint:after {\n  color: $theme.linkColor;\n  content: "";\n  display: block;\n  opacity: .3;\n  position: absolute;\n  top: 2.5em;\n  z-index: 10;\n}\n.mappingPreviewContainer .hint.side:after {\n  border: 16px solid;\n  left: 50%;\n  margin-left: -16px;\n  margin-top: 16px;\n}\n.mappingPreviewContainer .hint.side {\n  left: -15%;\n}\n.mappingPreviewContainer .hint.side,  .mappingPreviewContainer .hint.under {\n  position: relative;\n  text-align: center;\n  top: 1em;\n  width: 5%;\n  font-style: italic;\n}\n\n.mappingPreviewContainer .hint.under:before {\n  border-left: 32px solid rgba(0, 0, 0, 0);\n  border-top: 32px solid;\n  border-right: 32px solid rgba(0, 0, 0, 0);\n  top: 3.5em;\n  margin-top: 16px;\n  margin-left: -16px;\n}\n.mappingPreviewContainer .hint.under:after {\n  border: 16px solid;\n  top: 3.5em;\n  margin-top: -16px;\n}\n.mappingPreviewContainer .hint.under {\n  margin: auto;\n  margin-bottom: 64px;\n  padding-bottom: 3.5em;\n}\n/*\n * Fix the styling of some default form elements\n */\n.option-container {\n  padding: .3em 0;\n}\n.option-container:hover {\n  background: $theme.highlightColor;\n}\n.option-container .customize-button {\n##  margin-top: 0;\n  visibility: hidden;\n}\n.option-container:hover .customize-button {\n  visibility: visible;\n}\n.option-container label.default input[type="radio"][value=""], .option-container label.default option[value=""] {\n  display: inline-block !important;\n}\n.option-container label.default {\n  color: $theme.textPrimaryColor;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity}}\n$xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.Widgets', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.PatientSheetCode', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n$xwiki.jsx.use('PhenoTips.PatientSheetCode')##\n\n#set ($name = 'phenotype')\n#set ($document = $xwiki.getDocument('PhenoTips.PatientTemplate'))\n#if ("$!request.mapping" != '')\n  #set ($mapping = $xwiki.getDocument("$!request.mapping"))\n#else\n  #set ($mapping = $doc)\n#end\n#if ($mapping.getObject('PhenoTips.PhenotypeMappingClass'))\n  #if ($mapping.content.startsWith('{{velocity'))\n    #set ($def = $mapping.content.replaceAll('\\{\\{/?velocity[^}]*}}', ''))\n    #set ($discard = "#evaluate($def)")\n  #else\n    #set ($mappings = $jsontool.parse($mapping.content))\n    #set ($phenotype = $mappings.phenotype)\n  #end\n  #if ("$!{phenotype}" != '')\n    #set($phenotypeDisplayTools = $services.phenotype)\n    $phenotypeDisplayTools.setMode('edit')##\n    $phenotypeDisplayTools.setDocument($document)##\n    $!phenotypeDisplayTools.use('', $name, "negative_${name}")##\n    #if ($mapping != $doc)\n\n{{info}}$services.localization.render('phenotips.phenotypeMappingPreview.title') [[$mapping||target="_blank"]]{{/info}}\n\n    #end\n    {{html clean=false}}$phenotypeDisplayTools.display($phenotype){{/html}}##\n    $!phenotypeDisplayTools.clear()##\n  #end\n#end\n{{/velocity}}\n</content></xwikidoc>
-8443913355667803593	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>Detailed physical phenotype configuration</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>data.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822197000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.detailedPhenotypeConfig.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>PhenoTips.PhenotypeMappingClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<description>\n<contenttype>PureText</contenttype>\n<disabled>0</disabled>\n<name>description</name>\n<number>1</number>\n<prettyName>description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n</class>\n<name>PhenoTips.Detailed physical phenotype configuration</name>\n<number>0</number>\n<className>PhenoTips.PhenotypeMappingClass</className>\n<guid>6f6e330a-7a8f-49cc-9e32-0800ac48f433</guid>\n<property>\n<description>A thorough set of physical abnormalities affecting specific body parts. Includes several neurological signs.</description>\n</property>\n</object>\n<content>{\n"phenotype": [\n  {\n    "type"       : "section",\n    "title"      : "Growth parameters",\n    "categories" : ["HP:0001507", "HP:0000240"],\n    "data"       : [\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0004323",\n        "group_type" : "single-select",\n        "title"  : "Weight for age",\n        "data"   : [\n          {"id"  : "HP:0004325", "title" : "Decreased body weight (&lt;-2SD)"},\n          {"id"  : "HP:0004324", "title" : "Increased body weight (&gt;+2SD)"},\n          {"id"  : "HP:0001513", "title" : "Obsesity (BMI&gt;30)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000002",\n        "group_type" : "single-select",\n        "title"  : "Stature for age",\n        "data"   : [\n          {"id"  : "HP:0004322", "title" : "Short stature (&lt;-2SD)"},\n          {"id"  : "HP:0000098", "title" : "Tall stature (&gt;+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000240",\n        "group_type" : "single-select",\n        "title"  : "Head circumference for age",\n        "data"   : [\n          {"id"  : "HP:0000252", "title" : "Microcephaly (&lt;-3SD)"},\n          {"id"  : "HP:0000256", "title" : "Macrocephaly (&gt;+2SD)"}\n        ]\n      },\n      {"id" : "HP:0001508"},\n      {"id" : "HP:0001528"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Hair",\n    "categories" : ["HP:0100037"],\n    "data"       : [\n      {"id": "HP:0005599", "title" : "Hypopigmentation"},\n      {"id": "HP:0010721", "title" : "Hair whorls"},\n      {"id": "HP:0002236", "title" : "Frontal upsweep"},\n      {\n        "type"       : "subsection",\n        "id"         : "HP:0000599",\n        "title"      : "Anterior hairline",\n        "data"       : [\n          {"id": "HP:0000294", "title" : "Low"},\n          {"id": "HP:0009890", "title" : "High"}\n        ]\n      },\n      {\n        "type"       : "subsection",\n        "title"      : "Posterior hairline",\n        "data"       : [\n          {"id": "HP:0002162", "title" : "Low"},\n          {"id": "HP:0012891", "title" : "High"}\n        ]\n      },\n      {"id": "HP:0002213", "title" : "Fine hair"},\n      {"id": "HP:0002208", "title" : "Coarse hair"},\n      {"id": "HP:0002209", "title" : "Sparse hair"},\n      {"id": "HP:0100874", "title" : "Thick hair"},\n      {"id": "HP:0001596", "title" : "Alopecia"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Scalp/skull",\n    "categories" : ["HP:0000152"],\n    "data"       : [\n      {"id": "HP:0007385", "title" : "Aplasia cutis congenita of scalp"},\n      {"id": "HP:0002697", "title" : "Parietal foramina"},\n      {"id": "HP:0007271", "title" : "Occipital myelomeningocele"},\n      {"id": "HP:0000268", "title" : "Dolichocephaly"},\n      {"id": "HP:0000243", "title" : "Trigonocephaly"},\n      {"id": "HP:0001357", "title" : "Plagiocephaly"},\n      {"id": "HP:0000248", "title" : "Brachycephaly"},\n      {"id": "HP:0001363", "title" : "Craniosynostosis"},\n      {"id": "HP:0000272", "title" : "Midface hypoplasia"},\n      {"id": "HP:0010823", "title" : "Ridged/overlapping sutures"},\n      {"id": "HP:0010537", "title" : "Wide/open sutures"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Face shape",\n    "categories" : ["HP:00001999"],\n    "data"       : [\n      {"id": "HP:0000311", "title" : "Round face"},\n      {"id": "HP:0000300", "title" : "Oval face"},\n      {"id": "HP:0000321", "title" : "Square face"},\n      {"id": "HP:0000325", "title" : "Triangular face"},\n      {"id": "HP:0000324", "title" : "Facial asymmetry"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Forehead",\n    "categories" : ["HP:00000290"],\n    "data"       : [\n      {"id": "HP:0000350", "title" : "Small forehead"},\n      {"id": "HP:0000348", "title" : "High forehead"},\n      {"id": "HP:0002007", "title" : "Frontal bossing"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Eyebrows",\n    "categories" : ["HP:00000534"],\n    "data"       : [\n      {"id": "HP:0011228", "title" : "Straight eyebrow"},\n      {"id": "HP:0002553", "title" : "Highly arched eyebrow"},\n      {"id": "HP:0000574", "title" : "Thick eyebrow"},\n      {"id": "HP:0000664", "title" : "Synophrys"},\n      {"id": "HP:0002223", "title" : "Absent eyebrow"},\n      {"id": "HP:0000535", "title" : "Sparse eyebrow"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Eyelashes",\n    "categories" : ["HP:0000499"],\n    "data"       : [\n      {"id": "HP:0000561"},\n      {"id": "HP:0000653"},\n      {"id": "HP:0011231"},\n      {"id": "HP:0008496"},\n      {"id": "HP:0009743"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Eyelids",\n    "categories" : ["HP:0000492"],\n    "data"       : [\n      {"id": "HP:0000506"},\n      {"id": "HP:0000508"},\n      {"id": "HP:0000286"},\n      {"id": "HP:0000537"},\n      {"id": "HP:0012905"},\n      {\n        "type"       : "subsection",\n        "title"      : "Eyelid coloboma",\n        "data"       : [\n           {"id": "HP:0000652", "title" : "Lower"},\n           {"id": "HP:0000636", "title" : "Upper"}\n        ]\n      }\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Eyes",\n    "categories" : ["HP:0000478"],\n    "data"       : [\n      {"id": "HP:0000316"},\n      {"id": "HP:0000601"},\n      {"id": "HP:0000582"},\n      {"id": "HP:0000494"},\n      {"id": "HP:0100876"},\n      {"id": "HP:0000612"},\n      {"id": "HP:0200032"},\n      {"id": "HP:0001088"},\n      {"id": "HP:0007759", "title" : "Corneal clouding"},\n      {"id": "HP:0000485"},\n      {"id": "HP:0001140"},\n      {"id": "HP:0000524"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Ears",\n    "categories" : ["HP:0000598"],\n    "data"       : [\n      {"id": "HP:0008577", "title" : "Underfolded helix"},\n      {"id": "HP:0000396", "title" : "Overfolded helix"},\n      {"id": "HP:0000400", "title" : "Macrotia"},\n      {"id": "HP:0008551", "title" : "Microtia"},\n      {"id": "HP:0000369", "title" : "Low-set ears"},\n      {"id": "HP:0000358", "title" : "Posteriorly rotated ears"},\n      {"id": "HP:0009907", "title" : "Attached earlobe"},\n      {"id": "HP:0000384", "title" : "Preauricular skin tag"},\n      {"id": "HP:0100277", "title" : "Periauricular skin pits"},\n      {"id": "HP:0009908", "title" : "Earlobe creases"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Nose",\n    "categories" : ["HP:0000336"],\n    "data"       : [\n      {\n        "type"       : "subsection",\n        "title"      : "Length",\n        "data"       : [\n          {"id": "HP:0003189", "title" : "Long"},\n          {"id": "HP:0003196", "title" : "Short"}\n        ]\n      },\n      {\n        "type"       : "subsection",\n        "title"      : "Width",\n        "data"       : [\n          {"id": "HP:0000418", "title" : "Narrow"},\n          {"id": "HP:0012811", "title" : "Wide"}\n        ]\n      },\n      {\n        "type"       : "subsection",\n        "title"      : "Shape",\n        "data"       : [\n          {"id": "HP:0011120", "title" : "Concave"},\n          {"id": "HP:0000444", "title" : "Convex"}\n        ]\n      },\n      {"id": "HP:0000431"},\n      {"id": "HP:0005280"},\n      {"id": "HP:0000426"},\n      {"id": "HP:0011222"},\n      {"id": "HP:0002057"},\n      {"id": "HP:0011120"},\n      {"id": "HP:0000455"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Philtrum",\n    "categories" : ["HP:0000288"],\n    "data"       : [\n      {\n        "type"       : "subsection",\n        "title"      : "Length",\n        "data"       : [\n          {"id": "HP:0000343", "title" : "Long"},\n          {"id": "HP:0000322", "title" : "Short"}\n        ]\n      },\n      {"id": "HP:0005326", "title" : "Hypoplastic philtrum"},\n      {"id": "HP:0000319", "title" : "Smooth philtrum"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Mouth",\n    "categories" : ["HP:0000153"],\n    "data"       : [\n      {\n        "type"       : "subsection",\n        "title"      : "Size",\n        "data"       : [\n          {"id": "HP:0000160", "title" : "Small"},\n          {"id": "HP:0000154", "title" : "Wide"}\n        ]\n      },\n      {"id": "HP:0000346", "title" : "Whistling appearance"},\n      {"id": "HP:0002263", "title" : "Cupid's bow"},\n      {"id": "HP:0010804", "title" : "Tented mouth"},\n      {"id": "HP:0100267", "title" : "Lip pit"},\n      {\n        "type"       : "subsection",\n        "title"      : "Thin lip",\n        "data"       : [\n          {"id": "HP:0000219", "title" : "Upper"},\n          {"id": "HP:0010282", "title" : "Lower"}\n        ]\n      },\n      {\n        "type"       : "subsection",\n        "title"      : "Thick lip",\n        "data"       : [\n          {"id": "HP:0000204", "title" : "Upper"},\n          {"id": "HP:0000179", "title" : "Lower"}\n        ]\n      },\n      {\n        "type"       : "subsection",\n        "title"      : "Cleft lip",\n        "data"       : [\n          {"id": "HP:0000215", "title" : "Upper"},\n          {"id": "HP:0010281", "title" : "Lower"}\n        ]\n      },\n      {"id": "HP:0000218"},\n      {"id": "HP:0000189", "title" : "Narrow palate"},\n      {"id": "HP:0000175", "title" : "Cleft palate"},\n      {"id": "HP:0000193", "title" : "Bifid/cleft uvula"},\n      {"id": "HP:0000687", "title" : "Widely spaced teeth"},\n      {"id": "HP:0006289", "title" : "Absent central incisor"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Chin",\n    "categories" : ["HP:0000306"],\n    "data"       : [\n      {"id": "HP:0000347", "title" : "Micrognathia"},\n      {"id": "HP:0009939", "title" : "Agnathia"},\n      {"id": "HP:0000278", "title" : "Retrognathia"},\n      {"id": "HP:0000303", "title" : "Prognathia"},\n      {"id": "HP:0010751", "title" : "Chin dimple"},\n      {"id": "HP:0011323", "title" : "Cleft of chin"},\n      {"id": "HP:0000307", "title" : "Pointed chin"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neck",\n    "categories" : ["HP:0000152"],\n    "data"       : [\n      {"id": "HP:0000470", "title" : "Short neck"},\n      {"id": "HP:0000472", "title" : "Long neck"},\n      {"id": "HP:0000465", "title" : "Webbed neck"},\n      {"id": "HP:0000474", "title" : "Thickened nuchal skin fold"},\n      {"id": "HP:0000853", "title" : "Goiter"},\n      {"id": "HP:0009796", "title" : "Branchial cyst"},\n      {"id": "HP:0009795", "title" : "Branchial cleft fistula"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Heart",\n    "categories" : ["HP:0001627"],\n    "data"       : [\n      {"id": "HP:0001631", "title" : "ASD"},\n      {"id": "HP:0001629", "title" : "VSD"},\n      {"id": "HP:0001674", "title" : "AV canal defect"},\n      {"id": "HP:0001680", "title" : "Coarctation of aorta"},\n      {"id": "HP:0001636", "title" : "Tetralogy of fallot"},\n      {"id": "HP:0001638", "title" : "Cardiomyopathy"},\n      {"id": "HP:0011675"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Lungs",\n    "categories" : ["HP:0002086"],\n    "data"       : [\n      {"id": "HP:0002088", "title" : "Lung abnormality"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Nipples",\n    "categories" : ["HP:0002086","HP:0000765"],\n    "data"       : [\n      {"id": "HP:0002557", "title" : "Hypoplastic nipples"},\n      {"id": "HP:0003186", "title" : "Inverted nipples"},\n      {"id": "HP:0006610", "title" : "Wide-set"},\n      {"id": "HP:0002558", "title" : "Supernumerary nipples"},\n      {"id": "HP:0000771", "title" : "Gynecomastia"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Chest wall",\n    "categories" : ["HP:0000765"],\n    "data"       : [\n      {"id": "HP:0000914", "title" : "Broad/shield chest"},\n      {"id": "HP:0000774", "title" : "Narrow chest"},\n      {"id": "HP:0005257", "title" : "Short chest"},\n      {"id": "HP:0001552", "title" : "Barrel-shaped chest"},\n      {"id": "HP:0000768", "title" : "Pectus carinatum"},\n      {"id": "HP:0000767", "title" : "Pectus excavatum"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Abdomen",\n    "categories" : ["HP:0001438"],\n    "data"       : [\n      {"id": "_c_increased_bowel_sounds", "title" : "Increased bowel sounds"},\n      {"id": "_c_decreased_bowel_sounds", "title" : "Decreased bowel sounds"},\n      {"id": "HP:0002240", "title" : "Hepatomegaly"},\n      {"id": "HP:0001744", "title" : "Splenomegaly"},\n      {"id": "HP:0001540", "title" : "Diastasis recti"},\n      {"id": "HP:0004299", "title" : "Hernia of the abdominal wall"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Genitalia",\n    "categories" : ["HP:0000078"],\n    "data"       : [\n      {"id": "HP:0000048", "title" : "Bifid scrotum"},\n      {"id": "HP:0000049", "title" : "Shawl scrotum"},\n      {"id": "HP:0000053", "title" : "Large testes"},\n      {"id": "HP:0008734", "title" : "Small testes"},\n      {"id": "HP:0000028", "title" : "Cryptorchidism"},\n      {"id": "HP:0000066", "title" : "Labial hypoplasia"},\n      {"id": "HP:0000057", "title" : "Clitoromegaly"},\n      {"id": "HP:0000047", "title" : "Hypospadias"},\n      {"id": "HP:0000062", "title" : "Ambiguous genitalia"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Anus",\n    "categories" : ["HP:0004378"],\n    "data"       : [\n      {"id": "HP:0002025", "title" : "Stenosis"},\n      {"id": "HP:0002575", "title" : "Imperforate"},\n      {"id": "HP:0001545", "title" : "Anteriorly placed"},\n      {"id": "HP:0012890", "title" : "Posteriorly placed"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Upper extremities",\n    "categories" : ["HP:0002817"],\n    "data"       : [\n      {"id": "HP:0004991", "title" : "Rhizomelia"},\n      {"id": "HP:0005011", "title" : "Mesomelia"},\n      {"id": "HP:0010482", "title" : "Acromelia"},\n      {"id": "HP:0004279", "title" : "Short palm"},\n      {"id": "HP:0001176", "title" : "Large hands"},\n      {"id": "HP:0010049", "title" : "Short metacarpals"},\n      {"id": "HP:0009381", "title" : "Brachydactyly"},\n      {"id": "HP:0001182", "title" : "Tapered finger"},\n      {"id": "HP:0001500", "title" : "Broad finger"},\n      {"id": "HP:0011304", "title" : "Broad thumb"},\n      {"id": "HP:0100490", "title" : "Camptodactyly"},\n      {"id": "HP:0006101", "title" : "Syndactyly"},\n      {"id": "HP:0010557", "title" : "Overlapping fingers"},\n      {"id": "HP:0001161", "title" : "Polydactyly"},\n      {"id": "HP:0001166", "title" : "Arachnodactyly"},\n      {"id": "HP:0000954", "title" : "Single transverse palmar crease"},\n      {"id": "HP:0002164", "title" : "Nail dysplasia"},\n      {"id": "HP:0008402", "title" : "Ridged fingernail"},\n      {"id": "HP:0001814", "title" : "Thin, deep-set nails"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Lower extremities",\n    "categories" : ["HP:0002814"],\n    "data"       : [\n      {"id": "HP:0012106", "title" : "Rhizomelia"},\n      {"id": "HP:0004987", "title" : "Mesomelia"},\n      {"id": "HP:0010494", "title" : "Acromelia"},\n\n      {"id": "HP:0002857", "title" : "Genu valgu"},\n      {"id": "HP:0002970", "title" : "Genu varum"},\n      {"id": "HP:0001773", "title" : "Small feet"},\n      {"id": "HP:0001833", "title" : "Large feet"},\n\n      {"id": "HP:0001763", "title" : "Pes planus"},\n      {"id": "HP:0001761", "title" : "Pes cavus"},\n\n      {"id": "HP:0001838", "title" : "Vertical talus"},\n\n      {"id": "HP:0001831", "title" : "Brachydactyly"},\n      {"id": "HP:0001765", "title" : "Hammer toes"},\n      {"id": "HP:0010055", "title" : "Broad halluces"},\n      {"id": "HP:0001822", "title" : "Hallux valgus"},\n\n      {"id": "HP:0001863", "title" : "Clinodactyly of feet"},\n      {"id": "HP:0001166", "title" : "Arachnodactyly"},\n      {"id": "HP:0001852", "title" : "Sandal gap"},\n\n      {"id": "HP:0001845", "title" : "Overlapping toe"},\n      {"id": "HP:0001770", "title" : "Syndactyly"},\n      {"id": "HP:0001836", "title" : "Camptodactyly"},\n      {"id": "HP:0001829", "title" : "Polydactyly"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Musculoskeletal",\n    "categories" : ["HP:0000924","HP:0003549"],\n    "data"       : [\n      {"id": "HP:0100293", "title" : "Muscle fiber hypertrophy"},\n      {"id": "HP:0100295", "title" : "Muscle fiber hypotrophy"},\n      {"id": "HP:0001376", "title" : "Decreased ROM"},\n      {"id": "HP:0010485", "title" : "Hyperextensibility at elbow"},\n      {"id": "HP:0010500", "title" : "Hyperextensibility of the knee"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neurological",\n    "categories" : ["HP:0000707"],\n    "data"       : [\n      {"id": "HP:0001260", "title" : "Dysarthric speech"},\n      {"id": "HP:0001611"},\n      {"id": "HP:0007164", "title" : "Slowed slurred speech"},\n      {"id": "HP:0001257", "title" : "Spasticity"},\n      {"id": "HP:0002063", "title" : "Rigidity"},\n      {"id": "HP:0001276", "title" : "Hypertonia"},\n      {"id": "HP:0001252", "title" : "Hypotonia"},\n      {"id": "HP:0001337", "title" : "Tremor"},\n      {"id": "HP:0007164", "title" : "Slowed slurred speech"},\n      {"id": "HP:0002072", "title" : "Chorea"},\n      {"id": "HP:0002066", "title" : "Gait ataxia"},\n      {"id": "HP:0002064", "title" : "Spastic gait"},\n      {"id": "HP:0009027", "title" : "Foot drop"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Back",\n    "categories" : ["HP:0008518"],\n    "data"       : [\n      {"id": "HP:0002650"},\n      {"id": "HP:0003307"},\n      {"id": "HP:0002808"},\n      {"id": "HP:0000960", "title" : "Sacral dimple"},\n      {"id": "HP:0005765", "title" : "Sacral meningocele"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Skin",\n    "categories" : ["HP:0000925"],\n    "data"       : [\n      {"id": "HP:0000957"},\n      {"id": "HP:0009721", "title" : "Shagreen patch"},\n      {"id": "HP:0000953", "title" : "Hyperpigmentation"},\n      {"id": "HP:0001012", "title" : "Lipoma"},\n      {"id": "HP:0009125", "title" : "Lipodystrophy"},\n      {"id": "HP:0001067", "title" : "Neurofibroma"},\n      {"id": "HP:0100804"},\n      {"id": "HP:0001028", "title" : "Hemangioma"},\n      {"id": "HP:0011369", "title" : "Mongolian spot"},\n      {"id": "HP:0001052", "title" : "Nevus flammeus"},\n      {"id": "HP:0010609", "title" : "Skin tags"},\n      {"id": "HP:0001480", "title" : "Freckling"}\n    ]\n  },\n   {\n    "type"       : "section",\n    "title"      : "Other",\n    "categories" : ["HP:0000118"],\n    "data"       : []\n  }\n],\n\n"prenatal_phenotype": [\n  {\n    "type"       : "section",\n    "title"      : "Pregnancy history",\n    "categories" : ["HP:0002686"],\n    "data"       : [\n      {"id"      : "HP:0012188", "title" : "Hyperemesis gravidarum (excessive vomiting)"},\n      {"id"      : "HP:0008071"},\n      {"id"      : "HP:0009800"},\n      {"id"      : "HP:0030244"},\n      {"id"      : "HP:0100622"},\n      {"id"      : "HP:0011438"},\n      {"id"      : "HP:0100603"},\n      {"id"      : "HP:0011436"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Prenatal development",\n    "categories" : ["HP:0001197"],\n    "data"       : [\n      {"id"      : "HP:0001511"},\n      {"id"      : "HP:0001562"},\n      {"id"      : "HP:0001561"},\n      {"id"      : "HP:0001558"},\n      {"id"      : "HP:0010519"},\n      {"id"      : "HP:0002898"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Delivery",\n    "categories" : ["HP:0001787"],\n    "data"       : [\n      {\n        "type"  : "conditionalSubsection",\n        "id"    : "HP:0001787",\n        "group_type" : "multi-select",\n        "title" : "Abnormal delivery (Non-NSVD)",\n        "data"  : [\n          {"id" : "HP:0030365"},\n          {"id" : "HP:0030369"},\n          {"id" : "HP:0001623"},\n          {"id" : "HP:0011410"},\n          {"id" : "HP:0011411"},\n          {"id" : "HP:0011412"},\n          {"id" : "HP:0030366"},\n          {"id" : "HP:0005268"}\n        ]\n      },\n      {"id" : "HP:0001622"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neonatal growth parameters",\n    "categories" : ["HP:0001507", "HP:0000240"],\n    "data"       : [\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0004323",\n        "group_type" : "single-select",\n        "title"  : "Abnormal birth weight",\n        "data"   : [\n          {"id"  : "HP:0001518", "title" : "Small for gestational age (&lt;-2SD)"},\n          {"id"  : "HP:0001520", "title" : "Large for gestational age (&gt;+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000002",\n        "group_type" : "single-select",\n        "title"  : "Abnormal birth length",\n        "data"   : [\n          {"id"  : "HP:0003561", "title" : "Small birth length (&lt;-2SD)"},\n          {"id"  : "HP:0003517", "title" : "Large birth length (&gt;+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000240",\n        "group_type" : "single-select",\n        "title"  : "Abnormal head circumference at birth",\n        "data"   : [\n          {"id"  : "HP:0011451", "title" : "Congenital microcephaly (&lt;-3SD)"},\n          {"id"  : "HP:0004488", "title" : "Congenital macrocephaly (&gt;+2SD)"}\n        ]\n      }\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Perinatal complications",\n    "categories" : ["HP:0000118"],\n    "data"       : [\n      {"id" : "HP:0002643"},\n      {"id" : "HP:0006579"},\n      {"id" : "HP:0002033"},\n      {"id" : "HP:0001998"}\n    ]\n  }\n]}</content></xwikidoc>\n
7190854458550991544	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PhenotypeMappingTemplate</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>data.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822201000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>PhenoTips.PhenotypeMappingClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<description>\n<contenttype>PureText</contenttype>\n<disabled>0</disabled>\n<name>description</name>\n<number>1</number>\n<prettyName>description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n</class>\n<name>PhenoTips.PhenotypeMappingTemplate</name>\n<number>0</number>\n<className>PhenoTips.PhenotypeMappingClass</className>\n<guid>13b5405a-eb0d-49d7-be7f-9da3e33fd55c</guid>\n<property>\n<description>Enter your description here. A configuration stub with three sections, "Growth parameters", "Neurological signs" and "Other", is provided below.</description>\n</property>\n</object>\n<content>{\n"phenotype" : [\n  {\n    "type"       : "section",\n    "title"      : "Growth parameters",\n    "categories" : ["HP:0001507"],\n    "data"       : [\n        {\n           "type"  : "subsection",\n           "id"    : "HP:0004323",\n           "title" : "Weight for age",\n           "data"  : [\n               {"id" : "HP:0004325", "title" : "&lt;3rd"},\n               {"id" : "HP:0001513", "title" : "&gt;97th"}\n           ]\n        },\n        {\n           "type"  : "subsection",\n           "id"    : "HP:0000002",\n           "title" : "Stature for age",\n           "data"  : [\n               {"id" : "HP:0004322", "title" : "&lt;3rd"},\n               {"id" : "HP:0000098", "title" : "&gt;97th"}\n           ]\n        },\n        {\n           "type"  : "subsection",\n           "id"    : "HP:0000240",\n           "title" : "Head circumference for age",\n           "data"  : [\n               {"id" : "HP:0000252", "title" : "&lt;3rd"},\n               {"id" : "HP:0000256", "title" : "&gt;97th"}\n           ]\n        },\n        {"id" : "HP:0001528"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neurological signs",\n    "categories" : ["HP:0000707"],\n    "data"       : [\n        {"id" : "HP:0001290"},\n        {"id" : "HP:0001250"},\n        {"id" : "HP:0001251"},\n        {"id" : "HP:0001332"},\n        {"id" : "HP:0002072"},\n        {"id" : "HP:0001257"},\n        {"id" : "HP:0010301"},\n        {"id" : "HP:0007319"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Other",\n    "categories" : ["HP:0000118"],\n    "data"       : []\n  }\n]\n}</content></xwikidoc>\n
3089596761319347133	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>FormDesigner</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.DBWebHomeSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822218000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>Patient form designer</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.FormDesigner</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>f932f5b4-9eb5-4334-9fdf-d92946a5d6c5</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.PatientFormDesigner = Class.create({\n\n    _ENHANCED_TOOL_CSS_CLASS : 'initialized',\n    _NEW_TOOL_SELECTOR: ':not(.initialized)',\n    \n    initialize : function (element) {\n      if (!element) return;\n      this._element = element;\n      this._form = element.up('form');\n      this._globalConfig = element.hasClassName('global');\n      this._enhanceExtensionTools();\n      this._handleSubmit();\n      this._handleNewSection();\n    },\n\n    _enhanceExtensionTools : function () {\n      this._silenceMoveButtons();\n      this._enableRequiredFlags();\n      this._enableAjaxDeletion();\n      this._enableSectionToggle();\n      this._enableSectionReorder();\n      this._enableFieldToggle();\n      if (this._globalConfig) {\n        this._enableFieldDragDrop();\n      } else {\n        this._enableFieldReorder();\n      }\n    },\n\n    _silenceMoveButtons : function () {\n      this._element.select('a.move' + this._NEW_TOOL_SELECTOR).invoke('observe', 'click', function(event) {\n        event.stop();\n      });\n      this._element.select('a.move' + this._NEW_TOOL_SELECTOR).invoke('addClassName', this._ENHANCED_TOOL_CSS_CLASS);\n    },\n\n    _enableRequiredFlags : function () {\n      var _this = this;\n      this._element.select('label.flag' + this._NEW_TOOL_SELECTOR).each(function(item) {\n        item._syncSource = item.down('input.uix-required');\n        if (item._syncSource.checked) {\n           item.addClassName('required');\n        } else {\n           item.removeClassName('required');\n        }\n        item.observe('click', function(event) {\n          var elt = event.findElement('label.flag');\n          if (elt._syncSource.checked) {\n            elt.addClassName('required');\n          } else {\n            elt.removeClassName('required');\n          }\n        });\n        item.addClassName(_this._ENHANCED_TOOL_CSS_CLASS);\n      });\n    },\n\n    _enableAjaxDeletion : function() {\n      var _this = this;\n      this._element.select('.section-maquette a.delete' + this._NEW_TOOL_SELECTOR + ', .extension-maquette a.delete' + this._NEW_TOOL_SELECTOR).invoke('observe', 'click', function(event) {\n        event.stop();\n        var trigger = event.findElement('a');\n        trigger.blur();\n        if (trigger.disabled) {\n          // Do nothing if the button was already clicked and it's waiting for a response from the server.\n          return;\n        }\n        var url = trigger.readAttribute('href') + "?confirm=1&amp;form_token=" + $$('meta[name=form_token]')[0].content + (Prototype.Browser.Opera ? "" : "&amp;ajax=1");\n        new XWiki.widgets.ConfirmedAjaxRequest(\n          /* Ajax request URL */\n          url,\n          /* Ajax request parameters */\n          {\n            onCreate : function() {\n              // Disable the button, to avoid a cascade of clicks from impatient users\n              trigger.disabled = true;\n            },\n            onSuccess : function() {\n              // remove the element\n              // move all extensions (if any) to the "available extenions" panel\n              var container = trigger.up('.section-maquette');\n              var extensionsPanel = _this._element.down('.designer-panel.extensions .section-contents');\n              if (container &amp;&amp; extensionsPanel) {\n                container.select('.extension-maquette').each(function(item) {\n                  extensionsPanel.insert(item);\n                });\n                _this._updateOrder(extensionsPanel, true);\n              }\n              trigger.up('.extension-maquette, .section-maquette').remove();\n            },\n            onFailure : function() {\n              // Better luck next time!\n              trigger.disabled = false;\n            }\n          },\n          /* Interaction parameters */\n          {\n            confirmationText: "$services.localization.render('core.recyclebin.confirm')"\n          }\n        );\n      });\n      this._element.select('.section-maquette a.delete' + this._NEW_TOOL_SELECTOR + ', .extension-maquette a.delete' + this._NEW_TOOL_SELECTOR).invoke('addClassName', this._ENHANCED_TOOL_CSS_CLASS);\n    },\n\n    _enableSectionToggle : function () {\n      this._enableExtensionToggle('.section-maquette', '.section-title input[type="checkbox"]');\n    },\n\n    _enableFieldToggle : function () {\n      this._enableExtensionToggle('.extension-maquette', '.extension-title input[type="checkbox"]');\n    },\n\n   _enableExtensionToggle : function (extensionSelector, toggleSelector) {\n      var _this = this;\n      var syncSectionAppearance = function(extension, enabled) {\n        if (enabled) {\n          extension.removeClassName('disabled');\n        } else {\n          extension.addClassName('disabled');\n        }\n      };\n      var activateSyncSectionAppearance = function(enablingElement) {\n        enablingElement.addClassName(_this._ENHANCED_TOOL_CSS_CLASS);\n        var extension = enablingElement.up(extensionSelector);\n        syncSectionAppearance(extension, enablingElement.checked);\n        enablingElement.observe('click', function(event) {\n          syncSectionAppearance(extension, enablingElement.checked);\n        });\n      };\n      this._element.select(extensionSelector + ' ' + toggleSelector + this._NEW_TOOL_SELECTOR).each(activateSyncSectionAppearance);\n    },\n\n    _enableSectionReorder : function () {\n       var sectionsPanel = this._element.down('.designer-panel.sections');\n       this._updateOrder(sectionsPanel)\n       var _this = this;\n       Sortable.destroy(sectionsPanel);\n       Sortable.create(sectionsPanel, {\n         tag : 'div',\n         only: 'section-maquette',\n         format: /^.*\\.([^.]+)$/,\n         handle : 'move',\n         onUpdate : function(container) {\n           _this._updateOrder(container);\n         }\n       });\n    },\n\n    _enableFieldReorder : function () {\n       var _this = this;\n       this._element.select('.designer-panel.sections .section-maquette .section-contents').each (function (section) {\n         _this._updateOrder(section, true);\n         Sortable.create(section, {\n           tag : 'div',\n           only: 'extension-maquette',\n           format: /^.*\\.([^.]+)$/,\n           handle : 'move',\n           onUpdate : function(container) {\n             _this._updateOrder(container, true);\n           }\n         });\n       });\n    },\n\n    _enableFieldDragDrop : function () {\n       var _this = this;\n       var sections = this._element.select('.designer-panel .section-maquette .section-contents');\n       sections.each (function (section) {\n         _this._updateOrder(section, true);\n         Sortable.create(section, {\n           tag : 'div',\n           only: 'extension-maquette',\n           format: /^.*\\.([^.]+)$/,\n           containment: sections,\n           dropOnEmpty: true,\n           constraint: false,\n           handle : 'move',\n           scroll: window,\n           onUpdate : function(container) {\n             _this._updateOrder(container, true);\n           }\n         });\n       });\n    },\n   \n    _updateOrder : function (container, updateContainer) {\n       var i = 0;\n       container.select ((updateContainer ? '.extension' : '.section') + '-title input.uix-order').each(function(item) {\n         item.value = ++i;\n       });\n       if (updateContainer) {\n         var uixid = container.up('.section-maquette').id;\n         if (uixid) {\n           container.select ('input.uix-pointid').each(function(item) {\n             item.value = uixid;\n           });\n         }\n       }\n    },\n\n    _handleSubmit : function () {\n      var _this = this;\n\n      var submitButton = this._form.down('input[type="submit"]');\n      submitButton._originalValue = submitButton.value;\n\n      var sectionsPanel = this._element.down('.designer-panel.sections');\n\n      this._form.observe ('submit', function(event) {\n        event.stop();\n        // Update the order of the selected sections/fields\n        _this._updateOrder(sectionsPanel);\n        sectionsPanel.select('.section-maquette .section-contents').each (function (section) {\n          _this._updateOrder(section);\n        });\n\n        // -----------------------------\n        // TODO remove me!\n        // -----------------------------\n        _this._form.submit();\n        return;\n        // -----------------------------\n\n        // ajax submit the form\n        var formData = new Hash(_this._form.serialize(true));\n        _this._form.disable();\n        submitButton.value = 'Saving configuration...';\n        submitButton.addClassName('loading');\n        new Ajax.Request(_this._form.action, {\n            method : 'post',\n            parameters : formData,\n            onSuccess : function () {\n              submitButton.value = 'Configuration saved';\n              submitButton.removeClassName('loading');\n              submitButton.addClassName('success');\n              new PeriodicalExecuter(function(pe) {\n                submitButton.value = submitButton._originalValue;\n                submitButton.removeClassName('success');\n                pe.stop();\n              }, 3);\n            },\n            onFailure : function (response) {\n              var failureReason = response.statusText;\n              if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                failureReason = 'Server not responding';\n              }\n              submitButton.value = submitButton._originalValue;\n              submitButton.removeClassName('loading');\n              new XWiki.widgets.Notification("$services.localization.render('core.viewers.comments.add.failed')" + failureReason, "error");\n            },\n            on0 : function (response) {\n              response.request.options.onFailure(response);\n            },\n            onComplete : function () {\n              _this._form.enable();\n            }\n        });\n      });\n    },\n\n    _handleNewSection : function () {\n      var _this = this;\n      var newSectionForm = $('create-section-form');\n      var newSectionInputs = $('new-section')\n      if (!newSectionInputs) {\n        return;\n      }\n      var newSectionButton = newSectionInputs.down('input[type="button"]');\n      if (!newSectionForm || !newSectionInputs || !newSectionButton) {return;}\n      // hide that form and duplicate the inputs under the section list\n       newSectionButton._originalValue =  newSectionButton.value;\n      newSectionForm.hide();\n      newSectionButton.observe('click', function() {\n        newSectionForm.select('input[type="text"]').each(function(input) {\n          input.value = newSectionInputs.down('input[type="text"][name="' + input.name + '"]').value;\n        });\n        // AJAX submission\n        var formData = new Hash(newSectionForm.serialize(true));\n        newSectionForm.disable();\n        newSectionButton.value = 'Creating section...';\n        newSectionButton.addClassName('loading');\n        new Ajax.Request(newSectionForm.action, {\n            method : 'post',\n            parameters : formData,\n            onSuccess : function (response) {\n              newSectionButton.value = 'Section created';\n              newSectionButton.removeClassName('loading');\n              newSectionButton.addClassName('success');\n              newSectionInputs.insert({before : response.responseText});\n              new PeriodicalExecuter(function(pe) {\n                newSectionButton.value = newSectionButton._originalValue;\n                newSectionButton.removeClassName('success');\n                pe.stop();\n              }, 3);\n              _this._enhanceExtensionTools();\n            },\n            onFailure : function (response) {\n              var failureReason = response.statusText;\n              if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                failureReason = 'Server not responding';\n              }\n              newSectionButton.value = newSectionButton._originalValue;\n              newSectionButton.removeClassName('loading');\n              new XWiki.widgets.Notification("$services.localization.render('core.viewers.comments.add.failed')" + failureReason, "error");\n            },\n            on0 : function (response) {\n              response.request.options.onFailure(response);\n            },\n            onComplete : function () {\n              newSectionForm.enable();\n            }\n        });\n      });\n    }\n  });\n  return PhenoTips;\n}(PhenoTips || {}));\n\ndocument.observe("xwiki:dom:loaded", function(){\n  window.wiz = new PhenoTips.widgets.PatientFormDesigner($('patient-form-designer'));\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.FormDesigner</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>8d49282c-87bb-4a60-a5ea-83a25d3c87fc</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n\n.designer-panel {\n  width: 45%;\n  float: left;\n  position: relative;\n}\n.designer-panel.sections {\n}\n.designer-panel.hint {\n  width: 10%;\n}\n.designer-panel.extensions {\n}\n.designer-panel.hint p {\n  font-size: 0.9em;\n  font-style: italic;\n  opacity: 0.5;\n  padding: 80px 5px;\n  text-align: center;\n}\n.designer-panel.hint:before, .designer-panel.hint:after {\n  color: $theme.linkColor;\n  content: "";\n  display: block;\n  position: absolute;\n  top: 2.5em;\n  z-index: 10;\n}\n\n.designer-panel.hint:before {\n  border-top: 32px solid transparent;\n  border-bottom: 32px solid transparent;\n  border-right: 32px solid;\n  margin-top: -16px;\n  margin-left: -32px;\n  left: 50%;\n}\n\n.designer-panel.hint:after {\n  border: 16px solid;\n  margin-left: -16px;\n  left: 50%;\n}\n.designer-panel .new-section {\n  margin: 10px 10px 25px;\n}\n.designer-panel .new-section .section-title{\n  color $theme.titleColor;\n  text-transform: uppercase;\n  padding-left: 16px;\n  background: transparent url("$xwiki.getSkinFile('icons/silk/bullet_add.png')") left center no-repeat;\n}\n.designer-panel .section-maquette {\n  margin: 10px 10px 25px;\n}\n.designer-panel .section-maquette .section-contents {\n  min-height: 20px;\n}\n.extension-tools {\n  float: right;\n  margin-top: -25px;\n}\n.extension-tool {\n  background-color: $theme.buttonSecondaryBackgroundColor;\n  border: 1px solid $theme.borderColor;\n  border-radius: 2px;\n  box-shadow: 1px 1px 5px $theme.borderColor, -1px -1px 2px $theme.buttonSecondaryGradientColor inset;\n  color: $theme.textColor !important;\n  display: inline-block;\n  width: 20px;\n  height: 20px;\n  line-height: 20px;\n  margin: 2px;\n  overflow: hidden;\n  text-decoration: none !important;\n  text-align: center;\n  text-shadow: 0 0 3px $theme.borderColor;\n}\n\n.extension-tool:hover {\n  text-shadow: 0 0 3px $theme.linkColor;\n}\n.extension-tool.flag input {\n  display: none;\n}\n.extension-tool.flag {\n  cursor: pointer;\n}\n.extension-tool.flag i {\n  opacity: 0.3;\n}\n.extension-tool.flag.required {\n  color: $theme.notificationErrorColor !important;\n}\n.extension-tool.flag.required i {\n  opacity: .8;\n}\n.extension-tool.flag:hover {\n  color: $theme.textColor !important;\n}\n.extension-tool.flag:hover i {\n  opacity: .7 !important;\n}\n.extension-tool.flag.required:hover {\n  color: $theme.notificationErrorColor !important;\n}\n.extension-tool.flag.required:hover i {\n  opacity: 1 !important;\n}\n.extension-tool.delete {\n  color: $theme.notificationErrorColor !important;\n}\n.extension-tool.move {\n  cursor: move;\n}\n\n.designer-panel.sections .disabled {\n  opacity: .3;\n}\n.designer-panel.extensions input[type="checkbox"] {\n  display: none;\n}\n\n.section-maquette .section-title {\n  color $theme.titleColor;\n  text-transform: uppercase;\n}\n.section-maquette .section-title * {\n  margin: 0 !important;\n}\n.section-maquette .section-contents {\n  border: 1px dotted $theme.borderColor;\n  background: $theme.backgroundSecondaryColor;\n  padding: .5em 1em;\n}\n.extension-maquette {\n  background-color: $theme.pageContentBackgroundColor;\n  border: 1px solid $theme.borderColor;\n  border-radius: .5em;\n  color: $theme.buttonSecondaryTextColor;\n  margin: 5px;\n  padding: .5em;\n  width: auto;\n}\n.extension-maquette:hover, .sections .section-maquette .section-contents:hover {\n  background-color: $theme.highlightColor;\n}\n.extension-title {\n  margin-right: 64px;\n}\n.extension-title p {\n  margin: 0;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity output=false}}\n## =====================================================================\n## INITIALIZE VARIABLES AND DEFINE MACROS FOR ACCESSING EXTENSIONS\n## =====================================================================\n## ----------------------------------------------------------------------\n## Initialize widely used constants\n## ----------------------------------------------------------------------\n#set ($uixSpace = 'PhenoTips')\n#set ($uixClass = 'XWiki.UIExtensionClass')\n#set ($uixNamePrefix = 'UIX_')\n#set ($fieldUixNamePrefix = "${uixNamePrefix}Field__")\n#set ($sectionUixNamePrefix = "${uixNamePrefix}Section__")\n\n#set ($sectionExtensionPointId = 'org.phenotips.patientSheet.content')\n#set ($sectionExtensionIdPrefix = 'org.phenotips.patientSheet.section.')\n#set ($fieldExtensionPointIdPrefix = $sectionExtensionIdPrefix)\n#set ($fieldExtensionIdPrefix = 'org.phenotips.patientSheet.field.')\n\n## ----------------------------------------------------------------------\n## General query for extensions\n## ----------------------------------------------------------------------\n#set ($extensionsQuery = ", BaseObject obj, StringProperty prop where doc.fullName = obj.name and obj.className = ? and prop.id.id = obj.id and prop.name = ? and prop.value = ?")\n\n## ----------------------------------------------------------------------\n## Retrieve and organize the data corresponding to a specific subset of extensions\n## Place the data in $result\n## ----------------------------------------------------------------------\n#macro(_formDesigner__getExtensionsData $type $filterPropertyName, $filterPropertyValue, $extensionPointId, $selectionOverride, $results)\n  ## Get extension objects\n  #set ($uixs = $services.uix.getExtensions($extensionPointId, {'sortByParameter' : 'order'}))\n  ## Get uix documents\n  #set ($uixDocs = $xwiki.wrapDocs($services.query.hql($extensionsQuery).bindValues([$uixClass, $filterPropertyName, $filterPropertyValue]).execute()))\n  ## Map extension id to document for easy access\n  #set ($uixDocsMap = {})\n  #foreach ($uixDoc in $uixDocs)\n    #set ($uixObj = $uixDoc.getObject($uixClass))\n    #set ($discard = $uixDocsMap.put($uixObj.getProperty('name').value, $uixDoc))\n  #end\n  ## If another configuration overrides the order/enabled status, reorder and re-mark:\n  #if ("$!{selectionOverride}" != '' &amp;&amp; $selectionOverride.size() &gt; 0)\n    #set ($uixMap = {})\n    #foreach ($uix in $uixs)\n      #set ($discard = $uixMap.put($uix.id, $uix))\n    #end\n    #set ($tmpUixs = [])\n    #foreach ($uixId in $selectionOverride)\n      #set ($exists = $uixMap.get($uixId))\n      #if ($exists)\n        #set ($discard = $tmpUixs.add($exists))\n        #set ($discard = $uixs.remove($exists))\n      #end\n    #end\n    #set ($disabledUixs = {})\n    #foreach ($uix in $uixs)\n      #set ($discard = $tmpUixs.add($uix))\n      #set ($discard = $disabledUixs.put($uix.id, true))\n    #end\n    #set ($uixs = $tmpUixs)\n  #elseif("$!{selectionOverride}" != '' &amp;&amp; $selectionOverride.size() == 0)\n    #set ($tempList = [])\n    #foreach($uix in $uixs)\n      #set ($enabled = $uix.getParameters().get("enabled"))\n      #if ("$!{enabled}" == "false" || "$!{enabled}" == "0" || "$!{enabled}" == "no")\n          #set ($enabled = false)\n      #else\n          #set ($enabled = true)\n      #end\n      #if ($enabled)\n          #set($discard = $tempList.add($uix))\n      #end\n    #end\n    #set ($uixs = $tempList)\n  #end\n  #foreach ($uix in $uixs)\n    #set ($title = $uix.getParameters().get("title"))\n    #set ($uixDoc = $uixDocsMap.get($uix.id))\n    #if ($uixDoc)\n      #if ("$!{title}" == '')\n        #set ($title = $uixDoc.title)\n      #end\n      #set ($enabled = $uix.getParameters().get("enabled"))\n      #if ("$!{enabled}" == "false" || "$!{enabled}" == "0" || "$!{enabled}" == "no")\n        #set ($enabled = false)\n      #else\n        #set ($enabled = true)\n      #end\n      #if ("$!{disabledUixs}" != '')\n        #set ($hide = !$enabled)\n        #set ($enabled = $enabled &amp;&amp; !("$!{disabledUixs.get($uix.id)}" == "true"))\n      #end\n      #set ($required = $uix.getParameters().get("required"))\n      #if ("$!{required}" == "true" || "$!{required}" == "1" || "$!{required}" == "yes")\n        #set ($required = true)\n      #else\n        #set ($required = false)\n      #end\n      #if (!$hide)\n        #set ($r = {\n          'id'      : $uix.id,\n          'type'    : $type,\n          'title'   : $title,\n          'enabled' : $enabled,\n          'required': $required,\n          'doc'     : $uixDoc,\n          'uix'     : $uix\n        })\n        #set ($discard = $results.add($r))\n      #end\n    #end\n  #end\n#end\n\n## ----------------------------------------------------------------------\n## Retrieve and organize the data corresponding to section extensions\n## Place the data in $result\n## See #_formDesigner__getExtensionsData\n## ----------------------------------------------------------------------\n#macro(_formDesigner__getSectionsData $result)#_formDesigner__getExtensionsData('section', 'extensionPointId', $sectionExtensionPointId, $sectionExtensionPointId, $!customConfig.getProperty('sections').value, $result)#end\n\n## ----------------------------------------------------------------------\n## Retrieve and organize the data corresponding to field extensions from a specific section\n## Place the data in $result\n## See #_formDesigner__getExtensionsData\n## ----------------------------------------------------------------------\n#macro(_formDesigner__getFieldsData $extensionPointId $result)#_formDesigner__getExtensionsData('field', 'extensionPointId', $extensionPointId, $extensionPointId, $!customConfig.getProperty('fields').value, $result)#end\n\n## ----------------------------------------------------------------------\n## Global configuration: update extensions\n## ----------------------------------------------------------------------\n#macro(_formDesigner__updateExtensionData $extensionDatum $extensionType $enabledExtensionIds)\n  #if ($request.getParameterMap().containsKey("${extensionType}_${extensionDatum.id}_order") &amp;&amp; $request.getParameterMap().containsKey("${extensionType}_${extensionDatum.id}_extensionPointId"))\n    #set ($uixParams = {\n      'enabled'  : $enabledExtensionIds.contains($extensionDatum.id),\n      'required' : "$!request.get(""${extensionType}_${extensionDatum.id}_required"")",\n      'order'    : $request.get("${extensionType}_${extensionDatum.id}_order"),\n      'title'    : ${extensionDatum.title}\n    })\n    #set ($uixModifiedParams = {})\n    #foreach ($param in $uixParams.keySet())\n      #if ("$!{uixParams.get($param)}" != "$!{extensionDatum.uix.parameters.get($param)}")\n        #set ($discard = $uixModifiedParams.put($param, $uixParams.get($param)))\n      #end\n    #end\n    #set ($extPt = $request.get("${extensionType}_${extensionDatum.id}_extensionPointId"))\n    #if ($uixModifiedParams.size() &gt; 0 || $extPt != $extensionDatum.uix.getExtensionPointId())\n      #set ($uixObj = $extensionDatum.doc.getObject($uixClass))\n      #set ($discard = $uixObj.set('extensionPointId', $extPt))\n      #set ($originalParamsBlock = $uixObj.getProperty('parameters').value)\n      #set ($prevParamsBlock = $originalParamsBlock)\n      #set ($newParamsBlock = $originalParamsBlock)\n      #foreach ($param in $uixModifiedParams.keySet())\n        #set ($newParamsBlock = $prevParamsBlock.replaceAll("${param}=.*", "${param}=${uixModifiedParams.get($param)}"))\n        #if ($newParamsBlock == $prevParamsBlock)\n          #set ($newParamsBlock = "${prevParamsBlock}${util.newline}${param}=${uixModifiedParams.get($param)}")\n        #end\n        #set ($prevParamsBlock = $newParamsBlock)\n      #end\n      #set ($discard = $uixObj.set('parameters', $newParamsBlock))\n      #set ($discard = $extensionDatum.doc.save())\n    #end\n  #end\n#end\n\n#macro(_formDesigner__updateExtensions $extensionPointId)\n  #set ($fieldsData = [])\n  #_formDesigner__getFieldsData($extensionPointId $fieldsData)\n  #foreach ($fieldDatum in $fieldsData)\n    #_formDesigner__updateExtensionData($fieldDatum 'fields' $fields)\n  #end\n#end\n\n#if ($request.form_token &amp;&amp; $services.csrf.isTokenValid("$!{request.form_token}"))\n  ## =====================================================================\n  ## PROCESS SUBMITTED DATA\n  ## =====================================================================\n  #if ($hasAdmin &amp;&amp; "$!{request.create_extension}" != '' &amp;&amp; "$!{request.extension_name}" != '' &amp;&amp; "$!{request.extension_id}" != '')\n    ## ----------------------------------------------------------------------\n    ## Create new section\n    ## ----------------------------------------------------------------------\n    #set ($uixName = "${sectionUixNamePrefix}$!{request.extension_id}")\n    #set ($uixFullName = "${uixSpace}.${uixName}")\n    #set ($uixDoc = $xwiki.getDocument($uixFullName))\n    #set ($discard = $uixDoc.setTitle("$!{request.extension_name}"))\n    #set ($uixObj = $uixDoc.getObject($uixClass, true))\n    #set ($discard = $uixObj.set('name', "${fieldExtensionPointIdPrefix}$!{request.extension_id}"))\n    #set ($discard = $uixObj.set('extensionPointId', $sectionExtensionPointId))\n    #set ($discard = $uixDoc.save())\n    $response.sendRedirect($xwiki.getURL('PhenoTips.FormDesigner', 'get', "showsection=$!{request.extension_id}"))\n    #break\n  #elseif ($hasAdmin &amp;&amp; "$!{request.update_extensions}" != '')\n    ## ----------------------------------------------------------------------\n    ## Process form designer data\n    ## ----------------------------------------------------------------------\n    #set ($sections = $request.getParameterValues('sections'))\n    #set ($fields = $request.getParameterValues('fields'))\n\n    #set ($sectionsData = [])\n    #_formDesigner__getSectionsData($sectionsData)\n    #foreach ($sectionDatum in $sectionsData)\n      #_formDesigner__updateExtensionData($sectionDatum 'sections' $sections)\n      #_formDesigner__updateExtensions($sectionDatum.id)\n    #end\n    #_formDesigner__updateExtensions("${fieldExtensionPointIdPrefix}none")\n  #end## create or update\n#end## CSRF token is valid\n\n## =====================================================================\n## FORM DESIGNER: VARIABLES AND MACROS FOR DISPLAYING THE DESIGNER\n## =====================================================================\n$xwiki.jsfx.use('js/scriptaculous/dragdrop.js')\n$xwiki.ssx.use('PhenoTips.FormDesigner')\n$xwiki.jsx.use('PhenoTips.FormDesigner')\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')\n\n## ----------------------------------------------------------------------\n## Initialize the form parameters\n## ----------------------------------------------------------------------\n#if ($hasEdit)\n  #set ($studyConfig = $doc.getObject('PhenoTips.StudyClass'))\n#end\n#if ("$!{studyConfig}" == '')\n  #set ($globalConfig = $hasAdmin)\n  #set ($prefix = '')\n  #set ($formAction = "$doc.getURL($xcontext.action, $!request.queryString)")\n  #set ($formSubmit = "update_extensions")\n  #set ($formParams = {\n    "update_extensions" : "1",\n    "sections" : "" \n  })\n#else\n  #set ($prefix = "${studyConfig.xWikiClass.name}_${studyConfig.number}_")\n  #set ($formAction = $doc.getURL('save'))\n  #set ($formSubmit = "action_save")\n  #set ($formParams = {\n    "xredirect" : "$doc.getURL($xcontext.action)",\n    "${prefix}sections" : "",\n    "${prefix}fields" : "",\n    "${prefix}mapping" : ""\n  })\n#end\n#if($studyConfig)\n    #set($customConfig = $studyConfig)\n    #if (!$customConfig.getProperty('sections'))\n      $customConfig.getXWikiObject().setDBStringListValue('sections', [])\n    #end\n    #if (!$customConfig.getProperty('fields'))\n      $customConfig.getXWikiObject().setDBStringListValue('fields', [])\n    #end\n#end\n\n## ----------------------------------------------------------------------\n## One tool for handling an extension\n## ----------------------------------------------------------------------\n#macro(_formDesigner__displayExtensionTool $name $icon $hint $url $attrs)&lt;a href="$url" title="$!{hint}" class="extension-tool ${name}" $!{attrs}&gt;&lt;i class="fa fa-${icon}"&gt;&lt;/i&gt;&lt;/a&gt;#end\n\n## ----------------------------------------------------------------------\n## Toolbox for handling an extension\n## ----------------------------------------------------------------------\n#macro(_formDesigner__displayExtensionTools $extension $tools)\n{{html wiki=false clean=false}}&lt;div class="extension-tools"&gt;\n#if ($globalConfig)\n#if ($tools.required)&lt;label class="extension-tool flag" title="$services.localization.render('phenotips.formDesigner.requiredExtension')"&gt;&lt;i class="fa fa-asterisk"&gt;&lt;/i&gt;&lt;input type="checkbox" class="uix-required" name="${prefix}${extension.type}s_${extension.id}_required" value="true" #if ($extension.required) checked="true" #end/&gt;&lt;/label&gt;#end\n#if ($tools.edit)#_formDesigner__displayExtensionTool('edit' 'pencil' "$services.localization.render('phenotips.formDesigner.editExtension')" $extension.doc.getURL('edit', 'editor=object') 'target="_blank"')#end\n#if ($tools.delete)#_formDesigner__displayExtensionTool('delete' 'times' "$services.localization.render('phenotips.formDesigner.deleteExtension')" $extension.doc.getURL('delete') 'target="_blank"')#end\n#end\n#if ($tools.move)#_formDesigner__displayExtensionTool('move' 'arrows' "$services.localization.render('phenotips.formDesigner.moveExtension')" '#')#end\n&lt;/div&gt;{{/html}}\n#end\n\n## ----------------------------------------------------------------------\n## Metadata to be sent to the server about an extension\n## ----------------------------------------------------------------------\n#macro(_formDesigner__displayExtensionInputs $extension $fieldName)##\n{{html wiki=false clean=false}}\n&lt;input type="checkbox" class="uix-toggle"   name="$fieldName" value="${extension.id}" #if ($extension.enabled) checked="true" #end/&gt;\n&lt;input type="hidden"   class="uix-pointid"  name="${fieldName}_${extension.id}_extensionPointId" value="${extension.uix.getExtensionPointId()}" /&gt;\n&lt;input type="hidden"   class="uix-order"    name="${fieldName}_${extension.id}_order" value="" /&gt;\n{{/html}}##\n#end\n\n## ----------------------------------------------------------------------\n## Display one field extension\n## ----------------------------------------------------------------------\n#macro(_formDesigner__displayExtension $extension)\n  #set ($tools = {'required' : true, 'edit' : true, 'move' : true})\n  (% class="extension-maquette #if (!$extension.enabled) disabled #end" id="${extension.id}"%)((((% class="extension-title" %)(((#_formDesigner__displayExtensionInputs($extension "${prefix}fields")$extension.title.replace(")", "~)"))))#_formDesigner__displayExtensionTools($extension $tools))))\n#end\n\n## ----------------------------------------------------------------------\n## Display all extensions of an extension point\n## ----------------------------------------------------------------------\n#macro(_formDesigner__displayExtensions $extensionPointId)\n  #set ($extensionsData = [])\n  #_formDesigner__getFieldsData($extensionPointId, $extensionsData)##\n  #foreach ($extension in $extensionsData)\n    #_formDesigner__displayExtension($extension)\n  #end\n#end\n\n## ----------------------------------------------------------------------\n## Display one section extension \n## ----------------------------------------------------------------------\n#macro(_formDesigner__displaySection $section $showTools)\n(% class="section-maquette #if ($showTools &amp;&amp; !$section.enabled) disabled #end" id="${section.id}"%)(((\n  (% class="section-title" %)(((#if ($showTools)#_formDesigner__displayExtensionInputs($section "${prefix}sections")#end $section.title)))\n  #if ($showTools)#set ($tools = {'edit' : true, 'delete' : true, 'move' : true})#_formDesigner__displayExtensionTools($section $tools)#end\n  (% class="section-contents" %)(((#_formDesigner__displayExtensions("${section.id}"))))\n)))\n#end\n\n## ----------------------------------------------------------------------\n## Display section extensions \n## ----------------------------------------------------------------------\n#macro(_formDesigner__displaySections)\n  #set ($sectionsData = [])\n  #_formDesigner__getSectionsData($sectionsData)##\n  #foreach ($section in $sectionsData)\n    #_formDesigner__displaySection($section true)\n  #end\n#end\n\n## ----------------------------------------------------------------------\n## Display the section with a specific id suffix\n## ---------------------------------------------------------------------- \n#macro (_formDesigner__displaySectionWithId $id)\n  #set ($sectionsData = [])\n  #_formDesigner__getExtensionsData('section', 'name', "${sectionExtensionIdPrefix}${id}", $sectionExtensionPointId, $!studyConfig.getProperty('sections').value, $sectionsData)\n  #foreach ($section in $sectionsData)\n    #_formDesigner__displaySection($section true)\n  #end\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ("$!{request.showsection}" != '')\n## =====================================================================\n## SHOW ONE SECTION\n## =====================================================================\n  #_formDesigner__displaySectionWithId("$!{request.showsection}")\n#else\n## =====================================================================\n## SHOW SECTION ADDITION FORM\n## =====================================================================\n#if ($globalConfig)\n{{html clean=false wiki=false}}&lt;form action="$formAction" method="post" class="xformInline" id="create-section-form"&gt;\n&lt;h2&gt;Add a form section&lt;/h2&gt;\n&lt;div&gt;\n  &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}"/&gt;\n  &lt;input type="hidden" name="create_extension" value="1"/&gt;\n  &lt;input type="hidden" name="xredirect" value="$doc.getURL('get', 'showsection=')"/&gt;\n  &lt;input type="text" name="extension_id" value="" placeholder="$services.localization.render('phenotips.formDesigner.sectionID.placeholder')" title="$services.localization.render('phenotips.formDesigner.sectionID.title')" size="32"/&gt;\n  &lt;input type="text" name="extension_name" value="" placeholder="$services.localization.render('phenotips.formDesigner.sectionTitle.placeholder')" size="32"/&gt;\n  &lt;input class="button" type="button" name="create_extension" value="$services.localization.render('phenotips.formDesigner.createButton')"/&gt;\n&lt;/div&gt;&lt;/form&gt;{{/html}}\n\n#end\n## =====================================================================\n## SHOW FORM DESIGNER\n## =====================================================================\n#if ($globalConfig || $studyConfig)\n## ----------------------------------------------------------------------\n## Display the configuration form if the user has permissions\n## ----------------------------------------------------------------------\n{{html clean=false wiki=false}}&lt;form action="$formAction" method="post"&gt;{{/html}}\n(% id="patient-form-designer" #if ($globalConfig) class="global" #end%)(((\n(% class="designer-panel sections" %)(((\n#_formDesigner__displaySections()\n#if ($globalConfig)\n(% id="new-section" class="new-section xformInline" %)((((% class="section-title" %)((($services.localization.render('phenotips.formDesigner.newSection')))){{html clean=false wiki=false}}\n  &lt;input type="text" name="extension_id" value="" placeholder="$escapetool.xml($services.localization.render('phenotips.formDesigner.sectionID.placeholder'))" title="$services.localization.render('phenotips.formDesigner.sectionID.title')" size="32"/&gt;\n  &lt;input type="text" name="extension_name" value="" placeholder="$escapetool.xml($services.localization.render('phenotips.formDesigner.sectionTitle.placeholder'))" size="32"/&gt;\n  &lt;input class="button" type="button" name="${formSubmit}" value="$escapetool.xml($services.localization.render('phenotips.formDesigner.createButton'))"/&gt;{{/html}}\n)))## new section\n#end\n)))\n##\n#if ($globalConfig)\n##\n## Only enable reorganization for global config\n##\n(% class="designer-panel hint" %)((($services.localization.render('phenotips.formDesigner.dragDrop.hint'))))\n(% class="designer-panel extensions" %)(((\n#set ($defaultSectionData = {\n  "id" : "${fieldExtensionPointIdPrefix}none",\n  "title" : "$services.localization.render('phenotips.formDesigner.availableInfo')",\n  "enabled" : true\n})\n#_formDesigner__displaySection($defaultSectionData false)\n)))\n#elseif ($studyConfig)\n##\n## Enable mapping configuration as well\n##\n(% class="mappingPreviewContainer" %)(((\n== $services.localization.render('phenotips.formDesigner.defaultPhenotypes.heading') ==\n\n{{info}}$services.localization.render('phenotips.formDesigner.defaultPhenotypes.info'){{/info}}\n; $services.localization.render('phenotips.formDesigner.configurationDocs.title')\n: (((\n{{html clean=false wiki=false}}&lt;label class="xwiki-form-listclass default" for="xwiki-form-mapping-0-default"&gt;&lt;input id="xwiki-form-mapping-0-default" type="radio" name="${prefix}mapping" value="" #if ("$!{studyConfig.getProperty('mapping').value}" == '') checked="checked" #end/&gt;$services.localization.render('phenotips.formDesigner.defaultPhenotypes.defaultOption')&lt;/label&gt;{{/html}}\n$doc.display('mapping', 'edit')\n)))\n\n(% class="hint under" %)((($services.localization.render('phenotips.formDesigner.preview'))))\n\n(% id="mappingPreview"%)((()))\n)))\n$xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.Widgets', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.PatientSheetCode', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.PhenotypeMappingPreview', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.jsx.use('PhenoTips.PhenotypeMappingPreview')##\n##\n##\n#end\n(% class="clearfloats" %)((()))\n)))\n{{html clean=false wiki=false}}\n&lt;div class="hidden"&gt;\n  &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}"/&gt;\n#foreach ($p in $formParams.keySet())\n  &lt;input type="hidden" name="$p" value="$formParams.get($p)"/&gt;\n#end\n&lt;/div&gt;\n&lt;div class="buttons"&gt;\n &lt;input class="button" type="submit" name="${formSubmit}" value="$services.localization.render('phenotips.formDesigner.save')"/&gt;\n&lt;/div&gt;\n&lt;/form&gt;{{/html}}\n#else\n{{warning}}$services.localization.render('phenotips.formDesigner.noPermissionWarning'){{/warning}}\n#end\n#end\n{{/velocity}}\n</content></xwikidoc>
4451549438991456898	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>HPOBranchDisplayer</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822214000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.HPOBranchDisplayer</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>54f5672b-51e3-4a59-b4c4-4d38d4dd4c5c</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>['xwiki:dom:loaded', 'xwiki:dom:updated'].each(function (eventName) {\n  document.observe(eventName, function() {\n    $$('.hpo-branch .term-entry:not(.initialized) .tooltip .hide-tool').invoke('observe', 'click', function(event) {\n      event.findElement('.tooltip').addClassName('invisible');\n    });\n    $$('.hpo-branch .term-entry:not(.initialized) .info-tool').invoke('observe', 'click', function(event) {\n      event.findElement('.hpo-branch').select('.tooltip').invoke('addClassName', 'invisible');\n      event.findElement('.term-entry').down('.tooltip').removeClassName('invisible');\n    });\n    $$('.hpo-branch .term-entry:not(.initialized)').invoke('addClassName', 'initialized');\n  });\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.HPOBranchDisplayer</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>5b26d0a0-c251-441c-8410-2dc39caa7240</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.hpo-branch ul {\n  list-style-type: none;\n  margin: 0;\n}\n.hpo-branch ul ul {\n  margin-left: 1.2em;\n}\n.hpo-branch &gt; ul {\n  -moz-column-count: 2;\n  /* removing the following line until we can fix issue https://github.com/phenotips/phenotips/issues/865 more elegantly:\n  -webkit-column-count: 2; */\n  column-count: 2;\n}\n.hpo-branch .hpo-unknown {\n  margin-bottom: 0.5em;\n}\n.hpo-branch .term-entry {\n  display: inline-block;\n  width: 100%;\n  position: relative;\n}\n.hpo-branch .term-entry .info-tool {\n  cursor: help;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity}}\n$xwiki.ssx.use('PhenoTips.HPOBranchDisplayer')##\n$xwiki.jsx.use('PhenoTips.HPOBranchDisplayer')##\n#if ($xcontext.action == 'edit')\n#set ($firstLevel = true)\n##\n##\n#macro (_displayItem $itemId $itemName $itemData)\n  #if ($field.getProperty('multiSelect').value == 1)\n    #set ($inputType = 'checkbox')\n  #else\n    #set ($inputType = 'radio')\n  #end\n  &lt;input type="$inputType" id="${prefix}${name}_${itemId}" #if("$!{value}" == $itemId || $!{value.contains($itemId)})checked="checked"#end name="${prefix}${name}" value="${itemId}" title="${itemName}"/&gt;&lt;label for="${prefix}${name}_${itemId}" title="$!{itemName}$!{util.newline}$!{itemData.def}"&gt;${itemName}&lt;/label&gt;\n#if("$!{itemData}" != '')\n  &lt;span class="fa fa-info-circle phenotype-qualifier-info xHelpButton" title="${itemId}"&gt;&lt;/span&gt;\n#end\n#end\n##\n##\n#macro (_displayChildren $rootId)\n  #set ($term = $services.vocabularies.resolveTerm($rootId))\n  #set($childrenList = $services.vocabularies.hpo.search({'is_a': $term.id}))\n  #if ($childrenList.size() &gt; 0)\n  &lt;ul&gt;\n  #if($firstLevel)\n    #set($firstLevel = false)\n    #if($field.getProperty('multiSelect').value != 1)\n      &lt;li class="hpo-unknown"&gt;&lt;span class="expand-tool locked disabled"&gt;▼&lt;/span&gt;#_displayItem('', 'Unknown')&lt;/li&gt;\n    #end\n  #end\n  #set($macro.childrenMap = {})\n  #foreach($item in $childrenList)\n    #set ($discard = $macro.childrenMap.put($item.id, $item))\n  #end\n  #foreach($orderedItemId in $order)\n    #set ($foreach.item = $macro.childrenMap.get($orderedItemId))\n    #if ("$!{foreach.item}" != '' &amp;&amp; "$!foreach.item.id" != '')\n      #set ($childrenHtml = "#_displayChildren($foreach.item.id)")\n      #if ("$childrenHtml" != "")\n        #set ($childrenExpandSymbol = '&lt;span class="expand-tool locked"&gt;▼&lt;/span&gt;')\n      #else\n        #set ($childrenExpandSymbol = '&lt;span class="expand-tool locked disabled"&gt;▼&lt;/span&gt;')\n      #end\n      &lt;li class="term-entry"&gt;$!childrenExpandSymbol#_displayItem("${foreach.item.id}", "${foreach.item.name}", $foreach.item)$!childrenHtml&lt;/li&gt;\n    #end\n  #end\n  &lt;/ul&gt;\n  #end\n#end\n\n#if ($startWith &amp;&amp; $order)\n{{html wiki=false clean=false}}\n&lt;div class="hpo-branch"&gt;\n#_displayChildren($startWith)\n#if($field.getProperty('multiSelect').value == 1)\n  &lt;input type='hidden' name="${prefix}${name}" value='' checked='checked'/&gt;\n#end\n&lt;/div&gt;\n{{/html}}\n#end\n#else\n  #if ($field.getProperty('multiSelect').value == 1)\n    #foreach($id in $value)\n      $!services.vocabularies.resolveTerm($id).name\n    #end\n  #elseif ("$!{value}" != '')\n    $!services.vocabularies.resolveTerm($value).name\n  #end\n#end\n{{/velocity}}\n</content></xwikidoc>
5391824536512881912	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>Generic phenotype configuration</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>data.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822211000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.genericPhenotypeConfig.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>PhenoTips.PhenotypeMappingClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<description>\n<contenttype>PureText</contenttype>\n<disabled>0</disabled>\n<name>description</name>\n<number>1</number>\n<prettyName>description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n</class>\n<name>PhenoTips.Generic phenotype configuration</name>\n<number>0</number>\n<className>PhenoTips.PhenotypeMappingClass</className>\n<guid>901abd50-448b-4e94-827e-444dc1fb8724</guid>\n<property>\n<description>A generic set of common phenotypes, covering most anatomical systems from top to bottom, and including neurological and behavioral signs.</description>\n</property>\n</object>\n<content>{\n"phenotype"  :[\n  {\n    "type"       : "section",\n    "title"      : "Growth parameters",\n    "categories" : ["HP:0001507", "HP:0000240"],\n    "data"       : [\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0004323",\n        "group_type" : "single-select",\n        "title"  : "Weight for age",\n        "data"   : [\n          {"id"  : "HP:0004325", "title" : "Decreased body weight (&lt;-2SD)"},\n          {"id"  : "HP:0004324", "title" : "Increased body weight (&gt;+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000002",\n        "group_type" : "single-select",\n        "title"  : "Stature for age",\n        "data"   : [\n          {"id"  : "HP:0004322", "title" : "Short stature (&lt;-2SD)"},\n          {"id"  : "HP:0000098", "title" : "Tall stature (&gt;+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000240",\n        "group_type" : "single-select",\n        "title"  : "Head circumference for age",\n        "data"   : [\n          {"id"  : "HP:0000252", "title" : "Microcephaly (&lt;-3SD)"},\n          {"id"  : "HP:0000256", "title" : "Macrocephaly (&gt;+2SD)"}\n        ]\n      },\n      {"id" : "HP:0001508"},\n      {"id" : "HP:0001528"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Craniofacial",\n    "categories" : ["HP:0000152"],\n    "data"       : [\n        {"id" : "HP:0001363"},\n        {"id" : "HP:0000204"},\n        {"id" : "HP:0000175"},\n        {"id" : "HP:0001999"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Eye Defects",\n    "categories" : ["HP:0000478"],\n    "data"       : [\n        {"id" : "HP:0000505"},\n        {"id" : "HP:0000481"},\n        {"id" : "HP:0000589"},\n        {"id" : "HP:0000593"},\n        {"id" : "HP:0000518"},\n        {"id" : "HP:0000479"},\n        {"id" : "HP:0000587"},\n        {"id" : "HP:0000568"},\n        {"id" : "HP:0000639"},\n        {"id" : "HP:0000486"},\n        {"id" : "HP:0000601"},\n        {"id" : "HP:0000316"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Ear Defects",\n    "categories" : ["HP:0000598"],\n    "data"       : [\n        {\n           "type"  : "subsection",\n           "id"    : "HP:0000365",\n           "title" : "Deafness",\n           "data"  : [\n               {"id" : "HP:0000407", "title" : "Sensorineural"},\n               {"id" : "HP:0000405", "title" : "Conductive"}\n           ]\n        },\n        {"id" : "HP:0004467"},\n        {"id" : "HP:0000384"},\n        {"id" : "HP:0000356"},\n        {"id" : "HP:0000359"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Cutaneous",\n    "categories" : ["HP:0001574"],\n    "data"       : [\n        {"id" : "HP:0000953"},\n        {"id" : "HP:0001010"},\n        {"id" : "HP:0005306"},\n        {"id" : "HP:0011276"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Cardiovascular",\n    "categories" : ["HP:0001626"],\n    "data"       : [\n        {"id" : "HP:0001631"},\n        {"id" : "HP:0001629"},\n        {"id" : "HP:0001674"},\n        {"id" : "HP:0001680"},\n        {"id" : "HP:0001636"},\n        {"id" : "HP:0001638"},\n        {"id" : "HP:0011675"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Respiratory",\n    "categories" : ["HP:0002086", "HP:0000765"],\n    "data"       : [\n        {"id" : "HP:0000776"},\n        {"id" : "HP:0002088"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Musculoskeletal",\n    "categories" : ["HP:0000924", "HP:0003011", "HP:0040064"],\n    "data"       : [\n        {"id" : "HP:0002652"},\n        {"id" : "HP:0002659"},\n        {"id" : "HP:0009816"},\n        {"id" : "HP:0009824"},\n\n        {\n           "type"  : "subsection",\n           "title" : "Camptodactyly",\n           "data"  : [\n               {"id" : "HP:0100490", "title" : "Finger"},\n               {"id" : "HP:0001836", "title" : "Toe"}\n           ]\n        },\n        {\n           "type"  : "subsection",\n           "title" : "Syndactyly",\n           "data"  : [\n               {"id" : "HP:0006101", "title" : "Finger"},\n               {"id" : "HP:0001770", "title" : "Toe"}\n           ]\n        },\n        {\n           "type"  : "subsection",\n           "title" : "Polydactyly",\n           "data"  : [\n               {"id" : "HP:0100258", "title" : "Preaxial"},\n               {"id" : "HP:0100259", "title" : "Postaxial"}\n           ]\n        },\n        {\n           "type"  : "subsection",\n           "title" : "Oligodactyly",\n           "data"  : [\n               {"id" : "HP:0001180", "title" : "Hands"},\n               {"id" : "HP:0001849", "title" : "Feet"}\n           ]\n        },\n\n        {"id" : "HP:0002650"},\n        {"id" : "HP:0000925"},\n        {"id" : "HP:0001371"},\n        {"id" : "HP:0001762"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Gastrointestinal",\n    "categories" : ["HP:0011024"],\n    "data"       : [\n        {"id" : "HP:0002032"},\n        {"id" : "HP:0002575"},\n        {"id" : "HP:0001543"},\n        {"id" : "HP:0001539"},\n        {"id" : "HP:0002251"},\n        {"id" : "HP:0001396"},\n        {"id" : "HP:0002910"},\n        {"id" : "HP:0001738"},\n        {"id" : "HP:0000819"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Genitourinary",\n    "categories" : ["HP:0000119"],\n    "data"       : [\n        {"id" : "HP:0000107"},\n        {"id" : "HP:0000085"},\n        {"id" : "HP:0000069"},\n        {"id" : "HP:0000795"},\n        {"id" : "HP:0000062"},\n        {"id" : "HP:0000047"},\n        {"id" : "HP:0000028"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Behavior, Cognition and Development",\n    "categories" : ["HP:0011446"],\n    "data"       : [\n        {"id" : "HP:0001263"},\n        {"id" : "HP:0010862"},\n        {"id" : "HP:0002194"},\n        {"id" : "HP:0000750"},\n        {"id" : "HP:0001328"},\n        {\n           "type"  : "subsection",\n           "id"    : "HP:0001249",\n           "group_type" : "single-select",\n           "title" : "Intellectual disability",\n           "data"  : [\n               {"id" : "HP:0001256", "title" : "Mild"},\n               {"id" : "HP:0002342", "title" : "Moderate"},\n               {"id" : "HP:0010864", "title" : "Severe"}\n           ]\n        },\n        {"id" : "HP:0007018"},\n        {"id" : "HP:0000717"},\n        {"id" : "HP:0000708"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neurological",\n    "categories" : ["HP:0000707"],\n    "data"       : [\n        {"id" : "HP:0001290"},\n        {"id" : "HP:0001250"},\n        {"id" : "HP:0001251"},\n        {"id" : "HP:0001332"},\n        {"id" : "HP:0002072"},\n        {"id" : "HP:0001257"},\n        {"id" : "HP:0010301"},\n        {"id" : "HP:0002011"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Other",\n    "categories" : ["HP:0000118"],\n    "data"       : []\n  }\n],\n\n"prenatal_phenotype": [\n  {\n    "type"       : "section",\n    "title"      : "Pregnancy history",\n    "categories" : ["HP:0002686"],\n    "data"       : [\n      {"id"      : "HP:0012188", "title" : "Hyperemesis gravidarum (excessive vomiting)"},\n      {"id"      : "HP:0008071"},\n      {"id"      : "HP:0009800"},\n      {"id"      : "HP:0030244"},\n      {"id"      : "HP:0100622"},\n      {"id"      : "HP:0011438"},\n      {"id"      : "HP:0100603"},\n      {"id"      : "HP:0011436"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Prenatal development",\n    "categories" : ["HP:0001197", "HP:0001511"],\n    "data"       : [\n      {"id"      : "HP:0001511"},\n      {"id"      : "HP:0001562"},\n      {"id"      : "HP:0001561"},\n      {"id"      : "HP:0001558"},\n      {"id"      : "HP:0010519"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Delivery",\n    "categories" : ["HP:0001787"],\n    "data"       : [\n      {\n        "type"  : "conditionalSubsection",\n        "id"    : "HP:0001787",\n        "group_type" : "multi-select",\n        "title" : "Abnormal delivery (Non-NSVD)",\n        "data"  : [\n          {"id" : "HP:0030365"},\n          {"id" : "HP:0030369"},\n          {"id" : "HP:0001623"},\n          {"id" : "HP:0011410"},\n          {"id" : "HP:0011411"},\n          {"id" : "HP:0011412"},\n          {"id" : "HP:0030366"},\n          {"id" : "HP:0005268"}\n        ]\n      },\n      {"id" : "HP:0001622"}\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Neonatal growth parameters",\n    "categories" : ["HP:0001507", "HP:0000240"],\n    "data"       : [\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0004323",\n        "group_type" : "single-select",\n        "title"  : "Abnormal birth weight",\n        "data"   : [\n          {"id"  : "HP:0001518", "title" : "Small for gestational age (&lt;-2SD)"},\n          {"id"  : "HP:0001520", "title" : "Large for gestational age (&gt;+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000002",\n        "group_type" : "single-select",\n        "title"  : "Abnormal birth length",\n        "data"   : [\n          {"id"  : "HP:0003561", "title" : "Small birth length (&lt;-2SD)"},\n          {"id"  : "HP:0003517", "title" : "Large birth length (&gt;+2SD)"}\n        ]\n      },\n      {\n        "type"   : "subsection",\n        "id"     : "HP:0000240",\n        "group_type" : "single-select",\n        "title"  : "Abnormal head circumference at birth",\n        "data"   : [\n          {"id"  : "HP:0011451", "title" : "Congenital microcephaly (&lt;-3SD)"},\n          {"id"  : "HP:0004488", "title" : "Congenital macrocephaly (&gt;+2SD)"}\n        ]\n      }\n    ]\n  },\n  {\n    "type"       : "section",\n    "title"      : "Perinatal complications",\n    "categories" : ["HP:0000118"],\n    "data"       : [\n      {"id" : "HP:0002643"},\n      {"id" : "HP:0006579"},\n      {"id" : "HP:0002033"},\n      {"id" : "HP:0001998"},\n      {"id" : "HP:0040187"}\n    ]\n  }\n]\n\n}</content></xwikidoc>\n
3461601376211112187	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PhenotypeMappingSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PhenotypeMappingClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822211000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-hpo-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action == 'edit')\n{{html wiki=true}}\n; $services.localization.render('phenotips.phenotypeMappingSheet.title')\n: &lt;input type="text" name="title" value="$!doc.title"/&gt;\n; $services.localization.render('phenotips.phenotypeMappingSheet.description')\n: $doc.display('description')\n; $services.localization.render('phenotips.phenotypeMappingSheet.mapping')\n: &lt;textarea name="content" rows="20" cols="80"&gt;{{html wiki="false" clean="false"}}$!escapetool.html($doc.content){{/html}}&lt;/textarea&gt;\n{{/html}}\n#else\n#if ("$!doc.display('description').trim()" != '')\n{{box cssClass="plainmessage"}}\n$!doc.display('description')\n{{/box}}\n#end\n\n{{include reference="PhenoTips.PhenotypeMappingPreview" /}}\n#end\n{{/velocity}}\n</content></xwikidoc>
8926338371618997568	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-omim-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>OmimInfoService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1409255172000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>OmimInfoService</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-omim-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action != 'get')\n  **Usage**: //http[s]:~/~/&lt;hostname&gt;[:&lt;port&gt;]/&lt;appname&gt;/bin/get/PhenoTips/OmimInfoService?id=&lt;MIM number&gt;//\n  Example: [[https://playground.phenotips.org/bin/get/PhenoTips/OmimInfoService?id=190685]]\n  #break\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#if ("$!request.id" != '')\n  #set ($term = $services.vocabularies.omim.getTerm($request.id))\n#else\n  $response.setStatus(400)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Disease id not provided."})\n  #break\n#end\n#if (!$term)\n  $response.setStatus(404)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Disease not found."})\n  #break\n#end\n\n#set ($names = $term.name.split('\\s*;;\\s*'))\n#set ($symptoms = [])\n#foreach ($s in $term.actual_symptom)\n  #set ($discard = $symptoms.add({'id' : $s, 'label' : $services.vocabularies.resolveTerm($s).name}))\n#end\n#set ($not_symptoms = [])\n#foreach ($s in $term.actual_not_symptom)\n  #set ($discard = $not_symptoms.add({'id' : $s, 'label' : $services.vocabularies.resolveTerm($s).name}))\n#end\n\n#set ($result = {\n  'id' : "$!term.id",\n  'label' : $names,\n  'symptoms' : $symptoms,\n  'not_symptoms' : $not_symptoms,\n  'gene_reviews_link' : "$!term.get('gene_reviews_link')"\n})\n$response.setContentType('application/json')\n$jsontool.serialize($result)\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}</content></xwikidoc>\n
6131543231115299615	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-hgnc-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>GeneNameService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.InvestigationClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822211000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-hgnc-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action == 'get')\n  $response.setContentType('application/json')##\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#set ($max = 10)\n#if ("$!request.max" != '')\n  #set ($max = $mathtool.toInteger($request.max))\n#end\n#if ($request.getParameterValues('g'))\n  #set ($results = {})\n  #foreach ($i in $request.getParameterValues('g'))\n    #if ("$!i" != '')\n      #set ($term = $services.vocabularies.hgnc.getTerm($i))\n      #if ($term)\n        #set ($result = {\n          'symbol' : $term.symbol,\n          'external_ids' : {'genecards_id' :  $term.symbol}\n        })\n        #if ($term.alias_symbol)\n          #set ($result.alias_symbol = $term.alias_symbol)\n        #end\n        #if ($term.prev_symbol)\n          #set ($result.prev_symbol = $term.prev_symbol)\n        #end\n        #if ($term.gene_family)\n          #set ($result.gene_family = $term.gene_family)\n        #end\n        #foreach ($externalTerm in ['omim_id', 'entrez_id', 'refseq_accession', 'ensembl_gene_id'])\n          #if ($term.get($externalTerm))\n            #set ($discard = $result.external_ids.put($externalTerm, $term.get($externalTerm)))\n          #end\n        #end\n        #set ($discard = $results.put($i, $result))\n      #end\n    #end\n  #end\n  #if ($results.isEmpty())\n    {"error": "Gene not found."}\n  #else\n    $jsontool.serialize({"response": $results})\n  #end\n#elseif ("$!request.q" != '')\n  #set ($terms = $services.vocabularies.hgnc.search("${request.q}", $max, "", ""))\n  #set ($result = {'numReturned' : $terms.size(), 'docs': []})\n  #foreach ($term in $terms)\n    #set ($discard = $result.docs.add({'symbol' : $term.symbol}))\n  #end\n  $jsontool.serialize($result)\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}</content></xwikidoc>\n
-7850525546062707861	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:vocabulary-hgnc-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>GeneInfoService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.GeneNameService</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1409335174000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabulary-hgnc-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action != 'get')\n  **Usage**: //http[s]:~/~/&lt;hostname&gt;[:&lt;port&gt;]/&lt;appname&gt;/bin/get/PhenoTips/GeneInfoService?id=&lt;HGNC approved gene symbol&gt;//\n  Example: [[http://playground.phenotips.org/bin/get/PhenoTips/GeneInfoService?id=BRCA1]]\n  #break\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#if ("$!request.id" != '')\n  #set ($term = $services.vocabularies.hgnc.getTerm($request.id))\n#else\n  $response.setStatus(400)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Gene symbol not provided."})\n  #break\n#end\n#if (!$term)\n  $response.setStatus(404)##\n  $response.setContentType('application/json')##\n  $jsontool.serialize({"error" : "Gene not found."})\n  #break\n#end\n\n#set ($result = {\n  'symbol' : $term.symbol,\n  'name' : $term.name,\n  'external_ids' : {'genecards_id' :  $term.symbol}\n})\n#if ($term.alias_symbol)\n  #set ($result.alias_symbol = $term.alias_symbol)\n#end\n#if ($term.prev_symbol)\n  #set ($result.prev_symbol = $term.prev_symbol)\n#end\n#if ($term.gene_family)\n  #set ($result.gene_family = $term.gene_family)\n#end\n#foreach ($externalTerm in ['omim_id', 'entrez_id', 'refseq_accession', 'ensembl_gene_id'])\n  #if ($term.get($externalTerm))\n    #set ($discard = $result.external_ids.put($externalTerm, $term.get($externalTerm)))\n  #end\n#end\n$response.setContentType('application/json')\n$jsontool.serialize($result)\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}</content></xwikidoc>\n
6914115043436760758	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:solr-access-service-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>SolrService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822196000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:solr-access-service-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}{{html clean="false"}}\n#if ($xcontext.action == 'get')\n  #set ($results = [])\n  #if ("$!{request.q}" != '')\n    #set ($vocabulary = "$!{request.vocabulary}")\n    #if ($vocabulary == '')\n      #set ($vocabulary = 'hpo')\n    #end\n    #set ($rows = 10)\n    #if ("$!{request.rows}" != '')\n      #set ($rows = $numbertool.toNumber($!{request.rows}))\n    #end\n    #set ($results = $services.vocabularies.get($vocabulary).search($!{request.q}, $rows, "$!{request.sort}", "$!{request.fq}"))\n  #end\n$response.setContentType('application/json')\n{\n   "returnedrows" : "$results.size()",\n   "rows" : [\n#foreach ($result in $results)\n  $result.toJSON()\n  #if($foreach.hasNext()),#end\n#end\n  ]## docs array\n}\n#end## Done handling get action\n{{/html}}{{/velocity}}</content></xwikidoc>\n
-2713736205947837559	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:solr-access-service-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>DiffDiagnosisService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822214000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:solr-access-service-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity filter="indent"}}\n#if ($xcontext.action == 'get')\n  $response.setHeader("X-ReqNo", "$!request.reqNo")##\n  #if ("$!request.symptom" != '')##\n    #set ($_service = $services.omim)\n    #set ($limit = $mathtool.toInteger("$!{request.limit}"))\n    #if (!$limit || $limit &lt; 0)\n      #set ($limit = 6)\n    #end\n    #set($page = $mathtool.toInteger("$!{request.page}"))\n    #if (!$page || $page &lt; 0)\n      #set ($page = 1)\n    #end\n    #set ($data = $collectionstool.set)\n    #foreach($i in $request.getParameterValues('symptom'))\n      #set ($discard = $data.add($i))\n    #end\n    #set ($ndata = $collectionstool.set)\n    #foreach($i in $request.getParameterValues('not_symptom'))\n      #set ($discard = $ndata.add($i))\n    #end\n    #if ("$!{request.format}" == 'html')\n      ## Fetch 1 extra result to determine whether to display a next page token\n      #set ($resultsToFetch = $limit * $page + 1)\n      #set ($results = $_service.getDifferentialPhenotypes($data, $ndata, $resultsToFetch))\n      #if ($results.size() &gt; 0)\n        ##paginate results\n        #set ($from = ($page - 1) * $limit)\n        #if ($from &gt;= $results.size())\n          #set ($from = $results.size() - 1)\n        #end\n        #set ($to = $page * $limit)\n        #if ($to &gt;= $results.size())\n          #set ($to = $results.size())\n        #end\n        #set ($pagedResults = $results.subList($from, $to))\n        {{html clean="false"  wiki="false"}}##\n        ##Add previous arrow if neccessary\n        #if ($page &gt; 1)\n          #set ($previousPage = $page - 1)\n          &lt;span class="fa fa-chevron-left navigation"&gt;&lt;input type="hidden" value="$previousPage"/&gt;&lt;/span&gt;\n        #end\n        &lt;ul&gt;\n        #foreach ($item in $pagedResults)\n          #if ("$!item.id"!= '' &amp;&amp; "$!item.name" != '')\n            &lt;li class="phenotype"&gt;\n              &lt;span class="id" title="${item.id}"&gt;[${item.id}]&lt;/span&gt;\n              &lt;span class="title"&gt;${item.name}&lt;/span&gt;\n              &lt;span class="hidden term-category"&gt;\n              #foreach ($c in $services.vocabularies.resolveTerm($item.id).get('term_category'))\n                &lt;input type="hidden" value="$c"&gt;\n              #end\n              &lt;/span&gt;\n            &lt;/li&gt;\n          #end\n        #end## foreach item\n        &lt;/ul&gt;\n        ##Only display a next arrow if enough results were returned\n        #if ($resultsToFetch == $results.size())\n          #set ($nextPage = $page + 1)\n          &lt;span class="fa fa-chevron-right navigation"&gt;&lt;input type="hidden" value="$nextPage"/&gt;&lt;/span&gt;\n        #end\n        {{/html}}\n        #set ($hasOutput = true)\n      #else\n        #set ($hasOutput = false)\n      #end## results.size() &gt; 0\n    #end## html format\n  #else\n    #set ($hasOutput = false)\n  #end## non-empty query\n#end## get action\n##\n#if (!$hasOutput)\n(% class="hint" %)$services.localization.render('phenotips.solrAccessService.noMatches')\n#end\n{{/velocity}}</content></xwikidoc>\n
3357994229900402774	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:solr-access-service-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>OmimPredictService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822196000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:solr-access-service-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity filter="indent"}}\n#if ($xcontext.action == 'get')\n  $response.setHeader("X-ReqNo", "$!request.reqNo")##\n  #if ("$!request.q" != '')##\n    #set ($_service = $services.omim)\n    #set ($limit = $mathtool.toInteger("$!{request.limit}"))\n    #if (!$limit || $limit &lt; 0)\n      #set ($limit = 20)\n    #end\n    #set ($data = [])\n    #set ($ancestors = $collectionstool.set)\n    #set ($negativeAncestors = $collectionstool.set)\n    #foreach ($piece in $!request.getParameterValues('symptom'))\n      #set ($discard = $data.add("symptom:${piece.replaceAll(':', '\\\\:')}"))\n      #set ($discard = $ancestors.addAll($services.vocabularies.resolveTerm($piece).get('term_category')))\n    #end\n    #foreach ($piece in $!request.getParameterValues('not_symptom'))\n      #set ($discard = $data.add("not_symptom:${piece.replaceAll(':', '\\\\:')}"))\n      #set ($discard = $negativeAncestors.addAll($services.vocabularies.resolveTerm($piece).get('term_category')))\n    #end\n    #set ($discard = $negativeAncestors.removeAll($ancestors))\n    #if ($!request.getParameterValues('not_symptom'))\n      #set ($discard = $negativeAncestors.removeAll($!request.getParameterValues('not_symptom')))\n    #end\n    #if ($!request.getParameterValues('symptom'))\n      #set ($discard = $ancestors.removeAll($!request.getParameterValues('symptom')))\n    #end\n    #foreach ($piece in $ancestors)\n      #set ($discard = $data.add("symptom:${piece.replaceAll(':', '\\\\:')}^0.3"))\n    #end\n    #foreach ($piece in $negativeAncestors)\n      #set ($discard = $data.add("not_symptom:${piece.replaceAll(':', '\\\\:')}^0.3"))\n    #end\n    #foreach ($piece in $!request.getParameterValues('free_symptom'))\n      #set($discard = $data.add("text:""${piece}"""))\n    #end\n    #set ($discard = $data.add('-nameSort:\\** -nameSort:\\+* -nameSort:\\^*'))\n    #if ("$!{request.format}" == 'html')\n#set ($results = $_service.search($stringtool.join($data, ' '), $limit, 0))\n#if ($results.size() &gt; 0)\n{{html clean="false"  wiki="false"}}##\n&lt;ul&gt;\n#foreach($item in $results)\n    #if ("$!item.id"!= '' &amp;&amp; "$!item.name" != '')\n    #set ($indexOfSeparator = $item.name.indexOf(';'))\n    #if ($indexOfSeparator &gt; 0)\n      #set($shortName = $item.name.substring(0, $indexOfSeparator))\n      #set($fullName = $item.name.replaceAll(';;', ';'))\n    #else\n      #set($shortName = $item.name)\n      #set($fullName = $item.name)\n    #end\n  &lt;li class="disorder"&gt;\n    &lt;span class="id hidden" title="${item.id}"&gt;[MIM:#if("$!item.Oid"!= '')${item.Oid}#else${item.id}#end]&lt;/span&gt;\n    &lt;span class="title" title="${fullName}"&gt;${shortName}&lt;/span&gt;\n    #if ("$!item.Locus" != '')&lt;span class="locus"&gt;(Locus: ${item.Locus})&lt;/span&gt;#end\n  &lt;/li&gt;\n  #end\n#end## foreach item\n&lt;/ul&gt;\n{{/html}}\n   #set ($hasOutput = true)\n#else\n   #set ($hasOutput = false)\n#end## results.size() &gt; 0\n    #end## html format\n  #else\n    #set ($hasOutput = false)\n  #end## non-empty query\n#end## get action\n##\n#if (!$hasOutput)\n(% class="hint" %)$services.localization.render('phenotips.solrAccessService.noMatches')\n#end\n{{/velocity}}</content></xwikidoc>\n
-4433358711190139539	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:solr-access-service-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>OmimService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822219000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:solr-access-service-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity filter="indent"}}\n#if ($xcontext.action == 'get' &amp;&amp; "$!request.q" != '')##\n  #set ($_service = $services.omim)\n  #if ("$!{request.defType}" != '')\n    #set ($parameters = {})\n    #foreach ($param in $request.parameterMap.entrySet())\n      #set ($foreach.value = '')\n      #foreach ($value in $param.value)\n        #set ($foreach.parent.value = $foreach.parent.value.concat($value))\n      #end\n      #set ($discard = $parameters.put($param.key, $foreach.value))\n    #end\n    #set ($results = $_service.customSearch($parameters))\n  #else\n    #set ($rows = 20)\n    #if ("$!request.rows" != '')\n      #set ($rows = $mathtool.toInteger($request.rows))\n    #end\n    #set ($start = 0)\n    #if ("$!request.start" != '')\n      #set ($start = $mathtool.toInteger($request.start))\n    #end\n    #set ($results = $_service.search("$!request.q", "$!request.sort", $rows, $start))\n  #end\n  #foreach($item in $results)\n    #if ("$!item.id"!= '' &amp;&amp; "$!item.name" != '')\n      #set ($indexOfSeparator = $item.name.indexOf(';'))\n      #if ($indexOfSeparator &gt; 0)\n        #set($item.name = $item.name.substring(0, $indexOfSeparator))\n      #end\n    #end\n  #end\n  #if ("$!{request.format}" == 'html')\n$response.setHeader("X-ReqNo", "$!request.reqNo")##\n{{html clean="false"  wiki="false"}}##\n#if ($results.size() &gt; 0)\n&lt;ul&gt;\n#foreach($item in $results)\n  #if ("$!item.id"!= '' &amp;&amp; "$!item.name" != '')\n  &lt;li class="disorder"&gt;\n    &lt;span class="id" title="${item.id}"&gt;[#if("$!item.Oid"!= '')${item.Oid}#else${item.id}#end]&lt;/span&gt;\n    &lt;span class="title"&gt;&lt;a href="http://www.omim.org/entry/${item.id}" target="_blank" title="$services.localization.render('phenotips.omimService.linkToOMIMDisorder.title')"&gt;${item.name}&lt;/a&gt;&lt;/span&gt;\n    #if ("$!item.Locus" != '')&lt;span class="locus"&gt;(Locus: ${item.Locus})&lt;/span&gt;#end\n  &lt;/li&gt;\n  #end\n#end## foreach item\n&lt;/ul&gt;\n#else\n&lt;div class="hint"&gt;$services.localization.render('phenotips.solrAccessService.noMatches')&lt;/div&gt;\n#end\n  {{/html}}\n  #else\n    $response.setContentType('application/json')\n    #set ($result = {\n      "returnedrows" : "$results.size()",\n      "rows" : $results\n    })\n    #if ("$!request.reqNo" != '')\n      #set ($discard = $result.put("reqNo", $!{request.reqNo}))\n    #end\n    $jsontool.serialize($result)\n  #end\n#end\n{{/velocity}}</content></xwikidoc>\n
2747223513788115887	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:solr-access-service-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>OmimDisplay</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822206000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>OmimDisplay</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:solr-access-service-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action == 'edit')\n  {{html wiki=false clean=false}}\n  &lt;div class="custom-display-data"&gt;\n  #foreach ($val in $value)\n    #set($entryName = "$!{services.vocabularies.omim.getTerm($val).name}")\n    &lt;label class="term-entry" for="${prefix}${name}_${val}"&gt;\n      &lt;input title="$entryName" type="checkbox" checked="checked" name="${prefix}${name}" id="${prefix}${name}_${val}" value="${val}"/&gt;$entryName\n    &lt;/label&gt;\n  #end\n  &lt;/div&gt;\n  &lt;input type="text" name="${prefix}${name}" id="${prefix}${name}" value="" class="suggested suggest-omim multi generateShortList"/&gt;\n  &lt;input type="hidden" name="${prefix}${name}" value=""/&gt;\n  {{/html}}\n#elseif ($value &amp;&amp; $value.size() &gt; 0 &amp;&amp; "${value.get(0)}" != '')\n  #foreach ($val in $value)\n    #set ($term = $!services.vocabularies.omim.getTerm($val))\n    #set ($name = $term.name)\n    #if ("$!{name}" == '')\n      #set ($name = $val)\n    #end\n    #if ($term.id.indexOf(':') &gt;= 0)\n      #set ($termId = $stringtool.substringAfter($term.id, ':'))\n    #else\n      #set ($termId = $term.id)\n    #end\n    (%%)((([[~[$term.id]&gt;&gt;http://www.omim.org/entry/${termId}]] $!{services.rendering.escape($name, $doc.syntax)})))\n  #end\n#end\n{{/velocity}}</content></xwikidoc>\n
5517155355353452788	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__gender</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822215000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.gender')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__gender</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>2eaae407-ca0b-4a81-bc81-a45e9a5b758a</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayFormatted('2-col' 'gender' '' 'gender' 'group-title')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.patient-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.gender</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.gender')\nenabled=true\nrequired=\norder=7\nfields=gender\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
298046193644962218	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PatientClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1426704841000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.PatientClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<affectedRelatives>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>affectedRelatives</name>\n<number>51</number>\n<prettyName>Other living affected relatives</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</affectedRelatives>\n<apgar1>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>apgar1</name>\n<number>36</number>\n<picker>0</picker>\n<prettyName>APGAR score (1 minute)</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>unknown|0|1|2|3|4|5|6|7|8|9|10</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</apgar1>\n<apgar5>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>apgar5</name>\n<number>37</number>\n<picker>0</picker>\n<prettyName>APGAR score (5 minutes)</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>unknown|0|1|2|3|4|5|6|7|8|9|10</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</apgar5>\n<assistedReproduction_donoregg>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_donoregg</name>\n<number>47</number>\n<prettyName>Donor egg</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_donoregg>\n<assistedReproduction_donorsperm>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_donorsperm</name>\n<number>48</number>\n<prettyName>Donor sperm</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_donorsperm>\n<assistedReproduction_fertilityMeds>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_fertilityMeds</name>\n<number>38</number>\n<prettyName>Conception after fertility medication</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_fertilityMeds>\n<assistedReproduction_iui>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_iui</name>\n<number>53</number>\n<prettyName>Intrauterine insemination (IUI)</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_iui>\n<assistedReproduction_surrogacy>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_surrogacy</name>\n<number>39</number>\n<prettyName>Gestational surrogacy</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_surrogacy>\n<consanguinity>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>consanguinity</name>\n<number>17</number>\n<prettyName>Consanguinity</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</consanguinity>\n<date_of_birth>\n<customDisplay>{{velocity}}{{html clean=false}}\n#set ($format = $services.recordConfiguration.activeConfiguration.dateOfBirthFormat)\n#set ($definedFormat = "$!object.xWikiClass.get($name).getProperty('dateFormat').value")\n#if ($xcontext.action == 'edit')\n  #if ($value)\n    #set ($value = $services.jodatime.getMutableDateTime($value.time))\n    #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  #end\n  &lt;input type='text' id='${prefix}${name}' title="$!escapetool.xml($format)" name='${prefix}${name}' class='fuzzy-date' value="$!services.jodatime.getDateTimeFormatterForPattern($definedFormat).print($value)" alt="$!services.jodatime.ISODateTimeFormatter.print($value)"/&gt;&lt;input type='hidden' name='${prefix}${name}_entered' id='${prefix}${name}_entered' value="$!{escapetool.xml($object.getProperty("${name}_entered").value)}"/&gt;\n#else\n#set ($enteredValue = $object.getProperty("${name}_entered").value)\n#if ("$!enteredValue" != '' &amp;&amp; "$!enteredValue" != '{}')\n  #set ($enteredValue = $jsontool.parse($enteredValue))\n  #if ($enteredValue.decade &amp;&amp; !$enteredValue.year)\n    &lt;span class="date"&gt;$!escapetool.xml($enteredValue.decade)&lt;/span&gt;\n  #else\n    #set ($displayedValue = $format)\n    #if ($enteredValue.year)\n      #set ($displayedValue = $displayedValue.replaceAll('y+', $enteredValue.year))\n      #if ($enteredValue.month)\n        #set ($displayedValue = $displayedValue.replaceAll('M+', $enteredValue.month))\n        #if ($enteredValue.day)\n          #set ($displayedValue = $displayedValue.replaceAll('d+', $enteredValue.day))\n        #end\n      #end\n    #end\n    #set ($displayedValue = $displayedValue.replaceAll('[a-zA-Z]+(\\W|$)', '').replaceAll('^\\W+|\\W+$', ''))\n    &lt;span class="date"&gt;$!escapetool.xml($displayedValue)&lt;/span&gt;\n  #end\n#elseif ($value)\n  #set ($value = $services.jodatime.getMutableDateTime($value.time))\n  #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  &lt;span class="date"&gt;$!services.jodatime.getDateTimeFormatterForPattern($format).print($value)&lt;/span&gt;\n#end\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<dateFormat>yyyy-MM-dd</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>0</emptyIsToday>\n<name>date_of_birth</name>\n<number>6</number>\n<picker>1</picker>\n<prettyName>Date of birth</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</date_of_birth>\n<date_of_birth_entered>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>date_of_birth_entered</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>date_of_birth_entered</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</date_of_birth_entered>\n<date_of_death>\n<customDisplay>{{velocity}}{{html clean=false}}\n#set ($format = $services.recordConfiguration.activeConfiguration.dateOfBirthFormat)\n#set ($definedFormat = "$!object.xWikiClass.get($name).getProperty('dateFormat').value")\n#if ($xcontext.action == 'edit')\n  #if ($value)\n    #set ($value = $services.jodatime.getMutableDateTime($value.time))\n    #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  #end\n  &lt;input type='text' id='${prefix}${name}' title="$!escapetool.xml($format)" name='${prefix}${name}' class='fuzzy-date' value="$!services.jodatime.getDateTimeFormatterForPattern($definedFormat).print($value)" alt="$!services.jodatime.ISODateTimeFormatter.print($value)"/&gt;&lt;input type='hidden' name='${prefix}${name}_entered' id='${prefix}${name}_entered' value="$!{escapetool.xml($object.getProperty("${name}_entered").value)}"/&gt;\n#else\n#set ($enteredValue = $object.getProperty("${name}_entered").value)\n#if ("$!enteredValue" != '' &amp;&amp; "$!enteredValue" != '{}')\n  #set ($enteredValue = $jsontool.parse($enteredValue))\n  #if ($enteredValue.decade &amp;&amp; !$enteredValue.year)\n    &lt;span class="date"&gt;$!escapetool.xml($enteredValue.decade)&lt;/span&gt;\n  #else\n    #set ($displayedValue = $format)\n    #if ($enteredValue.year)\n      #set ($displayedValue = $displayedValue.replaceAll('y+', $enteredValue.year))\n      #if ($enteredValue.month)\n        #set ($displayedValue = $displayedValue.replaceAll('M+', $enteredValue.month))\n        #if ($enteredValue.day)\n          #set ($displayedValue = $displayedValue.replaceAll('d+', $enteredValue.day))\n        #end\n      #end\n    #end\n    #set ($displayedValue = $displayedValue.replaceAll('[a-zA-Z]+(\\W|$)', '').replaceAll('^\\W+|\\W+$', ''))\n    &lt;span class="date"&gt;$!escapetool.xml($displayedValue)&lt;/span&gt;\n  #end\n#elseif ($value)\n  #set ($value = $services.jodatime.getMutableDateTime($value.time))\n  #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  &lt;span class="date"&gt;$!services.jodatime.getDateTimeFormatterForPattern($format).print($value)&lt;/span&gt;\n#end\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<dateFormat>yyyy-MM-dd</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>0</emptyIsToday>\n<name>date_of_death</name>\n<number>43</number>\n<picker>1</picker>\n<prettyName>Date of death</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</date_of_death>\n<date_of_death_entered>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>date_of_death_entered</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>date_of_death_entered</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</date_of_death_entered>\n<date_of_death_unknown>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>date_of_death_unknown</name>\n<number>47</number>\n<prettyName>date_of_death_unknown</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</date_of_death_unknown>\n<diagnosis_notes>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>diagnosis_notes</name>\n<number>29</number>\n<picker>0</picker>\n<prettyName>Additional comments</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</diagnosis_notes>\n<exam_date>\n<customDisplay>{{velocity}}{{html clean=false}}\n#set ($format = $services.recordConfiguration.activeConfiguration.dateOfBirthFormat)\n#set ($definedFormat = "$!object.xWikiClass.get($name).getProperty('dateFormat').value")\n#if ($xcontext.action == 'edit')\n  #set ($date = $services.jodatime.mutableDateTime)\n  #if ("$!xwiki.getUserPreference('timezone')" != '')\n    #set ($discard = $date.setZone($services.jodatime.getTimezone($xwiki.getUserPreference('timezone'))))\n  #end\n  #if (!$value)\n    #set ($value = $date)\n  #else\n    #set ($value = $services.jodatime.getMutableDateTime($value.time))\n    #if ("$!xwiki.getUserPreference('timezone')" != '')\n      #set ($discard = $value.setZoneRetainFields($services.jodatime.getTimezone($xwiki.getUserPreference('timezone'))))\n    #end\n  #end\n  #if ($format.indexOf('d') &lt; 0)\n    &lt;span class="month-year-date $name" id="$prefix${name}_container"&gt;\n      &lt;input type="hidden" id="$prefix$name" title="$!definedFormat" name="$prefix$name" value="$!xwiki.formatDate($value.toDate(), $definedFormat)" class="xwiki-date-hidden" alt="#formatdateISO($value.toDate())"/&gt;\n      #set ($selMonth = $value.monthOfYear)\n      #set ($selYear= $value.year)\n      #set ($mFormat = $format.replaceAll("[^M]", ''))\n      #set ($yFormat = $format.replaceAll("[^y]", ''))\n\n      &lt;select name="$prefix${name}_month" class="month"&gt;\n      #foreach ($val in [1..12])\n        #set ($date.monthOfYear = $val)\n        &lt;option value="$mathtool.sub($val, 1)"#if ($selMonth == $val) selected="selected"#end&gt;$xwiki.formatDate($date.toDate(), $mFormat)&lt;/option&gt;\n      #end\n      &lt;/select&gt;\n\n      #set ($startYear = $date.year - 99)\n      #set ($endYear = $date.year + 1)\n\n      &lt;select name="$prefix${name}_year" class="year"&gt;\n      #foreach ($val in [$startYear..$endYear])\n        #set ($date.year = $val)\n        &lt;option value="$val"#if ($selYear == $val) selected="selected"#end&gt;$xwiki.formatDate($date.toDate(), $yFormat)&lt;/option&gt;\n      #end\n      &lt;/select&gt;\n    &lt;/span&gt;\n  #else\n    &lt;input type="text" id="$prefix$name" title="$!definedFormat" name="$prefix$name" value="$!xwiki.formatDate($value.toDate(), $definedFormat)" class="xwiki-date" alt="#formatdateISO($value.toDate())"/&gt;\n  #end\n#else\n#if ($value)\n  #set ($value = $services.jodatime.getMutableDateTime($value.time))\n  #if ("$!xwiki.getUserPreference('timezone')" != '')\n    #set ($discard = $value.setZoneRetainFields($services.jodatime.getTimezone($xwiki.getUserPreference('timezone'))))\n  #end\n  &lt;span class="date"&gt;$!xwiki.formatDate($value.toDate(), $format)&lt;/span&gt;\n#end\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<dateFormat>yyyy-MM-dd</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>1</emptyIsToday>\n<name>exam_date</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Exam date</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</exam_date>\n<extended_negative_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_negative_phenotype</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>extended_negative_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_negative_phenotype>\n<extended_negative_prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_negative_prenatal_phenotype</name>\n<number>35</number>\n<picker>0</picker>\n<prettyName>extended_negative_prenatal_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_negative_prenatal_phenotype>\n<extended_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_phenotype</name>\n<number>32</number>\n<picker>0</picker>\n<prettyName>extended_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_phenotype>\n<extended_prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_prenatal_phenotype</name>\n<number>33</number>\n<picker>0</picker>\n<prettyName>extended_prenatal_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_prenatal_phenotype>\n<external_id>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>external_id</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Identifier</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</external_id>\n<family_history>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>family_history</name>\n<number>27</number>\n<picker>0</picker>\n<prettyName>List health conditions found in family (describe the relationship with proband)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</family_history>\n<family_of>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#if ($type == 'edit')\n{{html clean="false"}}&lt;input class="suggested" id="${doc.fullName}_${prefix}${name}" name="${prefix}${name}" onfocus="new ajaxSuggest(this, {script: '$xwiki.getURL('', 'get', "xpage=suggest&amp;classname=${field.className}&amp;fieldname=${name}&amp;firCol=eid.value&amp;secCol=-")&amp;', varname:'input'} )" type="text" value="$!escapetool.xml($value)" /&gt;\n{{/html}}\n#elseif ("$!value" != '')\n  #set ($matchingDocuments = $xwiki.wrapDocs($services.query.xwql("where doc.object(PhenoTips.PatientClass).external_id = :eid").bindValue('eid', $value).execute()))\n  #if ($matchingDocuments.size() == 1)\n    [[${value}&gt;&gt;$matchingDocuments.get(0).documentReference]]##\n  #else\n    $!value##\n  #end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>family_of</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>This patient is part of the familiy of</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select eid.value from BaseObject as obj, StringProperty as eid where obj.className = 'PhenoTips.PatientClass' and eid.id.id = obj.id and eid.id.name = 'external_id'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</family_of>\n<first_name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>first_name</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>First name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</first_name>\n<gender>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<multiSelect>0</multiSelect>\n<name>gender</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Sex</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>M=Male|F=Female|O=Other</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</gender>\n<gestation>\n<customDisplay>{{velocity}}\n#if ($type == 'edit')\n  {{html clean="false"}}&lt;div class="controlled-group complete-hide"&gt;&lt;div class="controller exclude"&gt;&lt;label for="${prefix}${name}_term"&gt;&lt;input type="checkbox" name="${prefix}${name}" id="${prefix}${name}_term" value="40"#if($value == 40) checked="checked"#end /&gt; {{/html}}{{translation key="PhenoTips.PatientClass_gestation_term" /}}{{html clean="false"}}&lt;/label&gt;&lt;/div&gt;&lt;div class="controlled"&gt;&lt;input type="text" name="${prefix}${name}" value="$!{escapetool.xml($value)}" /&gt;&lt;/div&gt;&lt;/div&gt;{{/html}}\n#elseif ($value == 40)\n  {{translation key="PhenoTips.PatientClass_gestation_term" /}} ##\n#else\n  $!value\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>gestation</name>\n<number>26</number>\n<numberType>integer</numberType>\n<prettyName>Gestation at delivery (weeks)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</gestation>\n<global_age_of_onset>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003577',\n  'HP:0030674',\n  'HP:0011460',\n  'HP:0011461',\n  'HP:0003623',\n  'HP:0003593',\n  'HP:0011463',\n  'HP:0003621',\n  'HP:0003581',\n  'HP:0011462',\n  'HP:0003596',\n  'HP:0003584'\n])\n#set ($startWith = 'HP:0003674')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>global_age_of_onset</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Global age of onset</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</global_age_of_onset>\n<global_mode_of_inheritance>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003745',\n\n  'HP:0000006',\n  'HP:0001470',\n  'HP:0001475',\n  'HP:0001444',\n  'HP:0001452',\n\n  'HP:0000007',\n\n  'HP:0010985',\n  'HP:0001417',\n  'HP:0001423',\n  'HP:0001419',\n  'HP:0001450',\n\n  'HP:0001426',\n  'HP:0010984',\n  'HP:0010983',\n  'HP:0010982',\n\n  'HP:0001427'\n])\n#set ($startWith = 'HP:0000005')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>global_mode_of_inheritance</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Global mode of inheritance</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</global_mode_of_inheritance>\n<health_card>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>health_card</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Provincial Health Card #</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</health_card>\n<icsi>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>icsi</name>\n<number>49</number>\n<prettyName>Intra-cytoplasmic sperm injection</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</icsi>\n<identifier>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>identifier</name>\n<number>1</number>\n<numberType>long</numberType>\n<prettyName>Identifier</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</identifier>\n<indication_for_referral>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>indication_for_referral</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Indication for referral</prettyName>\n<rows>2</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</indication_for_referral>\n<ivf>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>ivf</name>\n<number>16</number>\n<prettyName>In vitro fertilization</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ivf>\n<last_name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>last_name</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Last name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</last_name>\n<maternal_ethnicity>\n<cache>0</cache>\n<customDisplay>{{velocity filter="indent"}}{{html wiki=true clean=false}}\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($suggest_script = $xwiki.getURL('PhenoTips.EthnicitySearch', 'get', 'outputSyntax=plain'))\n{{html wiki=false clean=false}}&lt;input name="xwiki-free-multiselect-suggest-script" type="hidden" value="$!escapetool.xml($suggest_script)"/&gt;&lt;input name="${prefix}${name}" type="hidden" value=""/&gt;{{/html}}\n#end\n#macro (_fms__displayValue $v $counter) #if($xcontext.action == 'edit' || $xcontext.action == 'inline') {{html wiki=false clean=false}}&lt;input class="xwiki-free-multiselect-value" type="text" size="30" name="${prefix}${name}" id="${prefix}${name}_${counter}" value="$!escapetool.xml($v)"/&gt;{{/html}} #else $escapetool.xml($v) #end#end\n(% class="xwiki-free-multiselect"%)\n#foreach ($v in $value)\n1. #_fms__displayValue($v ${foreach.count})\n\n#end\n#if ((!$value || $value.size() == 0) &amp;&amp; ($xcontext.action == 'edit' || $xcontext.action == 'inline'))\n1. #_fms__displayValue('' 1)\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>maternal_ethnicity</name>\n<number>14</number>\n<picker>1</picker>\n<prettyName>Maternal ethnicity</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>, </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</maternal_ethnicity>\n<medical_history>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>medical_history</name>\n<number>30</number>\n<picker>0</picker>\n<prettyName>Medical and developmental history</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</medical_history>\n<miscarriages>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>miscarriages</name>\n<number>18</number>\n<prettyName>Parents with at least 3 miscarriages</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</miscarriages>\n<multipleGestation>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>multipleGestation</name>\n<number>52</number>\n<prettyName>Multiple gestation</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</multipleGestation>\n<negative_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>negative_phenotype</name>\n<number>22</number>\n<picker>0</picker>\n<prettyName>Symptoms NOT observed in this patient</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</negative_phenotype>\n<negative_prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>negative_prenatal_phenotype</name>\n<number>24</number>\n<picker>0</picker>\n<prettyName>Prenatal symptoms NOT observed in this patient</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</negative_prenatal_phenotype>\n<omim_id>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.OmimDisplay" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>omim_id</name>\n<number>19</number>\n<picker>0</picker>\n<prettyName>OMIM disorder</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</omim_id>\n<paternal_ethnicity>\n<cache>0</cache>\n<customDisplay>{{velocity filter="indent"}}{{html wiki=true clean=false}}\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($suggest_script = $xwiki.getURL('PhenoTips.EthnicitySearch', 'get', 'outputSyntax=plain'))\n{{html wiki=false clean=false}}&lt;input name="xwiki-free-multiselect-suggest-script" type="hidden" value="$!escapetool.xml($suggest_script)"/&gt;&lt;input name="${prefix}${name}" type="hidden" value=""/&gt;{{/html}}\n#end\n#macro (_fms__displayValue $v $counter) #if($xcontext.action == 'edit' || $xcontext.action == 'inline') {{html wiki=false clean=false}}&lt;input class="xwiki-free-multiselect-value" type="text" size="30" name="${prefix}${name}" id="${prefix}${name}_${counter}" value="$!escapetool.xml($v)"/&gt;{{/html}} #else $escapetool.xml($v) #end#end\n(% class="xwiki-free-multiselect"%)\n#foreach ($v in $value)\n1. #_fms__displayValue($v ${foreach.count})\n\n#end\n#if ((!$value || $value.size() == 0) &amp;&amp; ($xcontext.action == 'edit' || $xcontext.action == 'inline'))\n1. #_fms__displayValue('' 1)\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>paternal_ethnicity</name>\n<number>15</number>\n<picker>1</picker>\n<prettyName>Paternal ethnicity</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>, </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</paternal_ethnicity>\n<pedigree>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>pedigree</name>\n<number>28</number>\n<picker>0</picker>\n<prettyName>Pedigree</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</pedigree>\n<phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set($config = $xwiki.getDocument("${doc.space}.WebHome").getObject('PhenoTips.DBConfigurationClass'))\n#if ($config)\n  {{include reference="PhenoTips.PhenotypeDisplay" /}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>phenotype</name>\n<number>21</number>\n<picker>0</picker>\n<prettyName>Clinical symptoms &amp; physical findings</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</phenotype>\n<prenatal_development>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>prenatal_development</name>\n<number>25</number>\n<picker>0</picker>\n<prettyName>Notes</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</prenatal_development>\n<prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set($config = $xwiki.getDocument("${doc.space}.WebHome").getObject('PhenoTips.DBConfigurationClass'))\n#if ($config)\n  {{include reference="PhenoTips.PhenotypeDisplay" /}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>prenatal_phenotype</name>\n<number>23</number>\n<picker>0</picker>\n<prettyName>Prenatal and Perinatal History</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</prenatal_phenotype>\n<proband>\n<customDisplay></customDisplay>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>proband</name>\n<number>12</number>\n<prettyName>This is the proband</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</proband>\n<reports_history>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity output="false"}}\n#if (!$value)\n  #set ($value = [])\n#end\n{{/velocity}}\n\n{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>reports_history</name>\n<number>31</number>\n<picker>0</picker>\n<prettyName>Reports</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage>pdf</validationMessage>\n<validationRegExp>^application\\/pdf$</validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</reports_history>\n<solved>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>solved</name>\n<number>40</number>\n<prettyName>Case solved</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</solved>\n<solved__gene_id>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit')\n{{html clean=false}}&lt;input type='text' name='${prefix}${name}' class='suggested suggest-gene gene-name' placeholder='Enter a gene ID' size='16' value="$!{escapetool.xml($value)}"/&gt;{{/html}}\n#else\n$!{value}#if("$!{value}" != ''){{html clean=false}}&lt;input type='hidden' name='gene_name' class='gene-name' value="$!{escapetool.xml($value)}"/&gt;{{/html}}#end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>solved__gene_id</name>\n<number>42</number>\n<picker>0</picker>\n<prettyName>Gene ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</solved__gene_id>\n<solved__notes>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>solved__notes</name>\n<number>46</number>\n<picker>0</picker>\n<prettyName>Resolution notes</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</solved__notes>\n<solved__pubmed_id>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>solved__pubmed_id</name>\n<number>41</number>\n<picker>0</picker>\n<prettyName>Pubmed ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</solved__pubmed_id>\n<unaffected>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>unaffected</name>\n<number>20</number>\n<prettyName>This patient is clinically normal</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</unaffected>\n</class>\n<object>\n<class>\n<name>XWiki.ClassSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>PhenoTips.PatientClass</name>\n<number>1</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>26f66b49-19b2-4e19-9035-4ed4c309045a</guid>\n<property>\n<sheet>PatientSheet</sheet>\n</property>\n</object>\n<content>{{include reference="XWiki.ClassSheet"/}}</content></xwikidoc>\n
4353728356234514414	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PatientSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822209000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity output=false}}\n#set ($displayDocExtra = true)\n$xwiki.jsx.use('PhenoTips.TouchscreenEvents')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n$xwiki.ssx.use('PhenoTips.Widgets', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.ssx.use('PhenoTips.PatientSheetCode', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.PatientSheetCode')##\n$xwiki.jsfx.use('js/xwiki/actionbuttons/actionButtons.js', true)##\n$xwiki.jsfx.use('js/xwiki/editors/autosave.js')##\n$xwiki.jsfx.use('js/scriptaculous/dragdrop.js')##\n$xwiki.ssfx.use('uicomponents/widgets/validation/livevalidation.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/validation/livevalidation_prototype.js')##\n$xwiki.jsfx.use('uicomponents/widgets/validation/scrollValidation.js')##\n##\n##\n#set($config = $xwiki.getDocument("${doc.space}.WebHome").getObject('PhenoTips.DBConfigurationClass'))\n#if ($config)\n#set($obj = $doc.getObject('PhenoTips.PatientClass'))\n#set($class = $obj.xWikiClass)\n#set($discard = $doc.use($obj))\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ("$!{request.xaction}" == 'lastentry')\n  #set ($entryClassName = $request.dataClassName)\n  #set ($options = {})\n  #set ($discard = $options.put('propertyName', "$!{request.propertyName}"))\n  #set ($discard = $options.put('propertyValue', "$!{request.propertyValue}"))\n  #set ($discard = $options.put('labels', "$!{request.withLabel}"))\n  #set ($discard = $options.put('mode', 'edit'))\n  #set ($discard = $options.put('rejectToClass', "$!{request.rejectToClass}"))\n  #__extradata_displayLastEntry($request.dataClassName $options)\n#elseif ("$!{request.xaction}" == 'lastmeta')\n  #__phenotypeMeta_displayLastEntry()\n#else\n#if ($xcontext.action != 'export')\n(% id="table-of-contents" class="hidden" %)(((\n{{toc start="2" depth="2" /}}\n)))\n#end\n#if ($xcontext.action == 'edit')\n  ## Disable the Preview button\n  #set($previewenabled = false)\n  {{html clean="false" wiki="false"}}\n    &lt;input type='hidden' id='prefix' value='$!{class.name}_$!{obj.number}_'/&gt;\n    &lt;input type='hidden' name="objectPolicy" value='updateOrCreate'/&gt;\n  {{/html}}\n\n#end\n##\n## Extensions displayed before the content\n(% class="before-patient-data" %)(((\n#foreach ($e in $services.uix.getExtensions('org.phenotips.patientSheet.before'))\n  #set ($hasExtensionsBefore = true)\n  #set ($extension_disabled = ($e.getParameters().get('disabled') == 'true'))\n  #if (!$extension_disabled)\n    {{html wiki=false clean=false}}$services.rendering.render($e.execute(), 'xhtml/1.0'){{/html}}\n\n  #end\n#end\n#if ($hasExtensionsBefore)\n----\n#end\n)))\n##\n#if ($config.getProperty('no_pii_warning').value == 1)\n{{warning}}$services.localization.render('phenotips.PatientSheet.noPIIWarning'){{/warning}}\n\n#end\n##\n#set($privacyLevelObject = $doc.getObject('PhenoTips.PatientConsent'))\n#if ("$!{privacyLevelObject}" != '')\n  #set($minimumPrivacy = false)\n  #set($docPrivacyLevels = ['0'])\n  #if ("$!{privacyLevelObject.getProperty('real').value}" == '1') \n    #set($discard = $docPrivacyLevels.add('1'))\n    #set($minimumPrivacy = true)\n  #end\n  #if ("$!{privacyLevelObject.getProperty('genetic').value}" == '1') #set($discard = $docPrivacyLevels.add('2')) #end\n  #if ("$!{privacyLevelObject.getProperty('share_history').value}" == '1') #set($discard = $docPrivacyLevels.add('3')) #end\n  #if ("$!{privacyLevelObject.getProperty('share_images').value}" == '1') #set($discard = $docPrivacyLevels.add('4')) #end\n#end\n## Extensions making up the main content, the actual information about the patient\n#set ($recordConfiguration = $services.recordConfiguration.getActiveConfiguration())\n#foreach ($section in $recordConfiguration.enabledSections)\n  #set ($sectionContent = '')\n  #foreach ($element in $section.enabledElements)\n    #set ($privacyLevel = $element.extension.getParameters().get('privacy_level'))\n    #if ("$!{privacyLevel}" == '')\n      #set ($privacyLevel = '0')\n    #end\n    #if (($docPrivacyLevels.contains($!{privacyLevel}) &amp;&amp; $minimumPrivacy) || "$!{privacyLevelObject}" == '')\n      #set ($extension_required = ($element.extension.getParameters().get('required') == 'true'))\n      #set ($itemContent = $services.rendering.render($element.extension.execute(), 'xhtml/1.0').trim())\n      #set ($sectionContent = $sectionContent.concat($itemContent))\n    #end\n  #end\n  #if ($sectionContent.trim() != '')\n    (% class="clear clinical-info $stringtool.substringAfterLast($section.extension.id, '.') chapter" %)(((\n      == $section.name ==\n\n      {{html clean="false" wiki="false"}}$sectionContent.trim(){{/html}}\n    )))\n  #end\n#end\n##\n## Extensions displayed after the content\n#foreach ($e in $services.uix.getExtensions('org.phenotips.patientSheet.after'))\n\n  {{html clean=false}}$services.rendering.render($e.execute(), 'xhtml/1.0'){{/html}}\n#end\n#end\n{{/velocity}}</content></xwikidoc>\n
-6685931682567443226	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__global_age_of_onset</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822202000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.globalAgeOfOnset')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__global_age_of_onset</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>f477f684-d0b4-4eb8-ad38-b47d47f3c7bd</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('global_age_of_onset')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.medical-history</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.global_age_of_onset</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.globalAgeOfOnset')\nenabled=true\norder=3\nrequired=\nfields=global_age_of_onset\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
7223429675829821357	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__allergies</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822218000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.allergies')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__allergies</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>56dfe404-8880-4941-8fb5-b7e6da0f744c</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#set ($origObj = $obj)\n#set ($obj = $doc.getObject('PhenoTips.AllergiesDataClass', true))\n#set ($origObjClass = $doc.getActiveClass())\n#set ($discard = $doc.use($obj))\n#set ($origClass = $class)\n#set ($class = $xwiki.getClass('PhenoTips.AllergiesDataClass'))\n##\n#__hasDataToDisplay('allergies', $showAllergies)\n#__hasBooleanDataToDisplay('NKDA' $showNKDA)\n#if ($showNKDA || $showAllergies)\n  (% class="fieldset allergies %)(((\n    #__label('allergies' 'section group-title' '')\n    #if ($xcontext.action == 'edit')\n      (% class="displayed-value"%)(((\n      $doc.display('NKDA') #__label('NKDA' '' "$class.get('NKDA').translatedPrettyName")\n      )))\n    #else\n      #if ($showNKDA)\n        (% class="displayed-value"%)(((\n        $class.get('NKDA').translatedPrettyName\n        )))\n      #end\n    #end\n    #if ($xcontext.action == 'edit' || ($doc.display('allergies') != ''))\n      #__display('allergies')\n    #end\n  )))\n#end\n##\n#set ($class = $origClass)\n#set ($discard = $doc.use($origObj))\n#set ($obj = $origObj)\n{{/velocity}}\n</content></property><property><extensionPointId>org.phenotips.patientSheet.section.medical-history</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.allergies</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.allergies')\nenabled=true\norder=2\nrequired=\nfields=\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
3957678132269512488	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Section__diagnosis-info</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822217000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXSection.diagnosisInfo')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Section__diagnosis-info</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>998a5875-0966-471d-8064-27f9894852b8</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.content</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.section.diagnosis-info</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXSection.diagnosisInfo')\nenabled=true\nrequired=\norder=9</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
1462980033326924549	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__multiple_gestation</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1437239526000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.multipleGestation')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__multiple_gestation</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>0aa7c5c1-89ca-4763-b4ab-1b82fc0ea566</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#__displayIfSet('multipleGestation', false)\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.prenatal-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.multipleGestation</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.multipleGestation')\nenabled=true\nrequired=\norder=0\nfields=multipleGestation\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
8286238012628628754	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>AllergySearch</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.AllergiesDataClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1439417066000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>AllergySearch</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>false</hidden>\n<content>{{velocity}}\n#if ($xcontext.action == 'get')\n  #set ($input = $request.getParameter("input").toLowerCase())\n  #set ($finalResults = [])\n  #set ($lowercaseResults = [])\n\n  #foreach($res in $services.query.hql('select distinct list from BaseObject as obj, DBStringListProperty as prop join prop.list list where obj.name &lt;&gt; ? and obj.className = ? and prop.id.id = obj.id and prop.id.name = ? and lower(list) like ?').bindValues(['PhenoTips.PatientTemplate', 'PhenoTips.AllergiesDataClass', 'allergies', "%${input}%"]).setLimit(10).execute())\n    #if (!$lowercaseResults.contains($res.toLowerCase()))\n      #set ($discard = $finalResults.add($res))\n      #set ($discard = $lowercaseResults.add($res.toLowerCase()))\n    #end\n  #end\n\n  ##Display\n  ##-------\n\n    $response.setContentType("text/xml")\n    &lt;?xml version="1.0" encoding="UTF-8"?&gt;\n    &lt;results type="3"&gt;\n    #foreach($result in $finalResults)\n      &lt;rs id="$foreach.count" info=""&gt;$escapetool.xml($result)&lt;/rs&gt;\n    #end\n    &lt;/results&gt;\n#end\n{{/velocity}}\n</content></xwikidoc>
4184733391775176195	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__variants</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822202000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.variants')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__variants</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>9093f2c7-707a-49ea-b224-92a40ab7f529</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n#set ($targetClassName = 'PhenoTips.VariantClass')\n#if ($xcontext.action == 'edit' || $doc.getObject($targetClassName))\n  #__extradata_displayTable($targetClassName, {'counter' : true, 'labels' : false, 'mode' : $xcontext.action})\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.variant-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.variants</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.variants')\nenabled=true\nrequired=\norder=1\nfields=</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-7433683939374499132	1	1	2017-05-12 15:43:33	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PhenotypeCategoryClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822126000</creationDate>\n<date>1494618213000</date>\n<contentUpdateDate>1494618213000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.PhenotypeCategoryClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<target_property_category>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>target_property_category</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>target_property_category</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</target_property_category>\n<target_property_name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>target_property_name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>target_property_name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</target_property_name>\n<target_property_value>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>target_property_value</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>target_property_value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</target_property_value>\n</class>\n<content></content></xwikidoc>\n
1170145800217320925	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PatientConsent</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1431025641000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>PhenomeCentral_Consent.pdf</filename>\n<filesize>142718</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618214000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<class>\n<name>PhenoTips.PatientConsent</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<genetic>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>genetic</name>\n<number>3</number>\n<prettyName>genetic</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</genetic>\n<matching>\n<customDisplay></customDisplay>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>matching</name>\n<number>6</number>\n<prettyName>matching</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</matching>\n<message_holder>\n<customDisplay>{{velocity}}\n#set ($consentDoc = $xwiki.getDocument('PhenoTips.PatientConsent'))\n#set ($formUrl = $consentDoc.getAttachmentURL('PhenomeCentral_Consent.pdf'))\n{{html wiki='false' clean='false'}}\n$services.localization.render('PhenoTips.PatientConsent_message', ["$!{formUrl}"])\n{{/html}}\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>message_holder</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName></prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</message_holder>\n<real>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>real</name>\n<number>1</number>\n<prettyName>real</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</real>\n<share_history>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>share_history</name>\n<number>4</number>\n<prettyName>share</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</share_history>\n<share_images>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>share_images</name>\n<number>5</number>\n<prettyName>share_images</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</share_images>\n</class>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientConsent</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>d6d0ec8b-0824-4022-9aea-b5404c536cbb</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>(function () {\n  var init = function() {\n    var button = $('patient-consent-save');\n    button.observe('click', function(event) {\n      event.stop();\n      document.fire("xwiki:actions:save", {"continue" : true, "form" : button.up("form")});\n      document.observe('xwiki:document:saved', function(event) {\n        window.location.reload();\n      });\n    });\n  };\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);\n})();</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.PatientConsent</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>995516fc-aa05-4b06-9d24-f6003a1c8aa3</guid>\n<property>\n<content>{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.jsx.use('PhenoTips.PatientConsent')##\n  #set ($consentObj = $doc.getObject('PhenoTips.PatientConsent'))\n  #if ("$!{consentObj}" == '')\n    #set ($consentObj = $doc.getObject('PhenoTips.PatientConsent', true))\n    $doc.save('Added Consent object', true)##\n  #end\n  #set ($consentClass = $consentObj.getxWikiClass())\n  #foreach ($property in $consentClass.getPropertyNames())\n    {{html clean='false' wiki='true'}}\n    &lt;p&gt;&lt;label&gt;$consentObj.display($property, 'edit') $consentClass.get($property).translatedPrettyName&lt;/label&gt;&lt;/p&gt;\n    {{/html}}\n\n  #end\n  {{html clean='false' wiki='false'}}##\n    &lt;span class="buttonwrapper" id="patient-consent-save"&gt;##\n      &lt;a class="button" href="#"&gt;Save&lt;/a&gt;##\n    &lt;/span&gt;##\n  {{/html}}##\n#end\n{{/velocity}}\n</content></property><property><extensionPointId>org.phenotips.patientSheet.before</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.consent</name>\n</property>\n<property>\n<parameters>disabled=true</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-1895600816939211174	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__genes</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822202000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.genes')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.UIX_Field__genes</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>0c3e868a-743c-4714-ba1a-a04cbf6b0dd1</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n\n  var fetchGeneDetails = function(geneRefs, geneNames) {\n    if (!geneNames) {\n      geneNames = geneRefs.pluck('value');\n    }\n    var i = 0;\n    geneRefs.each(function (element) {\n      element._name = geneNames[i];\n      ++i;\n    });\n    geneNames = geneNames.findAll(function(n){return encodeURIComponent(n);});\n    if (geneNames.size() == 0) {\n      return;\n    }\n    var queryString = '?outputSyntax=plain&amp;g=' + geneNames.join("&amp;g=");\n    new Ajax.Request(new XWiki.Document('GeneNameService', 'PhenoTips').getURL('get') + queryString,\n       {\n         onCreate : function() {\n           geneRefs.each(function(element) {\n             var geneLinks = element.next('div.gene-links');\n             if (!geneLinks) {\n               geneLinks = new Element('div', {'class' : 'gene-links', style : 'min-height: 16px'});\n               element.insert({after: geneLinks});\n             }\n             geneLinks.addClassName('loading').update('');\n           });\n         },\n         onSuccess : function(response) {\n           geneRefs.each(function(element) {\n             var data = response.responseJSON;\n             var geneName = element._name;\n             var info = data &amp;&amp; data.response &amp;&amp; data.response[geneName] &amp;&amp; data.response[geneName].external_ids;\n             if (info) {\n\n                var geneLinks = element.next('div.gene-links') || new Element('div', {'class' : 'gene-links'});\n                var externalDBs = [\n                          { name : 'GENECARDS', url : 'http://www.genecards.org/cgi-bin/carddisp.pl?gene=',          field : 'genecards_id'},\n                          { name : 'OMIM',      url : 'http://www.omim.org/entry/',                                  field : 'omim_id'},\n                          { name : 'Entrez',    url : 'http://www.ncbi.nlm.nih.gov/gene/?term=',                     field : 'entrez_id'},\n                          { name : 'RefSeq',    url : 'http://www.ncbi.nlm.nih.gov/nuccore/',                        field : 'refseq_accession'},\n                          { name : 'Ensembl',   url : 'http://useast.ensembl.org/Homo_sapiens/Gene/Compara_Tree?g=', field : 'ensembl_gene_id'}\n                ];\n                externalDBs.each(function (item) {\n                         var value = info[item.field];\n                         if (value) {\n                           if (!value.each) {\n                             value = [value];\n                           }\n                           value.each (function (id) {\n                             geneLinks.insert(new Element('a', {\n                               'href'   : item.url + id,\n                               'class'  : 'button secondary'\n                             }).update(item.name + ': ' + id).wrap('span', {'class' : 'buttonwrapper'}));\n                           });\n                         }\n                });\n                geneLinks.select('a').each(function(item) {\n                         item.observe('click', function(event) {\n                            event.stop();\n                            window.open(item.href);\n                         })\n                });\n                if (!element.__handleEmptyValue) {\n                   element.__handleEmptyValue = true;\n                   ['keyup', 'change', 'keypress'].each(function(eventName) {\n                     element.observe(eventName, function (event) {\n                       if (element.value == '') {\n                         geneLinks &amp;&amp; geneLinks.update('');\n                       }\n                     })\n                   });\n                }\n             }\n           });\n         },\n         onComplete : function () {\n           geneRefs.each(function(element) {\n             var geneLinks = element.next('div.gene-links');\n             if (geneLinks) {\n               geneLinks.removeClassName('loading');\n             }\n           });\n         }\n       }\n    );\n  }\n\n  fetchGeneDetails($$('input.gene-name'));\n\n  $$('input.gene-name').invoke('observe', "ms:suggest:selected", function (event) {\n    fetchGeneDetails([event.findElement()], event.memo &amp;&amp; [event.memo.value] || []);\n  });\n\n  document.observe("xwiki:dom:updated", function(event) {\n    if (event.memo &amp;&amp; event.memo.elements) {\n      event.memo.elements.each(function (elt) {\n        fetchGeneDetails(elt.select('input.gene-name'));\n        elt.select('input.gene-name').invoke('observe', "ms:suggest:selected", function (event) {\n          fetchGeneDetails([event.findElement()], event.memo &amp;&amp; [event.memo.value] || []);\n        });\n      });\n    }\n  })\n})</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.UIX_Field__genes</name>\n<number>1</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>ddc20308-5638-42ba-9680-19944cc57e54</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe("xwiki:dom:loaded", function(event) {\n  var geneSuggestOptions = {\n            script: new XWiki.Document('GeneNameService', 'PhenoTips').getURL('get', 'outputSyntax=plain') + "&amp;",\n            varname: "q",\n            noresults: "$services.localization.render('phenotips.UIXField.genes.noMatches')",\n            json: true,\n            resultsParameter : "docs",\n            resultId : 'symbol',\n            resultValue : 'symbol',\n            resultAltName : "alias_symbol",\n            enableHierarchy: false,\n            tooltip : 'gene-info',\n            resultInfo : {},\n            fadeOnClear : false,\n            timeout : 30000,\n            parentContainer : null\n  };\n\n  // -----------------------------------------------------------------\n  // Create and attach the suggests\n  // -----------------------------------------------------------------\n  var attachPickers = function() {\n    if (typeof(PhenoTips.widgets.Suggest) != "undefined") {\n      $$('input.suggest-gene').each(function(item) {\n        if (!item.hasClassName('initialized')) {\n          item._suggest = new PhenoTips.widgets.Suggest(item, geneSuggestOptions);\n          item.addClassName('initialized');\n        }\n      });\n    }\n  };\n  attachPickers();\n  document.observe("xwiki:dom:updated", attachPickers);\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.UIX_Field__genes</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>31ef03c0-7319-491e-8ee4-ac2863448012</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.extradata-list td.counter {\n  width: 3em;\n}\n.extradata-list td.gene {\n  width: 50%;\n  text-align: left;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__genes</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>7b7c0c0e-2a31-4710-8479-891b7742595e</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n$xwiki.ssx.use('PhenoTips.UIX_Field__genes')##\n$xwiki.jsx.use('PhenoTips.UIX_Field__genes')##\n#set ($targetClassName = 'PhenoTips.InvestigationClass')\n#if ($xcontext.action == 'edit' || $doc.getObject($targetClassName))\n  === $services.localization.render('phenotips.UIXField.genes.sheetTitle')===\n\n  #__extradata_displayTable($targetClassName, {'counter' : true, 'labels' : false, 'propertyName' : 'type', 'propertyValue' : 'molecular', 'mode' : $xcontext.action, 'rejectToClass' : "RejectedGenesClass"})\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.genotype</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.genes</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.genes')\nenabled=true\nrequired=\norder=1\nfields=\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
8133393108608529178	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>AllergiesDataClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1439416706000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>false</hidden>\n<class>\n<name>PhenoTips.AllergiesDataClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<NKDA>\n<customDisplay></customDisplay>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>NKDA</name>\n<number>2</number>\n<prettyName>NKDA</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</NKDA>\n<allergies>\n<cache>0</cache>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($suggest_script = $xwiki.getURL('PhenoTips.AllergySearch', 'get', 'outputSyntax=plain'))\n{{html wiki=false clean=false}}&lt;input name="xwiki-free-multiselect-suggest-script" type="hidden" value="$!escapetool.xml($suggest_script)"/&gt;&lt;input name="${prefix}${name}" type="hidden" value=""/&gt;{{/html}}\n#end\n#macro (_fms__displayValue $v $counter)\n  #if($xcontext.action == 'edit' || $xcontext.action == 'inline')\n    {{html wiki=false clean=false}}&lt;input class="xwiki-free-multiselect-value" type="text" size="30" name="${prefix}${name}" id="${prefix}${name}_${counter}" value="$!escapetool.xml($v)"/&gt;{{/html}}##\n  #else\n    $escapetool.xml($v)##\n  #end\n#end\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n(% class="xwiki-free-multiselect"%)\n#end\n#foreach ($v in $value)\n1. #_fms__displayValue($v ${foreach.count})\n\n#end\n#if ((!$value || $value.size() == 0) &amp;&amp; ($xcontext.action == 'edit' || $xcontext.action == 'inline'))\n1. #_fms__displayValue('' 1)\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>allergies</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Allergies - environmental, food, medication</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>, </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</allergies>\n</class>\n<content></content></xwikidoc>\n
7579896291726018797	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:studies-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>StudyBindingSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.StudyBindingClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822203000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:studies-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n; $services.localization.render('phenotips.studyBindingSheet.selectStudy')\n#if ($doc.getObject('PhenoTips.PatientClass'))\n: $doc.getObject('PhenoTips.StudyBindingClass', true).studyReference\n#else\n: {{include reference="PhenoTips.StudyBindingClass" /}}\n#end\n{{/velocity}}\n</content></xwikidoc>
4139803955793839247	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__global_mode_of_inheritance</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822218000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.globalModeOfInheritance')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__global_mode_of_inheritance</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>8b63fae8-caef-4cd3-935d-e079253eb269</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('global_mode_of_inheritance')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.family-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.global_mode_of_inheritance</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.globalModeOfInheritance')\nenabled=true\nrequired=\norder=12\nfields=global_mode_of_inheritance\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-451624432373926768	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>RelativeClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822127000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.RelativeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<relative_of>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#if ($type == 'edit')\n{{html clean="false"}}&lt;input class="suggested" id="${doc.fullName}_${prefix}${name}" name="${prefix}${name}" onfocus="new ajaxSuggest(this, {script: '$xwiki.getURL('', 'get', "xpage=suggest&amp;classname=${field.className}&amp;fieldname=${name}&amp;firCol=eid.value&amp;secCol=-")&amp;', varname:'input'} )" type="text" value="$!escapetool.xml($value)" /&gt;\n{{/html}}\n#elseif ("$!value" != '')\n  #set ($matchingDocuments = $xwiki.wrapDocs($services.query.xwql("where doc.object(PhenoTips.PatientClass).external_id = :eid").bindValue('eid', $value).execute()))\n  #if ($matchingDocuments.size() == 1)\n    [[${value}&gt;&gt;$matchingDocuments.get(0).documentReference]]##\n  #else\n    $!value##\n  #end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>relative_of</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Of patient with identifier</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select eid.value from BaseObject as obj, StringProperty as eid where obj.className = 'PhenoTips.PatientClass' and eid.id.id = obj.id and eid.id.name = 'external_id'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</relative_of>\n<relative_type>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>relative_type</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>This patient is the</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>parent=Parent|child=Child|sibling=Sibling|twin=Twin|cousin=Cousin|aunt_uncle=Aunt / Uncle|niece_nephew=Niece / Nephew|grandparent=Grandparent|grandchild=Grandchild</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</relative_type>\n</class>\n<content></content></xwikidoc>\n
-6810252694605477080	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__omim_suggestions</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822209000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.diagnosisSuggestions')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__omim_suggestions</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>04c45346-b203-4fd8-a60f-1b32e0cd72ff</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  (% class="ncbi-search-box" %)(((\n    === $services.localization.render('phenotips.UIXField.diagnosisSuggestions.omimSearch')===\n\n    (% class="ncbi-search-box-content"%)(((\n      (% class="hint"%)$services.localization.render('phenotips.UIXField.diagnosisSuggestions.omimSearch.Hint')(%%)\n      {{html wiki=false clean=false}}&lt;input type="hidden" id="defaultSearchTermsInput" value="" /&gt;&lt;input type="hidden" id="defaultSearchTermIDsInput" value="" /&gt;{{/html}}\n      (% id="defaultSearchTerms" %)((()))\n      ##(% class="hint"%)$services.localization.render('phenotips.UIXField.diagnosisSuggestions.omimSearch.defaultTerms')(%%)\n      ## {{html wiki=false clean=false}}&lt;input type="text" id="customSearchTermsInput" value="" /&gt;{{/html}}\n      (% class="background-search omim-search hidden" %)(((\n        ====$services.localization.render('phenotips.UIXField.diagnosisSuggestions.omimSearch.matchingDisorders')====\n        (% id="omim-search-results" class="background-suggestions" %)((()))\n      )))\n    )))\n  )))## ncbi-search-box\n  (% class="clear" %)((()))\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.diagnosis-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.omim_suggestions</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.diagnosisSuggestions')\nenabled=true\nrequired=\norder=4\nfields=\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
8018092016635097365	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__gestation</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822210000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.gestation')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__gestation</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>3224050b-6573-4061-8702-0c3b67a0f202</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayFormatted('2-col' 'gestation' '' '' '')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.prenatal-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.gestation</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.gestation')\nenabled=true\nrequired=\norder=1\nfields=gestation\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
8683763145300699732	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__phenotype</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822210000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.phenotype')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.UIX_Field__phenotype</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>45c42ef5-2dbe-454a-83fb-410dab672231</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  // ------------------------------------------------------------------------\n  // Phenotype Section Nav Tools\n  // ------------------------------------------------------------------------\n  if (!$('inline')) {\n    // If not in edit mode, no behavior to add\n    return;\n  }\n\n  $$('.chapter .browser .browser-title').each(function(item) {\n    item.insert({after: new Element('span', {'class' : 'expand-tools'})});\n  });\n  var showIcon = '&lt;span class="fa fa-plus-square-o fa-lg"&gt;&lt;/span&gt;&amp;nbsp;';\n  var phBrowserExpandAll = new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update(showIcon+"$services.localization.render('phenotips.UIXField.phenotype.expand')");\n  var phBrowserExpandAllWrapper = new Element('span', {'class' : 'buttonwrapper expand-all'}).insert(phBrowserExpandAll);\n  var hideIcon = '&lt;span class="fa fa-minus-square-o fa-lg"&gt;&lt;/span&gt;&amp;nbsp;';\n  var phBrowserCollapseAll = new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update(hideIcon+"$services.localization.render('phenotips.UIXField.phenotype.collapse')");\n  var phBrowserCollapseAllWrapper = new Element('span', {'class' : 'buttonwrapper collapse-all'}).insert(phBrowserCollapseAll);\n  var phBrowserExpandTools = new Element('span', {'class' : 'inner-expand-tools'}).insert(phBrowserExpandAllWrapper).insert(phBrowserCollapseAllWrapper);\n\n  $$('.chapter.phenotype-info .browser h3+.expand-tools').invoke('insert', {'top' : phBrowserExpandTools});\n  $$('.chapter.phenotype-info .collapsible-group h3').each(function(item) {\n    item.insert({'top': new Element('span', {'class' : 'expand-tool'}).update('▼')});\n  });\n\n  var toggleCategory = function(target) {\n    if (!target) {return;}\n    if (typeof (target.element) == 'function') {\n      return toggleCategory(target.findElement());\n    }\n    var parent = target.up('.collapsible-group');\n    if (parent) {\n      var heightBefore = parent.getHeight();\n      parent.toggleClassName('collapsed');\n      parent.down('.expand-tool').update(parent.hasClassName('collapsed') &amp;&amp; '►' || '▼');\n\n      var summary = parent.up('.selector-panel.current-phenotype-selection');\n      if (summary) {\n        summary.fire('size:changed', {diff : (heightBefore - parent.getHeight())});\n      }\n    }\n  }\n\n  var relayoutSummaryStickyBox = function() {\n    if (sSticky) {\n      sSticky.makeDefault();\n      sSticky.resetPosition();\n    }\n  }\n\n  $$('.chapter.phenotype-info .collapsible-group h3').each(function(item){\n     if (item.up('.browser') &amp;&amp; !item.up('.collapsible-group').down('input[type=checkbox]:checked')) {\n       toggleCategory(item);\n     }\n     item.observe('click', function() {\n       toggleCategory(item);\n       relayoutSummaryStickyBox();\n     });\n  });\n  phBrowserExpandAllWrapper.observe('click', function(event){\n    event.element().up('.chapter').select('.collapsible-group.collapsed h3').each(function(item) {\n      toggleCategory(item);\n    });\n    relayoutSummaryStickyBox();\n  });\n  phBrowserCollapseAllWrapper.observe('click', function(event){\n    event.element().up('.chapter').select('.collapsible-group:not(.collapsed) h3').each(function(item) {\n      toggleCategory(item);\n    });\n    relayoutSummaryStickyBox();\n  });\n\n  phBrowserCollapseAll.click();\n\n  // ------------------------------------------------------------------------\n  // Behavior of the quick search box\n  // ------------------------------------------------------------------------\n  var offsetTop = $('patient-record-actions') &amp;&amp; $('patient-record-actions').getHeight() || 0;\n  var qsBox = $('quick-search-box');\n  if (qsBox) {\n    var content = qsBox.up('div');\n    if (content) {\n      qsBox.__x_qsInput = qsBox.down('input[type=text]') || {};\n      var qsSticky = new StickyBox(qsBox, content, {offsetTop : offsetTop, isSticky : function(element) {return !element.__x_qsInput._activeSuggest} });\n      Event.observe(document, 'ms:suggest:containerCreated', function(event) {\n        if (event.memo.suggest.fld == qsBox.__x_qsInput) {\n          qsBox.__x_qsInput._activeSuggest = true;\n          var qsSuggest = event.memo.container;\n          if (qsBox.getStyle('position') == 'fixed') {\n            qsSuggest.style.position = 'fixed';\n          }\n          qsSuggest.style.top = (qsBox.__x_qsInput.cumulativeOffset().top + qsBox.__x_qsInput.getHeight()) + 'px';\n          qsSuggest.style.left = qsBox.__x_qsInput.cumulativeOffset().left;\n        }\n      });\n      Event.observe(document, 'ms:suggest:clearSuggestions', function(event) {\n        if (event.memo.suggest.fld == qsBox.__x_qsInput) {\n          qsBox.__x_qsInput._activeSuggest = false;\n        }\n      });\n    }\n  }\n\n  // ------------------------------------------------------------------------\n  // Behavior of the selection summary box\n  // ------------------------------------------------------------------------\n  var offsetBottom = document.documentElement.down('.bottombuttons') &amp;&amp; document.documentElement.down('.bottombuttons').getHeight();\n  var summaryContent = $('current-phenotype-selection');\n  var summary = summaryContent &amp;&amp; summaryContent.up('.selector-panel');\n  if (summary) {\n    var container = summary.up();\n    summary.addClassName('absolute');\n    var sSticky  = new StickyBox(summary, container, {offsetTop : offsetTop, offsetBottom: offsetBottom, resize: true, isSticky : function(element) {return element.hasClassName('half-width') &amp;&amp; element.getHeight() &lt; element.previous().getHeight()}});\n    summary.observe('size:changed', function(event) {\n      if (!event.memo) {\n         summaryContent.style.height = '';\n         summaryContent.style.overflow = '';\n      } else {\n         summaryContent.style.height = (summaryContent.getHeight() + (event.memo.diff || 0)) + 'px';\n         summaryContent.style.overflow = 'auto';\n         summary.style.overflow = '';\n      }\n    });\n  }\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.UIX_Field__phenotype</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>c1ed84c3-bd41-4c48-a17c-0e3610e66b66</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n\n/** ----------------------------------------------------------- */\n/** Quick search box &amp; suggest */\n.emphasized-box {\n  background: $theme.backgroundSecondaryColor;\n  border: 1px solid $theme.backgroundSecondaryColor;\n  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2), 0 10px 10px #F9F9F9, inset 0 0 50px rgba(0, 0, 0, 0.15);\n}\n.quick-search-box.sticky {\n  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2), 0 -1.8em 0px #f9f9f9, 0 10px 10px #F9F9F9, inset 0 0 50px rgba(0, 0, 0, 0.15);\n}\n.quick-search-box {\n  border: 0 none;\n  z-index: 1000;\n  background-color: $theme.menuBackgroundColor;\n  #css3_backgroundLinearGradient({\n    'to': 'bottom',\n    'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n.quick-search-box fieldset {\n  border: 1px solid $theme.backgroundSecondaryColor;\n  padding: .5em .8em;\n}\n.quick-search-box table {\n  margin: 0;\n  width: 100%;\n}\n.quick-search-box table td {\n  border: 0 none;\n  padding: 0;\n}\n.quick-search-box table label {\n  color: $theme.menuLinkColor;\n  font-weight: bold;\n  text-shadow: 0 1px 1px $theme.menuBackgroundColor;\n}\n.quick-search-box table td.icon {\n  width: 3.2em;\n  vertical-align: middle;\n}\n.quick-search-box input:focus {\n  color: $theme.textColor;\n  font-style: normal;\n}\n\n/* ------------------------------------------------- */\n.editbody .clinical-info .predefined-entries label.section {\n  font-weight: normal;\n}\n.editbody .clinical-info .phenotypes-main label.section:before {\n  content: "\\25bc";\n  display: inline-block;\n  color: $theme.textSecondaryColor;\n  font-size: .75em;\n  top: -0.5em;\n  text-shadow: 0 0 5px $theme.textSecondaryColor;\n  opacity: .3;\n}\n\n/* -------------------------------------------------- */\n.chapter.collapsed #quick-search-box {\n  display: block;\n}\n.selector-panels {\n  position: relative;\n}\n\n.phenotype-info h3 .expand-tool {\n  vertical-align: top;\n  width: 1em;\n  font-size: 1em;\n}\n.phenotype-group.collapsed *,\n.negative_phenotype-group.collapsed * {\n  display: none;\n}\n.phenotype-group.collapsed h3,\n.negative_phenotype-group.collapsed h3 {\n  display: block;\n}\n.phenotype-group.collapsed h3 *,\n.negative_phenotype-group.collapsed h3 * {\n  display: inline;\n}\n.phenotypes-main {\n  position: relative;\n}\n.phenotypes-main .hint {\n  margin-left: 20px;\n}\n.subsection {\n  margin-left: 1.3em;\n}\n.subsection .phenotypes-main br {\n  display: none;\n}\n.subsection .phenotypes-main br:last-child {\n  display: block;\n  clear: left;\n}\n.subsection .phenotypes-main {\n  display: block;\n}\n.subsection .phenotypes-main label {\n  float: left;\n  margin: 0 1% 0 0;\n  padding: 0 8px;\n  width: auto;\n  font-weight: normal !important;\n}\n.subsection .phenotypes-main label.section {\n  clear: both;\n  display: block;\n  float: none;\n}\n.chapter .phenotype-group,\n.chapter .negative_phenotype-group {\n  padding: 0 1em;\n}\n.chapter .phenotype-group h3,\n.chapter .negative_phenotype-group h3 {\n  overflow: visible;\n  text-transform: uppercase;\n  font-size: 1.1em;\n  cursor: pointer;\n  margin-left: -1em;\n  margin-bottom: .3em;\n}\n.editbody .chapter .custom-entries {\n  margin-top: .5em;\n  padding-top: .5em;\n  padding-left: .8em;\n  border-top: 1px dotted $theme.borderColor;\n}\n.editbody .chapter .predefined-entries:empty ~ .custom-entries {\n  border-top: 0 none;\n  margin-top: 0;\n  padding-top: 0;\n}\n.browse-phenotype-categories {\n  margin: .5em .75% 0em !important;\n  padding-right: .75%;\n}\n.current-phenotype-selection {\n  padding: 0 !important;\n  background-color: #FFFFFF;\n  border: 1px solid #FFFFFF;\n  border-radius: 4px;\n  box-shadow: 0 1px 8px #DDDDDD inset;\n  float: right;\n  margin-left: 0 !important;\n  margin-right: 0 !important;\n}\n#current-phenotype-selection {\n  margin: 0 !important;\n  padding: 0 !important;\n}\n.sub-panel &gt; h3 {\n  font-size: 0.8em !important;\n  font-weight: 700;\n  letter-spacing: 0;\n  margin: 0 !important;\n  padding: 5px 20px 5px 15px !important;\n  text-align: left;\n  text-transform: uppercase;\n  background-color: $theme.panelHeaderBackgroundColor;\n  #css3_backgroundLinearGradient({\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.panelHeaderGradientColor, 'position': '0%'},\n      {'color': $theme.panelHeaderBackgroundColor, 'position': '100%'}\n    ]\n  })\n  border-radius: 4px 4px 0 0;\n  border: 1px solid $theme.borderColor;\n  color: $theme.panelHeaderTextColor;\n  text-shadow: 0 1px 0 $theme.panelHeaderGradientColor;\n}\n\n.diffDiagnosis-search {\n  background-color: $theme.highlightColor;\n  margin: 0 !important;\n  padding: 0 !important;\n}\n.diffDiagnosis-search .hint {\n  padding: 0.92em;\n}\n#diffDiagnosis-search-results ul li {\n  margin: 0;\n}\n#diffDiagnosis-search-results ul .id {\n  display: none;\n}\n\n.current-phenotype-selection h3 {\n  margin-left: 1em;\n  margin-right: 1em;\n}\n.current-phenotype-selection.half-width {\n  width: 47.5%;\n}\n#current-phenotype-selection .summary-group {\n  margin: 1em;\n}\n#current-phenotype-selection .summary-item {\n  padding-left: 18px;\n  margin-left: 1em;\n  margin-bottom: .5em;\n}\n#current-phenotype-selection .summary-item .no, .value-checked.no-selected {\n  color: $theme.notificationErrorColor;\n}\n#current-phenotype-selection .summary-item .no:before {\n  content: "NO ";\n}\n#current-phenotype-selection .summary-item label {\n  width: auto;\n  margin-right: 1em;\n}\n#current-phenotype-selection .summary-item .tools {\n  color: $theme.textPrimaryColor;\n  font-size: 0.8em;\n}\n#current-phenotype-selection .summary-item .tools .tool:hover {\n  color: $theme.linkColor;\n  cursor: pointer;\n}\n.fieldset .displayed-value p {\n  line-height: 1.4em;\n  margin: 0;\n}\n.fieldset .displayed-value {\n  margin: 0 0 0.5em;\n}\nlabel.selected, label.subterm-selected {\n  background-color: $theme.backgroundSecondaryColor;\n  font-weight: bold;\n}\n/** -------------------------------------------- **/\n/** Suggestions **/\n.accepted-suggestions li .delete-tool, .clear-tool {\n  background-color: $theme.buttonPrimaryBackgroundColor;\n  color: $theme.buttonPrimaryTextColor;\n  border-radius: 3px;\n  padding: 2px;\n}\n/** -------------------------------------------- **/\n/** Negative phenotypes **/\n\n.negative_phenotype-group h3 {\n  color: $theme.notificationErrorColor;\n}\n.negative_phenotype-group h3 em {\n  font-weight: bold;\n}\n.negative_phenotype-group .infomessage {\n  margin-left: -4px;\n}\n.negative_phenotype-group .phenotypes-main .hint {\n  margin-left: 0;\n}\n.negative_phenotype-group .label-other {\n  display: none;\n}\n.negative_phenotype-group .selected .value, .viewbody .negative_phenotype-group .value-checked , .viewbody .negative_phenotype-group .section {\n  text-decoration: line-through;\n  color: $theme.notificationErrorColor;\n}\n/** -------------------------------------------- **/\n/** "Unaffected" zone **/\n.unaffected label {\n  display: inline;\n  font-weight: bold;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__phenotype</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>776d4800-eade-41ea-974e-bc098b0fb426</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n$xwiki.ssx.use('PhenoTips.UIX_Field__phenotype', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.UIX_Field__phenotype')##\n#macro (__qsBox $fieldName $cssClass)\n  #if ($xcontext.action == 'edit')\n   (% id="quick-search-box"  class="group-other quick-search-box emphasized-box $!{cssClass}" %)(((\n    {{html clean="false" wiki="false"}}\n    &lt;fieldset&gt;\n      &lt;table&gt;&lt;tbody&gt;&lt;tr&gt;&lt;td class="icon"&gt;&lt;label for="quick-phenotype-search"&gt;&lt;span class="fa fa-search fa-3x"&gt; &lt;/span&gt;&lt;/label&gt;&lt;/td&gt;\n      &lt;td&gt;&lt;label for="quick-phenotype-search"&gt;$services.localization.render('phenotips.UIXField.phenotype.quickSearch')&lt;/label&gt;\n      &lt;input type='text' name='$!{fieldName}' class='suggested multi suggest-hpo quickSearch withTip generateYesNo' placeholder="$services.localization.render('phenotips.UIXField.phenotype.quickSearch.placeholder')" size='16' id='quick-phenotype-search'/&gt;&lt;/td&gt;\n      &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;\n    &lt;/fieldset&gt;\n    {{/html}}\n   )))\n  #end\n#end\n##\n##\n#__hasBooleanDataToDisplay('unaffected', $showUnaffected)\n#__hasDataToDisplay('phenotype' $showPhenotype)\n#__hasDataToDisplay('negative_phenotype' $showNegativePhenotype)\n##\n##\n#if ($showUnaffected || $showPhenotype || $showNegativePhenotype)\n  (% class="controlled-group complete-hide" %)(((\n  (% class="fieldset unaffected controller exclude" %)(((\n  #if ($xcontext.action == 'edit')\n    $doc.display('unaffected') #__label('unaffected' '' "$class.get('unaffected').prettyName")\n\n    (% class="hint controlled" %)$services.localization.render('phenotips.UIXField.phenotype.selectPhenotypes')(%%) {{icon name="question-circle" cssClass="xHelpButton controlled" title="$services.localization.render("PhenoTips.PatientClass_select_phenotypes_hint").replace('"', '~~~"')"/}}\n  #else\n    #if ($showUnaffected)$class.get('unaffected').prettyName#end\n  #end\n  )))\n  (% class="controlled" %) (((\n  #if ($xcontext.action == 'edit')\n    (% class="selector-panels"%)(((\n    (% class="half-width selector-panel browser browse-phenotype-categories force-collapse"%)(((\n    #__qsBox("$!{class.name}_$!{obj.number}_phenotype" "controlled")\n    (% class="browser-title"%)\n    === **$services.localization.render('phenotips.UIXField.phenotype.browseCategories')** ===\n  #end\n  (% class="phenotype" %)(((\n    #if ($xcontext.action == 'edit' || !$showUnaffected)$doc.display('phenotype')#end##\n  )))\n  #if ($xcontext.action == 'edit')\n    #__phenotypeMeta_displayAll('edit')##\n    )))## browse-phenotype-categories\n    (% class="half-width selector-panel current-phenotype-selection"%)(((\n    (% class='sub-panel'%)(((\n    === **$services.localization.render('phenotips.UIXField.phenotype.currentSelection')** ===\n    (% id="current-phenotype-selection"%)(((\n    {{html clean="false"}}&lt;input type="hidden" id="phenotype-meta-add-action" value="$doc.getURL('objectadd', "classname=PhenoTips.PhenotypeMetaClass&amp;amp;xredirect=$escapetool.url($doc.getURL('edit', 'xaction=lastmeta&amp;xpage=plain'))&amp;amp;form_token=$!{services.csrf.getToken()}")"/&gt;{{/html}}\n    )))\n    )))\n    (% class="background-search diffDiagnosis-search phenotype-group collapsible-group hidden sub-panel" %)(((\n    === $services.localization.render('phenotips.UIXField.phenotype.suggestedPhenotypes') ===\n    (% class="hint" %)$services.localization.render('phenotips.UIXField.phenotype.suggestedPhenotypes.hint')\n    (% id="diffDiagnosis-search-results" class="background-suggestions" %)((()))\n    )))\n    )))\n    (% class="clear"%)((()))\n    )))## selector-panels\n  #end\n  )))## controlled (phenotype)\n  )))## controlled-group\n#end## section has content\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.phenotype-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.phenotype</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.phenotype')\nenabled=true\nrequired=\norder=1\nfields=unaffected,phenotype,negative_phenotype\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
1965042290890080725	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:studies-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>StudyCases</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.StudySheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822210000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:studies-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="PhenoTips.DatabaseFilters" /}}\n\n{{velocity}}\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($configuredColumns = $config.getProperty('livetableColumns').value)\n#if (!$configuredColumns &amp;&amp; !($configuredColumns.length &gt; 0))\n  #set ($configuredColumns = 'doc.name')\n#end\n#set ($columns = [])\n#set ($discard = $columns.addAll($configuredColumns))\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column.toLowerCase().indexOf('date') &lt; 0) &amp;&amp; ($column != 'doc.creator') &amp;&amp; ($column != 'doc.author'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true }))\n#end\n##  toggle-filters\n#set ($topFilters = $doc.getRenderedContent("(% class='xform' %)((( {{html clean='false'}}&lt;span class='buttonwrapper'&gt;&lt;a class='button toggle-filters' href='#'&gt;$services.localization.render('phenotips.studyCases.advanceDataFiltersButton')&lt;/a&gt;&lt;/span&gt;{{/html}}\n{{velocity}}#__filters_display('xform'){{/velocity}})))", "xwiki/2.1"))\n#set ($discard = $columns.add('_actions'))\n##\n#set ($filterFrom = ", BaseObject studyBindingObj, StringProperty study")\n#set ($filterWhere = "and studyBindingObj.name = doc.fullName and studyBindingObj.className = 'PhenoTips.StudyBindingClass' and study.id.id = studyBindingObj.id and study.value = '${escapetool.sql($doc.documentReference)}'")\n#if ($isGuest)\n  #set ($filterWhere = "${filterWhere} and doc.creator = 'XWiki.XWikiGuest' and not exists (from BaseObject accessObj where accessObj.name = doc.fullName and accessObj.className = 'PhenoTips.OwnerClass')")\n#elseif (!$hasAdmin)\n  #set ($groups = [])\n  #set ($toProcess = $collectionstool.queue)\n  #if ($xcontext.userReference)\n    #set ($discard = $groups.add($xcontext.userReference))\n    #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n  #end\n  #foreach ($iteration in [0..1000])\n    #if ($toProcess.empty)\n      #break\n    #end\n    #set ($item = $toProcess.poll())\n    #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n      #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #if (!$groupObj &amp;&amp; $group.documentReference.name.endsWith(' Administrators'))\n        #set ($group = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)))\n        #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #end\n      #if ($groupObj &amp;&amp; !$groups.contains($group.documentReference.toString()))\n        #set ($discard = $toProcess.add($group.documentReference.toString()))\n        #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n      #end\n    #end\n  #end\n  #set ($groups = "('${stringtool.join($groups, ""','"")}')")\n  #set ($o = $services.model.serialize($xcontext.userReference, 'default'))\n  #set ($os = $services.model.serialize($xcontext.userReference, 'compactwiki'))\n  #set ($visibilityThreshold = $services.permissions.resolveVisibility('public').permissiveness)\n  #set ($publicVisibilities = [])\n  #foreach($visibility in $services.permissions.listVisibilityOptions())\n    #if ($visibility.permissiveness &gt;= $visibilityThreshold)\n      #set ($discard = $publicVisibilities.add($visibility.name))\n    #end\n  #end\n  #set ($publicVisibilities = $stringtool.join($publicVisibilities, "','"))\n  #set ($publicVisibilities = "'${publicVisibilities}'")\n  #set ($filterWhere = "${filterWhere} and ((doc.creator in ('${o}', '${os}') and not exists (from BaseObject own where own.className = 'PhenoTips.OwnerClass' and own.name = doc.fullName)) or exists (from BaseObject accessObj, StringProperty accessProp where accessObj.className in ('PhenoTips.OwnerClass', 'PhenoTips.CollaboratorClass') and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and accessProp.value in ${groups}) or exists (from BaseObject visibilityObj, StringProperty visibilityProp where visibilityObj.name = doc.fullName and visibilityObj.className = 'PhenoTips.VisibilityClass' and visibilityObj.id = visibilityProp.id.id and visibilityProp.id.name = 'visibility' and visibilityProp.value in (${publicVisibilities})))")\n#end\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'topFilters'        : $topFilters,\n  'resultPage'        : 'PhenoTips.LiveTableResults',\n  'extraParams'       : "&amp;filterFrom=${escapetool.url($filterFrom)}&amp;filterWhere=${escapetool.url($filterWhere)}"\n})\n#if ("$!config.getProperty('livetableRows').value" != '' &amp;&amp; $config.getProperty('livetableRows').value &gt; 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('patients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}**$services.localization.render('phenotips.configurationMissing')**{{/warning}}\n#end\n{{/velocity}}</content></xwikidoc>\n
-6795976445148865508	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:studies-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>StudySheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822196000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:studies-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.StudySheet</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>8d0c4135-9fab-4106-9cc8-97b3e9ff99a0</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe("xwiki:dom:loaded", function () {\n  (function(link) {\n    var saveAfterClick = function() {\n      event.stop();\n      document.observe('xwiki:document:saved', followLinkAfterSave);\n      document.fire('xwiki:actions:save', {'continue' : true, 'form' : event.findElement('form')});\n    };\n    var followLinkAfterSave = function() {\n      document.stopObserving('xwiki:document:saved', followLinkAfterSave);\n      link.stopObserving('click', saveAfterClick)\n      link.click();\n      link.observe('click', saveAfterClick);\n    };\n    link.observe('click', saveAfterClick);\n  })($("patientConfigurationLink"));\n});</code>\n</property>\n<property>\n<name>Save study before opening configuration file</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.StudySheet</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>615ece93-e9ae-4b28-bf12-bf6f9f6a4139</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n\n.doc-tools {\n  float: right;\n  font-size: 1.5em;\n}\n\n.doc-tools a.doc-tool.edit {\n  margin: -1.2em -0.3em 0 0 !important;\n  padding: 0.1em 0 0 0.3em !important;\n}\n.group-logo {\n  float: left;\n  max-width: 30%;\n  margin: 0 10px 10px 0;\n}\n.vertical-menu a {\n  color: $theme.textColor !important;\n  text-transform: uppercase;\n  padding-left: .5em;\n}\n.vertical-menu i {\n  font-size: 1.2em;\n}\n.menu-section {\n  margin-left: 16em;\n}\n.menu-section h2 {\n  margin-top: 0;\n}\n.menu-section input[name="action_save"] {\n    background-image: none !important;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity}}\n$xwiki.ssx.use('PhenoTips.StudySheet')##\n$xwiki.jsx.use('PhenoTips.StudySheet')##\n#set ($groups = $services.query.xwql('from doc.object(PhenoTips.PhenoTipsGroupClass) as g where :study member of g.studies').bindValue('study', $services.model.serialize($doc.documentReference, 'local')))\n#set ($groupsCount = $groups.count())\n#set ($casesCount = $services.query.xwql('from doc.object(PhenoTips.PatientClass) as p, doc.object(PhenoTips.StudyBindingClass) as o where o.studyReference = :study').bindValue('study', $services.model.serialize($doc.documentReference, 'default')).count())\n\n#if ($xcontext.action == 'edit')\n(% class="xform" %)(((\n; {{html}}&lt;label&gt;$services.localization.render('phenotips.studySheet.studyName')&lt;/label&gt;{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.studySheet.studyName.hint')\n: {{html}}&lt;input type="text" name="title" value="$!doc.title"/&gt;{{/html}}\n; {{html}}&lt;label&gt;$services.localization.render('phenotips.studySheet.studyDescription')&lt;/label&gt;{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.studySheet.studyDescription.hint')\n: {{html wiki="false" clean="false"}}&lt;textarea name="content" rows="20" cols="80"&gt;$!escapetool.html($doc.content)&lt;/textarea&gt;{{/html}}\n\n(% class="buttonwrapper" %)[[{{icon name="wrench" /}} $services.localization.render('phenotips.studySheet.formConfigButton')&gt;&gt;path:$xwiki.getURL("${doc.fullName}", 'view')?s=form#content-form||class="button" id="patientConfigurationLink"]]\n\n)))\n#else\n$!doc.content\n#if ($xcontext.action == 'view')\n#set ($filterVal = $services.rendering.escape($doc.fullName, $doc.syntax))\n#set ($sections = [\n  {'id' : 'members', 'name' : "$services.localization.render('phenotips.studySheet.groupsSection', [$groupsCount])", 'icon' : 'group',       'content' : "((({{phenotips-groups filterby='studies' filterval='$filterVal' /}})))"},\n  {'id' : 'cases',   'name' : "$services.localization.render('phenotips.studySheet.casesSection', [$casesCount])",  'icon' : 'folder-open', 'content' : '{{include reference="PhenoTips.StudyCases"/}}'},\n  {'id' : 'form' ,   'name' : "$services.localization.render('phenotips.studySheet.formConfigSection')",  'icon' : 'cog',        'content' : "{{include reference='PhenoTips.FormDesigner' /}}"}\n])\n#set ($menu = [])\n#set ($contents = {})\n#foreach ($s in $sections)\n  #set ($discard = $menu.add({\n      'id' : $s.id,\n      'name' : "&lt;i class='fa fa-$s.icon'&gt;&lt;/i&gt; $s.name",\n      'url' : "?s=${s.id}#content-${s.id}"\n  }))\n  #set ($discard = $contents.put($s.id, $s.content))\n#end\n#set ($crtContent = '')\n#if ($menu.size() &gt; 0)\n  #set ($crtItem = "$!request.s")\n  #if ("$!contents.get($crtItem)" == '')\n    #set ($crtItem = "$!menu.get(0).id")\n  #end\n  #set ($crtContent = "$!contents.get($crtItem)")\n#end\n#if ($menu.size() &gt; 1)\n(% class="vertical-menu $!{options.cssClass}" %)(((\n#foreach ($i in $menu)\n* {{html clean=false wiki=false}}&lt;a href="$i.url" id="group-section-$i.id" #if ($i.id == $crtItem) class="current" #end&gt;$i.name&lt;/a&gt;{{/html}}\n#end\n)))\n(% class="menu-section" id="content-${crtItem}" %)#end((($crtContent)))\n#end\n#end\n{{/velocity}}</content></xwikidoc>\n
5520793438054844335	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:studies-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>StudyBindingClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.StudyClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822126000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:studies-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.StudyBindingClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<studyReference>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.StudyBindingClass" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>studyReference</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Configuration to use</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</studyReference>\n</class>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.StudyBindingClass</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>29beb1b4-dff9-4c8e-90f4-fc31834bd208</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe("xwiki:dom:loaded", function(event) {\n   var newPatientForm = $('patient-creation-form');\n   if (!newPatientForm || !newPatientForm.down('input[name="sheet"]')) {\n     return;\n   }\n   var sheetElt = newPatientForm.down('input[name="sheet"]');\n   var sheet = sheetElt.value;\n   var documentReference = XWiki.resource.get(sheet, XWiki.EntityType.DOCUMENT);\n\n   var templateSelectionContainer = new Element('div');\n   var templateSelectionForm = new Element('form', {'action' : newPatientForm.action, 'class' : 'xform'});\n   var formDataWrapper = new Element('div');\n   templateSelectionForm.insert(formDataWrapper);\n   newPatientForm.select('input[type="hidden"]').each(function(item) {\n     if (item.name != 'sheet') {\n         formDataWrapper.insert(new Element('input', {type : item.type, name: item.name, value: item.value}));\n     }\n   });\n   formDataWrapper.insert(templateSelectionContainer);\n   var submitButton = new Element('input', {type : 'submit', value : "$services.localization.render('phenotips.studyBindingClass.createButton')", 'class' : 'button'});\n   formDataWrapper.insert(submitButton);\n   var cancelButton = new Element('input', {type : 'button', value : "$services.localization.render('phenotips.studyBindingClass.cancelButton')", 'class' : 'button secondary'});\n   formDataWrapper.insert(' ').insert(cancelButton);\n   var modalBox = new PhenoTips.widgets.ModalPopup(templateSelectionForm, false, {'title': "$services.localization.render('phenotips.studyBindingClass.popupTitle')", 'verticalPosition': 'top', 'removeOnClose': false});\n   cancelButton.observe('click', function(event) {\n     modalBox.closeDialog();\n   });\n\n   newPatientForm.observe('submit', function (event) {\n     event.stop();\n     new Ajax.Request(new XWiki.Document(documentReference.name, documentReference.space).getURL('get'), {\n        onCreate : function() {\n          templateSelectionContainer.update('&lt;img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')"/&gt;');\n          modalBox.showDialog();\n        },\n        onSuccess : function(response) {\n           templateSelectionContainer.update(response.responseText);\n        },\n        onFailure : function(response) {\n          var failureReason = response.responseText || response.statusText;\n          if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n             failureReason = "$services.localization.render('phenotips.studyBindingClass.failure.noResponse')";\n          }\n          _this._messages.update(new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.studyBindingClass.failureMessage')" + ' ' + failureReason));\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        }\n     });\n   });\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.StudyBindingClass</name>\n<number>1</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>de3434cb-e595-42cf-b861-4e383d4f4680</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe("xwiki:dom:loaded", function(event) {\n   var studyAssignmentTool = $('study-assignment-config');\n   if (!studyAssignmentTool) {\n     return;\n   }\n   var templateSelectionContainer = new Element('div');\n   var templateSelectionForm = new Element('form', {'action' : studyAssignmentTool.down('input').value, 'class' : 'xform', 'method': 'post'});\n   var formDataWrapper = new Element('div');\n   templateSelectionForm.insert(formDataWrapper);\n   formDataWrapper.insert(templateSelectionContainer);\n   var submitButton = new Element('input', {type : 'submit', value : "$services.localization.render('phenotips.studyBindingClass.saveButton')", 'class' : 'button'});\n   formDataWrapper.insert(submitButton);\n   var cancelButton = new Element('input', {type : 'button', value : "$services.localization.render('phenotips.studyBindingClass.cancelButton')", 'class' : 'button secondary'});\n   formDataWrapper.insert(' ').insert(cancelButton);\n   var modalBox = new PhenoTips.widgets.ModalPopup(templateSelectionForm, false, {'title': "$services.localization.render('phenotips.studyBindingClass.popupTitle')", 'verticalPosition': 'top', 'removeOnClose': false});\n   cancelButton.observe('click', function(event) {\n     modalBox.closeDialog();\n   });\n   submitButton.observe('click', function(event) {\n     if (studyAssignmentTool.hasClassName('edit')) {\n       //if in edit mode, save form first, then submit\n       event.stop();\n       var form = event.findElement('form');\n       document.fire('xwiki:actions:save', {'continue' : true, 'form' : studyAssignmentTool.up('form')});\n       document.observe('xwiki:document:saved', function () {\n          form.submit();\n       });\n     }\n   });\n\n   studyAssignmentTool.observe('click', function (event) {\n     event.stop();\n     new Ajax.Request(studyAssignmentTool.href, {\n        onCreate : function() {\n          templateSelectionContainer.update('&lt;img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')"/&gt;');\n          modalBox.showDialog();\n        },\n        onSuccess : function(response) {\n           templateSelectionContainer.update(response.responseText);\n        },\n        onFailure : function(response) {\n          var failureReason = response.responseText || response.statusText;\n          if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n             failureReason = "$services.localization.render('phenotips.studyBindingClass.failure.noResponse')";\n          }\n          _this._messages.update(new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.studyBindingClass.failureMessage')" + ' ' + failureReason));\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        }\n     });\n   });\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.StudyBindingClass</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>89109749-5cca-4849-86c0-376b29afa531</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.xform .form-template-option {\n  margin: 1em 0;\n}\n.xform .form-template-option label input[type="radio"]  {\n  vertical-align: middle;\n}\n.study-assignment-config {\n  width: 48%;\n  float: left;\n}\n.study-assignment-config a.button {\n  cursor: text;\n  font-size: 1em;\n  font-weight: normal;\n  text-transform: none;\n}\n\n</code></property><property><name></name></property><property><parse></parse></property><property><use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.StudyBindingClass</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>3dc9eb76-22a3-4007-8454-9fead6580288</guid>\n<property>\n<content>{{velocity}}\n#if ($xcontext.action == 'export')\n  #break\n#end\n#set ($sheetName = 'PhenoTips.StudyBindingSheet')\n#set ($className = 'PhenoTips.StudyBindingClass')\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use($className)##\n$xwiki.ssx.use($className)##\n#set ($studiesVisibilityPreference = $xwiki.getDocument('XWiki.XWikiPreferences').getObject('XWiki.ConfigurationClass', 'property', 'study-visibility-option', false).getProperty('value').value)\n#if ($studiesVisibilityPreference == 'unrestricted')\n  #set ($studyClassName = 'PhenoTips.StudyClass')\n  #set ($studyTemplateName = 'PhenoTips.StudyTemplate')\n  #set ($query = $services.query.xwql("from doc.object(${studyClassName}) as std where doc.fullName &lt;&gt; :template").bindValue('template', $studyTemplateName))\n  #set ($studyDocs = $xwiki.wrapDocs($query.execute()))\n  #set ($studies = $collectionstool.sortedSet)\n  #foreach ($study in $studyDocs)\n    #set ($discard = $studies.add($services.model.serialize($study.documentReference, 'default')))\n  #end\n#else\n  #set ($toProcess = $collectionstool.queue)\n  #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n  #set ($groups = [])\n  #set ($studies = $collectionstool.sortedSet)\n  #foreach ($iteration in [0..1000])\n    #if ($toProcess.empty)\n      #break\n    #end\n    #set ($item = $toProcess.poll())\n    #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n      #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #if (!$groupObj &amp;&amp; $group.documentReference.name.endsWith(' Administrators'))\n        #set ($groupObj = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)).getObject('PhenoTips.PhenoTipsGroupClass'))\n      #end\n      #if ($groupObj &amp;&amp; !$groups.contains($group.documentReference.toString()))\n        #set ($discard = $toProcess.add($group.documentReference.toString()))\n        #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n        #if ($groupObj.getProperty('studies').value.isEmpty() == false)\n          #set ($discard = $studies.addAll($groupObj.getProperty('studies').value))\n        #end\n      #end\n    #end\n  #end\n#end\n#if ($studies.size() &gt; 0)\n  #set ($studyConfig = $doc.getObject($className, true))\n  #set ($value = $studyConfig.getProperty('studyReference').value)\n  #if ("$!value" == '')\n    #set($displayedValue = '(% class="hint" %)None(%%)')\n  #else\n    #set ($s = $xwiki.getDocument($value))\n    #set ($config = $s.getObject('PhenoTips.StudyClass'))\n    #set ($configTitle = '')\n    #if ("$!{s.plainTitle}" != '')\n      #set ($configTitle = "$s.plainTitle")\n    #else\n      #set ($configTitle = "${s.name}")\n    #end\n    #set($displayedValue = "(% class='buttonwrapper' %)[[{{icon name='copy' /}} ${services.rendering.escape($configTitle, $doc.syntax)}&gt;&gt;${services.rendering.escape($value, $doc.syntax)}||rel='__blank' class='button secondary']]")\n  #end\n  #set ($faction = $doc.getURL('save', "form_token=${services.csrf.token}&amp;objectPolicy=updateOrCreate&amp;xredirect=$escapetool.url($doc.getURL($xcontext.action))"))\n(% class="study-assignment-config" %)(((Study: $displayedValue (% class="buttonwrapper" %)[[ {{icon name="edit" title="$services.localization.render('phenotips.studyBindingClass.changeStudyButton.title')" /}} {{html clean=false}}&lt;input type="hidden" name="faction" value="$faction"/&gt;{{/html}}&gt;&gt;path:$doc.getURL('get', "sheet=$!{sheetName}&amp;faction=$!{escapetool.url($faction)}")||class="button" rel="__blank" id="study-assignment-config" class="$xcontext.action"]])))\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.before</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.study</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content>{{velocity output=false}}\n#if ("$!mode" == '' || "$!mode" == 'get')\n  #set ($mode = 'edit')\n#end\n#if ("$!name" == '')\n  #set ($name = 'studyReference')\n#end\n#if ("$!prefix" == '')\n  #set ($prefix = 'PhenoTips.StudyBindingClass_')\n#end\n#if ("$!value" == '')\n  #set ($value = '')\n#end\n{{/velocity}}\n\n{{velocity}}{{html clean="false" wiki="true"}}\n#if ($mode == 'edit')\n#set ($studiesVisibilityPreference = $xwiki.getDocument('XWiki.XWikiPreferences').getObject('XWiki.ConfigurationClass', 'property', 'study-visibility-option', false).getProperty('value').value)\n#if ($studiesVisibilityPreference == 'unrestricted')\n  #set ($studyClassName = 'PhenoTips.StudyClass')\n  #set ($studyTemplateName = 'PhenoTips.StudyTemplate')\n  #set ($query = $services.query.xwql("from doc.object(${studyClassName}) as std where doc.fullName &lt;&gt; :template").bindValue('template', $studyTemplateName))\n  #set ($studyDocs = $xwiki.wrapDocs($query.execute()))\n  #set ($studies = $collectionstool.sortedSet)\n  #foreach ($study in $studyDocs)\n    #set ($discard = $studies.add($services.model.serialize($study.documentReference, 'default')))\n  #end\n#else\n  #set ($toProcess = $collectionstool.queue)\n  #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n  #set ($groups = [])\n  #set ($studies = $collectionstool.sortedSet)\n  #foreach ($iteration in [0..1000])\n    #if ($toProcess.empty)\n      #break\n    #end\n    #set ($item = $toProcess.poll())\n    #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n      #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #if (!$groupObj &amp;&amp; $group.documentReference.name.endsWith(' Administrators'))\n        #set ($groupObj = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)).getObject('PhenoTips.PhenoTipsGroupClass'))\n      #end\n      #if ($groupObj &amp;&amp; !$groups.contains($group.documentReference.toString()))\n        #set ($discard = $toProcess.add($group.documentReference.toString()))\n        #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n        #if ($groupObj.getProperty('studies').value.isEmpty() == false)\n          #set ($discard = $studies.addAll($groupObj.getProperty('studies').value))\n        #end\n      #end\n    #end\n  #end\n#end\n&lt;div class="form-template-option"&gt;\n&lt;label&gt;&lt;input type="radio" name="${prefix}${name}" value=""#if ("$!{value}" == '') checked="checked"#end/&gt;$services.localization.render('phenotips.studyBindingClass.noStudyOption')&lt;/label&gt;\n&lt;p class="xHint"&gt;$services.localization.render('phenotips.studyBindingClass.noStudyOption.hint')&lt;/p&gt;\n&lt;/div&gt;\n#foreach ($sName in $studies)\n  #set ($s = $xwiki.getDocument($sName))\n  #if (!$s.isNew())\n    #set ($config = $s.getObject('PhenoTips.StudyClass'))\n    #set ($configTitle = '')\n    #if ("$!{s.plainTitle}" != '')\n      #set ($configTitle = "$s.plainTitle")\n    #else\n      #set ($configTitle = "${s.name}")\n    #end\n    &lt;div class="form-template-option"&gt;\n    &lt;label&gt;&lt;input type="radio" name="${prefix}${name}" value="${services.rendering.escape($services.model.serialize($s.documentReference), $doc.syntax)}" #if ("$!{value}" == "${s.documentReference}") checked="checked" #end/&gt;$services.rendering.escape($configTitle, $doc.syntax)&lt;/label&gt;\n    &lt;p class="xHint"&gt;$!{s.content}&lt;/p&gt;\n    &lt;/div&gt;\n  #end\n#end\n#else\n  #if ("$!value" == '')\n    None\n  #else\n    #set ($s = $xwiki.getDocument($value))\n    #set ($config = $s.getObject('PhenoTips.StudyClass'))\n    #set ($configTitle = '')\n    #if ("$!{s.plainTitle}" != '')\n      #set ($configTitle = "$s.plainTitle")\n    #else\n      #set ($configTitle = "${s.name}")\n    #end\n    [[${configTitle}&gt;&gt;${value}]]\n  #end\n#end\n{{/html}}{{/velocity}}\n</content></xwikidoc>
7996081579248748913	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Section__phenotype-info</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822204000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXSection.phenotypeInfo')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Section__phenotype-info</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>865e5056-19f1-45f1-8cb4-060d3e82066f</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.content</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.section.phenotype-info</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXSection.phenotypeInfo')\nenabled=true\nrequired=\norder=8</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-4482641298815764892	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__prenatal_development</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822218000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.prenatalDevellopment')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__prenatal_development</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>054ac86f-dbfc-4393-9802-ca55ff25dd49</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('prenatal_development')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.prenatal-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.prenatal_development</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.prenatalDevellopment')\nenabled=true\nrequired=\norder=5\nfields=prenatal_development\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-3802000955759503526	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__charts-exported</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822214000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.growthChartsExported')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__charts-exported</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>040418a8-c0b4-4ea6-b6e2-5a81ddaeb2c2</guid>\n<property>\n<content>{{include reference="PhenoTips.ChartServiceMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'export' &amp;&amp; $doc.getObject('PhenoTips.MeasurementsClass'))\n\n  {{html clean=false}}#pagebreak(){{/html}}\n  #set($chartOptions = {'targetClassName' : 'PhenoTips.MeasurementsClass', 'obj': $obj, 'link': false})\n  #_measurementCharts($chartOptions)\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.after</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.charts-exported</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.growthChartsExported')\nenabled=true\nrequired=\norder=10</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-790759204696423341	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PatientSheetCode</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822211000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>2</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>3dbaeab5-a161-4a7e-9884-f130958b03b5</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var selectionSummary = '';\nvar highlightChecked = function(element, initialization) {\n      var type = element.up().hasClassName('no') ? 'no' : 'yes';\n      if (initialization !== true &amp;&amp; element.id == element.name + '_' + element.value) {\n        Event.fire(document, 'phenotype:selected', {\n              key : element.value,\n              text: element.title || (element.nextSibling &amp;&amp; (element.nextSibling.firstChild &amp;&amp; element.nextSibling.firstChild.nodeValue || element.nextSibling.nodeValue)) || '',\n              enable: element.checked,\n              element : element,\n              type : type\n        });\n      }\n      if (selectionSummary) {selectionSummary._updateSummary(element, type);}\n};\nvar enableHighlightChecked = function(element, initialization) {\n      highlightChecked(element, initialization);\n      ['click', 'change', 'suggest:change', 'picker:change'].each(function(eventName) {\n        element.observe(eventName, highlightChecked.bind(element,element));\n      });\n};\n\nvar restoreCategory = function (element) {\n  var parentElement = element.up('.accepted-suggestions li');\n  var selector = '';\n  var ignoredCategories = this.suggest &amp;&amp; this.suggest.options &amp;&amp;\n          this.suggest.options.queryProcessor &amp;&amp; this.suggest.options.queryProcessor.restriction &amp;&amp;\n          this.suggest.options.queryProcessor.restriction.term_category;\n  if (parentElement) {\n    var originalName = parentElement.down('input[name="fieldName"]');\n    parentElement.select('.term-category input[type=hidden]').each(function (item) {\n      if (ignoredCategories &amp;&amp; ignoredCategories.indexOf(item.value) &gt;= 0) return;\n      selector += 'input.suggested[name^="' + (originalName &amp;&amp; originalName.value || element.name) + '"] + input[type=hidden][name=_category][value*="' + item.value +'"], '\n    });\n  }\n  var chapter = parentElement.up(".chapter");\n  if (chapter != undefined) {\n    var matchingCategory = chapter.down(selector);\n  } else {\n    var matchingCategory = document.documentElement.down(selector);\n  }\n  if (matchingCategory) {\n    var matchingList = matchingCategory.previous('ul.accepted-suggestions');\n    if (matchingList) {\n      matchingList.insert(parentElement);\n      Event.fire(document, "custom:selection:category:changed", {\n       'customElement' : parentElement\n      });\n    }\n  }\n  enableHighlightChecked(element);\n  if (typeof (this.ensureVisible) == 'function') {\n    this.ensureVisible(element, !selectionSummary);\n  } else if (!this.silent) {\n    element.scrollTo();\n  }\n}\n\nvar findPropertyField = function(name) {\n  if ($('prefix'))\n    return $($('prefix').value + name);\n  return null;\n}\n\nvar findFormElementForPhenotype = function(id, negative, subtype) {\n  var result = null;\n  if ($('prefix')) {\n    result = $($('prefix').value + (negative ? 'negative_' : '') + (subtype ? subtype + '_' : '') + 'phenotype_' + id);\n  }\n  return result;\n};\n\nvar isPhenotypeSelected = function (id, negative) {\n  var elt = findFormElementForPhenotype(id, negative);\n  return (elt &amp;&amp; elt.checked);\n};\nvar unselectPhenotype = function (id, negative) {\n  var targetElt = findFormElementForPhenotype(id, negative);\n  if (targetElt &amp;&amp; targetElt.checked) {\n    if (targetElt.up('label')) {\n      targetElt.up('label').click();\n    } else {\n      targetElt.click();\n    }\n  }\n};\n\nvar isValueSelected = function (fieldName, value) {\n  var elt = $(fieldName + '_' + value);\n  return (elt &amp;&amp; elt.checked);\n};\n\ndocument.observe('xwiki:dom:loaded', function() {\n  // ------------------------------------------------------------------------\n  // Capture the ENTER key on the form and prevent it from submitting the form\n  // ------------------------------------------------------------------------\n  ['keypress', 'keyup', 'keydown'].each(function (eventName) {\n     $$('.editbody form#inline').invoke('observe', eventName, function (event) {\n        if (event.keyCode == Event.KEY_RETURN &amp;&amp; !(event.findElement('textarea') || event.findElement('.xwiki-free-multiselect-value'))) {\n           event.stop();\n        }\n     });\n  });\n  // ------------------------------------------------------------------------\n  // Selected term highlighting\n  // ------------------------------------------------------------------------\n  ["yes", "no"].each(function (type) {\n    $$('.term-label .' + type + ' input[type=checkbox]').each(function (input) {\n      enableHighlightChecked(input, true);\n      input.observe('click', function(event) {\n          $$('.' + type + ' input[type=checkbox][value=' + event.element().value +']').each(function(item) {\n            if (item.checked != event.element().checked) {\n              item.click();\n            }\n          });\n      });\n    });\n  });\n});</code>\n</property>\n<property>\n<name>Form behavior</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>3</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>fcece596-8be6-4fa6-a193-609666005fd9</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var XWiki = (function(XWiki) {\n  var init = function(event) {\n    ((event &amp;&amp; event.memo.elements) || [$('body')]).each(function(element) {\n      element.select(".mandatory input[type='text']").each(function(element) {\n        if (!element.__validation) {\n          element.__validation = new LiveValidation(element, {validMessage: '', wait : 500});\n        }\n        element.__validation.add(Validate.Presence, {failureMessage: "$services.localization.render('phenotips.PatientSheetCode.failureEnterValue')"});\n      });\n      element.select(".mandatory input[type='checkbox']").each(function(element) {\n        if (!element.__validation) {\n          element.__validation = new LiveValidation(element, {validMessage: '', wait : 500});\n        }\n        element.__validation.add(Validate.Acceptance, {failureMessage: "$services.localization.render('phenotips.PatientSheetCode.failureTickCheck')"});\n      });\n    });\n    return true;\n  };\n\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe("xwiki:dom:updated", init);\n\n  // End XWiki augmentation.\n  return XWiki;\n}(XWiki || {}));\n\n// Returns true if birth_date is before than death_date, false if birth_date is after death_date and undefined if they cannot be compared\n// A decade value is understood as the first day of the decade for a birth date, and the last day of the decade for a death date \n// (so only the years are compared)\nvar isDateAfter = function(birth_date, death_date) {\n\n   var birth = birth_date;\n   var death = death_date;\n   var used_decade = false;\t \n\n   if (birth.decade &amp;&amp; !birth.year) {\n     birth.year = birth.decade.substring(0, birth.decade.length-1);\n     used_decade = true;\n   }\n   if (death.decade &amp;&amp; !death.year) {\n     death.year = Number(death.decade.substring(0, death.decade.length-1)) + 9;\n     used_decade = true;\n   }\n  \n   // compare years\n   if (typeof birth.year == "undefined" || typeof death.year == "undefined") {\n      // dates cannot be compared\n      return;\n   }\n   if (birth.year &lt; death.year) {\n      return true;\n   }\n   if (birth.year &gt; death.year) {\n      return false;\n   }\n   if (used_decade) {\n     // here birth.year == death.year\n     return true;\n   }\n\n   // years are the same, compare months\n   if (typeof birth.month == "undefined" || typeof death.month == "undefined") {\n      // dates cannot be compared\n      return;\n   }\n   if (birth.month &lt; death.month) {\n      return true;\n   }\n   if (birth.month &gt; death.month) {\n      return false;\n   }\n\n   // months are the same, check days\n   if (typeof birth.day == "undefined" || typeof death.day == "undefined") {\n      // dates cannot be compared\n      return;\n   }\n   if (birth.day &lt; death.day || birth.day == death.day) {\n      return true;\n   } else {\n      return false;\n   }\n}\n\nvar is_death_date_after_birth_date = function () {\n   var birth_date = $$("[id$='date_of_birth_entered']")[0].value.evalJSON();\n   var death_date = $$("[id$='date_of_death_entered']")[0].value.evalJSON();\n   if (isDateAfter(birth_date,death_date) == false) {\n      Validate.fail("$services.localization.render('phenotips.PatientSheetCode.birthDate.afterDeathDate')");\n   } else {\n      return true;\n   }\n}\n\n// registers LiveValidation and birth/death dates observers\ndocument.observe('xwiki:dom:loaded', function() \n{\n  var date_of_birth = $$("[id$='date_of_birth']")[0];\n  var date_of_death = $$("[id$='date_of_death']")[0];\n\n  if (typeof date_of_birth == "undefined" || typeof date_of_death == "undefined") {\n     return;\n  }\n\n  var validate_birth_death_dates = function() {\n     date_of_death.__validation.validate();\n  }\n\n  date_of_birth.observe('xwiki:date:changed', validate_birth_death_dates);\n  date_of_death.observe('xwiki:date:changed', validate_birth_death_dates);\n\n  date_of_death.__validation = new LiveValidation(date_of_death);\n  date_of_death.__validation.add(is_death_date_after_birth_date);\n  \n  // when date of death years are given as a decade, the value of that field is empty.\n  // LiveValidation does not show error message on this case\n  date_of_death.__validation.displayMessageWhenEmpty = true;\n});\n\n</code></property><property><name>Form validation</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>4</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>e1208274-545d-4b27-9609-010a6ce16194</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var XWiki = (function(XWiki) {\n  var init = function() {\n    // ------------------------------------------------------------------------\n    // Creation of suggest widgets\n\n    // hpo: namespace:medical_genetics\n    // go : namespace:\n    var suggestionsMapping = {\n        "hpo" : {\n            script: new XWiki.Document('SolrService', 'PhenoTips').getURL("get") + "?",\n            queryProcessor: typeof(PhenoTips.widgets.SolrQueryProcessor) == "undefined" ? null : new PhenoTips.widgets.SolrQueryProcessor({}, {}),\n            varname: "q",\n            noresults: "No matching terms",\n            json: true,\n            resultsParameter : "rows",\n            resultId : "id",\n            resultValue : "name",\n            resultAltName: "synonym",\n            resultCategory : "term_category",\n            resultInfo : {},\n            tooltip: 'phenotype-info',\n            enableHierarchy: true,\n            resultParent : "is_a",\n            fadeOnClear : false,\n            timeout : 30000,\n            parentContainer : null\n        },\n        "omim" : {\n            script: new XWiki.Document('SolrService', 'PhenoTips').getURL("get", "vocabulary=omim") + "&amp;",\n            varname: "q",\n            noresults: "No matching terms",\n            json: true,\n            resultsParameter : "rows",\n            resultId : "id",\n            resultValue : "name",\n            resultInfo : {\n                           "Locus"      : {"selector"  : "Locus"}\n                         },\n            tooltip: 'omim-disease-info',\n            enableHierarchy: false,\n            fadeOnClear : false,\n            timeout : 30000,\n            parentContainer : null\n        }\n    };\n    var pickerSpecialClassOptions = {\n      'defaultPicker' : {},\n      'quickSearch' : {\n                  'showKey' : false,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : false,\n                  'inputType': 'checkbox',\n                  'listInsertionElt' : $(document.documentElement).down('.phenotype-info div.phenotype-group.catch-all .phenotype-other'),\n                  'listInsertionPosition' : 'top',\n                  'predefinedEntries' : $(document.documentElement).down('.phenotype'),\n                  'silent' : true,\n                  'onItemAdded' : restoreCategory\n                },\n      'generateShortList' : {\n                  'showKey' : true,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : false,\n                  'inputType': 'checkbox'\n                },\n      'generateCheckboxes' : {\n                  'showKey' : false,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : false,\n                  'inputType': 'checkbox',\n                  'listInsertionElt' : '.label-other',\n                  'listInsertionPosition' : 'before',\n                  'onItemAdded' : enableHighlightChecked\n                },\n      'generateYesNo' : {\n                  'showKey' : false,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : false,\n                  'inputType': 'checkbox',\n                  'listInsertionElt' : '.label-other',\n                  'listInsertionPosition' : 'before',\n                  'predefinedEntries' : $(document.documentElement),\n                  'onItemAdded' : enableHighlightChecked\n                }\n    }\n    // ------------------------------------------------------------------------\n    // Generate selection summary\n    // ------------------------------------------------------------------------\n    selectionSummary = $('current-phenotype-selection');\n    if (selectionSummary) {\n        selectionSummary._updateVisibility = function() {\n           if (!this.down('.group-contents input[type="checkbox"]')) {\n             this.up().style.visibility = 'hidden';\n           } else {\n             this.up().style.visibility = '';\n           }\n        }.bind(selectionSummary);\n\n        $$('.browse-phenotype-categories .phenotype-group h3').each(function(groupTitle) {\n           var group = new Element('div', {'class' : 'summary-group', id : 'summary-group-' + groupTitle.id});\n           group.insert({\n             top: new Element('h3').update(groupTitle.down('span:not(.expand-tool)').innerHTML),\n             bottom: new Element('div', {'class' : 'group-contents'})\n           });\n           selectionSummary.insert(group);\n           group._updateGroupVisibility = function() {\n             if (!this.down('.group-contents input')) {\n               this.hide();\n             } else {\n               this.show();\n             }\n             selectionSummary._updateVisibility();\n           }.bind(group);\n           group._find = function(value, type) {\n             return this.down('.group-contents .' + type + ' input[value="' + value + '"]');\n           }.bind(group);\n           group._add = function(element) {\n             this.down('.group-contents').insert(element) ;\n           }.bind(group);\n           group._updateGroupVisibility();\n        });\n        selectionSummary._getGroup = function(name) {\n          return $('summary-group-' + name);\n        }.bind(selectionSummary);\n\n        selectionSummary._find = function(value, type) {\n             return this.down('.summary-group .summary-item .' + type + ' input[value="' + value + '"]');\n        }.bind(selectionSummary);\n\n        selectionSummary._silentRemove = function(value, type, sectionId) {\n             var exists = this._find(value,type);\n             if (exists) {\n               var group = exists.up('.summary-group');\n               if (sectionId &amp;&amp; this._getGroup(sectionId) != group) {return;}\n               exists.up('.summary-item').remove();\n               if (!group) {return;}\n               group._updateGroupVisibility();\n             }\n        }.bind(selectionSummary);\n        selectionSummary._remove = function(value, type) {\n             var exists = this._find(value, type);\n             if (exists) {\n               var source = exists.up('.summary-item').__source;\n               if (source._ynpicker) {\n                 source._ynpicker._onUnselect();\n               } else {\n                 source.click();\n               }\n             }\n        }.bind(selectionSummary);\n\n        selectionSummary._preparePreview = function(pdItem) {\n          var details ='';\n          var commentPreview = pdItem.down('.comments-preview');\n          var comment = pdItem.down('.comments textarea');\n          if (comment) {\n             if (!commentPreview) {\n               commentPreview = new Element('dd', {'class' : 'comments-preview preview' });\n               comment.up().insert({after: commentPreview});\n             }\n             commentPreview.update(comment.value.escapeHTML());\n             commentPreview.title = comment.value;\n             details += comment.value;\n          } else {\n            if (commentPreview) {commentPreview.update('');}\n          }\n\n          var qualifiers = [\n             'age_of_onset',\n             'pace_of_progression',\n             'severity',\n             'temporal_pattern',\n             'spatial_pattern',\n             'laterality'\n          ];\n          qualifiers.each (function (qualifier) {\n             var qualifierPreview = pdItem.down('.' + qualifier + '-preview');\n             var qualifierElt = false;\n             pdItem.select('.' + qualifier + ' input[type="radio"]').each(function(item) {\n               if (item.checked &amp;&amp; item.value != '') {\n                 qualifierElt = item;\n               }\n             });\n             if (qualifierElt) {\n               if (!qualifierPreview) {\n                 qualifierPreview = new Element('dd', {'class' : qualifier + '-preview preview' });\n                 qualifierElt.up('dd').insert({after: qualifierPreview});\n               }\n               qualifierPreview.update(qualifierElt.title);\n               details += qualifierElt.title;\n             } else {\n               if (qualifierPreview) {qualifierPreview .update('');}\n             }\n          });\n          var noPreview = pdItem.down('.no-preview');\n          if (details.strip() == '') {\n            if (!noPreview) {\n               noPreview = new Element('dd', {'class' : 'no-preview preview' });\n               pdItem.insert({bottom: noPreview});\n            }\n            noPreview.update("$services.localization.render('phenotips.patientSheetCode.termSuggest.noAdditionalInfo')");\n          } else {\n            noPreview &amp;&amp; noPreview.update('');\n          }\n\n          pdItem.addClassName('collapsed');\n        }.bind(selectionSummary);\n\n        selectionSummary._focusDetails = function(info) {\n          var pfTarget;\n          if (typeof (info.findElement) == 'function') {\n            pdTarget = info.findElement('.phenotype-details');\n          } else if (typeof (info.up) == 'function') {\n            pdTarget = info;\n          } else {\n            return;\n          }\n          if (this._crtFocus &amp;&amp; pdTarget != this._crtFocus) {\n             this._crtFocus.removeClassName('focused');\n             this._preparePreview(this._crtFocus);\n          }\n          if (pdTarget) {\n             this._crtFocus = pdTarget;\n             pdTarget.addClassName('focused');\n             pdTarget.removeClassName('collapsed');\n             var doneBtn = pdTarget.down('.action-done');\n             if (!doneBtn) {\n               doneBtn = new Element('div', {'class' : 'action-done'}).update('×');\n               pdTarget.insert(doneBtn);\n               doneBtn.observe('click', function(event) {\n                 event.stop();\n                 selectionSummary._preparePreview(pdTarget);\n                 pdTarget.removeClassName('focused');\n               });\n             }\n          } else {\n             this._crtFocus = undefined;\n          }\n        }.bind(selectionSummary);\n\n        document.observe("click", function(event) {\n           selectionSummary._focusDetails(event);\n        });\n\n        selectionSummary._updateSummary = function(inputElt, type, forceUpdate) {\n          if (!inputElt || !inputElt.value) {return}\n          var sectionId = inputElt.up('.phenotype-group') &amp;&amp; inputElt.up('.phenotype-group').down('h3');\n          if (sectionId) {\n            sectionId = sectionId.id;\n          } else {\n            return;\n          }\n          if (inputElt.checked) {\n             if (forceUpdate) {\n                this._silentRemove(inputElt.value, type);\n             }\n             var exists = this._find(inputElt.value, type);\n             if (!exists) {\n               var group = this._getGroup(sectionId);\n               if (!group) {return;}\n               var isCustomEntry = !inputElt.value.startsWith("HP:");\n               var newItem = new Element('div', {'class' : 'summary-item' + (isCustomEntry ? ' custom-entry': '')}).update(\n                  new Element('label', {'class' : type}).insert({\n                     'top': new Element('input', {'value' : inputElt.value, checked : 'checked', type : 'checkbox', 'class': 'hidden'}),\n                     'bottom' : inputElt.title.escapeHTML() || inputElt.nextSibling.nodeValue.escapeHTML() || inputElt.nextSibling.firstChild.nodeValue.escapeHTML() || inputElt.value.escapeHTML()\n                  })\n               );\n               if (isCustomEntry) {\n                 newItem.insert({top: new Element('span', {'class': "fa fa-exclamation-triangle", title: "$services.localization.render('phenotips.patientSheetCode.termSuggest.nonStandardPhenotype')"}).update(' ')})\n               }\n               newItem.__source = inputElt;\n               var tools = new Element('span', {'class' : 'tools hint'});\n               var deleteTool = new Element('span', {'class' : 'buttonwrapper'}).insert(\n                 new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update("$services.localization.render('phenotips.patientSheetCode.termSuggest.delete')")\n               );\n\n               tools.insert(deleteTool);\n               deleteTool.observe('click', function(event) {\n                 var source = event.findElement('.summary-item').__source;\n                 if (source._ynpicker) {\n                   source._ynpicker._onUnselect();\n                 } else {\n                   source.click();\n                 }\n               });\n               var detailsUrl = $('phenotype-meta-add-action') &amp;&amp; $('phenotype-meta-add-action').value;\n             if (detailsUrl) {\n               var detailsTool = new Element('span', {'class' : 'buttonwrapper'}).insert(\n                 new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update("$services.localization.render('phenotips.patientSheetCode.termSuggest.addDetails')")\n               );\n               var clearTool = new Element('span', {'class' : 'buttonwrapper'}).insert(\n                 new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update("$services.localization.render('phenotips.patientSheetCode.termSuggest.clearDetails')")\n               );\n               var editTool = new Element('span', {'class' : 'buttonwrapper'}).insert(\n                 new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update("$services.localization.render('phenotips.patientSheetCode.termSuggest.editDetails')")\n               );\n               var editClearTools = new Element('span').insert(editTool).insert(clearTool);\n               tools.insert(detailsTool).insert(editClearTools);\n               detailsTool.observe('click', function(event) {\n                 var source = event.findElement('.summary-item');\n                 var detailsElt = new Element('div', {'class' : 'phenotype-details loading'}).update("$services.localization.render('phenotips.patientSheetCode.termSuggest.loading')");\n                 source.insert(detailsElt);\n                 var addTrigger = event.findElement('.buttonwrapper');\n                 addTrigger.hide();\n                 clearTool.__target = detailsElt;\n                 editTool.__target = detailsElt;\n                 editClearTools.show();\n\n                 if (addTrigger.disabled) {\n                   return;\n                 }\n                 var url = detailsUrl.replace(/([&amp;?]classname=)(.*?)([&amp;$])/, "$1$2&amp;$2_target_property_name=" + inputElt.name.replace(/^.*_\\d+_/, '') + "&amp;$2_target_property_value=" + encodeURIComponent(inputElt.value) + "$3");\n                 new Ajax.Request(url, {\n                   onCreate : function() {\n                     addTrigger.disabled = true\n                     addTrigger._x_notif = new XWiki.widgets.Notification('Adding...', 'inprogress');\n                   },\n                   onSuccess : function (response) {\n                     addTrigger._x_notif.hide();\n                     detailsElt.update(response.responseText);\n                     selectionSummary._givePhenotypeQualifiersCollapseButtons(detailsElt);\n                     detailsElt.removeClassName('loading');\n                     selectionSummary._focusDetails(detailsElt);\n                     detailsElt.select('input, textarea').invoke('observe', 'focus', function(event){selectionSummary._focusDetails(detailsElt)});\n                     var deleteUrl = detailsElt.down('input[name="delete-action"]');\n                     if (deleteUrl) {\n                       deleteUrl = deleteUrl.value;\n                       deleteUrl &amp;&amp; (clearTool.__url = deleteUrl);\n                     }\n                     Event.fire(document, 'xwiki:dom:updated', {'elements' : [detailsElt]});\n                   }.bind(this),\n                   onFailure : function(response) {\n                     var failureReason = response.statusText;\n                     if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                       failureReason = 'Server not responding';\n                     }\n                     if (addTrigger._x_notif) {\n                       addTrigger._x_notif.replace(new XWiki.widgets.Notification("Failed: " + failureReason, "error"));\n                     } else {\n                       new XWiki.widgets.Notification(this.interactionParameters.failureMessageText + failureReason, "error");\n                     }\n                   },\n                   on1223 : function(response) {\n                     response.request.options.onSuccess(response);\n                   },\n                   on0 : function(response) {\n                     response.request.options.onFailure(response);\n                   },\n                   onComplete : function() {\n                     addTrigger.disabled = false\n                   }\n                 });\n               });\n               var existingDetails = $('phenotypeMeta__' + inputElt.name + '__' + inputElt.value);\n               if (existingDetails) {\n                  var detailsElt = new Element('div', {'class' : 'phenotype-details'});\n                  var deleteUrl = existingDetails.next('input[name="delete-action"]');\n                  if (deleteUrl) {\n                     deleteUrl = deleteUrl.value;\n                     deleteUrl &amp;&amp; (clearTool.__url = deleteUrl);\n                     clearTool.__target = detailsElt;\n                     editTool.__target = detailsElt;\n                  }\n                  detailsElt.update(existingDetails);\n                  selectionSummary._preparePreview(detailsElt);\n                  detailsElt.select('input, textarea').invoke('observe', 'focus', function(event){selectionSummary._focusDetails(detailsElt)});\n                  detailsTool.hide();\n               }  else {\n                  editClearTools.hide();\n               }\n               editTool.observe('click', function(event) {\n                 var target = event.findElement('.buttonwrapper').__target;\n                 if (!target.hasClassName('focused')) {\n                   event.stop();\n                   selectionSummary._focusDetails(target);\n                 }\n               });\n               clearTool.observe('click', function(event) {\n                 event.stop();\n                 var deleteTrigger = event.findElement('.buttonwrapper');\n                 if (deleteTrigger.disabled) {\n                    return;\n                 }\n                 if (deleteTrigger.__url) {\n                   new XWiki.widgets.ConfirmedAjaxRequest(deleteTrigger.__url, {\n                     onCreate : function() {\n                       deleteTrigger.disabled = true\n                     },\n                     onSuccess : function() {\n                       if (deleteTrigger.__target) {\n                         deleteTrigger.__target.remove();\n                         delete deleteTrigger.__target;\n                       }\n                       delete deleteTrigger.__url;\n                       deleteTrigger.up().hide();\n                       detailsTool.show();\n                     },\n                     onComplete : function() {\n                       deleteTrigger.disabled = false;\n                     }\n                   },\n                   {\n                      confirmationText : "$services.localization.render('phenotips.PatientSheetCode.deleteConfirmation')"\n                   });\n                 }\n               });// clearTool.observe('click'\n             } // detailsUrl exists\n               newItem.insert(tools);\n               detailsElt &amp;&amp; newItem.insert(detailsElt);\n               group._add(newItem);\n               group._updateGroupVisibility();\n               Event.fire(document, "summary-item:added", {element: newItem});\n             }\n          } else {\n             this._silentRemove(inputElt.value, type, sectionId);\n          }\n        }.bind(selectionSummary);\n\n        selectionSummary._givePhenotypeQualifiersCollapseButtons = function (elem) {\n            var collapseContainers = elem.select("dt .collapse-button");\n            collapseContainers.each(function(e){\n                e.update(PhenoTips.widgets.OntologyBrowser.prototype._getExpandCollapseSymbol(true));\n                var header = e.up();\n                var dataContainer = header.next();\n                var selectedOption = dataContainer.down("input[type='radio']:checked");\n                var selectedName = new Element('span', {'class' : (selectedOption &amp;&amp; selectedOption.value &amp;&amp; 'selected' || 'none')}).update(\n                    selectedOption &amp;&amp; selectedOption.readAttribute('title') || ''\n                );\n                header.insert({bottom: selectedName});\n                var cClassName = "collapsed";\n                header.addClassName("collapsible");\n                dataContainer.addClassName(cClassName);\n\n                header.observe('click', function() {\n                    if (dataContainer.hasClassName(cClassName)) {\n                        dataContainer.removeClassName(cClassName);\n                        e.update(PhenoTips.widgets.OntologyBrowser.prototype._getExpandCollapseSymbol(false));\n                    } else {\n                        dataContainer.addClassName(cClassName);\n                        e.update(PhenoTips.widgets.OntologyBrowser.prototype._getExpandCollapseSymbol(true));\n                    }\n                });\n                dataContainer.select("input[type='radio']").each(function(radio) {\n                    radio.observe('click', function(){\n                        dataContainer.addClassName(cClassName);\n                        selectedName.update(radio.readAttribute('title'));\n                        if (radio.value) {\n                          selectedName.addClassName('selected');\n                          selectedName.removeClassName('none');\n                        } else {\n                          selectedName.removeClassName('selected');\n                          selectedName.addClassName('none');\n                        }\n                        e.update(PhenoTips.widgets.OntologyBrowser.prototype._getExpandCollapseSymbol(true));\n                    });\n                });\n            });\n        }.bind(selectionSummary);\n\n        selectionSummary._updateVisibility();\n    }\n    // -----------------------------------------------------------------\n    // Create and attach the suggests\n    // -----------------------------------------------------------------\n    if (typeof(PhenoTips.widgets.Suggest) != "undefined") {\n\n      // close all suggest pickers when clicking outside the picker and dialogues invoked by the picker\n      document.observe('mousedown', function(event) {\n        if (!event.findElement('.suggestItems') &amp;&amp; !event.findElement('.dialog-ontology-browser')) {\n          $$('.suggestItems').each(function(item) {\n            if (item.__targetField &amp;&amp; (item.__targetField._suggest || item.__targetField._suggestWidget)) {\n              (item.__targetField._suggest || item.__targetField._suggestWidget).clearSuggestions();\n             }\n          });\n        }\n      });\n\n      var keys = Object.keys(suggestionsMapping);\n      var specialClasses = Object.keys(pickerSpecialClassOptions);\n      for (var i = 0; i &lt; keys.length; i++) {\n        var selector = 'input.suggest-' + keys[i] + ':not(.initialized)';\n        $$(selector).each(function(item) {\n          if (!item.hasClassName('initialized')) {\n            item._customOptions = Object.clone(suggestionsMapping[keys[i]]);\n            item._restriction = item.up('.phenotype-group')\n            if (item._restriction) {\n              item._restriction = item._restriction.down('input[name=_category]');\n              if (item._restriction &amp;&amp; item._restriction.value.strip() != '') {\n                item._restriction = item._restriction.value.strip().split(",");\n              } else {\n                item._restriction = null;\n              }\n            }\n            if (item._customOptions.queryProcessor &amp;&amp; item._restriction) {\n              item._customOptions.queryProcessor = Object.clone(item._customOptions.queryProcessor);\n              item._customOptions.queryProcessor.restriction = {\n                'term_category' : item._restriction\n              }\n            }\n            // Create the Suggest.\n            item._suggest = new PhenoTips.widgets.Suggest(item, item._customOptions);\n            if (item.hasClassName('multi') &amp;&amp; typeof(PhenoTips.widgets.SuggestPicker) != "undefined") {\n              var multiSuggestOptions = {};\n              for (var j = 0; j &lt; specialClasses.length; j++) {\n                if (item.hasClassName(specialClasses[j])) {\n                  multiSuggestOptions = pickerSpecialClassOptions[specialClasses[j]];\n                  // FIXME! If the input has more than one special class, does the ordering declared in pickerSpecialClassOptions guarantee we choose the right one?\n                  break;\n                }\n              }\n              var suggestPicker = new PhenoTips.widgets.SuggestPicker(item, item._suggest, multiSuggestOptions);\n              item._suggestPicker = suggestPicker;\n\n              // Integrate the custom fields\n              // 1. find the container element displaying them\n              var customFieldsContainer = suggestPicker.list.up().down('.custom-display-data');\n              if (customFieldsContainer) {\n                 // 2. get rid of the container\n                 customFieldsContainer.remove();\n                 // 3. find all the values and display them as part of the multi suggest picker\n                 var tmp = suggestPicker.silent;\n                 suggestPicker.silent = true;\n                 customFieldsContainer.select('.term-entry').each(function(entry) {\n                   var negativeCheckbox = entry.down('.yes-no-picker .no input');\n                   var value =  entry.down('input[type="checkbox"]').value;\n                   var text = negativeCheckbox &amp;&amp; negativeCheckbox.title || entry.down('input[type="checkbox"]').title;\n                   var category = entry.down('.term-category');\n                   if (negativeCheckbox &amp;&amp; negativeCheckbox.checked) {\n                     var negative = new Element('input', {type: 'hidden', name : 'fieldName', value : negativeCheckbox.name});\n                     category &amp;&amp; category.insert(negative) || (category = negative);\n                   }\n                   suggestPicker.addItem(value, text, '', category || '');\n                 });\n                 suggestPicker.silent = tmp;\n              }\n\n            }\n            item.addClassName('initialized');\n\n            // ------------------------------------------------------------------------\n            // Add y/n pickers to generated suggestions\n            if (item.hasClassName('generateYesNo')) {\n              item.observe("ms:suggest:suggestionCreated", function(event) {\n                var negativeName = item.name.replace(/(_\\d+)_/, "$1_negative_").replace(/__suggested$/, '');\n                var suggestion = event.memo &amp;&amp; event.memo.element;\n                if (suggestion) {\n                  var suggest = event.memo.suggest;\n                  var value =  suggestion.down(".suggestId").firstChild.nodeValue;\n                  var text =  suggestion.down(".suggestValue").firstChild.nodeValue;\n                  var ynpicker = YesNoPicker.generatePickerElement([\n                    {type: 'yes', selected: isValueSelected(item.name.replace(/__suggested$/, ''), value)},\n                    {type: 'no' , selected: isValueSelected(negativeName, value)}\n                  ], value, text);\n                  suggestion.down(".suggestValue").up().insert({top: ynpicker});\n                  // Prevent click events from the label from activating the suggestion selection twice because of being forwarded to the input\n                  ynpicker.select('input').invoke('observe', 'click', function(event) {event.stop()});\n\n                  // Make it clear visually that clicking on the suggestion is equivalent to clicking on Y\n                  suggestion.observe('mouseover', function(event) {\n                    suggestion.down('label.yes').addClassName('highlighted');\n                  })\n                  suggestion.observe('mouseout', function(event) {\n                    suggestion.down('label.yes').removeClassName('highlighted');\n                  })\n                  suggestion.down('label.no').observe('mouseover', function(event) {\n                    event.stop();\n                    event.findElement().addClassName('highlighted');\n                    event.findElement().previous('label.yes').removeClassName('highlighted');\n                  })\n                  suggestion.down('label.no').observe('mouseout', function(event) {\n                    event.findElement().removeClassName('highlighted');\n                  })\n\n                  // Keep the default behavior for the Y button\n                  //  but capture the N button clicks and make sure the value is selected for the negative property field\n                  var nLabel = ynpicker.down('.no');\n                  nLabel.observe('click', function(event) {\n                    var predefinedCheckBox = $(negativeName + "_" + value);\n                    if (predefinedCheckBox &amp;&amp; !predefinedCheckBox.checked) {\n                      predefinedCheckBox._ynpicker._onNo();\n                      suggest.clearSuggestions();\n                      suggest.fld.value = '';\n                      suggest.fld.focus();\n                      suggest.fld.blur();\n                      event.stop();\n                    }\n                    suggestion.down('.suggestCategory').insert({\n                      top : new Element('input', {type: 'hidden', name : 'fieldName', value : negativeName, 'class' : 'no'})\n                    });\n                    suggestion.down('.suggestCategory').select('input[name]').each(function(category) {\n                      category.name = category.name.replace(/(_\\d+)_/, "$1_negative_");\n                    });\n                  });\n                }\n              });\n            }\n          }\n        });\n      }\n\n      // ------------------------------------------------------------------------\n      // Complete selection summary behavior\n      // ------------------------------------------------------------------------\n       if (selectionSummary) {\n        $$('.browse-phenotype-categories .phenotype-group .term-label.selected input, .browse-phenotype-categories .accepted-suggestion.selected input').each(function(input) {\n           selectionSummary._updateSummary(input);\n        });\n        $$('.browse-phenotype-categories .phenotype-group .accepted-suggestions').invoke('addClassName', 'hidden');\n        $$('.browse-phenotype-categories .phenotype-group .suggest-hpo.multi').each(function (sItem){\n           if (sItem._suggest) {\n             sItem._suggest.silent = true;\n           }\n        });\n        document.observe('phenotype:selected', function(event) {\n          if (!event.memo || !event.memo.key) {return;}\n          if (!event.memo.enable) {\n            selectionSummary._silentRemove(event.memo.key, event.memo.type);\n          }\n        });\n        document.observe("custom:selection:category:changed", function(event) {\n          if (!event.memo || !event.memo.customElement) {return;}\n          var input = event.memo.customElement.select('input').find(function(item) { return item.checked; });\n          selectionSummary._updateSummary(input, input.up('label.no') ? 'no' : 'yes', true);\n        });\n      }\n\n      // ------------------------------------------------------------------------\n      // Add dropdowns to all predefined elements\n      // ------------------------------------------------------------------------\n      $$('.phenotype-group, .prenatal_phenotype-group').each(function(group) {\n        var sugestedInput = group.down('.suggested.multi');\n        if (sugestedInput) {\n          group.select('.predefined-entries label.term-entry &gt; input[type=checkbox], .predefined-entries .term-entry .yes-no-picker .yes input[type=checkbox]').each(function(item) {\n            var item_subsection = item.up('.subsection');\n            if (item_subsection) {\n              if (item_subsection.hasClassName('single-select')){\n                 // TODO: ensure single select within this group\n              }\n            }\n            item._dropDown = new PhenoTips.widgets.DropDown(item.up('.term-entry'));\n            item._trigger = new Element('span', {'class' : 'expand-tool'}).update(PhenoTips.widgets.OntologyBrowser.prototype._getExpandCollapseSymbol(true));\n            item._trigger._source = item;\n            item._trigger._root = item.up('.term-entry');\n            item._trigger._root.insert({'top' : item._trigger});\n\n            var __loadOntologyBranch = function(source, doExpand) {\n              source._ontologyBrowser || (source._ontologyBrowser = new PhenoTips.widgets.OntologyBrowser(\n                sugestedInput._suggest,\n                source._dropDown,\n                {\n                  isTermSelected : isPhenotypeSelected,\n                  unselectTerm : unselectPhenotype,\n                  showParents: false,\n                  showRoot: false,\n                  defaultEntryAction: 'select',\n                  enableBrowse: false\n                }\n              ));\n              source._ontologyBrowser.show(source.value);\n              if (!doExpand) {\n                source._ontologyBrowser.hide();\n              }\n            }\n\n            if (item._trigger._root.hasClassName('dropdown-root')) {\n              item._trigger.observe('click', function(event) {\n                event.stop();\n                var trigger =  event.element();\n                var source  =  trigger._source;\n                var root    =  trigger._root;\n                __loadOntologyBranch(source, !root._expanded);\n\n                trigger.update(source._ontologyBrowser._getExpandCollapseSymbol(root._expanded));\n                root._expanded = !root._expanded;\n              });\n            } else {\n              item._trigger.addClassName('disabled');\n            }\n\n            // Info buttons behavior\n            item.up('.term-entry').insert(' ').insert(new Element('span', {'class' : 'fa fa-info-circle phenotype-info xHelpButton', title : item.value}));\n\n            // ------------------------------------------------------------------------\n            // Add  y/n selection\n            // ------------------------------------------------------------------------\n            var ynPickerElt = item.up('.yes-no-picker');\n            if (ynPickerElt) {\n              item._ynpicker = new YesNoPicker(ynPickerElt, item.up('.term-entry').down('.yes-no-picker-label'), true);\n              enableHighlightChecked(item, true);\n              var negItem = ynPickerElt.down('.no input');\n              if (negItem) {\n                enableHighlightChecked(negItem, true);\n                negItem._ynpicker = item._ynpicker;\n              }\n            }\n          });\n        }\n      });\n\n      // ------------------------------------------------------------------------\n      // Sync dynamic subtree selections\n      // ------------------------------------------------------------------------\n      var fieldName = '';\n      var source = '';\n      var categories = '';\n      var DO_EXPAND = !selectionSummary;\n      var syncTermCategory = function(term) {\n        var field = $(document.documentElement).down('label.term-label.dropdown-root input[type=checkbox][name=' + fieldName + '][value=' + term +']');\n        if (field) {\n          var subtermsInCategory = $$('label.accepted-suggestion[for^=' + fieldName + '_] + .term-category input[type=hidden][value=' + term + ']');\n          var selectedSubterms  = 0;\n          var countIfSelectedSubterm = function (categoryElement) {\n            var subtermElement = categoryElement.up('li').down('label.accepted-suggestion input[type=checkbox]');\n            if (subtermElement &amp;&amp; subtermElement.checked) {\n              ++selectedSubterms;\n            }\n          };\n          subtermsInCategory.each(countIfSelectedSubterm);\n          if (selectedSubterms &gt; 0) {\n            //if (source) {source.addClassName('invisible');}\n            field.up('label').addClassName('subterm-selected');\n            if (DO_EXPAND &amp;&amp; field._ontologyBrowser &amp;&amp; field._trigger &amp;&amp; field._trigger._root) {\n              field._ontologyBrowser.show(field.value);\n              field._trigger.update(field._ontologyBrowser._getExpandCollapseSymbol(false));\n              field._trigger._root._expanded = true;\n              var sourceInput = source &amp;&amp; source.down('input[type=checkbox]');\n              if (sourceInput &amp;&amp; sourceInput.checked) {\n                Event.observe(field._ontologyBrowser.container.contentContainer, 'obrowser:expand:finished', function(event) {\n                  Event.stopObserving(field._ontologyBrowser.container.contentContainer, 'obrowser:expand:finished');\n                  field._ontologyBrowser.expandTo(sourceInput.value, categories);\n                });\n              }\n            }\n          } else {\n            field.up('label').removeClassName('subterm-selected');\n          }\n        }\n      };\n      document.observe('custom:selection:changed', function(event) {\n        categories = event.memo &amp;&amp; event.memo.categories;\n        source = event.memo &amp;&amp; event.memo.customElement;\n        if (categories) {\n          fieldName = event.memo.fieldName || '';\n          categories.each(syncTermCategory);\n        }\n        if (selectionSummary) {\n          var input = event.memo.customElement.select('input').find(function(item) { return item.checked; });\n          input &amp;&amp; selectionSummary._updateSummary(input, input.up('label.no') ? 'no' : 'yes', true);\n        }\n      });\n    }\n\n    // --------------------------------------------------------------\n    // Ontology browser y/n pickers\n    // --------------------------------------------------------------\n    document.observe('obrowser:content:added', function(event) {\n      if (!event.memo) return;\n      if (event.memo.added &amp;&amp; event.memo.obrowser &amp;&amp; event.memo.obrowser.suggest &amp;&amp; event.memo.obrowser.suggest.fld &amp;&amp; event.memo.obrowser.suggest.fld.hasClassName('generateYesNo')) {\n        event.memo.added.select('.entry-data input.select-tool').each(function (item) {\n          var positiveName = event.memo.obrowser.suggest.fld.name.replace(/__suggested$/, "");\n          var negativeName = event.memo.obrowser.suggest.fld.name.replace(/(_\\d+)_/, "$1_negative_").replace(/__suggested$/, "");\n          var value = item.value;\n          var text = item.up('.entry-data').down('.value').firstChild;\n          text = text &amp;&amp; text.nodeValue || false;\n          if (!text) {\n            item.up(".parents").remove();\n            return;\n          }\n          var ynpickerElt = YesNoPicker.generatePickerElement([\n              {type: 'na', selected: !isValueSelected(positiveName, value) &amp;&amp; !isValueSelected(negativeName, value)},\n              {type: 'yes', selected: isValueSelected(positiveName, value)},\n              {type: 'no' , selected: isValueSelected(negativeName, value)}\n          ], value, text, true, item.next());\n          item.insert({before: ynpickerElt});\n          item.remove();\n          ynpickerElt._obrowser = event.memo.obrowser;\n          enableHighlightChecked(ynpickerElt.down('.yes input'));\n          enableHighlightChecked(ynpickerElt.down('.no input'));\n\n          ynpickerElt.observe('ynpicker:selectionChanged', function(event){\n            var selected = event.memo &amp;&amp; event.memo.selected;\n            var elt = event.findElement('.entry');\n            if (!selected || !elt) {return;}\n            var id = elt.__termId;\n            if (selected == 'na') {\n               ynpickerElt._obrowser._unselectEntry(elt);\n               return;\n            } else if (selected == 'no') {\n                var negative = new Element('input', {type: 'hidden', name : 'fieldName', value : negativeName});\n                elt.__termCategory &amp;&amp;  elt.__termCategory.insert(negative) || (elt.__termCategory = negative);\n            }\n            // both yes &amp; no:\n            ynpickerElt._obrowser._selectEntry(elt);\n          });\n        });\n      }\n    });\n    if (selectionSummary &amp;&amp; selectionSummary._givePhenotypeQualifiersCollapseButtons) {\n        selectionSummary._givePhenotypeQualifiersCollapseButtons(selectionSummary);\n    }\n\n    Event.fire(document, 'xwiki:dom:updated', {'elements' : $$('.chapter.phenotype-info .xHelpButton', '.chapter.prenatal-info .xHelpButton')});\n  };\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);\n  return XWiki;\n}(XWiki || {}));</code>\n</property>\n<property>\n<name>Term suggest</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>7</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>47891262-4dc8-44ea-83b2-944326a5acd0</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function(PhenoTips) {\n  // Start PhenoTips augmentation\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n\n  //  ========================================================================\n  /**\n   * Measurement processor\n   * */\n  widgets.MeasurementProcessor = Class.create({\n    /**\n     * Initialization\n     * */\n    initialize : function(dataTable) {\n      /** Measurement evaluation service */\n      this.measurementsService = new XWiki.Document('PatientToolsService', 'PhenoTips').getURL('get');\n      this.solarService = new XWiki.Document('SolrService', 'PhenoTips').getURL("get");\n\n      this.dataTable = dataTable;\n      this.dataTable._processor = this;\n      this.dataType = this.dataTable.hasClassName('at-birth') ? 'at-birth' : 'postnatal';\n\n      // Track requests to the measurement evaluation service:\n      this.lastRequestID = 0;\n      // Reorganize the rows of large tables\n      if (dataTable.hasClassName('full')) {\n        this._reorganizeRow = this._reorganizeRow.bind(this);\n        this.dataTable.select('tr').each(this._reorganizeRow);\n      } else {\n        this.dataTable.select('tr').invoke('addClassName', 'data-row');\n      }\n      // Attach event listeners to inputs\n      this._valueChanged = this._valueChanged.bindAsEventListener(this);\n      this._updateDataRow = this._updateDataRow.bind(this);\n      this._handleInputValueChanged(this.dataTable.select('input[type=text]'));\n      this._handleInputValueChanged($$('input[name$=date_of_birth], input[name$=gender]'));\n      this._handleRowAdded();\n      this._handleRowDeleted();\n      // Attach a measurement unit switcher (imperila|metric) if enabled\n      var configuredUnitSystem = this.dataTable.hasClassName('enable-unit-switch');\n      //   - this element will exist iff switching to imeprial system is enabled\n      if (configuredUnitSystem) {\n        var unitSwitchContainer = this.dataTable.down('.unit-switch-container');\n        new PhenoTips.widgets.UnitConverter(\n           this.dataTable,\n           'input[type="text"]:not([name$="date"])',\n           unitSwitchContainer || this.dataTable,\n           unitSwitchContainer &amp;&amp; 'top' || 'before',\n           this.dataTable.hasClassName('imperial') &amp;&amp; 'imperial' || ''\n        );\n      }\n    },\n    /**\n     * Reorganize data rows for large tables\n     * */\n    _reorganizeRow : function(row) {\n      // Skip table headers\n      if (row.down('th')) {return;}\n      // each row becomes a new table\n      var table = new Element('table');\n      var tbody = new Element('tbody');\n      table.update(tbody);\n\n      // Start building the table\n      this._rowMapping.each(function (data) {\n        var newRow = new Element('tr', {'class' : data.name + '-group'});\n        newRow.insert(new Element('td', {'class' : 'icon'}))\n        data.values.each(function (className) {\n          var element = row.down('td.' + className);\n          if (element) {\n            newRow.insert(element);\n            if (className == 'age') { element.setAttribute('colspan', 6);}\n          }\n        });\n        if (newRow.down('td')) {\n          tbody.insert(newRow);\n        }\n      });\n      row.update(table.wrap('td'));\n      row.addClassName('data-row');\n    },\n    /**\n     * Reorganization of rows for large table: this is how the rows should be split:\n     * */\n    _rowMapping : [\n      {\n        name : 'head',\n        values : ['date', 'age', 'actions']\n      }, {\n        name : 'general',\n        values : ['weight', 'weight_evaluation', 'height', 'height_evaluation', 'bmi', 'bmi_evaluation']\n      }, {\n        name : 'ratios',\n        values : ['armspan', 'armspan_evaluation', 'sitting', 'sitting_evaluation']\n      }, {\n        name : 'face',\n        values : ['hc', 'hc_evaluation', 'philtrum', 'philtrum_evaluation', 'ear', 'ear_evaluation', 'ear_right', 'ear_right_evaluation']\n      }, {\n        name : 'eyes',\n        values : ['ocd', 'ocd_evaluation', 'icd', 'icd_evaluation', 'pfl', 'pfl_evaluation', 'ipd', 'ipd_evaluation']\n      }, {\n        name : 'left-side',\n        values : ['hand', 'hand_evaluation', 'palm', 'palm_evaluation', 'foot', 'foot_evaluation']\n      }, {\n        name : 'right-side',\n        values : ['hand_right', 'hand_right_evaluation', 'palm_right', 'palm_right_evaluation', 'foot_right', 'foot_right_evaluation']\n      }\n    ],\n    /*\n     * Prepare to re-evaluate when measurement or measurement context has changed\n     * */\n    _handleInputValueChanged : function(elementsList) {\n      var dataTable = this.dataTable;\n      // TODO: make sure events work on all browsers\n      ['blur', 'keypress', 'keyup', 'phenotips:measurement-updated', 'xwiki:date:changed'].each(function (eventName) {\n        elementsList.invoke('observe', eventName, this._valueChanged);\n      }.bind(this));\n      ['blur', 'phenotips:measurement-updated', 'xwiki:date:changed'].each(function (eventName) {\n        elementsList.invoke('observe', eventName, function(event) {\n           Event.fire(dataTable, 'phenotips:measurement-info:updated');\n        });\n      });\n    },\n    /**\n     * When a new row is added, attach all the listeners that will enable evaluating the data in it\n     * */\n    _handleRowAdded : function() {\n      var _this = this;\n      this.dataTable.observe('extradata:added', function (event) {\n        var elements = event &amp;&amp; event.memo &amp;&amp; event.memo.element &amp;&amp; event.memo.element.select('input[type=text]');\n        if (elements) {\n          _this._reorganizeRow(event.memo.element);\n          _this._handleInputValueChanged(elements);\n          if (window.dateTimePicker) {\n            window.dateTimePicker.attachPickers(event.memo.element);\n          } else {\n            var crtYear = new Date().getFullYear();\n            window.dateTimePicker = new XWiki.widgets.DateTimePicker({year_range: [crtYear - 99, crtYear + 1]});\n          }\n        }\n      });\n    },\n\n    /**\n     * When a row is deleted:\n     * */\n    _handleRowDeleted : function() {\n      var _this = this;\n      this.dataTable.observe('extradata:deleted', function (event) {\n        _this.dataTable.select('tr.data-row').each(function (row) {\n          _this._updateDataRow(row);\n        });\n        Event.fire(_this.dataTable, 'phenotips:measurement-info:updated');\n      });\n    },\n\n    /**\n     * A value affecting measurement evaluation has changed. It can be an actual measurement, in which case only\n     * the current measurement set needs to be updated, or it can be a value affecting the context of all measurements\n     * (e.g. gender or date of birth), in which case all measurements need to be evaluated.\n     * */\n    _valueChanged : function(event) {\n      // Get inputs holding the values needed for computing the dependent values\n      var row = event &amp;&amp; event.element &amp;&amp; event.element() &amp;&amp; event.element().up('tr.data-row');\n      if (row) {\n        this._updateDataRow(row);\n      } else {\n         this.dataTable.select('tr.data-row').each(this._updateDataRow);\n      }\n    },\n\n    /**\n     * Request the re-evaluation of all measurements on a row ans display the results\n     * */\n    _updateDataRow : function(row) {\n      // Generate the query string to pass to the measurement evaluation service\n      var qs = this._createRowQueryString(row);\n      if (qs == '') {return;}\n\n      var sex = $(document.documentElement).down('input[name$=gender]:checked');\n      var requestID = ++this.lastRequestID;\n\n      var ajx = new Ajax.Request(this.measurementsService, {\n        method: 'post',\n        parameters:  qs + this._createReqParamSex('s', sex) + '&amp;outputSyntax=plain',\n        requestHeaders: {Accept : "application/json"},\n        onSuccess: function(response) {\n          if (requestID &lt; this.lastRequestID) {return;}\n          this._updateDependentValues(row, response.responseJSON)\n        }.bind(this),\n        onFailure: function (response) {}\n      });\n    },\n\n     /**\n     * Generate query string for all data\n     * */\n    _createQueryString : function () {\n      var _this = this;\n      var qs = '';\n      this.dataTable.select('tr.data-row').each(function(row) {\n        qs += _this._createRowQueryString(row, true);\n      })\n      if (qs != '') {\n        var sex = $(document.documentElement).down('input[name$=gender]:checked');\n        qs += this._createReqParamSex('s', sex);\n      }\n      return qs;\n    },\n\n    /**\n     * Generate querry string for updating the evaluations on a data row\n     * */\n    _createRowQueryString : function (row, forceParam) {\n      return this._createReqParam('weight', row.down('td.weight input'), forceParam) +\n             this._createReqParam('height', row.down('td.height input'), forceParam) +\n             this._createReqParam('bmi', row.down('td.bmi input'), forceParam) +\n             this._createReqParam('hc', row.down('td.hc input'), forceParam) +\n             this._createReqParam('ocd', row.down('td.ocd input'), forceParam) +\n             this._createReqParam('icd', row.down('td.icd input'), forceParam) +\n             this._createReqParam('pfl', row.down('td.pfl input'), forceParam) +\n             this._createReqParam('ipd', row.down('td.ipd input'), forceParam) +\n             this._createReqParam('ear', row.down('td.ear input'), forceParam) +\n             this._createReqParam('hand', row.down('td.hand input'), forceParam) +\n             this._createReqParam('palm', row.down('td.palm input'), forceParam) +\n             this._createReqParam('foot', row.down('td.foot input'), forceParam) +\n             this._createReqParam('ear_right', row.down('td.ear_right input'), forceParam) +\n             this._createReqParam('hand_right', row.down('td.hand_right input'), forceParam) +\n             this._createReqParam('palm_right', row.down('td.palm_right input'), forceParam) +\n             this._createReqParam('foot_right', row.down('td.foot_right input'), forceParam) +\n             this._createReqParam('philtrum', row.down('td.philtrum input'), forceParam) +\n             this._createReqParam('armspan', row.down('td.armspan input'), forceParam) +\n             this._createReqParam('sitting', row.down('td.sitting input'), forceParam) +\n             (this.dataType == 'at-birth' ? '&amp;a=0' : this._createReqParamAge('a', row.down('td.date input'), forceParam));\n    },\n\n    /**\n     * Generate the query string fragment corresponding to a specific measurement\n     * */\n    _createReqParam : function (name, sourceInput, forceParam) {\n      var value = sourceInput &amp;&amp; sourceInput.value != '' &amp;&amp; parseFloat(sourceInput.value);\n      if (value) {\n        return '&amp;' + name + '=' + encodeURIComponent(value);\n      }\n      return forceParam &amp;&amp; ('&amp;' + name + '=') || '';\n    },\n\n    /**\n     * Generate the query string fragment corresponding to the age\n     * */\n    _createReqParamAge : function (name, crtDate, forceParam) {\n      var birthDate = $(document.documentElement).down('input[name$=date_of_birth]');\n      if (!birthDate || !crtDate) {return ''}\n      var bDateObj = Date.parseISO_8601(birthDate.alt || '');\n      var cDateObj = Date.parseISO_8601(crtDate.alt || '');\n      if (bDateObj &amp;&amp; cDateObj) {\n        // The two dates have different timezones, move back the birthdate to the local timezone\n        bDateObj.setTimezoneOffset(bDateObj.getTimezoneOffset() * -10/3);\n        var daysInMonth = 30.4375;\n        var age = (cDateObj.getFullYear() - bDateObj.getFullYear()) * 12 + (cDateObj.getMonth() - bDateObj.getMonth()) + (cDateObj.getDate() &lt; bDateObj.getDate() ? -1 : 0);\n        var ageOffset = (cDateObj.getDate() &lt; bDateObj.getDate()) ? (daysInMonth+cDateObj.getDate()-bDateObj.getDate())/daysInMonth : (cDateObj.getDate() - bDateObj.getDate())/daysInMonth;\n        var age = age + ageOffset;\n      } else {\n        age=null;\n      }\n      if (age != null &amp;&amp; age &gt;= 0) {\n        var displayedAge = '';\n        var y = Math.floor(age / 12);\n        var m = Math.floor(age % 12);\n        if (y &gt; 0) {\n          displayedAge = y + 'y ';\n        }\n        if (m &gt;= 0) {\n          displayedAge += m + 'm ';\n        }\n        var target = crtDate.up('tr') &amp;&amp; crtDate.up('tr').down('td.age');\n        if (target) {\n          if (target.down('input')) {\n            target.down('input').value = age;\n          }\n          if (target.down('.displayed-value')) {\n            target.down('.displayed-value').update(displayedAge);\n          }\n        }\n      } else if (age == null){\n        var target = crtDate.up('tr') &amp;&amp; crtDate.up('tr').down('td.age');\n        if (target) {\n          if (target.down('input')) {\n            target.down('input').value = age;\n          }\n          if (target.down('.displayed-value')) {\n            target.down('.displayed-value').update("-");\n          }\n        }\n      }\n      return (age &gt;= 0) &amp;&amp; ('&amp;' + name + '=' + encodeURIComponent(age)) || forceParam &amp;&amp; ('&amp;' + name + '=') || '';\n    },\n\n    /**\n     * Generate the query string fragment corresponding to the gender\n     * */\n    _createReqParamSex : function (name, sourceInput) {\n      return (sourceInput &amp;&amp; sourceInput.value &amp;&amp; ('&amp;' + name + '=' + encodeURIComponent(sourceInput.value))) || '';\n    },\n\n    /**\n     * Perform the actual update of all the measurement evals in a data row and select phenotypes corresponding to abnormal measurements\n     * */\n    _updateDependentValues : function (row, values) {\n      var _this = this;\n      var _info = this._measurementEvaluationInfo;\n      for (var p in values) {\n        ['value', 'evaluation'].each( function (value) {\n          if (values[p] &amp;&amp; values[p][value] &amp;&amp; _info[p] &amp;&amp; _info[p][value]) {\n            var cell = row.down(_info[p][value]);\n            if (!cell) {\n              return;\n            }\n            _this._updateValue(cell, values[p][value], (value == 'evaluation') &amp;&amp; values[p]['valCategory']);\n            var target = _info[p];\n            if (value == 'evaluation' &amp;&amp; target['valueHooks'] &amp;&amp; _this._getMostRecentEntry() == cell.up('tr.data-row')) {\n              var targetElt = values[p]['valCategory'] &amp;&amp; (target['valueHooks'][values[p]['valCategory']] || target['valueHooks'][values[p]['valCategory'].sub("extreme-", '')]);\n              targetElt = _this._selectFormElementForPhenotype(targetElt);\n              _this._selectMeasurementTerm(targetElt);\n              if (values[p]['valCategory']) {\n                ['extreme-below-normal', 'below-normal', 'above-normal', 'extreme-above-normal'].without(values[p]['valCategory'], values[p]['valCategory'].sub("extreme-", '')).each(function(val) {\n                  var elt = findFormElementForPhenotype(target['valueHooks'][val]);\n                  _this._unselectMeasurementTerm(elt);\n                });\n              }\n            }\n          }\n        });\n      }\n    },\n\n    /**\n     *\n     * */\n    _selectMeasurementTerm : function (elt, force) {\n      if (elt &amp;&amp; (!elt.checked || force)) {\n        if (elt._ynpicker) {\n          elt._ynpicker._select('yes');\n        } else {\n          elt.checked = true;\n        }\n        highlightChecked(elt);\n        var addedItem = $('current-phenotype-selection').down('label input[value="' + elt.value + '"]');\n        if (addedItem) {\n          addedItem.up('label').insert({before : new Element('span', {\n                                                               'class' : 'fa fa-bolt',\n                                                               'title' : 'This phenotype was automatically added based on abnormal measurement values'\n          }).update(' ')});\n        }\n      }\n    },\n\n\n    /**\n     *\n     * */\n    _unselectMeasurementTerm : function (elt) {\n      if (elt &amp;&amp; elt.checked) {\n        if (elt._ynpicker) {\n          elt._ynpicker._onUnselect();\n        } else {\n          elt.checked = false;\n        }\n      }\n    },\n\n    _selectFormElementForPhenotype: function(id) {\n      if (!id) {\n        return null;\n      }\n      var _this = this;\n      var existingElement = findFormElementForPhenotype(id);\n      if (existingElement == null) {\n        var suggestWidget = $("quick-phenotype-search")._suggestWidget;\n        if (!suggestWidget) {\n           return null;\n        }\n        searchURL = this.solarService + "?q=" + id;\n        new Ajax.Request(searchURL, {\n          method: 'get',\n          onSuccess: function(transport) {\n            var response = transport.responseJSON.rows[0];\n            if (response) {\n              var categories = '&lt;span class="hidden term-category"&gt;';\n              response.term_category.each(function(category){categories += '&lt;input type="hidden" value="' + category + '"&gt;'});\n              categories + "&lt;/span&gt;";\n              var data = {'id':id, 'value':response.name, 'category': categories}\n              var title =  response.name;\n              suggestWidget.acceptEntry(data, title, title);\n              _this._selectMeasurementTerm(findFormElementForPhenotype(id), true);\n            }\n          }\n        });\n        return null;\n      } else {\n        return existingElement;\n      }\n    },\n\n    /**\n     * Information about how to handle each measurement:\n     * - where to find the value (selector to be used using the current data row as root)\n     * - where to put the evaluation (selector to be used using the current data row as root)\n     * - what phenotype elements to select when an abnormal value is found (optional)\n     * */\n    _measurementEvaluationInfo : {\n       bmi : {\n         value : 'td.bmi',\n         evaluation : 'td.bmi_evaluation',\n         valueHooks : {\n           'above-normal': 'HP:0001513'\n         }\n       },\n       weight : {\n         evaluation : 'td.weight_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0004325',\n           'above-normal': 'HP:0004324'\n         }\n       },\n       height : {\n         evaluation : 'td.height_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0004322',\n           'above-normal': 'HP:0000098'\n         }\n       },\n       hc : {\n         evaluation : 'td.hc_evaluation',\n         valueHooks : {\n           'extreme-below-normal': 'HP:0000252',\n           'above-normal': 'HP:0000256'\n         }\n       },\n       ocd : {\n         evaluation : 'td.ocd_evaluation'\n       },\n       icd : {\n         evaluation : 'td.icd_evaluation'\n       },\n       pfl : {\n         evaluation : 'td.pfl_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0012745',\n           'above-normal': 'HP:0000637'\n         }\n       },\n       ipd : {\n         evaluation : 'td.ipd_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0000601',\n           'above-normal': 'HP:0000316'\n         }\n       },\n       ear : {\n         evaluation : 'td.ear_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0008551',\n           'above-normal': 'HP:0000400'\n         }\n       },\n       hand : {\n         evaluation : 'td.hand_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0200055',\n           'above-normal': 'HP:0001176'\n         }\n       },\n       palm : {\n         evaluation : 'td.palm_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0004279',\n           'above-normal': 'HP:0011302'\n         }\n       },\n       foot : {\n         evaluation : 'td.foot_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0001773',\n           'above-normal': 'HP:0001833'\n         }\n       },\n       ear_right : {\n         evaluation : 'td.ear_right_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0008551',\n           'above-normal': 'HP:0000400'\n         }\n       },\n       hand_right : {\n         evaluation : 'td.hand_right_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0200055',\n           'above-normal': 'HP:0001176'\n         }\n       },\n       palm_right : {\n         evaluation : 'td.palm_right_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0004279',\n           'above-normal': 'HP:0011302'\n         }\n       },\n       foot_right : {\n         evaluation : 'td.foot_right_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0001773',\n           'above-normal': 'HP:0001833'\n         }\n       },\n       philtrum : {\n         evaluation : 'td.philtrum_evaluation',\n         valueHooks : {\n           'below-normal': 'HP:0000322',\n           'above-normal': 'HP:0000343'\n         }\n       },\n       armspan : {\n         evaluation : 'td.armspan_evaluation'\n       },\n       sitting : {\n         evaluation : 'td.sitting_evaluation'\n       }\n    },\n\n    /**\n     * Perform the actual update of a specific measurement eval\n     * */\n    _updateValue : function (target, value, fuzzyValue) {\n      var input = target.down('input[type=hidden]');\n      var displayed = target.down('.displayed-value');\n      input &amp;&amp; (input.value = value);\n      displayed.update(value || '-');\n\n      ['extreme-below-normal', 'below-normal', 'normal', 'above-normal', 'extreme-above-normal'].each(function (cssClass) {\n        displayed.removeClassName(cssClass);\n      });\n      if (fuzzyValue) {\n        displayed.addClassName(fuzzyValue);\n      }\n    },\n\n    /**\n     * Find the latest measurements entered in the data table\n     * */\n    _getMostRecentEntry : function() {\n      var mostRecentEntry;\n      var mostRecentDate;\n      this.dataTable.select('tr input.xwiki-date').each(function(element) {\n        var date = Date.parseISO_8601(element.alt.strip());\n        if (!mostRecentDate || mostRecentDate &lt; date) {\n          mostRecentDate = date;\n          mostRecentEntry = element.up('tr.data-row');\n        }\n      })\n      return mostRecentEntry;\n    }\n  });\n\n  //  ========================================================================\n  /**\n   * Chart generator\n   * */\n  widgets.ChartGenerator = Class.create({\n    /**\n     * Initialization\n     * */\n    initialize : function(container, dataSources) {\n      // Check that there is a container where the charts are to be displayed and at least one data source\n      if (!container || dataSources.size() == 0) {\n        return;\n      }\n      this.chartContainer = container;\n      if (this.chartContainer.innerHTML == '') {\n        this.chartContainer.up().hide();\n      }\n      this.dataSources = dataSources;\n      /** Chart update service */\n      this.chartService = new XWiki.Document('ChartService', 'PhenoTips').getURL('get');\n      // Track requests to the chart update service\n      this.lastRequestID = 0;\n      // Initialize the element: enable expand/collapse, adjust sizes, etc\n      this.initChartsWidget();\n      // Listen to changes in the data sources\n      this._updateCharts = this._updateCharts.bindAsEventListener(this);\n      this.dataSources.invoke('observe', 'phenotips:measurement-info:updated', this._updateCharts);\n    },\n     /**\n     * Initialize the element: enable expand/collapse, adjust sizes, etc\n     * */\n    initChartsWidget : function() {\n      // If the charts are not enabled or if they're already initialized, nothing more to do here\n      if (!this.chartContainer || this.chartContainer.hasClassName('initialized')) {\n        return;\n      }\n      // Enable expand/collapse\n      var chartsZone = this.chartContainer.up('.growth-charts-section');\n      if (chartsZone) {\n        chartsZone.select('h3, .expand-tools .tool').invoke('observe', 'click', function(event) {\n           event.element().up('.growth-charts-section').toggleClassName('collapsed');\n        });\n      }\n      this.__adjustAllSVGHeights();\n      Event.observe(window, 'resize', this.__adjustAllSVGHeights.bindAsEventListener(this));\n\n      // Mark the chart widget as initialized\n      this.chartContainer.addClassName('initialized');\n    },\n    /**----------------------------------------------------------------------------\n     * Workaround for webkit bug https://bugs.webkit.org/show_bug.cgi?id=68995\n     * Inspired by http://www.brichards.co.uk/blog/webkit-svg-height-bug-workaround\n     * (adapted from jQuery to Prototype.js)\n     * */\n    __adjustSVGHeight : function(svgElt) {\n       // Original width/height of the svg graphic: 952 X 1225\n       svgElt.setStyle({ 'height' : (1225 / 952 * svgElt.getWidth()) + 'px'});\n    },\n    __adjustAllSVGHeights : function() {\n       this.chartContainer &amp;&amp; this.chartContainer.select('.chart-wrapper').each(this.__adjustSVGHeight.bind(this));\n    },\n    /**\n     * Request to re-generate growth charts\n     * */\n    _updateCharts : function(event) {\n      if (!this.chartContainer) {\n        return;\n      }\n      var _this = this;\n      // Generate the query string to pass to the chart service\n      var qs = '';\n      this.dataSources.each(function (item) {\n        qs += item._processor._createQueryString();\n      });\n      if (qs == '') {return;}\n\n      var requestID = ++this.lastRequestID;\n      var ajx = new Ajax.Request(this.chartService, {\n        method: 'get',\n        parameters : qs + "&amp;width=" + this.chartContainer.getDimensions()['width'],\n        onSuccess: function(response) {\n          if (requestID &lt; this.lastRequestID) {return;}\n          this.chartContainer.update(response.responseText);\n          if (response.responseText == '&lt;div class="clear"&gt;&lt;/div&gt;') {\n            this.chartContainer.up().hide();\n          } else {\n            this.chartContainer.up().show();\n          }\n          this.__adjustAllSVGHeights();\n        }.bind(this),\n        onFailure: function (response) {}\n      });\n    }\n  });\n\n\n  //  ========================================================================\n  /**\n   * Attach the behaviors that will allow evaluating measurements and generating charts in real time\n   * */\n\n  var init = function(event) {\n    // Enamble the MeasurementProcessor for each measurements table (e.g. at birth, postnatal)\n    ((event &amp;&amp; event.memo.elements) || [$('body')]).each(function(element) {\n      var chartDataSources = [];\n      element.select('table.measurements').each(function(dataTable) {\n        new PhenoTips.widgets.MeasurementProcessor(dataTable);\n        chartDataSources.push(dataTable);\n      });\n      new PhenoTips.widgets.ChartGenerator($('charts'), chartDataSources);\n    });\n\n    // Create a warning when measurements are being entered but no birth date is specified\n    var dateOfBirth = $(document.documentElement).down('input[name$=date_of_birth]');\n    if (dateOfBirth) {\n      _updateNoBirthDateWarning();\n      dateOfBirth.observe('xwiki:date:changed', _updateNoBirthDateWarning);\n    }\n    function _updateNoBirthDateWarning(){\n      birthdate = dateOfBirth.value;\n      var warningInsertionPoint = $$('.measurement-info &gt; .expand-tools')[0] ? $$('.measurement-info &gt; .expand-tools')[0] : $('HMeasurements');\n      if (!warningInsertionPoint) { return; }\n      if (!birthdate &amp;&amp; !$('no-birth-date-warning')) {\n        warningInsertionPoint.insert({\n          after:"&lt;div id ='no-birth-date-warning' class='box warningmessage'&gt;$services.localization.render('phenotips.patientSheetCode.noBirthdateWarning')&lt;/div&gt;"\n        });\n      } else if (birthdate &amp;&amp; $('no-birth-date-warning')) {\n        $('no-birth-date-warning').remove();\n      }\n    };\n    // ------------------------------------------------------------------------------------------\n    // And one more thing (not exactly related to measurements directly:\n    // If we're collecting data about gestational age, select premature birth for low gestational ages\n    var gaInput = $$('input[type="text"][name$="_gestation"]');\n    var gaTermInput = $$('input[type="checkbox"][name$="_gestation"]');\n    gaInput = gaInput.size() &gt; 0 &amp;&amp; gaInput[0] || '';\n    gaTermInput = gaTermInput.size() &gt; 0 &amp;&amp; gaTermInput[0] || '';\n    var pbInput = findFormElementForPhenotype('HP:0001622', false, 'prenatal');\n    if (gaInput &amp;&amp; pbInput) {\n      gaInput.observe('blur', function (event) {\n        var ga = parseInt(gaInput.value);\n        var targetElt = pbInput;\n        if (!isNaN(ga)) {\n          if (ga &lt; 37) {\n            if (!targetElt.checked) {\n              if (targetElt._ynpicker) {\n                targetElt._ynpicker._onClick(false, 'yes');\n              } else {\n                targetElt.checked = true;\n              }\n              highlightChecked(targetElt);\n            }\n          } else {\n            if (targetElt._ynpicker) {\n              targetElt._ynpicker._onClick(false, 'no');\n              highlightChecked(targetElt);\n            }\n          }\n        } else {\n          if (targetElt._ynpicker) {\n            targetElt._ynpicker._onNA();\n            highlightChecked(targetElt);\n          }\n        }\n      });\n    }\n    // FIXME This code is a bit fragile... Both inputs should be handled in the same method\n    if (gaTermInput &amp;&amp; pbInput) {\n      gaTermInput.observe('blur', function (event) {\n        var targetElt = pbInput;\n        if (gaTermInput.checked &amp;&amp; targetElt._ynpicker) {\n          targetElt._ynpicker._onClick(false, 'no');\n          highlightChecked(targetElt);\n        }\n      });\n    }\n\n    return true;\n  };\n\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe('xwiki:dom:updated', init);\n\n  // End PhenoTips augmentation.\n  return PhenoTips;\n}(PhenoTips || {}));</code>\n</property>\n<property>\n<name>Automatic computation of growth parameters</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>8</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>fee0fd2a-16d1-45ac-8a44-16af9afec0f7</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  // Edit buttons for every heading in view mode\n  var editButton = $('prActionEdit');\n  if (editButton) {\n    $$('.chapter &gt; h2[id]').each(function(title) {\n      var editLink = new Element('a', {'class' : 'action-edit fa fa-pencil', 'href' : editButton.href + '#' + title.id, 'title' : 'Edit'});\n      title.insert(editLink);\n    });\n  }\n  if (!$('inline')) {return;}\n\n  // , .chapter.phenotype-info .negative_phenotype-group\n  $$('.chapter.phenotype-info .phenotype-group').invoke('addClassName', 'collapsible-group');\n\n  $$('.chapter &gt; h2').each(function(item){\n    var showIcon = '&lt;span class="fa fa-plus-square-o fa-lg"&gt;&lt;/span&gt;&amp;nbsp;';\n    var chapterShow = new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update(showIcon+"$services.localization.render('phenotips.patientSheet.expandSection')");\n    var hideIcon = '&lt;span class="fa fa-minus-square-o fa-lg"&gt;&lt;/span&gt;&amp;nbsp;';\n    var chapterHide = new Element('button', {'class' : 'tool button secondary', 'type' : 'button'}).update(hideIcon+"$services.localization.render('phenotips.patientSheet.collapseSection')");\n    var chapterShowWrapper = new Element('span', {'class' : 'buttonwrapper show'}).insert(chapterShow);\n    var chapterHideWrapper = new Element('span', {'class' : 'buttonwrapper hide'}).insert(chapterHide);\n    var chapterExpandTools = new Element('span', {'class' : 'expand-tools'}).insert(chapterShowWrapper).insert(chapterHideWrapper);\n    item.insert({after: chapterExpandTools});\n    [chapterShow, chapterHide, item].invoke('observe', 'click', function (event) {\n      event.element().up('.chapter').toggleClassName('collapsed');\n    });\n  });\n  $$('.chapter:not(.patient-info)').each(function(item) {\n     if (!(window.location.hash &amp;&amp; item.down(window.location.hash))) {\n       item.addClassName('collapsed');\n     }\n  });\n});</code>\n</property>\n<property>\n<name>Expand/collapse sections</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>9</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>ec95a008-e5ee-4400-83fc-b60abd4d4440</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loading', function() {\n\n  var defaultSearchTerms = $('defaultSearchTerms');\n  var defaultSearchTermsInput = $('defaultSearchTermsInput');\n  var defaultSearchTermIDsInput = $('defaultSearchTermIDsInput');\n  var customSearchTermsInput = $('customSearchTermsInput');\n\n  var omimField = $('prefix') &amp;&amp; $($('prefix').value + 'omim_id');\n\n  var services = {\n    'omim' : {\n       'script' : new XWiki.Document('DiseasePredictService', 'PhenoTips').getURL('get', 'format=html') + "&amp;q=",\n       'source' : [defaultSearchTermIDsInput],\n       'target' : $('omim-search-results'),\n       'suggestFor' : omimField,\n       'tooltip': 'omim-disease-info'\n    },\n    'diffDiagnosis' : {\n       'script' : new XWiki.Document('DiffDiagnosisService', 'PhenoTips').getURL('get', 'format=html') + "&amp;q=",\n       'source' : [defaultSearchTermIDsInput],\n       'target' : $('diffDiagnosis-search-results'),\n       'suggestFor' : $('quick-phenotype-search'),\n       'tooltip': 'phenotype-info'\n    }\n  };\n\n  if (!defaultSearchTerms || !defaultSearchTermsInput || (!services.omim.target &amp;&amp; !services.diffDiagnosis.target)) {return;}\n\n  var cache = {'all' : {}, 'displayed' : {}};\n\n  var updateSearchValue = function() {\n    var prevValue = defaultSearchTermsInput.value;\n    defaultSearchTermsInput.value = '';\n    defaultSearchTermIDsInput.value = '';\n    var termNames = [];\n    defaultSearchTerms.select('.search-term:not(.disabled)').each(function(term) {\n      termNames.push(term.innerHTML);\n      defaultSearchTermsInput.value += ' "' + term.innerHTML + '"';\n      defaultSearchTermIDsInput.value += term.__key + ' ';\n    });\n    if (defaultSearchTermsInput.value != prevValue) {\n      document.fire('phenotips:phenotypeChanged', {phenotype: cache});\n      doSearch('omim');\n      doSearch('diffDiagnosis');\n    }\n  }\n\n  var updateDefaultSearchTerms = function() {\n    var container = new Element('div', { 'class' : 'default-search-terms-container'});\n    for (var k in cache.displayed) {\n       var obj = cache.all[k];\n       if (obj) {\n          var elt = new Element('span', {'class' : 'search-term ' + obj.type}).update(obj.text);\n          elt.__key = obj.key;\n          elt.title = obj.disabled &amp;&amp; "$services.localization.render('phenotips.patientSheetCode.diagnosisZone.clickToEnable')" || "$services.localization.render('phenotips.patientSheetCode.diagnosisZone.clickToDisable')";\n          if (obj.disabled) {\n            elt.addClassName('disabled');\n          }\n          container.insert(elt);\n          elt.observe('click', function(event) {\n             var target = event.element();\n             target.toggleClassName('disabled');\n             cache.all[target.__key].disabled = target.hasClassName('disabled');\n             target.title = cache.all[target.__key].disabled &amp;&amp; "$services.localization.render('phenotips.patientSheetCode.diagnosisZone.clickToEnable')" || "$services.localization.render('phenotips.patientSheetCode.diagnosisZone.clickToDisable')";\n             updateSearchValue();\n          })\n       }\n    }\n    defaultSearchTerms.update(container);\n    updateSearchValue();\n  }\n\n  var requestCreated = function(service, request) {\n    service.target.addClassName('loading');\n    service.target.select('li').each(function(element){element.update(' ')});\n  }\n  var responseReceived = function(service, request) {\n    if (request &amp;&amp; request.getHeader('X-ReqNo') == service.expectedReqNo) {\n      service.target.removeClassName('loading');\n    } else {\n      request.request.container = {};\n    }\n  }\n\n  var updateDone = function(service) {\n    if (service.suggestFor  &amp;&amp; service.suggestFor._suggestPicker) {\n        service.target.select('li').each(function (item) {\n          if (item.down('input[type=checkbox]')) {return;}\n          var idElt = item.down('.id');\n          var nameElt = item.down('.title');\n          var id = idElt &amp;&amp; idElt.title;\n          var name = item.down('.title a') &amp;&amp; item.down('.title a').innerHTML || item.down('.title') &amp;&amp; item.down('.title').innerHTML;\n          var categoryElt = item.down('.term-category');\n          if (id &amp;&amp; name) {\n            if (service.suggestFor.hasClassName('generateYesNo')) {\n              // generate yn pickers\n              var positiveName = service.suggestFor.name.replace(/__suggested$/, '');\n              var negativeName = positiveName.replace(/(_\\d+)_/, "$1_negative_");\n              var ynpicker = YesNoPicker.generatePickerElement([\n                    {type: 'yes', name: positiveName, id: '', selected: isValueSelected(positiveName, id)},\n                    {type: 'no' , name: negativeName, id: '', selected: isValueSelected(negativeName, id)}\n                  ], id, name, true, nameElt);\n              item.insert({top: ynpicker});\n\n              ynpicker.up().select('label, .yes-no-picker-label').invoke('observe', 'click', function(event) {\n               var option = Event.findElement(event);\n               var input = option.down('input[type="checkbox"]') || option.previous('.yes-no-picker').down('.yes input[type="checkbox"]'); // defaults to 'Y' when clicking on the text\n               if (!input) {return;}\n               if (input.checked) {\n                 var negative = option.hasClassName('no');\n                 var categoryClone = categoryElt.clone(true);\n                 if (negative) {\n                     categoryClone.insert(new Element('input', {type: 'hidden', name : 'fieldName', value : input.name}));\n                 }\n                 service.suggestFor._suggestPicker.silent = true;\n                 service.suggestFor._suggestPicker.acceptSuggestion({'id' : id, 'value' : name, 'category' : categoryClone, 'negative' : negative});\n                 service.suggestFor._suggestPicker.silent = false;\n                 new XWiki.widgets.Notification("$services.localization.render('phenotips.PatientSheetCode.added')".replace("__name__", name), 'done');\n               } else {\n                 var existingValue = $(service.suggestFor.id + '_' + input.value);\n                 if (existingValue) {\n                   existingValue.checked = false;\n                   new XWiki.widgets.Notification("$services.localization.render('phenotips.PatientSheetCode.removed')".replace("__name__", name), 'done');\n                 }\n               }\n            });\n\n            // enableHighlightChecked(ynpicker.down('.yes input'));\n            // enableHighlightChecked(ynpicker.down('.no input'));\n            } else {\n            // generate simple checkboxes\n            var trigger = new Element('input', {'type' :  'checkbox', 'value' : id, 'title' : 'Select', id : 'result__' + id});\n            var existingValue = $(service.suggestFor.id + '_' + id);\n            if (existingValue &amp;&amp; existingValue.checked) {\n              trigger.checked = true;\n            }\n            trigger.__suggestion = {'id' : id, 'value' : name};\n            nameElt.wrap('label', {'for' : 'result__' + id});\n            idElt.insert({'before' : trigger});\n            trigger.observe('click', function(event) {\n               var input = Event.findElement(event, 'input[type=checkbox]');\n               if (input.checked) {\n                 service.suggestFor._suggestPicker.silent = true;\n                 service.suggestFor._suggestPicker.acceptSuggestion(input.__suggestion);\n                 service.suggestFor._suggestPicker.silent = false;\n                 new XWiki.widgets.Notification("$services.localization.render('phenotips.PatientSheetCode.added')".replace("__name__", input.__suggestion.value ), 'done');\n               } else {\n                 var existingValue = $(service.suggestFor.id + '_' + input.value);\n                 if (existingValue) {\n                   existingValue.up('li').remove();\n                   new XWiki.widgets.Notification("$services.localization.render('phenotips.PatientSheetCode.removed')".replace("__name__", input.__suggestion.value), 'done');\n                 }\n               }\n            });\n            } // generate simple checkboxes, not yn pickers\n            // -----------------------------------------------------\n            // Insert info boxes where available\n            if (typeof(service.tooltip) != 'undefined') {\n             item.insert(new Element('span', {'class' : 'xHelpButton fa fa-info-circle ' + service.tooltip, 'title' : id}));\n            }\n            // -----------------------------------------------------\n            // Enable navigation by pages for trait suggestions\n            service.target.select(".navigation").each(function(navButton){\n              navButton.observe("click", function(event) {\n                doSearch('diffDiagnosis', navButton.select("input")[0].value, 0);\n              });\n            });\n          } //End of ID and Name conditional\n        }); //End of loop over all li\n    }\n    if (service.target.__hiddenParent) {\n      if (service.target.down('li')) {\n         //has results\n         service.target.__hiddenParent.removeClassName('hidden');\n      } else {\n         service.target.__hiddenParent.addClassName('hidden');\n      }\n    }\n    Event.fire (document, 'xwiki:dom:updated', {'elements' : [service.target]});\n  };\n\n  var doSearch = function(service, page, searchDelay) {\n    var data = services[service];\n    if (!data || !data.target || !data.script) {return;}\n    if (data.__pendingRequest !== undefined) {\n      window.clearTimeout(data.__pendingRequest);\n      data.__pendingRequest = undefined;\n    }\n    data.target.__initialized || (data.target.__initialized = true) &amp;&amp; (data.target.__hiddenParent = data.target.up('.background-search.hidden'));\n    if (!data.expectedReqNo) {\n      data.expectedReqNo = 0;\n    }\n    //var queryString = (customSearchTermsInput &amp;&amp; (customSearchTermsInput.value.strip() + ' ') || '') + defaultSearchTermsInput.value.strip();\n    var queryString = '';\n    var parameters = {};\n    for (var k in cache.displayed) {\n      var obj = cache.all[k];\n      if (obj &amp;&amp; !obj.disabled) {\n        var list = parameters[obj.type];\n        if (!list) {\n          list = [];\n          parameters[obj.type] = list;\n        }\n        list.push(obj.key);\n      }\n    }\n\n    if (page !==  undefined) {\n      parameters['page'] = page;\n    }\n\n    data.source.each(function(source) {\n       queryString += ((source &amp;&amp; source.value.strip()) + ' ') || '';\n    });\n\n    searchDelay = (searchDelay === undefined) ? 0.8 : searchDelay;\n\n    data.__pendingRequest = function() {\n      data.__pendingRequest = undefined;\n      new Ajax.Updater(data.target, data.script + encodeURIComponent(queryString.strip()) + "&amp;reqNo=" + ++data.expectedReqNo, {\n        parameters: parameters,\n        onCreate : requestCreated.bind(this, data),\n        onSuccess : responseReceived.bind(this, data),\n        onComplete : updateDone.bind(this, data)\n      });\n    }.bind(this).delay(searchDelay);\n  }\n\n  document.observe('phenotype:selected', function(event) {\n    if (!event.memo || !event.memo.key || !event.memo.element) {return;}\n    var key = event.memo.key;\n    var text = event.memo.text || event.memo.key;\n    var obj = cache.all[key];\n    // The event is sent for NA, Yes and No checkboxes, in this order, with partial results along the way.\n    // If we want to check the final state of the value, we only take the No checkbox into account.\n    if (event.memo.type == 'no') {\n      var yesSelected = event.memo.element.up('.yes-no-picker').down('.yes input').checked;\n      var noSelected = event.memo.enable;\n      if (yesSelected || noSelected) {\n        if (!obj) {\n          obj = {'key' : key, 'text' : text};\n          cache.all[key] = obj;\n        } else {\n          obj.hidden = false;\n        }\n        obj.type = noSelected ? 'not_symptom' : (key.startsWith('HP:') ? 'symptom' : 'free_symptom');\n        cache.displayed[key] = true;\n      } else {\n        if (obj) {\n          obj.hidden = true;\n          delete cache.displayed[key];\n        }\n      }\n    }\n    updateDefaultSearchTerms();\n  });\n\n  document.observe('xwiki:dom:loaded', function() {\n    $$(".yes-no-picker").each(function(element) {\n      var yesInput = element.down('.yes input');\n      var noInput = element.down('.no input');\n      if (yesInput.name === noInput.name) {\n        // Not a phenotype\n        return;\n      }\n      var key = yesInput.value;\n      // FIXME The nextSibling part is supposed to make simple checkboxes work as well, but we're already selecting only YesNo pickers.\n      // Should be revisited to add back support for simple checkboxes.\n      var text = yesInput.title || (element.nextSibling &amp;&amp; (element.nextSibling.firstChild &amp;&amp; element.nextSibling.firstChild.nodeValue || element.nextSibling.nodeValue)) || key;\n      var obj = cache.all[key];\n      var enable = !element.down('.na input').checked;\n      if (enable) {\n        if (!obj) {\n          obj = {'key' : key, 'text' : text};\n          cache.all[key] = obj;\n        } else {\n          obj.hidden = false;\n        }\n        obj.type = (noInput.checked ? 'not_symptom' : (key.startsWith('HP:') ? 'symptom' : 'free_symptom'));\n        cache.displayed[key] = true;\n      } else {\n        if (obj) {\n          obj.hidden = true;\n          delete cache.displayed[key];\n        }\n      }\n    });\n    updateDefaultSearchTerms();\n  });\n\n  if (customSearchTermsInput) {\n    customSearchTermsInput.observe('keyup', function(event) {\n       doSearch('omim');\n       doSearch('diffDiagnosis');\n    });\n  }\n});</code>\n</property>\n<property>\n<name>Instant searches in the Diagnosis zone</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>10</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>108065a7-3adb-4e83-b9c4-c9e7a7fbfd89</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  $$('.month-year-date').each(function(dateWidget){\n    var dateValueInput = dateWidget.down('input.xwiki-date-hidden');\n    var monthSelect = dateWidget.down('select.month');\n    var yearSelect = dateWidget.down('select.year');\n    if (!dateValueInput || !dateValueInput.title || !monthSelect || !yearSelect) {return;}\n    [monthSelect, yearSelect].invoke('observe', 'change', function(event) {\n       var format = dateValueInput.title;\n       var month = monthSelect.selectedIndex &gt;= 0 &amp;&amp; monthSelect.options[monthSelect.selectedIndex].value;\n       var year = yearSelect.selectedIndex &gt;= 0 &amp;&amp; yearSelect.options[yearSelect.selectedIndex].value;\n       if (month &amp;&amp; year) {\n          var date = new Date();\n          date.setFullYear(year, month, 1);\n          if (typeof (SimpleDateFormat) != 'undefined') {\n            var formatter = new SimpleDateFormat(format);\n            dateValueInput.value = formatter.format(date);\n            dateValueInput.alt = date.toISO8601();\n            Event.fire(dateValueInput, 'xwiki:date:changed');\n          }\n       }\n    })\n  })\n});</code>\n</property>\n<property>\n<name>Date Pickers</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>11</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>96600d0a-4191-4307-9350-f0c8fb5b1a26</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  // --------------------------------------------------------------------------------------------\n  // Drag phenotypes to select...\n  var summaryDroppable = webkit_drop.add(document.documentElement.down('.selector-panels'), {\n     accept: ['term-label', 'info'],\n     onDrop: function(dropped, event) {\n       var input = dropped.down('input[type=checkbox]') || dropped.previous('input[type=checkbox]');\n       if (input &amp;&amp; !input.checked) {\n         input.click();\n       }\n     }\n  })\n  var createDraggablePhenotype = function (element) {\n     element.addClassName('draggable-initialized');\n     new webkit_draggable(element, {revert : 'always', scroll : true});\n  }\n  $$('.browse-phenotype-categories label.term-label').each(function(item){\n    createDraggablePhenotype(item);\n  });\n\n  document.observe("obrowser:content:added", function(event) {\n    var data = event.memo &amp;&amp; event.memo.added;\n    if (!data) { return; }\n    data.select('.entry-data .info:not(.draggable-initialized)').each(function(item) {\n       createDraggablePhenotype(item);\n    });\n  });\n\n  // --------------------------------------------------------------------------------\n  // Drag summary-items back to delete them...\n  var browserDroppable = webkit_drop.add(document.documentElement.down('.browse-phenotype-categories'), {\n      accept: ['summary-item'],\n      onDrop: function(dropped, event) {\n        var input = dropped.down('input[type=checkbox]');\n        if (input &amp;&amp; selectionSummary) {selectionSummary._remove(input.value);}\n      }\n   });\n   var createDraggableSummaryItem = function (element) {\n      element.addClassName('draggable-initialized');\n      new webkit_draggable(element, {revert : true, scroll : true});\n   }\n   document.observe("summary-item:added", function(event) {\n      var element = event.memo &amp;&amp; event.memo.element;\n      if (element &amp;&amp; !element.hasClassName('draggable-initialized')) {\n        createDraggableSummaryItem(element);\n      }\n   });\n});</code>\n</property>\n<property>\n<name>Touchscreen drag and drop</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>12</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>caf691e4-d58c-485a-9916-7abe49199ce3</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  $$('.yes-no-picker:not(.initialized)').each(function (ynpickerElt) {\n     if (!ynpickerElt._ynpicker) {\n      ynpickerElt._ynpicker = new YesNoPicker(ynpickerElt, ynpickerElt.next('label'), true);\n     }\n  });\n});</code>\n</property>\n<property>\n<name>Other y/n/na pickers</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>13</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>98e58dee-d663-42fb-88b0-2daa181ec3d4</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  if (!$('prefix')) {return;}\n  new XWiki.editors.AutoSave({\n    form : 'inline',\n    enabled: true,\n    frequency: 10,\n    showConfigurationUI: false\n  });\n});</code>\n</property>\n<property>\n<name>Autosave</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>14</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>b4ad6f0b-ebac-4bca-a223-ea8f394c837c</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var XWiki = (function(XWiki) {\n  // Start XWiki augmentation\n  var widgets = XWiki.widgets = XWiki.widgets || {};\n\n  widgets.UniquenessValidator = Class.create({\n    initialize : function(input) {\n      this.input = input;\n      this.valid = true;\n      this.state = 'NEW';\n      this.request = 0;\n      this.value = input.value;\n      this.serviceUrl = new XWiki.Document('CheckID', 'PhenoTips').getURL('get');\n      if (!this.input.__validation) {\n        this.input.__validation = new LiveValidation(this.input, {validMessage: '', wait : 500});\n      }\n      this.input.__validation.add(this.validate.bind(this));\n    },\n    check : function() {\n      if (this.input.value != this.value) {\n        this.value = this.input.value;\n        this.state = 'CHECKING';\n        new Ajax.Request(this.serviceUrl, {\n          parameters : { outputSyntax: 'plain', eid: this.value, id: XWiki.Model.serialize(new XWiki.DocumentReference(XWiki.currentDocument.wiki, XWiki.currentDocument.space, XWiki.currentDocument.page))},\n          on200 : this.self.bindAsEventListener(this),\n          on403 : this.empty.bindAsEventListener(this),\n          on404 : this.available.bindAsEventListener(this),\n          on409 : this.exists.bindAsEventListener(this),\n          onComplete: this.responded.bindAsEventListener(this)\n        });\n      }\n    },\n    validate : function(value) {\n      if (this.state == 'DONE') {\n        this.value == value &amp;&amp; (this.valid || Validate.fail("$services.localization.render('phenotips.PatientSheetCode.identifierExists')"));\n      }\n      this.check();\n      return true;\n    },\n    self : function() {\n      this.valid = true;\n    },\n    available : function() {\n      this.valid = true;\n    },\n    empty : function() {\n      this.valid = false;\n    },\n    exists : function() {\n      this.valid = false;\n    },\n    responded : function() {\n      this.state = 'DONE';\n      this.input.__validation.validate();\n    }\n  });\n\n  var init = function(event) {\n    ((event &amp;&amp; event.memo.elements) || [$('body')]).each(function(element) {\n      element.select('input.check-unique, .external_id input').each(function(input) {\n        if (!input.__uniqueness_validator) {\n          input.__uniqueness_validator = new XWiki.widgets.UniquenessValidator(input);\n        }\n      });\n    });\n    return true;\n  };\n\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);\n  document.observe('xwiki:dom:updated', init);\n\n  // End XWiki augmentation.\n  return XWiki;\n}(XWiki || {}));</code>\n</property>\n<property>\n<name>ID uniqueness validation</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>15</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>0dad2b4e-4f21-4652-b032-0aa9d6ee2e5a</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>Event.observe(window, 'load', function() {\n  for (binding in shortcut.all_shortcuts) {\n    shortcut.remove(binding);\n  }\n});</code>\n</property>\n<property>\n<name>Disable keyboard shortcuts</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.PDFClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<footer>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>footer</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Footer displayed at the bottom of each PDF page</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</footer>\n<fopxsl>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>fopxsl</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>XSLT for post-processing the FO document</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</fopxsl>\n<header>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>header</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Header displayed on top of each PDF page</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</header>\n<style>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>style</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Custom CSS style to apply to the PDF</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</style>\n<xhtmlxsl>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>xhtmlxsl</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>XSLT for transforming HTML into a FO document</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</xhtmlxsl>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>0</number>\n<className>XWiki.PDFClass</className>\n<guid>8013b262-b466-4c84-be89-c48455787e47</guid>\n<property>\n<footer>Page (% class="page-number" %)#(%%) of (% class="page-total" %)#(%%)\n\n{{velocity}}(% style="margin-top: 1em; font-size: 70%" %)(((\n$services.localization.render('phenotips.PatientSheetCode.PDFFooterDocInfo', [$xwiki.getUserName($tdoc.author, false), $!xwiki.formatDate($tdoc.date), $xwiki.getUserName($xcontext.user, false)])\n$services.localization.render('phenotips.PatientSheetCode.PDFFooterDisclaimer', [$xwiki.formatDate($util.date)]) [[PhenoTips&gt;&gt;$doc.getExternalURL()]].\n))){{/velocity}}</footer>\n</property>\n<property>\n<fopxsl>&lt;?xml version="1.0" encoding="UTF-8"?&gt;\n&lt;xsl:stylesheet version="1.0"\n    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"\n    xmlns:fo="http://www.w3.org/1999/XSL/Format"\n    xmlns:html="http://www.w3.org/1999/xhtml"&gt;\n\n  &lt;xsl:output method="xml"/&gt;\n\n  &lt;xsl:template match="@*|node()"&gt;\n    &lt;xsl:copy&gt;\n      &lt;xsl:apply-templates select="@*|node()"/&gt;\n    &lt;/xsl:copy&gt;\n  &lt;/xsl:template&gt;\n\n  &lt;!-- Skip fo:table-and-caption because Fop won't render tables otherwise --&gt;\n  &lt;xsl:template match="fo:table-and-caption"&gt;\n    &lt;xsl:apply-templates/&gt;\n  &lt;/xsl:template&gt;\n\n  &lt;!-- Ignore fo:table-caption because it is not supported --&gt;\n  &lt;xsl:template match="fo:table-caption" /&gt;\n\n  &lt;!-- Change the page dimensions to Letter --&gt;\n  &lt;xsl:template match="fo:simple-page-master/@page-height"&gt;\n    &lt;xsl:attribute name="page-height"&gt;\n      &lt;xsl:value-of select="'11in'"/&gt;\n    &lt;/xsl:attribute&gt;\n  &lt;/xsl:template&gt;\n  &lt;xsl:template match="fo:simple-page-master/@page-width"&gt;\n    &lt;xsl:attribute name="page-width"&gt;\n      &lt;xsl:value-of select="'8.5in'"/&gt;\n    &lt;/xsl:attribute&gt;\n  &lt;/xsl:template&gt;\n  &lt;!-- Change the font to FreeSans --&gt;\n  &lt;xsl:template match="fo:root/@font-family"&gt;\n    &lt;xsl:attribute name="font-family"&gt;\n      &lt;xsl:value-of select="'FreeSans'"/&gt;\n    &lt;/xsl:attribute&gt;\n  &lt;/xsl:template&gt;\n\n  &lt;!-- Ignore some elements --&gt;\n  &lt;xsl:template match="fo:block[@id='document-actions']" /&gt;\n  &lt;xsl:template match="fo:block[@role='html:h1']" /&gt;\n&lt;/xsl:stylesheet&gt;</fopxsl>\n</property>\n<property>\n<header>{{velocity}}$escapetool.xml($doc.name)#if ("$!{doc.getValue('external_id')}" != '') ($escapetool.xml($doc.getValue('external_id')))#end{{/velocity}}</header>\n</property>\n<property>\n<style>#template('colorThemeInit.vm')\nh3 {\n  text-transform: uppercase;\n  font-weight: normal;\n  font-size: 1em;\n}\nhr {\n  display: none;\n}\n.patient-info h2 {\n  display: none;\n}\n.patient-info p {\n  margin: 0;\n  padding: 0;\n  text-indent: 0;\n}\n.no-selected {\n  color: $theme.notificationErrorColor;\n}\n</style></property><property><xhtmlxsl></xhtmlxsl></property></object><object><class><name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>972515de-46fe-48d5-85b6-4d4dc5a696f5</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n/** ----------------------------------------------------------- */\n/** Default style fixes **/\n.space-data #mainContentArea, .space-data #mainEditArea {\n    background-color: #F9F9F9;\n    border: 0 none;\n    box-shadow: 0 0 8px rgba(0, 0, 0, 0.2);\n    margin: 3em 0;\n    padding: 0.5em 10px;\n    text-shadow: 1px 1px 0 #FFFFFF;\n}\n.space-data .bottombuttons {\n   margin: 3em -10px -3em;\n}\n.space-data #document-head {\n  margin: -2.9em -11px 0;\n}\n.space-data #document-head #document-title {\n  display: inline-block;\n  line-height: 0;\n  vertical-align: bottom;\n}\n\n.space-data #document-head h1 {\n  border: 0 none;\n  border-bottom: 0 none;\n  background-color: $theme.menuBackgroundColor;\n  #css3_backgroundLinearGradient({\n    'to': 'bottom',\n    'colors': [\n      {'color': $theme.menuBackgroundColor, 'position': '0%'},\n      {'color': $theme.menuGradientColor, 'position': '50%'}\n    ]\n  })\n  border-radius: 8px 8px 0 0;\n  box-shadow: 0 -3px 3px rgba(0, 0, 0, 0.15);\n  color: $theme.menuLinkColor;\n  display: inline-block;\n  font-size: 1.2em;\n  letter-spacing: 2px;\n  margin: 0;\n  padding: 0.4em 11px;\n  text-shadow: 0 0 1px $theme.buttonPrimaryTextColor;\n  text-transform: uppercase;\n}\n\n.space-data #document-head #document-authors {\n  background-color: $theme.menuBackgroundColor;\n  #css3_backgroundLinearGradient({\n    'to': 'bottom',\n    'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n  color: $theme.menuLinkColor;\n  border: 0 none;\n  font-size: 0.87em;\n  padding: 0.5em 10px;\n  text-shadow: 1px 0 0 rgba(0, 0, 0, .3);\n  vertical-align: top;\n  display: block;\n  border-bottom: 0 none;\n}\n\n#document-head #document-authors .sep {\n  margin: 0 .5em;\n}\n#document-head #document-authors .document-author {\n  color: inherit;\n  font-weight: bold;\n}\n.before-patient-data {\n  border: 0 none;\n  font-size: .87em;\n  margin: 0 -11px;\n  padding: 5px 10px;\n}\n.before-patient-data a.button {\n  font-size: 1em;\n  text-transform: none;\n  font-weight: normal\n}\n\n#xwikicontent {\n  overflow: visible;\n}\n\n.xwiki-form-listclass {\n  display: inline-block;\n}\n.xwiki-form-listclass input[type="radio"][value=""], .xwiki-form-listclass option[value=""] {\n  display: none;\n}\n.buttonwrapper, .button {\n  text-shadow: none;\n}\nhr {\n  border-bottom: 1px solid $theme.pageContentBackgroundColor;\n  border-left: 0 none;\n  border-right: 0 none;\n  border-top: 1px solid $theme.borderColor;\n  clear: both;\n}\n.xform .xHint {\n  color: $theme.notificationInfoColor;\n  font-size: 87%;\n}\n.fullScreenEditLinkContainer {\n  display: none !important;\n}\n.errormessage {\n  background-color: $theme.highlightColor;\n}\n.suggestItems .suggestValue {\n  color: $theme.textColor;\n}\n.suggestItem .related-terms, .suggestItem .browse-related-terms {\n  font-size: 100%;\n  font-weight: bold;\n  float: right;\n  margin: 0;\n  color: $theme.buttonPrimaryTextColor;\n  background-color: $theme.buttonPrimaryBackgroundColor;\n  border-radius: 2px;\n}\n.suggestItem .related-terms a, .suggestItem .browse-related-terms a {\n  color: $theme.buttonPrimaryTextColor;\n  display: inline-block;\n  padding: 2px .5em;\n}\n/** ----------------------------------------------------------- */\n/** ----------------------------------------------------------- */\n/** Layout **/\n.invisible {\n  display: none !important;\n}\n.clear {\n  display: block;\n  float: none;\n  clear: both;\n}\n.twothird-width {\n  width: 66%;\n  float: left;\n}\n.half-width {\n  width: 48.5%;\n  margin-right: 1%;\n  float: left;\n}\n.half-width+.half-width {\n  margin-left: 2%;\n  margin-right: 0;\n}\n.third-width {\n  width: 32%;\n  float: left;\n  margin-right: 1%;\n}\n/** ----------------------------------------------------------- */\n/** Specific form elements **/\n.hint {\n  color: $theme.notificationInfoColor;\n  font-size: 87%;\n  padding: 0;\n  margin: 0;\n  font-style: normal;\n}\n.chapter {\n  margin: 3.5em 0 1em;\n  padding: 0 10px 5px;\n  position: relative;\n}\nh2 a.action-edit {\n  display: inline-block;\n  font-size: .8em;\n  color: $theme.textColor;\n  visibility: hidden;\n  opacity: .8;\n  margin: 0 0 0 1em;\n}\n.chapter:hover a.action-edit {\n  visibility: visible;\n}\nh1, h2, h3, h4 {\n  text-shadow: 1px 1px 0 $theme.pageContentBackgroundColor;\n}\n.chapter &gt; h2 {\n  border-bottom: 1px solid $theme.titleColor;\n  cursor: default;\n  font-family: Georgia,serif;\n  font-size: 1.5em;\n  margin: -1.5em -10px 0;\n  padding-left: 10px;\n}\n.editbody .chapter &gt; h2 {\n  cursor: pointer;\n}\n.chapter &gt; h2+.hint {\n  margin: 1em 0;\n}\n.chapter h3 {\n  font-size: 1.2em;\n  text-transform: uppercase;\n  margin: 1em 0;\n  padding: 0 20px 0 0;\n}\n/** ----------------------------------------------------------- */\n/** Patient info zone **/\n.clinical-info .fieldset {\n  margin: 1em 0 !important;\n}\n.editbody .family_study {\n  margin-top: 1.2em ! important;\n}\n.clinical-info .side {\n  padding-top: .3em;\n}\n.viewbody .clinical-info .label, .viewbody .clinical-info label {\n  font-weight: bold;\n  display: inline-block;\n  width: 33%;\n}\n.viewbody .family_study .label {\n  display: inline;\n}\n.viewbody .family_study .half-width {\n  width: 33%;\n}\n.viewbody .family_study .half-width * {\n  margin: 0 !important;\n}\n.omim_id.half-width p {\n  margin: 0;\n}\n/** ----------------------------------------------------------- */\n/** PubMed search box &amp; suggest */\n.pubmed-search-box {\n  width: 42.5% !important;\n  position: absolute;\n  top: auto;\n  bottom: -1.4em !important;\n  margin-right: -46% !important;\n}\n.pubmed-search-box fieldset {\n  border: 1px solid $theme.backgroundSecondaryColor;\n  padding: .5em .8em;\n}\n#pubmed-search-history ul {\n  max-height: 5em;\n  overflow: auto;\n  font-size: .8em;\n}\n#pubmed-search-history h4 {\n  margin-bottom: 0;\n}\n#pubmed-search-history ul li {\n  padding-left: 20px;\n  background-image: url("$xwiki.getSkinFile('icons/silk/page.png')");\n  background-position: left 2px;\n  background-repeat: no-repeat;\n}\n#pubmed-search-history ul li input{\n  display: none;\n}\n/** ----------------------------------------------------------- */\n/** Clinical info zone **/\n/** view mode **/\n.viewbody .clinical-info .displayed-value {\n  padding-left: 8px;\n  margin-left: 8px;\n  border-left: 2px solid $theme.borderColor;\n}\n.value-checked, .viewbody .clinical-info label.section {\n  padding-left: 18px;\n  background: transparent none left 40% no-repeat;\n}\n.value-checked.fa::before {\n  margin-right: 0.25em;\n}\n.viewbody .subsection {\n  margin-left: 18px;\n}\n/** edit mode **/\n.editbody .clinical-info label.section {\n  line-height: 1.4em;\n  font-weight: bold;\n}\n.chapter div .expand-tools {\n  margin-top: -3.5em;\n  margin-right: 0;\n}\n.chapter .expand-tools {\n  color: $theme.textPrimaryColor;;\n  float: right;\n  font-size: 0.9em;\n  margin-right: -10px;\n  margin-top: -2em;\n}\n.chapter .browser .expand-tools {\n  margin-right: 0;\n  margin-top: -3em;\n}\n.expand-tools .tool:hover {\n  color: $theme.linkColor;\n  cursor: pointer;\n}\n.chapter.collapsed .expand-tools .inner-expand-tools,\n.chapter.collapsed .expand-tools .hide,\n.chapter.collapsed &gt; *,\n.chapter.collapsed table,\n.chapter .expand-tools .show {\n  display: none;\n}\n.chapter.collapsed .expand-tools, .chapter.collapsed .expand-tools .show {\n  display: inline\n}\n.chapter.collapsed &gt; h2 {\n  display: block;\n}\n/** --------------------------------------------- **/\n/** Charts **/\n.growth-charts-section.collapsed #charts,\n.growth-charts-section.collapsed .expand-tools .hide,\n.growth-charts-section .expand-tools .show {\n  display: none;\n}\n.growth-charts-section.collapsed .expand-tools .show {\n  display: inline;\n}\n.growth-charts-section h3.expandable {\n  cursor: pointer;\n}\n\n.chart-wrapper {\n  box-shadow: 0 0 6px $theme.borderColor;\n  display:inline-block;\n  width:24%;\n  margin-left:1%;\n}\n.chart-wrapper:hover {\n  text-decoration: none;\n}\n.term-entry {\n  display: block;\n  width: auto;\n}\n\n.enable-columns .predefined-entries {\n -moz-column-count: 2;\n -webkit-column-count: 2;\n column-count: 2;\n}\n.enable-columns .predefined-entries .subsection {\n  -webkit-column-break-before:avoid;\n  -moz-column-break-before:avoid;\n  column-break-before:avoid;\n  -webkit-column-break-inside:avoid;\n  -moz-column-break-inside:avoid;\n  column-break-inside:avoid;\n  display: table;\n}\n\n.ethnicity label, .ethnicity .label {\n  font-size: 100% !important;\n  color: inherit !important;\n  font-weight: bold !important;\n}\n/** --------------------------------------------- **/\n/** Pedigree **/\n.pedigree-legend {\n  margin-top: 1em !important;\n  margin-left: 2em !important;\n}</code>\n</property>\n<property>\n<name>Patient sheet UI</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>1</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>ccd8a586-777c-4597-98e9-2303833adacb</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.measurement-info .extradata-list td {\n  text-align: left;\n}\n.measurement-info .extradata-list th {\n  width: 16em;\n}\n.extradata-list .bmi, .extradata-list .hc_percentile {\n  min-width: 4em;\n}\n.extradata-list .normal {\n  color: $theme.notificationSuccessColor;\n}\n.extradata-list .extreme-below-normal, .extradata-list .extreme-above-normal {\n  color: $theme.notificationErrorColor;\n}\n.extradata-list .below-normal, .extradata-list .above-normal {\n  color: $theme.notificationWarningColor;\n}\n.extradata-list .extreme-below-normal:before, .extradata-list .extreme-above-normal:before,\n.extradata-list .below-normal:before, .extradata-list .above-normal:before {\n  border-radius: 50%;\n  color: $theme.pageContentBackgroundColor;\n  display: inline-block;\n  height: 1.4em;\n  margin-right: 0.5em;\n  text-align: center;\n  text-shadow: none;\n  width: 1.4em;\n}\n.extradata-list .extreme-below-normal:before, .extradata-list .extreme-above-normal:before {\n  background-color: $theme.notificationErrorColor;\n  content: "!!";\n}\n.extradata-list .below-normal:before, .extradata-list .above-normal:before {\n  background-color: $theme.notificationWarningColor;\n  content: "!";\n}\nform .extradata-list tr:hover td {\n  background-color: $theme.highlightColor;\n}\n.extradata-list.measurements {\n  border-collapse: separate;\n  border-spacing: 0 0;\n}\n.extradata-list.measurements td {\n  text-align: left;\n}\n.extradata-list.measurements .displayed-value {\n  white-space: nowrap;\n}\n.extradata-list.measurements table {\n  width: 100% !important;\n}\n.extradata-list.measurements td.date label.hint,\n.extradata-list.measurements td.age label.hint {\n  font-size: 1em;\n  color: $theme.textColor;\n  font-weight: bold;\n}\n.extradata-list.measurements td input {\n  width: auto;\n}\n.extradata-list.measurements td.date input {\n  width: 10em;\n  margin: 0 0 0 .7em;\n}\n.extradata-list.measurements td.age .displayed-value {\n  display: inline;\n}\n.extradata-list.measurements td.actions a.delete{\n  margin: 0;\n  background-image: none;\n  width: 1em;\n  height: auto;\n  float: right;\n  text-indent: 0;\n  text-align: center;\n  text-decoration: none !important;\n}\n\n.extradata-list .head-group label {\n  font-weight: bold;\n}\n.extradata-list .icon {\n  width: 20px;\n  background: transparent none center center no-repeat;\n}\n.extradata-list .head-group .icon {\n  background-image: url("$xwiki.getSkinFile('icons/datamodel/calendar.png')");\n}\n.extradata-list .general-group .icon {\n  background-image: url("$xwiki.getSkinFile('body-icon-s.png')");\n  opacity: .4;\n}\n.extradata-list .face-group .icon {\n  background-image: url("$xwiki.getSkinFile('head-icon-s.png')");\n  opacity: .4;\n}\n.extradata-list .ratios-group .icon {\n  background-image: url("$xwiki.getSkinFile('ratios-icon-s.png')");\n  opacity: .4;\n}\n.extradata-list .eyes-group .icon {\n  background-image: url("$xwiki.getSkinFile('eye.png')");\n}\n.extradata-list .organs-group .icon {\n  background-image: url("$xwiki.getSkinFile('body-icon-left-s.png')");\n  opacity: .4;\n}\n.extradata-list .left-side-group .icon {\n  background-image: url("$xwiki.getSkinFile('body-icon-left-s.png')");\n  opacity: .4;\n}\n.extradata-list .right-side-group .icon {\n  background-image: url("$xwiki.getSkinFile('body-icon-right-s.png')");\n  opacity: .4;\n}\n\n.extradata-list .relative_type, .extradata-list .relative_of {\n  width: 50%;\n  text-align: left;\n}\n.extradata-list .relative_type label, .extradata-list .relative_of label {\n  width: auto;\n}\n</code></property><property><name>Extra data table ui</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>2</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>a92ecd55-7896-45b8-878a-a7e2228a740d</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n/*--------------------------------------------------------------*/\n/** Box style */\n.ncbi-search-box {\n  margin-top: 2em;\n}\n/*--------------------------------------------------------------*/\n/** Search terms from phenotypes */\n.default-search-terms-container {\n  margin: .5em 0;\n  padding: .5em 1em;\n  border: 1px dotted $theme.borderColor;\n  background-color: $theme.highlightColor;\n}\n.search-term {\n  margin: 0 1.5em 0 0;\n  cursor: pointer;\n}\n.search-term:hover, .search-term.disabled:hover {\n  opacity: .7;\n}\n.search-term.disabled {\n  opacity: .5;\n  text-decoration: line-through;\n}\n.search-term.not_symptom {\n  color: #C00;\n}\n.search-term.not_symptom:before {\n  content: "NO ";\n}\n/** ----------------------------------------------------------- */\n/** PubMed &amp; OMIM suggestions */\n.background-suggestions li {\n  margin: .7em 0;\n  font-size: .85em;\n  line-height: 1.2em;\n}\n.background-suggestions .journal {\n  font-style: italic;\n}\n.background-suggestions .locus {\n  display: block;\n}\n.background-suggestions .title {\n  font-size: 1.25em;\n}\n#pubmed-search-results ul li {\n  background-image: url("$xwiki.getSkinFile('icons/silk/page.png')");\n  padding-left: 20px;\n  background-position: left 2px;\n  background-repeat: no-repeat;\n  page-break-inside: avoid;\n}\n#omim-search-results ul li label input {\n  vertical-align: middle;\n}\n.background-search h4 {\n  font-size: 1.2em;\n  margin: 0;\n  padding: 0 20px 0 0;\n}\n.background-search {\n  margin-top: 1em;\n  background: transparent none right top no-repeat;\n}\n.background-search.loading, .plainmessage.loading {\n  background-image: url("$xwiki.getSkinFile('icons/xwiki/spinner.gif')");\n}\n\n.background-search h3 {\n  font-weight: bold !important;\n  margin-top: 0;\n}\n.background-suggestions ul {\n  list-style-type: none;\n  margin: 0;\n  padding-left: 0.8em;\n  -moz-column-count: 2;\n  -moz-column-gap: 1em;\n  -webkit-column-count: 2;\n  -webkit-column-gap: 1em;\n  column-count: 2;\n  column-gap: 1em;\n}\n\n#diffDiagnosis-search-results {\n  display: table; \n  width: 100%;\n}\n\n#diffDiagnosis-search-results &gt; * {\n  display: table-cell;\n  vertical-align: middle;\n}\n.collapsed #diffDiagnosis-search-results &gt; * {\n  display: none;\n}\n\n#diffDiagnosis-search-results &gt; ul {\n  padding-bottom: 0.3em;\n  padding-left: 1em;\n  width: 90%;\n}\n\n#diffDiagnosis-search-results &gt; span {\n  text-align: center;\n}\n\n#diffDiagnosis-search-results &gt; .navigation:hover {\n  background-color: rgba(0,0,0,0.1);\n  color: $theme.linkColor;\n  cursor: pointer;\n  transition: all 0.2s linear;\n}</code>\n</property>\n<property>\n<contentType>CSS</contentType>\n</property>\n<property>\n<name>Instant search style</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>3</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>6b031d72-7733-4ce5-905f-b999ec0c3165</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n.phenotype-details {\n  background-color: #F9F9F9;\n  background-position: left center;\n  background-repeat: no-repeat;\n  border-radius: 0 .5em .5em .5em;\n  border: 1px solid #FFF;\n  color: $theme.textSecondaryColor;\n  font-size: 87.5%;\n  margin-left: 20px;\n  padding: .5em 20px;\n  position: relative;\n  width: 80%;\n}\n.phenotype-details.collapsed {\n  background-position: 99% .25em;\n  cursor: pointer;\n  padding-left: 16px;\n}\n.phenotype-details .collapsed {\n  display: none;\n}\n.phenotype-details .comments-preview {\n  display: block;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n  max-height: 1.2em;\n}\n\n.phenotype-details input[type="text"] {\n  padding: 0;\n  width: 50%;\n  color: $theme.textSecondaryColor;\n  font-size: 87.5%;\n  box-shadow: none !important;\n  background: transparent !important;\n  border-color: transparent !important;\n}\n.phenotype-details .action-done {\n  cursor: pointer;\n  font-size: 2em;\n  position: absolute;\n  right: 0.25em;\n  top: 0;\n}\n.phenotype-details .action-done:hover {\n  color: $theme.linkColor;\n}\n.phenotype-details.collapsed dt,\n.phenotype-details.collapsed dd,\n.phenotype-details.collapsed .action-done,\n.phenotype-details.focused .preview {\n  display: none;\n}\n\n.phenotype-details.collapsed .preview {\n  display: block;\n}\n\n.phenotype-details.focused {\n  background-image: none;\n  box-shadow: 0 2px 5px #999;\n}\n\n.phenotype-details dt {\n  font-weight: normal;\n}\n\n.phenotype-details dt label {\n  color: $theme.textColor;\n}\n\n.phenotype-details dt .selected {\n  color: $theme.textColor;\n  font-weight: bold;\n}\n\n.phenotype-details.focused input {\n  color: $theme.textColor;\n  background: #FFF !important;\n  border-color: #FFF !important;\n}\n\n.phenotype-details .attachment-list .attachment-item,\n.phenotype-details .attachment-list .attachment-item input {\n  display: none;\n  margin: 0;\n  padding: 0;\n  box-shadow: none;\n}\n.phenotype-details .attachment-list .attachment-item.selected,\n.phenotype-details .attachment-list .attachment-preview {\n  display: block;\n  width: 100%;\n  max-height: inherit;\n  height: auto;\n  box-sizing: border-box;\n}\n.phenotype-details .attachment-list .attachment-item.image {\n  max-width: 100%;\n}\n.phenotype-details .attachment-list .attachment-item.selected label {\n  padding: 3px 0 3px 20px;\n}\n.phenotype-details .attachment-list .attachment-item.image label {\n  padding: 0 !important;\n}\n.phenotype-details .attachment-item img {\n  max-width: 100% !important;\n  max-height: inherit !important;\n}\n.phenotype-details .attachment-list .attachment-item .view {\n  background-color: $theme.pageContentBackgroundColor;\n  bottom: 0;\n  padding: 5px;\n}\n.phenotype-details .actions {\n  float: right;\n}\n.phenotype-details .collapsible {\n  cursor: pointer !important;\n}</code>\n</property>\n<property>\n<name>Phenotype details</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientSheetCode</name>\n<number>4</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>af20ed8f-b8cd-4d2f-ae19-f053f0bb5f03</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n.LV_validation_message {\n  position: static !important;\n}\n.LV_valid {\n  display: none;\n}\ninput.LV_invalid_field {\n  background-color: $theme.highlightColor;\n  border: 1px solid $theme.notificationErrorColor;\n  color: $theme.textColor !important;\n}\ninput[type="checkbox"] + .LV_validation_message {\n  float: right;\n}</code>\n</property>\n<property>\n<name>Form Validation</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content></content></xwikidoc>\n
-3993337704721391126	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Section__files-info</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822214000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXSection.filesInfo')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Section__files-info</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>5411be4d-66a1-494a-8fc6-6d5921c15aad</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.content</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.section.additional-files</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXSection.filesInfo')\nenabled=false\nrequired=\norder=10</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
1683989050142459350	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:studies-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>StudyTemplate</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Studies.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822207000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:studies-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>PhenoTips.StudyTemplate</name>\n<number>0</number>\n<className>PhenoTips.StudyClass</className>\n<guid>730d2481-a65b-414b-a83c-6109de6d1156</guid>\n</object>\n<content></content></xwikidoc>\n
1510712775948946585	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:studies-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>StudyClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822129000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:studies-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.StudyClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<fields>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>fields</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>fields</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</fields>\n<mapping>\n<cache>0</cache>\n<classname>PhenoTips.PhenotypeMappingClass</classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<idField>doc.fullName</idField>\n<multiSelect>0</multiSelect>\n<name>mapping</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>mapping</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select doc.fullName, doc.name from XWikiDocument doc, BaseObject obj where doc.fullName &lt;&gt; 'PhenoTips.PhenotypeMappingTemplate' and obj.name = doc.fullName and obj.className = 'PhenoTips.PhenotypeMappingClass'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField>doc.name</valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</mapping>\n<sections>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>sections</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>sections</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</sections>\n</class>\n<object>\n<class>\n<name>XWiki.ClassSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>PhenoTips.StudyClass</name>\n<number>0</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>ca8e78a3-0377-4b80-9cd9-a90abc6a4c7e</guid>\n<property>\n<sheet>StudySheet</sheet>\n</property>\n</object>\n<object>\n<name>PhenoTips.StudyClass</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>fc5f7101-092c-4797-9267-1f703d4a52ec</guid>\n<property>\n<advancedOnly></advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute>#set ($errorMessage = '')\n#if ($request.doCreate == '1' &amp;&amp; $services.csrf.isTokenValid($request.form_token))\n  #if ("$!{request.name.trim()}" == '')\n    #set ($errorMessage = "$services.localization.render('phenotips.studyClass.errorMessage.blankName')")\n  #else\n    #set ($targetDocument = $services.model.createDocumentReference($xcontext.database, $request.space, $request.name.trim()))\n    #if ($xwiki.exists($targetDocument))\n      #set ($errorMessage = "$services.localization.render('phenotips.studyClass.errorMessage.nameExists', [${request.name}])")\n    #else\n      $response.sendRedirect($xwiki.getURL($targetDocument, 'edit', "editor=inline&amp;template=$escapetool.url($!{request.classTemplate})&amp;title=$!escapetool.url($request.name)&amp;parent=$!escapetool.url($request.parent)"))\n      #break\n    #end\n  #end\n#end\n#if ($errorMessage != '')\n{{error}}$errorMessage{{/error}}\n\n#end\n#set ($studyClassName = 'PhenoTips.StudyClass')\n#set ($studyTemplateName = 'PhenoTips.StudyTemplate')\n#set ($studiesHome = 'Studies.WebHome')\n\n{{html}}\n&lt;form id="study-creation-form" class="xformInline" action="$doc.getURL($xcontext.action, $request.queryString)" method="post"&gt;&lt;div&gt;\n  &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n  &lt;input type="hidden" name="doCreate" value="1" /&gt;\n  &lt;input type="hidden" name="classTemplate" value="$studyTemplateName" /&gt;\n  &lt;input type="hidden" name="space" value="$xwiki.getDocument(${studiesHome}).space" /&gt;\n  &lt;input type="hidden" name="parent" value="${studiesHome}" /&gt;\n  &lt;label&gt;&lt;span class="fa fa-plus-circle"&gt; &lt;/span&gt;$services.localization.render('phenotips.studyClass.newStudy.label') &lt;input type="text" name="name" placeholder="$services.localization.render('phenotips.studyClass.newStudy.placeHolder')" value="" size="30"/&gt;&lt;/label&gt; &lt;input type="submit" class="button" value="$services.localization.render('phenotips.studyClass.newStudy.submit')"/&gt;\n&lt;/div&gt;&lt;/form&gt;\n{{/html}}\n\n{{include reference="Studies.WebHome" /}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>studies</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionPriority>450</sectionPriority>\n</property>\n</object>\n<object>\n<name>PhenoTips.StudyClass</name>\n<number>1</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>7412ae83-ed91-47c1-bab5-1b6d8c0bf182</guid>\n<property>\n<advancedOnly></advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute>{{html clean="false"}}\n#set ($preferenceObject = $doc.getObject('XWiki.ConfigurationClass', 'property', 'study-visibility-option', false))\n#if (!$preferenceObject)\n  #set ($preferenceObject = $doc.newObject('XWiki.ConfigurationClass'))\n  #set ($discard = $preferenceObject.set('property', 'study-visibility-option'))\n  $doc.save('Added study visibility configuration', true)\n#end\n#set ($prefix = "XWiki.ConfigurationClass_${preferenceObject.number}_value")\n&lt;form action="$doc.getURL('save')" method="post" class="xform half" id="study-visibility-option"&gt;\n&lt;fieldset&gt;\n&lt;dl&gt;\n  &lt;dt&gt;${services.localization.render('phenotips.studies.visibility')}&lt;/dt&gt;\n#foreach ($option in ['unrestricted', 'group-subscription'])\n  &lt;dd&gt;&lt;label for="${prefix}_${option}"&gt;&lt;input type="radio" name="${prefix}" value="${option}" id="${prefix}_${option}"#if ($option == $preferenceObject.getProperty('value').value) checked="checked"#end /&gt; $services.localization.render("phenotips.studies.visibility.${option}")&lt;/label&gt;&lt;/dd&gt;\n#end\n&lt;/dl&gt;\n&lt;input type="hidden" id="XWiki.XWikiPreferences_redirect" name="xredirect" value="$escapetool.xml($doc.getURL($xcontext.action, $request.queryString))" /&gt;\n&lt;input type="hidden" name="form_token" value="$!{escapetool.xml($services.csrf.token)}" /&gt;\n&lt;/fieldset&gt;\n&lt;div class="bottombuttons"&gt;&lt;p class="admin-buttons"&gt;\n&lt;span class="buttonwrapper"&gt;&lt;input class="button" type="submit" name="action_saveandcontinue" value="Save" /&gt;&lt;/span&gt;\n&lt;/p&gt;&lt;/div&gt;\n&lt;/form&gt;\n{{/html}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>studies</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionPriority>400</sectionPriority>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.StudyClass</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>02916482-1d6e-4fb7-a622-dea0194ec043</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  var studiesTable = $('studies-directory');\n  if (!studiesTable) {\n    return false;\n  }\n  studiesTable.select('tr .tools a.tool.delete').invoke('observe', 'click', function(clickEvent) {\n    clickEvent.stop();\n    var item = clickEvent.findElement('a');\n    item.blur();\n    if (item.disabled) {\n      // Do nothing if the button was already clicked and it's waiting for a response from the server.\n      return;\n    } else {\n      var url = item.href + "?confirm=1&amp;form_token=" + $$('meta[name=form_token]')[0].content + (Prototype.Browser.Opera ? "" : "&amp;ajax=1");\n      new XWiki.widgets.ConfirmedAjaxRequest(\n        /* Ajax request URL */\n        url,\n        /* Ajax request parameters */\n        {\n          onCreate : function() {\n            // Disable the button, to avoid a cascade of clicks from impatient users\n            item.disabled = true;\n          },\n          onSuccess : function() {\n            // Go to space WebHome\n            // window.location = new XWiki.Document('WebHome', XWiki.Document.currentSpace).getURL('view');\n            item.up('tr').remove();\n          },\n          onFailure : function() {\n            // Better luck next time!\n            item.disabled = false;\n          }\n        },\n        /* Interaction parameters */\n        {\n          confirmationText: "$services.localization.render('phenotips.studyClass.deleteStudy.confirmation')"\n        }\n      );\n    }\n  });\n\n  var creationForm = $('study-creation-form');\n  if (creationForm) {\n    creationForm.observe('submit', function(event) {\n      var iName = creationForm.down('input[name="name"]');\n      if (iName.value.strip() == '') {\n        event.stop();\n        iName.focus();\n      }\n    });\n  }\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.StudyClass</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>658dafd9-d28c-4dd7-af19-bbb5bb02f4f3</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n\n#studies-directory td {\n  border: 0 none;\n  border-bottom: 2px solid $theme.borderColor;\n  padding: 1em;\n  vertical-align: top;\n}\n#studies-directory tr:last-child td {\n  border-bottom: 0 none;\n}\n\n#studies-directory .members, #studies-directory .patients {\n  font-size: .8em;\n  font-style: italic;\n  opacity: .5;\n}\n\n#studies-directory td.desc &gt; div {\n  background-color: $theme.backgroundSecondaryColor;\n  border-radius: 0 4px 4px;\n  padding: 0.5em 1em;\n  position: relative;\n}\n#studies-directory td.desc &gt; div:before {\n  content: "";\n  border-top: 0 none;\n  border-right: 16px solid $theme.backgroundSecondaryColor;\n  border-bottom: 16px solid transparent;\n  border-left: 0 none;\n  position: absolute;\n  top: 0;\n  left: -16px;\n}\n\n#study-creation-form input {\n  width: auto;\n}\n#studies-tools {\n  text-align: right;\n}\n#studies-tools .read-more {\n  font-size: .9;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<name>PhenoTips.StudyClass</name>\n<number>0</number>\n<className>XWiki.WikiMacroClass</className>\n<guid>6ce660c1-677c-4b54-8ab6-f8b106aefe59</guid>\n<property>\n<code>{{velocity output="false"}}\n#set ($studyClassName = 'PhenoTips.StudyClass')\n#set ($studyTemplateName = 'PhenoTips.StudyTemplate')\n#set ($studiesHome = 'Studies.WebHome')\n#set ($orders = {\n  'name' : 'asc',\n  'members' : 'desc',\n  'cases' : 'desc'\n})\n#set ($defaultOrder = 'name')\n#set ($order = "$!xcontext.macro.params.orderby")\n#if (!$orders.get($order))\n  #set($order = $defaultOrder)\n#end\n\n#set ($query = $services.query.xwql("from doc.object(${studyClassName}) as std where doc.fullName &lt;&gt; :template").bindValue('template', $studyTemplateName))\n#set ($studyDocs = $xwiki.wrapDocs($query.execute()))\n#set ($studyData = [])\n\n#foreach ($studyDoc in $studyDocs)\n  #set ($studyObj = $studyDoc.getObject($studyClassName))\n  #set ($filterby = "$!{xcontext.macro.params.filterby}")\n  #set ($filterbyprop = $studyObj.getProperty($filterby))\n  #set ($filterval = "$!{xcontext.macro.params.filterval}")\n  #set ($isFilterActive = ($filterby != '' &amp;&amp; ("$!filterbyprop" != '' || $filterby == 'group')))\n  #if ($filterby == '' || "$!filterbyprop" != '' &amp;&amp; ($filterbyprop.value == $filterval || $filterbyprop.value.contains($filterval)) || $filterby == 'group' &amp;&amp; $!xwiki.getDocument($filterval).getObject('PhenoTips.PhenoTipsGroupClass').getProperty('studies').value.contains($services.model.serialize($studyDoc.documentReference, 'local')))\n    #set ($discard = $studyData.add({\n      'doc' : $studyDoc,\n      'obj' : $studyObj,\n      'doc.fullName' : $studyDoc.fullName,\n      'name' : $studyDoc.title,\n      'groups' : $services.query.xwql('from doc.object(PhenoTips.PhenoTipsGroupClass) as g where :study member of g.studies').bindValue('study', $services.model.serialize($studyDoc.documentReference, 'local')).count(),\n      'cases' : $services.query.xwql('from doc.object(PhenoTips.PatientClass) as p, doc.object(PhenoTips.StudyBindingClass) as o where o.studyReference = :study').bindValue('study', $services.model.serialize($studyDoc.documentReference, 'default')).count()\n    }))\n  #end\n#end\n#set ($studySortedData = $sorttool.sort($studyData, ["${order}:${orders.get($order)}"]))\n\n#set ($max = $mathtool.toInteger($xcontext.macro.params.max))\n#if (!($max &amp;&amp; $max &gt; 0 &amp;&amp; $max &lt; $studySortedData.size()))\n  #set ($max = $studySortedData.size())\n#end\n\n$xwiki.ssx.use($studyClassName, {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})\n$xwiki.jsx.use($studyClassName)\n{{/velocity}}\n\n{{velocity}}\n(% id="studies-directory" %)\n#if ($studySortedData.size() == 0)\n#if ($isFilterActive)\n\n{{info}}$services.localization.render('phenotips.studyClass.filter.noMatches'){{/info}}\n\n#else\n\n{{info}}$services.localization.render('phenotips.studyClass.noneDefined')#if($hasAdmin &amp;&amp; $doc.documentReference.name != 'XWikiPreferences') [[$services.localization.render('phenotips.studyClass.manage')&gt;&gt;path:${xwiki.getDocument('XWiki.XWikiPreferences').getURL('admin', 'editor=globaladmin&amp;section=studies')}]]#end{{/info}}\n\n#end\n#else\n#foreach ($studyDatum in $studySortedData)#if ($foreach.index &lt; $max)\n|(% class="name" %) [[${services.rendering.escape($studyDatum.get('name'), $doc.syntax)}&gt;&gt;${services.rendering.escape($studyDatum.get('doc.fullName'), $doc.syntax)}]] \\\\(% class="members"%)$studyDatum.get('groups') group#if($studyDatum.get('groups') != 1)s#end(%%) \\\\(% class="patients"%)$studyDatum.get('cases') case#if($studyDatum.get('cases') != 1)s#end(%%)##\n#if ($xcontext.macro.params.fullinfo == 'true')|#if ("$!{studyDatum.get('obj').getProperty('description').value.trim()}" != '')(% class="desc" %) ((($studyDatum.get('doc').display('description'))))#end#end\n#if ($xcontext.macro.params.tools == 'true' &amp;&amp; $hasAdmin)|(% class="tools" %) (((##\n  [[{{icon name="pencil" title="$services.localization.render('phenotips.studyClass.edit')"/}}&gt;&gt;path:$xwiki.getURL($studyDatum.get('doc.fullName'), 'edit')||class="tool edit"]]##\n  [[{{icon name="times" title="$services.localization.render('phenotips.studyClass.delete')"/}}&gt;&gt;path:$xwiki.getURL($studyDatum.get('doc.fullName'), 'delete')||class="tool delete"]]##\n)))#end\\\\\n#end#end\n#end\n{{/velocity}}</code>\n</property>\n<property>\n<contentDescription></contentDescription>\n</property>\n<property>\n<contentType>Optional</contentType>\n</property>\n<property>\n<defaultCategory></defaultCategory>\n</property>\n<property>\n<description>Lists PhenoTips studies</description>\n</property>\n<property>\n<id>phenotips-studies</id>\n</property>\n<property>\n<name>PhenoTips study list</name>\n</property>\n<property>\n<supportsInlineMode>0</supportsInlineMode>\n</property>\n<property>\n<visibility>Current Wiki</visibility>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.StudyClass</name>\n<number>0</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>8d44e4b7-b664-4ae8-b641-db6215e10cce</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Whether to display the group description (true|false; defaults to false)</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>fullinfo</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.StudyClass</name>\n<number>1</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>0086267a-f522-450a-8e96-608dd7513e6d</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Whether to display the study management tools (edit, delete) for administrators (true|false; defaults to false)</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>tools</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.StudyClass</name>\n<number>2</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>e2ae620c-d2d4-41e9-987b-358e1e407952</guid>\n<property>\n<defaultValue>name</defaultValue>\n</property>\n<property>\n<description>How to sort the studies. Supported values: name, groups. Default: name.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>orderby</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.StudyClass</name>\n<number>3</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>2f1871f7-5e6e-4f21-80fd-efe40023d0ea</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>How many entries to display for a list not displayed in full. Values that are not between 1 and the size of the list are interpreted as "display the entire list".</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>max</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.StudyClass</name>\n<number>4</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>db8e9923-7a1b-4b86-b713-61fa96df6c6b</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description></description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>filterby</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.StudyClass</name>\n<number>5</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>3f684849-c614-4ccd-a708-a09391593483</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description></description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>filterval</name>\n</property>\n</object>\n<content></content></xwikidoc>\n
4480893054054512140	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__charts</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822214000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.growthCharts')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__charts</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>92c1e7dd-195e-460f-abf2-1b7b175b7695</guid>\n<property>\n<content>{{include reference="PhenoTips.ChartServiceMacros" /}}\n\n{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#set ($targetClassName = 'PhenoTips.MeasurementsClass')\n#if ($xcontext.action != 'export' &amp;&amp; ($xcontext.action == 'edit' || $doc.getObject($targetClassName)))\n  (% class="growth-charts-section" %)(((\n    #if($xcontext.action == 'edit')\n      (% class="expandable" %)\n      === $services.localization.render('phenotips.UIXField.growthCharts.heading') ===\n      #__expandTools()\n    #else\n      === $services.localization.render('phenotips.UIXField.growthCharts.heading') ===\n    #end\n\n    (% id="charts"%)(((\n      #_measurementCharts({'targetClassName' : $targetClassName, 'obj': $obj, 'link': true})\n    )))\n  )))\n  (% class="clear"%)((()))\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.measurement-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.charts</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.growthCharts')\nenabled=true\nrequired=\norder=4\nfields=\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
5131376152906524784	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__solved</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1423242172000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>Solved case</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__solved</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>97415736-3ecf-4460-9d29-c30196a8833c</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasBooleanDataToDisplay('solved', $showSolved)\n##\n##\n#if ($showSolved)\n  (% class="controlled-group complete-hide exclude" %)(((\n  (% class="fieldset unaffected controller" %)(((\n  #if ($xcontext.action == 'edit')\n    $doc.display('solved') #__label('solved' '' "$class.get('solved').prettyName") {{icon name="question-circle" cssClass="xHelpButton" title="$services.localization.render("PhenoTips.PatientClass_solvedCase_hint").replace('"', '~~~"')"/}}\n\n  #else\n    #if ($showSolved)$class.get('solved').translatedPrettyName#end\n  #end\n  )))\n  (% class="controlled" %) (((\n     #__displayIfNotEmpty2Col('solved__pubmed_id')\n     #__displayIfNotEmpty2Col('solved__gene_id')\n     #__displayIfNotEmpty2Col('solved__notes')\n  )))## controlled (pubmed/gene)\n  )))## controlled-group\n#end## section has content\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.case-resolution</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.solved</name>\n</property>\n<property>\n<parameters>title=Case resolution\nenabled=true\nrequired=\norder=1\nfields=solved,solved__pubmed_id,solved__gene_id,solved__notes\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
4986220062613219827	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>OntologyVersionClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822126000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.OntologyVersionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Ontology name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<version>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>version</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Version</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</version>\n</class>\n<content></content></xwikidoc>\n
4147885106130080860	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PatientTemplate</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822198000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>PatientClass Template</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>PhenoTips.PatientClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<affectedRelatives>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>affectedRelatives</name>\n<number>51</number>\n<prettyName>Other living affected relatives</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</affectedRelatives>\n<apgar1>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>apgar1</name>\n<number>36</number>\n<picker>0</picker>\n<prettyName>APGAR score (1 minute)</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>unknown|0|1|2|3|4|5|6|7|8|9|10</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</apgar1>\n<apgar5>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>apgar5</name>\n<number>37</number>\n<picker>0</picker>\n<prettyName>APGAR score (5 minutes)</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>unknown|0|1|2|3|4|5|6|7|8|9|10</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</apgar5>\n<assistedReproduction_donoregg>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_donoregg</name>\n<number>47</number>\n<prettyName>Donor egg</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_donoregg>\n<assistedReproduction_donorsperm>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_donorsperm</name>\n<number>48</number>\n<prettyName>Donor sperm</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_donorsperm>\n<assistedReproduction_fertilityMeds>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_fertilityMeds</name>\n<number>38</number>\n<prettyName>Conception after fertility medication</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_fertilityMeds>\n<assistedReproduction_iui>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_iui</name>\n<number>53</number>\n<prettyName>Intrauterine insemination (IUI)</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_iui>\n<assistedReproduction_surrogacy>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>assistedReproduction_surrogacy</name>\n<number>39</number>\n<prettyName>Gestational surrogacy</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</assistedReproduction_surrogacy>\n<consanguinity>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>consanguinity</name>\n<number>17</number>\n<prettyName>Consanguinity</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</consanguinity>\n<date_of_birth>\n<customDisplay>{{velocity}}{{html clean=false}}\n#set ($format = $services.recordConfiguration.activeConfiguration.dateOfBirthFormat)\n#set ($definedFormat = "$!object.xWikiClass.get($name).getProperty('dateFormat').value")\n#if ($xcontext.action == 'edit')\n  #if ($value)\n    #set ($value = $services.jodatime.getMutableDateTime($value.time))\n    #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  #end\n  &lt;input type='text' id='${prefix}${name}' title="$!escapetool.xml($format)" name='${prefix}${name}' class='fuzzy-date' value="$!services.jodatime.getDateTimeFormatterForPattern($definedFormat).print($value)" alt="$!services.jodatime.ISODateTimeFormatter.print($value)"/&gt;&lt;input type='hidden' name='${prefix}${name}_entered' id='${prefix}${name}_entered' value="$!{escapetool.xml($object.getProperty("${name}_entered").value)}"/&gt;\n#else\n#set ($enteredValue = $object.getProperty("${name}_entered").value)\n#if ("$!enteredValue" != '' &amp;&amp; "$!enteredValue" != '{}')\n  #set ($enteredValue = $jsontool.parse($enteredValue))\n  #if ($enteredValue.decade &amp;&amp; !$enteredValue.year)\n    &lt;span class="date"&gt;$!escapetool.xml($enteredValue.decade)&lt;/span&gt;\n  #else\n    #set ($displayedValue = $format)\n    #if ($enteredValue.year)\n      #set ($displayedValue = $displayedValue.replaceAll('y+', $enteredValue.year))\n      #if ($enteredValue.month)\n        #set ($displayedValue = $displayedValue.replaceAll('M+', $enteredValue.month))\n        #if ($enteredValue.day)\n          #set ($displayedValue = $displayedValue.replaceAll('d+', $enteredValue.day))\n        #end\n      #end\n    #end\n    #set ($displayedValue = $displayedValue.replaceAll('[a-zA-Z]+(\\W|$)', '').replaceAll('^\\W+|\\W+$', ''))\n    &lt;span class="date"&gt;$!escapetool.xml($displayedValue)&lt;/span&gt;\n  #end\n#elseif ($value)\n  #set ($value = $services.jodatime.getMutableDateTime($value.time))\n  #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  &lt;span class="date"&gt;$!services.jodatime.getDateTimeFormatterForPattern($format).print($value)&lt;/span&gt;\n#end\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<dateFormat>yyyy-MM-dd</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>0</emptyIsToday>\n<name>date_of_birth</name>\n<number>6</number>\n<picker>1</picker>\n<prettyName>Date of birth</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</date_of_birth>\n<date_of_birth_entered>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>date_of_birth_entered</name>\n<number>45</number>\n<picker>0</picker>\n<prettyName>date_of_birth_entered</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</date_of_birth_entered>\n<date_of_death>\n<customDisplay>{{velocity}}{{html clean=false}}\n#set ($format = $services.recordConfiguration.activeConfiguration.dateOfBirthFormat)\n#set ($definedFormat = "$!object.xWikiClass.get($name).getProperty('dateFormat').value")\n#if ($xcontext.action == 'edit')\n  #if ($value)\n    #set ($value = $services.jodatime.getMutableDateTime($value.time))\n    #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  #end\n  &lt;input type='text' id='${prefix}${name}' title="$!escapetool.xml($format)" name='${prefix}${name}' class='fuzzy-date' value="$!services.jodatime.getDateTimeFormatterForPattern($definedFormat).print($value)" alt="$!services.jodatime.ISODateTimeFormatter.print($value)"/&gt;&lt;input type='hidden' name='${prefix}${name}_entered' id='${prefix}${name}_entered' value="$!{escapetool.xml($object.getProperty("${name}_entered").value)}"/&gt;\n#else\n#set ($enteredValue = $object.getProperty("${name}_entered").value)\n#if ("$!enteredValue" != '' &amp;&amp; "$!enteredValue" != '{}')\n  #set ($enteredValue = $jsontool.parse($enteredValue))\n  #if ($enteredValue.decade &amp;&amp; !$enteredValue.year)\n    &lt;span class="date"&gt;$!escapetool.xml($enteredValue.decade)&lt;/span&gt;\n  #else\n    #set ($displayedValue = $format)\n    #if ($enteredValue.year)\n      #set ($displayedValue = $displayedValue.replaceAll('y+', $enteredValue.year))\n      #if ($enteredValue.month)\n        #set ($displayedValue = $displayedValue.replaceAll('M+', $enteredValue.month))\n        #if ($enteredValue.day)\n          #set ($displayedValue = $displayedValue.replaceAll('d+', $enteredValue.day))\n        #end\n      #end\n    #end\n    #set ($displayedValue = $displayedValue.replaceAll('[a-zA-Z]+(\\W|$)', '').replaceAll('^\\W+|\\W+$', ''))\n    &lt;span class="date"&gt;$!escapetool.xml($displayedValue)&lt;/span&gt;\n  #end\n#elseif ($value)\n  #set ($value = $services.jodatime.getMutableDateTime($value.time))\n  #set ($discard = $value.setZoneRetainFields($services.jodatime.UTCTimezone))\n  &lt;span class="date"&gt;$!services.jodatime.getDateTimeFormatterForPattern($format).print($value)&lt;/span&gt;\n#end\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<dateFormat>yyyy-MM-dd</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>0</emptyIsToday>\n<name>date_of_death</name>\n<number>43</number>\n<picker>1</picker>\n<prettyName>Date of death</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</date_of_death>\n<date_of_death_entered>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>date_of_death_entered</name>\n<number>44</number>\n<picker>0</picker>\n<prettyName>date_of_death_entered</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</date_of_death_entered>\n<date_of_death_unknown>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>date_of_death_unknown</name>\n<number>47</number>\n<prettyName>date_of_death_unknown</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</date_of_death_unknown>\n<diagnosis_notes>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>diagnosis_notes</name>\n<number>29</number>\n<picker>0</picker>\n<prettyName>Additional comments</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</diagnosis_notes>\n<exam_date>\n<customDisplay>{{velocity}}{{html clean=false}}\n#set ($format = $services.recordConfiguration.activeConfiguration.dateOfBirthFormat)\n#set ($definedFormat = "$!object.xWikiClass.get($name).getProperty('dateFormat').value")\n#if ($xcontext.action == 'edit')\n  #set ($date = $services.jodatime.mutableDateTime)\n  #if ("$!xwiki.getUserPreference('timezone')" != '')\n    #set ($discard = $date.setZone($services.jodatime.getTimezone($xwiki.getUserPreference('timezone'))))\n  #end\n  #if (!$value)\n    #set ($value = $date)\n  #else\n    #set ($value = $services.jodatime.getMutableDateTime($value.time))\n    #if ("$!xwiki.getUserPreference('timezone')" != '')\n      #set ($discard = $value.setZoneRetainFields($services.jodatime.getTimezone($xwiki.getUserPreference('timezone'))))\n    #end\n  #end\n  #if ($format.indexOf('d') &lt; 0)\n    &lt;span class="month-year-date $name" id="$prefix${name}_container"&gt;\n      &lt;input type="hidden" id="$prefix$name" title="$!definedFormat" name="$prefix$name" value="$!xwiki.formatDate($value.toDate(), $definedFormat)" class="xwiki-date-hidden" alt="#formatdateISO($value.toDate())"/&gt;\n      #set ($selMonth = $value.monthOfYear)\n      #set ($selYear= $value.year)\n      #set ($mFormat = $format.replaceAll("[^M]", ''))\n      #set ($yFormat = $format.replaceAll("[^y]", ''))\n\n      &lt;select name="$prefix${name}_month" class="month"&gt;\n      #foreach ($val in [1..12])\n        #set ($date.monthOfYear = $val)\n        &lt;option value="$mathtool.sub($val, 1)"#if ($selMonth == $val) selected="selected"#end&gt;$xwiki.formatDate($date.toDate(), $mFormat)&lt;/option&gt;\n      #end\n      &lt;/select&gt;\n\n      #set ($startYear = $date.year - 99)\n      #set ($endYear = $date.year + 1)\n\n      &lt;select name="$prefix${name}_year" class="year"&gt;\n      #foreach ($val in [$startYear..$endYear])\n        #set ($date.year = $val)\n        &lt;option value="$val"#if ($selYear == $val) selected="selected"#end&gt;$xwiki.formatDate($date.toDate(), $yFormat)&lt;/option&gt;\n      #end\n      &lt;/select&gt;\n    &lt;/span&gt;\n  #else\n    &lt;input type="text" id="$prefix$name" title="$!definedFormat" name="$prefix$name" value="$!xwiki.formatDate($value.toDate(), $definedFormat)" class="xwiki-date" alt="#formatdateISO($value.toDate())"/&gt;\n  #end\n#else\n#if ($value)\n  #set ($value = $services.jodatime.getMutableDateTime($value.time))\n  #if ("$!xwiki.getUserPreference('timezone')" != '')\n    #set ($discard = $value.setZoneRetainFields($services.jodatime.getTimezone($xwiki.getUserPreference('timezone'))))\n  #end\n  &lt;span class="date"&gt;$!xwiki.formatDate($value.toDate(), $format)&lt;/span&gt;\n#end\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<dateFormat>yyyy-MM-dd</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>1</emptyIsToday>\n<name>exam_date</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Exam date</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</exam_date>\n<extended_negative_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_negative_phenotype</name>\n<number>34</number>\n<picker>0</picker>\n<prettyName>extended_negative_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_negative_phenotype>\n<extended_negative_prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_negative_prenatal_phenotype</name>\n<number>35</number>\n<picker>0</picker>\n<prettyName>extended_negative_prenatal_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_negative_prenatal_phenotype>\n<extended_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_phenotype</name>\n<number>32</number>\n<picker>0</picker>\n<prettyName>extended_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_phenotype>\n<extended_prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>extended_prenatal_phenotype</name>\n<number>33</number>\n<picker>0</picker>\n<prettyName>extended_prenatal_phenotype</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</extended_prenatal_phenotype>\n<external_id>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>external_id</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Identifier</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</external_id>\n<family_history>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>family_history</name>\n<number>27</number>\n<picker>0</picker>\n<prettyName>List health conditions found in family (describe the relationship with proband)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</family_history>\n<family_of>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#if ($type == 'edit')\n{{html clean="false"}}&lt;input class="suggested" id="${doc.fullName}_${prefix}${name}" name="${prefix}${name}" onfocus="new ajaxSuggest(this, {script: '$xwiki.getURL('', 'get', "xpage=suggest&amp;classname=${field.className}&amp;fieldname=${name}&amp;firCol=eid.value&amp;secCol=-")&amp;', varname:'input'} )" type="text" value="$!escapetool.xml($value)" /&gt;\n{{/html}}\n#elseif ("$!value" != '')\n  #set ($matchingDocuments = $xwiki.wrapDocs($services.query.xwql("where doc.object(PhenoTips.PatientClass).external_id = :eid").bindValue('eid', $value).execute()))\n  #if ($matchingDocuments.size() == 1)\n    [[${value}&gt;&gt;$matchingDocuments.get(0).documentReference]]##\n  #else\n    $!value##\n  #end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>family_of</name>\n<number>13</number>\n<picker>0</picker>\n<prettyName>This patient is part of the familiy of</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select eid.value from BaseObject as obj, StringProperty as eid where obj.className = 'PhenoTips.PatientClass' and eid.id.id = obj.id and eid.id.name = 'external_id'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</family_of>\n<first_name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>first_name</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>First name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</first_name>\n<gender>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<multiSelect>0</multiSelect>\n<name>gender</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Sex</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>M=Male|F=Female|O=Other</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</gender>\n<gestation>\n<customDisplay>{{velocity}}\n#if ($type == 'edit')\n  {{html clean="false"}}&lt;div class="controlled-group complete-hide"&gt;&lt;div class="controller exclude"&gt;&lt;label for="${prefix}${name}_term"&gt;&lt;input type="checkbox" name="${prefix}${name}" id="${prefix}${name}_term" value="40"#if($value == 40) checked="checked"#end /&gt; {{/html}}{{translation key="PhenoTips.PatientClass_gestation_term" /}}{{html clean="false"}}&lt;/label&gt;&lt;/div&gt;&lt;div class="controlled"&gt;&lt;input type="text" name="${prefix}${name}" value="$!{escapetool.xml($value)}" /&gt;&lt;/div&gt;&lt;/div&gt;{{/html}}\n#elseif ($value == 40)\n  {{translation key="PhenoTips.PatientClass_gestation_term" /}} ##\n#else\n  $!value\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>gestation</name>\n<number>26</number>\n<numberType>integer</numberType>\n<prettyName>Gestation at delivery (weeks)</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</gestation>\n<global_age_of_onset>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003577',\n  'HP:0030674',\n  'HP:0011460',\n  'HP:0011461',\n  'HP:0003623',\n  'HP:0003593',\n  'HP:0011463',\n  'HP:0003621',\n  'HP:0003581',\n  'HP:0011462',\n  'HP:0003596',\n  'HP:0003584'\n])\n#set ($startWith = 'HP:0003674')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>global_age_of_onset</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Global age of onset</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</global_age_of_onset>\n<global_mode_of_inheritance>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003745',\n\n  'HP:0000006',\n  'HP:0001470',\n  'HP:0001475',\n  'HP:0001444',\n  'HP:0001452',\n\n  'HP:0000007',\n\n  'HP:0010985',\n  'HP:0001417',\n  'HP:0001423',\n  'HP:0001419',\n  'HP:0001450',\n\n  'HP:0001426',\n  'HP:0010984',\n  'HP:0010983',\n  'HP:0010982',\n\n  'HP:0001427'\n])\n#set ($startWith = 'HP:0000005')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>global_mode_of_inheritance</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Global mode of inheritance</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</global_mode_of_inheritance>\n<health_card>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>health_card</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Provincial Health Card #</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</health_card>\n<icsi>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>icsi</name>\n<number>49</number>\n<prettyName>Intra-cytoplasmic sperm injection</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</icsi>\n<identifier>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>identifier</name>\n<number>1</number>\n<numberType>long</numberType>\n<prettyName>Identifier</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</identifier>\n<indication_for_referral>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>indication_for_referral</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Indication for referral</prettyName>\n<rows>2</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</indication_for_referral>\n<ivf>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>ivf</name>\n<number>16</number>\n<prettyName>In vitro fertilization</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</ivf>\n<last_name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>last_name</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Last name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</last_name>\n<maternal_ethnicity>\n<cache>0</cache>\n<customDisplay>{{velocity filter="indent"}}{{html wiki=true clean=false}}\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($suggest_script = $xwiki.getURL('PhenoTips.EthnicitySearch', 'get', 'outputSyntax=plain'))\n{{html wiki=false clean=false}}&lt;input name="xwiki-free-multiselect-suggest-script" type="hidden" value="$!escapetool.xml($suggest_script)"/&gt;&lt;input name="${prefix}${name}" type="hidden" value=""/&gt;{{/html}}\n#end\n#macro (_fms__displayValue $v $counter) #if($xcontext.action == 'edit' || $xcontext.action == 'inline') {{html wiki=false clean=false}}&lt;input class="xwiki-free-multiselect-value" type="text" size="30" name="${prefix}${name}" id="${prefix}${name}_${counter}" value="$!escapetool.xml($v)"/&gt;{{/html}} #else $escapetool.xml($v) #end#end\n(% class="xwiki-free-multiselect"%)\n#foreach ($v in $value)\n1. #_fms__displayValue($v ${foreach.count})\n\n#end\n#if ((!$value || $value.size() == 0) &amp;&amp; ($xcontext.action == 'edit' || $xcontext.action == 'inline'))\n1. #_fms__displayValue('' 1)\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>maternal_ethnicity</name>\n<number>14</number>\n<picker>1</picker>\n<prettyName>Maternal ethnicity</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>, </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</maternal_ethnicity>\n<medical_history>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>medical_history</name>\n<number>30</number>\n<picker>0</picker>\n<prettyName>Medical and developmental history</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</medical_history>\n<miscarriages>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>miscarriages</name>\n<number>18</number>\n<prettyName>Parents with at least 3 miscarriages</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</miscarriages>\n<multipleGestation>\n<customDisplay>{{include reference="PhenoTips.YesNoNAPicker" /}}</customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>multipleGestation</name>\n<number>52</number>\n<prettyName>Multiple gestation</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</multipleGestation>\n<negative_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>negative_phenotype</name>\n<number>22</number>\n<picker>0</picker>\n<prettyName>Symptoms NOT observed in this patient</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</negative_phenotype>\n<negative_prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>negative_prenatal_phenotype</name>\n<number>24</number>\n<picker>0</picker>\n<prettyName>Prenatal symptoms NOT observed in this patient</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</negative_prenatal_phenotype>\n<omim_id>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.OmimDisplay" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>omim_id</name>\n<number>19</number>\n<picker>0</picker>\n<prettyName>OMIM disorder</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</omim_id>\n<paternal_ethnicity>\n<cache>0</cache>\n<customDisplay>{{velocity filter="indent"}}{{html wiki=true clean=false}}\n#if ($xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($suggest_script = $xwiki.getURL('PhenoTips.EthnicitySearch', 'get', 'outputSyntax=plain'))\n{{html wiki=false clean=false}}&lt;input name="xwiki-free-multiselect-suggest-script" type="hidden" value="$!escapetool.xml($suggest_script)"/&gt;&lt;input name="${prefix}${name}" type="hidden" value=""/&gt;{{/html}}\n#end\n#macro (_fms__displayValue $v $counter) #if($xcontext.action == 'edit' || $xcontext.action == 'inline') {{html wiki=false clean=false}}&lt;input class="xwiki-free-multiselect-value" type="text" size="30" name="${prefix}${name}" id="${prefix}${name}_${counter}" value="$!escapetool.xml($v)"/&gt;{{/html}} #else $escapetool.xml($v) #end#end\n(% class="xwiki-free-multiselect"%)\n#foreach ($v in $value)\n1. #_fms__displayValue($v ${foreach.count})\n\n#end\n#if ((!$value || $value.size() == 0) &amp;&amp; ($xcontext.action == 'edit' || $xcontext.action == 'inline'))\n1. #_fms__displayValue('' 1)\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>paternal_ethnicity</name>\n<number>15</number>\n<picker>1</picker>\n<prettyName>Paternal ethnicity</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>, </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</paternal_ethnicity>\n<pedigree>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>pedigree</name>\n<number>28</number>\n<picker>0</picker>\n<prettyName>Pedigree</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</pedigree>\n<phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set($config = $xwiki.getDocument("${doc.space}.WebHome").getObject('PhenoTips.DBConfigurationClass'))\n#if ($config)\n  {{include reference="PhenoTips.PhenotypeDisplay" /}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>phenotype</name>\n<number>21</number>\n<picker>0</picker>\n<prettyName>Clinical symptoms &amp; physical findings</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</phenotype>\n<prenatal_development>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>prenatal_development</name>\n<number>25</number>\n<picker>0</picker>\n<prettyName>Notes</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</prenatal_development>\n<prenatal_phenotype>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set($config = $xwiki.getDocument("${doc.space}.WebHome").getObject('PhenoTips.DBConfigurationClass'))\n#if ($config)\n  {{include reference="PhenoTips.PhenotypeDisplay" /}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>prenatal_phenotype</name>\n<number>23</number>\n<picker>0</picker>\n<prettyName>Prenatal and Perinatal History</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator>\n</separator><separators></separators><size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</prenatal_phenotype>\n<proband>\n<customDisplay></customDisplay>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>proband</name>\n<number>12</number>\n<prettyName>This is the proband</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</proband>\n<reports_history>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity output="false"}}\n#if (!$value)\n  #set ($value = [])\n#end\n{{/velocity}}\n\n{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>reports_history</name>\n<number>31</number>\n<picker>0</picker>\n<prettyName>Reports</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage>pdf</validationMessage>\n<validationRegExp>^application\\/pdf$</validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</reports_history>\n<solved>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>solved</name>\n<number>40</number>\n<prettyName>Case solved</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</solved>\n<solved__gene_id>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit')\n{{html clean=false}}&lt;input type='text' name='${prefix}${name}' class='suggested suggest-gene gene-name' placeholder='Enter a gene ID' size='16' value="$!{escapetool.xml($value)}"/&gt;{{/html}}\n#else\n$!{value}#if("$!{value}" != ''){{html clean=false}}&lt;input type='hidden' name='gene_name' class='gene-name' value="$!{escapetool.xml($value)}"/&gt;{{/html}}#end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>solved__gene_id</name>\n<number>42</number>\n<picker>0</picker>\n<prettyName>Gene ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</solved__gene_id>\n<solved__notes>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>solved__notes</name>\n<number>46</number>\n<picker>0</picker>\n<prettyName>Resolution notes</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</solved__notes>\n<solved__pubmed_id>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>solved__pubmed_id</name>\n<number>41</number>\n<picker>0</picker>\n<prettyName>Pubmed ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</solved__pubmed_id>\n<unaffected>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>unaffected</name>\n<number>20</number>\n<prettyName>This patient is clinically normal</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</unaffected>\n</class>\n<name>PhenoTips.PatientTemplate</name>\n<number>0</number>\n<className>PhenoTips.PatientClass</className>\n<guid>a8a20625-bade-443d-bbd4-56dbdb830e1c</guid>\n<property>\n<apgar1>unknown</apgar1>\n</property>\n<property>\n<apgar5>unknown</apgar5>\n</property>\n<property>\n<date_of_birth></date_of_birth>\n</property>\n<property>\n<date_of_birth_entered></date_of_birth_entered>\n</property>\n<property>\n<date_of_death></date_of_death>\n</property>\n<property>\n<date_of_death_entered></date_of_death_entered>\n</property>\n<property>\n<diagnosis_notes></diagnosis_notes>\n</property>\n<property>\n<exam_date></exam_date>\n</property>\n<property>\n<extended_negative_phenotype/>\n</property>\n<property>\n<extended_negative_prenatal_phenotype/>\n</property>\n<property>\n<extended_phenotype/>\n</property>\n<property>\n<extended_prenatal_phenotype/>\n</property>\n<property>\n<external_id></external_id>\n</property>\n<property>\n<family_history></family_history>\n</property>\n<property>\n<family_of></family_of>\n</property>\n<property>\n<first_name></first_name>\n</property>\n<property>\n<gender></gender>\n</property>\n<property>\n<gestation></gestation>\n</property>\n<property>\n<global_age_of_onset></global_age_of_onset>\n</property>\n<property>\n<global_mode_of_inheritance/>\n</property>\n<property>\n<health_card></health_card>\n</property>\n<property>\n<identifier></identifier>\n</property>\n<property>\n<indication_for_referral></indication_for_referral>\n</property>\n<property>\n<last_name></last_name>\n</property>\n<property>\n<maternal_ethnicity/>\n</property>\n<property>\n<medical_history></medical_history>\n</property>\n<property>\n<negative_phenotype/>\n</property>\n<property>\n<negative_prenatal_phenotype/>\n</property>\n<property>\n<omim_id/>\n</property>\n<property>\n<paternal_ethnicity/>\n</property>\n<property>\n<pedigree></pedigree>\n</property>\n<property>\n<phenotype/>\n</property>\n<property>\n<prenatal_development></prenatal_development>\n</property>\n<property>\n<prenatal_phenotype/>\n</property>\n<property>\n<proband>1</proband>\n</property>\n<property>\n<reports_history/>\n</property>\n<property>\n<solved>0</solved>\n</property>\n<property>\n<solved__gene_id></solved__gene_id>\n</property>\n<property>\n<solved__notes></solved__notes>\n</property>\n<property>\n<solved__pubmed_id></solved__pubmed_id>\n</property>\n<property>\n<unaffected>0</unaffected>\n</property>\n</object>\n<object>\n<name>PhenoTips.PatientTemplate</name>\n<number>0</number>\n<className>PhenoTips.PedigreeClass</className>\n<guid>09879ef6-e139-47bc-adce-6feedb4c4d70</guid>\n<property>\n<data></data>\n</property>\n<property>\n<description></description>\n</property>\n<property>\n<image></image>\n</property>\n</object>\n<object>\n<name>PhenoTips.PatientTemplate</name>\n<number>0</number>\n<className>PhenoTips.VisibilityClass</className>\n<guid>59299982-cdf4-4ada-b52c-46f6bb61c577</guid>\n<property>\n<visibility>private</visibility>\n</property>\n</object>\n<content></content></xwikidoc>\n
-1055325725516771031	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Section__case-resolution</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1423243028000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>Case resolution</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Section__case-resolution</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>4ed75528-f0b0-4a71-b23c-295d532e560f</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.content</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.section.case-resolution</name>\n</property>\n<property>\n<parameters>enabled=true\norder=11\ntitle=Case resolution</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-7870240277694750251	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PedigreeImageService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1407808899000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>Pedigree image service</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="PhenoTips.PedigreeMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action != 'get')\n  **Usage**: //http[s]:~/~/&lt;hostname&gt;[:&lt;port&gt;]/&lt;appname&gt;/bin/get/PhenoTips/PedigreeImageService?[e]id=&lt;identifier&gt;[&amp;format=raster]//\n  #break\n#end\n#if ("$!request.id" != '')\n  #set ($patient = $services.patients.getPatientById($request.id))\n#elseif ("$!request.eid" != '')\n  #set ($patient = $services.patients.getPatientByExternalId($request.eid))\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#if (!$patient)\n  $response.setStatus(404)##\n  $response.setContentType('application/json')##\n  {"error" : "$services.localization.render('phenotips.PedigreeImageService.noPatient')"}\n  #break\n#end\n#set ($pedigree = $!xwiki.getDocument($patient.getDocument()).getObject('PhenoTips.PedigreeClass'))\n#if (!$pedigree)\n  $response.setStatus(404)##\n  $response.setContentType('application/json')##\n  {"error" : "$services.localization.render('phenotips.PedigreeImageService.noPedigree')"}\n  #break\n#end\n#if ($request.legend)\n  #set ($pedigree = $pedigree.getProperty('data').value)\n  $response.setContentType('text/html')##\n\n  #pedigreeLegend($pedigree, $request.header)\n\n  #break\n#else\n  #set ($pedigree = $pedigree.getProperty('image').value)\n  #if (!$pedigree)\n    $response.setStatus(404)##\n    $response.setContentType('application/json')##\n    {"error" : "$services.localization.render('phenotips.PedigreeImageService.noPedigreeImage')"}\n    #break\n  #end\n  #if ("$!request.format" == 'raster')\n    ## Fix broken SVG generated by a broken version of the pedigree editor\n    #if ($stringtool.countMatches($pedigree, 'xmlns=') &gt; 1)\n      #set ($pedigree = $pedigree.replaceFirst('xmlns="[^"]++"', ''))\n    #end\n    #if (!$pedigree.endsWith('&lt;/svg&gt;'))\n      #set ($pedigree = $pedigree.concat('&lt;/svg&gt;'))\n    #end\n    #set ($pedigreeDocRoot = $services.xml.parse($pedigree).getDocumentElement())\n    #set ($width = $mathtool.toInteger($pedigreeDocRoot.getAttribute('width')))\n    #set ($height = $mathtool.toInteger($pedigreeDocRoot.getAttribute('height')))\n    #set ($pedigreeRasterUrl = $xwiki.svg.getSVGImageURL($pedigree, $height, $width))\n    $response.sendRedirect($pedigreeRasterUrl)\n  #else\n    $response.setContentType('image/svg+xml')##\n    $pedigree\n  #end\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}\n</content></xwikidoc>
1714722764238368905	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__additional-images</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822207000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.additionalImages')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__additional-images</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>ca485cab-9149-4cc8-84d3-73d93360d177</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n$xwiki.ssx.use('PhenoTips.ImageDisplayer', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.ImageDisplayer')##\n#set ($targetClassName = 'PhenoTips.ExternalImageClass')\n#if ($xcontext.action == 'edit' || $xcontext.action != 'export' &amp;&amp; $doc.getObject($targetClassName))\n  === Imaging ===\n  #__extradata_displayTable($targetClassName, {'counter' : true, 'labels' : false, 'mode' : $xcontext.action})\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.additional-files</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.additional-images</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.additionalImages')\nenabled=true\nrequired=\norder=3\nfields=</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-5482060854234107362	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__indication_for_referral</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822211000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.indicationForReferral')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__indication_for_referral</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>49261895-e5b5-435c-a50b-99cc26c38791</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('indication_for_referral')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.patient-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.indication_for_referral</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.indicationForReferral')\nenabled=true\nrequired=\norder=11\nfields=indication_for_referral\ncontains_PII=true\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
8693822443778863784	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Section__patient-info</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822206000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXSection.patientInfo')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Section__patient-info</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>f1edc3eb-eb5d-4380-ae3c-62a9f58d4d97</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.content</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.section.patient-info</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXSection.patientInfo')\nenabled=true\nrequired=\norder=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
6062307842385563936	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Section__measurement-info</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822207000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXSection.measurementInfo')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Section__measurement-info</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>c82cdd14-d017-4c7f-b1da-3a37eb156224</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.content</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.section.measurement-info</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXSection.measurementInfo')\nenabled=true\nrequired=\norder=5</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
3444000771662527995	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__consanguinity</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822205000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.consanguinity')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__consanguinity</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>e30437f1-5532-4220-a8fd-ef78d1bca86b</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#__displayIfSet('consanguinity', false)\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.family-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.consanguinity</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.consanguinity')\nenabled=true\nrequired=\norder=8\nfields=consanguinity\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
7387981927774114990	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__assisted_reproduction</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822217000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.assistedReproduction')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__assisted_reproduction</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>4353f1b4-8227-44ec-80c5-0f55079e328a</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$!{themeDocFullName}"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#set ($assistedReproductionQuestions = ['assistedReproduction_fertilityMeds', 'assistedReproduction_iui', 'ivf', 'icsi', 'assistedReproduction_surrogacy', 'assistedReproduction_donoregg', 'assistedReproduction_donorsperm'])\n#set ($displayedContent = "")\n#foreach ($question in $assistedReproductionQuestions)\n  #set ($displayedContent = "${displayedContent}#__displayIfSet(${question}, false)${util.newline}")\n#end\n#set ($displayedContent = $displayedContent.replaceAll("${util.newline}{2,}", "${util.newline}"))\n#if ($displayedContent.trim() != '')\n**$services.localization.render('phenotips.UIXField.assistedReproduction.label')**\n$displayedContent.trim()\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.prenatal-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.assistedReproduction</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.assistedReproduction')\nenabled=true\nrequired=\norder=2\nfields=assistedReproduction_fertilityMeds,assistedReproduction_iui,ivf,icsi,assistedReproduction_surrogacy,assistedReproduction_donoregg,assistedReproduction_donorsperm\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-8023371655106228336	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__required-measurements</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822206000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.requiredMeasurements')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__required-measurements</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>51a49da2-a2d2-4f00-b7a0-1a7c455b2d81</guid>\n<property>\n<content>{{velocity}}\n#if ($xcontext.action == 'edit')\n  {{info}}$services.localization.render('phenotips.UIXField.requiredMeasurements.warning'){{/info}}\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.measurement-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.required-measurements</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.requiredMeasurements')\nenabled=true\nrequired=\norder=1\nfields=\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
4743123777608825357	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__date_of_death</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1424228958000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>Date of death</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__date_of_death</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>1774d7e3-0783-4c20-a962-071a535e4bb4</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasDataToDisplay('date_of_death', $showDod)\n#__hasBooleanDataToDisplay('date_of_death_unknown' $showDodUnknown)\n#if ($showDod || $showDodUnknown)\n  (% class="controlled-group complete-hide" %)(((\n  #if ($showDodUnknown)\n  (% class="controller" %)(((\n    #if ($xcontext.action == 'edit')\n      $doc.display('date_of_death_unknown') #__label('date_of_death_unknown' '' "$class.get('date_of_death_unknown').translatedPrettyName")\n    #else\n      $class.get('date_of_death_unknown').translatedPrettyName\n    #end\n  )))\n  #end\n  #if ($showDod)\n    (% class="controlled" %) (((\n    #__displayFormatted('2-col' 'date_of_death' '' 'date' '')\n    )))\n  #end\n  )))\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.patient-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.date_of_death</name>\n</property>\n<property>\n<parameters>title=Date of death\nenabled=true\nrequired=\norder=6\nfields=date_of_death, date_of_death_unknown\ncontains_PII=true\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-21305773067163884	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__apgar</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822210000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.apgar')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__apgar</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>11907b9d-0459-4675-be8e-ef9a912eedad</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasKnownDataToDisplay('apgar1' $showApgar1Score)\n#__hasKnownDataToDisplay('apgar5' $showApgar5Score)\n#if ($showApgar1Score)\n  #__displayFormatted('2-col' 'apgar1' '' '' '')\n#end\n#if ($showApgar5Score)\n  #__displayFormatted('2-col' 'apgar5' '' '' '')\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.prenatal-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.apgar</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.apgar')\nenabled=true\nrequired=\norder=3\nfields=apgar1,apgar5\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
1342854617281575449	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__proband_info</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822208000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.probandInfo')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__proband_info</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>dc21f0ec-1e87-40d5-ac30-d2eefa8c65cc</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasBooleanDataToDisplay('proband', $showProband)\n#__hasDataToDisplay('family_of' $showFamilyOf)\n#if ($showProband || $showFamilyOf)\n  #if ($xcontext.action == 'edit')\n    (% class="controlled-group complete-hide" %)(((\n      (% class="controller" %)(((\n        $doc.display('proband') #__label('proband' 'section' "$class.get('proband').prettyName")\n      )))\n      (% class="controlled" %)(((\n        #__displayFormatted('2-col' 'family_of' '' '' '')\n      )))\n    )))\n  #else\n    #if ($showProband)\n      $class.get('proband').prettyName\n    #else\n      #__displayFormatted('2-col' 'family_of' '' '' '')\n    #end\n  #end\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.family-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.proband_info</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.probandInfo')\nenabled=false\nrequired=\norder=2\nfields=proband,family_of\ncontains_PII=true</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
8785636805555918058	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__pedigree-file</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822201000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.pedigreeFile')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__pedigree-file</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>2ae89311-c93c-4cb4-be4d-76e4787279eb</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasDataToDisplay('pedigree' $showPedigree)\n#if ($showPedigree)\n  ===$services.localization.render('phenotips.UIXField.pedigreeFile.sheetTitle')===\n  $doc.display('pedigree')\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.family-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.pedigree-file</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.pedigreeFile')\nenabled=false\nrequired=\norder=15\nfields=pedigree\ncontains_PII=true</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-1472393286270317402	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__diagnosis_notes</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822210000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.diagnosisNotes')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__diagnosis_notes</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>109906e7-a5b1-4bf2-9443-4a38f89b1c40</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('diagnosis_notes')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.diagnosis-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.diagnosis_notes</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.diagnosisNotes')\nenabled=true\nrequired=\norder=2\nfields=diagnosis_notes\ncontains_PII=true\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
4266070365948038807	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__reports_history</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822210000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.reportsHistory')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__reports_history</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>401953a2-a320-4308-83af-ad5fc852b142</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasDataToDisplay('reports_history' $showReportsHistory)\n#if ($xcontext.action != 'export' &amp;&amp; $showReportsHistory)\n  === $services.localization.render('phenotips.UIXField.reportsHistory.sheetTitle') ===\n  $doc.display('reports_history')\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.medical-history</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.reports_history</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.reportsHistory')\nenabled=true\nrequired=\norder=4\nfields=reports_history\nprivacy_level=4</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-1779695066156749423	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__miscarriages</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822203000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.miscarriages')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__miscarriages</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>ddc53adb-b517-4a09-ac27-bf8a1a635e62</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#__displayIfSet('miscarriages', false)\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.family-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.miscarriages</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.miscarriages')\nenabled=true\nrequired=\norder=9\nfields=miscarriages\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
1471988493372263133	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>OpenPatientRecord</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822201000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#macro (saveDataFromRequest)\n  #set ($patientClass = $xwiki.getClass('PhenoTips.PatientClass'))\n  #set ($patientObject = $patientDoc.getObject('PhenoTips.PatientClass'))\n  #set ($validProperties = $patientClass.propertyNames)\n  #set ($modified = false)\n  #if ("$!externalIdentifier" != '' &amp;&amp; $externalIdentifier != $patientObject.getProperty('external_id').value)\n    $patientObject.set('external_id', $externalIdentifier)\n    #set ($modified = true)\n  #end\n  #foreach ($property in $request.parameterNames)\n    #if ($validProperties.contains($property))\n      #set ($value = $request.getParameter($property))\n      #if ($patientClass.get($property).type == 'DateClass' &amp;&amp; "$!value" != '')\n        ## Dates are expected in the standard format, regardless of the format used to display them in PhenoTips\n        #set ($value = $services.jodatime.getDateTimeFormatterForPattern('yyyy-M-d').parseDateTime($value).toDate())\n      #elseif ($property == 'gender' &amp;&amp; $value != 'M' &amp;&amp; $value != 'F')\n        ## Unknown values should be ignored\n        #set ($value = '')\n      #end\n      #if ($value != "$!patientObject.getProperty($property).value")\n        $patientObject.set($property, $value)\n        #set ($modified = true)\n      #end\n    #end\n  #end\n  #if ($modified)\n    $patientDoc.save('Updated patient data from external request', true)\n  #end\n#end\n#macro (fixMode)\n  #set ($canEditPatientRecord = $xwiki.hasAccessLevel('edit', $xcontext.user, $patientDoc.fullName))\n  #if (!$canEditPatientRecord)\n    #set ($mode = 'view')\n  #end\n#end\n#set ($identifier = "$!{request.id}")\n#set ($externalIdentifier = "$!{request.eid}")\n#set ($mode = "$!{request.mode}")\n#if ($mode == '')\n  #set ($mode = 'view')\n#end\n#set ($patientDoc = $NULL)\n#if ($identifier != '')\n  #set ($patientDoc = $xwiki.getDocument($services.model.createDocumentReference('', 'data', $identifier)))\n  #if (!$patientDoc || $patientDoc.isNew())\n    {{error}}$services.localization.render('phenotips.OpenPatientRecord.patientNotFound'){{/error}}\n  #else\n    #fixMode()\n    #if ($canEditPatientRecord)\n      #saveDataFromRequest()\n    #end\n    $response.sendRedirect($patientDoc.getURL($mode))\n  #end\n#elseif ($externalIdentifier != '')\n  #set ($matchingDocuments = $xwiki.wrapDocs($services.query.xwql("where doc.object(PhenoTips.PatientClass).external_id = :eid").bindValue('eid', $externalIdentifier).execute()))\n  #if ($matchingDocuments.size() == 1)\n    #set ($patientDoc = $matchingDocuments.get(0))\n    #fixMode()\n    #if ($canEditPatientRecord)\n      #saveDataFromRequest()\n    #end\n    $response.sendRedirect($patientDoc.getURL($mode))\n  #elseif ($matchingDocuments.size() &gt; 1)\n    {{error}}Non-unique identifier.{{/error}}\n  #elseif ("$!{request.create}" == 'true')\n    #set ($patient = $services.patients.createNewPatient())\n    #if ($patient)\n      #set ($patientDoc = $xwiki.getDocument($patient.document))\n      #fixMode()\n      #if ($canEditPatientRecord)\n        #saveDataFromRequest()\n      #end\n      $response.sendRedirect($xwiki.getURL($patientDoc, $mode))\n    #else\n    {{error}}$services.localization.render('phenotips.OpenPatientRecord.noPermission'){{/error}}\n    #end\n  #else\n    {{error}}$services.localization.render('phenotips.OpenPatientRecord.patientNotFound'){{/error}}\n  #end\n#else\n  {{error}}$services.localization.render('phenotips.OpenPatientRecord.noPatient'){{/error}}\n#end\n{{/velocity}}</content></xwikidoc>\n
3284046623153489042	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>CheckID</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822214000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ("$!{request.outputSyntax}" != 'plain')\n{{html clean="false"}}\n#end\n#if ($request.getParameter('eid') &amp;&amp; $request.getParameter('id'))\n  #set ($externalIdentifier = "$!{request.eid}")\n  #set ($identifier = "$!{request.id}")\n  #if ($externalIdentifier == $xwiki.getDocument($services.model.resolveDocument($identifier, $services.model.resolveSpace('data'))).getObject('PhenoTips.PatientClass').getProperty('external_id').value)\n    Self\n    #break\n  #end\n  #set ($matchingDocuments = $xwiki.wrapDocs($services.query.xwql("where doc.object(PhenoTips.PatientClass).external_id = :eid").bindValue('eid', $externalIdentifier).execute()))\n  #if ($externalIdentifier == '')\n    $response.setStatus(403)\n    Empty\n  #elseif ($matchingDocuments.size() == 0)\n    $response.setStatus(404)\n    Available\n  #else\n    $response.setStatus(409)\n    Exists\n  #end\n#else\n  $response.setStatus(400)\n  Please specify an identifier to check\n#end\n#if ("$!{request.outputSyntax}" != 'plain')\n{{/html}}\n#end\n{{/velocity}}\n</content></xwikidoc>
6668661007889031378	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>RejectedGenesClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1416517559000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.RejectedGenesClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Comments</prettyName>\n<rows>3</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<gene>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit')\n{{html clean=false}}&lt;input type='text' name='${prefix}${name}' class='suggested suggest-gene gene-name' placeholder="$services.localization.render('phenoTips.RejectedGenesClass.genePlaceholder')" size='16' value="$!{escapetool.xml($value)}"/&gt;{{/html}}\n#else\n$!{value}#if("$!{value}" != ''){{html clean=false}}&lt;input type='hidden' name='gene_name' class='gene-name' value="$!{escapetool.xml($value)}"/&gt;{{/html}}#end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>gene</name>\n<number>2</number>\n<picker>1</picker>\n<prettyName>Gene</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</gene>\n</class>\n<content></content></xwikidoc>\n
-8137184973056294146	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__medical_history</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822206000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.medicalHistory')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__medical_history</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>374f7214-6345-4693-8fa9-d18da0e95840</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('medical_history')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.medical-history</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.medical_history</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.medicalHistory')\nenabled=true\nrequired=\norder=1\nfields=medical_history\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-5729485702515311074	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ParentalInformationClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1440998227000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>XClass for recording information about the patient's parents</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.ParentalInformationClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<maternal_age>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>maternal_age</name>\n<number>1</number>\n<numberType>integer</numberType>\n<prettyName>Maternal age at birth</prettyName>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</maternal_age>\n<paternal_age>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>paternal_age</name>\n<number>2</number>\n<numberType>integer</numberType>\n<prettyName>Paternal age at birth</prettyName>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</paternal_age>\n<pregnancy_history__births>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__births</name>\n<number>9</number>\n<numberType>integer</numberType>\n<prettyName>Live births</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__births>\n<pregnancy_history__gravida>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__gravida</name>\n<number>3</number>\n<numberType>integer</numberType>\n<prettyName>Gravida</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__gravida>\n<pregnancy_history__para>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__para</name>\n<number>4</number>\n<numberType>integer</numberType>\n<prettyName>Para</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__para>\n<pregnancy_history__preterm>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__preterm</name>\n<number>6</number>\n<numberType>integer</numberType>\n<prettyName>Pre-term</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__preterm>\n<pregnancy_history__sab>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__sab</name>\n<number>7</number>\n<numberType>integer</numberType>\n<prettyName>SAB</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__sab>\n<pregnancy_history__tab>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__tab</name>\n<number>8</number>\n<numberType>integer</numberType>\n<prettyName>TAB</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__tab>\n<pregnancy_history__term>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pregnancy_history__term</name>\n<number>5</number>\n<numberType>integer</numberType>\n<prettyName>Term</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pregnancy_history__term>\n</class>\n<content>{{include reference="XWiki.ClassSheet"/}}</content></xwikidoc>\n
-1836898920674500607	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>VariantClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822128000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.VariantClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<band>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>band</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Cytoband</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</band>\n<chr>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>chr</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Chr</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|X|Y</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</chr>\n<classification>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<multiSelect>0</multiSelect>\n<name>classification</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Classification</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>none=Unclassified|CNP|sv=Clinically significant</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</classification>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Comments</prettyName>\n<rows>3</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<end>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>end</name>\n<number>5</number>\n<numberType>long</numberType>\n<prettyName>End</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</end>\n<reference_genome>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>reference_genome</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Reference genome</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>GRCh37=GRCh37 (hg19)|GRCh38=GRCh38 (hg38)|NCBI36=NCBI36 (hg18)</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</reference_genome>\n<start>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>start</name>\n<number>4</number>\n<numberType>long</numberType>\n<prettyName>Start</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</start>\n<type>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<multiSelect>0</multiSelect>\n<name>type</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>del=Deletion|dup=Duplication</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</type>\n</class>\n<content></content></xwikidoc>\n
4288222470750071524	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__patient_name</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822207000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.patientName')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__patient_name</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>d9f3e8d7-d4f8-4554-b5e5-2ae6c3958951</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit' || "$!{doc.display('last_name')}$!{doc.display('first_name')}" != '')\n  (% class="fieldset" %)(((\n    #__label('last_name' 'section clear' "$services.localization.render('phenotips.UIXField.patientName.label')") ##\n    #if ($xcontext.action == 'edit')\n      #__displayFormatted('half-width' 'last_name')\n      #__displayFormatted('half-width' 'first_name')\n     (% class="clear" %)((()))\n    #else\n      (% class="displayed-value"%)${doc.display('last_name').replaceAll('^(\\{\\{html clean="false" wiki="false"}})?&lt;p&gt;|&lt;/p&gt;(\\{\\{/html}})?$', '$1$2')}, ${doc.display('first_name').replaceAll('^(\\{\\{html clean="false" wiki="false"}})?&lt;p&gt;|&lt;/p&gt;(\\{\\{/html}})?$', '$1$2')}(%%)##\n    #end\n  )))##fieldset\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.patient-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.patient_name</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.patientName')\nenabled=true\nrequired=\norder=4\nfields=last_name,first_name\ncontains_PII=true\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
6480149959939324963	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__external_id</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822203000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.externalID')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__external_id</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>bf1a182c-b759-488e-ac97-2d272a8130d6</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayFormatted('2-col' 'external_id' '' '' '')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.patient-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.external_id</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.externalID')\nenabled=true\nrequired=\norder=2\nfields=external_id\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
8865714194840191319	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__ethnicity</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822218000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.ethnicity')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__ethnicity</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>5be21e42-6631-442d-95c7-05ba705be013</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasDataToDisplay('maternal_ethnicity' $showMaternalEthnicity)\n#__hasDataToDisplay('paternal_ethnicity' $showPaternalEthnicity)\n#if ($showMaternalEthnicity || $showPaternalEthnicity)\n  (% class="fieldset ethnicity" %)(((\n    #__displayFormatted('half-width' 'maternal_ethnicity')\n    #__displayFormatted('half-width' 'paternal_ethnicity')\n    (% class="clearfloats" %)((()))\n  )))##fieldset\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.family-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.ethnicity</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.ethnicity')\nenabled=true\nrequired=\norder=4\nfields=maternal_ethnicity,paternal_ethnicity\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-1996626401907221046	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PatientSheetMacros</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822205000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output=false}}\n#macro (__label $propName $cssClass $text)\n   #set($displayedText = "$!{text}")\n   #if ($displayedText == '' &amp;&amp; "$!{propName}" != '')\n     #set($displayedText = "$!{class.get($propName).translatedPrettyName}:")\n   #end\n   #if ($xcontext.action != 'edit')\n     (% class="label $!{cssClass}" %)${displayedText}(%%)##\n   #else\n     #set($for = '')\n     #if ("$!{propName}" != '')\n       #set($for = "for='$!{class.name}_$!{obj.number}_$!{propName}'")\n     #end\n     {{html clean="false" wiki="false"}}&lt;label class="$!{cssClass}" $!{for}&gt;${displayedText}&lt;/label&gt;{{/html}}##\n     #if ($services.localization.get("$!{class.name}_${propName}_hint"))\n       #* Empty comment needed for the whitespace trimmer to leave an empty space before the icon *# {{icon name="question-circle" cssClass="xHelpButton" title="$services.localization.render("$!{class.name}_${propName}_hint").replace('"', '~~~"')"/}}##\n     #end\n   #end\n#end\n\n#macro (__expandTools)\n  {{html clean="false" wiki="false"}}\n  &lt;div class="expand-tools"&gt;\n    &lt;span class="buttonwrapper show"&gt;\n      &lt;button type="button" class="tool button secondary"&gt;\n        &lt;span class="fa fa-lg fa-plus-square-o"&gt;&lt;/span&gt;&amp;nbsp;\n        $services.localization.render('phenotips.patientSheet.expandSection')\n      &lt;/button&gt;\n    &lt;/span&gt;\n    &lt;span class="buttonwrapper hide"&gt;\n      &lt;button type="button" class="tool button secondary"&gt;\n        &lt;span class="fa fa-lg fa-minus-square-o"&gt;&lt;/span&gt;&amp;nbsp;\n        $services.localization.render('phenotips.patientSheet.collapseSection')\n      &lt;/button&gt;\n    &lt;/span&gt;\n  &lt;/div&gt;\n  {{/html}}\n#end\n\n#macro (__display $propName)\n(% class="displayed-value"%)(((\n#if ("$!class.get($propName).getValue('contenttype')" == 'PureText' &amp;&amp; $xcontext.action != 'edit')\n  #if($xcontext.action == 'edit' || ($doc.display($propName) != ''))${doc.display($propName).replaceFirst('^(\\{\\{html clean="false" wiki="false"}})?', '{{content syntax="plain/1.0"}}').replaceFirst('(\\{\\{/html}})?$', '{{/content}}')}#{else}-#{end}\n#else\n  #if($xcontext.action == 'edit' || ($doc.display($propName) != ''))${doc.display($propName).replaceAll('^(\\{\\{html clean="false" wiki="false"}})?&lt;p&gt;|&lt;/p&gt;(\\{\\{/html}})?$', '$1$2')}#{else}-#{end}\n#end\n\n)))##\n#end\n\n#macro (__displayIfNotEmpty $propName)\n  #if ($xcontext.action == 'edit' || ($doc.display($propName) != ''))\n    (% class="fieldset ${propName} %)(((\n      #__label($propName 'section group-title' '')\n      #__display($propName)\n    )))\n  #end\n#end\n\n#macro (__displayIfTrue $propName $withLabel)\n  #if ($xcontext.action == 'edit' || $obj.getProperty($propName).value == 1)\n    (% class="fieldset ${propName} %)(((\n      #if ($withLabel)\n        #__label($propName '' '')\n      #end\n      #__display($propName)\n    )))\n  #end\n#end\n\n#macro (__displayIfSet $propName $withLabel)\n  #if ($xcontext.action == 'edit' || $obj.getProperty($propName).value == 1 || $obj.getProperty($propName).value == 0)\n    (% class="fieldset ${propName} %)(((\n      #if ($withLabel)\n        #__label($propName '' '')\n      #end\n      #__display($propName)\n    )))\n  #end\n#end\n\n#macro (__displayIfNotUnknown $propName)\n  #if ($xcontext.action == 'edit' || "$!obj.getProperty($propName).value" != 'Unknown')\n    (% class="fieldset ${propName} %)(((\n      #__label($propName '' '')\n      #__display($propName)\n    )))\n  #end\n#end\n\n#macro (__hasDataToDisplay $propertyName $shouldDisplay)\n  #if ($xcontext.action == 'edit' || "$doc.display($propertyName)" != '')\n    #setVariable("$shouldDisplay", true)\n  #end\n#end\n\n#macro (__hasBooleanDataToDisplay $propertyName $shouldDisplay)\n  #if ($xcontext.action == 'edit' || $obj.getProperty($propertyName).value == 1)\n    #setVariable("$shouldDisplay", true)\n  #end\n#end\n\n#macro (__hasKnownDataToDisplay $propertyName $shouldDisplay)\n  #if ($xcontext.action == 'edit' || "$!obj.getProperty($propertyName).value.toLowerCase()" != 'unknown')\n    #setVariable("$shouldDisplay", true)\n  #end\n#end\n\n#macro (__display2Col $propName $label $groupCssClass $labelCssClass)\n  (% class="fieldset ${propName} $!{groupCssClass}" %)(((\n  (% class="half-width ${propName}" %)(((\n    #__label(${propName} "section $!{labelCssClass}" "$!{label}")\n  )))\n  (% class="half-width ${propName}" %)(((\n    #__display(${propName})\n  )))\n  (% class="clear" %)((()))\n  )))##fieldset\n#end\n\n#macro (__displayIfNotEmpty2Col $propName $label $groupCssClass $labelCssClass)\n  #if ($xcontext.action == 'edit' || $doc.display(${propName}) != '')\n    #__display2Col($propName $label "$!{groupCssClass}" "$!{labelCssClass}")\n  #end\n#end\n\n#macro (__displayHalfWidth $propName $label $groupCssClass $labelCssClass)\n  (% class="half-width $groupCssClass ${propName}" %)(((\n    #__label(${propName} "hint $!{labelCssClass}" $label)\n    #__display(${propName}, $obj)\n  )))\n#end\n\n#macro (__displayFormatted $mode $propName $label $groupCssClass $labelCssClass)\n#if ($xcontext.action == 'edit' || $doc.display(${propName}) != '')\n  #set($_groupCssClass = "$!{groupCssClass}#if ($extension_required) mandatory#{end}")\n  #if ($xcontext.action != 'edit')\n    #if ($mode == 'half-width')\n      #__displayHalfWidth($propName $label $_groupCssClass $labelCssClass)\n    #else\n      #__label($propName $labelCssClass $label) (% class="displayed-value"%)#if ("$!{doc.display($propName)}" == '')-#else${doc.display($propName).replaceAll('^(\\{\\{html clean="false" wiki="false"}})?&lt;p&gt;|&lt;/p&gt;(\\{\\{/html}})?$', '$1$2')}#end(%%)\n    #end\n  #else\n    #if ($mode == 'half-width')\n      #__displayHalfWidth($propName $label $_groupCssClass $labelCssClass)\n    #elseif ($mode == '2-col')\n      #__display2Col($propName $label $_groupCssClass $labelCssClass)\n    #else\n    (% class="$groupCssClass ${propName}" %)(((\n      #__label($propName $labelCssClass $label)\n      #__display($propName)\n    )))\n    #end\n  #end## export\n#end## field not configured as inactive, field not empty in view mode\n#end\n\n## =====================================================================\n##\n## "Tabelar" data associated with the patient report\n##\n##\n#macro (__measurements_displayCompact)\n  #set($dataClass = $xwiki.getDocument('PhenoTips.MeasurementsClass').xWikiClass)\n  #if ($dataClass)\n    #set($dataObjects = $doc.getObjects('PhenoTips.MeasurementsClass'))\n    #if ($dataObjects.size() == 0)\n      (% class="hint" %)None specified\n    #else\n      (% class="extradata-list" %)\n      #foreach ($o in $dataObjects)\n        #foreach($prop in $dataClass.properties)\n           #if ($prop.name == 'date' || $prop.name == 'age')\n             |= ${prop.translatedPrettyName}: |=(% colspan="2" %) $doc.display($prop.getName(), $o)\n           #elseif (!$prop.name.endsWith('_evaluation') &amp;&amp; "$!o.getProperty($prop.getName()).value" != '')\n             |= ${prop.translatedPrettyName}: | $doc.display($prop.getName(), $o) | $!doc.display("${prop.getName()}_evaluation", $o)\n          #end\n        #end\n      #end## foreach object\n    #end## if $dataObjects.size()\n  #end## if dataclass\n#end\n\n## =====================================================================\n##\n## PHENOTYPE METADATA\n##\n##\n#macro (__phenotypeMeta_displayEntry $targetObj)\n    #set($dataClass = $targetObj.xWikiClass)\n    #set($enabledProperties = ['age_of_onset', 'pace_of_progression', 'severity', 'temporal_pattern', 'spatial_pattern', 'laterality', 'comments', 'supporting_images', 'supporting_documents'])\n    #set($collapsibleProperties = ['age_of_onset', 'pace_of_progression', 'severity', 'temporal_pattern', 'spatial_pattern', 'laterality'])\n    #set($targetId = "phenotypeMeta__$!{class.name}_$!{obj.number}_$!{targetObj.getProperty('target_property_name').value}__$!{targetObj.getProperty('target_property_value').value}")\n    {{html wiki="true" clean="false"}}##\n    {{html wiki="false" clean="false"}}&lt;dl id="$targetId"&gt;{{/html}}##\n      #foreach($prop in $dataClass.properties)##\n        #if ($enabledProperties.contains($prop.name))#set($displayMode='')#else#set($displayMode=' hidden')#end##\n        &lt;dt class="${prop.name}${displayMode}"&gt; #if ($collapsibleProperties.contains($prop.name)) &lt;span class="collapse-button"&gt;&lt;/span&gt; #end &lt;label for=""&gt;${prop.translatedPrettyName}:&lt;/label&gt;&lt;/dt&gt;##\n        &lt;dd class="${prop.name}${displayMode}"&gt;$doc.display($prop.getName(), $targetObj)&lt;/dd&gt;##\n      #end##\n    &lt;/dl&gt;##\n    &lt;input type="hidden" name="delete-action" value="$doc.getURL('objectremove', "classname=${targetObj.xWikiClass.name}&amp;amp;classid=${targetObj.number}&amp;amp;form_token=$!{services.csrf.getToken()}")"/&gt;##\n    {{/html}}\n#end\n\n#macro (__phenotypeMeta_displayLastEntry)\n  #set($dataClassName = 'PhenoTips.PhenotypeMetaClass')\n  #set ($objects = $doc.getObjects($dataClassName))\n  #if ($objects.size() &gt; 0)\n    #set ($targetObj = $objects.get($mathtool.sub($objects.size(), 1)))\n    #__phenotypeMeta_displayEntry($targetObj $mode)\n  #end\n#end\n\n#macro (__phenotypeMeta_displayAll)\n  #set($dataClassName = 'PhenoTips.PhenotypeMetaClass')\n  #set ($objects = $doc.getObjects($dataClassName))\n  #if ($objects.size() &gt; 0)\n    (% class="hidden" %)(((\n    #foreach ($pmObj in $objects)\n      #__phenotypeMeta_displayEntry($pmObj)\n    #end\n    )))\n  #end\n#end\n{{/velocity}}\n</content></xwikidoc>
-8708801843342423327	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PhenotypeMetaClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822129000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.PhenotypeMetaClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<age_of_onset>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003577',\n  'HP:0030674',\n  'HP:0011460',\n  'HP:0011461',\n  'HP:0003623',\n  'HP:0003593',\n  'HP:0011463',\n  'HP:0003621',\n  'HP:0003581',\n  'HP:0011462',\n  'HP:0003596',\n  'HP:0003584'\n])\n#set ($startWith = 'HP:0003674')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>age_of_onset</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Age of onset</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</age_of_onset>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Comments</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<laterality>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0012832',\n  'HP:0012833',\n  'HP:0012834',\n  'HP:0012835'\n])\n#set ($startWith = 'HP:0012831')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>laterality</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Laterality</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</laterality>\n<pace_of_progression>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003680',\n  'HP:0003677',\n  'HP:0003676',\n  'HP:0003678',\n  'HP:0003682'\n])\n#set ($startWith = 'HP:0003679')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>pace_of_progression</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Pace of progression</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</pace_of_progression>\n<severity>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0012827',\n  'HP:0012825',\n  'HP:0012826',\n  'HP:0012828',\n  'HP:0012829'\n])\n#set ($startWith = 'HP:0012824')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>severity</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Severity</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</severity>\n<spatial_pattern>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0012837',\n  'HP:0012838',\n  'HP:0012839',\n  'HP:0012840'\n])\n#set ($startWith = 'HP:0012836')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>spatial_pattern</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Spatial pattern</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</spatial_pattern>\n<supporting_documents>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>supporting_documents</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>Medical report (optional)</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage>pdf</validationMessage>\n<validationRegExp>^application\\/pdf$</validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</supporting_documents>\n<supporting_images>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>supporting_images</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>Image / photo (optional)</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</supporting_images>\n<target_property_name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>target_property_name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>target_property_name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</target_property_name>\n<target_property_value>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>target_property_value</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>target_property_value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</target_property_value>\n<temporal_pattern>\n<cache>0</cache>\n<classname></classname>\n<customDisplay>{{velocity}}\n#set ($order = [\n  'HP:0003587',\n  'HP:0011010',\n  'HP:0011011',\n  'HP:0011009'\n])\n#set ($startWith = 'HP:0011008')\n{{/velocity}}\n\n{{include reference="PhenoTips.HPOBranchDisplayer"/}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<idField></idField>\n<multiSelect>0</multiSelect>\n<name>temporal_pattern</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Temporal pattern</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql></sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</temporal_pattern>\n</class>\n<content></content></xwikidoc>\n
7731935125441096865	1	1	2017-05-12 15:43:34	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__date_of_birth</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822215000</creationDate>\n<date>1494618214000</date>\n<contentUpdateDate>1494618214000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.dateOfBirth')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__date_of_birth</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>55ffba30-cd44-490e-8688-ae3aa56834ec</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('XWiki.DateTimePicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('XWiki.DateTimePicker')##\n#end\n#__displayFormatted('2-col' 'date_of_birth' '' 'date' '')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.patient-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.date_of_birth</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.dateOfBirth')\nenabled=true\nrequired=\norder=5\nfields=date_of_birth\ncontains_PII=true\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-1426279776542066006	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ExternalFileClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822126000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.ExternalFileClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>comments</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<file>\n<cache>0</cache>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>file</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>file</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage>pdf</validationMessage>\n<validationRegExp>^application\\/pdf$</validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</file>\n</class>\n<content></content></xwikidoc>\n
8582266331043691674	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>InvestigationClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822128000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.InvestigationClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<comments>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>comments</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Comments</prettyName>\n<rows>3</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</comments>\n<gene>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit')\n{{html clean=false}}&lt;input type='text' name='${prefix}${name}' class='suggested suggest-gene gene-name' placeholder='$services.localization.render('phenotips.investigationClass.geneNamePlaceholder')' size='16' value="$!{escapetool.xml($value)}"/&gt;{{/html}}\n#else\n$!{value}#if("$!{value}" != ''){{html clean=false}}&lt;input type='hidden' name='gene_name' class='gene-name' value="$!{escapetool.xml($value)}"/&gt;{{/html}}#end\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>gene</name>\n<number>2</number>\n<picker>1</picker>\n<prettyName>Gene</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</gene>\n<type>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>type</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>genetic=Genetic investigation|molecular=Molecular genetics</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</type>\n</class>\n<content></content></xwikidoc>\n
-7870144259798409225	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>VCF</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1410399246000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.vcf.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.VCF</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<filename>\n<customDisplay>{{velocity output="false"}}\n#if (!$value)\n  #set ($value = [])\n#end\n{{/velocity}}\n\n{{include reference="PhenoTips.ImageDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<name>filename</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>VCF file</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage>vcf</validationMessage>\n<validationRegExp>.*</validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</filename>\n<reference_genome>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>reference_genome</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Reference genome</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>GRCh37=GRCh37 (hg19)|GRCh38=GRCh38 (hg38)|NCBI36=NCBI36 (hg18)</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</reference_genome>\n</class>\n<object>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>PhenoTips.VCF</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>e53ac762-8efa-4e8f-bc5f-8f47fb3278aa</guid>\n<property>\n<sheet>PhenoTips.UIXSheet</sheet>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.VCF</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>fbfb648b-6f6a-449f-b066-3d017df05bcb</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if (!$services.permissions.getPatientAccess($services.patients.getPatientById($doc.documentReference)).hasAccessLevel('edit'))\n  #break\n#end\n\n#if ($xcontext.action == 'edit')\n=== $services.localization.render('phenotips.vcf.sheetTitle') ===\n\n#set ($originalObj = $obj)\n#set ($originalClass = $class)\n#set ($obj = $doc.getObject('PhenoTips.VCF'))\n#if (!$obj)\n  #set ($obj = $doc.getObject('PhenoTips.VCF', true))\n  #set ($discard = $doc.save('Added mandatory PhenoTips.VCF object', true))\n#end\n#set ($class = $xwiki.getClass('PhenoTips.VCF'))\n#set ($discard = $doc.use($obj))\n#__displayIfNotEmpty('filename')\n#__displayIfNotEmpty('reference_genome')\n#set ($obj = $originalObj)\n#set ($class = $originalClass)\n#set ($discard = $doc.use($obj))\n(% class="clearfloats" %)((()))\n#elseif ($xcontext.action == 'view' &amp;&amp; $doc.getObject('PhenoTips.VCF').getProperty('filename').value.isEmpty() == false)\n=== $services.localization.render('phenotips.vcf.sheetTitle') ===\n\n[[attach:${doc.getObject('PhenoTips.VCF').getProperty('filename').value}]] (reference genome ${doc.getObject('PhenoTips.VCF').getProperty('reference_genome').value})\n#elseif ($xcontext.action == 'export')\n##\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.genotype</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.vcf</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.vcf.title')\nenabled=true\nrequired=\norder=2\nfields=\nprivacy_level=2</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content>Allows attaching VCF files to patient records.</content></xwikidoc>\n
7367851364799234842	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PhenotypeDisplay</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822206000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#set($phenotypeDisplayTools = $services.phenotype)\n#set ($data = $services.phenotypeMapping.get($name))\n## If $data is empty, then either the mapping is broken, or there really is no data for this type of phenotypes...\n#if ("$!{data}" != '')\n  $phenotypeDisplayTools.setMode($xcontext.action)##\n  $phenotypeDisplayTools.setDocument($doc)##\n  #if ($class.get("negative_${name}"))\n    #set ($nname = "negative_${name}")##\n    #set ($nvalue = $object.getProperty("negative_${name}").value)##\n    $!phenotypeDisplayTools.use($prefix, $name, $nname)##\n    $!phenotypeDisplayTools.setSelectedValues($value, $nvalue)##\n    #set ($customCategories = {})\n    #set ($customNCategories = {})\n    #foreach ($categoryMapping in $doc.getObjects('PhenoTips.PhenotypeCategoryClass'))\n      #if ($categoryMapping.getProperty('target_property_name').value == $name)\n        #set ($discard = $customCategories.put($categoryMapping.getProperty('target_property_value').value, $categoryMapping.getProperty('target_property_category').value))\n      #elseif ($categoryMapping.getProperty('target_property_name').value == $nname)\n        #set ($discard = $customNCategories.put($categoryMapping.getProperty('target_property_value').value, $categoryMapping.getProperty('target_property_category').value))\n      #end\n    #end\n    $!phenotypeDisplayTools.setCustomCategories($customCategories, $customNCategories)##\n  #else\n    $!phenotypeDisplayTools.use($prefix, $name)##\n    $!phenotypeDisplayTools.setSelectedValues($value)##\n    #set ($customCategories = {})\n    #foreach ($categoryMapping in $doc.getObjects('PhenoTips.PhenotypeCategoryClass'))\n      #if ($categoryMapping.getProperty('target_property_name').value == $name)\n        #set ($discard = $customCategories.put($categoryMapping.getProperty('target_property_value').value, $categoryMapping.getProperty('target_property_category').value))\n      #end\n    #end\n    $!phenotypeDisplayTools.setCustomCategories($customCategories)##\n  #end\n  #if ($services.vocabularies.hpo.size() &lt;= 0)\n    {{error}}{{translation key="phenotips.patientRecord.phenotypes.error.hpoNotIndexed"/}}{{/error}}\n\n  #end\n  #set ($displayHtml = $phenotypeDisplayTools.display($data))\n  #set ($hasPhenotype = ($object.getProperty($name).value &amp;&amp; !$object.getProperty($name).value.empty) || ($object.getProperty("negative_${name}").value &amp;&amp; !$object.getProperty("negative_${name}").value.empty))\n  #if ("$!displayHtml" == '' &amp;&amp; ($hasPhenotype || $type == 'edit'))\n    {{error}}{{translation key="phenotips.patientRecord.phenotypes.error.failedDisplay"/}}{{/error}}\n  #else\n    {{html clean=false}}$displayHtml{{/html}}##\n  #end\n  $!phenotypeDisplayTools.clear()##\n#end\n{{/velocity}}</content></xwikidoc>\n
-9042646689748774870	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Section__genotype</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822213000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXSection.genotype')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Section__genotype</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>f2e0c557-0a81-4574-bd9f-b45737678322</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.content</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.section.genotype</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXSection.genotype')\nenabled=true\nrequired=\norder=6</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-697911637008616141	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__family_history</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822205000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.familyHistory')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__family_history</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>9050e009-3fb4-40ef-966c-cbf038c8b79b</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty('family_history')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.family-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.family_history</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.familyHistory')\nenabled=true\nrequired=\norder=6\nfields=family_history\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
3677609021436523997	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__additional-images-exported</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822210000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.additionalImageExports')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__additional-images-exported</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>6b3ad51d-c5a6-4a3b-8ee2-5ae591e8963a</guid>\n<property>\n<content>{{velocity}}\n#if ($xcontext.action == 'export' &amp;&amp; $doc.getObject('PhenoTips.ExternalImageClass'))\n  #foreach ($o in $doc.getObjects('PhenoTips.ExternalImageClass'))\n    #if ("$!{o.getProperty('file').value}" != '' &amp;&amp; ${o.getProperty('print').value} == '1')\n      {{html clean=false}}#pagebreak(){{/html}}\n      [[image:@$!{o.getProperty('file').value}]]\n\n      $!{o.getProperty('comments').value}\n    #end\n  #end\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.after</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.additiona-images-exported</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.additionalImageExports')\nenabled=true\nrequired=\norder=20</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-1343373672531815063	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__exam_date</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822204000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.examDate')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__exam_date</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>fa5a8b85-675c-4509-b95f-acf158ddc83d</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('XWiki.DateTimePicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('XWiki.DateTimePicker')##\n#end\n#__displayFormatted('2-col' 'exam_date' '' '' '')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.patient-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.exam_date</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.examDate')\nenabled=false\nrequired=\norder=3\nfields=exam_date</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
3640940014510043003	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>CreatePatientRecord</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822211000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($request.get('doCreate') == '1')\n  #if ($services.csrf.isTokenValid($request.form_token))\n    #set ($patient = $services.patients.createNewPatient())\n    #if ($patient)\n      ## FIXME Move this to a PatientRecordInitializer\n      #set ($formBindingClassName = 'PhenoTips.StudyBindingClass')\n      #set ($formBindingPropertyName = 'studyReference')\n      #set ($formBindingPropertyValue = $request.get("$!{formBindingClassName}_${formBindingPropertyName}"))\n      #if ($formBindingPropertyValue)\n        #set ($patientDoc = $xwiki.getDocument($patient.document))\n        #set ($formBindingObj = $patientDoc.getObject($formBindingClassName, true))\n        #if ($formBindingObj)\n          #set ($discard = $formBindingObj.set($formBindingPropertyName, $formBindingPropertyValue))\n          #set ($discard = $patientDoc.save())\n        #end\n      #end\n      $response.sendRedirect($xwiki.getURL($patient.document, 'edit', ''))\n    #else\n      Cannot create patient\n    #end\n  #else\n    ## CSRF protection\n    $response.sendRedirect("$!{services.csrf.getResubmissionURL()}")\n  #end\n#end\n{{/velocity}}</content></xwikidoc>\n
1640968616700422145	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__health_card</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822197000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.healthCard')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__health_card</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>8e67e399-35b2-43c9-bff5-50499ae1bc07</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayFormatted('2-col' 'health_card' '' '' '')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.patient-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.health_card</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.healthCard')\nenabled=false\nrequired=\norder=8\nfields=health_card\ncontains_PII=true</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-2917140387913630798	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__identifier</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822202000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.identifier')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__identifier</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>383fbddb-18a7-4878-9dd5-12b8df8e2c76</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayFormatted('2-col' 'identifier' '' '' '')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.patient-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.identifier</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.identifier')\nenabled=false\nrequired=\norder=1\nfields=identifier\ncontains_PII=true</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
5314465631535567676	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__parental_age</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822217000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.parentalAge')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__parental_age</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>4353f1b4-8227-44ec-80c5-0f55079e328a</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#set ($origObj = $obj)\n#set ($obj = $doc.getObject('PhenoTips.ParentalInformationClass', true))\n#set ($origObjClass = $doc.getActiveClass())\n#set ($discard = $doc.use($obj))\n#set ($origClass = $class)\n#set ($class = $xwiki.getClass('PhenoTips.ParentalInformationClass'))\n##\n#__hasDataToDisplay('maternal_age', $showMaternalAge)\n#__hasDataToDisplay('paternal_age', $showPaternalAge)\n#if ($showMaternalAge)\n  #__displayFormatted('2-col' 'maternal_age' '' '' '')\n#end\n#if ($showPaternalAge)\n  #__displayFormatted('2-col' 'paternal_age' '' '' '')\n#end\n##\n#set ($class = $origClass)\n#set ($discard = $doc.use($origObj))\n#set ($obj = $origObj)\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.prenatal-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.parentalAge</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.parentalAge')\nenabled=true\nrequired=\norder=2\nfields=\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-6658700599314567231	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__prenatal_phenotype</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822207000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.prenatalPhenotype')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__prenatal_phenotype</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>4b05398d-9818-4c81-b631-06f94ec3b2fa</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__hasDataToDisplay('prenatal_phenotype' $showPrenatalPhenotype)\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#if ($showPrenatalPhenotype)\n  $doc.display('prenatal_phenotype')\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.prenatal-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.prenatal_phenotype</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.prenatalPhenotype')\nenabled=true\nrequired=\norder=4\nfields=prenatal_phenotype,negative_prenatal_phenotype\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
6780263639170239364	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Section__family-info</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822208000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXSection.familyInfo')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Section__family-info</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>0ba6ce1f-f6e4-4986-a539-c68700e79d86</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.content</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.section.family-info</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXSection.familyInfo')\nenabled=true\nrequired=\norder=2</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-1116859099162230719	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ExportPatient</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401825648000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>ExportPatient</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action != 'get')\n  #break\n#end\n$!response.setContentType('application/json')##\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#if ("$!request.id" != '')\n  #set ($patient = $services.patients.getPatientById($request.id))\n#elseif ("$!request.eid" != '')\n  #set ($patient = $services.patients.getPatientByExternalId($request.eid))\n#end\n#if (!$patient)\n  $response.setStatus(404)\n  {"error" : "Identifier not found."}\n  #break\n#end\n#if ("$!{request.data}" == 'pedigree')\n  #set ($pedigreeObj  = $!xwiki.getDocument($patient.getDocument()).getObject('PhenoTips.PedigreeClass'))\n  #if ($pedigreeObj)\n    #set ($pedigreeData = $pedigreeObj.getProperty('data'))\n    #if ($pedigreeData)\n      #set ($pedigreeJSON = $pedigreeObj.getProperty('data').value)\n      $pedigreeJSON\n    #else\n      ## no pedigree\n    #end\n  #else\n    ## no pedigree\n  #end\n#else\n  $jsontool.serialize($patient.toJSON())\n#end\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}\n</content></xwikidoc>
5961478927774864854	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__affected_relatives</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1437047132000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.affectedRelatives')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__affected_relatives</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>91669cd5-5adc-4945-89a2-5f12b88c7362</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#if ($xcontext.action == 'edit')\n  $xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n  $xwiki.jsx.use('PhenoTips.YesNoNAPicker')##\n#end\n#__displayIfSet('affectedRelatives', false)\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.family-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.affectedRelatives</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.affectedRelatives')\nenabled=true\nrequired=\norder=10\nfields=affectedRelatives\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-5404451436186561621	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Section__medical-history</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822196000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXSection.medicalHistory')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Section__medical-history</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>7d6cf62d-6d54-4232-a9b1-315750a6daa3</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.content</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.section.medical-history</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXSection.medicalHistory')\nenabled=true\nrequired=\norder=4</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
7512616125857928286	1	1	2017-05-12 15:43:35	Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>SearchConfigClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1272283443000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.SearchConfigClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<engine>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>engine</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Default search engine</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</engine>\n</class>\n<object>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>XWiki.SearchConfigClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>325a5b75-0416-45c9-a98e-bc74855c15cb</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content>\n</content></xwikidoc>
-593955178708979057	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__additional-documents</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822205000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.additionalDocuments')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__additional-documents</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>d3a87c5d-d808-4dbc-86af-fe6c8a761bae</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n$xwiki.ssx.use('PhenoTips.ImageDisplayer', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.ImageDisplayer')##\n#set ($targetClassName = 'PhenoTips.ExternalFileClass')\n#if ($xcontext.action == 'edit' || $xcontext.action != 'export' &amp;&amp; $doc.getObject($targetClassName))\n  === Documents ===\n  #__extradata_displayTable($targetClassName, {'counter' : true, 'labels' : false, 'mode' : $xcontext.action})\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.additional-files</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.additional-documents</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.additionalDocuments')\nenabled=true\nrequired=\norder=1\nfields=</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-8481233760920225830	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__rejected_genes</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1416537852000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.rejectedGenes')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>PhenoTips.UIX_Field__rejected_genes</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>a75ed1fd-e1ad-4cd7-8cb1-3648dee52cce</guid>\n<property>\n<sheet>PhenoTips.UIXSheet</sheet>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.UIX_Field__rejected_genes</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>d241be2f-9e9c-4336-a839-8061d3a61d30</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>/*\nOn 'reject' event takes the data row that has been passed to it,\ncreates a new data row in the table that the transfer is directed towards,\nand merges the new data row with the old.\n*/\ndocument.observe('extradata:rejected', function(parameters) { \n  var tableClass = parameters.memo.transferToClass;\n  var dataTables = $$(".extradata-list");\n  var dataTable = null;\n  var regExp = new RegExp(".*" + tableClass + ".*");\n  dataTables.each(function(table){\n    if(regExp.test(table.id)) {\n      dataTable = table;\n      return false;\n    }\n  });\n  if (dataTable != null) {\n    var oldRow = parameters.memo.element;\n    var geneName = oldRow.down(".gene").down("input").getValue();\n    var comment = oldRow.down(".comments").down("textarea").getValue();\n\n    var lastRow = dataTable.down("tr:last-child");\n    var lastRowNameInput = lastRow.down(".gene").down("input");\n    var lastRowCommentInput = lastRow.down(".comments").down("textarea");\n\n    if (!(lastRowNameInput || lastRowCommentInput) || ((lastRowNameInput &amp;&amp; lastRowCommentInput) &amp;&amp; (lastRowNameInput.getValue() || lastRowCommentInput.getValue()))) {\n      var addButton = dataTable.next(".list-actions").down(".add");\n      Event.observe(dataTable, "extradata:added", function(event){\n        lastRow = event.memo.element;\n        lastRow.down(".gene").down("input").setValue(geneName);\n        lastRow.down(".comments").down("textarea").setValue(comment);\n        Event.stopObserving(dataTable, "extradata:added");\n      });\n\n      Event.fire(addButton, "extradata:reject-add");\n    } else {\n      lastRow.down(".gene").down("input").setValue(geneName);\n      lastRow.down(".comments").down("textarea").setValue(comment);\n    }\n  }\n})</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse></parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__rejected_genes</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>bef2efd9-d047-4e5f-824b-da5f5273ce22</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.TabelarDataMacros" /}}\n\n{{velocity}}\n$xwiki.ssx.use('PhenoTips.UIX_Field__genes')##\n$xwiki.jsx.use('PhenoTips.UIX_Field__genes')##\n$xwiki.jsx.use('PhenoTips.UIX_Field__rejected_genes')##\n#set ($targetClassName = 'PhenoTips.RejectedGenesClass')\n#if ($xcontext.action == 'edit' || $doc.getObject($targetClassName))\n  === $services.localization.render('phenotips.UIXField.rejectedGenes.list') ===\n\n  #__extradata_displayTable($targetClassName, {'counter' : true, 'labels' : false, 'mode' : $xcontext.action})\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.genotype</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.rejected_genes</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.rejectedGenes')\nenabled=true\nrequired=\norder=2\nfields=\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
3979838908796149307	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__omim_id</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822219000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.omimID')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__omim_id</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>557fd2f6-cdf0-40ae-ab82-af6166928b79</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#__displayIfNotEmpty2Col('omim_id' '' '' '')\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.diagnosis-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.omim_id</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.omimID')\nenabled=true\nrequired=\norder=1\nfields=omim_id\nprivacy_level=1</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-9188894493861317696	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:patient-data-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__obstetric_history</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1441696672000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.UIXField.obstetricHistory')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__obstetric_history</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>431e74ec-1978-4be1-9abc-8047cfb87855</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{velocity}}\n#set ($origObj = $obj)\n#set ($obj = $doc.getObject('PhenoTips.ParentalInformationClass', true))\n#set ($origObjClass = $doc.getActiveClass())\n#set ($discard = $doc.use($obj))\n#set ($origClass = $class)\n#set ($class = $xwiki.getClass('PhenoTips.ParentalInformationClass'))\n##\n#__hasDataToDisplay('pregnancy_history__gravida', $hasGravidaValue)\n#__hasDataToDisplay('pregnancy_history__para', $hasParaValue)\n#__hasDataToDisplay('pregnancy_history__term', $hasTermValue)\n#__hasDataToDisplay('pregnancy_history__preterm', $hasPretermValue)\n#__hasDataToDisplay('pregnancy_history__sab', $hasSabValue)\n#__hasDataToDisplay('pregnancy_history__tab', $hasTabValue)\n#__hasDataToDisplay('pregnancy_history__births', $hasBirthsValue)\n#if ($hasGravidaValue || $hasParaValue || $hasTermValue || $hasPretermValue || $hasSabValue || $hasTabValue || $hasBirthsValue)\n  === {{translation key='phenotips.UIXField.obstetricHistory' /}} ===\n  (% style="width: 100%" %)\n  |=${class.pregnancy_history__gravida.translatedPrettyName}|=${class.pregnancy_history__para.translatedPrettyName}|=${class.pregnancy_history__term.translatedPrettyName}|=${class.pregnancy_history__preterm.translatedPrettyName}|=${class.pregnancy_history__sab.translatedPrettyName}|=${class.pregnancy_history__tab.translatedPrettyName}|=${class.pregnancy_history__births.translatedPrettyName}\n  |$doc.display('pregnancy_history__gravida')|$doc.display('pregnancy_history__para')|$doc.display('pregnancy_history__term')|$doc.display('pregnancy_history__preterm')|$doc.display('pregnancy_history__sab')|$doc.display('pregnancy_history__tab')|$doc.display('pregnancy_history__births')\n#end\n##\n#set ($class = $origClass)\n#set ($discard = $doc.use($origObj))\n#set ($obj = $origObj)\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.prenatal-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.obstetricHistory</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.UIXField.obstetricHistory')\nenabled=false\nrequired=\norder=3\nfields=\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
6898761325737497537	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:application-configuration-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>MenuConfigurationClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822127000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:application-configuration-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.MenuConfigurationClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<enableDeleteTool>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>enableDeleteTool</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Enable delete tool for</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>view|edit</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</enableDeleteTool>\n<enableEditTool>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>enableEditTool</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Enable edit tools for</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>view|edit</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</enableEditTool>\n<enableHistoryTool>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>enableHistoryTool</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Enable history tool for</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>view|edit</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</enableHistoryTool>\n<enablePdfTool>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>enablePdfTool</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Enable PDF export for</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>view|edit</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</enablePdfTool>\n<enableTocTool>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>enableTocTool</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Enable table of contents for</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>view|edit</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</enableTocTool>\n</class>\n<content></content></xwikidoc>\n
-2582009016571287674	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:application-configuration-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>DBConfigurationClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822126000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:application-configuration-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.DBConfigurationClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<dateOfBirthFormat>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit' || $xcontext.action == 'admin')\n{{html wiki=false clean=false}}\n&lt;select name="$prefix$name" id="$prefix$name"&gt;\n#foreach ($val in ['MM/dd/yyyy', 'dd/MM/yyyy', 'yyyy-MM-dd', 'MM/yyyy', 'MMMM yyyy', 'yyyy'])\n  &lt;option #if ($val == $value) selected="selected"#end value="$val"&gt;$val $services.localization.render('phenotips.DBConfigurationClass.dateExample',[$xwiki.formatDate($util.date, $val)])&lt;/option&gt;\n#end\n&lt;/select&gt;\n{{/html}}\n#else\n$!value\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>dateOfBirthFormat</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Date of birth format</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</dateOfBirthFormat>\n<enableImperialUnitSystem>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>enableImperialUnitSystem</name>\n<number>6</number>\n<prettyName>Enable imperial unit system for entering measurements</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</enableImperialUnitSystem>\n<livetableColumns>\n<cache>0</cache>\n<customDisplay>//{{translation key="phenotips.DBConfigurationClass.metaInfo" /}}//\n\n{{velocity output=false}}\n#set ($docFields = ['doc.name', 'doc.creator', 'doc.author', 'doc.creationDate', 'doc.date'])\n#macro(__xclass__displayLivetableColOption $option $value)\n  &lt;li&gt;\n    &lt;label for="${prefix}${name}_${sectionId}"&gt;\n    &lt;input type="checkbox" name="${prefix}${name}" id="${prefix}${name}_${option}" value="$option"#if ($value.contains($option)) checked="checked"#end/&gt;\n    $services.localization.render("patient.livetable.${option}")\n    &lt;/label&gt;\n  &lt;/li&gt;\n#end\n{{/velocity}}\n\n{{velocity}}{{html wiki=false clean=false}}\n&lt;ul style="list-style-type: none; margin: 0 0 0 16px"&gt;\n#foreach ($option in $docFields)\n  #__xclass__displayLivetableColOption($option $value)\n#end\n&lt;/ul&gt;\n{{/html}}{{/velocity}}\n\n//{{translation key="phenotips.DBConfigurationClass.patientInfo" /}}//\n\n{{include reference="PhenoTips.DBConfigurationClassDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>livetableColumns</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Livetable columns</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>40</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</livetableColumns>\n<livetableRows>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>livetableRows</name>\n<number>10</number>\n<numberType>integer</numberType>\n<prettyName>Number of rows to display by default</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</livetableRows>\n<livetableSortColumn>\n<customDisplay>{{velocity}}\n#if ($type == 'edit')\n{{html clean="false"}}\n&lt;select name="${prefix}${name}"&gt;\n#foreach($column in $object.getProperty('livetableColumns').value)\n  &lt;option value="$escapetool.xml($column)"#if ($column == $value) selected="selected"#{end}&gt;$services.localization.render("patient.livetable.${column}")&lt;/option&gt;\n#end\n&lt;/select&gt;\n{{/html}}\n#else\n  $services.localization.render("patient.livetable.${value}")\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>livetableSortColumn</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Column to sort by default</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</livetableSortColumn>\n<measurementUnitSystem>\n<cache>0</cache>\n<customDisplay>{{velocity}}\n#if ($value != 'imperial')#set ($value = 'metric')#end\n{{html clean=false}}&lt;p&gt;&lt;label&gt;&lt;input type="radio" name="${prefix}${name}" id="${prefix}${name}_metric" value="metric" #if ($value == 'metric') checked="checked"#end /&gt;$services.localization.render('PhenoTips.DBConfigurationClass_measurementUnitSystem_metric')&lt;/label&gt;  &lt;label&gt;&lt;input type="radio" name="${prefix}${name}" id="${prefix}${name}_imperial" value="imperial" #if ($value == 'imperial') checked="checked"#end /&gt;$services.localization.render('PhenoTips.DBConfigurationClass_measurementUnitSystem_imperial')&lt;/label&gt;&lt;/p&gt;\n&lt;br/&gt;\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<multiSelect>0</multiSelect>\n<name>measurementUnitSystem</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Default unit system for entering measurements, when "Imperial unit system" is enabled</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>metric=Metric|imperial=Imperial</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</measurementUnitSystem>\n<phenotypeMapping>\n<cache>0</cache>\n<classname>PhenoTips.PhenotypeMappingClass</classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<idField>doc.fullName</idField>\n<multiSelect>0</multiSelect>\n<name>phenotypeMapping</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Phenotype configuration document</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>30</size>\n<sort>none</sort>\n<sql>select doc.fullName, doc.name from XWikiDocument doc, BaseObject obj where doc.fullName &lt;&gt; 'PhenoTips.PhenotypeMappingTemplate' and obj.name = doc.fullName and obj.className = 'PhenoTips.PhenotypeMappingClass'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField>doc.name</valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</phenotypeMapping>\n</class>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.DBConfigurationClass</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>b91750d7-c185-4e69-9f6d-53ab896b1778</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\nul.custom-display-list {\n  list-style-type: none;\n  margin: 0 0 0 16px;\n}\nul.col-2 {\n  -moz-column-count: 2;\n  -webkit-column-count: 2;\n  column-count: 2;\n}\nul.custom-display-list li:hover {\n  background-color: $theme.highlightColor;\n}\nul.custom-display-list li .move {\n  background: url($xwiki.getSkinFile('icons/datamodel/move.png')) no-repeat center center transparent;\n  cursor: move;\n  display: inline-block;\n  float: right;\n  height: 16px;\n  text-indent: -9999px;\n  vertical-align: baseline;\n  width: 16px;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content></content></xwikidoc>\n
4434957683997222722	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:application-configuration-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>DBConfigurationClassDisplayer</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.DBConfigurationClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822206000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:application-configuration-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output=false}}\n#macro(__xclass__displayCustomClassOption)\n  #if ($customValues &amp;&amp; $customValues.size() &gt; 0)\n  &lt;ul class="custom-display-list"&gt;\n  #foreach($customVal in $customValues.keySet())\n  &lt;li&gt;\n    &lt;label for="${prefix}${name}_${customVal}"&gt;\n    &lt;input type="checkbox" name="${prefix}${name}" id="${prefix}${name}_${customVal}" value="$customVal"#if ($value.contains($customVal)) checked="checked"#end/&gt;\n    Display ${customValues.get($customVal)}\n    &lt;/label&gt;\n  &lt;/li&gt;\n  #end\n  &lt;/ul&gt;\n  #end\n#end\n\n#macro(__xclass__displayFieldList $xclassName $targetFieldName $targetFieldType $valuesList)\n  #if("$!{hideClassFields}" != 'true')\n  #set($xclass = $xwiki.getDocument($xclassName).getxWikiClass())\n  #if ($xclass.properties)\n    #if ($targetFieldType == 'select')\n      &lt;select name="${targetFieldName}" id="${targetFieldName}_${field.name}"&gt;\n      #foreach ($field in $xclass.properties)\n        &lt;option  value="${field.name}" #if($value == ${field.name}) selected="selected" #end&gt;${field.translatedPrettyName}&lt;/option&gt;\n      #end\n      &lt;/select&gt;\n    #else\n      &lt;ul  class="custom-display-list col-2"&gt;\n      #foreach ($field in $xclass.properties)\n        &lt;li&gt;\n          &lt;label for="${targetFieldName}_${field.name}"&gt;\n          &lt;input type="$targetFieldType" name="${targetFieldName}" id="${targetFieldName}_${field.name}" value="${field.name}" #if($targetFieldType == 'radio' &amp;&amp; $value == ${field.name} || $value.contains(${field.name})) checked="checked" #end /&gt;\n          ${field.translatedPrettyName}\n        &lt;/li&gt;\n      #end\n      &lt;/ul&gt;\n    #end\n    &lt;input type="hidden" name="${targetFieldName}" value="" /&gt;\n  #end\n  #end\n#end\n\n#set ($displayType = $object.xWikiClass.get($name).getProperty('displayType').value)\n#set ($multiSelect = $object.xWikiClass.get($name).getProperty('multiSelect').value)\n#if ("$!displayType" == '')\n  #set ($displayType = 'select')\n#elseif ($displayType != 'radio' &amp;&amp; $displayType != 'select' || $multiSelect == '1')\n  #set ($displayType = 'checkbox')\n#end\n{{/velocity}}\n\n{{velocity}}\n{{html wiki=false clean=false}}#__xclass__displayCustomClassOption(){{/html}}\n\n#if ($name.indexOf('section__') == 0 &amp;&amp; "$!{hideClassFields}" != 'true')\n//Select the fields that will be displayed in this section://\n\n#end\n{{html wiki=false clean=false}}#__xclass__displayFieldList('PhenoTips.PatientClass' "$prefix$name" $displayType $value){{/html}}\n{{/velocity}}</content></xwikidoc>\n
2408316101609766278	1	1	2017-05-12 15:43:35	Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Main</web>\n<name>Search</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1272897865000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>#if("$!{request.text}" == '')$services.localization.render('search.page.title.noquery')#else$services.localization.render('search.page.title.query', [$request.text])#end</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="XWiki.SearchCode"/}}\n\n{{velocity}}\n## If no Search UI Extension exist then don't display the Search page.\n#if ("$!searchPage" != '')\n  {{include reference="$searchPage"/}}\n#else\n  ## Display a message explaining that there's no Search UI Extension.\n  $services.localization.render('search.page.noimplementation')\n#end\n{{/velocity}}</content></xwikidoc>\n
1729140392881331580	1	1	2017-05-12 15:43:35	Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Main</web>\n<name>WebSearch</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252450800000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>#if("$!{request.text}" == '')$services.localization.render('search.page.database.title.noquery')#else$services.localization.render('search.page.database.title.query', [$request.text])#end</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n## This is a retro-compatibility page\n## You should use DatabaseSearch page now\n{{/velocity}}\n\n{{include reference="DatabaseSearch" /}}</content></xwikidoc>\n
1742467291601891863	1	1	2017-05-12 15:43:35	Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Main</web>\n<name>DatabaseSearch</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.Search</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1274890129000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>#if("$!{request.text}" == '')$services.localization.render('search.page.database.title.noquery')#else$services.localization.render('search.page.database.title.query', [$request.text])#end</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Main.DatabaseSearch</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>01bd7e60-de8c-4fc6-b233-d0a86a3cdaf7</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.xwiki.platform.search</extensionPointId>\n</property>\n<property>\n<name>database</name>\n</property>\n<property>\n<parameters>label=$services.localization.render('search.extension.title.database')\nadmin=\nsearch=Main.DatabaseSearch</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content>{{velocity}}\n$xwiki.ssfx.use("uicomponents/search/search.css", true)##\n## Disable the document extra data: comments, attachments, history...\n#set($docextras = [])\n#set ($rssmode = ("$!request.xpage" == 'plain'))\n## ---------------\n## Space filtering\n## ---------------\n#set($spaces = $xwiki.spaces)\n#set($selectedSpace = $escapetool.html($!request.space))\n## ---------------\n## Space macros\n## ---------------\n#macro(spaceoption $space $selectedSpace)\n  &lt;option value="${space}" #if($selectedSpace == $space)selected="selected"#end&gt;$space&lt;/option&gt;\n#end\n#macro(spaceselect $selectedSpace $spaces)\n  &lt;select name="space" title="$services.localization.render('search.page.bar.spaces.title')"&gt;\n    &lt;option value="" #if($selectedSpace == '')selected="selected"#end&gt;$services.localization.render('search.page.bar.spaces.all')&lt;/option&gt;\n    #foreach($space in $spaces)\n      #if (!$blacklistedSpaces.contains($space) &amp;&amp; $xwiki.hasAccessLevel('view', "${space}.DocumentReservedForInternalXWikiUsage${mathtool.random(0, 999)}"))\n        #spaceoption($space $selectedSpace)\n      #end\n    #end\n  &lt;/select&gt;\n#end\n##\n##\n#set($text = "$!request.getParameter('text')")\n#set($utext = $escapetool.url($text))\n## ---------------\n## Query form\n## ---------------\n#if(!$rssmode)\n{{html}}\n&lt;form action="$doc.getURL()" id="searchBar"&gt;\n  &lt;div class="centered"&gt;\n    &lt;label for="text" class="hidden"&gt;$services.localization.render('search.page.query.label')&lt;/label&gt;\n    &lt;input type="text" id="text" name="text" class="searchQuery #if($text == '') withTip#end" #if($text == '') value="$services.localization.render('search.page.bar.query.tip')" #else value="${escapetool.xml($text)}" #end title="$services.localization.render('search.page.bar.query.title')"/&gt;\n    #spaceselect($selectedSpace $spaces)\n    &lt;span class='buttonwrapper'&gt;\n      &lt;input type="submit" class="searchButton button" value="$services.localization.render('search.page.bar.submit')" title="$services.localization.render('search.page.bar.submit.title')"/&gt;\n    &lt;/span&gt;\n  &lt;/div&gt;\n&lt;/form&gt;\n{{/html}}\n#end\n#set($space = $selectedSpace)\n#set($datedlist = [])\n#if("$!text" == '')\n  ## No search\n#else\n  #set($text = $text.replaceAll("'", "''").replaceAll("%", "\\\\%"))\n  #set($nbitems = 50)\n  ## ----------------------------------------------------------------------\n  ## Exclude Blacklisted spaces ($blacklistedSpaces is set in xwikivars.vm)\n  ## Also exclude WebPreferences.\n  ## ----------------------------------------------------------------------\n  #set ($webClause = '')\n  #foreach ($blacklistedSpace in $blacklistedSpaces)\n    #set ($webClause = "${webClause} doc.space &lt;&gt; '$blacklistedSpace' and")\n  #end\n  #if(!$hasAdmin &amp;&amp; !$isAdvancedUser)\n    #set ($webClause = "${webClause} doc.name&lt;&gt;'WebPreferences' and")\n  #end\n  ## -----------------------------------------------------------\n  ## Display only a given space if $request.space is defined\n  ## -----------------------------------------------------------\n  #if("$!space" != '')\n    #set ($webClause = "${webClause} doc.space='$space' and")\n  #end\n  #macro(addelement $item $list)\n    #if($xwiki.hasAccessLevel('view', $xcontext.user, "${xcontext.database}:${item}"))\n      #set($itemdoc = $xwiki.getDocument($item))\n      ## All items will be sorted by the date; since the list is obtained from several queries, we can't order in the HQL.\n      ## Prefix all item names with the date for sorting the combined results.\n      #set($sdate = $xwiki.formatDate($itemdoc.date, 'yyyyMMddHHmmss'))\n      #set($sitem = "${sdate}${item}")\n      #if(!$list.contains($sitem))\n        #set($discard = $list.add($sitem))\n      #end\n    #end\n  #end\n  ## -----------------------------------------------------------\n  ## Search in the page names\n  ## -----------------------------------------------------------\n  #set($query = $services.query.xwql("where $webClause upper(doc.fullName) like ?1 order by doc.date desc").addFilter('hidden').bindValue(1, "%${text.toUpperCase()}%").setLimit($nbitems).setOffset(0))\n  #foreach ($item in $query.execute())\n    #addelement($item $datedlist)\n  #end\n  ## -----------------------------------------------------------\n  ## Search in page content\n  ## -----------------------------------------------------------\n  #set($query = $services.query.xwql("where $webClause upper(doc.content) like ?1 order by doc.date desc").addFilter('hidden').bindValue(1, "%${text.toUpperCase()}%").setLimit($nbitems).setOffset(0))\n  #foreach ($item in $query.execute())\n    #addelement($item $datedlist)\n  #end\n  ## -----------------------------------------------------------\n  ## Search in text fields (simple String properties)\n  ## -----------------------------------------------------------\n  #set($query = $services.query.xwql("from BaseObject as obj, StringProperty as prop where $webClause obj.name=doc.fullName and prop.id.id = obj.id and upper(prop.value) like ?1").addFilter('hidden').bindValue(1, "%${text.toUpperCase()}%").setLimit($nbitems).setOffset(0))\n  #foreach ($item in $query.execute())\n    #addelement($item $datedlist)\n  #end\n  ## -----------------------------------------------------------\n  ## Search in big text fields (textarea properties)\n  ## -----------------------------------------------------------\n  #set($query = $services.query.xwql("from BaseObject as obj, LargeStringProperty as prop where $webClause obj.name=doc.fullName and prop.id.id = obj.id and upper(prop.value) like ?1").addFilter('hidden').bindValue(1, "%${text.toUpperCase()}%").setLimit($nbitems).setOffset(0))\n  #foreach ($item in $query.execute())\n    #addelement($item $datedlist)\n  #end\n#end\n#set($list = [])\n#set ($discard = $collectionstool.sort($datedlist))\n#foreach($item in $datedlist)\n  ## datedlist contains items prefixed with the date; strip the date from the actual item name:\n  #set($ok = $list.add(0, $item.substring(14)))\n#end\n#if ("$!utext" != '')\n  #if($rssmode)\n    #set ($feed = $xwiki.feed.getDocumentFeed($list, {}))\n    #set ($feedURI = $doc.getExternalURL("view"))\n    #set ($discard = $feed.setLink($feedURI))\n    #set ($discard = $feed.setUri($feedURI))\n    #set ($discard = $feed.setAuthor('XWiki'))\n    #set ($discard = $feed.setTitle($services.localization.render('search.rss', [$text])))\n    #set ($discard = $feed.setDescription($services.localization.render('search.rss', [$text])))\n    #set ($discard = $feed.setLanguage($xcontext.language))\n    #set ($discard = $feed.setCopyright($xwiki.getXWikiPreference('copyright')))\n    {{{$xwiki.feed.getFeedOutput($feed, $xwiki.getXWikiPreference('feed_type', 'rss_2.0'))}}}\n  #else\n\n    {{include reference="XWiki.Results"/}}\n\n    #if($selectedSpace == '')\n      #set($rssURL = $xwiki.getURL($doc.fullName, 'view', "xpage=plain&amp;amp;outputSyntax=plain&amp;amp;text=${utext}" ))\n    #else\n      #set($rssURL = $xwiki.getURL($doc.fullName, 'view', "xpage=plain&amp;amp;outputSyntax=plain&amp;space=${selectedSpace}&amp;text=${utext}"))\n    #end\n    {{html}}\n      &lt;a href="${rssURL}" class='hasIcon iconRSS'&gt;$services.localization.render('search.rss', ["[$escapetool.xml($text)]"])&lt;/a&gt;\n    {{/html}}\n  #end\n#end\n{{/velocity}}</content></xwikidoc>\n
-7509314645851387670	1	1	2017-05-12 15:43:35	Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>SearchAdmin</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1272285137000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>Search administration</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>icon.png</filename>\n<filesize>6237</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618215000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<name>XWiki.SearchAdmin</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>301d32cd-cf2a-4b9a-b2c6-182f3c04eeac</guid>\n<property>\n<codeToExecute>{{include reference="XWiki.SearchAdmin"/}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInSection>Search</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment>icon.png</iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n</object>\n<content>{{include reference='XWiki.SearchCode' /}}\n\n(% id='Hsearch.admin.configuration.title' %)\n= {{velocity}}$services.localization.render('search.admin.configuration.title'){{/velocity}} =\n\n{{velocity}}\n#set ($searchEnginePropertyClass = $searchConfigClass.engine)\n#set ($availableSearchExtensions = $services.uix.getExtensions('org.xwiki.platform.search', {'sortById' : ''}))\n{{html wiki='true'}}\n&lt;form id='search_XWiki.SearchConfig' method='post' action="${searchConfigDoc.getURL('save')}" class='xform half'&gt;\n  &lt;dl&gt;\n    &lt;dt&gt;\n      &lt;input type='hidden' name='form_token' value="$!{services.csrf.getToken()}" /&gt;\n      &lt;input type='hidden' name='xredirect' value="$doc.getURL($xcontext.action, $!{request.queryString})" /&gt;\n    &lt;/dt&gt;\n\n    &lt;dt&gt;\n      &lt;label&gt;$searchEnginePropertyClass.translatedPrettyName&lt;/label&gt;\n      &lt;span class='xHint'&gt;$services.localization.render('search.admin.configuration.seexwikicfg')&lt;/span&gt;\n    &lt;/dt&gt;\n    &lt;dd&gt;\n      &lt;select name='XWiki.SearchConfigClass_0_engine'&gt;\n      #foreach ($availableSearchExtension in $availableSearchExtensions)\n        &lt;option value="$availableSearchExtension.id" #if($availableSearchExtension.id == $searchEngine)selected='selected'#end&gt;$availableSearchExtension.parameters.label&lt;/option&gt;\n      #end\n      &lt;/select&gt;\n    &lt;/dd&gt;\n\n    &lt;dt&gt;\n      &lt;span class='buttonwrapper'&gt;\n        &lt;input value="$services.localization.render('search.admin.configuration.button')" class='button' type='submit'&gt;\n      &lt;/span&gt;\n    &lt;/dt&gt;\n  &lt;/dl&gt;\n&lt;/form&gt;\n{{/html}}\n\n## If no Search UI Extension exist then don't display the Search Admin section.\n#if ("$!searchAdminPage" != '')\n  #set ($searchAdminDoc = $xwiki.getDocument($searchAdminPage))\n  ## If the document doesn't exist don't display it either.\n  #if (!$searchAdminDoc.isNew())\n    = $searchAdminDoc.displayTitle =\n\n    ## Use context='new' in the include so that we can use PR.\n    {{include reference="$searchAdminPage" context='new'}}\n  #end\n#end\n{{/velocity}}</content></xwikidoc>\n
3378800498336242331	1	1	2017-05-12 15:43:35	Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>SearchSuggestSourceSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.SearchSuggestSourceClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1376498001000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#set ($className = 'XWiki.SearchSuggestSourceClass')\n#set ($class = $xwiki.getDocument($className).xWikiClass)\n#if (!$object &amp;&amp; "$!request.xobjectNumber" != '')\n  #set ($object = $doc.getObject($className, $mathtool.toInteger($request.xobjectNumber)))\n#end\n#if (!$object)\n  #set ($object = $doc.getObject($className, true))\n#end\n#set ($discard = $doc.use($object))\n#set ($prefix = "${className}_${object.number}_")\n## We include the 'get' action because we use it when adding a new search suggest source through AJAX.\n#set ($editing = $xcontext.action == 'admin' || $xcontext.action == 'edit' || $xcontext.action == 'inline' || $xcontext.action == 'get')\n(% class="xform" %)(((\n#foreach ($property in $class.properties)\n  #set ($displayFormType = $property.getProperty('displayFormType'))\n  #set ($isCheckbox = $editing &amp;&amp; $property.classType == 'Boolean' &amp;&amp; (!$displayFormType || $displayFormType.value == 'checkbox'))\n  ; {{html wiki="true"}}\n    &lt;label#if ($editing) for="${prefix}$property.name"#end&gt;\n      #if ($isCheckbox)\n        $doc.display($property.name, 'edit')\n      #end\n      $property.translatedPrettyName\n    &lt;/label&gt;\n    {{/html}}##\n    #set ($hintKey = "${className}_${property.name}.hint")\n    #if ($services.localization.get($hintKey))\n      (% class="xHint" %){{translation key="$hintKey"/}}##\n    #end\n\n  #if (!$isCheckbox)\n    : #if ($editing)\n        $doc.display($property.name, 'edit')\n      #else\n        {{{$!object.getProperty($property.name).value}}}\n      #end\n  #end\n#end\n)))\n{{/velocity}}</content></xwikidoc>\n
1565339973703422931	1	1	2017-05-12 15:43:35	Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>SearchSuggestSourceClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.SearchSuggestConfig</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1376024843000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.SearchSuggestSourceClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<activated>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>activated</name>\n<number>8</number>\n<prettyName>Activated</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</activated>\n<engine>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>engine</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Engine</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</engine>\n<highlight>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>highlight</name>\n<number>7</number>\n<prettyName>Highlight</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</highlight>\n<icon>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>icon</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Icon</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</icon>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<query>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>query</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Query</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</query>\n<resultsNumber>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>resultsNumber</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Limit</prettyName>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</resultsNumber>\n<url>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>url</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Service</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</url>\n</class>\n<object>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>XWiki.SearchSuggestSourceClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>d666d5ef-2acc-4471-a35e-00afb116cc44</guid>\n<property>\n<sheet>XWiki.ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
7862198511921928654	1	1	2017-05-12 15:43:35	Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>Results</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebSearch</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1252454400000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render("search.page.results")</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n{{html}}\n#set($showdata = 0)\n&lt;div id="searchResults"&gt;\n  #foreach ($item in $list)\n    #set($itemClass = "$item.class")\n    #set($itemfullname = "${xcontext.database}:${item}")\n    #if ($xwiki.hasAccessLevel('view', $xcontext.user, $itemfullname))\n      &lt;div class="resultItem"&gt;\n      &lt;div class="resultContainer"&gt;\n      #set($itemDoc = $xwiki.getDocument($item))\n      #set($author = $xwiki.getUserName($itemDoc.author))\n      ##*********************************************************##\n      ## Description                                             ##\n      ##*********************************************************##\n      &lt;div class="itemDescription type-${item.type}"&gt;\n        ##*********************************************************##\n        ## Title                                                   ##\n        ##*********************************************************##\n        &lt;h2 class="itemTitle"&gt;\n          &lt;a href="$xwiki.getURL($itemfullname)"&gt;$escapetool.xml($itemDoc.plainTitle)&lt;/a&gt;\n        &lt;/h2&gt;\n        ##*********************************************************##\n        ## Location                                                ##\n        ##*********************************************************##\n        &lt;div class="itemLocation"&gt;\n          $services.localization.render('search.item.location', [\n          $escapetool.xml($itemDoc.wiki), $xwiki.getURL("${itemDoc.wiki}:Main.WebHome"),\n          $escapetool.xml($itemDoc.space), $xwiki.getURL("${itemDoc.wiki}:${itemDoc.space}.WebHome"),\n          $escapetool.xml($itemDoc.name), $xwiki.getURL($itemfullname)])\n        &lt;/div&gt;\n        ##*********************************************************##\n        ## Modifiers - content update date                         ##\n        ##*********************************************************##\n        &lt;div class="itemModified"&gt;\n          #if ($author == 'XWikiGuest')\n            #set($author = $services.localization.render('search.page.results.guest'))\n          #end\n          $services.localization.render('search.item.modified', [$author, $xwiki.formatDate($itemDoc.date, 'dd MMM yyyy')])\n        &lt;/div&gt;\n## TODO: Uncomment when the attachment and comment count will be implemented\n##         &lt;div class="itemOthers"&gt;\n          ##*********************************************************##\n          ## Rating                                                  ##\n          ##*********************************************************##\n          #if($xwiki.ratings &amp;&amp; $item.type != 'attachment')\n            #set($avarageRating = $xwiki.ratings.getAverageRating($xwiki.getDocument($itemfullname)).averageVote)\n            #set($percentageRating = $avarageRating * 20)\n            &lt;span class="itemRating" title="$services.localization.render('search.item.rating.title')"&gt;\n              &lt;span class="currentRating" style="width:$percentageRating%;"&gt;&lt;/span&gt;\n            &lt;/span&gt;\n          #end\n##         &lt;/div&gt;\n      &lt;/div&gt; ## end &lt;div class="itemDescription"&gt;\n      #if ($isScored)\n        #set ($resval = $mathtool.min($mathtool.mul($itemDoc.score, 100), 100))\n        ##*********************************************************##\n        ## Relevance                                               ##\n        ##*********************************************************##\n        &lt;div class="itemRelevance"&gt;\n          &lt;span class="relevance" title="$services.localization.render('search.item.relevance.title')"&gt;\n            &lt;span class="currentRelevance" style="width:${resval}%;"&gt;&lt;/span&gt;\n          &lt;/span&gt;\n          &lt;span class="relevanceText"&gt;$resval.intValue()%&lt;/span&gt;\n        &lt;/div&gt;\n      #end ## isScored\n      ##*********************************************************##\n      ## Actions (admins only)                                   ##\n      ##*********************************************************##\n#*\n      #if($xwiki.hasAdminRights())\n          #set($copyURL = $xwiki.getURL('XWiki.CopyDocument', 'view', "sourcedoc=${escapetool.url($itemfullname)}"))\n          #set($deleteURL = $xwiki.getDocument($itemfullname).getURL('delete'))\n          #set($renameURL = $xwiki.getDocument($itemfullname).getURL('view', 'xpage=rename&amp;amp;step=1'))\n          #set($rightsURL = $xwiki.getDocument($itemfullname).getURL('edit', 'editor=rights'))\n          &lt;div class="itemActions"&gt;\n            &lt;a href="$copyURL" class="tool copy" title="$services.localization.render('search.page.results.copy')"&gt;$services.localization.render('search.page.results.copy')&lt;/a&gt;\n            &lt;a href='$renameURL' class="tool rename" title="$services.localization.render('search.page.results.rename')"&gt;$services.localization.render('search.page.results.rename')&lt;/a&gt;\n            &lt;a href="$deleteURL" class="tool delete" title="$services.localization.render('search.page.results.delete')"&gt;$services.localization.render('search.page.results.delete')&lt;/a&gt;\n            &lt;a href='$rightsURL' class="tool rights" title="$services.localization.render('search.page.results.rights')"&gt;$services.localization.render('search.page.results.rights')&lt;/a&gt;\n          &lt;/div&gt; ## itemActions\n        #end ## has admin rights *# ##\n      &lt;/div&gt; ## resultContainer\n      &lt;/div&gt; ## resultItem\n    #end ## hasAccessLevel\n  #end ## foreach item\n&lt;/div&gt; ## searchResults\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
-9097985822642514826	1	1	2017-05-12 15:43:35	Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>SearchCode</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1272532474000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n#set ($searchConfigDoc = $xwiki.getDocument('XWiki.SearchConfig'))\n#set ($searchConfigClass = $xwiki.getDocument('XWiki.SearchConfigClass').xWikiClass)\n\n## Get or create the configuration object\n#set ($searchConfigObj = $searchConfigDoc.getObject($searchConfigClass.name, true))\n#set ($searchEngine = "$!{searchConfigObj.getProperty('engine').value}")\n\n## Default search engine to use in case the configured one is not found:\n## - 'solr' is the preferred default\n## - 'database' is the fall-back default\n#set ($searchExtensions = $services.uix.getExtensions('org.xwiki.platform.search', {'sortByCustomOrder' : "${searchEngine}, solr, database"}))\n#if (!$searchExtensions.isEmpty())\n  #set ($searchExtension = $searchExtensions[0])\n\n  ## Update the configuration if it is out of synch with the reality (installed extensions).\n  #set ($needsUpdate = $searchEngine != $searchExtension.id)\n  #set ($searchEngine = $searchExtension.id)\n  #if ($needsUpdate &amp;&amp; $searchConfigDoc.hasAccessLevel('edit'))\n    #if ($searchConfigDoc.parent == '')\n      $searchConfigDoc.setParent('XWiki.SearchAdmin')\n    #end\n    ## Save the updated configuration. Make sure to set it hidden as it's a technical document.\n    $searchConfigObj.set('engine', $searchEngine)\n    $searchConfigDoc.setHidden(true)\n    $searchConfigDoc.save()\n  #end\n\n  #set ($searchPage = $searchExtension.parameters.search)\n  #set ($searchAdminPage = $searchExtension.parameters.admin)\n#else\n  ## No Search UI Extension was found!\n  #set ($searchPage = '')\n  #set ($searchAdminPage = '')\n#end\n{{/velocity}}</content></xwikidoc>\n
6075148806462035940	1	1	2017-05-12 15:43:35	Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>SearchSuggestConfigSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.SearchSuggestConfig</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1376024843000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.SearchSuggestConfigSheet</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>555f31ab-0e5d-4ed0-84b4-cc96d2085be0</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>require(['jquery'], function($) {\n  //-----------------------\n  // Search engine tab bar.\n  //-----------------------\n  $('.searchEngines a').click(function(event) {\n    event.stopPropagation();\n    event.preventDefault();\n    $(this).closest('.searchEngines').children().removeClass('active');\n    $(this).closest('li').addClass('active');\n    $('.searchSuggestSources').addClass('hidden');\n    $($(this).attr('href')).removeClass('hidden');\n  });\n\n  // Toggle source details.\n  var sourceHeaderClickHandler = function() {\n    $(this).next('.source-body').toggleClass('hidden');\n  };\n  $('.searchSuggestSources .source-header').click(sourceHeaderClickHandler);\n\n  //--------------------\n  // Ajax source delete.\n  //--------------------\n  var sourceDeleteHandler = function(event) {\n    event.stopPropagation();\n    event.preventDefault();\n    var deleteLink = this;\n    if (deleteLink.disabled) return;\n    new XWiki.widgets.ConfirmedAjaxRequest(\n      /* Ajax request URL */\n      this.href,\n      /* Ajax request parameters */\n      {\n        onCreate : function() {\n          deleteLink.disabled = true;\n        },\n        onSuccess : function() {\n          $(deleteLink).closest('.source').parent().remove();\n        },\n        onComplete : function() {\n          deleteLink.disabled = false;\n        }\n      },\n      /* Interaction parameters */\n      {\n        confirmationText: "$escapetool.javascript($services.localization.render('core.editors.object.delete.confirm'))",\n        progressMessageText : "$escapetool.javascript($services.localization.render('core.editors.object.delete.inProgress'))",\n        successMessageText : "$escapetool.javascript($services.localization.render('core.editors.object.delete.done'))",\n        failureMessageText : "$escapetool.javascript($services.localization.render('core.editors.object.delete.failed'))"\n      }\n    );\n  };\n  $('.searchSuggestSources .source-header .delete').click(sourceDeleteHandler);\n\n  //-----------------\n  // Ajax source add.\n  //-----------------\n  var targetDocument = new XWiki.Document('SearchSuggestConfig', 'XWiki');\n  var createSourceDeleteLink = function(objectNumber) {\n    var icon = document.createElement('img');\n    $(icon).addClass('icon').attr('alt', 'cross')\n      .attr('src', "$xwiki.getSkinFile('icons/silk/cross.png')");\n    var link = document.createElement('a');\n    var deleteSourceURL = targetDocument.getURL('objectremove', $.param({\n      form_token: $('meta[name="form_token"]').attr('content'),\n      classname: 'XWiki.SearchSuggestSourceClass',\n      classid: objectNumber\n    }));\n    $(link).addClass('delete').attr('href', deleteSourceURL)\n      .append(icon).click(sourceDeleteHandler);\n    return link;\n  };\n  var createSourceUI = function(sourceFormHTML) {\n    var container = document.createElement('li');\n    $(container).html('&lt;div class="source"&gt;&lt;div class="source-header"&gt;&lt;span class="name"&gt;'\n      + "$escapetool.javascript($escapetool.xml($services.localization.render('platform.search.suggestNewSourceName')))"\n      + '&lt;/span&gt;&lt;div class="actions"/&gt;&lt;/div&gt;&lt;div class="source-body"/&gt;&lt;/div&gt;');\n    $(container).find('.source-body').html(sourceFormHTML);\n    var objectNumber = parseInt($(container).find('input[type="text"]')\n      .attr('name').substr('XWiki.SearchSuggestSourceClass_'.length));\n    $(container).find('.source-header').click(sourceHeaderClickHandler)\n      .find('.actions').append(createSourceDeleteLink(objectNumber));\n    return container;\n  };\n  var insertSource = function(sourceFormHTML) {\n    var searchEngines = $(this).closest('p').prevAll('.searchEngines');\n    if (searchEngines.length == 0) {\n      // There is no search suggest source present. This will be the first one.\n      // TODO: Prepare the search engine tab bar.\n      // TODO: Prepare the search suggest sources container.\n    }\n    var source = createSourceUI(sourceFormHTML);\n    searchEngines.nextAll(searchEngines.find('li.active a').attr('href')).append(source);\n  }\n  $('.addSearchSuggestSource').click(function(event) {\n    event.stopPropagation();\n    event.preventDefault();\n    if ($(this).hasClass('loading')) return;\n    $(this).addClass('loading');\n    var notification = new XWiki.widgets.Notification("$services.localization.render('core.editors.object.add.inProgress')", 'inprogress');\n    var addLink = this;\n    $.get(targetDocument.getURL('objectadd'), {\n      form_token: $(this).closest('form').find('input[name="form_token"]').prop('value'),\n      classname: 'XWiki.SearchSuggestSourceClass',\n      xredirect: targetDocument.getURL('get', $.param({\n        sheet: 'XWiki.SearchSuggestSourceSheet',\n        xobjectNumber: '',\n      }))\n    })\n    .done(function(data) {\n      insertSource.call(addLink, data);\n      notification.replace(new XWiki.widgets.Notification("$services.localization.render('core.editors.object.add.done')", 'done'));\n    })\n    .fail(function() {\n      notification.replace(new XWiki.widgets.Notification("$services.localization.render('core.editors.object.add.failed')", 'error'));\n    })\n    .always(function() {\n      $(addLink).removeClass('loading');\n    });\n  });\n})</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.SearchSuggestConfigSheet</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>7423f9d5-620b-40ef-84da-7d88306805ce</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\nul.searchEngines {\n  margin-top: 1.2em;\n  text-transform: capitalize;\n}\nul.searchSuggestSources {\n  border: 1px solid $theme.borderColor;\n  list-style-type: none;\n  margin: 0;\n  padding: 1em 0.5em;\n}\n.searchSuggestSources .source-header {\n  border-left: 2px solid $theme.borderColor;\n  cursor: pointer;\n  margin-bottom: 2px;\n  padding: 0.1em 0.1em 0.1em 0.3em;\n  position: relative;\n}\n.searchSuggestSources .source:hover .source-header {\n  background-color: $theme.highlightColor;\n}\n.searchSuggestSources .source-header.activated {\n  border-left-color: $theme.notificationSuccessColor;\n}\n.searchSuggestSources .limit {\n  color: $theme.textSecondaryColor;\n}\n.searchSuggestSources .source-header.highlighted .limit {\n  background-color: yellow;\n}\n.searchSuggestSources .source-header &gt; p,\n.searchSuggestSources .source-header .actions &gt; p {\n  margin: 0;\n}\n.searchSuggestSources .source-header .actions {\n  display: none;\n  position: absolute;\n  right: .2em;\n  top: 0;\n}\n.searchSuggestSources .source:hover .actions {\n  display: block;\n}\n.searchSuggestSources .source-body {\n  border-left: 1px dotted $theme.borderColor;\n  font-size: 85%;\n  margin-bottom: 1.2em;\n  padding-left: 1em;\n  padding-top: 1.2em;\n}\n.searchSuggestSources .source-body .xform dt:first-of-type {\n  margin-top: 0;\n}\n.addSearchSuggestSource {\n  background: url("$xwiki.getSkinFile('icons/silk/add.png')") no-repeat scroll left center transparent;\n  padding-left: 20px;\n}\n.addSearchSuggestSource.loading {\n  background-image: url("$xwiki.getSkinFile('icons/xwiki/spinner.gif')");\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{include reference="XWiki.SearchCode" /}}\n\n{{velocity}}\n#set ($discard = $xwiki.ssx.use('XWiki.SearchSuggestConfigSheet'))\n#set ($discard = $xwiki.jsx.use('XWiki.SearchSuggestConfigSheet'))\n#set ($editing = $xcontext.action == 'admin' || $xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($mode = 'view')\n#if ($editing)\n  #set ($mode = 'edit')\n#end\n= {{translation key="admin.searchsuggest" /}} =\n\n#set($discard = $doc.use($doc.fullName))\n(% class="xform" %)(((\n; {{html}}\n  &lt;label#if ($editing) for="${doc.fullName}_0_activated"#end&gt;\n    $doc.displayPrettyName('activated', false, false)\n  &lt;/label&gt;\n  {{/html}}\n: $doc.display('activated', $mode)\n)))\n\n== {{translation key="platform.search.suggestSources" /}} ==\n#set ($searchSuggestSourceClassName = 'XWiki.SearchSuggestSourceClass')\n## Group sources by search engine.\n#set ($sources = {})\n#foreach ($source in $doc.getObjects($searchSuggestSourceClassName))\n  #set ($engine = $source.getProperty('engine').value)\n  #if ("$!engine" == '')\n    #set ($engine = 'solr')\n  #end\n  #set ($sourcesForEngine = $sources.get($engine))\n  #if (!$sourcesForEngine)\n    #set ($sourcesForEngine = [])\n    #set ($discard = $sources.put($engine, $sourcesForEngine))\n  #end\n  #set ($discard = $sourcesForEngine.add($source))\n#end\n## Display the list of search engines.\n## We use HTML here just because we can't set the class name of a list item using wiki syntax.\n#if ($sources.size() &gt; 0)\n  {{html}}\n  &lt;ul class="xwikitabbar searchEngines"&gt;\n  #foreach ($engine in $sorttool.sort($sources.keySet()))\n    &lt;li#if ($engine == $searchEngine) class="active"#end&gt;\n      &lt;a href="#${engine}SearchSuggestSources"&gt;$engine&lt;/a&gt;\n    &lt;/li&gt;\n  #end\n  &lt;/ul&gt;\n  {{/html}}\n\n#end\n## Display sources by search engine.\n#set ($sourceSheet = $xwiki.getDocument('XWiki.SearchSuggestSourceSheet'))\n#foreach ($engine in $sources.keySet())\n  (% class="searchSuggestSources#if ($engine != $searchEngine) hidden#end" id="${engine}SearchSuggestSources" %)\n  #foreach ($source in $sources.get($engine))\n    #set ($icon = $source.getProperty('icon').value)\n    #if (!$icon.startsWith('icon:'))\n      ## Evaluate the Velocity code for backward compatibility.\n      #set ($icon = "path:#evaluate($icon)")\n    #end\n    #set ($name = $source.getProperty('name').value)\n    #if ($services.localization.get($name))\n      #set ($name = $services.localization.render($name))\n    #else\n      ## Evaluate the Velocity code for backward compatibility.\n      #set ($name = "#evaluate($name)")\n    #end\n    #set ($style = 'source-header')\n    #if ("$source.getProperty('activated').value" == '1')\n      #set ($style = "$style activated")\n    #end\n    #if ("$source.getProperty('highlight').value" == '1')\n      #set ($style = "$style highlighted")\n    #end\n    * (% class="source" %)(((\n        (% class="$style" %)(((\n          [[image:$icon||class="icon"]] (% class="limit" %)$!{source.getProperty('resultsNumber').value}(%%) (% class="name" %)$name(%%)##\n          #if ($editing)\n            (% class="actions" %)(((\n              [[[[image:icon:cross||class="icon"]]&gt;&gt;path:$doc.getURL('objectremove', $escapetool.url({\n                'form_token': $services.csrf.token,\n                'classname': $searchSuggestSourceClassName,\n                'classid': $source.number,\n                'xredirect': $doc.getURL('edit')\n              }))||class="delete"]]\n            )))\n          #end\n        )))\n        (% class="source-body hidden" %)(((\n          #set ($object = $source)\n          {{html}}$sourceSheet.getRenderedContent().replace('{{', '&amp;#123;&amp;#123;'){{/html}}\n        )))\n      )))\n  #end\n\n#end\n\n#if ($editing)\n  [[{{translation key="platform.search.suggestAddNewSource" /}}&gt;&gt;path:$doc.getURL('objectadd', $escapetool.url({\n    'form_token': $services.csrf.token,\n    'classname': $searchSuggestSourceClassName,\n    'xredirect': $xwiki.relativeRequestURL\n  }))||class="addSearchSuggestSource"]]\n#end\n{{/velocity}}</content></xwikidoc>\n
-4741013259021577601	1	1	2017-05-12 15:43:35	Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Panels</web>\n<name>Search</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Panels.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1165148494000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.xwiki.platform:xwiki-platform-search-ui-7.1.2]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>Panels.Search</name>\n<number>0</number>\n<className>Panels.PanelClass</className>\n<guid>7f378e2c-48f5-4a6b-b687-12c0b7b376a2</guid>\n<property>\n<category>Tools</category>\n</property>\n<property>\n<content>{{velocity}}\n#panelhiddenheader($services.localization.render('panels.search.title'))\n{{html}}\n  &lt;form action="$xwiki.getURL('Main.Search')" class='xformInline'&gt;\n    &lt;div class="globalsearch input-group"&gt;\n      &lt;label for="globalsearchinput" class="hidden"&gt;$services.localization.render('panels.search.query')&lt;/label&gt;\n      &lt;input id="globalsearchinput" class="globalsearchinput withTip useTitleAsTip" type="text" name="text" title="$services.localization.render('panels.search.inputText')" size="15"/&gt;\n      &lt;span class="input-group-btn buttonwrapper"&gt;\n        &lt;button type="submit" class="btn btn-primary"&gt;\n          $services.icon.renderHTML('search')&lt;span class="hidden"&gt;$services.localization.render('panels.search.submit')&lt;/span&gt;\n        &lt;/button&gt;\n      &lt;/span&gt;\n    &lt;/div&gt;\n  &lt;/form&gt;\n{{/html}}\n#panelfooter()\n{{/velocity}}</content>\n</property>\n<property>\n<description>Search Tool.</description>\n</property>\n<property>\n<name>Search</name>\n</property>\n<property>\n<type>view</type>\n</property>\n</object>\n<content></content></xwikidoc>\n
-2096026989234593880	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>SuggestPatientsService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.SearchCode</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822197000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>Patient Search Service</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n## ------------------------\n## URL parameters retrieval\n## ------------------------\n#set ($input = "$!request.input.toLowerCase()")\n#set ($nb = "$!request.nb")\n#if ($nb != '')\n  #set ($nb = $mathtool.toInteger($nb))\n#else\n  #set ($nb = 6)\n#end\n## -----------------------------------\n## Query execution, results formatting\n## -----------------------------------\n#if ($input != '')\n  #set ($query = 'from doc.object(PhenoTips.PatientClass) as patient where doc.name &lt;&gt; ''PatientTemplate'' and lower(doc.name) like :input ESCAPE ''!'' or lower(patient.external_id) like :input ESCAPE ''!''')\n  #if ($services.recordConfiguration.activeConfiguration.enabledFieldNames.contains('first_name'))\n    #set ($query = $query.concat(' or lower(patient.first_name) like :input ESCAPE ''!'' or lower(patient.last_name) like :input ESCAPE ''!'''))\n  #end\n  #set ($query = $services.query.xwql($query))\n  #set ($discard = $query.bindValue('input', "%${input.replaceAll('[\\[_%!]', '!$0')}%"))\n  #set ($results = $query.execute())\n  #if ($request.permission)\n    #set ($requiredPermissions = $request.permission)\n  #else\n    #set ($requiredPermissions = 'view')\n  #end\n  #if ($request.json)\n    #set ($discard = $response.setContentType('application/json'))\n    { "matchedPatients": [\n  #else\n    #set ($discard = $response.setContentType('text/xml'))\n    &lt;?xml version="1.0" encoding="UTF-8"?&gt;\n    &lt;results&gt;\n  #end\n  #set ($count = 0)\n  #foreach ($item in $results)\n    #if ($xwiki.hasAccessLevel($requiredPermissions, $xcontext.user, $item))\n      #set ($itemdoc = $xwiki.getDocument($item))\n      #set ($patientObj = $!itemdoc.getObject('PhenoTips.PatientClass'))\n      #set ($phenotipsId = $itemdoc.name)\n      #set ($url = $itemdoc.getURL())\n      #set ($externalId  = "$!patientObj.getProperty('external_id').value")\n      #if ($services.recordConfiguration.activeConfiguration.enabledFieldNames.contains('first_name'))\n        #set ($firstName   = "$!patientObj.getProperty('first_name').value")\n        #set ($lastName    = "$!patientObj.getProperty('last_name').value")\n        #set ($name = "$firstName $lastName")\n        #set ($name = $name.trim())\n      #else\n        #set ($name = '')\n      #end\n      #set ($description = "$phenotipsId")\n      #if ($externalId != '' || $name != '')\n        #set ($description = "$description (")\n        #if ($name != '')\n          #set ($description = "${description}name: '${name}'")\n        #end\n        #if ($externalId != '')\n          #if ($name != '')\n            #set ($description = "${description}, ")\n          #end\n          #set ($description = "${description}identifier: '${externalId}'")\n        #end\n        #set ($description = "$description)")\n      #end\n      #if ($request.json &amp;&amp; $count &gt; 0)\n        ,\n      #end\n      #if ($request.json)\n        { "id": "$phenotipsId", "url": "$url", "identifier": "${externalId}", "textSummary": "$description" }##\n      #else\n        &lt;rs id="$url" info="${escapetool.xml($itemdoc.documentReference)}"&gt;$escapetool.xml($description)&lt;/rs&gt;\n      #end\n      #set ($count = $count + 1)\n      #if ($count &gt;= $nb)\n        #break($foreach)\n      #end\n    #end\n  #end\n  #if ($request.json)\n\n    ] }\n  #else\n    &lt;/results&gt;\n  #end\n#else\n  {{info}}\n    $services.localization.render('phenotips.SuggestPatientService.serviceInfo',["[[$doc.getExternalURL('get', 'outputSyntax=plain&amp;query=__INPUT__*&amp;input=test')]]"])\n  {{/info}}\n#end\n{{/velocity}}\n</content></xwikidoc>
-6362973416038732564	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>DatabaseFilters</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.Export</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822219000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output=false}}\n#set ($activeFields = $services.recordConfiguration.activeConfiguration.enabledFieldNames)\n#set ($dateFormat = "MM/dd/yyyy")\n##\n##\n#macro (__filters_dateRange $field_name $dateStart $dateEnd)\n(% class="date-range" %)(((\n#__filters_dateField ("$services.localization.render('phenotips.databaseFilters.after.label') " "${field_name}/after" $dateStart)\n\n#__filters_dateField ("$services.localization.render('phenotips.databaseFilters.before.label') " "${field_name}/before" $dateEnd)\n)))\n#end\n##\n#macro (__filters_dateField $label $field_name $value)\n{{html clean="false"}}&lt;label&gt;$label &lt;span class="xHint"&gt;$services.localization.render('phenotips.databaseFilters.generalEmptyHint')&lt;/span&gt;&lt;input class="xwiki-date" type="text" alt="#if($value)#formatdateISO($value)#end" value="$!xwiki.formatDate($value, $definedFormat)" name="${field_name}" title="${dateFormat}" /&gt;&lt;/label&gt;{{/html}}\n#end\n\n#macro(__filters_display $cssClass)\n(% class="filters $!cssClass" %)\n#if ($activeFields.contains('external_id'))\n* $services.localization.render('phenotips.databaseFilters.externalID') {{html clean=false}}&lt;p class="xHint"&gt;$services.localization.render('phenotips.databaseFilters.externalID.hint')&lt;/p&gt;&lt;input type="text" name="external_id" value=""/&gt;{{/html}}\n#end\n* $services.localization.render('phenotips.databaseFilters.visibility') {{html clean=false}}#foreach ($visibility in $services.permissions.listVisibilityOptions())&lt;br /&gt;&lt;input type="checkbox" class="multipleSelection privacyExport" name="visibility" value="$visibility.name"#if ($visibility.name != 'hidden') checked="checked"#end /&gt; $visibility.label#end&lt;input type="hidden" name="visibility/class" value="PhenoTips.VisibilityClass"/&gt;{{/html}}\n* $services.localization.render('phenotips.databaseFilters.referrer') {{html clean=false}}&lt;p class="xHint"&gt;$services.localization.render('phenotips.databaseFilters.referrer.hint')&lt;/p&gt;&lt;input type="text" class="suggestUsers multipleSelection" name="doc.creator" value=""/&gt;{{/html}}\n* $services.localization.render('phenotips.databaseFilters.owner') {{html clean=false}}&lt;p class="xHint"&gt;$services.localization.render('phenotips.databaseFilters.owner.hint')&lt;/p&gt;&lt;input type="hidden" name="owner/class" value="PhenoTips.OwnerClass"/&gt;&lt;input type="text" class="suggestUsers multipleSelection" name="owner" value=""/&gt;{{/html}}\n* $services.localization.render('phenotips.databaseFilters.author') {{html clean=false}}&lt;p class="xHint"&gt;$services.localization.render('phenotips.databaseFilters.author.hint')&lt;/p&gt;&lt;input type="text" class="suggestUsers multipleSelection" name="doc.author" value=""/&gt;{{/html}}\n* $services.localization.render('phenotips.databaseFilters.creationDate') #__filters_dateRange("doc.creationDate")\n* $services.localization.render('phenotips.databaseFilters.modificationDate') #__filters_dateRange("doc.date")\n#if ($activeFields.contains('date_of_birth'))\n  * $services.localization.render('phenotips.databaseFilters.dateOfBirth') #__filters_dateRange("date_of_birth")\n#end\n#if ($activeFields.contains('omim_id'))\n  * $services.localization.render('phenotips.databaseFilters.disease') {{html clean=false}}&lt;p class="xHint"&gt;$services.localization.render('phenotips.databaseFilters.disease.hint')&lt;/p&gt;&lt;input type="text" class="suggest multi suggestOmim generateCheckboxes" name="omim_id" value=""/&gt;{{/html}}\n  ** {{html clean='false'}}$services.localization.render('phenotips.databaseFilters.disease.presentingFilter', [ "&lt;label&gt;&lt;input type='radio' name='omim_id/join_mode' value='AND'/&gt;", "&lt;/label&gt;", "&lt;label&gt;&lt;input type='radio' name='omim_id/join_mode' value='OR' checked='checked'/&gt;", "&lt;/label&gt;"]){{/html}}\n#end\n#if ($activeFields.contains('phenotype'))\n  * $services.localization.render('phenotips.databaseFilters.phenotype') {{html clean="false"}}&lt;p class="xHint"&gt;$services.localization.render('phenotips.databaseFilters.phenotype.hint')&lt;/p&gt;&lt;input type="text" class="suggest multi suggestHpo generateCheckboxes" name="phenotype" value=""/&gt;{{/html}}\n  ** {{html clean='false'}}$services.localization.render('phenotips.databaseFilters.phenotype.oneOrAllSelection', ["&lt;label&gt;&lt;input type='radio' name='phenotype/join_mode' value='AND'/&gt;", "&lt;/label&gt;", "&lt;label&gt;&lt;input type='radio' name='phenotype/join_mode' value='OR' checked='checked'/&gt;", "&lt;/label&gt;"]){{/html}}\n  ** {{html clean='false'}}$services.localization.render('phenotips.databaseFilters.phenotype.subcategoryOption', ["&lt;label&gt;&lt;input type='radio' name='phenotype_subterms' value='yes' checked='checked'/&gt;", "&lt;/label&gt;", "&lt;label&gt;&lt;input type='radio' name='phenotype_subterms' value='no'/&gt;", "&lt;/label&gt;"]){{/html}}\n#end\n#end\n{{/velocity}}</content></xwikidoc>\n
5703031329257837853	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>LiveTableResults</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822196000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n## Additional XClasses that have been brought into the query, excluding the main class type which is used by default for properties.\n## If a property ("propname") comes from a different XClass, a "propname/class" parameter with the XClass name ("Space.ClassName") as the value must be present in the request.\n#set ($extraClassesAddedToQuery = {})\n\n#**\n * Macro to get the results of a livetable data call.\n * This page is called from live grids via Ajax with the argument xpage=plain. It returns a\n * set of results serialized in JSON.\n *#\n#macro(gridresult $className $collist)\n  #gridresultwithfilter($className $collist "$!{request.filterFrom}" "$!{request.filterWhere}" [])\n#end\n\n\n#**\n * Computes the query used to retrieve the results of a live table data call.\n * NOTE: This macro is not fully encapsulated because it defines a few Velocity variables that are used in subsequent macros.\n *#\n#macro(gridresultwithfilter_buildQuery $className $collist $filterfrom $filterwhere $filterParams)\n  ## Additional columns; should *not* contain raw parameters, all added column names must be filtered\n  #set($fromSql = '')\n  ## Parametrized filter part of the query\n  #set($whereSql = '')\n  ## List of values to use with $whereSql\n  #set($whereParams = [])\n  ## The default XClass used for otherwise unbound property names; the main type of object queried by the livetable\n  #if ("$!{className}" != '')\n    #set ($class = $xwiki.getDocument($className).getxWikiClass())\n  #else\n    #set ($class = $NULL)\n  #end\n  ##\n  ## Add the columns needed for the actual data\n  ##\n  #set($tablelist = [])\n  #set ($processedColumns = $collectionstool.set)\n  #foreach($colname in $request.parameterNames)\n    #livetable_addColumnToQuery($colname)\n  #end\n  ##\n  ##\n  ## Order\n  ##\n  #set($order = "$!request.sort")\n  #if($order != '')\n    #set($orderDirection = "$!{request.get('dir').toLowerCase()}")\n    #if("$!orderDirection" != '' &amp;&amp; "$!orderDirection" != 'asc')\n      #set($orderDirection = 'desc')\n    #end\n    ## FIXME: Add support for ordering on properties from another XClass\n    #set($tableAlias = $order)\n    ## Only safe version should be used in SQL queries\n    #set($safe_tableAlias = "$!{tableAlias.replaceAll('[^a-zA-Z0-9_.]', '')}")\n    ##\n    #if($order.startsWith('doc.'))\n      #set($orderSql = " order by ${safe_tableAlias.replace('_','.')} ${orderDirection}")\n    #elseif($tablelist.contains($tableAlias))\n      #set ($multiselect = "$!{class.get($order).getProperty('multiSelect').getValue()}")\n      #if ($multiselect != '1')\n        #set ($orderSql = " order by ${safe_tableAlias}.value ${orderDirection}")\n      #end\n    #else\n      #set($multiselect = $class.get($order).getProperty('multiSelect').getValue())\n      #if("$multiselect" != '1')\n        #livetable_getTableName($order)\n        #set($fromSql = "${fromSql}, ${tableName} ${safe_tableAlias}")\n        ## FIXME: Check if this is indeed a property of the class\n        #set($whereSql = "${whereSql} and obj.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.name = ?")\n        #set($discard = $whereParams.add("${order}"))\n        #set($orderSql = " order by ${safe_tableAlias}.value ${orderDirection}")\n      #end\n    #end\n  #end\n  ##\n  ##\n  ## Compute the final queries\n  ##\n  #set($sqlParams = [])\n  #set($tagsMatchingParams = [])\n  #set($allMatchingParams = [])\n  #if("$!className" != '')\n    ## Class query\n    #set($countSql = ", BaseObject as obj $!fromSql $!filterfrom where obj.name=doc.fullName and obj.className = ? and doc.fullName not in (?, ?) $!whereSql $!filterwhere")\n    #set($discard = $sqlParams.addAll(["${className}", "${className}Template", ${className.replaceAll('Class$', 'Template')}]))\n    #set($discard = $sqlParams.addAll($whereParams))\n    ##\n    #if($filterParams)\n      #set($discard = $sqlParams.addAll($filterParams))\n      #set($discard = $tagsMatchingParams.addAll($filterParams))\n      #set($discard = $allMatchingParams.addAll($filterParams))\n    #end\n  #else\n    ## Document query\n    #set($countSql = "$!fromSql $!filterfrom where 1=1 $!whereSql $!filterwhere")\n    #set($discard = $sqlParams.addAll($whereParams))\n    ##\n    #if($filterParams)\n      #set($discard = $sqlParams.addAll($filterParams))\n      #set($discard = $tagsMatchingParams.addAll($filterParams))\n      #set($discard = $allMatchingParams.addAll($filterParams))\n    #end\n  #end\n  #set($sql = "$countSql $!{orderSql}")\n#end\n\n\n#**\n * Adds information about each live table row to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables defined by gridresultwithfilter_buildQuery.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildRowsJSON $map)\n  #set($offset = $mathtool.toInteger($request.get('offset')))\n  ## Offset starts from 0 in velocity and 1 in javascript\n  #set($offset = $offset - 1)\n  #if (!$offset || $offset &lt; 0)\n    #set($offset = 0)\n  #end\n  #set($limit = $mathtool.toInteger($request.get('limit')))\n  #if (!$limit)\n    #set ($limit = 15)\n  #end\n  #set($query = $services.query.hql($sql).addFilter('hidden').addFilter('unique').setLimit($limit).setOffset($offset).bindValues($sqlParams))\n  #set($items = $query.execute())\n  #set($discard = $map.put('totalrows', $query.count()))\n  #set($discard = $map.put('returnedrows', $mathtool.min($items.size(), $limit)))\n  #set($discard = $map.put('offset', $mathtool.add($offset, 1)))\n  #set($rows = [])\n  #foreach($item in $items)\n    #gridresult_buildRowJSON($item $rows)\n  #end\n  #set($discard = $map.put('rows', $rows))\n#end\n\n\n#**\n * Adds information about the specified live table row to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables available in gridresult_buildRowsJSON.\n *\n * @param $item the name of the document that feeds this live table row\n * @param $rows stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildRowJSON $item $rows)\n  #set($viewable = $xwiki.hasAccessLevel('view', $xcontext.user, "${xcontext.database}:${item}"))\n  #set($row = {'doc_viewable': $viewable})\n  #if(!$viewable)\n    #set($discard = $row.put('doc_fullName', "${xcontext.database}:${item}"))\n  #else\n    #set($itemDoc = $xwiki.getDocument($item))\n    #set($fullname = $services.model.serialize($itemDoc.documentReference, 'default'))\n    #set($discard = $itemDoc.use($className))\n    #set($discard = $row.put('doc_name', $itemDoc.name))\n    #set($discard = $row.put('doc_fullName', $fullname))\n    #set($discard = $row.put('doc_space', $itemDoc.space))\n    #set($discard = $row.put('doc_url', $xwiki.getURL($item)))\n    #set($discard = $row.put('doc_space_url', $xwiki.getURL($services.model.createDocumentReference($!itemDoc.wiki, $!itemDoc.space, 'WebHome'))))\n    #set($discard = $row.put('doc_wiki', $itemDoc.wiki))\n    #set($discard = $row.put('doc_wiki_url', $xwiki.getURL($services.model.resolveDocument('', 'default', $itemDoc.documentReference.extractReference('WIKI')))))\n    #set($discard = $row.put('doc_hasadmin', $xwiki.hasAdminRights()))\n    #set($discard = $row.put('doc_hasedit', $xwiki.hasAccessLevel('edit', $xcontext.user, $fullname)))\n    #set($discard = $row.put('doc_hasdelete', $xwiki.hasAccessLevel('delete', $xcontext.user, $fullname)))\n    #set($discard = $row.put('doc_edit_url', $itemDoc.getURL($itemDoc.defaultEditMode)))\n    #set($discard = $row.put('doc_copy_url', $itemDoc.getURL('view', 'xpage=copy')))\n    #set($discard = $row.put('doc_delete_url', $itemDoc.getURL('delete')))\n    #set($discard = $row.put('doc_rename_url', $itemDoc.getURL('view', 'xpage=rename&amp;step=1')))\n    #set($discard = $row.put('doc_rights_url', $itemDoc.getURL('edit', 'editor=rights')))\n    #set($discard = $row.put('doc_export_url', $itemDoc.getURL('export', "format=xar&amp;name=$!{itemDoc.fullName}&amp;pages=$!{itemDoc.fullName}")))\n    #set($discard = $row.put('doc_history_url', $itemDoc.getURL('view', 'viewer=history')))\n    #set($discard = $row.put('doc_author_url', $xwiki.getURL($itemDoc.author)))\n    #set($discard = $row.put('doc_date', $xwiki.formatDate($itemDoc.date)))\n    #set($discard = $row.put('doc_title', $escapetool.xml($itemDoc.plainTitle)))\n    #set($discard = $row.put('doc_author', $services.xml.unescape($xwiki.getUserName($itemDoc.author, false))))\n    #set($discard = $row.put('doc_creationDate', $xwiki.formatDate($itemDoc.creationDate)))\n    #set($discard = $row.put('doc_creator', $services.xml.unescape($xwiki.getUserName($itemDoc.creator, false))))\n    #foreach($colname in $collist)\n      #gridresult_buildColumnJSON($colname $row)\n    #end\n  #end\n  #set($discard = $rows.add($row))\n#end\n\n\n#**\n * Adds information about the given column to the JSON returned by a live table data call.\n * NOTE: This macro uses Velocity variables available in gridresult_buildRowJSON.\n *\n * @param $colname the name of the live table column for which to retrieve information\n * @param $row stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildColumnJSON $colname $row)\n  #if($colname.startsWith('doc.'))\n  #elseif($colname == '_action')\n    #set($discard = $row.put($colname, $services.localization.render("${request.transprefix}actiontext")))\n  #else\n    #set($propClassName = "$!request.get($colname.concat('/class'))")\n    #if($propClassName != '')\n      #set($propClass = $xwiki.getDocument($propClassName).getxWikiClass())\n      #set($discard = $itemDoc.use($propClassName))\n    #else\n      #set($propClass = $class)\n    #end\n    ## Retrieve the property type as it might be usefull\n    #set($propType = '')\n    #if($propClass.getPropertyNames().contains($colname))\n      #set($propType = "$!propClass.get($colname).type")\n    #end\n    #set($fieldValue = "$!itemDoc.getValue($colname)")\n    ## Custom displayers generate HTML, TextAreas do the same, and there's a default custom displayer for String fields\n    #if ($propClass.get($colname).getProperty('customDisplay').value != '' || $!propClass.get($colname).getClassType() == 'TextArea' || $!propClass.get($colname).getClassType() == 'String')\n      #set($fieldDisplayValue = "$!services.rendering.render($services.rendering.parse($itemDoc.display($colname, 'view'), 'html/4.01'), 'plain/1.0')")\n    #else\n      #set($fieldDisplayValue = "$!itemDoc.display($colname, 'view')")\n    #end\n    #if($fieldDisplayValue == '')\n      #set($fieldDisplayValue = $services.localization.render("${request.transprefix}emptyvalue"))\n    #end\n    #set($fieldUrl = '')\n    ## Only retrieve an URL for a DBListClass item\n    #if($propType == 'DBListClass' &amp;&amp; $propClass.get($colname).getProperty('multiSelect').value != 1)\n      #set($fieldUrl = $xwiki.getURL($fieldValue))\n      #if($fieldUrl == $xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI'))))\n        #set($fieldUrl = '')\n      #end\n    #end\n    #set($discard = $row.put($colname, $fieldDisplayValue.replaceFirst($regextool.quote('{{html clean="false" wiki="false"}}'), '').replaceAll("$regextool.quote('{{/html}}')$", '')))\n    #set($discard = $row.put("${colname}_value", $fieldValue))\n    #set($discard = $row.put("${colname}_url", $fieldUrl))\n    ## Reset to the default class\n    #set($discard = $itemDoc.use($className))\n  #end\n#end\n\n\n#**\n * Builds the JSON response to a live table data call.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresultwithfilter_buildJSON $className $collist $filterfrom $filterwhere $filterParams $map)\n  #gridresultwithfilter_buildQuery($className $collist $filterfrom $filterwhere $filterParams)\n  #if("$!request.sql" == '1')\n    #set($discard = $map.put('sql', $sql))\n    #set($discard = $map.put('countsql', $countSql))\n    #set($discard = $map.put('params', $sqlParams))\n  #end\n  #set($discard = $map.put('reqNo', $mathtool.toInteger($request.reqNo)))\n  #gridresult_buildRowsJSON($map)\n#end\n\n\n#**\n * Builds the JSON response to a live table data call.\n *\n * @param $map stores the JSON in memory so that it can be adjusted before serialization\n *#\n#macro(gridresult_buildJSON $className $collist $map)\n  #gridresultwithfilter_buildJSON($className $collist '' '' [] $map)\n#end\n\n\n#**\n * Macro to get the results of a livetable data call.\n * This page is called from live grids via Ajax with the argument xpage=plain. It returns a\n * set of results serialized in JSON.\n *#\n#macro(gridresultwithfilter $className $collist $filterfrom $filterwhere $filterParams)\n  #if($xcontext.action == 'get' &amp;&amp; "$!{request.outputSyntax}" == 'plain')\n    $response.setContentType('application/json')\n    ## Build the JSON in memory (using basic Java data types) so that it can be adjusted before serialization.\n    #set($map = {})\n    #gridresultwithfilter_buildJSON($className $collist $filterfrom $filterwhere $filterParams $map)\n    $jsontool.serialize($map)\n  #end\n#end\n\n\n#**\n * Get the name of the Property that should be used for a given livetable column.\n * NOTE the resulting $tableName is safe to use inside SQL queries\n *#\n#macro(livetable_getTableName $colname)\n  #set($propClassName = "$!request.get(${colname.concat('/class')})")\n  #if($propClassName != '')\n    #set($propClass = $xwiki.getDocument($propClassName).getxWikiClass())\n  #else\n    #set($propClass = $class)\n  #end\n  #set($propType = '')\n  #if($propClass.getPropertyNames().contains($colname))\n    #set($propType = "$!{propClass.get($colname).type}")\n  #end\n  #if($propType == 'NumberClass')\n    #set($numberType = $propClass.get($colname).getProperty('numberType').getValue())\n    #if($numberType == 'integer')\n      #set($tableName = 'IntegerProperty')\n    #elseif($numberType == 'float')\n      #set($tableName = 'FloatProperty')\n    #elseif($numberType == 'double')\n      #set($tableName = 'DoubleProperty')\n    #else\n      #set($tableName = 'LongProperty')\n    #end\n  #elseif($propType == 'BooleanClass')\n    #set($tableName = 'IntegerProperty')\n  #elseif($propType == 'DateClass')\n    #set($tableName = 'DateProperty')\n  #elseif($propType == 'TextAreaClass' || $propType == 'UsersClass' || $propType == 'GroupsClass')\n    #set($tableName = 'LargeStringProperty')\n  #elseif($propType == 'StaticListClass' || $propType == 'DBListClass' || $propType == 'DBTreeListClass')\n    #set($multiSelect = $propClass.get($colname).getProperty('multiSelect').getValue())\n    #set($relationalStorage = $propClass.get($colname).getProperty('relationalStorage').getValue())\n    #if($multiSelect == 1)\n      #if($relationalStorage == 1)\n        #set($tableName = 'DBStringListProperty')\n      #else\n        #set($tableName = 'StringListProperty')\n      #end\n    #else\n      #set($tableName = 'StringProperty')\n    #end\n  #else\n    #set($tableName = 'StringProperty')\n  #end\n#end\n\n#**\n * Macro to extend the query to select the properties for the livetable columns.\n * NOTE $colname is filtered (all characters but [a-zA-Z0-9_.] are removed) before use\n *#\n#macro(livetable_addColumnToQuery $colname)\n ## Safe because / is not allowed in property names\n #set ($colname = $stringtool.substringBefore($colname, '/'))\n #if ($processedColumns.add($colname))\n  #set ($filterValue = "$!{request.get($colname)}")\n  #set ($filterValueList = [])\n  #foreach ($i in $request.getParameterValues($colname))\n    #if ("$!i" != '')\n      #set ($discard = $filterValueList.add($i))\n    #end\n  #end\n  #set ($filterValueLowLimit = "$!{request.get(""${colname}/after"")}")\n  #set ($filterValueHighLimit = "$!{request.get(""${colname}/before"")}")\n  #set($tableAlias = $colname)\n  ## only safe versions should be used in SQL queries\n  #if (!$filterValueList &amp;&amp; "$filterValueLowLimit$filterValueHighLimit" == '')\n    #break($macro)\n  #end\n  #set($safe_colname = "$!{colname.replaceAll('[^a-zA-Z0-9_.]','')}")\n  #set($safe_tableAlias = "$!{tableAlias.replaceAll('[^a-zA-Z0-9_.]','')}")\n  ##\n  #set($propType = '')\n  #set($propertyHasFilterValue = "$!stringtool.join($filterValueList, '')" != '' || "$!filterValueLowLimit" != '' || "$!filterValueHighLimit" != '')\n  #set($propClassName = "$!request.get(${colname.concat('/class')})")\n  #set ($targetedObject = 'obj')\n  #if($propClassName != '')\n    #set ($propClass = $xwiki.getDocument($propClassName).getxWikiClass())\n    #if ($propClass &amp;&amp; $propClass.getPropertyNames().contains($colname) &amp;&amp; !$extraClassesAddedToQuery.containsKey($propClassName) &amp;&amp; $propertyHasFilterValue)\n      #set ($targetedObject = "extraobj${extraClassesAddedToQuery.size()}")\n      #set ($discard = $extraClassesAddedToQuery.put($propClassName, $targetedObject))\n      #set ($fromSql = "${fromSql}, BaseObject ${targetedObject}")\n      #set ($whereSql = "${whereSql} and ${targetedObject}.className = ? and ${targetedObject}.name = doc.fullName")\n      #set ($discard = $whereParams.add($propClassName))\n    #end\n    #set ($targetedObject = $extraClassesAddedToQuery.get($propClassName))\n  #else\n    #set($propClass = $class)\n  #end\n  #if($propClass &amp;&amp; $propClass.getPropertyNames().contains($colname))\n    #set($propType = "$!{propClass.get($colname).type}")\n  #elseif (!$colname.startsWith('doc.'))\n    #break($macro)\n  #end\n  ##\n  ## Filter values\n  #if($propertyHasFilterValue)\n    #set($discard = $tablelist.add($tableAlias))\n    #if($colname.startsWith('doc.') &amp;&amp; ($colname.endsWith('Date') || $colname.endsWith('date')))\n      #if ($filterValue != '')\n        #set($whereSql = "${whereSql} and upper(str(${safe_tableAlias})) like upper(?) ESCAPE '!'")\n        #set($discard = $whereParams.add("%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"))\n      #else\n        #if ($filterValueLowLimit != '')\n          #set($whereSql = "${whereSql} and ${safe_tableAlias} &gt;= ?")\n          #set($discard = $whereParams.add($services.jodatime.getDateTimeFormatterForPattern('MM/dd/yyyy').parseMutableDateTime($filterValueLowLimit).toDate()))\n        #end\n        #if ($filterValueHighLimit != '')\n          #set($whereSql = "${whereSql} and ${safe_tableAlias} &lt; ?")\n          #set($filterValueHighLimit = $services.jodatime.getDateTimeFormatterForPattern('MM/dd/yyyy').parseMutableDateTime($filterValueHighLimit))\n          #set($discard = $filterValueHighLimit.addDays(1))\n          #set($discard = $whereParams.add($filterValueHighLimit.toDate()))\n        #end\n      #end\n    #elseif($colname == 'doc.creator' || $colname == 'doc.author')\n      #foreach ($filterValue in $request.getParameterValues($colname))\n        #if ($foreach.index == 0)\n          #set ($whereSql = "${whereSql} and (")\n        #else\n          #set ($whereSql = "${whereSql} or")\n        #end\n        #if ($filterValue.startsWith('XWiki.'))\n          #set($whereSql = "${whereSql} ${colname} = ?")\n          #set($discard = $whereParams.add("${filterValue}"))\n        #elseif ($filterValue.contains(':'))\n          #set($whereSql = "${whereSql} ${colname} = ?")\n          #set($discard = $whereParams.add("${stringtool.substringAfter($filterValue, ':')}"))\n        #else\n          #set($whereSql = "${whereSql} upper(str(${safe_colname.replace('_','.')})) like upper(?) ESCAPE '!'")\n          #set($discard = $whereParams.add("%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"))\n        #end\n        #if (!$foreach.hasNext)\n          #set ($whereSql = "${whereSql})")\n        #end\n      #end\n    #elseif($colname.startsWith('doc.'))\n      #set($whereSql = "${whereSql} and upper(str(${safe_colname.replace('_','.')})) like upper(?) ESCAPE '!'")\n      #set($discard = $whereParams.add("%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"))\n    #elseif($propType == 'NumberClass' || $propType == 'BooleanClass')\n      #livetable_getTableName($colname)\n      #set($fromSql = "${fromSql}, ${tableName} ${safe_tableAlias}")\n      #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and ${safe_tableAlias}.value = ?")\n      #set($discard = $whereParams.addAll(["${colname}", $mathtool.toInteger(${filterValue})]))\n    #elseif($propType == 'DateClass')\n      #set($fromSql = "${fromSql}, DateProperty ${safe_tableAlias}")\n      #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ?")\n      #set($discard = $whereParams.add("${colname}"))\n      #if ($filterValue != '')\n        #set($whereSql = "${whereSql} and upper(str(${safe_tableAlias}.value)) like upper(?) ESCAPE '!'")\n        #set($discard = $whereParams.add("%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"))\n      #else\n        #if ($filterValueLowLimit != '')\n          #set($whereSql = "${whereSql} and ${safe_tableAlias}.value &gt;= ?")\n          #set($discard = $whereParams.add($services.jodatime.getDateTimeFormatterForPattern('MM/dd/yyyy').parseDateTime($filterValueLowLimit).toDate()))\n        #end\n        #if ($filterValueHighLimit != '')\n          #set($whereSql = "${whereSql} and ${safe_tableAlias}.value &lt; ?")\n          #set($filterValueHighLimit = $services.jodatime.getDateTimeFormatterForPattern('MM/dd/yyyy').parseMutableDateTime($filterValueHighLimit))\n          #set($discard = $filterValueHighLimit.addDays(1))\n          #set($discard = $whereParams.add($filterValueHighLimit.toDate()))\n        #end\n      #end\n    #elseif($propType == 'TextAreaClass' || $propType == 'UsersClass' || $propType == 'GroupsClass')\n      #set($fromSql = "${fromSql}, LargeStringProperty ${safe_tableAlias}")\n      #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and upper(${safe_tableAlias}.value) like upper(?) ESCAPE '!'")\n      #set($discard = $whereParams.addAll(["${colname}", "%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"]))\n    #elseif($propType == 'StaticListClass' || $propType == 'DBListClass' || $propType == 'DBTreeListClass')\n      #set($multiSelect = $propClass.get($colname).getProperty('multiSelect').getValue())\n      #set($relationalStorage = $propClass.get($colname).getProperty('relationalStorage').getValue())\n      #if($multiSelect == 1)\n        #if($relationalStorage == 1)\n          #set ($joinOperator = "$!{request.get(""${colname}/join_mode"").toUpperCase()}")\n          #if ($joinOperator != 'AND' &amp;&amp; $joinOperator != 'OR')\n            #set ($joinOperator = 'AND')\n          #end\n          #foreach ($filterValue in $filterValueList)\n            #if ($foreach.isFirst())\n              #set ($fromSql = "${fromSql}, DBStringListProperty ${safe_tableAlias}")\n              #set ($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and (")\n              #if ($request.get("${colname}_subterms") == 'yes')\n                #set ($discard = $whereParams.add("extended_${colname}"))\n              #else\n                #set ($discard = $whereParams.add("${colname}"))\n              #end\n            #else\n              #set ($whereSql = "${whereSql} ${joinOperator}")\n            #end\n            #set ($whereSql = "${whereSql} ? in elements(${safe_tableAlias}.list)")\n            #set ($discard = $whereParams.add("${filterValue}"))\n            #if ($foreach.isLast())\n              #set ($whereSql = "${whereSql})")\n            #end\n          #end\n        #else\n          #set($fromSql = "${fromSql}, StringListProperty ${safe_tableAlias}")\n          #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and concat('|', concat(upper(${safe_tableAlias}.textValue), '|')) like upper(?) ESCAPE '!'")\n          #set($discard = $whereParams.addAll(["${colname}", "%|${filterValue.replaceAll('[\\[_%!]', '!$0')}|%"]))\n        #end\n      #else\n        #set ($joinOperator = "$!{request.get(""${colname}/join_mode"").toUpperCase()}")\n        #if ($joinOperator != 'AND' &amp;&amp; $joinOperator != 'OR')\n          #set ($joinOperator = 'AND')\n        #end\n        #foreach ($filterValue in $filterValueList)\n          #if ($foreach.isFirst())\n            #set ($fromSql = "${fromSql}, StringProperty ${safe_tableAlias}")\n            #set ($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and (")\n            #set ($discard = $whereParams.add("${colname}"))\n          #else\n            #set ($whereSql = "${whereSql} ${joinOperator}")\n          #end\n          #set ($whereSql = "${whereSql} ${safe_tableAlias}.value = ?")\n          #set ($discard = $whereParams.add("${filterValue}"))\n          #if ($foreach.isLast())\n            #set ($whereSql = "${whereSql})")\n          #end\n        #end\n      #end\n    #elseif ($filterValueList.size() &gt; 1)\n      #set($fromSql = "${fromSql}, StringProperty ${safe_tableAlias}")\n      #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and ${safe_tableAlias}.value in (${stringtool.repeat('?', ', ', $filterValueList.size())})")\n      #set($discard = $whereParams.add("${colname}"))\n      #foreach ($value in $filterValueList)\n        #set($discard = $whereParams.add($value))\n      #end\n    #else\n      #set($fromSql = "${fromSql}, StringProperty ${safe_tableAlias}")\n      #set($whereSql = "${whereSql} and ${targetedObject}.id=${safe_tableAlias}.id.id and ${safe_tableAlias}.id.name = ? and upper(${safe_tableAlias}.value) like upper(?) ESCAPE '!'")\n      #set($discard = $whereParams.addAll(["${colname}", "%${filterValue.replaceAll('[\\[_%!]', '!$0')}%"]))\n    #end\n  #end\n #end\n#end\n{{/velocity}}\n\n{{velocity wiki="false"}}\n#set ($extra = " $!{request.filterWhere} ")\n#set ($params = [])\n#if ("$!request.space" != '')\n  #set ($extra = "${extra} and doc.space = ?")\n  #set ($discard = $params.add($request.space))\n#end\n#if ("$!request.parent" != '')\n  #set ($extra = "${extra} and doc.parent = ?")\n  #set ($discard = $params.add($request.parent))\n#end\n#if ("$!request.orphaned" == '1')\n  #set ($extra = "${extra} and doc.parent='' and doc.name&lt;&gt;'WebHome'")\n#end\n#gridresultwithfilter("$!request.classname" $request.collist.split(',') "$!{request.filterFrom}" "${extra}" $params)\n{{/velocity}}</content></xwikidoc>\n
2005785588799434594	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>DBWebHomeSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822204000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>Phenotype database</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.DBWebHomeSheet</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>406c6371-adb7-4468-ad28-c12a5cb5cf83</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:livetable:displayComplete', function(tableEvent){\n  $(tableEvent.memo.tableId).select("tr.xwiki-livetable-display-filters td input").each(function(item) {\n    item.placeholder = "$services.localization.render('phenotips.livetable.filter.placeholder')";\n  });\n});\ndocument.observe('xwiki:livetable:newrow', function(tableEvent){\n  tableEvent.memo.row.select(".actionedit").invoke('setAttribute', 'title', 'Edit');\n  tableEvent.memo.row.select(".actiondelete").invoke('setAttribute', 'title', 'Delete');\n  tableEvent.memo.row.select(".actiondelete").invoke('observe', 'click', function(clickEvent){\n    clickEvent.stop();\n    var item = clickEvent.element();\n    item.blur();\n    if (item.disabled) {\n      // Do nothing if the button was already clicked and it's waiting for a response from the server.\n      return;\n    } else {\n      var form_token = $$('meta[name=form_token]')[0].content;\n      new XWiki.widgets.ConfirmedAjaxRequest(\n        /* Ajax request URL */\n        item.readAttribute('href') + "?confirm=1&amp;form_token=" + form_token + (Prototype.Browser.Opera ? "" : "&amp;ajax=1"),\n        /* Ajax request parameters */\n        {\n          onCreate : function() {\n            // Disable the button, to avoid a cascade of clicks from impatient users\n            item.disabled = true;\n          },\n          onSuccess : function() {\n            // Refresh the table after deleting the row\n            var table = tableEvent.memo.table;\n            table.clearCache();\n            table.showRows(table.lastOffset, table.limit);\n          },\n          onFailure : function() {\n            // Better luck next time!\n            item.disabled = false;\n          }\n        },\n        /* Interaction parameters */\n        {\n          confirmationText: "$services.localization.render('core.delete.confirm')"\n        }\n      );\n    }\n  });\n});</code>\n</property>\n<property>\n<name>Confirmed AJAX deletion</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.DBWebHomeSheet</name>\n<number>1</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>384096ac-eb19-4fea-a2c6-337b350ca71b</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loading', function() {\n  var suggestionsMapping = {\n        "hpo" : {\n            script: new XWiki.Document('SolrService', 'PhenoTips').getURL("get") + "?",\n            varname: "q",\n            noresults: "$services.localization.render('phenotips.DBWebHomeSheet.noResults')",\n            json: true,\n            resultsParameter : "rows",\n            resultId : "id",\n            resultValue : "name",\n            resultAltName: "synonym",\n            resultCategory : "term_category",\n            resultInfo : {},\n            tooltip: 'phenotype-info',\n            enableHierarchy: true,\n            resultParent : "is_a",\n            fadeOnClear : false,\n            timeout : 30000\n        },\n        "omim" : {\n            script: new XWiki.Document('SolrService', 'PhenoTips').getURL("get", "vocabulary=omim") + "&amp;",\n            varname: "q",\n            noresults: "$services.localization.render('phenotips.DBWebHomeSheet.noResults')",\n            json: true,\n            resultsParameter : "rows",\n            resultId : "id",\n            resultValue : "name",\n            resultInfo : {\n                           "Locus"      : {"selector"  : "Locus"}\n                         },\n            tooltip: 'omim-disease-info',\n            enableHierarchy: false,\n            fadeOnClear : false,\n            timeout : 30000\n        }\n  };\n  // =================================================================================\n  // Suggest maps\n  var pickerSpecialClassOptions = {\n    'defaultPicker' : {},\n    'generateShortList' : {\n                  'showKey' : true,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : true,\n                  'inputType': 'checkbox'\n                },\n    'generateCheckboxes' : {\n                  'showKey' : false,\n                  'showTooltip' : false,\n                  'showDeleteTool' : true,\n                  'enableSort' : false,\n                  'showClearTool' : true,\n                  'inputType': 'checkbox',\n                  'listInsertionElt' : '.label-other',\n                  'listInsertionPosition' : 'after',\n                  'acceptFreeText' : true\n                }\n  };\n\n  var enhanceDialog = function(content) {\n    // =============================================================================\n    // Prepare to copy existing filters:\n    var tableFilters = $('patients-topfilters');\n    if (tableFilters) {\n      tableFilters = tableFilters.down('ul.filters');\n    }\n    //============================================================================\n    // Copy all text inputs, checkboxes and radio buttons\n    if (tableFilters) {\n      content.select('input[type="text"]').each(function(input) {\n        var source = tableFilters.down('input[type="' + input.type + '"][name="' + input.name + '"]');\n        if (source) {\n          input.value = source.value;\n        }\n      });\n      content.select('input[type="radio"], input[type="checkbox"]').each(function(input) {\n        var source = tableFilters.down('input[type="' + input.type + '"][name="' + input.name + '"][value="' + input.value + '"]');\n        if (source) {\n          input.checked = source.checked;\n        }\n      });\n    }\n    // =============================================================================\n    // Copy entries from users suggest\n    if (tableFilters) {\n      content.select('input.suggestUsers').each(function(input) {\n        var source = tableFilters.down('input[type="text"][name="' + input.name + '"]');\n        var selectionContainer = source &amp;&amp; source.previous('ul.accepted-suggestions')\n        if (selectionContainer) {\n          selectionContainer.select('li').each(function(entry) {\n            var entryData = {\n              'id': entry.down('.user-alias').childNodes[0].nodeValue,\n              'value': entry.down('input[type="hidden"]').value,\n              'info': entry.down('img').alt,\n              'icon' : entry.down('img').src,\n              'hint' : ''\n            };\n            input.__x_suggest.options.callback(entryData);\n          });\n        } // done with selected entries\n      });\n      // TODO: Groups\n    }\n    // =============================================================================\n    // Phenotype suggest: create suggest and copy existing entries\n    if (typeof(PhenoTips.widgets.Suggest) != "undefined") {\n      var keys = Object.keys(suggestionsMapping);\n      var specialClasses = Object.keys(pickerSpecialClassOptions);\n      for (var i = 0; i &lt; keys.length; i++) {\n        var selector = 'input.suggest' + keys[i].capitalize();\n        content.select(selector).each(function(item) {\n          if (!item.hasClassName('initialized')) {\n            item._customOptions = Object.clone(suggestionsMapping[keys[i]]);\n            item._restriction = item.up('.phenotype-group')\n            if (item._restriction) {\n              item._restriction = item._restriction.down('input[name=_category]');\n              if (item._restriction &amp;&amp; item._restriction.value.strip() != '') {\n                item._restriction = item._restriction.value.strip().split(",");\n              } else {\n                item._restriction = null;\n              }\n            }\n            if (item._customOptions.queryProcessor &amp;&amp; item._restriction) {\n              item._customOptions.queryProcessor = Object.clone(item._customOptions.queryProcessor);\n              item._customOptions.queryProcessor.restriction = {\n                'term_category' : item._restriction\n              }\n            }\n            // Create the Suggest.\n            item._suggest = new PhenoTips.widgets.Suggest(item, item._customOptions);\n            if (item.hasClassName('multi') &amp;&amp; typeof(PhenoTips.widgets.SuggestPicker) != "undefined") {\n              var multiSuggestOptions = {};\n              for (var j = 0; j &lt; specialClasses.length; j++) {\n                if (item.hasClassName(specialClasses[j])) {\n                  multiSuggestOptions = pickerSpecialClassOptions[specialClasses[j]];\n                  break;\n                }\n              }\n              var suggestPicker = new PhenoTips.widgets.SuggestPicker(item, item._suggest, multiSuggestOptions);\n              item._suggestPicker = suggestPicker;\n\n              // Format the predefined value\n              item.value.split(',').each(function(value) {\n                item._suggestPicker.addItem(value, value, '', '');\n              });\n              item.value = '';\n            }\n            if (tableFilters) {\n              // Integrate the custom fields\n              // 1. find the container element displaying them\n              var source = tableFilters.down('input[type="text"][name="' + item.name + '"]');\n              var selectionContainer = source &amp;&amp; source.next('.accepted-suggestions');\n              if (selectionContainer) {\n                // 2. find all the values and display them as part of the multi suggest picker\n                var tmp = suggestPicker.silent;\n                suggestPicker.silent = true;\n                selectionContainer.select('.accepted-suggestion').each(function(entry) {\n                  var value =  entry.down('input[type="checkbox"]').value;\n                  var text = entry.down('.value').innerHTML;\n                  var category = entry.down('.term-category');\n                  suggestPicker.addItem(value, text, '', category || '');\n                });\n                suggestPicker.silent = tmp;\n              }\n            } // done with selected entries\n            item.addClassName('initialized');\n          }\n        });\n      }\n    }\n\n    //============================================================================\n    // Date pickers: create pickers and copy existing dates\n    var crtYear = new Date().getFullYear();\n    if (tableFilters) {\n      content.select('.xwiki-date').each(function(input) {\n        var source = tableFilters.down('input[name="' + input.name + '"]');\n        if (source) {\n          input.value = source.value;\n          input.alt = source.alt;\n        }\n      });\n    }\n    window.dateTimePicker = new XWiki.widgets.DateTimePicker({year_range: [crtYear - 99, crtYear + 1]});\n\n    //============================================================================\n    // Column selection\n    var columnList = content.down('.section.columns ul');\n    if (columnList) {\n      var selectionTools = new Element('div', { 'class' : 'selection-tools' }).update("$services.localization.render('phenotips.DBWebHomeSheet.colSelect.label') ");\n      var all = new Element('span', {'class' : 'selection-tool select-all'}).update("$services.localization.render('phenotips.DBWebHomeSheet.colSelect.all')");\n      var none = new Element('span', {'class' : 'selection-tool select-none'}).update("$services.localization.render('phenotips.DBWebHomeSheet.colSelect.none')");\n      var invert = new Element('span', {'class' : 'selection-tool select-invert'}).update("$services.localization.render('phenotips.DBWebHomeSheet.colSelect.invert')");\n      var restore = new Element('span', {'class' : 'selection-tool select-restore'}).update("$services.localization.render('phenotips.DBWebHomeSheet.colSelect.restore')");\n      selectionTools.insert(all).insert(' · ').insert(none).insert(' · ').insert(invert).insert(' · ').insert(restore);\n\n      columnList.select('input[type=checkbox]').each(function(elt) {elt._originallyChecked = elt.checked});\n\n      all.observe('click', function(event) {\n        columnList.select('input[type=checkbox]').each(function(elt) {elt.checked = true});\n      });\n      none.observe('click', function(event) {\n        columnList.select('input[type=checkbox]').each(function(elt) {elt.checked = false});\n      });\n      invert.observe('click', function(event) {\n        columnList.select('input[type=checkbox]').each(function(elt) {elt.checked = !elt.checked});\n      });\n      restore.observe('click', function(event) {\n        columnList.select('input[type=checkbox]').each(function(elt) {elt.checked = elt._originallyChecked});\n      });\n      columnList.insert({'before' : selectionTools});\n    }\n\n    //============================================================================\n    // Column selection\n    var cancelButton = $('export_cancel');\n    if (cancelButton) {\n      cancelButton.observe('click', function(event) {\n        content.__dialog &amp;&amp; content.__dialog.closeDialog();\n      });\n    }\n\n    //==========================================================================\n    // Live updates\n    var liveMatchCounter = $('filter-match-count');\n    var form = liveMatchCounter &amp;&amp; liveMatchCounter.up('form');\n    if (liveMatchCounter &amp;&amp; form &amp;&amp; !liveMatchCounter.initialized) {\n      liveMatchCounter.initialized = true;\n      var lastRequestID = 0;\n      var updateMatchCounter = function(event) {\n        var url = "$xwiki.getURL('PhenoTips.ExportFilter', 'get')?count=true&amp;" + form.serialize();\n        var requestID = ++lastRequestID;\n        var ajx = new Ajax.Request(url, {\n          method: 'get',\n          onSuccess: function(response) {\n            if (requestID &lt; lastRequestID) {return;}\n            liveMatchCounter.update(response.responseText);\n          },\n          onFailure: function (response) {}\n        });\n      };\n      updateMatchCounter();\n      content.select('.xwiki-date').invoke('observe', 'xwiki:form:field-value-changed', updateMatchCounter);\n      document.observe('custom:selection:changed', updateMatchCounter);\n      document.observe('xwiki:multisuggestpicker:selectionchanged', updateMatchCounter);\n      content.select('input[type=radio]').invoke('observe', 'click', updateMatchCounter);\n      content.select('input[type=checkbox]').invoke('observe', 'click', updateMatchCounter);\n      content.select('input[name=external_id]').invoke('observe', 'keyup', updateMatchCounter);\n    }\n  };\n  var exportTools = $$('.phenotips_export_tool');\n  if (exportTools &amp;&amp; exportTools.length != 0) {\n    exportTools.each(function(exportTool) {\n      exportTool.observe('click', function(event) {\n        event.stop();\n        var dialog = new PhenoTips.widgets.ModalPopup('&lt;img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')"/&gt;', false, {'title':"$services.localization.render('phenotips.DBWebHomeSheet.exportPreferences.title')", 'verticalPosition': 'top', 'removeOnClose': true, 'extraClassName': 'export-dialog'});\n        dialog.showDialog();\n        // =================================================================================\n        // Generate the dialog content\n        new Ajax.Request(new XWiki.Document('ExportPreferences', 'PhenoTips').getURL('get', 'space=' + /space=([^&amp;]+)/.exec(exportTool.href)[1]), {\n          parameters: {export_endpoint: exportTool.readAttribute("href"), export_id: exportTool.readAttribute("id")},\n          onSuccess: function(transport) {\n            var content = dialog.dialogBox._x_contentPlug;\n            content.update(transport.responseText);\n            content.__dialog = dialog;\n            document.fire('xwiki:dom:updated', {'elements': [content]});\n          }\n        });\n      });\n    });\n  } else if (!$('patients-topfilters')) {\n    // No filters and no export, nothing to do\n    return;\n  }\n\n  document.observe('xwiki:multisuggestpicker:selectionchanged', function() {\n    document.fire('xwiki:livetable:patients:filtersChanged');\n  });\n  ['xwiki:dom:loaded', 'xwiki:dom:updated'].each(function(eventName) {\n    document.observe(eventName, function(event) {\n      var elements = event.memo &amp;&amp; event.memo.elements || [document.documentElement];\n      elements &amp;&amp; elements.each(function(item) {\n        // We defer so that the standard suggests have time to initialize before applying the enhanced suggests\n        enhanceDialog.defer(item);\n      });\n    });\n  });\n});</code>\n</property>\n<property>\n<name>Export preferences</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.DBWebHomeSheet</name>\n<number>2</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>d9b727a8-4e6b-498f-8584-80dcac64c352</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  $$('.xwiki-livetable-topfilters-container .toggle-filters').invoke('observe', 'click', function(event) {\n    event.stop();\n    $('patients-topfilters').toggleClassName('collapsed');\n  });\n  $('patients-topfilters') &amp;&amp; $('patients-topfilters').addClassName('collapsed');\n});</code>\n</property>\n<property>\n<name>Hide Filters button behavior</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.DBWebHomeSheet</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>be904bc0-bfcc-4272-a0c1-88fcf238824d</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#xwikicontent {\n  overflow: visible;\n}\n#document-title h1 {\n  border: 0 none;\n}\n#patients-topfilters .toggle-filters:before {\n  content: "▼ ";\n}\n#patients-topfilters.collapsed .toggle-filters:before {\n  content: "► ";\n}\n#patients-topfilters.collapsed .filters {\n  display: none;\n}</code>\n</property>\n<property>\n<name>Minor layout fix</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.DBWebHomeSheet</name>\n<number>1</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>6c9f3147-838e-4ae3-a17d-6b9ab4531766</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n.export-dialog {\n  width: 80% !important;\n}\n.export-dialog .xform .xHint {\n  margin: 0;\n}\n.filters {\n  list-style-position: outside !important;\n}\n.filters ul {\n  list-style-type: none;\n  margin: 0 0 1.5em;\n  padding: 0;\n  font-size: .9em;\n}\n.filters ul label {\n  font-weight: bold;\n}\n.filters input[type=text] {\n  width: 99%;\n  display: block;\n}\n\n.date-range {\n  clear: both;\n}\n.date-range label {\n  box-sizing: border-box;\n  display: inline-block;\n  font-size: .9em;\n  font-style: italic;\n  width: 50%;\n  padding-left: 0.5em;\n}\n.date-range label:first-child {\n  padding-left: 0;\n  padding-right: 0.5em;\n}\n.xform input[type="text"] {\n  box-sizing: border-box;\n  width: 100%;\n}\n.calendar_date_select, .suggestItems {\n  z-index : 300000 !important;\n}\n\n.export-dialog .section {\n  float: left;\n  width: 46%;\n  padding: 0 2% 1em;\n  margin: 0;\n  border-radius: .6em;\n}\n.export-dialog .section:hover {\n  background-color: $theme.highlightColor;\n}\n\n.export-dialog .section h3 {\n  margin-top: 0;\n}\n\n.export-dialog .section .selection-tools {\n  margin: 0 0 1em;\n}\n.export-dialog .section .selection-tool {\n  color: $theme.textPrimaryColor;\n  cursor: pointer;\n  font-style: italic;\n}\n.export-dialog .section .selection-tool:hover {\n  color: $theme.linkColor;\n}\n\n.export-dialog .buttons {\n  clear: both;\n}\n\n.export-dialog .step {\n  display: inline-block;\n  height: 1.2em;\n  width: 1.2em;\n  border-radius: .6em;\n  background: $theme.titleColor;\n  color: $theme.backgroundSecondaryColor;\n  text-align: center;\n  font-size: .87em;\n  margin-bottom: .2em;\n}\n\n.export-dialog .field-list {\n  list-style-type: none;\n  margin: 0;\n  padding: 0;\n}\n\n.xdialog-modal-container {\n  z-index: 400000 !important;\n}\n.xdialog-box {\n  max-width: 600px;\n  width: inherit;\n}\n.xdialog-box .buttons {\n  margin-left: 25px;\n  margin-top: 0px;\n}\n.xdialog-box .button {\n  width: 100px;\n}\n.xdialog-box .question {\n  padding: 4px 0 6px 25px;\n  white-space: nowrap;\n}</code>\n</property>\n<property>\n<name>Export UI</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content></content></xwikidoc>\n
-1908836572901007352	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>data</web>\n<name>AllData</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>data.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822185000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('data.allData.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>data.AllData</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>0819c66d-208c-4d44-8cb8-b3c8a292d73a</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup</groups>\n</property>\n<property>\n<levels>edit,comment</levels>\n</property>\n<property>\n<users></users>\n</property>\n</object>\n<content>{{include reference="PhenoTips.DatabaseFilters" /}}\n\n{{velocity}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n{{html wiki=false clean=false}}&lt;div class="general-tools"&gt;#if($hasCreatePage)&lt;label for="create-patient-record"&gt;&lt;span class="fa fa-plus-circle"&gt; &lt;/span&gt;$services.localization.render('phenotips.globalHeader.createPatient')&lt;/label&gt; · #end&lt;a id="phenotips_export" class="phenotips_export_tool" title="$services.localization.render('phenotips.allData.exportExcelTitle')" href="$xwiki.getURL('PhenoTips.Export', 'get', "space=${escapetool.url($doc.space)}&amp;amp;outputSyntax=plain")"&gt;&lt;span class="fa fa-table"&gt; &lt;/span&gt;$services.localization.render('phenotips.allData.exportExcel')&lt;/a&gt; · &lt;a id="phenotips_json_export" class="phenotips_export_tool" title="$services.localization.render('phenotips.allData.exportJSONTitle')" href="$xwiki.getURL('PhenoTips.ExportJSON', 'get', "space=${escapetool.url($doc.space)}&amp;amp;outputSyntax=plain")"&gt;&lt;span class="fa fa-file-o"&gt; &lt;/span&gt;$services.localization.render('phenotips.allData.exportJSON')&lt;/a&gt;{{/html}}##\n#set ($service = $services.pushPatient)##\n#set ($configuredServers = $service.getPushTargetsWithHistory(""))##\n#set ($counter = 0)##\n#foreach ($mapEntry in $configuredServers.entrySet())##\n  #set ($serverName = $mapEntry.key.getServerID())##\n{{html wiki=false clean=false}} · &lt;a href="#" id="pushall-server-$counter" name="$serverName" title="$services.localization.render('phenotips.allData.pushTitle',[$serverName])"&gt;&lt;span class="fa fa-share"&gt; &lt;/span&gt;$services.localization.render('phenotips.allData.push', [$serverName])&lt;/a&gt;{{/html}}##\n  #set( $counter = $counter + 1 )##\n#end##\n{{html wiki=false clean=false}}&lt;/div&gt;{{/html}}##\n{{/velocity}}\n\n{{velocity}}\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n$xwiki.jsx.use('PhenoTips.PushPatient')##\n$xwiki.ssx.use('PhenoTips.PushPatient')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($configuredColumns = $config.getProperty('livetableColumns').value)\n#if (!$configuredColumns &amp;&amp; !($configuredColumns.length &gt; 0))\n  #set ($configuredColumns = 'doc.name')\n#end\n#set ($columns = [])\n#set ($discard = $columns.addAll($configuredColumns))\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column.toLowerCase().indexOf('date') &lt; 0) &amp;&amp; ($column != 'doc.creator') &amp;&amp; ($column != 'doc.author'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true}))\n#end\n##  toggle-filters\n#set ($topFilters = $doc.getRenderedContent("(% class='xform' %)((( {{html clean='false'}}&lt;span class='buttonwrapper'&gt;&lt;a class='button toggle-filters' href='#'&gt;$services.localization.render('phenotips.allData.filterButton')&lt;/a&gt;&lt;/span&gt;{{/html}}\n{{velocity}}#__filters_display('xform'){{/velocity}})))", "xwiki/2.1"))\n#set ($discard = $columns.add('_actions'))\n##\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'topFilters'        : $topFilters,\n  'resultPage'        : 'PhenoTips.LiveTableResults'\n})\n#if ($isGuest)\n  #set ($filterFrom = ", BaseObject accessObj, StringProperty accessProp, LongProperty iid")\n  #set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value &gt;= 0 and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and accessObj.className = 'PhenoTips.OwnerClass' and (accessProp.value = '' or accessProp.value is null)")\n  #set ($discard = $options.put('extraParams', "&amp;filterFrom=${escapetool.url($filterFrom)}&amp;filterWhere=${escapetool.url($filterWhere)}"))\n#elseif (!$hasAdmin)\n  #set ($groups = [])\n  #set ($toProcess = $collectionstool.queue)\n  #if ($xcontext.userReference)\n    #set ($discard = $groups.add($xcontext.userReference))\n    #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n  #end\n  #foreach ($iteration in [0..1000])\n    #if ($toProcess.empty)\n      #break\n    #end\n    #set ($item = $toProcess.poll())\n    #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n      #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #if (!$groupObj &amp;&amp; $group.documentReference.name.endsWith(' Administrators'))\n        #set ($group = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)))\n        #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n      #end\n      #if ($groupObj &amp;&amp; !$groups.contains($group.documentReference.toString()))\n        #set ($discard = $toProcess.add($group.documentReference.toString()))\n        #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n      #end\n    #end\n  #end\n  #set ($groups = "('${stringtool.join($groups, ""','"")}')")\n  #set ($filterFrom = ", BaseObject accessObj, StringProperty accessProp, LongProperty iid")\n  #set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value &gt;= 0 and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and ((accessObj.className = 'PhenoTips.OwnerClass' and accessProp.value in ${groups}) or (accessObj.className = 'PhenoTips.CollaboratorClass' and accessProp.value in ${groups}) or (accessObj.className = 'PhenoTips.VisibilityClass' and accessProp.value in ('public', 'open')))")\n  #set ($discard = $options.put('extraParams', "&amp;filterFrom=${escapetool.url($filterFrom)}&amp;filterWhere=${escapetool.url($filterWhere)}"))\n#else\n  #set ($filterFrom = ", LongProperty iid")\n  #set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value &gt;= 0")\n  #set ($discard = $options.put('extraParams', "&amp;filterFrom=${escapetool.url($filterFrom)}&amp;filterWhere=${escapetool.url($filterWhere)}"))\n#end\n#if ("$!config.getProperty('livetableRows').value" != '' &amp;&amp; $config.getProperty('livetableRows').value &gt; 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('patients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}$services.localization.render('phenotips.configurationMissing'){{/warning}}\n#end\n{{/velocity}}</content></xwikidoc>\n
-3454685290440796181	1	1	2017-05-12 15:43:35	Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>data</web>\n<name>WebHome</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822185000</creationDate>\n<date>1494618215000</date>\n<contentUpdateDate>1494618215000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.homepage.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>false</hidden>\n<object>\n<class>\n<name>PhenoTips.DBConfigurationClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<dateOfBirthFormat>\n<customDisplay>{{velocity}}\n#if ($xcontext.action == 'edit' || $xcontext.action == 'admin')\n{{html wiki=false clean=false}}\n&lt;select name="$prefix$name" id="$prefix$name"&gt;\n#foreach ($val in ['MM/dd/yyyy', 'dd/MM/yyyy', 'yyyy-MM-dd', 'MM/yyyy', 'MMMM yyyy', 'yyyy'])\n  &lt;option #if ($val == $value) selected="selected"#end value="$val"&gt;$val $services.localization.render('phenotips.DBConfigurationClass.dateExample',[$xwiki.formatDate($util.date, $val)])&lt;/option&gt;\n#end\n&lt;/select&gt;\n{{/html}}\n#else\n$!value\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>dateOfBirthFormat</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Date of birth format</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</dateOfBirthFormat>\n<enableImperialUnitSystem>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>enableImperialUnitSystem</name>\n<number>6</number>\n<prettyName>Enable imperial unit system for entering measurements</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</enableImperialUnitSystem>\n<livetableColumns>\n<cache>0</cache>\n<customDisplay>//{{translation key="phenotips.DBConfigurationClass.metaInfo" /}}//\n\n{{velocity output=false}}\n#set ($docFields = ['doc.name', 'doc.creator', 'doc.author', 'doc.creationDate', 'doc.date'])\n#macro(__xclass__displayLivetableColOption $option $value)\n  &lt;li&gt;\n    &lt;label for="${prefix}${name}_${sectionId}"&gt;\n    &lt;input type="checkbox" name="${prefix}${name}" id="${prefix}${name}_${option}" value="$option"#if ($value.contains($option)) checked="checked"#end/&gt;\n    $services.localization.render("patient.livetable.${option}")\n    &lt;/label&gt;\n  &lt;/li&gt;\n#end\n{{/velocity}}\n\n{{velocity}}{{html wiki=false clean=false}}\n&lt;ul style="list-style-type: none; margin: 0 0 0 16px"&gt;\n#foreach ($option in $docFields)\n  #__xclass__displayLivetableColOption($option $value)\n#end\n&lt;/ul&gt;\n{{/html}}{{/velocity}}\n\n//{{translation key="phenotips.DBConfigurationClass.patientInfo" /}}//\n\n{{include reference="PhenoTips.DBConfigurationClassDisplayer" /}}</customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>livetableColumns</name>\n<number>8</number>\n<picker>0</picker>\n<prettyName>Livetable columns</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>40</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</livetableColumns>\n<livetableRows>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>livetableRows</name>\n<number>10</number>\n<numberType>integer</numberType>\n<prettyName>Number of rows to display by default</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</livetableRows>\n<livetableSortColumn>\n<customDisplay>{{velocity}}\n#if ($type == 'edit')\n{{html clean="false"}}\n&lt;select name="${prefix}${name}"&gt;\n#foreach($column in $object.getProperty('livetableColumns').value)\n  &lt;option value="$escapetool.xml($column)"#if ($column == $value) selected="selected"#{end}&gt;$services.localization.render("patient.livetable.${column}")&lt;/option&gt;\n#end\n&lt;/select&gt;\n{{/html}}\n#else\n  $services.localization.render("patient.livetable.${value}")\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>livetableSortColumn</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>Column to sort by default</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</livetableSortColumn>\n<measurementUnitSystem>\n<cache>0</cache>\n<customDisplay>{{velocity}}\n#if ($value != 'imperial')#set ($value = 'metric')#end\n{{html clean=false}}&lt;p&gt;&lt;label&gt;&lt;input type="radio" name="${prefix}${name}" id="${prefix}${name}_metric" value="metric" #if ($value == 'metric') checked="checked"#end /&gt;$services.localization.render('PhenoTips.DBConfigurationClass_measurementUnitSystem_metric')&lt;/label&gt;  &lt;label&gt;&lt;input type="radio" name="${prefix}${name}" id="${prefix}${name}_imperial" value="imperial" #if ($value == 'imperial') checked="checked"#end /&gt;$services.localization.render('PhenoTips.DBConfigurationClass_measurementUnitSystem_imperial')&lt;/label&gt;&lt;/p&gt;\n&lt;br/&gt;\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<multiSelect>0</multiSelect>\n<name>measurementUnitSystem</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>Default unit system for entering measurements, when "Imperial unit system" is enabled</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>metric=Metric|imperial=Imperial</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</measurementUnitSystem>\n<phenotypeMapping>\n<cache>0</cache>\n<classname>PhenoTips.PhenotypeMappingClass</classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>radio</displayType>\n<idField>doc.fullName</idField>\n<multiSelect>0</multiSelect>\n<name>phenotypeMapping</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Phenotype configuration document</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>30</size>\n<sort>none</sort>\n<sql>select doc.fullName, doc.name from XWikiDocument doc, BaseObject obj where doc.fullName &lt;&gt; 'PhenoTips.PhenotypeMappingTemplate' and obj.name = doc.fullName and obj.className = 'PhenoTips.PhenotypeMappingClass'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField>doc.name</valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</phenotypeMapping>\n</class>\n<name>data.WebHome</name>\n<number>0</number>\n<className>PhenoTips.DBConfigurationClass</className>\n<guid>380d3252-75ab-4be3-8b4b-d212e9939b6f</guid>\n<property>\n<dateOfBirthFormat>yyyy-MM-dd</dateOfBirthFormat>\n</property>\n<property>\n<enableImperialUnitSystem>0</enableImperialUnitSystem>\n</property>\n<property>\n<livetableColumns>\n<value>doc.name</value>\n<value>doc.creator</value>\n<value>doc.author</value>\n<value>doc.creationDate</value>\n<value>doc.date</value>\n<value>external_id</value>\n<value>first_name</value>\n<value>last_name</value>\n</livetableColumns>\n</property>\n<property>\n<livetableRows></livetableRows>\n</property>\n<property>\n<livetableSortColumn>doc.name</livetableSortColumn>\n</property>\n<property>\n<measurementUnitSystem>metric</measurementUnitSystem>\n</property>\n<property>\n<phenotypeMapping>PhenoTips.Generic phenotype configuration</phenotypeMapping>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>0</number>\n<className>PhenoTips.PedigreeClass</className>\n<guid>d47bf21d-9bfd-4cf3-8b4e-3ed955ba546a</guid>\n<property>\n<data>{"GG":[{"id":0,"prop":{"gender":"U"}}],"ranks":[3],"order":[[],[],[],[0]],"positions":[5]}</data>\n</property>\n<property>\n<description>Proband</description>\n</property>\n<property>\n<image>&lt;svg viewBox="-30 182 180 180" width="200" height="200" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg" version="1.1"&gt;&lt;desc&gt;Created with Raphaël 2.1.0&lt;/desc&gt;&lt;defs&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:145-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:245-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;/defs&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="192" x="-20"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="182" x="-30"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,209.9066,41.4832)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"&gt;&lt;/rect&gt;&lt;rect stroke-width="5.092592592592593" transform="matrix(0.7637,0.7637,-0.7637,0.7637,221.8992,18.4598)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:145-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"&gt;&lt;/rect&gt;&lt;path stroke-width="1" transform="matrix(1,0,0,1,2.8873,291.1127)" opacity="1" d="M9.182800000000002,25.3319C9.182800000000002,25.3319,0.8701000000000001,33.6424,0.8701000000000001,33.6424C0.8701000000000001,33.6424,3.8665000000000003,36.6388,3.8665000000000003,36.6388C3.8665000000000003,36.6388,12.177000000000001,28.3272,12.17744,28.3272C12.177000000000001,28.3272,14.425400000000002,30.574500000000004,14.425400000000002,30.574500000000004C14.425400000000002,30.574500000000004,17.1578,20.376400000000004,17.1578,20.376400000000004C17.1578,20.376400000000004,6.959700000000001,23.108800000000002,6.959700000000001,23.108800000000002C6.959700000000001,23.108800000000002,9.182800000000002,25.3319,9.182800000000002,25.331350000000004C9.182800000000002,25.3319,9.182800000000002,25.3319,9.182800000000002,25.3319" stroke="none" fill="#595959" style="opacity: 1;"&gt;&lt;/path&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="182" x="-30"&gt;&lt;/rect&gt;&lt;/svg&gt;</image>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>1</number>\n<className>PhenoTips.PedigreeClass</className>\n<guid>93bcc2c5-7dd0-4112-a8f4-4b10deb3a824</guid>\n<property>\n<data>{"GG":[{"id":0,"prop":{"gender":"U"}},{"id":1,"chhub":true,"prop":{},"outedges":[{"to":0}]},{"id":2,"rel":true,"hub":true,"prop":{},"outedges":[{"to":1}]},{"id":3,"prop":{"gender":"F"},"outedges":[{"to":2}]},{"id":4,"prop":{"gender":"M"},"outedges":[{"to":2}]}],"ranks":[3,2,1,1,1],"order":[[],[4,2,3],[1],[0]],"positions":[5,5,5,17,-7]}</data>\n</property>\n<property>\n<description>Proband with parents</description>\n</property>\n<property>\n<image>&lt;svg version="1.1" xmlns="http://www.w3.org/2000/svg" viewBox="-174 -362 468 452" width="200" height="200" xmlns:xlink="http://www.w3.org/1999/xlink"&gt;&lt;circle cx="-58" cy="-347" r="6" fill="#cccccc" stroke="#000" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/circle&gt;&lt;rect x="-115" y="-352.5" width="11" height="11" rx="0" ry="0" fill="#cccccc" stroke="#000" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/rect&gt;&lt;path fill="none" stroke="#555555" d="M-104,-347L-64,-347" stroke-width="1.6666666666666667" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;circle cx="230" cy="-347" r="6" fill="#cccccc" stroke="#000" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/circle&gt;&lt;rect x="173" y="-352.5" width="11" height="11" rx="0" ry="0" fill="#cccccc" stroke="#000" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/rect&gt;&lt;path fill="none" stroke="#555555" d="M184,-347L224,-347" stroke-width="1.6666666666666667" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#303058" d="M60,-272L60,-144" stroke-width="1.25" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#303058" d="M60,-144L60,-144" stroke-width="1.25" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#303058" d="M60,-144L60,0" stroke-width="1.25" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#303058" d="M-84,-272L60,-272" stroke-width="1.25" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#303058" d="M60,-272L204,-272" stroke-width="1.25" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/path&gt;&lt;desc style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;Created with Raphaël 2.1.0&lt;/desc&gt;&lt;defs style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;linearGradient id="grad:145-_ffffff:0-_B8B8B8:100" x1="0" y1="0.9999999999999998" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:245-_ffffff:0-_B8B8B8:100" x1="0" y1="0.9999999999999998" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:260-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:270-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:370-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:380-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:7245-_ffffff:0-_B8B8B8:100" x1="0" y1="0.9999999999999998" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:76330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:750-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:81330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:800-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:85330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:840-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:920-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:98330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:970-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;radialGradient id="grad:104r_.5_.1__ccc-_ccc" fx="0.5" fy="0.1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;radialGradient id="grad:103r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_" fx="0.5" fy="0.9" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;linearGradient id="grad:108330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:1070-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:112330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:1110-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;radialGradient id="grad:119r_.5_.1__ccc-_ccc" fx="0.5" fy="0.1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;radialGradient id="grad:118r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_" fx="0.5" fy="0.9" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;linearGradient id="grad:1200-_ffffff:0-_B8B8B8:100" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#b8b8b8" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:126330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:1250-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;radialGradient id="grad:132r_.5_.1__ccc-_ccc" fx="0.5" fy="0.1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;radialGradient id="grad:131r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_" fx="0.5" fy="0.9" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;linearGradient id="grad:136330-_ccc-_ccc" x1="0" y1="0" x2="1" y2="0.5773502691896265" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient id="grad:1350-hsb_0.53__1__.75_-hsb_0.53__.5__.25_" x1="0" y1="0" x2="1" y2="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;radialGradient id="grad:140r_.5_.1__ccc-_ccc" fx="0.5" fy="0.1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#cccccc" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#cccccc" stop-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;radialGradient id="grad:139r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_" fx="0.5" fy="0.9" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;stop offset="0%" stop-color="#009cbf" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;stop offset="100%" stop-color="#1f3a3f" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;/defs&gt;&lt;rect x="-20" y="-80" width="160" height="160" rx="5" ry="5" fill="#000000" stroke="none" opacity="0" fill-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0;"&gt;&lt;/rect&gt;&lt;rect x="-30" y="-90" width="180" height="180" rx="5" ry="5" fill="#808080" stroke="none" opacity="0" fill-opacity="0.35" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"&gt;&lt;/rect&gt;&lt;path fill="none" stroke="#808080" d="M60,0L60,-57L-5,-57" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M60,-57L60,-86" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M60,0L60,55" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M60,0L115,0" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;rect x="28.88730162779191" y="-31.11269837220809" width="62.22539674441618" height="62.22539674441618" rx="0" ry="0" fill="#808080" stroke="none" opacity="0.3" fill-opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,17.5736,-38.1838)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0.3; fill-opacity: 1;" stroke-width="1"&gt;&lt;/rect&gt;&lt;rect x="28.88730162779191" y="-31.11269837220809" width="62.22539674441618" height="62.22539674441618" rx="0" ry="0" fill="url(#grad:145-_ffffff:0-_B8B8B8:100)" stroke="#595959" opacity="1" fill-opacity="1" transform="matrix(0.7637,0.7637,-0.7637,0.7637,14.1795,-45.8205)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1;" stroke-width="5.092592592592593"&gt;&lt;/rect&gt;&lt;path fill="#595959" stroke="none" d="M9.182800000000002,25.3319C9.182800000000002,25.3319,0.8701000000000001,33.6424,0.8701000000000001,33.6424C0.8701000000000001,33.6424,3.8665000000000003,36.6388,3.8665000000000003,36.6388C3.8665000000000003,36.6388,12.177000000000001,28.3272,12.17744,28.3272C12.177000000000001,28.3272,14.425400000000002,30.574500000000004,14.425400000000002,30.574500000000004C14.425400000000002,30.574500000000004,17.1578,20.376400000000004,17.1578,20.376400000000004C17.1578,20.376400000000004,6.959700000000001,23.108800000000002,6.959700000000001,23.108800000000002C6.959700000000001,23.108800000000002,9.182800000000002,25.3319,9.182800000000002,25.331350000000004C9.182800000000002,25.3319,9.182800000000002,25.3319,9.182800000000002,25.3319" opacity="1" transform="matrix(1,0,0,1,2.8873,19.1127)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1;" stroke-width="1"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M-3.333333333333333,-57L-2.5,-27" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M60,53L60,75" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M113,0L135,0" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;rect x="-30" y="-90" width="180" height="180" rx="0" ry="0" fill="#008000" stroke="none" opacity="0" fill-opacity="0.35" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"&gt;&lt;/rect&gt;&lt;rect x="124" y="-352" width="160" height="160" rx="5" ry="5" fill="#000000" stroke="none" opacity="0" fill-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0;"&gt;&lt;/rect&gt;&lt;rect x="114" y="-362" width="180" height="180" rx="5" ry="5" fill="#808080" stroke="none" opacity="0" fill-opacity="0.35" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"&gt;&lt;/rect&gt;&lt;path fill="none" stroke="#808080" d="M204,-272L204,-329L139,-329" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M204,-272L204,-217" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M204,-272L259,-272" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;circle cx="204" cy="-272" r="40" fill="#808080" stroke="none" opacity="0.3" fill-opacity="1" transform="matrix(1,0,0,1,3,3)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0.3; fill-opacity: 1;"&gt;&lt;/circle&gt;&lt;circle cx="204" cy="-272" r="40" fill="url(#grad:260-_ffffff:0-_B8B8B8:100)" stroke="#595959" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1;"&gt;&lt;/circle&gt;&lt;path fill="none" stroke="#808080" d="M140.66666666666666,-329L141.5,-299" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M204,-329L204,-347" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M204,-219L204,-197" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M257,-272L279,-272" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;rect x="114" y="-362" width="180" height="180" rx="0" ry="0" fill="#008000" stroke="none" opacity="0" fill-opacity="0.35" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"&gt;&lt;/rect&gt;&lt;rect x="-164" y="-352" width="160" height="160" rx="5" ry="5" fill="#000000" stroke="none" opacity="0" fill-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0;"&gt;&lt;/rect&gt;&lt;rect x="-174" y="-362" width="180" height="180" rx="5" ry="5" fill="#808080" stroke="none" opacity="0" fill-opacity="0.35" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"&gt;&lt;/rect&gt;&lt;path fill="none" stroke="#808080" d="M-84,-272L-84,-329L-149,-329" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M-84,-272L-84,-217" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M-84,-272L-29,-272" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;rect x="-124" y="-312" width="80" height="80" rx="0" ry="0" fill="#808080" stroke="none" opacity="0.3" fill-opacity="1" transform="matrix(1,0,0,1,3,3)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0.3; fill-opacity: 1;"&gt;&lt;/rect&gt;&lt;rect x="-124" y="-312" width="80" height="80" rx="0" ry="0" fill="url(#grad:370-_ffffff:0-_B8B8B8:100)" stroke="#595959" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1;"&gt;&lt;/rect&gt;&lt;path fill="none" stroke="#808080" d="M-147.33333333333334,-329L-146.5,-299" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M-84,-329L-84,-347" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M-84,-219L-84,-197" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;path fill="none" stroke="#808080" d="M-31,-272L-9,-272" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;rect x="-174" y="-362" width="180" height="180" rx="0" ry="0" fill="#008000" stroke="none" opacity="0" fill-opacity="0.35" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"&gt;&lt;/rect&gt;&lt;rect x="34" y="-304" width="52" height="92" rx="5" ry="5" fill="#808080" stroke="none" opacity="0" fill-opacity="0.35" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"&gt;&lt;/rect&gt;&lt;path fill="none" stroke="#808080" d="M60,-272L60,-257" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;circle cx="60" cy="-272" r="6.5" fill="#dc7868" stroke="#000000" stroke-width="2" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/circle&gt;&lt;text x="60" y="-292" text-anchor="middle" font-family="Tahoma" font-size="14px" stroke="none" fill="#000000" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-292" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;path fill="none" stroke="#808080" d="M60,-257L60,-236" stroke-width="5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); display: none;"&gt;&lt;/path&gt;&lt;rect x="34" y="-304" width="52" height="92" rx="0" ry="0" fill="#008000" stroke="none" opacity="0" fill-opacity="0.35" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; fill-opacity: 0.35;"&gt;&lt;/rect&gt;&lt;rect x="28.88730162779191" y="-31.11269837220809" width="62.22539674441618" height="62.22539674441618" rx="0" ry="0" fill="#000000" stroke="none" opacity="1" fill-opacity="0" transform="matrix(0.7637,0.7637,-0.7637,0.7637,14.1795,-45.8205)" stroke-width="5.092592592592593" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 0; cursor: pointer; display: none;"&gt;&lt;/rect&gt;&lt;rect x="-7.540000000000001" y="-32.04" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:750-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-19.8241,-6.1403)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/rect&gt;&lt;rect x="-7.540000000000001" y="-32.04" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:76330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-19.8241,-6.1403)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/rect&gt;&lt;rect x="54.96" y="69.96" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:800-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,70.6066,-20.4594)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/rect&gt;&lt;rect x="54.96" y="69.96" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:81330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,70.6066,-20.4594)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/rect&gt;&lt;rect x="129.96" y="-5.040000000000001" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:840-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,39.5406,-95.4594)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/rect&gt;&lt;rect x="129.96" y="-5.040000000000001" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:85330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,39.5406,-95.4594)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/rect&gt;&lt;circle cx="204" cy="-272" r="40" fill="#000000" stroke="none" opacity="1" fill-opacity="0" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 0; cursor: pointer; display: none;"&gt;&lt;/circle&gt;&lt;rect x="271.87075" y="-355.4485" width="14.9955" height="14.997" rx="1" ry="1" fill="#808080" stroke="#000" opacity="0" stroke-width="0" class="delete" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; display: none;"&gt;&lt;/rect&gt;&lt;path fill="#990000" stroke="none" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" transform="matrix(1,0,0,1,269.5,-357.5)" class="delete" opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; display: none;"&gt;&lt;/path&gt;&lt;rect x="136.46" y="-304.04" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:970-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-169.9805,-187.6307)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/rect&gt;&lt;rect x="136.46" y="-304.04" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:98330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-169.9805,-187.6307)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/rect&gt;&lt;ellipse cx="204" cy="-347" rx="6.6000000000000005" ry="6.6000000000000005" fill="url(#grad:103r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="none" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/ellipse&gt;&lt;ellipse cx="204" cy="-347" rx="5.28" ry="6.2700000000000005" fill="url(#grad:104r_.5_.1__ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/ellipse&gt;&lt;rect x="198.96" y="-202.04" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:1070-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-79.5498,-201.9497)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/rect&gt;&lt;rect x="198.96" y="-202.04" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:108330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-79.5498,-201.9497)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/rect&gt;&lt;rect x="273.4" y="-277.6" width="11.200000000000001" height="11.200000000000001" rx="0" ry="0" fill="url(#grad:1110-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/rect&gt;&lt;rect x="273.4" y="-277.6" width="11.200000000000001" height="11.200000000000001" rx="1" ry="1" fill="url(#grad:112330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/rect&gt;&lt;rect x="67.07075" y="-299.6485" width="14.9955" height="14.997" rx="1" ry="1" fill="#808080" stroke="#000" opacity="0" stroke-width="0" class="delete" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; display: none;"&gt;&lt;/rect&gt;&lt;path fill="#990000" stroke="none" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" transform="matrix(1,0,0,1,64.7,-301.7)" class="delete" opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; display: none;"&gt;&lt;/path&gt;&lt;circle cx="60" cy="-272" r="6.5" fill="#000000" stroke="none" stroke-width="2" transform="matrix(1,0,0,1,0,0)" fill-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); fill-opacity: 0; cursor: pointer; display: none;"&gt;&lt;/circle&gt;&lt;ellipse cx="60" cy="-236" rx="6.6000000000000005" ry="6.6000000000000005" fill="url(#grad:118r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="none" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/ellipse&gt;&lt;ellipse cx="60" cy="-236" rx="5.28" ry="6.2700000000000005" fill="url(#grad:119r_.5_.1__ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/ellipse&gt;&lt;rect x="-124" y="-312" width="80" height="80" rx="0" ry="0" fill="#000000" stroke="none" opacity="1" fill-opacity="0" transform="matrix(1,0,0,1,0,0)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 0; cursor: pointer; display: none;"&gt;&lt;/rect&gt;&lt;rect x="-16.12925" y="-355.4485" width="14.9955" height="14.997" rx="1" ry="1" fill="#808080" stroke="#000" opacity="0" stroke-width="0" class="delete" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 0; display: none;"&gt;&lt;/rect&gt;&lt;path fill="#990000" stroke="none" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" transform="matrix(1,0,0,1,-18.5,-357.5)" class="delete" opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; display: none;"&gt;&lt;/path&gt;&lt;rect x="-151.54" y="-304.04" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:1250-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-254.3338,16.0161)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/rect&gt;&lt;rect x="-151.54" y="-304.04" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:126330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-254.3338,16.0161)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/rect&gt;&lt;ellipse cx="-84" cy="-347" rx="6.6000000000000005" ry="6.6000000000000005" fill="url(#grad:131r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="none" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/ellipse&gt;&lt;ellipse cx="-84" cy="-347" rx="5.28" ry="6.2700000000000005" fill="url(#grad:132r_.5_.1__ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/ellipse&gt;&lt;rect x="-89.04" y="-202.04" width="10.080000000000002" height="10.080000000000002" rx="0" ry="0" fill="url(#grad:1350-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="#555555" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-163.9031,1.697)" opacity="1" fill-opacity="1" stroke-width="0.75" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/rect&gt;&lt;rect x="-89.04" y="-202.04" width="10.080000000000002" height="10.080000000000002" rx="1" ry="1" fill="url(#grad:136330-_ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-163.9031,1.697)" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/rect&gt;&lt;ellipse cx="-9" cy="-272" rx="6.6000000000000005" ry="6.6000000000000005" fill="url(#grad:139r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" stroke="none" opacity="1" fill-opacity="1" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); cursor: pointer; opacity: 1; fill-opacity: 1; display: none;"&gt;&lt;/ellipse&gt;&lt;ellipse cx="-9" cy="-272" rx="5.28" ry="6.2700000000000005" fill="url(#grad:140r_.5_.1__ccc-_ccc)" stroke="none" opacity="1" fill-opacity="1" stroke-opacity="0" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); opacity: 1; fill-opacity: 1; cursor: pointer; display: none;"&gt;&lt;/ellipse&gt;&lt;/svg&gt;</image>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>2</number>\n<className>PhenoTips.PedigreeClass</className>\n<guid>07657523-0a5e-4880-b66d-6036a9a95f39</guid>\n<property>\n<data>{"GG":[{"id":0,"prop":{"gender":"U"}},{"id":1,"chhub":true,"prop":{},"outedges":[{"to":0}]},{"id":2,"rel":true,"hub":true,"prop":{},"outedges":[{"to":1}]},{"id":3,"prop":{"gender":"F"},"outedges":[{"to":2}]},{"id":4,"prop":{"gender":"M"},"outedges":[{"to":2}]},{"id":5,"chhub":true,"prop":{},"outedges":[{"to":4}]},{"id":6,"rel":true,"hub":true,"prop":{},"outedges":[{"to":5}]},{"id":7,"prop":{"gender":"F"},"outedges":[{"to":6}]},{"id":8,"prop":{"gender":"M"},"outedges":[{"to":6}]},{"id":9,"chhub":true,"prop":{},"outedges":[{"to":3}]},{"id":10,"rel":true,"hub":true,"prop":{},"outedges":[{"to":9}]},{"id":11,"prop":{"gender":"F"},"outedges":[{"to":10}]},{"id":12,"prop":{"gender":"M"},"outedges":[{"to":10}]}],"ranks":[5,4,3,3,3,2,1,1,1,2,1,1,1],"order":[[],[8,6,7,12,10,11],[5,9],[4,2,3],[1],[0]],"positions":[15,15,15,37,-7,-7,-7,5,-19,37,37,49,25]}</data>\n</property>\n<property>\n<description>Proband with two generations of ancestors</description>\n</property>\n<property>\n<image>&lt;svg viewBox="-318 -362 996 724" width="200" height="200" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg" version="1.1"&gt;&lt;circle style="display: none;" stroke="#000" fill="#cccccc" r="6" cy="-347" cx="-202"&gt;&lt;/circle&gt;&lt;rect style="display: none;" stroke="#000" fill="#cccccc" ry="0" rx="0" height="11" width="11" y="-352.5" x="-259"&gt;&lt;/rect&gt;&lt;path stroke-width="1.6666666666666667" d="M-248,-347L-208,-347" stroke="#555555" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M444,-272L444,-144" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M444,-144L444,-144" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M444,-144L444,0" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M300,-272L444,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M444,-272L588,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M180,0L180,128" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M180,128L180,128" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M180,128L180,272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-84,0L180,0" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M180,0L444,0" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-84,-272L-84,-144" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-84,-144L-84,-144" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-84,-144L-84,0" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-228,-272L-84,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-84,-272L60,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;desc&gt;Created with Raphaël 2.1.0&lt;/desc&gt;&lt;defs&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:14045-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:14145-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1460-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1470-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1510-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1520-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1860-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1870-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1970-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1980-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2720-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2730-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2830-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2840-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3170-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:323330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3220-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;radialGradient fy="0.1" fx="0.5" id="grad:329r_.5_.1__ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;radialGradient fy="0.9" fx="0.5" id="grad:328r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:333330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3320-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;radialGradient fy="0.1" fx="0.5" id="grad:337r_.5_.1__ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;radialGradient fy="0.9" fx="0.5" id="grad:336r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;/defs&gt;&lt;rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="192" x="-20"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="182" x="-30"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,329.9066,41.4832)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"&gt;&lt;/rect&gt;&lt;rect stroke-width="5.092592592592593" transform="matrix(0.7637,0.7637,-0.7637,0.7637,341.8992,18.4598)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:14045-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"&gt;&lt;/rect&gt;&lt;path stroke-width="1" transform="matrix(1,0,0,1,122.8873,291.1127)" opacity="1" d="M9.182800000000002,25.3319C9.182800000000002,25.3319,0.8701000000000001,33.6424,0.8701000000000001,33.6424C0.8701000000000001,33.6424,3.8665000000000003,36.6388,3.8665000000000003,36.6388C3.8665000000000003,36.6388,12.177000000000001,28.3272,12.17744,28.3272C12.177000000000001,28.3272,14.425400000000002,30.574500000000004,14.425400000000002,30.574500000000004C14.425400000000002,30.574500000000004,17.1578,20.376400000000004,17.1578,20.376400000000004C17.1578,20.376400000000004,6.959700000000001,23.108800000000002,6.959700000000001,23.108800000000002C6.959700000000001,23.108800000000002,9.182800000000002,25.3319,9.182800000000002,25.331350000000004C9.182800000000002,25.3319,9.182800000000002,25.3319,9.182800000000002,25.3319" stroke="none" fill="#595959" style="opacity: 1;"&gt;&lt;/path&gt;&lt;rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="182" x="-30"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,240,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-80" x="124"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,240,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-90" x="114"&gt;&lt;/rect&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,243,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="0" cx="204"&gt;&lt;/circle&gt;&lt;circle transform="matrix(1,0,0,1,240,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1460-_ffffff:0-_B8B8B8:100)" r="40" cy="0" cx="204"&gt;&lt;/circle&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-80" x="-164"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-90" x="-174"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-40" x="-124"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1510-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-40" x="-124"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-32" x="34"&gt;&lt;/rect&gt;&lt;circle transform="matrix(1,0,0,1,120,0)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="0" cx="60"&gt;&lt;/circle&gt;&lt;text transform="matrix(1,0,0,1,120,0)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-20" x="60" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-20"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-32" x="34"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-90" x="-174"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="-20"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="-30"&gt;&lt;/rect&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-272" cx="60"&gt;&lt;/circle&gt;&lt;circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1860-_ffffff:0-_B8B8B8:100)" r="40" cy="-272" cx="60"&gt;&lt;/circle&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="-30"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="-308"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="-318"&gt;&lt;/rect&gt;&lt;path stroke-width="5" d="M-228,-272L-228,-329L-293,-329" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M-228,-272L-228,-217" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M-228,-272L-173,-272" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-312" x="-268"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1970-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-312" x="-268"&gt;&lt;/rect&gt;&lt;path stroke-width="5" d="M-291.3333333333333,-329L-290.5,-299" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M-228,-329L-228,-347" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M-228,-219L-228,-197" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M-175,-272L-153,-272" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="-318"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-304" x="-110"&gt;&lt;/rect&gt;&lt;circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-272" cx="-84"&gt;&lt;/circle&gt;&lt;text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-292" x="-84" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-292"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-304" x="-110"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,240,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-90" x="114"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="508"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="498"&gt;&lt;/rect&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-272" cx="588"&gt;&lt;/circle&gt;&lt;circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:2720-_ffffff:0-_B8B8B8:100)" r="40" cy="-272" cx="588"&gt;&lt;/circle&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="498"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="220"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="210"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-312" x="260"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:2830-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-312" x="260"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="210"&gt;&lt;/rect&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-27.648500000000002" x="187.07075"&gt;&lt;/rect&gt;&lt;path stroke-width="1" class="delete" transform="matrix(1,0,0,1,184.7,-29.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"&gt;&lt;/path&gt;&lt;circle fill-opacity="0" transform="matrix(1,0,0,1,120,0)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="0" cx="60"&gt;&lt;/circle&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-304" x="418"&gt;&lt;/rect&gt;&lt;circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-272" cx="444"&gt;&lt;/circle&gt;&lt;text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-292" x="444" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-292"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-304" x="418"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" stroke-width="1" fill-opacity="0" opacity="1" style="opacity: 1; fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" ry="0" rx="0" height="80" width="80" y="-312" x="-268"&gt;&lt;/rect&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-355.4485" x="-160.12924999999998"&gt;&lt;/rect&gt;&lt;path opacity="1" class="delete" transform="matrix(1,0,0,1,-162.5,-357.5)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="opacity: 1; display: none;"&gt;&lt;/path&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-296.5104,117.8394)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:3220-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="-295.54"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-296.5104,117.8394)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:323330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="-295.54"&gt;&lt;/rect&gt;&lt;ellipse fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:328r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-347" cx="-228"&gt;&lt;/ellipse&gt;&lt;ellipse stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:329r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-347" cx="-228"&gt;&lt;/ellipse&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-206.0797,103.5204)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:3320-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="-233.04"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-206.0797,103.5204)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:333330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="-233.04"&gt;&lt;/rect&gt;&lt;ellipse fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:336r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-272" cx="-153"&gt;&lt;/ellipse&gt;&lt;ellipse stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:337r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-272" cx="-153"&gt;&lt;/ellipse&gt;&lt;/svg&gt;</image>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>3</number>\n<className>PhenoTips.PedigreeClass</className>\n<guid>fbdf8520-b688-454d-9b2a-ddfedf76a7be</guid>\n<property>\n<data>{"GG":[{"id":0,"prop":{"gender":"U"}},{"id":1,"chhub":true,"prop":{},"outedges":[{"to":0}]},{"id":2,"rel":true,"hub":true,"prop":{},"outedges":[{"to":1}]},{"id":3,"prop":{"gender":"F"},"outedges":[{"to":2}]},{"id":4,"prop":{"gender":"M"},"outedges":[{"to":2}]},{"id":5,"chhub":true,"prop":{},"outedges":[{"to":4}]},{"id":6,"rel":true,"hub":true,"prop":{},"outedges":[{"to":5}]},{"id":7,"prop":{"gender":"F"},"outedges":[{"to":6}]},{"id":8,"prop":{"gender":"M"},"outedges":[{"to":6}]},{"id":9,"chhub":true,"prop":{},"outedges":[{"to":3}]},{"id":10,"rel":true,"hub":true,"prop":{},"outedges":[{"to":9}]},{"id":11,"prop":{"gender":"F"},"outedges":[{"to":10}]},{"id":12,"prop":{"gender":"M"},"outedges":[{"to":10}]},{"id":13,"chhub":true,"prop":{},"outedges":[{"to":8}]},{"id":14,"rel":true,"hub":true,"prop":{},"outedges":[{"to":13}]},{"id":15,"prop":{"gender":"F"},"outedges":[{"to":14}]},{"id":16,"prop":{"gender":"M"},"outedges":[{"to":14}]},{"id":17,"chhub":true,"prop":{},"outedges":[{"to":7}]},{"id":18,"rel":true,"hub":true,"prop":{},"outedges":[{"to":17}]},{"id":19,"prop":{"gender":"F"},"outedges":[{"to":18}]},{"id":20,"prop":{"gender":"M"},"outedges":[{"to":18}]},{"id":21,"chhub":true,"prop":{},"outedges":[{"to":12}]},{"id":22,"rel":true,"hub":true,"prop":{},"outedges":[{"to":21}]},{"id":23,"prop":{"gender":"F"},"outedges":[{"to":22}]},{"id":24,"prop":{"gender":"M"},"outedges":[{"to":22}]},{"id":25,"chhub":true,"prop":{},"outedges":[{"to":11}]},{"id":26,"rel":true,"hub":true,"prop":{},"outedges":[{"to":25}]},{"id":27,"prop":{"gender":"F"},"outedges":[{"to":26}]},{"id":28,"prop":{"gender":"M"},"outedges":[{"to":26}]}],"ranks":[7,6,5,5,5,4,3,3,3,4,3,3,3,2,1,1,1,2,1,1,1,2,1,1,1,2,1,1,1],"order":[[],[16,14,15,20,18,19,24,22,23,28,26,27],[13,17,21,25],[8,6,7,12,10,11],[5,9],[4,2,3],[1],[0]],"positions":[47,47,47,91,3,3,3,25,-19,91,91,113,69,-19,-19,-7,-31,25,25,37,13,69,69,81,57,113,113,125,101]}</data>\n</property>\n<property>\n<description>Proband with three generations of ancestors</description>\n</property>\n<property>\n<image>&lt;svg viewBox="-462 -634 2052 996" width="200" height="200" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg"  version="1.1" &gt;&lt;circle style="display: none;" stroke="#000" fill="#cccccc" r="6" cy="-619" cx="-346"&gt;&lt;/circle&gt;&lt;rect style="display: none;" stroke="#000" fill="#cccccc" ry="0" rx="0" height="11" width="11" y="-624.5" x="-403"&gt;&lt;/rect&gt;&lt;path stroke-width="1.6666666666666667" d="M-392,-619L-352,-619" stroke="#555555" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M1356,-544L1356,-416" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M1356,-416L1356,-416" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M1356,-416L1356,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M1212,-544L1356,-544" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M1356,-544L1500,-544" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M1092,-272L1092,-144" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M1092,-144L1092,-144" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M1092,-144L1092,0" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M828,-272L1092,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M1092,-272L1356,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M564,0L564,128" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M564,128L564,128" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M564,128L564,272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M36,0L564,0" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M564,0L1092,0" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M828,-544L828,-416" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M828,-416L828,-416" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M828,-416L828,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M684,-544L828,-544" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M828,-544L972,-544" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M300,-544L300,-416" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M300,-416L300,-416" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M300,-416L300,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M156,-544L300,-544" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M300,-544L444,-544" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M36,-272L36,-144" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M36,-144L36,-144" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M36,-144L36,0" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-228,-272L36,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M36,-272L300,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-228,-544L-228,-416" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-228,-416L-228,-416" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-228,-416L-228,-272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-372,-544L-228,-544" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M-228,-544L-84,-544" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;desc&gt;Created with Raphaël 2.1.0&lt;/desc&gt;&lt;defs&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:745-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:845-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:130-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:140-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:180-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:190-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:530-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:540-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:640-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:650-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1330-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1340-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1440-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1450-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2340-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2350-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2450-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:2460-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3140-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3150-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3250-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:3260-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4180-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4190-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4290-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4300-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5300-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5310-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5410-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5420-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5890-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:595330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5940-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:600330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:5990-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;radialGradient fy="0.1" fx="0.5" id="grad:604r_.5_.1__ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;radialGradient fy="0.9" fx="0.5" id="grad:603r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6230-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:629330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6280-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:634330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6330-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:638330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6370-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;radialGradient fy="0.1" fx="0.5" id="grad:645r_.5_.1__ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;radialGradient fy="0.9" fx="0.5" id="grad:644r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6460-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:652330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6510-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;radialGradient fy="0.1" fx="0.5" id="grad:658r_.5_.1__ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;radialGradient fy="0.9" fx="0.5" id="grad:657r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:662330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:6610-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;radialGradient fy="0.1" fx="0.5" id="grad:666r_.5_.1__ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;radialGradient fy="0.9" fx="0.5" id="grad:665r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/radialGradient&gt;&lt;/defs&gt;&lt;rect transform="matrix(1,0,0,1,504,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="192" x="-20"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,504,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="182" x="-30"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,713.9066,41.4832)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"&gt;&lt;/rect&gt;&lt;rect stroke-width="5.092592592592593" transform="matrix(0.7637,0.7637,-0.7637,0.7637,725.8992,18.4598)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:745-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="240.8873016277919" x="28.88730162779191"&gt;&lt;/rect&gt;&lt;path stroke-width="1" transform="matrix(1,0,0,1,506.8873,291.1127)" opacity="1" d="M9.182800000000002,25.3319C9.182800000000002,25.3319,0.8701000000000001,33.6424,0.8701000000000001,33.6424C0.8701000000000001,33.6424,3.8665000000000003,36.6388,3.8665000000000003,36.6388C3.8665000000000003,36.6388,12.177000000000001,28.3272,12.17744,28.3272C12.177000000000001,28.3272,14.425400000000002,30.574500000000004,14.425400000000002,30.574500000000004C14.425400000000002,30.574500000000004,17.1578,20.376400000000004,17.1578,20.376400000000004C17.1578,20.376400000000004,6.959700000000001,23.108800000000002,6.959700000000001,23.108800000000002C6.959700000000001,23.108800000000002,9.182800000000002,25.3319,9.182800000000002,25.331350000000004C9.182800000000002,25.3319,9.182800000000002,25.3319,9.182800000000002,25.3319" stroke="none" fill="#595959" style="opacity: 1;"&gt;&lt;/path&gt;&lt;rect transform="matrix(1,0,0,1,504,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="182" x="-30"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,888,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-80" x="124"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,888,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-90" x="114"&gt;&lt;/rect&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,891,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="0" cx="204"&gt;&lt;/circle&gt;&lt;circle transform="matrix(1,0,0,1,888,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:130-_ffffff:0-_B8B8B8:100)" r="40" cy="0" cx="204"&gt;&lt;/circle&gt;&lt;rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-80" x="-164"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-90" x="-174"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,123,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-40" x="-124"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,120,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:180-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-40" x="-124"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,504,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-32" x="34"&gt;&lt;/rect&gt;&lt;circle transform="matrix(1,0,0,1,504,0)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="0" cx="60"&gt;&lt;/circle&gt;&lt;text transform="matrix(1,0,0,1,504,0)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-20" x="60" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-20"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,504,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-32" x="34"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-90" x="-174"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,240,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="-20"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,240,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="-30"&gt;&lt;/rect&gt;&lt;path stroke-width="5" d="M300,-272L300,-329L235,-329" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M300,-329L300,-358" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M300,-272L300,-217" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M300,-272L355,-272" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,243,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-272" cx="60"&gt;&lt;/circle&gt;&lt;circle transform="matrix(1,0,0,1,240,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:530-_ffffff:0-_B8B8B8:100)" r="40" cy="-272" cx="60"&gt;&lt;/circle&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="-308"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="-318"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-312" x="-268"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:640-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-312" x="-268"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-304" x="-110"&gt;&lt;/rect&gt;&lt;circle transform="matrix(1,0,0,1,120,0)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-272" cx="-84"&gt;&lt;/circle&gt;&lt;text transform="matrix(1,0,0,1,120,0)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-292" x="-84" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-292"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,120,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-304" x="-110"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,888,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-90" x="114"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,768,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="508"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,768,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="498"&gt;&lt;/rect&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,771,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-272" cx="588"&gt;&lt;/circle&gt;&lt;circle transform="matrix(1,0,0,1,768,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1330-_ffffff:0-_B8B8B8:100)" r="40" cy="-272" cx="588"&gt;&lt;/circle&gt;&lt;rect transform="matrix(1,0,0,1,528,0)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-352" x="220"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,528,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-362" x="210"&gt;&lt;/rect&gt;&lt;path stroke-width="5" d="M828,-272L828,-329L763,-329" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M828,-329L828,-358" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M828,-272L828,-217" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M828,-272L883,-272" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,531,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-312" x="260"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,528,0)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1440-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-312" x="260"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,648,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-304" x="418"&gt;&lt;/rect&gt;&lt;circle transform="matrix(1,0,0,1,648,0)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-272" cx="444"&gt;&lt;/circle&gt;&lt;text transform="matrix(1,0,0,1,648,0)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-292" x="444" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-292"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,648,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-304" x="418"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="-318"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="-164"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="-174"&gt;&lt;/rect&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-544" cx="-84"&gt;&lt;/circle&gt;&lt;circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:2340-_ffffff:0-_B8B8B8:100)" r="40" cy="-544" cx="-84"&gt;&lt;/circle&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="-174"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="-452"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="-462"&gt;&lt;/rect&gt;&lt;path stroke-width="5" d="M-372,-544L-372,-601L-437,-601" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M-372,-544L-372,-489" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M-372,-544L-317,-544" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-584" x="-412"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:2450-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-584" x="-412"&gt;&lt;/rect&gt;&lt;path stroke-width="5" d="M-435.3333333333333,-601L-434.5,-571" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M-372,-601L-372,-619" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M-372,-491L-372,-469" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M-319,-544L-297,-544" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="-462"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-576" x="-254"&gt;&lt;/rect&gt;&lt;path stroke-width="5" d="M-228,-544L-228,-529" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-544" cx="-228"&gt;&lt;/circle&gt;&lt;text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-564" x="-228" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-564"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;path stroke-width="5" d="M-228,-529L-228,-508" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-576" x="-254"&gt;&lt;/rect&gt;&lt;path stroke-width="5" d="M236.66666666666666,-329L237.5,-299" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M300,-219L300,-197" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M353,-272L375,-272" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,240,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="-30"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="364"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="354"&gt;&lt;/rect&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-544" cx="444"&gt;&lt;/circle&gt;&lt;circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:3140-_ffffff:0-_B8B8B8:100)" r="40" cy="-544" cx="444"&gt;&lt;/circle&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="354"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="76"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="66"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-584" x="116"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:3250-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-584" x="116"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="66"&gt;&lt;/rect&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-299.6485" x="43.070750000000004"&gt;&lt;/rect&gt;&lt;path stroke-width="1" class="delete" transform="matrix(1,0,0,1,40.7,-301.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"&gt;&lt;/path&gt;&lt;circle fill-opacity="0" transform="matrix(1,0,0,1,120,0)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-272" cx="-84"&gt;&lt;/circle&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-576" x="274"&gt;&lt;/rect&gt;&lt;circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-544" cx="300"&gt;&lt;/circle&gt;&lt;text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-564" x="300" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-564"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-576" x="274"&gt;&lt;/rect&gt;&lt;path stroke-width="5" d="M764.6666666666666,-329L765.5,-299" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M828,-219L828,-197" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M881,-272L903,-272" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,528,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="210"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="892"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="882"&gt;&lt;/rect&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-544" cx="972"&gt;&lt;/circle&gt;&lt;circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:4180-_ffffff:0-_B8B8B8:100)" r="40" cy="-544" cx="972"&gt;&lt;/circle&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="882"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="604"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="594"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-584" x="644"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:4290-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-584" x="644"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="594"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-576" x="802"&gt;&lt;/rect&gt;&lt;circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-544" cx="828"&gt;&lt;/circle&gt;&lt;text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-564" x="828" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-564"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-576" x="802"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,768,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-362" x="498"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="1420"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="1410"&gt;&lt;/rect&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-544" cx="1500"&gt;&lt;/circle&gt;&lt;circle stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:5300-_ffffff:0-_B8B8B8:100)" r="40" cy="-544" cx="1500"&gt;&lt;/circle&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="1410"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-624" x="1132"&gt;&lt;/rect&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-634" x="1122"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,3,3)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-584" x="1172"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:5410-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-584" x="1172"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-634" x="1122"&gt;&lt;/rect&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-27.648500000000002" x="571.0707500000001"&gt;&lt;/rect&gt;&lt;path stroke-width="1" class="delete" transform="matrix(1,0,0,1,568.7,-29.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"&gt;&lt;/path&gt;&lt;circle fill-opacity="0" transform="matrix(1,0,0,1,504,0)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="0" cx="60"&gt;&lt;/circle&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-299.6485" x="1099.0707499999999"&gt;&lt;/rect&gt;&lt;path stroke-width="1" class="delete" transform="matrix(1,0,0,1,1096.7,-301.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"&gt;&lt;/path&gt;&lt;circle fill-opacity="0" transform="matrix(1,0,0,1,648,0)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-272" cx="444"&gt;&lt;/circle&gt;&lt;rect fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-576" x="1330"&gt;&lt;/rect&gt;&lt;circle stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-544" cx="1356"&gt;&lt;/circle&gt;&lt;text fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-564" x="1356" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-564"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-576" x="1330"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,528,0)" stroke-width="1" fill-opacity="0" opacity="1" style="opacity: 1; fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" ry="0" rx="0" height="80" width="80" y="-312" x="260"&gt;&lt;/rect&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-355.4485" x="895.87075"&gt;&lt;/rect&gt;&lt;path stroke-width="1" opacity="1" class="delete" transform="matrix(1,0,0,1,893.5,-357.5)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="opacity: 1; display: none;"&gt;&lt;/path&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,12.7848,-628.8653)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:5940-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="760.46"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,12.7848,-628.8653)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:595330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="760.46"&gt;&lt;/rect&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,103.2155,-643.1844)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:5990-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="822.96"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,103.2155,-643.1844)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:600330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="822.96"&gt;&lt;/rect&gt;&lt;ellipse stroke-width="1" fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:603r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-272" cx="903"&gt;&lt;/ellipse&gt;&lt;ellipse stroke-width="1" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:604r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-272" cx="903"&gt;&lt;/ellipse&gt;&lt;circle transform="matrix(1,0,0,1,240,0)" stroke-width="1" fill-opacity="0" opacity="1" style="opacity: 1; fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" r="40" cy="-272" cx="60"&gt;&lt;/circle&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-355.4485" x="367.87075"&gt;&lt;/rect&gt;&lt;path opacity="1" class="delete" transform="matrix(1,0,0,1,365.5,-357.5)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="opacity: 1; display: none;"&gt;&lt;/path&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-141.8628,-255.5129)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:6280-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="232.46"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-141.8628,-255.5129)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:629330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-304.04" x="232.46"&gt;&lt;/rect&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-51.4321,-269.832)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:6330-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="294.96"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-51.4321,-269.832)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:634330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-202.04" x="294.96"&gt;&lt;/rect&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:6370-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="11.200000000000001" width="11.200000000000001" y="-277.6" x="369.4"&gt;&lt;/rect&gt;&lt;rect stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:638330-_ccc-_ccc)" ry="1" rx="1" height="11.200000000000001" width="11.200000000000001" y="-277.6" x="369.4"&gt;&lt;/rect&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-571.6485" x="-220.92925"&gt;&lt;/rect&gt;&lt;path opacity="1" class="delete" transform="matrix(1,0,0,1,-223.3,-573.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="opacity: 1; display: none;"&gt;&lt;/path&gt;&lt;circle fill-opacity="0" transform="matrix(1,0,0,1,0,0)" stroke-width="2" style="fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" r="6.5" cy="-544" cx="-228"&gt;&lt;/circle&gt;&lt;ellipse fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:644r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-508" cx="-228"&gt;&lt;/ellipse&gt;&lt;ellipse stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:645r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-508" cx="-228"&gt;&lt;/ellipse&gt;&lt;rect transform="matrix(1,0,0,1,0,0)" stroke-width="1" fill-opacity="0" opacity="1" style="opacity: 1; fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" ry="0" rx="0" height="80" width="80" y="-584" x="-412"&gt;&lt;/rect&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-627.4485" x="-304.12925"&gt;&lt;/rect&gt;&lt;path opacity="1" class="delete" transform="matrix(1,0,0,1,-306.5,-629.5)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="opacity: 1; display: none;"&gt;&lt;/path&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-531.0201,139.9959)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:6510-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-576.04" x="-439.54"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-531.0201,139.9959)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:652330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-576.04" x="-439.54"&gt;&lt;/rect&gt;&lt;ellipse fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:657r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-619" cx="-372"&gt;&lt;/ellipse&gt;&lt;ellipse stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:658r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-619" cx="-372"&gt;&lt;/ellipse&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,-440.5894,125.6768)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:6610-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="-474.04" x="-377.04"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-440.5894,125.6768)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:662330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="-474.04" x="-377.04"&gt;&lt;/rect&gt;&lt;ellipse fill-opacity="1" opacity="1" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="none" fill="url(#grad:665r_.5_.9_hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="6.6000000000000005" rx="6.6000000000000005" cy="-544" cx="-297"&gt;&lt;/ellipse&gt;&lt;ellipse stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:666r_.5_.1__ccc-_ccc)" ry="6.2700000000000005" rx="5.28" cy="-544" cx="-297"&gt;&lt;/ellipse&gt;&lt;/svg&gt;</image>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>4</number>\n<className>PhenoTips.PedigreeClass</className>\n<guid>8a3fb3c2-f5d8-4485-917a-94e1a62fd73d</guid>\n<property>\n<data>{"GG":[{"id":0,"prop":{"gender":"U"}},{"id":1,"chhub":true,"prop":{},"outedges":[{"to":0}]},{"id":2,"rel":true,"hub":true,"prop":{},"outedges":[{"to":1}]},{"id":3,"prop":{"gender":"F"},"outedges":[{"to":2}]},{"id":4,"prop":{"gender":"M"},"outedges":[{"to":2}]},{"id":5,"chhub":true,"prop":{},"outedges":[{"to":4}]},{"id":6,"rel":true,"hub":true,"prop":{},"outedges":[{"to":5}]},{"id":7,"prop":{"gender":"U"},"outedges":[{"to":6}]},{"id":8,"prop":{"gender":"U"},"outedges":[{"to":6}]},{"id":9,"chhub":true,"prop":{},"outedges":[{"to":3}]},{"id":10,"rel":true,"hub":true,"prop":{},"outedges":[{"to":9}]},{"id":11,"prop":{"gender":"U"},"outedges":[{"to":10}]},{"id":12,"prop":{"gender":"U"},"outedges":[{"to":10}]},{"id":13,"chhub":true,"prop":{},"outedges":[{"to":7},{"to":12}]},{"id":14,"rel":true,"hub":true,"prop":{},"outedges":[{"to":13}]},{"id":15,"prop":{"gender":"F"},"outedges":[{"to":14}]},{"id":16,"prop":{"gender":"M"},"outedges":[{"to":14}]}],"ranks":[7,6,5,5,5,4,3,3,3,4,3,3,3,2,1,1,1],"order":[[],[16,14,15],[13],[8,6,7,12,10,11],[5,9],[4,2,3],[1],[0]],"positions":[39,39,39,61,17,17,17,29,5,61,61,73,49,39,39,51,27]}</data>\n</property>\n<property>\n<description>Consanguineous marriage - cousins</description>\n</property>\n<property>\n<image>&lt;svg viewBox="-30 -90 996 996" width="200" height="200" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg" version="1.1"&gt;&lt;path stroke-width="1.25" d="M468,0L468,160" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M348,160L588,160" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M588,160L588,272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M348,160L348,272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M324,0L468,0" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M468,0L612,0" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M732,272L732,400" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M732,400L732,400" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M732,400L732,544" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M732,272L876,272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M588,272L732,272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M204,272L204,400" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M204,400L204,400" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M204,400L204,544" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M60,272L204,272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M204,272L348,272" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M468,544L468,672" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M468,672L468,672" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M468,672L468,816" stroke="#303058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M206.5,541.5L470.5,541.5" stroke="#402058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M201.5,546.5L465.5,546.5" stroke="#402058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M470.5,546.5L734.5,546.5" stroke="#402058" fill="none" style=""&gt;&lt;/path&gt;&lt;path stroke-width="1.25" d="M465.5,541.5L729.5,541.5" stroke="#402058" fill="none" style=""&gt;&lt;/path&gt;&lt;desc&gt;Created with Raphaël 2.1.0&lt;/desc&gt;&lt;defs&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:6445-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:6545-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:890-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:900-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1000-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:1010-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4750-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4760-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4860-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:4870-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:70545-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:70645-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:74945-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:75045-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:81845-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:81945-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:84845-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:84945-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0.9999999999999998" x1="0" id="grad:90845-_ffffff:0-_B8B8B8:100"&gt;&lt;stop stop-color="#ffffff" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#b8b8b8" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:914330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:9130-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:919330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:9180-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0.5773502691896265" x2="1" y1="0" x1="0" id="grad:923330-_ccc-_ccc"&gt;&lt;stop stop-color="#cccccc" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-opacity="0" stop-color="#cccccc" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;linearGradient y2="0" x2="1" y1="0" x1="0" id="grad:9220-hsb_0.53__1__.75_-hsb_0.53__.5__.25_"&gt;&lt;stop stop-color="#009cbf" offset="0%"&gt;&lt;/stop&gt;&lt;stop stop-color="#1f3a3f" offset="100%"&gt;&lt;/stop&gt;&lt;/linearGradient&gt;&lt;/defs&gt;&lt;rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="144" x="-20"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="134" x="-30"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,583.9655,619.4243)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="192.8873016277919" x="28.88730162779191"&gt;&lt;/rect&gt;&lt;rect stroke-width="5.092592592592593" transform="matrix(0.7637,0.7637,-0.7637,0.7637,593.2428,599.1162)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:6445-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="192.8873016277919" x="28.88730162779191"&gt;&lt;/rect&gt;&lt;path stroke-width="1" transform="matrix(1,0,0,1,410.8873,835.1127)" opacity="1" d="M9.182800000000002,25.3319C9.182800000000002,25.3319,0.8701000000000001,33.6424,0.8701000000000001,33.6424C0.8701000000000001,33.6424,3.8665000000000003,36.6388,3.8665000000000003,36.6388C3.8665000000000003,36.6388,12.177000000000001,28.3272,12.17744,28.3272C12.177000000000001,28.3272,14.425400000000002,30.574500000000004,14.425400000000002,30.574500000000004C14.425400000000002,30.574500000000004,17.1578,20.376400000000004,17.1578,20.376400000000004C17.1578,20.376400000000004,6.959700000000001,23.108800000000002,6.959700000000001,23.108800000000002C6.959700000000001,23.108800000000002,9.182800000000002,25.3319,9.182800000000002,25.331350000000004C9.182800000000002,25.3319,9.182800000000002,25.3319,9.182800000000002,25.3319" stroke="none" fill="#595959" style="opacity: 1;"&gt;&lt;/path&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="134" x="-30"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,528,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-128" x="124"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,528,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-138" x="114"&gt;&lt;/rect&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,531,595)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-48" cx="204"&gt;&lt;/circle&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,528,592)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:890-_ffffff:0-_B8B8B8:100)" r="40" cy="-48" cx="204"&gt;&lt;/circle&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-128" x="-164"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-138" x="-174"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,291,595)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-88" x="-124"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" stroke-width="1" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:1000-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-88" x="-124"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-80" x="34"&gt;&lt;/rect&gt;&lt;circle transform="matrix(1,0,0,1,408,592)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-48" cx="60"&gt;&lt;/circle&gt;&lt;text transform="matrix(1,0,0,1,408,592)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-68" x="60" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-68"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-80" x="34"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-138" x="-174"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-400" x="-20"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-410" x="-30"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-400" x="-308"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-410" x="-318"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-5.0538,663.7372)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="-259.1126983722081"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,-5.0538,659.4945)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:70545-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="-259.1126983722081"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-410" x="-318"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-352" x="-110"&gt;&lt;/rect&gt;&lt;circle transform="matrix(1,0,0,1,288,592)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-320" cx="-84"&gt;&lt;/circle&gt;&lt;text transform="matrix(1,0,0,1,288,592)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-340" x="-84" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-340"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-352" x="-110"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,528,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-138" x="114"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-400" x="508"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-410" x="498"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,233.947,86.738)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="556.8873016277919"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,233.947,82.4954)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:74945-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="556.8873016277919"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-410" x="498"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-400" x="220"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-410" x="210"&gt;&lt;/rect&gt;&lt;path stroke-width="5" d="M588,272L588,215L523,215" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M588,215L588,186" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M588,272L588,327" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M588,272L643,272" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,149.5938,290.3848)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="268.8873016277919"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,149.5938,286.1421)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:84845-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="268.8873016277919"&gt;&lt;/rect&gt;&lt;path stroke-width="5" d="M524.6666666666666,215L525.5,245" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M588,325L588,347" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;path stroke-width="5" d="M641,272L663,272" stroke="#808080" fill="none" style="display: none;"&gt;&lt;/path&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-410" x="210"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-352" x="418"&gt;&lt;/rect&gt;&lt;circle transform="matrix(1,0,0,1,288,592)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-320" cx="444"&gt;&lt;/circle&gt;&lt;text transform="matrix(1,0,0,1,288,592)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-340" x="444" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-340"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-352" x="418"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,79.2994,460.0904)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="28.88730162779191"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,79.2994,455.8478)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:81845-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="28.88730162779191"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,288,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-410" x="-30"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-672" x="124"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-682" x="114"&gt;&lt;/rect&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,411,595)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" r="40" cy="-592" cx="204"&gt;&lt;/circle&gt;&lt;circle stroke-width="1" transform="matrix(1,0,0,1,408,592)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:4750-_ffffff:0-_B8B8B8:100)" r="40" cy="-592" cx="204"&gt;&lt;/circle&gt;&lt;rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-682" x="114"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0" opacity="0" style="opacity: 0; fill-opacity: 0;" stroke="none" fill="#000000" ry="5" rx="5" height="160" width="160" y="-672" x="-164"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="180" width="180" y="-682" x="-174"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,411,595)" fill-opacity="1" opacity="0.3" style="opacity: 0.3; fill-opacity: 1;" stroke="none" fill="#808080" ry="0" rx="0" height="80" width="80" y="-632" x="-124"&gt;&lt;/rect&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,408,592)" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1;" stroke="#595959" fill="url(#grad:4860-_ffffff:0-_B8B8B8:100)" ry="0" rx="0" height="80" width="80" y="-632" x="-124"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="180" width="180" y="-682" x="-174"&gt;&lt;/rect&gt;&lt;rect transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#808080" ry="5" rx="5" height="92" width="52" y="-624" x="34"&gt;&lt;/rect&gt;&lt;circle transform="matrix(1,0,0,1,408,592)" stroke-width="2" style="" stroke="#000000" fill="#dc7868" r="6.5" cy="-592" cx="60"&gt;&lt;/circle&gt;&lt;text transform="matrix(1,0,0,1,408,592)" fill="#000000" stroke="none" font-size="14px" font-family="Tahoma" text-anchor="middle" y="-612" x="60" style="text-anchor: middle; font-family: Tahoma; font-size: 14px;"&gt;&lt;tspan dy="-612"&gt;&lt;/tspan&gt;&lt;/text&gt;&lt;rect stroke-width="1" transform="matrix(1,0,0,1,408,592)" fill-opacity="0.35" opacity="0" style="opacity: 0; fill-opacity: 0.35;" stroke="none" fill="#008000" ry="0" rx="0" height="92" width="52" y="-624" x="34"&gt;&lt;/rect&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="516.3515" x="475.07075"&gt;&lt;/rect&gt;&lt;path stroke-width="1" class="delete" transform="matrix(1,0,0,1,472.7,514.3)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"&gt;&lt;/path&gt;&lt;circle fill-opacity="0" transform="matrix(1,0,0,1,408,592)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-48" cx="60"&gt;&lt;/circle&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="244.3515" x="211.07075"&gt;&lt;/rect&gt;&lt;path stroke-width="1" class="delete" transform="matrix(1,0,0,1,208.7,242.3)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"&gt;&lt;/path&gt;&lt;circle fill-opacity="0" transform="matrix(1,0,0,1,288,592)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-320" cx="-84"&gt;&lt;/circle&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="244.3515" x="739.0707500000001"&gt;&lt;/rect&gt;&lt;path stroke-width="1" class="delete" transform="matrix(1,0,0,1,736.7,242.3)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"&gt;&lt;/path&gt;&lt;circle fill-opacity="0" transform="matrix(1,0,0,1,288,592)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-320" cx="444"&gt;&lt;/circle&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="-27.648500000000002" x="475.07075"&gt;&lt;/rect&gt;&lt;path stroke-width="1" class="delete" transform="matrix(1,0,0,1,472.7,-29.7)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none;"&gt;&lt;/path&gt;&lt;circle fill-opacity="0" transform="matrix(1,0,0,1,408,592)" stroke-width="2" style="fill-opacity: 0; cursor: pointer;" stroke="none" fill="#000000" r="6.5" cy="-592" cx="60"&gt;&lt;/circle&gt;&lt;circle opacity="1" stroke-width="1" style="opacity: 1;" stroke="#888888" fill="#666666" r="3.25" cy="160" cx="468"&gt;&lt;/circle&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,149.5938,286.1421)" fill-opacity="0" opacity="1" style="opacity: 1; fill-opacity: 0; cursor: pointer; display: none;" stroke="none" fill="#000000" ry="0" rx="0" height="62.22539674441618" width="62.22539674441618" y="-351.1126983722081" x="268.8873016277919"&gt;&lt;/rect&gt;&lt;rect class="delete" stroke-width="0" opacity="0" style="opacity: 0; display: none;" stroke="#000" fill="#808080" ry="1" rx="1" height="14.997" width="14.9955" y="188.55149999999998" x="655.87075"&gt;&lt;/rect&gt;&lt;path opacity="1" class="delete" transform="matrix(1,0,0,1,653.5,186.5)" d="M14.867,12.851C14.867,12.851,11.566,9.55,11.566,9.55C11.566,9.55,14.866,6.249,14.866,6.249C14.866,6.249,13.169,4.551,13.169,4.551C13.169,4.551,9.868,7.852,9.868,7.852C9.868,7.852,6.567,4.551,6.567,4.551C6.567,4.551,4.87,6.249,4.87,6.249C4.87,6.249,8.171,9.55,8.171,9.55C8.171,9.55,4.87,12.851,4.87,12.851C4.87,12.851,6.568,14.549,6.568,14.549C6.568,14.549,9.868,11.248,9.868,11.248C9.868,11.248,13.169,14.549,13.169,14.549C13.169,14.549,14.867,12.851,14.867,12.851" stroke="none" fill="#990000" style="display: none; opacity: 1;"&gt;&lt;/path&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,327.1565,-299.8258)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:9130-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="239.96" x="520.46"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,327.1565,-299.8258)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:914330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="239.96" x="520.46"&gt;&lt;/rect&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,417.5873,-314.1448)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:9180-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="341.96" x="582.96"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,417.5873,-314.1448)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:919330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="341.96" x="582.96"&gt;&lt;/rect&gt;&lt;rect stroke-width="0.75" fill-opacity="1" opacity="1" transform="matrix(0.7071,0.7071,-0.7071,0.7071,386.5212,-389.1448)" style="cursor: pointer; opacity: 1; fill-opacity: 1; display: none;" stroke="#555555" fill="url(#grad:9220-hsb_0.53__1__.75_-hsb_0.53__.5__.25_)" ry="0" rx="0" height="10.080000000000002" width="10.080000000000002" y="266.96" x="657.96"&gt;&lt;/rect&gt;&lt;rect transform="matrix(0.7071,0.7071,-0.7071,0.7071,386.5212,-389.1448)" stroke-opacity="0" fill-opacity="1" opacity="1" style="opacity: 1; fill-opacity: 1; cursor: pointer; display: none;" stroke="none" fill="url(#grad:923330-_ccc-_ccc)" ry="1" rx="1" height="10.080000000000002" width="10.080000000000002" y="266.96" x="657.96"&gt;&lt;/rect&gt;&lt;/svg&gt;</image>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>73d1fb26-3da7-4f17-91be-25c84b0282f3</guid>\n<property>\n<advancedOnly>1</advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute></codeToExecute>\n</property>\n<property>\n<configurationClass>PhenoTips.DBConfigurationClass</configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>tablesconfig</displayInSection>\n</property>\n<property>\n<heading>$services.localization.render('phenotips.navigation.webHome.dataTables.heading')</heading>\n</property>\n<property>\n<iconAttachment>clinicaldata.png</iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow>\n<value>livetableColumns</value>\n<value>livetableSortColumn</value>\n<value>livetableRows</value>\n</propertiesToShow>\n</property>\n<property>\n<sectionPriority>300</sectionPriority>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>2</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>5ba6063a-8aa3-4790-9264-61feef60ad35</guid>\n<property>\n<advancedOnly></advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute>{{include reference="PhenoTips.FormDesigner"/}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>FormConfig</displayInSection>\n</property>\n<property>\n<heading>$services.localization.render('phenotips.navigation.webHome.formConfig.heading')</heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionPriority>100</sectionPriority>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>3</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>7a2b8d61-609c-4751-b25b-ec13d7664244</guid>\n<property>\n<advancedOnly></advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute>#set($targetDocName = 'data.WebHome')\n#set($targetDoc = $xwiki.getDocument($targetDocName))\n#set($className = 'XWiki.GadgetClass')\n#set($gadgetObj = $targetDoc.getObject($className))\n#set($prefix = "${className}_${gadgetObj.number}_")\n#set($fullPrefix = "${targetDocName}_${prefix}")\n\n{{html clean=false}}\n&lt;form id="welcome_${targetDocName}" method="post" action="$targetDoc.getURL('save')" class="xform half"&gt;\n&lt;fieldset&gt;&lt;dl&gt;\n&lt;dt&gt;&lt;label for="${targetDocName}title"&gt;$services.localization.render('phenotips.navigation.webHome.homepage.label')&lt;/label&gt;&lt;/dt&gt;\n&lt;dd&gt;&lt;input id="${targetDocName}title" name="title" size="30" type="text" value="$!escapetool.xml($targetDoc.title)"&gt;&lt;/input&gt;&lt;/dd&gt;\n&lt;dt&gt;&lt;label for="${fullPrefix}title"&gt;$services.localization.render('phenotips.navigation.webHome.welcomeMessage.label')&lt;/label&gt;&lt;/dt&gt;\n&lt;dd&gt;&lt;input id="${fullPrefix}title" name="${prefix}title" size="30" type="text" value="$!escapetool.xml($gadgetObj.getProperty('title').value)"&gt;&lt;/input&gt;&lt;/dd&gt;\n&lt;dt&gt;&lt;label for="${fullPrefix}content"&gt;$services.localization.render('phenotips.navigation.webHome.welcomeMessageContent.label')&lt;/label&gt;&lt;/dt&gt;\n&lt;dd&gt;&lt;textarea cols="40" id="${fullPrefix}content" name="${prefix}content" rows="10"&gt;$!escapetool.xml($gadgetObj.getProperty('content').value)&lt;/textarea&gt;&lt;/dd&gt;\n&lt;/dl&gt;\n&lt;input type="hidden" id="${targetDocName}_redirect" name="xredirect" value="$escapetool.xml($doc.getURL($xcontext.action, $request.queryString))" /&gt;\n&lt;input type="hidden" name="form_token" value="$!{escapetool.xml($services.csrf.token)}" /&gt;\n&lt;/fieldset&gt;\n&lt;div class="bottombuttons"&gt;&lt;p class="admin-buttons"&gt;\n&lt;span class="buttonwrapper"&gt;&lt;input class="button" type="submit" name="action_saveandcontinue" value="$services.localization.render('phenotips.navigation.webHome.save')" /&gt;&lt;/span&gt;\n&lt;/p&gt;&lt;/div&gt;\n&lt;/form&gt;\n{{/html}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>welcome</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionPriority>0</sectionPriority>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>4</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>2227bbb8-f5a2-4749-acf1-a63e68f453cd</guid>\n<property>\n<advancedOnly></advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute>{{info}}$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.info'){{/info}}\n\n#if ($isAdvancedUser)\n#set ($errorMessage = '')\n#if ($request.doCreate == '1' &amp;&amp; $services.csrf.isTokenValid($request.form_token))\n  #if ("$!{request.name.trim()}" == '')\n    #set ($errorMessage = "$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.error.noName')")\n  #else\n    #set ($targetDocument = $services.model.createDocumentReference($xcontext.database, $request.space, $request.name.trim()))\n    #if ($xwiki.exists($targetDocument))\n      #set ($errorMessage = "$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.error.nameExists', [${request.name}])")\n    #else\n      $response.sendRedirect($xwiki.getURL($targetDocument, 'edit', "editor=inline&amp;template=$escapetool.url($!{request.classTemplate})&amp;title=$!escapetool.url($request.name)&amp;parent=$!escapetool.url($request.parent)"))\n      #break\n    #end\n  #end\n#end\n\n\n#if ("$!errorMessage" != '')\n{{error}}$errorMessage{{/error}}\n\n#end\n{{html clean=false}}\n&lt;form class="xformInline" action="$doc.getURL($xcontext.action, $request.queryString)" method="post"&gt;&lt;div&gt;\n  &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n  &lt;input type="hidden" name="doCreate" value="1" /&gt;\n  &lt;input type="hidden" name="classTemplate" value="PhenoTips.PhenotypeMappingTemplate" /&gt;\n  &lt;input type="hidden" name="space" value="PhenoTips" /&gt;\n  &lt;input type="hidden" name="parent" value="data.WebHome" /&gt;\n  &lt;label for="config-name"&gt;$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.newConfig.label') &lt;/label&gt;&lt;input type="text" name="name" id="config-name" placeholder="$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.newConfig.placeholder')"/&gt;&lt;input class="button" type="submit" value="$services.localization.render('phenotips.navigation.webHome.create')"/&gt;\n&lt;/div&gt;&lt;/form&gt;\n{{/html}}\n#end\n\n(% class="mappingPreviewContainer side" %)(((\n(% class="hint side" %)(((Preview)))\n(% id="mappingPreview"%)((()))\n)))\n$xwiki.ssx.use('PhenoTips.YesNoNAPicker', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.Widgets', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.PatientSheetCode', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.ssx.use('PhenoTips.PhenotypeMappingPreview', {'colorTheme' : "$!{themeDocFullName}"})##\n$xwiki.jsx.use('PhenoTips.PhenotypeMappingPreview')##</codeToExecute>\n</property>\n<property>\n<configurationClass>PhenoTips.DBConfigurationClass</configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>mapping</displayInSection>\n</property>\n<property>\n<heading>$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.heading')</heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow>\n<value>phenotypeMapping</value>\n</propertiesToShow>\n</property>\n<property>\n<sectionPriority>150</sectionPriority>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>5</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>1a9fbd0f-69b8-4a86-b441-2572e8d872a2</guid>\n<property>\n<advancedOnly></advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute></codeToExecute>\n</property>\n<property>\n<configurationClass>PhenoTips.DBConfigurationClass</configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>dataformats</displayInSection>\n</property>\n<property>\n<heading>$services.localization.render('phenotips.navigation.webHome.dataFormats.heading')</heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow>\n<value>dateOfBirthFormat</value>\n<value>enableImperialUnitSystem</value>\n<value>measurementUnitSystem</value>\n</propertiesToShow>\n</property>\n<property>\n<sectionPriority>170</sectionPriority>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>0</number>\n<className>XWiki.GadgetClass</className>\n<guid>2b239e71-7417-4b63-a8bf-83b76a14015d</guid>\n<property>\n<content>{{translation key="phenotips.homepage.welcome.message" /}}\n\n{{comment}}\nThese are translation keys, automatically replaced with the proper translation for the current language.\n\nTo write a custom message, you can remove the existing code and write your message here directly.\n{{/comment}}</content>\n</property>\n<property>\n<position>1,1</position>\n</property>\n<property>\n<title>{{translation key="phenotips.homepage.welcome.title" /}}</title>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>1</number>\n<className>XWiki.GadgetClass</className>\n<guid>954a4ff4-88eb-4246-8f18-cb25893498fa</guid>\n<property>\n<content>{{phenotips-groups /}}</content>\n</property>\n<property>\n<position>1,2</position>\n</property>\n<property>\n<title>$services.localization.render('phenotips.homepage.groups.title') (% style="float: right;" %)[[$services.localization.render('phenotips.homepage.groups.moreGroups')&gt;&gt;Groups.WebHome]]</title>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>2</number>\n<className>XWiki.GadgetClass</className>\n<guid>1662b049-1db2-42d1-8093-8cfcace7069c</guid>\n<property>\n<content>{{velocity}}\n#if ($isGuest)\n#set ($availableData = $services.query.xwql("from doc.object(PhenoTips.PatientClass) as pat, doc.object(PhenoTips.OwnerClass) as owner where doc.fullName &lt;&gt; 'PhenoTips.PatientTemplate' and (owner.owner = '' or owner.owner is null) and pat.identifier &gt;= 0").addFilter('unique').count())\n#else\n#set ($availableData = $services.query.xwql("from doc.object(PhenoTips.PatientClass) as pat, doc.object(PhenoTips.OwnerClass) as owner where doc.fullName &lt;&gt; 'PhenoTips.PatientTemplate' and owner.owner = :o and pat.identifier &gt;= 0").bindValue('o', $services.model.serialize($xcontext.userReference, 'default')).addFilter('unique').count())\n#end\n#if ($availableData &gt; 0)\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($columns = ['external_id', 'doc.creator', 'doc.creationDate', '_actions'])\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column == 'external_id'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true  }))\n#end\n##\n##\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'resultPage'        : 'PhenoTips.LiveTableResults'\n})\n#set ($filterFrom = ", BaseObject ownerObj, StringProperty ownerProp, LongProperty iid")\n#if ($isGuest)\n  #set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value &gt;= 0 and ownerObj.name = doc.fullName and ownerObj.className = 'PhenoTips.OwnerClass' and ownerProp.id.id = ownerObj.id and (ownerProp.value = '' or ownerProp.value is null)")\n#else\n  #set ($o = $escapetool.sql($services.model.serialize($xcontext.userReference, 'default')))\n  #set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value &gt;= 0 and ownerObj.name = doc.fullName and ownerObj.className = 'PhenoTips.OwnerClass' and ownerProp.id.id = ownerObj.id and ownerProp.value = '${o}'")\n#end\n#set ($discard = $options.put('extraParams', "&amp;filterFrom=${escapetool.url($filterFrom)}&amp;filterWhere=${escapetool.url($filterWhere)}"))\n#if ("$!config.getProperty('livetableRows').value" != '' &amp;&amp; $config.getProperty('livetableRows').value &gt; 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('mypatients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}**$services.localization.render('phenotips.configurationMissing')**{{/warning}}\n#end\n#else\n{{info}}$services.localization.render('phenotips.homepage.myData.noDataMessage'){{/info}}\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<position>2,1</position>\n</property>\n<property>\n<title>{{translation key="phenotips.homepage.myData.title"/}}#if($hasCreatePage) {{html clean=false}}&lt;label for="create-patient-record"&gt;&lt;span class="fa fa-plus-circle"&gt; &lt;/span&gt;$services.localization.render('phenotips.homepage.myData.createPatient')&lt;/label&gt;#end</title>\n</property>\n</object>\n<object>\n<name>data.WebHome</name>\n<number>3</number>\n<className>XWiki.GadgetClass</className>\n<guid>347deddb-651f-4750-b314-10b6f4ed5443</guid>\n<property>\n<content>{{velocity}}\n#if (!$isGuest)\n#set ($groupsAndSelf = [$xcontext.userReference.toString()])\n#set ($groups = [])\n#set ($toProcess = $collectionstool.queue)\n#set ($discard = $toProcess.add($xcontext.userReference.toString()))\n#foreach ($iteration in [0..1000])\n  #if ($toProcess.empty)\n    #break\n  #end\n  #set ($item = $toProcess.poll())\n  #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n    #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n    #if (!$groupObj &amp;&amp; $group.documentReference.name.endsWith(' Administrators'))\n      #set ($group = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)))\n      #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n    #end\n    #if ($groupObj &amp;&amp; !$groups.contains($group.documentReference.toString()))\n      #set ($discard = $toProcess.add($group.documentReference.toString()))\n      #set ($discard = $groups.add($escapetool.sql($group.documentReference.toString())))\n      #set ($discard = $groupsAndSelf.add($escapetool.sql($group.documentReference.toString())))\n    #end\n  #end\n#end\n#set ($groupsString = "('${stringtool.join($groups, ""','"")}')")\n#if ($groups.empty)\n  #set ($query = ", BaseObject accessObj, StringProperty accessProp, BaseObject patientObj, LongProperty iid where patientObj.name = doc.fullName and doc.fullName &lt;&gt; 'PhenoTips.PatientTemplate' and patientObj.className = 'PhenoTips.PatientClass' and iid.id.id = patientObj.id and iid.id.name = 'identifier' and iid.value &gt;= 0 and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and accessObj.className = 'PhenoTips.CollaboratorClass' and accessProp.value in ('${stringtool.join($groupsAndSelf, ""','"")}') and not exists (from BaseObject ownerObj, StringProperty ownerProp where ownerObj.className = 'PhenoTips.OwnerClass' and ownerObj.name = doc.fullName and ownerProp.id.id = ownerObj.id and ownerProp.value = '$escapetool.sql($xcontext.userReference.toString())')")\n#else\n  #set ($query = ", BaseObject accessObj, StringProperty accessProp, BaseObject patientObj, LongProperty iid where patientObj.name = doc.fullName and doc.fullName &lt;&gt; 'PhenoTips.PatientTemplate' and patientObj.className = 'PhenoTips.PatientClass' and iid.id.id = patientObj.id and iid.id.name = 'identifier' and iid.value &gt;= 0 and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and ((accessObj.className = 'PhenoTips.OwnerClass' and accessProp.value in ('${stringtool.join($groups, ""','"")}')) or (accessObj.className = 'PhenoTips.CollaboratorClass' and accessProp.value in ('${stringtool.join($groupsAndSelf, ""','"")}'))) and not exists (from BaseObject ownerObj, StringProperty ownerProp where ownerObj.className = 'PhenoTips.OwnerClass' and ownerObj.name = doc.fullName and ownerProp.id.id = ownerObj.id and ownerProp.value = '$escapetool.sql($xcontext.userReference.toString())')")\n#end\n#set ($availableData = $services.query.hql($query).count())\n#if ($availableData &gt; 0)\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($columns = ['external_id', 'doc.creator', 'doc.creationDate', '_actions'])\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column == 'external_id'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true  }))\n#end\n##\n##\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'resultPage'        : 'PhenoTips.LiveTableResults'\n})\n#set ($filterFrom = ", BaseObject accessObj, StringProperty accessProp, LongProperty iid")\n#set ($filterWhere = "and iid.id.id = obj.id and iid.id.name = 'identifier' and iid.value &gt;= 0 and accessObj.name = doc.fullName and accessProp.id.id = accessObj.id and (")\n#if (!$groups.isEmpty())\n  #set ($filterWhere = "${filterWhere}(accessObj.className = 'PhenoTips.OwnerClass' and accessProp.value in ('${stringtool.join($groups, ""','"")}')) or ")\n#end\n#set ($discard = $groups.add($services.model.serialize($xcontext.userReference, 'default')))\n#set ($filterWhere = "${filterWhere}(accessObj.className = 'PhenoTips.CollaboratorClass' and accessProp.value in ('${stringtool.join($groups, ""','"")}'))) and not exists (from BaseObject ownerObj, StringProperty ownerProp where ownerObj.className = 'PhenoTips.OwnerClass' and ownerObj.name = doc.fullName and ownerProp.id.id = ownerObj.id and ownerProp.value = '$escapetool.sql($xcontext.userReference.toString())')")\n#set ($discard = $options.put('extraParams', "&amp;filterFrom=${escapetool.url($filterFrom)}&amp;filterWhere=${escapetool.url($filterWhere)}"))\n#if ("$!config.getProperty('livetableRows').value" != '' &amp;&amp; $config.getProperty('livetableRows').value &gt; 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('sharedpatients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}**$services.localization.render('phenotips.configurationMissing')**{{/warning}}\n#end\n#else\n{{info}}$services.localization.render('phenotips.homepage.sharedData.noDataMessage'){{/info}}\n#end\n#else\n{{info}}$services.localization.render('phenotips.homepage.sharedData.noDataMessage'){{/info}}\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<position>2,2</position>\n</property>\n<property>\n<title>$services.localization.render('phenotips.homepage.sharedData.title') (% style="float: right;" %)[[$services.localization.render('phenotips.homepage.sharedData.allData')&gt;&gt;data.AllData]]</title>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>data.WebHome</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>454b809e-0edd-4d8f-9a54-d17c25cd9319</guid>\n<property>\n<content>{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n&lt;div id="phenotips-mainmenu" class="layoutsubsection actionmenu"&gt;\n&lt;strong id="xwikimenutitle" class="hidden"&gt;$services.localization.render('core.menu.main.title')&lt;/strong&gt;\n&lt;div class="rightmenu"&gt;\n#set ($workspaceManagerMainDocumentReference = $services.model.createDocumentReference($xcontext.mainWikiName, 'WorkspaceManager', 'WebHome'))\n#set ($isWorkspaceManagerAppInstalled = $xwiki.exists($workspaceManagerMainDocumentReference))\n#set ($isWorkspace = $services.workspace.isWorkspace($xcontext.database))\n#set ($isMainWikiUser = ($xcontext.mainWikiName == "$!{xcontext.userReference.wikiReference.name}"))\n##\n## User\n##\n#if (!$xcontext.action.startsWith('login'))\n  #if ($isGuest)\n    #set ($loginurl = $xwiki.getURL('XWiki.XWikiLogin', 'login', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!loginurl $!services.localization.render('login') 'tmLogin' 'fa fa-sign-in')\n  #else\n    #set ($logouturl = $xwiki.getURL('XWiki.XWikiLogout', 'logout', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!logouturl $!services.localization.render('logout') 'tmLogout' 'fa fa-sign-out')\n  #end\n#end\n#if ($isGuest &amp;&amp; $xwiki.hasAccessLevel('register', 'XWiki.XWikiPreferences'))\n  #set ($regurl = $xwiki.getURL('XWiki.Register', 'register'))\n  #xwikitopmenuentry($!regurl $!services.localization.render('core.register') 'tmRegister' 'fa fa-plus-square')\n#end\n##\n##\n#if (!$isGuest)\n#if ($isSuperAdmin)\n  #xwikitopmenuentry('#' $!services.localization.render('superadmin') 'tmUser' 'fa fa-user')\n#else\n  #xwikitopmenuentry("$!xwiki.getURL($xcontext.user)" "$!xwiki.getUserName($xcontext.user, false)" 'tmUser' 'fa fa-user')\n#end\n#end\n&lt;/div&gt;\n&lt;div class="leftmenu"&gt;\n##\n## Administration\n##\n#set ($isAdminAppInstalled = $xwiki.exists('XWiki.AdminSheet'))\n#if ($isAdminAppInstalled &amp;&amp; $hasSpaceAdmin)\n  #set ($adminspaceaction = $!xwiki.getURL("XWiki.XWikiPreferences", 'admin'))\n  #xwikitopmenuentry($adminspaceaction "$services.localization.render('admin')" 'tmAdminSpace' 'fa fa-cogs')\n#end\n&lt;/div&gt;\n&lt;/div&gt;\n{{/html}}{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.header.top:data</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.header.top.globalMenu</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>data.WebHome</name>\n<number>1</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>554855a7-0987-4b6c-a437-aa9679825a47</guid>\n<property>\n<content>{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n&lt;div id="phenotips-globalTools" class="layoutsubsection actionmenu"&gt;\n  &lt;div class="rightmenu"&gt;\n    &lt;div class="topmenuentry search"&gt;\n      #if ($displayQuickSearch &amp;&amp; ($xwiki.exists('Main.Search') || $xwiki.exists('Main.WebSearch')))\n        &lt;div class="globalsearch"&gt;&lt;input type="hidden" name="space" value="data"/&gt;\n          &lt;label for="headerglobalsearchinput"&gt;&lt;span class="fa fa-search"&gt; &lt;/span&gt;&lt;/label&gt;&lt;input class="globalsearchinput" id="headerglobalsearchinput" type="text" name="text" placeholder="$services.localization.render('phenotips.globalHeader.search.placeholder')" size="20"/&gt;\n        &lt;/div&gt;\n      #end\n    &lt;/div&gt;\n    &lt;div class="topmenuentry all"&gt;&lt;label for="browse-all-patients"&gt;&lt;span class="fa fa-folder-open"&gt; &lt;/span&gt;&lt;a id="browse-all-patients" href="$xwiki.getURL('data.AllData')"&gt;$services.localization.render('phenotips.globalHeader.allData')&lt;/a&gt;&lt;/label&gt;&lt;/div&gt;\n    #if ($hasCreatePage)\n      &lt;div class="topmenuentry add"&gt;\n{{/html}}\n\n{{include reference="PhenoTips.CreatePatientRecordForm" /}}\n\n{{html clean=false}}&lt;/div&gt;\n    #end\n  &lt;/div&gt;\n  &lt;div class="breadcrumbs leftmenu"&gt;\n    &lt;a href="$!xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))" title="Home" rel="home"&gt;&lt;span class="fa fa-home fa-lg"&gt;&lt;/span&gt;&lt;/a&gt; &amp;raquo;\n    &lt;a href="$!xwiki.getURL("${doc.space}.WebHome")" &gt;$!{doc.space}&lt;/a&gt;\n    #if ($doc.name != 'WebHome')\n      &amp;raquo; &lt;a href="$doc.getURL()"&gt;$doc.displayTitle&lt;/a&gt;\n    #end\n  &lt;/div&gt;\n&lt;/div&gt;\n{{/html}}{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.header.bottom:data</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.header.bottom.globalTools</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>data.WebHome</name>\n<number>2</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>abf81c0c-b0e8-458c-b89d-35a229a8c24e</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.main.top:data</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.main.top.empty</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>data.WebHome</name>\n<number>3</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>5db691f3-5585-4feb-bfde-a03ad02677c5</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.content.top:data</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.content.top.empty</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>data.WebHome</name>\n<number>0</number>\n<className>XWiki.XWikiRights</className>\n<guid>ae386edc-2864-4bcb-97e3-d74fe2e85f24</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup,</groups>\n</property>\n<property>\n<levels>edit,comment,delete</levels>\n</property>\n<property>\n<users></users>\n</property>\n</object>\n<content>{{dashboard style="panels" /}}</content></xwikidoc>\n
-4513812893523364026	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>SearchSuggestConfig</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.SearchCode</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822123000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title>Search Suggest Configuration</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>search-suggest.png</filename>\n<filesize>13122</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618216000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<class>\n<name>XWiki.SearchSuggestConfig</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<activated>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>activated</name>\n<number>1</number>\n<prettyName>Activated</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</activated>\n</class>\n<object>\n<class>\n<name>XWiki.ClassSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>XWiki.SearchSuggestConfig</name>\n<number>0</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>79c764f1-0a8d-4b15-bb2c-40896812c3f1</guid>\n<property>\n<sheet>XWiki.SearchSuggestConfigSheet</sheet>\n</property>\n</object>\n<object>\n<name>XWiki.SearchSuggestConfig</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>322238f5-c742-43ed-81e0-ba169fc05653</guid>\n<property>\n<codeToExecute>{{html clean="false"}}\n&lt;form id="$formId" method="post" action="$formAction" class="xform half"&gt;\n{{/html}}\n\n{{include reference="XWiki.SearchSuggestConfig" context="new" /}}\n\n{{html clean=false}}\n  ## We add in a redirect field to prevent the user from being carried away when they save if they don't have JavaScript.\n  #set ($thisURL = $request.getRequestURL())\n  #if ($request.getQueryString() &amp;&amp; $request.getQueryString().length() &gt; 0)\n    #set ($thisURL = "${thisURL}?$request.getQueryString()")\n  #end\n  &lt;fieldset&gt;\n    &lt;input type="hidden" id="${escapedAppName}_redirect" name="$redirectParameter" value="$escapetool.xml($thisURL)" /&gt;\n    &lt;input type="hidden" name="form_token" value="$!services.csrf.token" /&gt;\n    &lt;input type="hidden" name="comment" value="$escapetool.xml($services.localization.render('platform.search.suggestConfigSaveComment'))" /&gt;\n  &lt;/fieldset&gt;\n  &lt;div class="bottombuttons"&gt;\n    &lt;p class="admin-buttons"&gt;\n      &lt;span class="buttonwrapper"&gt;\n        &lt;input class="button" type="submit" name="action_saveandcontinue" value="$services.localization.render('admin.save')" /&gt;\n      &lt;/span&gt;\n    &lt;/p&gt;\n  &lt;/div&gt;\n&lt;/form&gt;\n{{/html}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInSection>searchSuggest</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment>search-suggest.png</iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n</object>\n<object>\n<name>XWiki.SearchSuggestConfig</name>\n<number>0</number>\n<className>XWiki.SearchSuggestConfig</className>\n<guid>5faef1df-77ac-4bb3-9dda-8d38447b94e1</guid>\n<property>\n<activated>1</activated>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.SearchSuggestSourceClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<activated>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>activated</name>\n<number>8</number>\n<prettyName>Activated</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</activated>\n<engine>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>engine</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Engine</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</engine>\n<highlight>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>highlight</name>\n<number>7</number>\n<prettyName>Highlight</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</highlight>\n<icon>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>icon</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Icon</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</icon>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<query>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>query</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Query</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</query>\n<resultsNumber>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>resultsNumber</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Limit</prettyName>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</resultsNumber>\n<url>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>url</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Service</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</url>\n</class>\n<name>XWiki.SearchSuggestConfig</name>\n<number>13</number>\n<className>XWiki.SearchSuggestSourceClass</className>\n<guid>4c976c35-ab69-409e-8176-38a306b7b3d0</guid>\n<property>\n<activated>1</activated>\n</property>\n<property>\n<engine>lucene</engine>\n</property>\n<property>\n<highlight>0</highlight>\n</property>\n<property>\n<icon>icon:user</icon>\n</property>\n<property>\n<name>Matching patients</name>\n</property>\n<property>\n<query>__INPUT__</query>\n</property>\n<property>\n<resultsNumber>5</resultsNumber>\n</property>\n<property>\n<url>$xwiki.getURL('PhenoTips.SuggestPatientsService', 'get', 'outputSyntax=plain&amp;permission=view')</url>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.SearchSuggestSourceClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<activated>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>activated</name>\n<number>8</number>\n<prettyName>Activated</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</activated>\n<engine>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>engine</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Engine</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</engine>\n<highlight>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>highlight</name>\n<number>7</number>\n<prettyName>Highlight</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</highlight>\n<icon>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>icon</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Icon</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</icon>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<query>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>query</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Query</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</query>\n<resultsNumber>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>resultsNumber</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Limit</prettyName>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</resultsNumber>\n<url>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>url</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Service</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</url>\n</class>\n<name>XWiki.SearchSuggestConfig</name>\n<number>14</number>\n<className>XWiki.SearchSuggestSourceClass</className>\n<guid>21d617b7-f677-41a7-8506-7f0e52bc1ed9</guid>\n<property>\n<activated>1</activated>\n</property>\n<property>\n<engine>solr</engine>\n</property>\n<property>\n<highlight>0</highlight>\n</property>\n<property>\n<icon>icon:user</icon>\n</property>\n<property>\n<name>Matching patients</name>\n</property>\n<property>\n<query>__INPUT__</query>\n</property>\n<property>\n<resultsNumber>5</resultsNumber>\n</property>\n<property>\n<url>$xwiki.getURL('PhenoTips.SuggestPatientsService', 'get', 'outputSyntax=plain&amp;permission=view')</url>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.SearchSuggestSourceClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<activated>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>activated</name>\n<number>8</number>\n<prettyName>Activated</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</activated>\n<engine>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>engine</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Engine</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</engine>\n<highlight>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>highlight</name>\n<number>7</number>\n<prettyName>Highlight</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</highlight>\n<icon>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>icon</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>Icon</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</icon>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<query>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>query</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Query</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</query>\n<resultsNumber>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>resultsNumber</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Limit</prettyName>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</resultsNumber>\n<url>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>url</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Service</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</url>\n</class>\n<name>XWiki.SearchSuggestConfig</name>\n<number>15</number>\n<className>XWiki.SearchSuggestSourceClass</className>\n<guid>8cbef56d-ad77-48a2-a711-6e5d7f81403d</guid>\n<property>\n<activated>1</activated>\n</property>\n<property>\n<engine>database</engine>\n</property>\n<property>\n<highlight>0</highlight>\n</property>\n<property>\n<icon>icon:user</icon>\n</property>\n<property>\n<name>Matching patients</name>\n</property>\n<property>\n<query>__INPUT__</query>\n</property>\n<property>\n<resultsNumber>5</resultsNumber>\n</property>\n<property>\n<url>$xwiki.getURL('PhenoTips.SuggestPatientsService', 'get', 'outputSyntax=plain&amp;permission=view')</url>\n</property>\n</object>\n<content></content></xwikidoc>\n
-7368687846740594567	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>GadgetClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1297240181000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.GadgetClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>content</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>content</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<position>\n<disabled>0</disabled>\n<name>position</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>position</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</position>\n<title>\n<disabled>0</disabled>\n<name>title</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>title</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</title>\n</class>\n<content>{{include reference="XWiki.ClassSheet"/}}</content></xwikidoc>\n
3937091860706599660	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>SearchConfig</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.SearchAdmin</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822139000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-navigation-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.SearchConfigClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<engine>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>engine</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Default search engine</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</engine>\n</class>\n<name>XWiki.SearchConfig</name>\n<number>0</number>\n<className>XWiki.SearchConfigClass</className>\n<guid>c77cbc8e-0825-4d06-bb0d-9b7714cdc0c2</guid>\n<property>\n<engine>database</engine>\n</property>\n</object>\n<content></content></xwikidoc>\n
6471189160712394537	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>UserProfileSectionClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1427697247000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.UserProfileSectionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<id>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Section ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Section Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<properties>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>properties</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Properties to display</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</properties>\n</class>\n<object>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>XWiki.UserProfileSectionClass</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>0d6ed34c-d348-4e0c-9a0f-9ce91fe1c6fa</guid>\n<property>\n<sheet>ClassSheet</sheet>\n</property>\n</object>\n<content></content></xwikidoc>\n
-3437348809770867380	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiUserSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.XWikiUsers</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822157000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title>#set($userName="$!doc.getValue('first_name') $!doc.getValue('last_name')")#if($userName==' ')#set($userName=$doc.name)#{end}$services.localization.render('platform.core.profile.title', [$userName])</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>noavatar.png</filename>\n<filesize>3076</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618216000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.XWikiUserSheet</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>4a317e5c-a75e-4dec-aad0-1f80ffde5124</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var XWiki = (function (XWiki) {\n// Start XWiki augmentation.\nObject.extend(XWiki, {\n  userprofile : {\n    init : function() {\n      this.crtCategory = '';\n      this.tabsContainer = $('user-vertical-menu');\n      if (!this.tabsContainer) {\n        return;\n      }\n      this.tabsContainer.select('.category-tab').each(function (tabElement) {\n        tabElement.observe('click', function(event) {\n          Event.stop(event);\n          this.switchTab(tabElement.id, true);\n        }.bindAsEventListener(this));\n      }.bind(this));\n      this.tabsContainer.select('.category-tab.current').each(function (activeTab) {\n        this.updateCategoryFields(activeTab.id);\n        document.fire('xwiki:profile:switchedCategory', {'category' : activeTab.id});\n      }.bind(this));\n      this.handleCancelAction();\n\n      // History navigation through our pushed states.\n      window.addEventListener('popstate', function(event) {\n        if (event.state &amp;&amp; event.state.category) {\n          this.switchTab('vertical-menu-' + event.state.category);\n        }\n      }.bindAsEventListener(this));\n      // Store the initial history state so we can go back.\n      history.replaceState({\n        category: window.location.search.toQueryParams().category || 'profile'\n      }, document.title, document.location.href);\n    },\n\n    switchTab : function(tab, pushHistory) {\n      var tabName = tab.substring(14); // 14 = len('vertical-menu-')\n      $("user-page-content").select("div.user-page-pane").each(function(pane){\n        pane.addClassName('hidden');\n      });\n      $(tabName + 'Pane').removeClassName('hidden');\n      $("user-vertical-menu").select("span.category-tab").each(function(tab){\n        tab.removeClassName('current');\n      });\n      $(tab).addClassName('current');\n      this.updateCategoryFields(tab);\n      if (pushHistory) {\n        this.updateURL(tabName);\n      }\n      document.fire('xwiki:profile:switchedCategory', {'category' : tab});\n    },\n\n    updateCategoryFields : function (category) {\n      category = category.substring(14); // 14 = len('vertical-menu-')\n      this.crtCategory = category;\n      this.updateField('xredirect', XWiki.currentDocument.getURL('view', 'category=' + category));\n      this.updateField('xcontinue', XWiki.currentDocument.getURL('edit', 'editor=inline&amp;category=' + category));\n      this.updateField('category', category);\n    },\n\n    updateURL : function (category) {\n      if (history.pushState) {\n        var params = window.location.search.toQueryParams();\n        params.category = category;\n        newQueryString = Object.toQueryString(params);\n\n        var newURL = window.location.protocol + '//' + window.location.host + window.location.pathname + '?' + newQueryString;\n        window.history.pushState({category : category}, '', newURL);\n      }\n    },\n\n    updateField : function (fieldName, value) {\n      var element = $$('input[name=' + fieldName + ']');\n      if (element &amp;&amp; element.size() &gt; 0) {\n        element[0].value = value;\n      }\n    },\n\n    handleCancelAction : function() {\n      var elements = $$('form .buttons input[type=submit][name=action_cancel]');\n      if (elements &amp;&amp; elements.size() &gt; 0) {\n        var button = elements[0];\n        Event.stopObserving(button, 'click');\n        button.observe('click', function(event){\n          event.stop();\n          window.location = XWiki.currentDocument.getURL('view', 'category=' + this.crtCategory)\n        }.bindAsEventListener(this));\n      }\n    }\n  }\n});\n\nvar init = function() {\n  XWiki.userprofile.init();\n  return true;\n};\n(XWiki.domIsLoaded &amp;&amp; init()) || document.observe('xwiki:dom:loaded', init);\ndocument.observe('lightbox:userprofile:loaded', init);\n// End XWiki augmentation.\nreturn XWiki;\n}(XWiki || {}));</code>\n</property>\n<property>\n<name>userprofile</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.XWikiUserSheet</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>30c9f7e7-0b53-468b-a254-645d035d9416</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n#set($tabswidth = "130px")\n/* ----- User menu ----- */\n#user-menu-col{\n  float: left;\n  width: 13em;\n}\n\n#avatar p {\n  text-align: center;\n}\n\n#avatar img {\n  border: 1px solid $theme.borderColor;\n  border-radius: 5px 5px 5px 5px;\n  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.15);\n  margin: 0 auto;\n  padding: 0.3em;\n  width: 95%;\n}\n\n.profile-menu .category-tab:before{\n  float: left;\n  margin: 5px 0 0 5px;\n}\n\n.profile-menu .user-menu-profile:before{\n  content: url("$xwiki.getSkinFile('icons/silk/vcard.png')");\n}\n\n.profile-menu .user-menu-preferences:before{\n  content: url("$xwiki.getSkinFile('icons/silk/wrench.png')");\n}\n\n.profile-menu .user-menu-watchlist:before{\n  content: url("$xwiki.getSkinFile('icons/silk/star.png')");\n}\n\n.profile-menu .user-menu-network:before{\n  content: url("$xwiki.getSkinFile('icons/silk/group.png')");\n}\n\n.profile-menu .user-menu-dashboard:before{\n  content: url("$xwiki.getSkinFile('icons/silk/application_view_tile.png')");\n}\n\n.profile-menu .user-menu-wikis:before{\n  content: url("$xwiki.getSkinFile('icons/silk/chart_organisation.png')");\n}\n\n.skin-colibri .profile-menu .group.user-menu-title{\n  #set ($menuIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/user.png')${escapetool.S})")\n  #css3_backgroundIconAndLinearGradient($menuIcon, {\n    'to': 'bottom',\n    'colors': [\n      {'color':$theme.menuContentGradientColor,    'position': '0%'},\n      {'color':$theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })  \n}\n\n.profile-menu .group, .profile-menu .group:hover {\n  background-position: 7px 50%,top center;\n}\n\n.user-menu-title a:hover{\n  color: $theme.panelHeaderTextColor !important;\n}\n\n/* ----- Page content ---- */\n#user-page-content{\n  margin-left: 14em;\n}\n\n.column h1 {\n  font-weight:bold;\n  font-size:115%;\n  margin:10px 0;\n}\n\n.column h2 {\n  font-size: 110%;\n}\n\n/* For columns that don't adapt well to limited width. */\n.column.min-half {\n  min-width: 49.9%;\n}\n\ndiv.profile-section,\ndiv.userInfo, div.userRecentChanges, div.userPreferences, div.passwordManagement, div.watchlistManagement, div.watchlistRss, div.watchlistElements, \ndiv.userDashboard, #dashboardPane .dashboard {\n  margin: 5px 10px 10px;\n  padding: 5px 10px 10px;\n}\n\n/* ----- Profile ----- */\ntd.recentChangesLeft, .recentChangesMoreActions {\n  display:none;\n}\n\ntd.recentChangesRight {\n  padding: 0 !important;\n}\n\ndiv.profile-section,\ndiv.userInfo, div.userRecentChanges, div.userPreferences, div.passwordManagement, div.watchlistManagement, div.watchlistRss, div.watchlistElements, \ndiv.userDashboard, #dashboardPane .dashboard {\n  margin: 5px 10px 10px;\n  padding: 5px 10px 10px;\n}\n\ndiv.highlighted-profile-section,\ndiv.userInfo, div.userPreferences, div.watchlistManagement, div.userDashboard {\n  background-color: $theme.backgroundSecondaryColor;\n}\n\n.userInfo {\n  -ms-word-break: break-all; /* IE8, IE9 */\n}\n\n.userInfo a {\n  word-wrap: break-word;\n}\n\n.userInfo img {\n  max-width: 100%;\n}\n\ndiv.userInfo input[type="text"], div.userInfo input[type="password"], div.userInfo textarea, div.userInfo select, div.userPreferences select {\n  width: 100%;\n}\n\ndiv.editProfileCategory {\n  float:right;\n}\n\ndiv.editProfileCategory a {\n  display:block;\n  width: 16px;\n  height: 16px;\n  background: url("$xwiki.getSkinFile('icons/silk/pencil.png')") no-repeat;\n}\n\n/* Watchlist */\n\n#watchlistRssLink {\n  background: url("$xwiki.getSkinFile('icons/xwiki/rss-medium.png')") no-repeat;\n  padding-left: 18px;\n  font-weight: bold;\n}\n\nspan#avatarUpload {\n  display:block;\n  width:$tabswidth;\n  position:absolute;\n  font-size: 10px;\n  font-weight: bold;\n  background-color: white;\n}\n\n\n\n## --------------------------------------\n## Network sections style\n#networkPane .following ul {\n  list-style-type: none;\n  margin: 0;\n  padding: 0;\n}\n#networkPane .following li {\n  padding: 2px 20px 2px 2px;\n}\n#networkPane .following li:hover {\n  background-color: $theme.highlightColor;\n}\n#networkPane .following img {\n  float: left;\n  margin-right: 5px;\n}\n#networkPane .following .user-info {\n  float: left;\n}\n#networkPane .following .user-id {\n  font-size: .8em;\n  font-weight: 900;\n}\n#networkPane .following .unfollow {\n  float: right;\n  margin-right: -16px;\n  padding: 0;\n}\n## --------------------------------------\n## Picker style\n.attachment-picker {\n  position: relative;\n  margin: auto;\n  width: 100%;\n}\n.attachment-picker p {\n  padding: 0;\n  margin: 0;\n}\n\n.attachment-picker .picture {\n  z-index: -1;\n}\n.attachment-picker .buttonwrapper {\n  margin: 0;\n}\n\n.attachment-picker-start {\n  background: url("$xwiki.getSkinFile('icons/silk/picture_edit.png')") no-repeat center center $theme.pageContentBackgroundColor !important;\n  border: 0 none !important;\n  border-bottom-left-radius: 8px;\n  height: 18px;\n  position: absolute;\n  right: 0;\n  text-align: left;\n  text-indent: -9999px;\n  top: 1px;\n  width: 18px !important;\n  z-index: 1;\n}\n\n## --------------------------------------\n## Dashboard\n/* prevent the clearfloats between buttons &amp; dashboard gadgets from clearing the tabs as well, only the buttons float */\n.dashboard .clearfloats, \n.dashboard .clearfloats:after, .dashboard .clearfloats:before {\n  clear: right;\n}</code>\n</property>\n<property>\n<name>userprofile</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity}}\n#########################\n## CSS &amp; Javascripts\n#########################\n#set($discard = $xwiki.ssx.use("XWiki.XWikiUserSheet"))\n#set($discard = $xwiki.jsx.use("XWiki.XWikiUserSheet"))\n#########################\n## Setting categories\n#########################\n#set($categories = [])\n#set($discard = $categories.add({'id':'profile', 'sheet':'XWiki.XWikiUserProfileSheet', 'glyphicon': 'user'}))\n#set($isMyProfile = ($services.model.resolveDocument($xcontext.user) == $doc.documentReference))\n#if($isMyProfile || $hasAdmin)\n  #set($discard = $categories.add({'id':'preferences', 'sheet':'XWiki.XWikiUserPreferencesSheet', 'glyphicon': 'wrench'}))\n#end\n#########################\n## Current category\n#########################\n#set($currentCategory = "$!request.category")\n#if($currentCategory == "")\n  #set($currentCategory = $categories[0].get('id'))\n#end\n#########################\n## Creating vertical menu\n#########################\n#set($userMenu = [{\n  'id'       : 'settings',\n  'cssClass' : 'user-menu-title',\n  'children' : $categories\n  }\n])\n## Setting automaticaly url &amp; css fields of each category\n#foreach($category in $userMenu)\n  #foreach($subcategory in $category.get('children'))\n    #set($id = $subcategory.get('id')) \n    #set($discard = $subcategory.put('url', "?category=${id}"))\n    #set($discard = $subcategory.put('cssClass', "user-menu-$id category-tab"))\n  #end\n#end\n#########################\n## Display the left menu\n#########################\n(% id="user-menu-col" %)\n(((\n  ############\n  ## Avatar\n  ############\n  (% id="avatar" %)\n  (((\n    #if($request.xpage == 'edituser')\n      {{html clean="false"}}\n        #resizedUserAvatar($doc.fullName 170)\n      {{/html}}\n    #else\n      {{attachmentSelector classname="XWiki.XWikiUsers" object="$obj.number" property="avatar" #if ($isMyProfile) savemode="direct" #end defaultValue="XWiki.XWikiUserSheet@noavatar.png" width="120" alternateText="$xwiki.getUserName($doc.fullName, false)" buttontext="$services.localization.render('platform.core.profile.changePhoto')" displayImage="true" filter="png,jpg,gif"/}}\n    #end\n  )))\n  ##########\n  ## Menu\n  ##########\n  (% id="user-vertical-menu" %)\n  (((\n    #verticalNavigation($userMenu, {'translationPrefix' : 'platform.core.profile.category.', 'crtItemId' : $currentCategory, 'cssClass' : 'profile-menu'})\n  )))\n)))\n#########################\n## Display the page content\n#########################\n(% id="user-page-content" %)\n(((\n  #foreach($category in $userMenu)\n    #foreach($subcategory in $category.get('children'))\n      #set($tabKey = $subcategory.get('id')) \n      (% id="${tabKey}Pane" class="user-page-pane#if($tabKey != $currentCategory) hidden#end" %)\n      (((\n        #set($tabInclude = $subcategory.get('sheet'))\n        {{include reference="${tabInclude}" /}}\n      )))\n    #end\n  #end\n)))\n#########################\n## END\n#########################\n{{html clean="false"}}\n  #if($xcontext.action == 'edit' || $xcontext.action == 'inline')\n    &lt;input type='hidden' name='category' value="$!{escapetool.xml($currentCategory)}" /&gt;\n  #end\n  &lt;div class="clearfloats"&gt;&amp;nbsp;&lt;/div&gt;\n  #if($request.get('xpage'))\n    &lt;script type="text/javascript"&gt;\n      document.fire('lightbox:userprofile:loaded');\n    &lt;/script&gt;\n  #end\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
693413319890833106	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiUserPreferencesSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiUserSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1364996782000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#set($obj = $doc.getObject("XWiki.XWikiUsers"))\n#if(!$obj)\n{{info}}$services.localization.render('xe.admin.users.applyonusers'){{/info}}##\n#else\n$doc.use($obj)\n$xwiki.ssx.use('XWiki.XWikiUserSheet')##\n{{html wiki="true"}}\n  &lt;div class="#if($xcontext.action == 'view')half #{else}full #{end}column xform"&gt;\n    &lt;div class="userPreferences"&gt;\n      #if($xcontext.action == 'view' &amp;&amp; $hasEdit)\n        &lt;div class="editProfileCategory"&gt;&lt;a href="$doc.getURL('edit', 'category=preferences')"&gt;&lt;span class="hidden"&gt;$services.localization.render('platform.core.profile.category.preferences.edit')&lt;/span&gt;&lt;/a&gt;&lt;/div&gt;\n      #end\n      &lt;h1&gt;$services.localization.render('platform.core.profile.section.displayPreferences')&lt;/h1&gt;\n      &lt;dl&gt;\n        &lt;dt class="label"&gt;&lt;label&gt;$services.localization.render('platform.core.profile.displayHiddenDocuments')&lt;/label&gt;&lt;/dt&gt;\n        &lt;dd&gt;$doc.display('displayHiddenDocuments')&lt;/dd&gt;\n        &lt;dt class="label"&gt;&lt;label&gt;$services.localization.render('platform.core.profile.enableAccessibility')&lt;/label&gt;&lt;/dt&gt;\n        &lt;dd&gt;$doc.display('accessibility')&lt;/dd&gt;\n      &lt;/dl&gt;\n      &lt;h1&gt;$services.localization.render('platform.core.profile.section.localizationPreferences')&lt;/h1&gt;\n      &lt;dl&gt;\n        &lt;dt class="label"&gt;&lt;label&gt;$services.localization.render('platform.core.profile.timezone')&lt;/label&gt;&lt;/dt&gt;\n        &lt;dd&gt;$doc.display('timezone')&lt;/dd&gt;\n      &lt;/dl&gt;\n      &lt;h1&gt;$services.localization.render('platform.core.profile.section.editorPreferences')&lt;/h1&gt;\n      &lt;dl&gt;\n        &lt;dt class="label"&gt;&lt;label&gt;$services.localization.render('platform.core.profile.editor')&lt;/label&gt;&lt;/dt&gt;\n        &lt;dd&gt;$doc.display('editor')&lt;/dd&gt;\n        &lt;dt class="label"&gt;&lt;label&gt;$services.localization.render('platform.core.profile.userType')&lt;/label&gt;&lt;/dt&gt;\n        &lt;dd&gt;$doc.display('usertype')&lt;/dd&gt;\n      &lt;/dl&gt;\n      &lt;h1&gt;$services.localization.render('phenotips.profile.preferences')&lt;/h1&gt;\n      &lt;dl&gt;\n        &lt;dt class="label"&gt;&lt;label&gt;$services.localization.render('phenotips.profile.preferences.mapping')&lt;/label&gt;&lt;/dt&gt;\n        #set ($mappingPreferencesObject = $doc.getObject('XWiki.ConfigurationClass', 'property', 'phenotips_mapping', false))\n        #if (!$mappingPreferencesObject)\n          #set ($mappingPreferencesObject = $doc.newObject('XWiki.ConfigurationClass'))\n          #set ($discard = $mappingPreferencesObject.set('property', 'phenotips_mapping'))\n          #set ($discard = $doc.save($services.localization.render('phenotips.profile.preferences.mapping.addedObject'), true))\n        #end\n        &lt;dd&gt;$doc.display('value', $mappingPreferencesObject)&lt;/dd&gt;\n      &lt;/dl&gt;\n    &lt;/div&gt;\n  &lt;/div&gt;\n  #set($isMyProfile = ($xwiki.getDocument($xcontext.user).prefixedFullName == $doc.prefixedFullName))\n  #if(($isMyProfile || $hasAdmin) &amp;&amp; ($xcontext.action == 'view') &amp;&amp; !$doc.getObject('XWiki.LDAPProfileClass'))\n    &lt;div class="half column"&gt;\n      &lt;div class="passwordManagement"&gt;\n        &lt;h1&gt;$services.localization.render('platform.core.profile.section.security')&lt;/h1&gt;\n        &lt;span class="buttonwrapper"&gt;&lt;a id="changePassword" href="$doc.getURL('view', 'xpage=passwd')"&gt;$services.localization.render('platform.core.profile.changePassword')&lt;/a&gt;&lt;/span&gt;\n      &lt;/div&gt;\n    &lt;/div&gt;\n  #end\n  &lt;div class="clearfloats"&gt;&amp;nbsp;&lt;/div&gt;\n{{/html}}##\n#end\n{{/velocity}}</content></xwikidoc>\n
-6198427370447267019	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>XWikiUserProfileSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiUserSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1427697247000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.XWikiUserProfileSheet</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>69c76935-fbd0-4167-af11-8ad356c88ba9</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n.activity-follow {\n  padding-bottom: 10px;\n  margin-bottom: 20px;\n}\n\n.activity-follow .unfollow {\n  background: transparent 0 center url("$xwiki.getSkinFile('icons/silk/cross.png')") no-repeat;\n  color: $theme.notificationErrorColor;\n  display: inline-block;\n  overflow: hidden;\n  font-size: 83.3%;\n  text-indent: 17px;\n  vertical-align: middle;\n  width: 16px;\n}\n.activity-follow .unfollow:hover {\n  overflow: visible;\n  text-decoration: none;\n  width: auto;\n}\n\n.activity-follow .follow, .activity-follow .following {\n  background: $theme.menuAddEntryBackgroundColor 2px center url("$xwiki.getSkinFile('icons/silk/accept.png')") no-repeat;\n  border-radius: 4px;\n  color: $theme.menuAddEntryLinkColor !important;\n  display: inline-block;\n  font-size: 83.3%;\n  line-height: 1.6em;\n  min-height: 16px;\n  padding: 3px 6px 3px 22px;\n}\n.activity-follow .follow {\n  background-image: url("$xwiki.getSkinFile('icons/silk/add.png')");\n}</code>\n</property>\n<property>\n<name>'Follow' css</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<content>{{velocity}}\n#set ($discard = $xwiki.ssx.use('XWiki.XWikiUserSheet'))\n##\n#set ($inEditMode = $xcontext.action == 'edit' || $xcontext.action == 'inline')\n#set ($xwikiUsersClassName = 'XWiki.XWikiUsers')\n#set ($obj = $doc.getObject($xwikiUsersClassName))\n##\n#if (!$obj)\n= $services.localization.render('xe.admin.users.sheet') =\n\n{{info}}$services.localization.render('xe.admin.users.applyonusers'){{/info}}\n\n#else\n## Make sure we only care about properties of the user object and don't get polluted by other objects that might be in the user's profile page.\n#set ($discard = $doc.use($obj))\n##\n#set ($sheetDocumentReference = $services.model.createDocumentReference($xcontext.database, 'XWiki', 'AdminUserProfileSheet'))\n#set ($sheetDocument = $xwiki.getDocument($sheetDocumentReference))\n#set ($xwikiUsersClass = $xwiki.getClass($xwikiUsersClassName))\n##\n#set ($sectionsObjectClassName = 'XWiki.UserProfileSectionsClass')\n#set ($sectionObjectClassName = 'XWiki.UserProfileSectionClass')\n##\n{{html clean='false' wiki='true'}}\n#if (!$inEditMode)\n  &lt;div class="vcard"&gt;\n  &lt;span class="fn hidden"&gt;$xwiki.getUserName($doc.fullName, false)&lt;/span&gt;\n#end\n  &lt;div class="#if($xcontext.action == 'view')half #{else}full #{end}column xform"&gt;\n    &lt;div class='userInfo'&gt;\n    #if($xcontext.action == 'view' &amp;&amp; $hasEdit)\n      &lt;div class='editProfileCategory'&gt;&lt;a href="$doc.getURL('edit', 'editor=inline&amp;amp;category=profile')"&gt;&lt;span class='hidden'&gt;$services.localization.render('platform.core.profile.category.profile.edit')&lt;/span&gt;&lt;/a&gt;&lt;/div&gt;\n    #end\n    ## Please do not insert extra empty lines here (as it affects the validity of the rendered xhtml)\n    #set ($sectionsObject = $sheetDocument.getObject($sectionsObjectClassName))\n    #set ($sectionsToDisplayString = $sectionsObject.getProperty('sections').value)\n    #set ($sectionsToDisplay = $sectionsToDisplayString.split('\\s+'))\n    #foreach ($sectionId in $sectionsToDisplay)\n      #set ($sectionObject = $sheetDocument.getObject($sectionObjectClassName, 'id', $sectionId))\n      #set ($sectionName = "$!sectionObject.getProperty('name').value")\n      ## The section name will be evaluated. The admin can specify a static string or a call to $msg(...) to provide internationalization support.\n      #set ($sectionName = "#evaluate($!sectionName)")\n      ## If there is no section name specified, use the default translations prefix for the user profile, maybe we get lucky.\n      #if ("$!sectionName" == '')\n        #set ($sectionName = $services.localization.render("platform.core.profile.section.${sectionId}"))\n      #end\n      ## If that does not work either, just display the sectionID.\n      #if ("$!sectionName" == "platform.core.profile.section.${sectionId}")\n        #set ($sectionName = $sectionId)\n      #end\n      #set ($sectionPropertiesString = $sectionObject.getProperty('properties').value)\n      #set ($sectionProperties = $sectionPropertiesString.split('\\s+'))\n      #if ($sectionProperties &amp;&amp; $sectionProperties.size() &gt; 0)\n        &lt;h1&gt;$sectionName&lt;/h1&gt;\n        &lt;dl&gt;\n        #foreach ($sectionProperty in $sectionProperties)\n          #set ($vCardData = $sectionProperty.split(':'))\n          #set ($vCardProperty = '')\n          #if ($vCardData.size() == 2)\n            #set ($vCardProperty = $vCardData[0])\n            #set ($sectionProperty = $vCardData[1])\n          #end\n          #if ("$!sectionProperty" != '' &amp;&amp; $xwikiUsersClass.get($sectionProperty))\n          &lt;dt class='label'&gt;\n            &lt;label #if($inEditMode)for="${xwikiUsersClassName}_${obj.number}_${sectionProperty}"#{end}&gt;$doc.displayPrettyName("${sectionProperty}")&lt;/label&gt;\n          &lt;/dt&gt;\n          &lt;dd #if("$!vCardProperty" != '' &amp;&amp; !$inEditMode)class="$vCardProperty"#{end}&gt;$doc.display($sectionProperty)&lt;/dd&gt;\n          #end\n        #end\n        &lt;/dl&gt;\n      #end\n    #end\n    &lt;/div&gt;\n  &lt;/div&gt;\n  &lt;div class='clearfloats'&gt;&amp;nbsp;&lt;/div&gt;\n#if(!$inEditMode)\n  ## Close the vcard\n  &lt;/div&gt;\n#end\n{{/html}}##\n#end\n{{/velocity}}</content></xwikidoc>\n
-2633320362410322563	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminUserProfileSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiUserSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822160000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title>User Profile</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-user-profile-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>XWiki.AdminUserProfileSheet</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>7777b935-65c1-435e-900c-893536f8d39d</guid>\n<property>\n<sheet></sheet>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.AdminUserProfileSheet</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>d5023f39-e51b-4eca-8162-4fe8cab3a781</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>.remove-button {\n  float: right;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UserProfileSectionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<id>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Section ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Section Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<properties>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>properties</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Properties to display</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</properties>\n</class>\n<name>XWiki.AdminUserProfileSheet</name>\n<number>0</number>\n<className>XWiki.UserProfileSectionClass</className>\n<guid>5371585b-24cb-4cd4-b03c-02f82f3d0dc4</guid>\n<property>\n<id>personal</id>\n</property>\n<property>\n<name>$services.localization.render('platform.core.profile.section.personal')</name>\n</property>\n<property>\n<properties>given-name:first_name\nfamily-name:last_name\norg:company\nnote:comment</properties>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UserProfileSectionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<id>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Section ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Section Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<properties>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>properties</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Properties to display</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</properties>\n</class>\n<name>XWiki.AdminUserProfileSheet</name>\n<number>1</number>\n<className>XWiki.UserProfileSectionClass</className>\n<guid>f7f9f9a6-bd76-4eb8-8317-97c77a998227</guid>\n<property>\n<id>contact</id>\n</property>\n<property>\n<name>$services.localization.render('platform.core.profile.section.contact')</name>\n</property>\n<property>\n<properties>email:email\ntel:phone\nadr:address</properties>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UserProfileSectionsClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sections>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>sections</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sections to display</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</sections>\n</class>\n<name>XWiki.AdminUserProfileSheet</name>\n<number>0</number>\n<className>XWiki.UserProfileSectionsClass</className>\n<guid>31fd863e-b1fe-4553-9e4f-128b4795a485</guid>\n<property>\n<sections>personal\ncontact</sections>\n</property>\n</object>\n<content>{{velocity}}\n#set ($discard = $xwiki.ssx.use('XWiki.XWikiUserSheet'))\n#set ($discard = $xwiki.ssx.use('XWiki.AdminUserProfileSheet'))\n##\n#set ($sheetDocumentReference = $services.model.createDocumentReference($xcontext.database, 'XWiki', 'AdminUserProfileSheet'))\n#set ($sheetDocument = $xwiki.getDocument($sheetDocumentReference))\n##\n#set ($sectionsObjectClassName = 'XWiki.UserProfileSectionsClass')\n#set ($sectionObjectClassName = 'XWiki.UserProfileSectionClass')\n##\n#set ($xredirect = $doc.getURL($xcontext.action, ${request.queryString}))\n#set ($formToken = $services.csrf.getToken())\n##\n{{html clean='false' wiki='true'}}\n  &lt;form action="$sheetDocument.getURL('save')" method='post'&gt;\n  ## When in edit mode, the form above gets overriden so we need a div with class xform to cover all cases.\n  &lt;div class='xform half'&gt;\n    #set ($sectionsObject = $sheetDocument.getObject($sectionsObjectClassName))\n    &lt;h2&gt;$services.localization.render('platform.user.profileConfigureSectionsTitle')&lt;/h2&gt;\n    &lt;dl&gt;\n      &lt;dt&gt;\n        &lt;label for="${sectionsObjectClassName}_${sectionsObject.number}_sections"&gt;$services.localization.render('platform.user.profileConfigureSectionsLabel')&lt;/label&gt;\n        &lt;span class='xHint'&gt;$services.localization.render('platform.user.profileConfigureSectionsHint')&lt;/span&gt;\n      &lt;/dt&gt;\n      &lt;dd&gt;$sheetDocument.display('sections', 'edit', $sectionsObject)&lt;/dd&gt;\n    &lt;/dl&gt;\n    &lt;h2&gt;$services.localization.render('platform.user.profileConfigureSectionsAllTitle')&lt;/h2&gt;\n    &lt;dl&gt;\n      &lt;dt&gt;\n        &lt;a class='hasIcon icon-button add-button' href="$sheetDocument.getURL('objectadd', "classname=${sectionObjectClassName}&amp;amp;xredirect=$escapetool.url(${xredirect})&amp;amp;form_token=${formToken}")"&gt;$services.localization.render('platform.user.profileConfigureSectionAddButtonLabel')&lt;/a&gt;\n      &lt;/dt&gt;\n    #set ($sectionObjects = $sheetDocument.getObjects($sectionObjectClassName))\n    #foreach ($sectionObject in $sectionObjects)\n      &lt;dt&gt;\n        &lt;a class='hasIcon icon-button remove-button' href="$sheetDocument.getURL('objectremove', "classname=${sectionObjectClassName}&amp;amp;classid=${sectionObject.number}&amp;amp;xredirect=$escapetool.url(${xredirect})&amp;amp;form_token=${formToken}")"&gt;$services.localization.render('platform.user.profileConfigureSectionRemoveButtonLabel')&lt;/a&gt;\n        &lt;label for="${sectionObjectClassName}_${sectionObject.number}_id"&gt;$services.localization.render('platform.user.profileConfigureSectionIdLabel')&lt;/label&gt;\n        &lt;span class='xHint'&gt;$services.localization.render('platform.user.profileConfigureSectionIdHint')&lt;/span&gt;\n      &lt;/dt&gt;\n      &lt;dd&gt;$sheetDocument.display('id', 'edit', $sectionObject)&lt;/dd&gt;\n\n      &lt;dt&gt;\n        &lt;label for="${sectionObjectClassName}_${sectionObject.number}_name"&gt;$services.localization.render('platform.user.profileConfigureSectionNameLabel')&lt;/label&gt;\n        &lt;span class='xHint'&gt;$services.localization.render('platform.user.profileConfigureSectionNameHint', ['http://platform.xwiki.org/xwiki/bin/view/DevGuide/InternationalizingApplications'])&lt;/span&gt;\n      &lt;/dt&gt;\n      &lt;dd&gt;$sheetDocument.display('name', 'edit', $sectionObject)&lt;/dd&gt;\n\n      &lt;dt&gt;\n        &lt;label for="${sectionObjectClassName}_${sectionObject.number}_properties"&gt;$services.localization.render('platform.user.profileConfigureSectionPropertiesLabel')&lt;/label&gt;\n        &lt;span class='xHint'&gt;$services.localization.render('platform.user.profileConfigureSectionPropertiesHint', ['XWiki.XWikiUsers'])&lt;/span&gt;\n      &lt;/dt&gt;\n      &lt;dd&gt;$sheetDocument.display('properties', 'edit', $sectionObject)&lt;/dd&gt;\n    #end\n    ## Avoid duplicating the save button for edit mode.\n    #if ($xcontext.action != 'edit' &amp;&amp; $xcontext.action != 'inline')\n      &lt;dt&gt;\n        &lt;br/&gt;\n        &lt;span class='buttonwrapper'&gt;\n          &lt;input class='button' type='submit' name='save' value="$services.localization.render('platform.user.profileConfigureSaveButtonLabel')"/&gt;\n        &lt;/span&gt;\n        &lt;input type='hidden' name='xredirect' value="$xredirect" /&gt;\n        &lt;input type='hidden' name='form_token' value="$formToken" /&gt;\n      &lt;/dt&gt;\n    #end\n    &lt;/dl&gt;\n  &lt;/div&gt;\n  &lt;/form&gt;\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
905169894280459577	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ExportJSON</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1414249625000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="PhenoTips.ExportFilter" /}}\n\n{{velocity wiki="true"}}{{{\n#set ($codeProperties = ['phenotype', 'negative_phenotype', 'prenatal_phenotype', 'omim_id'])\n#set ($nonPatientClassProperties = ['doc.name', 'referrer', 'author', 'creationDate', 'date', 'genes', 'genes_comments', 'rejectedGenes', 'rejectedGenes_comments'])\n#set ($enabledFields = $request.getParameterValues('columns'))\n#set ($displayedFields = [])\n#set ($allFields = $nonPatientClassProperties)\n#set ($discard = $allFields.addAll($activeFields))\n#foreach ($field in $allFields)\n  #if ($enabledFields.contains($field))\n    #set ($discard = $displayedFields.add($field))\n  #elseif ($codeProperties.contains($field) &amp;&amp; ($enabledFields.contains("${field}_code") || $enabledFields.contains("${field}_combined") || $enabledFields.contains("${field}_code_meta") || $enabledFields.contains("${field}_meta")))\n    #set ($discard = $displayedFields.add($field))\n  #end\n#end\n\n$response.addHeader("Content-disposition", "attachment; filename=phenotips_${xwiki.formatDate($util.date, 'yyyy-MM-dd_HH-mm')}.json")##\n$response.setContentType('application/json')##\n\n[## Opening JSON array brace\n#set($isFirst = true)\n#foreach ($patientId in $patientIds)\n  #set ($patientDoc = $xwiki.getDocument($patientId))\n  #set ($patient = $services.patients.getPatientById($patientId))\n  #if ($patientDoc &amp;&amp; $patient)\n    #set ($JSON = $patient.toJSON($displayedFields))\n    #if ($isFirst)\n      #set($isFirst = false)\n    #else\n      ,##\n    #end\n    $JSON\n  #end## Patient is accessible\n#end\n]## Closing JSON array brace\n}}}\n{{/velocity}}</content></xwikidoc>\n
4648017055971503367	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>Export</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822207000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="PhenoTips.ExportFilter" /}}\n\n{{velocity wiki="true"}}{{{\n#set ($codeProperties = ['phenotype', 'negative_phenotype', 'prenatal_phenotype', 'omim_id'])\n#set ($enabledFields = $request.getParameterValues('columns'))\n#set ($displayedFields = [])\n#foreach ($field in $activeFields)\n  #if ($enabledFields.contains($field))\n    #set ($discard = $displayedFields.add($field))\n  #elseif ($codeProperties.contains($field) &amp;&amp; ($enabledFields.contains("${field}_code") || $enabledFields.contains("${field}_combined") || $enabledFields.contains("${field}_code_meta") || $enabledFields.contains("${field}_meta")))\n    #set ($discard = $displayedFields.add($field))\n  #end\n#end\n\n$response.addHeader("content-disposition", "attachment; filename=phenotips_${xwiki.formatDate($services.jodatime.getDateTime().toDate(), 'yyyy-MM-dd_HH-mm')}.xlsx")##\n$response.setContentType('application/vnd.openxmlformats-officedocument.spreadsheetml.sheet')##\n#set ($patients = [])\n#foreach ($patientId in $patientIds)\n  #set ($discard = $patients.add($services.patients.getPatientById($patientId)))\n#end\n$services.spreadsheetexport.export($patients, $enabledFields, $response.getOutputStream())\n\n}}}\n{{/velocity}}</content></xwikidoc>\n
7317829272449781420	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ExportFilter</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1414179462000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity wiki="true"}}{{{\n#macro (findPhenotypeMetadata)\n  #set ($meta = $NULL)\n  #foreach ($metaObj in $patientDoc.getObjects('PhenoTips.PhenotypeMetaClass'))\n    #set ($nameProperty = $metaObj.get('target_property_name'))\n    #set ($valueProperty = $metaObj.get('target_property_value'))\n    #if ($nameProperty == $field &amp;&amp; $valueProperty == $code)\n      #set ($meta = $metaObj)\n      #break($foreach)\n    #end\n  #end\n#end\n##\n##\n#set ($targetClassName = 'PhenoTips.PatientClass')\n#set ($ownerClassName = 'PhenoTips.OwnerClass')\n#set ($targetClass = $xwiki.getClass($targetClassName))\n#set ($activeFields = $services.recordConfiguration.activeConfiguration.enabledFieldNames)\n#set ($dateFormat = $services.jodatime.getDateTimeFormatterForPattern('MM/dd/yyyy'))\n#set ($query = ', BaseObject obj, LongProperty iid where doc.space = ? and obj.name = doc.fullName and obj.className = ? and iid.id.id = obj.id and iid.id.name = ''identifier'' and iid.value &gt;= 0')\n#set ($parameters = ['data', $targetClassName])\n#set ($isFirstReferrer = true)\n#foreach ($referrer in $request.getParameterValues('doc.creator'))\n  #if ($referrer != '')\n    #if ($isFirstReferrer)\n      #set ($query = $query.concat(' and ('))\n      #set ($isFirstReferrer = false)\n    #else\n      #set ($query = $query.concat(' or '))\n    #end\n    #if ($referrer.contains(':'))\n      #set ($query = $query.concat('doc.creator = ? or '))\n      #set ($discard = $parameters.add($stringtool.substringAfter($referrer, ':')))\n    #end\n    #set ($query = $query.concat('doc.creator = ?'))\n    #set ($discard = $parameters.add($referrer))\n  #end\n#end\n#if (!$isFirstReferrer)\n  #set ($query = $query.concat(')'))\n#end\n#set ($isFirstOwner = true)\n#foreach ($owner in $request.getParameterValues('owner'))\n  #if ($owner != '')\n    #if ($isFirstOwner)\n      #set ($query = $query.concat(' and ('))\n      #set ($isFirstOwner = false)\n    #else\n      #set ($query = $query.concat(' or '))\n    #end\n    #set ($query = $query.concat('owner.value = ?'))\n    #set ($discard = $parameters.add($services.model.resolveDocument($owner).toString()))\n  #end\n#end\n#if (!$isFirstOwner)\n  #set ($query = $query.concat(')'))\n  #set ($query = ", BaseObject ownerobj, StringProperty owner" + $query + " and ownerobj.className = '$ownerClassName' and owner.name = 'owner' and owner.id.id=ownerobj.id and ownerobj.name = doc.fullName")\n#end\n#set ($isFirstAuthor = true)\n#foreach ($author in $request.getParameterValues('doc.author'))\n  #if ($author != '')\n    #if ($isFirstAuthor)\n      #set ($query = $query.concat(' and ('))\n      #set ($isFirstAuthor = false)\n    #else\n      #set ($query = $query.concat(' or '))\n    #end\n    #if ($author.contains(':'))\n      #set ($query = $query.concat('doc.author = ? or '))\n      #set ($discard = $parameters.add($stringtool.substringAfter($author, ':')))\n    #end\n    #set ($query = $query.concat('doc.author = ?'))\n    #set ($discard = $parameters.add($author))\n  #end\n#end\n#if (!$isFirstAuthor)\n  #set ($query = $query.concat(')'))\n#end\n#set ($isFirstPhenotype = true)\n#set ($joinOperator = "$!{request.get('phenotype/join_mode').toUpperCase()}")\n#if ($joinOperator != 'AND' &amp;&amp; $joinOperator != 'OR')\n  #set ($joinOperator = 'AND')\n#end\n#foreach ($phenotype in $request.getParameterValues('phenotype'))\n  #if ($phenotype != '')\n    #if ($isFirstPhenotype)\n      #set ($isFirstPhenotype = false)\n      #if ("$!request.phenotype_subterms" == 'no')\n        #set ($query = ", DBStringListProperty phenotype ${query} and phenotype.id.id = obj.id and phenotype.id.name = 'phenotype' and (? in elements(phenotype.list)")\n      #else\n        #set ($query = ", DBStringListProperty phenotype ${query} and phenotype.id.id = obj.id and phenotype.id.name = 'extended_phenotype' and (? in elements(phenotype.list)")\n      #end\n    #else\n      #set ($query = $query.concat(" ${joinOperator} ? in elements(phenotype.list)"))\n    #end\n    #set ($discard = $parameters.add($phenotype))\n  #end\n#end\n#if (!$isFirstPhenotype)\n  #set ($query = $query.concat(')'))\n#end\n#set ($isFirstDisease = true)\n#set ($joinOperator = "$!{request.get('omim_id/join_mode').toUpperCase()}")\n#if ($joinOperator != 'AND' &amp;&amp; $joinOperator != 'OR')\n  #set ($joinOperator = 'AND')\n#end\n#foreach ($disease in $request.getParameterValues('omim_id'))\n  #if ($disease != '')\n    #if ($isFirstDisease)\n      #set ($query = ", DBStringListProperty disease ${query} and disease.id.id = obj.id and disease.id.name = 'omim_id' and (? in elements(disease.list)")\n      #set ($isFirstDisease = false)\n    #else\n      #set ($query = $query.concat(" ${joinOperator} ? in elements(disease.list)"))\n    #end\n    #set ($discard = $parameters.add($disease))\n  #end\n#end\n#if (!$isFirstDisease)\n  #set ($query = $query.concat(')'))\n#end\n#if ("$!request.get('doc.creationDate/after')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('doc.creationDate/after')))\n  #set ($query = $query.concat(' and doc.creationDate &gt; ?'))\n  #set ($discard = $parameters.add($date.toDate()))\n#end\n#if ("$!request.get('doc.creationDate/before')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('doc.creationDate/before')))\n  #set ($query = $query.concat(' and doc.creationDate &lt; ?'))\n  #set ($discard = $parameters.add($date.toDate()))\n#end\n#if ("$!request.get('doc.date/after')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('doc.date/after')))\n  #set ($query = $query.concat(' and doc.date &gt; ?'))\n  #set ($discard = $parameters.add($date.toDate()))\n#end\n#if ("$!request.get('doc.date/before')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('doc.date/before')))\n  #set ($query = $query.concat(' and doc.date &lt; ?'))\n  #set ($discard = $parameters.add($date.toDate()))\n#end\n#set ($hasBDate = false)\n#if ("$!request.get('date_of_birth/after')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('date_of_birth/after')))\n  #set ($query = ", DateProperty birthDate $query and birthDate.id.id = obj.id and birthDate.id.name = 'date_of_birth' and birthDate.value &gt; ?")\n  #set ($discard = $parameters.add($date.toDate()))\n  #set ($hasBDate = true)\n#end\n#if ("$!request.get('date_of_birth/before')" != '')\n  #set ($date = $dateFormat.parseDateTime($request.get('date_of_birth/before')))\n  #if ($hasBDate)\n    #set ($query = "$query and birthDate.value &lt; ?")\n  #else\n    #set ($query = ", DateProperty birthDate $query and birthDate.id.id = obj.id and birthDate.id.name = 'date_of_birth' and birthDate.value &lt; ?")\n  #end\n  #set ($discard = $parameters.add($date.toDate()))\n#end\n#if ("$!request.get('external_id')" != '')\n  #set ($query = ", StringProperty externalId $query and externalId.id.id = obj.id and externalId.id.name = 'external_id' and upper(externalId.value) like upper(?)")\n  #set ($discard = $parameters.add("$request.get('external_id')%"))\n#end\n#set ($visibilities = $request.getParameterValues('visibility'))\n#if ("$!visibilities" != '')\n  #set ($query = ", StringProperty visibilityProperty, BaseObject visibilityObj $query and visibilityObj.name = doc.fullName and visibilityObj.className = 'PhenoTips.VisibilityClass' and visibilityProperty.id.id = visibilityObj.id and visibilityProperty.name = 'visibility' and (")\n  #foreach ($visibility in $request.getParameterValues('visibility'))\n    #if ($foreach.index == 0)\n      #set ($query = "${query}visibilityProperty.value = ?")\n    #else\n      #set ($query = "${query} or visibilityProperty.value = ?")\n    #end\n    #set ($discard = $parameters.add($visibility))\n  #end\n  #set ($query = "${query})")\n#else\n  #set ($query = '')\n#end\n#if ($query != '')\n  #set ($patientIds = $services.query.hql($query).bindValues($parameters))\n  #set ($discard = $patientIds.addFilter('unique'))\n  #if ($request.count)\n    #set ($discard = $patientIds.addFilter('count'))\n    $patientIds.execute()[0]\n    #break\n  #end\n  #set ($patientIds = $patientIds.execute())\n  #if ($request.list)\n    $response.setContentType('application/json')\n    $jsontool.serialize($patientIds)\n    #break\n  #end\n#elseif ($request.count)\n  0\n  #break\n#end\n}}}\n{{/velocity}}</content></xwikidoc>\n
-6594598966061631219	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ExportPreferences</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.Export</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822206000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-data-export-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="PhenoTips.DatabaseFilters" /}}\n\n{{velocity output=false}}\n## if $simple is true the meta fields and the code fields are not rendered\n#macro(__export__displayFieldList $xclassName $targetFieldName $customValues $ignored $codeFields $valueList $simple $activeFields)\n  {{html clean="false"}}\n    #set($xclass = $xwiki.getDocument($xclassName).getxWikiClass())\n    &lt;ul class="field-list"&gt;\n      #foreach($customVal in $customValues.keySet())\n        &lt;li&gt;\n          &lt;label for="${targetFieldName}_${customVal}"&gt;\n            &lt;input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${customVal}" value="$customVal"#if ($valueList.contains($customVal) || true) checked="checked"#end/&gt;\n            ${customValues.get($customVal)}\n          &lt;/label&gt;\n        &lt;/li&gt;\n      #end\n      #foreach ($field in $xclass.properties)\n        #if (($activeFields.size() == 0 || $activeFields.contains(${field.name})) &amp;&amp; !$ignored.fields.contains(${field.name}) &amp;&amp; !$ignored.types.contains(${field.type}))\n        &lt;li&gt;\n          &lt;label for="${targetFieldName}_${field.name}"&gt;\n          &lt;input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${field.name}" value="${field.name}" #if($valueList.contains(${field.name}) || true) checked="checked" #end /&gt;\n          ${field.translatedPrettyName}\n        &lt;/li&gt;\n        #if ($codeFields.contains(${field.name}) &amp;&amp; !${simple})\n        &lt;li&gt;\n          &lt;label for="${targetFieldName}_${field.name}_code"&gt;\n          &lt;input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${field.name}_code" value="${field.name}_code" #if($valueList.contains("${field.name}_code")) checked="checked" #end /&gt;\n          ${field.translatedPrettyName} $services.localization.render('phenotips.exportPreferences.field.ID')\n        &lt;/li&gt;\n        &lt;li&gt;\n          &lt;label for="${targetFieldName}_${field.name}_combined"&gt;\n          &lt;input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${field.name}_combined" value="${field.name}_combined" #if($valueList.contains("${field.name}_combined")) checked="checked" #end /&gt;\n          ${field.translatedPrettyName} $services.localization.render('phenotips.exportPreferences.field.IDandName')\n        &lt;/li&gt;\n        #end\n        #if ($metaFields.contains(${field.name}) &amp;&amp; !${simple})\n        &lt;li&gt;\n          &lt;label for="${targetFieldName}_${field.name}_code_meta"&gt;\n          &lt;input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${field.name}_code_meta" value="${field.name}_code_meta" #if($valueList.contains("${field.name}_code_meta")) checked="checked" #end /&gt;\n          ${field.translatedPrettyName} $services.localization.render('phenotips.exportPreferences.field.termAndMetaID')\n        &lt;/li&gt;\n        &lt;li&gt;\n          &lt;label for="${targetFieldName}_${field.name}_meta"&gt;\n          &lt;input type="checkbox" name="${targetFieldName}" id="${targetFieldName}_${field.name}_meta" value="${field.name}_meta" #if($valueList.contains("${field.name}_meta") || true) checked="checked" #end /&gt;\n          ${field.translatedPrettyName} $services.localization.render('phenotips.exportPreferences.field.termAndMetaNames')\n        &lt;/li&gt;\n        #end\n        #end\n      #end\n    &lt;/ul&gt;\n    &lt;input type="hidden" name="${targetFieldName}" value="" /&gt;\n  {{/html}}\n#end\n{{/velocity}}\n\n{{velocity}}\n{{html clean="false" filter="indent"}}&lt;form class="xform" action="${escapetool.xml($request.get('export_endpoint'))}" method="post"&gt;&lt;div&gt;{{/html}}\n(% class="section filters"%)(((\n=== (% class="step" %)1(%%) $services.localization.render('phenotips.exportPreferences.filterTitle') ===\n\n#__filters_display('export-filters')\n\n{{info}} $services.localization.render('phenotips.exportPreferences.numMatchingRecords', [ "**(% id='filter-match-count'%) (%%)**" ]) {{/info}}\n)))##section filters\n\n(% class="section columns"%)(((\n=== (% class="step" %)2(%%) $services.localization.render('phenotips.exportPreferences.selectFields') ===\n#if ($request.multipatient)\n  #set($activeFields = ['external_id', 'gender', 'phenotype', 'negative_phenotype', 'omim_id'])\n  #set($ignored = {})\n  #set($customValues = {})\n  #set($codeFields = [])\n  #set($metaFields = [])\n  #set($selectedValues = [])\n  #__export__displayFieldList( "PhenoTips.PatientClass" 'columns' $customValues $ignored $codeFields $selectedValues false $activeFields)\n  #set($exportTitle = "$services.localization.render('phenotips.exportPreferences.push.submit', [$request.remoteserver])")\n  #set($exportButtonID = "push-multiple-patients")\n#else\n  #set($ignored = {\n    'fields' : ['reports_history', 'pedigree', 'extended_negative_phenotype', 'extended_phenotype', 'extended_prenatal_phenotype', 'extended_negative_prenatal_phenotype'],\n    'types'  : []\n  })\n  #if (${request.export_id} == 'phenotips_json_export')\n    #set ($simple = true)\n    #set ($discard = $ignored.fields.add('negative_phenotype'))\n  #else\n    #set ($simple = false)\n  #end\n  #set($customValues = {\n       'doc.name' : "$services.localization.render('phenotips.exportPreferences.field.docName')",\n       'referrer' : "$services.localization.render('phenotips.exportPreferences.field.referrer')",\n       'creationDate' : "$services.localization.render('phenotips.exportPreferences.field.creationDate')",\n       'author' : "$services.localization.render('phenotips.exportPreferences.field.author')",\n       'date' : "$services.localization.render('phenotips.exportPreferences.field.date')",\n       'allergies' : "$services.localization.render('PhenoTips.AllergiesDataClass_allergies')",\n       'genes': "$services.localization.render('phenotips.exportPreferences.field.genes')",\n       'genes_comments': "$services.localization.render('phenotips.exportPreferences.field.genesComments')",\n       'rejectedGenes': "$services.localization.render('phenotips.exportPreferences.field.rejectedGenes')",\n       'rejectedGenes_comments': "$services.localization.render('phenotips.exportPreferences.field.rejectGenesComments')"\n  })\n  #set($codeFields = ['phenotype', 'negative_phenotype', 'prenatal_phenotype', 'omim_id'])\n  #set($metaFields = ['phenotype'])\n  #set($selectedValues = ['phenotype'])\n  #__export__displayFieldList( "PhenoTips.PatientClass" 'columns' $customValues $ignored $codeFields $selectedValues $simple)\n  #set($exportTitle = "$services.localization.render('phenotips.exportPreferences.export')")\n  #set($exportButtonID = "export-multiple-patients")\n#end\n)))##section columns\n\n(% class="buttons"%)(((\n{{html clean="false"}}&lt;input type="hidden" name="space" value="$!request.space"/&gt;&lt;input type="hidden" name="outputSyntax" value="plain"/&gt;&lt;span class="buttonwrapper"&gt;&lt;input type="submit" id="$exportButtonID" value="$exportTitle" class="button" id="export_submit"/&gt;&lt;/span&gt; &lt;span class="buttonwrapper"&gt;&lt;input type="button" value="$services.localization.render('phenotips.exportPreferences.cancel')" class="button secondary" id="export_cancel"/&gt;&lt;/span&gt;{{/html}}\n{{html clean="false"}}&lt;/div&gt;&lt;/form&gt;{{/html}}\n)))\n{{/velocity}}</content></xwikidoc>\n
2243449434501462733	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:patient-measurements-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ChartService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822197000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-measurements-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="PhenoTips.ChartServiceMacros" /}}\n\n{{velocity}}\n#set ($format = "$!{request.f}")\n#if ($format != 'raster')\n  #set ($format = 'vector')\n#end\n#set ($standalone = ($format != '' &amp;&amp; "$!{request.standalone}" != '' &amp;&amp; "$!{request.standalone}" != '0' &amp;&amp; "$!{request.standalone}" != 'false'))\n#set ($link = ("$!{request.n}" == '' &amp;&amp; !$standalone))\n#set ($chartOptions = {\n   'format' : $format,\n   'chartName' : $!{request.n},\n   'standalone' : $standalone,\n   'link' : $link\n})\n#_measurementCharts($chartOptions)\n#if (!$chartOptions.standalone)\n  (% class="clear"%)((()))\n#end\n{{/velocity}}</content></xwikidoc>\n
-7628344836700628748	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:patient-measurements-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ChartServiceMacros</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.ChartService</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822209000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-measurements-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n#macro (_measurementCharts $options)\n## ---------------------------------------------------------\n## Initialization of 'global' vars\n## ---------------------------------------------------------\n#set ($measurements = {})\n#set ($ageLimits = {})\n#foreach ($measurementName in $services.measurements.getAvailableMeasurementNames())\n  #set ($discard = $measurements.put($measurementName, []))\n  #set ($discard = $ageLimits.put($measurementName, {'max': -1, 'min': 100000}))\n#end\n#set ($sex = false)\n#set ($c = $xwiki.getDocument('PhenoTips.ChartGenerator').getContent())\n#set ($service = $xwiki.getDocument('PhenoTips.ChartService'))\n##\n##\n## ---------------------------------------------------------\n## Build measurements data from objects\n## ---------------------------------------------------------\n#macro (_buildMeasurementsFromObjects $targetClassName $obj)\n  #if (!$obj.getProperty('date_of_birth').value)\n    #break\n  #end\n  #macro (_updateMeasurements $measurements $o $measurementName $age)\n    #if ("$!{o.getProperty($measurementName).value}" != '')\n      #if (!($ageLimits.get($measurementName).min &lt;= $age))\n        #set ($ageLimits.get($measurementName).min = $age)\n      #end\n      #if (!($ageLimits.get($measurementName).max &gt;= $age))\n        #set ($ageLimits.get($measurementName).max = $age)\n      #end\n      #set ($discard = $measurements.add({'a': $age, 'x' : $o.getProperty($measurementName).value}))\n    #end\n  #end\n  #foreach ($o in $doc.getObjects($targetClassName))\n    #set ($age = $o.getProperty('age').value)\n    #if ($age &gt;= 0)\n      #foreach ($measurementName in $services.measurements.getAvailableMeasurementNames())\n        #_updateMeasurements($measurements.get($measurementName) $o $measurementName $age)\n      #end\n    #end\n  #end\n  #set ($sex = $obj.getProperty('gender').value != 'F')\n#end\n##\n##\n## ---------------------------------------------------------\n## Build measurements data from request\n## ---------------------------------------------------------\n#macro (_buildMeasurementsFromRequest)\n  #macro (_buildMeasurementFromRequest $measurements $measurementName)\n    #foreach ($m in $request.getParameterValues($measurementName))\n      #if ("$!{m}" != '')\n        #set ($age = $mathtool.toDouble($ages.get($foreach.index)))\n        #if ("$!age" != '')\n          #if (!($ageLimits.get($measurementName).min &lt;= $age))\n            #set ($ageLimits.get($measurementName).min = $age)\n          #end\n          #if (!($ageLimits.get($measurementName).max &gt;= $age))\n            #set ($ageLimits.get($measurementName).max = $age)\n          #end\n          #set ($discard = $measurements.add({'a': $age, 'x' : $mathtool.toDouble($m)}))\n        #end\n      #end\n    #end\n  #end\n  #set ($ages = $request.getParameterValues('a'))\n  #if ("$!{ages}" != "")\n    #foreach ($measurementName in $services.measurements.getAvailableMeasurementNames())\n      #_buildMeasurementFromRequest($measurements.get($measurementName) $measurementName)\n    #end \n  #end\n  #set ($sex = ($request.getParameter('s') != 'F'))\n#end\n##\n##\n## ---------------------------------------------------------\n## Detect compatible image "format" based on the current browser\n## ---------------------------------------------------------\n#macro(_detectChartFormat)\n  #if ($request.getHeader('User-Agent').matches('.*MSIE\\s[6-8]\\..*'))\n    #set($format = 'raster')\n  #else\n    #set($format = 'vector')\n  #end\n$format##\n#end\n##\n##\n## ---------------------------------------------------------\n## Generate charts for a specific measurement\n## ---------------------------------------------------------\n#macro (_generateCharts $measurements $measurementName)\n  #if (!$measurements.isEmpty())\n    #set ($chartConfigurations = [])\n    #foreach ($chartConfiguration in $services.measurements.get($measurementName).getChartsConfigurations())\n      #if ($chartConfiguration.lowerAgeLimit &lt;= $ageLimits.get($measurementName).min)\n        #set ($chartConfigurations = [])\n      #end\n      #set ($discard = $chartConfigurations.add($chartConfiguration))\n      #if ($chartConfiguration.upperAgeLimit &gt; $ageLimits.get($measurementName).max)\n        #break\n      #end\n    #end\n    #foreach ($chartConfiguration in $chartConfigurations)\n      #_generateChart($measurements, $chartConfiguration)\n    #end\n  #end\n#end\n##\n##\n## ---------------------------------------------------------\n## Generate chart for a specific measurement and age span\n## ---------------------------------------------------------\n#macro (_generateChart $measurements $chartConfiguration)\n  #if (!$measurements.isEmpty())\n    #set ($svg = "#evaluate($c)")\n    #set ($queryString = "n=${chartConfiguration.measurementType}#if(!$sex)&amp;s=F#end")\n    #foreach ($m in $measurements)\n      #if ($m.a &gt;= $chartConfiguration.lowerAgeLimit &amp;&amp; $m.a &lt; $chartConfiguration.upperAgeLimit)\n        #set ($queryString = "${queryString}&amp;a=${m.a}&amp;${chartConfiguration.measurementType}=${m.x}")\n      #end\n    #end\n    #if ($options.format == 'raster' || "#_detectChartFormat()" == 'raster')\n      #set ($svg = $svg.replaceAll('\\{\\{/?html.*?}}', '').trim())\n      #set ($src = $xwiki.svg.getSVGImageURL($svg, $chartHeight, $chartWidth))\n    #else\n      #set ($src = $service.getURL('get', "${queryString}&amp;standalone=1"))\n    #end\n    #if ($options.standalone)\n      #if ($options.format == 'raster')\n        $response.sendRedirect($src)\n      #elseif($doc != $service || $xcontext.action != 'get')\n        $response.sendRedirect($service.getURL('get', $queryString))\n      #else\n        $response.setContentType('text/html')\n        ((($svg)))\n      #end\n    #else\n      #if ($options.format == 'raster' || "#_detectChartFormat()" == 'raster')\n        #set ($img = "&lt;img style='width:100%' title='$chartConfiguration.chartTitle' src='$src'/&gt;")\n      #else\n        #set ($img = $svg.replaceAll('\\{\\{/?html.*?}}', '').trim())\n      #end\n      #if ($options.link)\n        {{html clean="false"}}&lt;a target="_blank" href="$src" class="chart-wrapper"&gt;$img&lt;/a&gt;{{/html}}##\n      #elseif ($options.fullscreen || $xcontext.action == 'export')\n        {{html clean="false"}}&lt;div style="width:100%;"&gt;$img&lt;/div&gt;{{/html}}##\n      #else\n        {{html clean="false"}}&lt;div class="chart-wrapper"&gt;$img&lt;/div&gt;{{/html}}##\n      #end\n    #end\n  #end\n#end\n##\n##\n##\n## ---------------------------------------------------------\n## Decide which method to use for building measurement data\n## ---------------------------------------------------------\n#if ($options.targetClassName &amp;&amp; $options.obj)\n  #_buildMeasurementsFromObjects($options.targetClassName $options.obj)\n#else\n  #_buildMeasurementsFromRequest()\n#end\n## ---------------------------------------------------------\n## Decide what charts to display and in which format\n## ---------------------------------------------------------\n#if ($options.chartName)\n  #_generateCharts($measurements.get($options.chartName), $options.chartName)\n#else\n  ## ---------------------------------------------------------\n  ## Generate all the charts for all the available data\n  ## ---------------------------------------------------------\n  #foreach ($measurementName in $services.measurements.getAvailableMeasurementNames())\n    #_generateCharts($measurements.get($measurementName), $measurementName)\n  #end\n#end\n##\n## ---------------------------------------------------------\n## All done\n## ---------------------------------------------------------\n#end## macro measurementCharts\n{{/velocity}}</content></xwikidoc>\n
-8289552106001225603	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:patient-measurements-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>MeasurementsClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822129000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-measurements-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.MeasurementsClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<age>\n<customDisplay>{{velocity}}\n#if ("$!value" == '')\n  #set ($dValue = '-')\n#else\n  #set ($dValue = '')\n  #if ($value &gt;= 0)\n    #set ($y = $mathtool.idiv($value, 12))\n    #set ($m = $mathtool.mod($value, 12))\n  #end\n  #if ($y &gt; 0)\n    #set ($dValue = "${y}y")\n  #end\n  #if ($m &gt;= 0)\n    #set ($dValue = "$!dValue ${m}m")\n  #end\n#end\n{{html wiki=false clean=false}}\n#if ($xcontext.action == 'edit')&lt;input type="hidden" name="$prefix$name" value="$!value"/&gt;#end\n&lt;div class="$name displayed-value"&gt;$dValue.trim()&lt;/div&gt;\n{{/html}}\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>age</name>\n<number>2</number>\n<numberType>float</numberType>\n<prettyName>Age</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</age>\n<armspan>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>armspan</name>\n<number>39</number>\n<numberType>float</numberType>\n<prettyName>Arm span</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</armspan>\n<armspan_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>armspan_evaluation</name>\n<number>40</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('armspan').value)\n#set ($hValue = $object.getProperty('height').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!hValue" == '')\n  #set ($dValue = '-')\n#else\n  #set ($dValue = $dValue - $hValue)\n  #set ($pValue = $services.measurements.armspan.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.armspan.valueToStandardDeviation($male, $age, $dValue)))\n##  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n  #set ($dValue = "~= Height#if ($dValue != 0)#if($dValue &gt;= 0) + #else - #end$mathtool.abs($mathtool.roundTo(2, $dValue)) cm#end")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</armspan_evaluation>\n<bmi>\n<customDisplay>{{velocity}}\n#if ($xcontext.action != 'edit' || $request.editor != 'object')\n  #set ($dValue = "$!{value}")\n  #if ($dValue == '')\n    #set ($dValue = '-')\n  #end\n  {{html wiki=false clean=false}}\n  #if ($xcontext.action == 'edit')&lt;input type="hidden" name="$prefix$name" value="$!value"/&gt;#end\n  &lt;div class="$name displayed-value"&gt;$dValue&lt;/div&gt;\n  {{/html}}\n#else{\n  {{html wiki=false clean=false}}&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!value"/&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>bmi</name>\n<number>7</number>\n<numberType>float</numberType>\n<prettyName>BMI</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</bmi>\n<bmi_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>bmi_evaluation</name>\n<number>8</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($wValue = $object.getProperty('weight').value)\n#set ($hValue = $object.getProperty('height').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!wValue" == '' || "$!hValue" == '' || "$!wValue" == '0' || "$!hValue" == '0' || "$!{age}" == '')\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.bmi.valueToPercentile($male, $age, $wValue, $hValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.bmi.valueToStandardDeviation($male, $age, $wValue, $hValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</bmi_evaluation>\n<date>\n<customDisplay>{{velocity}}{{html wiki=false clean=false}}\n#set ($definedFormat = "$!object.xWikiClass.get($name).getProperty('dateFormat').value")\n#if ($xcontext.action == 'edit')\n&lt;input type="text" id="$prefix$name" title="$!definedFormat" name="$prefix$name" value="$!xwiki.formatDate($value, $definedFormat)" class="xwiki-date" alt="#formatdateISO($value)"/&gt;\n#else\n&lt;span class="date"&gt;$!xwiki.formatDate($!value, $definedFormat)&lt;/span&gt;\n#end\n{{/html}}{{/velocity}}</customDisplay>\n<dateFormat>MM/dd/yyyy</dateFormat>\n<disabled>0</disabled>\n<emptyIsToday>1</emptyIsToday>\n<name>date</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Date</prettyName>\n<size>20</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.DateClass</classType>\n</date>\n<ear>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>ear</name>\n<number>19</number>\n<numberType>float</numberType>\n<prettyName>Left ear length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</ear>\n<ear_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ear_evaluation</name>\n<number>20</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('ear').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.ear.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.ear.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</ear_evaluation>\n<ear_right>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>ear_right</name>\n<number>27</number>\n<numberType>float</numberType>\n<prettyName>Right ear length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</ear_right>\n<ear_right_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ear_right_evaluation</name>\n<number>28</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('ear_right').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.ear.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.ear.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</ear_right_evaluation>\n<foot>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>foot</name>\n<number>25</number>\n<numberType>float</numberType>\n<prettyName>Left foot length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</foot>\n<foot_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>foot_evaluation</name>\n<number>26</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('foot').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.foot.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.foot.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</foot_evaluation>\n<foot_right>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>foot_right</name>\n<number>33</number>\n<numberType>float</numberType>\n<prettyName>Right foot length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</foot_right>\n<foot_right_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>foot_right_evaluation</name>\n<number>34</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('foot').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.foot.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.foot.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</foot_right_evaluation>\n<hand>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>hand</name>\n<number>21</number>\n<numberType>float</numberType>\n<prettyName>Left hand length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</hand>\n<hand_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>hand_evaluation</name>\n<number>22</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('hand').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#set ($pValue = $services.measurements.hand.valueToPercentile($male, $age, $dValue))\n#if ("$!dValue" == '' || "$!{age}" == '' || "$!pValue" == '-1')\n  #set ($dValue = '-')\n#else\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.hand.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</hand_evaluation>\n<hand_right>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>hand_right</name>\n<number>29</number>\n<numberType>float</numberType>\n<prettyName>Right hand length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</hand_right>\n<hand_right_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>hand_right_evaluation</name>\n<number>30</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('hand_right').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#set ($pValue = $services.measurements.hand.valueToPercentile($male, $age, $dValue))\n#if ("$!dValue" == '' || "$!{age}" == '' || "$!pValue" == '-1')\n  #set ($dValue = '-')\n#else\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.hand.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</hand_right_evaluation>\n<hc>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>hc</name>\n<number>9</number>\n<numberType>float</numberType>\n<prettyName>Head circumference</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</hc>\n<hc_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>hc_evaluation</name>\n<number>10</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('hc').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.hc.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.hc.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</hc_evaluation>\n<height>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>height</name>\n<number>5</number>\n<numberType>float</numberType>\n<prettyName>Height</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</height>\n<height_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>height_evaluation</name>\n<number>6</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('height').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '')\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.height.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.height.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</height_evaluation>\n<icd>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>icd</name>\n<number>13</number>\n<numberType>float</numberType>\n<prettyName>Inner canthal distance</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</icd>\n<icd_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>icd_evaluation</name>\n<number>14</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('icd').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.icd.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.icd.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</icd_evaluation>\n<ipd>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>ipd</name>\n<number>17</number>\n<numberType>float</numberType>\n<prettyName>Interpupilary distance</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</ipd>\n<ipd_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ipd_evaluation</name>\n<number>18</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('ipd').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.ipd.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.ipd.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</ipd_evaluation>\n<ocd>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>ocd</name>\n<number>11</number>\n<numberType>float</numberType>\n<prettyName>Outer canthal distance</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</ocd>\n<ocd_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>ocd_evaluation</name>\n<number>12</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('ocd').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.ocd.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.ocd.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</ocd_evaluation>\n<palm>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>palm</name>\n<number>23</number>\n<numberType>float</numberType>\n<prettyName>Left palm length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</palm>\n<palm_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>palm_evaluation</name>\n<number>24</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('palm').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.palm.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.palm.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</palm_evaluation>\n<palm_right>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>palm_right</name>\n<number>31</number>\n<numberType>float</numberType>\n<prettyName>Right palm length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</palm_right>\n<palm_right_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>palm_right_evaluation</name>\n<number>32</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('palm_right').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.palm.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.palm.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</palm_right_evaluation>\n<pfl>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>pfl</name>\n<number>15</number>\n<numberType>float</numberType>\n<prettyName>Palpebral fissure length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</pfl>\n<pfl_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>pfl_evaluation</name>\n<number>16</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('pfl').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '')\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.pfl.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.pfl.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</pfl_evaluation>\n<philtrum>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>philtrum</name>\n<number>35</number>\n<numberType>float</numberType>\n<prettyName>Philtrum length</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</philtrum>\n<philtrum_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>philtrum_evaluation</name>\n<number>36</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('philtrum').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.philtrum.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.philtrum.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</philtrum_evaluation>\n<sitting>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') cm#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;cm&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>sitting</name>\n<number>37</number>\n<numberType>float</numberType>\n<prettyName>Sitting height</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</sitting>\n<sitting_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sitting_evaluation</name>\n<number>38</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('sitting').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.sitting.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.sitting.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</sitting_evaluation>\n<weight>\n<customDisplay>{{velocity}}\n#if ($type != 'edit')$!{mathtool.roundTo(2, $value)}#if ("$!{value}" != '') kg#end\n#else\n{{html clean="false"}}&lt;div class="metric"&gt;&lt;input type="text" id="$prefix$name" name="$prefix$name" value="$!mathtool.roundTo(2, $value)" size="6"/&gt;&lt;span class="unit"&gt;kg&lt;/span&gt;&lt;/div&gt;{{/html}}\n#end\n{{/velocity}}</customDisplay>\n<disabled>0</disabled>\n<name>weight</name>\n<number>3</number>\n<numberType>float</numberType>\n<prettyName>Weight</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</weight>\n<weight_evaluation>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>weight_evaluation</name>\n<number>4</number>\n<prettyName></prettyName>\n<script>{{velocity}}\n#set ($dValue = $object.getProperty('weight').value)\n#set ($age = $object.getProperty('age').value)\n#set ($male = $doc.getObject('PhenoTips.PatientClass').getProperty('gender').value != 'F')\n#if ("$!dValue" == '' || "$!{age}" == '' )\n  #set ($dValue = '-')\n#else\n  #set ($pValue = $services.measurements.weight.valueToPercentile($male, $age, $dValue))\n  #set ($sdValue = $mathtool.roundTo(2, $services.measurements.weight.valueToStandardDeviation($male, $age, $dValue)))\n  #set ($dValue = "${pValue}#if($pValue&lt;=20 &amp;&amp; $pValue&gt;=4)^^th^^#elseif($pValue%10==1)^^st^^#elseif($pValue%10==2)^^nd^^#elseif($pValue%10==3)^^rd^^#{else}^^th^^#end pctl (#if ($sdValue &gt;= 0)+#end${sdValue}SD~)")\n#end\n(% class="${name} displayed-value $!{services.measurements.getFuzzyValue($!sdValue)}" %)${dValue}(%%)\n{{/velocity}}</script>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.ComputedFieldClass</classType>\n</weight_evaluation>\n</class>\n<content></content></xwikidoc>\n
-6142523365656884645	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:patient-measurements-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PatientToolsService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822204000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-measurements-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action == 'get')\n  #macro (dashIfEmpty $val)#if ("$!val" == '' || ($val.class.getName().endsWith('Integer') &amp;&amp; $val &lt; 0) || ($val.class.getName().endsWith('Double') &amp;&amp; $val.isNaN($val)))-#elseif ($val.class.getName().endsWith('Integer'))$val#else$mathtool.roundTo(2, $val)#end#end\n  $response.setContentType('application/json')\n  #set ($age = $mathtool.toDouble("$!request.a"))\n  #set ($sex = ("$!request.s" != 'F'))\n##\n  #set ($valueMapping = [])\n##\n  #if ("$!request.a" != '')\n    #foreach($measurement in $services.measurements.getAvailableMeasurementHandlers())\n      #set ($value = $mathtool.toDouble("$!request.get($measurement.name)"))\n      #if ("$!value" != '' &amp;&amp; $value != 0)\n        #set($data = {'id' : $measurement.name,\n                      'value' : $value,\n                      'percentile' : $!$measurement.valueToPercentile($sex, $age, $value),\n                      'deviation' : $!measurement.valueToStandardDeviation($sex, $age, $value)\n        })\n        #set($discard = $valueMapping.add($data))\n      #end\n      #if ($measurement.isDoubleSided())\n        #set ($value = $mathtool.toDouble("$!request.get(""${measurement.name}_right"")"))\n        #if ("$!value" != '' &amp;&amp; $value != 0)\n          #set($data = {'id' : "${measurement.name}_right",\n                        'value' : $value,\n                        'percentile' : $!measurement.valueToPercentile($sex, $age, $value),\n                        'deviation' : $!measurement.valueToStandardDeviation($sex, $age, $value)\n          })\n          #set($discard = $valueMapping.add($data))\n        #end\n      #end\n    #end\n    ## BMI is special, it's computed from two different measurements\n    #set ($weight = $mathtool.toDouble("$!request.weight"))\n    #set ($height = $mathtool.toDouble("$!request.height"))\n    #if ("$!weight" != '' &amp;&amp; $weight != 0 &amp;&amp; "$!height" != '' &amp;&amp; $height != 0)\n      #set($data = {'id' : 'bmi', 'value' : $!mathtool.roundTo(2, $services.measurements.bmi.computeBMI($weight, $height))})\n        #set($discard = $data.put('percentile', $!services.measurements.bmi.valueToPercentile($sex, $age, $weight, $height)))\n        #set($discard = $data.put('deviation', $!services.measurements.bmi.valueToStandardDeviation($sex, $age, $weight, $height)))\n      #set($discard = $valueMapping.add($data))\n    #end\n    ## Arm span is also special, it's computed as the difference from height\n    #set ($armspan = $mathtool.toDouble("$!request.armspan"))\n    #set ($height = $mathtool.toDouble("$!request.height"))\n    #if ("$!armspan" != '' &amp;&amp; $armspan != 0 &amp;&amp; "$!height" != '' &amp;&amp; $height != 0)\n      #set ($dValue = $armspan - $height)\n      #set ($dValue = $mathtool.roundTo(2, $dValue))\n      #set($data = {'id' : 'armspan', 'value' : $dValue})\n      #set($discard = $data.put('evaluation', "~= Height#if ($dValue != 0)#if($dValue &gt;= 0) + #else - #end$mathtool.abs($dValue)cm#end"))\n      #set($discard = $valueMapping.add($data))\n    #end\n  #end##age\n  {\n  #foreach ($entry in $valueMapping)\n    #if ("$!entry.evaluation" != '')\n      #set ($dValue = $entry.evaluation)\n    #elseif ("$!entry.value" == '' || "$!{entry.percentile}" == '' || $entry.percentile &lt; 0 || "$!{entry.deviation}" == '')\n      #set ($dValue = '-')\n    #else\n      #set ($pValue = $entry.percentile)\n      #set ($sdValue = $entry.deviation)\n      #set ($dValue = "${pValue}#if($pValue&gt;10 &amp;&amp; $pValue&lt;20)&lt;sup&gt;th&lt;/sup&gt;#elseif($pValue%10==1)&lt;sup&gt;st&lt;/sup&gt;#elseif($pValue%10==2)&lt;sup&gt;nd&lt;/sup&gt;#elseif($pValue%10==3)&lt;sup&gt;rd&lt;/sup&gt;#{else}&lt;sup&gt;th&lt;/sup&gt;#end pctl (#if ($sdValue &gt;= 0)+#end${mathtool.roundTo(2, $sdValue)}SD)")\n    #end\n    "$entry.id" : {\n        "value" : "#dashIfEmpty($entry.value)",\n        "percentile" : "#dashIfEmpty($entry.percentile)",\n        "deviation" : "#dashIfEmpty($entry.deviation)",\n        "valCategory" : "$!services.measurements.getFuzzyValue($entry.deviation)",\n        "evaluation" : "$dValue"\n    }#if($foreach.hasNext()),\n\n    #end\n  #end\n\n  }\n#end{{/velocity}}\n</content></xwikidoc>
2892263817918590370	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:patient-measurements-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>ChartGenerator</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.ChartService</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822204000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-measurements-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>#macro (getPercentileValue $age $p)\n  #set ($v = $services.measurements.get($chartConfiguration.measurementType).percentileToValue($sex, $age, $p))\n#end\n#macro (getSDValue $age $d)\n  #set ($v = $services.measurements.get($chartConfiguration.measurementType).standardDeviationToValue($sex, $age, $d))\n#end\n#macro (getValuePercentile $age $v)\n  #set ($p = $services.measurements.get($chartConfiguration.measurementType).valueToPercentile($sex, $age, $v))\n#end\n#macro (getValueSD $age $v)\n  #set ($d = $services.measurements.get($chartConfiguration.measurementType).valueToStandardDeviation($sex, $age, $v))\n#end\n#macro (getPercentileColor $p)\n  #set ($macro.h = $mathtool.mul(110, $mathtool.pow($mathtool.div($mathtool.sub(50, $mathtool.abs($mathtool.sub($p, 50))), 50.0), 0.5)))\n  #set ($macro.s = 1)\n  #set ($macro.l = 0.5)\n  #set ($macro.r = $macro.l)\n  #set ($macro.g = $macro.l)\n  #set ($macro.b = $macro.l)\n  #if ($macro.l &lt;= 0.5)\n    #set ($macro.v = ($macro.l * (1.0 + $macro.s)))\n  #else\n    #set ($macro.v = ($macro.l + $macro.s - $macro.l * $macro.s))\n  #end\n  #if ($macro.v &gt; 0)\n    #set ($macro.m = $macro.l + $macro.l - $macro.v)\n    #set ($macro.sv = ($macro.v - $macro.m) / $macro.v)\n    #set ($macro.h = $macro.h / 60.0)\n    #set ($macro.sextant = $mathtool.floor($macro.h))\n    #set ($macro.fract = $macro.h - $macro.sextant)\n    #set ($macro.vsf = $macro.v * $macro.sv * $macro.fract)\n    #set ($macro.mid1 = $macro.m + $macro.vsf)\n    #set ($macro.mid2 = $macro.v - $macro.vsf)\n    #if ($macro.sextant == 0)\n      #set ($macro.r = $macro.v)\n      #set ($macro.g = $macro.mid1)\n      #set ($macro.b = $macro.m)\n    #elseif ($macro.sextant == 1)\n      #set ($macro.r = $macro.mid2)\n      #set ($macro.g = $macro.v)\n      #set ($macro.b = $macro.m)\n    #elseif ($macro.sextant == 2)\n      #set ($macro.r = $macro.m)\n      #set ($macro.g = $macro.v)\n      #set ($macro.b = $macro.mid1)\n    #elseif ($macro.sextant == 3)\n      #set ($macro.r = $macro.m)\n      #set ($macro.g = $macro.mid2)\n      #set ($macro.b = $macro.v)\n    #elseif ($macro.sextant == 4)\n      #set ($macro.r = $macro.mid1)\n      #set ($macro.g = $macro.m)\n      #set ($macro.b = $macro.v)\n    #else\n      #set ($macro.r = $macro.v)\n      #set ($macro.g = $macro.m)\n      #set ($macro.b = $macro.mid2)\n    #end\n  #end\n  #set ($macro.r = $mathtool.toInteger($mathtool.mul($macro.r, 255)))\n  #set ($macro.g = $mathtool.toInteger($mathtool.mul($macro.g, 255)))\n  #set ($macro.b = $mathtool.toInteger($mathtool.mul($macro.b, 255)))\n  #set ($macro.r = $macro.r.toHexString($macro.r))\n  #if ($macro.r.length() == 1)\n    #set ($macro.r = "0$macro.r")\n  #end\n  #set ($macro.g = $macro.g.toHexString($macro.g))\n  #if ($macro.g.length() == 1)\n    #set ($macro.g = "0$macro.g")\n  #end\n  #set ($macro.b = $macro.b.toHexString($macro.b))\n  #if ($macro.b.length() == 1)\n    #set ($macro.b = "0$macro.b")\n  #end\n  ${escapetool.h}${macro.r}${macro.g}${macro.b}##\n#end\n#set ($xlines = $mathtool.toInteger($mathtool.div($mathtool.sub($chartConfiguration.upperAgeLimit, $chartConfiguration.lowerAgeLimit), $chartConfiguration.ageTickStep)))\n#set ($ylines = $mathtool.toInteger($mathtool.div($mathtool.sub($chartConfiguration.upperValueLimit, $chartConfiguration.lowerValueLimit), $chartConfiguration.valueTickStep)))\n#set ($graphWidth = 828)\n#set ($graphHeight = 1080)\n#set ($chartWidth = $mathtool.add($graphWidth, 125))\n#set ($chartHeight = $mathtool.add($graphHeight, 146))\n#set ($xstep = $mathtool.div($graphWidth, $xlines))\n#set ($ystep = $mathtool.div($graphHeight, $ylines))\n#set ($yscale = $mathtool.div($ystep, $chartConfiguration.valueTickStep))\n#set ($xscale = $mathtool.div($xstep, $chartConfiguration.ageTickStep))\n#if ($chartConfiguration.ageLabelStep &gt;= 12)\n  #set ($ageInYears = true)\n#else\n  #set ($ageInYears = false)\n#end\n#if (!$chartCounter)\n  #set ($chartCounter = 0)\n#else\n  #set ($chartCounter = $chartCounter + 1)\n#end\n{{html clean="false"}}\n##$response.setContentType('image/svg+xml')\n&lt;svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="-60.5 -80.5 $chartWidth $chartHeight" ##\n#if ("$!{request.standalone}" == '1' || $xcontext.action == 'export')\n  width="$chartWidth" height="$chartHeight" ##\n#else\n  width="100%" ##\n#end\npreserveAspectRatio="xMinYMin meet" style="overflow: hidden;" text-rendering="optimizeLegibility"&gt;\n  &lt;title&gt;${chartConfiguration.chartTitle}, #if ($sex)$services.localization.render('phenotips.chartGenerator.chartTitle.male')#{else}$services.localization.render('phenotips.chartGenerator.chartTitle.female')#end&lt;/title&gt;\n  &lt;style type="text/css"&gt;\na:hover {\n  text-decoration: underline;\n}\n.chart-background {\n  fill: white;\n  stroke: none;\n}\n.chart-border {\n  stroke: #000;\n  stroke-width: 1px;\n  fill: none;\n}\n.chart-grid {\n  stroke: #AAA;\n  stroke-width: 0.5px;\n  fill: none;\n  shape-rendering: geometricPrecision;\n}\n.chart-grid.bold {\n  stroke-width: 1px;\n  stroke: #AAA;\n}\n.chart-percentile-curve, .chart-deviation-curve {\n  stroke: #000;\n  stroke-width: 1px;\n  stroke-linejoin: round;\n  fill: none;\n}\n.chart-deviation, .chart-deviation-curve {\n  display: none;\n}\n.boy .chart-percentile-curve {\n  stroke: #1059A0;\n}\n.girl .chart-percentile-curve {\n  stroke: #C44;\n  stroke: #D05;\n}\n.chart-percentile-curve.bold {\n  stroke-width: 2px;\n}\n.chart-percentile-curve.guideline {\n  stroke: #AAA;\n  stroke-width: 1px;\n  stroke-dasharray: 3px 3px;\n}\n.chart-title {\n  text-anchor: middle;\n  font-size: 28px;\n  font-family: sans-serif;\n}\n.chart-label {\n  text-anchor: middle;\n  font-size: 14px;\n  font-family: monospace;\n}\n.chart-label.left {\n  text-anchor: end;\n}\n.chart-label.right {\n  text-anchor: start;\n}\n.chart-label.bold {\n  font-weight: 900;\n}\n.chart-label.side {\n  font-family: sans-serif;\n  font-size: 20px;\n  text-anchor: middle;\n}\n.reference {\n  font-size: 10px;\n  text-anchor: end;\n}\n.chart-percentile.chart-background {\n  stroke: none;\n  fill: white;\n}\n  &lt;/style&gt;\n  &lt;defs&gt;\n    &lt;clipPath id="border${chartCounter}"&gt;\n      &lt;rect x="0" y="0.5" width="$graphWidth" height="$graphHeight" class="chart-border" /&gt;\n    &lt;/clipPath&gt;\n  &lt;/defs&gt;\n  &lt;rect x="-60" y="-80" width="$mathtool.sub($chartWidth, 1)" height="$mathtool.sub($chartHeight, 1)" class="chart-background" /&gt;\n  &lt;g transform="translate(0, 10)" class="#if ($sex)boy#{else}girl#{end}"&gt;\n  #foreach ($i in [0..$xlines])\n    #set ($age = $mathtool.add($mathtool.mul($i, $chartConfiguration.ageTickStep), $chartConfiguration.lowerAgeLimit))\n    #set ($isMajorLine = $mathtool.abs($mathtool.sub($mathtool.div($age, $chartConfiguration.ageLabelStep), $mathtool.round($mathtool.div($age, $chartConfiguration.ageLabelStep)))) &lt;= 0.0001)\n    #set ($x = $mathtool.mul($i, $xstep))\n    &lt;line x1="$x" y1="0" x2="$x" y2="$graphHeight" class="chart-grid#if ($isMajorLine) bold#end" /&gt;\n    #if ($age == 0)\n      &lt;text x="$x" y="$mathtool.add($graphHeight, 5)" class="bottom chart-label bold" dy="1ex"&gt;$services.localization.render('phenotips.chartGenerator.birth')&lt;/text&gt;\n      &lt;text x="$x" y="-4" class="top chart-label bold"&gt;$services.localization.render('phenotips.chartGenerator.birth')&lt;/text&gt;\n    #elseif ($isMajorLine)\n      #if ($ageInYears)\n        #set ($age = $age / 12)\n      #end\n      &lt;text x="$x" y="$mathtool.add($graphHeight, 5)" class="bottom chart-label#if (!$ageInYears &amp;&amp; $age % 12 == 0) bold#end" dy="1ex"&gt;$age&lt;/text&gt;\n      &lt;text x="$x" y="-4" class="top chart-label#if (!$ageInYears &amp;&amp; $age % 12 == 0) bold#end"&gt;$age&lt;/text&gt;\n    #end\n  #end\n  #if (($chart.startsWith('height') || $chart.startsWith('bmi')) &amp;&amp; $chartConfiguration.lowerAgeLimit &lt; 24 &amp;&amp; $chartConfiguration.upperAgeLimit &gt; 24)\n    #set ($x = $mathtool.mul(24, $xstep))\n    &lt;line x1="$x" y1="0" x2="$x" y2="$graphHeight" class="chart-border" /&gt;\n  #end\n  #foreach ($i in [0..$ylines])\n    #set ($value = $mathtool.roundTo(1, $mathtool.add($mathtool.mul($i, $chartConfiguration.valueTickStep), $chartConfiguration.lowerValueLimit)))\n    #set ($isMajorLine = $mathtool.abs($mathtool.sub($mathtool.div($value, $chartConfiguration.valueLabelStep), $mathtool.round($mathtool.div($value, $chartConfiguration.valueLabelStep)))) &lt;= 0.0001)\n    #set ($y = $mathtool.sub($graphHeight, $mathtool.mul($i, $ystep)))\n    &lt;line x1="0" y1="$y" x2="$graphWidth" y2="$y" class="chart-grid#if ($isMajorLine) bold#end" /&gt;\n    #if ($isMajorLine)\n      #if ($mathtool.floor($chartConfiguration.valueLabelStep) == $chartConfiguration.valueLabelStep)\n        #set ($value = $mathtool.toInteger($value))\n      #end\n      &lt;text x="-4" y="$y" class="left chart-label" dy="0.5ex"&gt;$value&lt;/text&gt;\n      &lt;text x="$mathtool.add($graphWidth, 4)" y="$y" class="right chart-label" dy="0.5ex"&gt;$value&lt;/text&gt;\n    #end\n  #end\n  #foreach ($p in [3, 10, 25, 50, 75, 90, 97])\n    #getPercentileValue($chartConfiguration.lowerAgeLimit $p)\n    &lt;path clip-path="url(#border${chartCounter})" class="chart-percentile-curve#if ($p == 3 || $p == 50 || $p == 97) bold#end" d="M0 $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))L##\n    #foreach ($i in [1..$xlines])\n      #set ($age = $mathtool.add($mathtool.mul($i, $chartConfiguration.ageTickStep), $chartConfiguration.lowerAgeLimit))\n      #getPercentileValue($age $p)\n      $mathtool.mul($foreach.count, $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale)) ##\n      #if ($age == 23 &amp;&amp; ($chartConfiguration.measurementType == 'height' || $chartConfiguration.measurementType == 'bmi') &amp;&amp; $chartConfiguration.lowerAgeLimit &lt; 24 &amp;&amp; $chartConfiguration.upperAgeLimit &gt; 24)\n        #set ($v2 = $v)\n        #getPercentileValue($mathtool.sub($age, 1) $p)\n        #set ($v1 = $v)\n        #set ($d = ($v2 - $v1) / 2)\n        #set ($v3 = $v2 + $d)\n        $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v3, $chartConfiguration.lowerValueLimit), $yscale)) ##\n        #getPercentileValue($mathtool.add($age, 2) $p)\n        #set ($v3 = $v)\n        #getPercentileValue($mathtool.add($age, 1) $p)\n        #set ($v2 = $v)\n        #set ($d = ($v3 - $v2) / 2)\n        #set ($v1 = $v2 - $d)\n        M $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v1, $chartConfiguration.lowerValueLimit), $yscale)) L##\n      #end\n    #end\n    "/&gt;\n  #end\n  #foreach ($d in [-3..3])\n    #getSDValue($chartConfiguration.lowerAgeLimit $d)\n    &lt;path clip-path="url(#border${chartCounter})" class="chart-deviation-curve#if ($d == -2 || $d == 2) bold#end" d="M0 $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))L##\n    #foreach ($i in [1..$xlines])\n      #set ($age = $mathtool.add($mathtool.mul($i, $chartConfiguration.ageTickStep), $chartConfiguration.lowerAgeLimit))\n      #getSDValue($age $d)\n      $mathtool.mul($foreach.count, $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale)) ##\n      #if ($age == 23 &amp;&amp; ($chartConfiguration.measurementType == 'height' || $chartConfiguration.measurementType == 'bmi') &amp;&amp; $chartConfiguration.lowerAgeLimit &lt; 24 &amp;&amp; $chartConfiguration.upperAgeLimit &gt; 24)\n        #set ($v2 = $v)\n        #getSDValue($mathtool.sub($age, 1) $d)\n        #set ($v1 = $v)\n        #set ($m = ($v2 - $v1) / 2)\n        #set ($v3 = $v2 + $m)\n        $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v3, $chartConfiguration.lowerValueLimit), $yscale)) ##\n        #getSDValue($mathtool.add($age, 2) $d)\n        #set ($v3 = $v)\n        #getSDValue($mathtool.add($age, 1) $d)\n        #set ($v2 = $v)\n        #set ($m = ($v3 - $v2) / 2)\n        #set ($v1 = $v2 - $m)\n        M $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v1, $chartConfiguration.lowerValueLimit), $yscale)) L##\n      #end\n    #end\n    "/&gt;\n  #end\n&lt;g clip-path="url(#border${chartCounter})"&gt;\n  #foreach ($m in $measurements)\n    #if ($m.a &gt;= $chartConfiguration.lowerAgeLimit &amp;&amp; $m.a &lt; $chartConfiguration.upperAgeLimit)\n      #getValuePercentile($m.a $m.x)\n      #getPercentileValue($chartConfiguration.lowerAgeLimit $p)\n      &lt;path class="chart-percentile-curve guideline" d="M0 $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))L##\n      #foreach ($i in [1..$xlines])\n        #set ($age = $mathtool.add($mathtool.mul($i, $chartConfiguration.ageTickStep), $chartConfiguration.lowerAgeLimit))\n        #getPercentileValue($age $p)\n        $mathtool.mul($foreach.count, $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale)) ##\n        #if ($age == 23 &amp;&amp; ($chartConfiguration.measurementType == 'height' || $chartConfiguration.measurementType == 'bmi') &amp;&amp; $chartConfiguration.lowerAgeLimit &lt; 24 &amp;&amp; $chartConfiguration.upperAgeLimit &gt; 24)\n          #set ($v2 = $v)\n          #getPercentileValue($mathtool.sub($age, 1) $p)\n          #set ($v1 = $v)\n          #set ($d = ($v2 - $v1) / 2)\n          #set ($v3 = $v2 + $d)\n          $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v3, $chartConfiguration.lowerValueLimit), $yscale)) ##\n          #getPercentileValue($mathtool.add($age, 2) $p)\n          #set ($v3 = $v)\n          #getPercentileValue($mathtool.add($age, 1) $p)\n          #set ($v2 = $v)\n          #set ($d = ($v3 - $v2) / 2)\n          #set ($v1 = $v2 - $d)\n          M $mathtool.mul($mathtool.add(1, $foreach.count), $xstep) $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v1, $chartConfiguration.lowerValueLimit), $yscale)) L##\n        #end\n      #end\n      "/&gt;\n    #end\n  #end\n  #foreach ($p in [3, 10, 25, 50, 75, 90, 97])\n    #getPercentileValue($mathtool.sub($chartConfiguration.upperAgeLimit, 1) $p)\n    &lt;circle cx="$mathtool.mul($mathtool.sub($xlines, 0.5), $xstep)" cy="$mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))" r="#if ($p == 3)0.5#{else}0.7#{end}em" class="chart-percentile chart-background"/&gt;\n    &lt;text x="$mathtool.mul($mathtool.sub($xlines, 0.5), $xstep)" y="$mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))" class="chart-percentile chart-label" dy="0.5ex"&gt;$p&lt;/text&gt;\n  #end\n  #foreach ($d in [-3..3])\n    #getSDValue($mathtool.sub($chartConfiguration.upperAgeLimit, 1) $d)\n    &lt;ellipse cx="$mathtool.mul($mathtool.sub($xlines, 0.85), $xstep)" cy="$mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))" ry="0.7em" rx="1.2em" class="chart-deviation chart-background"/&gt;\n    &lt;text x="$mathtool.mul($mathtool.sub($xlines, 0.85), $xstep)" y="$mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($v, $chartConfiguration.lowerValueLimit), $yscale))" class="chart-deviation chart-label" dy="0.5ex"&gt;#if ($d &gt;= 0)+#end${d}SD&lt;/text&gt;\n  #end\n  #foreach ($m in $measurements)\n    #if ($m.a &gt;= $chartConfiguration.lowerAgeLimit &amp;&amp; $m.a &lt; $chartConfiguration.upperAgeLimit)\n      #getValuePercentile($m.a $m.x)\n      #getValueSD($m.a $m.x)\n      #set ($d = $mathtool.roundTo(2, $d))\n      #set ($x = $mathtool.mul($mathtool.sub($m.a, $chartConfiguration.lowerAgeLimit), $xscale))\n      #set ($y = $mathtool.sub($graphHeight, $mathtool.mul($mathtool.sub($m.x, $chartConfiguration.lowerValueLimit), $yscale)))\n      #if ($y &gt; $mathtool.sub($graphHeight, 10))\n        #set ($y = $graphHeight - 4)\n        &lt;path d="M $x $y l 7 -14 h -14 z" fill="#getPercentileColor($p)" stroke="black" stroke-width="4" title="$mathtool.roundTo(2, $m.x), $p pctl (#if ($d &gt;= 0)+#end${d}SD)"/&gt;\n      #elseif ($y &lt; 10)\n        #set ($y = 4)\n        &lt;path d="M $x $y l 7 14 h -14 z" fill="#getPercentileColor($p)" stroke="black" stroke-width="4" title="$mathtool.roundTo(2, $m.x), $p pctl (#if ($d &gt;= 0)+#end${d}SD)"/&gt;\n      #else\n        &lt;circle cx="$x" cy="$y" fill="#getPercentileColor($p)" stroke="black" stroke-width="4" r="8" title="$mathtool.roundTo(2, $m.x), $p pctl (#if ($d &gt;= 0)+#end${d}SD)"/&gt;\n      #end\n    #end\n  #end\n  &lt;/g&gt;\n  &lt;rect x="0" y="0" width="$graphWidth" height="$graphHeight" class="chart-border" /&gt;\n  &lt;text x="$mathtool.div($graphWidth, 2)" y="-55" class="chart-title"&gt;${chartConfiguration.chartTitle}, #if ($sex)$services.localization.render('phenotips.chartGenerator.chartTitle.male')#{else}$services.localization.render('phenotips.chartGenerator.chartTitle.female')#end&lt;/text&gt;\n  &lt;text y="$mathtool.div($graphHeight, 2)" x="-33" class="left side chart-label" transform="rotate(270 -33 $mathtool.div($graphHeight, 2))"&gt;${chartConfiguration.leftLabel}&lt;/text&gt;\n  &lt;text y="$mathtool.div($graphHeight, 2)" x="$mathtool.add($graphWidth, 33)" class="right side chart-label" transform="rotate(90 $mathtool.add($graphWidth, 33) $mathtool.div($graphHeight, 2))"&gt;${chartConfiguration.rightLabel}&lt;/text&gt;\n  &lt;text y="-20" x="$mathtool.div($graphWidth, 2)" class="top side chart-label"&gt;${chartConfiguration.topLabel}&lt;/text&gt;\n  &lt;text y="$mathtool.add($graphHeight, 20)" x="$mathtool.div($graphWidth, 2)" class="bottom side chart-label" dy="0.7em"&gt;${chartConfiguration.bottomLabel}&lt;/text&gt;\n  #if ("$!chartConfiguration.chartSource" != '')\n    #if ("$!chartConfiguration.chartSourceLink" != '')&lt;a xlink:href="${chartConfiguration.chartSourceLink}"&gt;#end\n    &lt;text y="$mathtool.add($graphHeight, 45)" x="$mathtool.add($chartWidth, -65.5)" class="reference" dy="0.7em"&gt;${chartConfiguration.chartSource}&lt;/text&gt;\n    #if ("$!chartConfiguration.chartSourceLink" != '')&lt;/a&gt;#end\n  #end\n  &lt;/g&gt;\n&lt;/svg&gt;\n{{/html}}</content></xwikidoc>\n
7980113832139262809	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:studies-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Studies</web>\n<name>WebPreferences</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Studies.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822187000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:studies-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiGlobalRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>Studies.WebPreferences</name>\n<number>0</number>\n<className>XWiki.XWikiGlobalRights</className>\n<guid>bc5b9361-cf58-41d1-a9bd-3937547ab7f8</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n</object>\n<content></content></xwikidoc>\n
8587073340513076794	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:studies-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Studies</web>\n<name>WebHome</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822187000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title>Studies</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:studies-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>false</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Studies.WebHome</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>d16bb606-e5b1-437f-95f5-fb4038616dcc</guid>\n<property>\n<content>{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n&lt;div id="phenotips-mainmenu" class="layoutsubsection actionmenu"&gt;\n&lt;strong id="xwikimenutitle" class="hidden"&gt;$services.localization.render('core.menu.main.title')&lt;/strong&gt;\n&lt;div class="rightmenu"&gt;\n#set ($workspaceManagerMainDocumentReference = $services.model.createDocumentReference($xcontext.mainWikiName, 'WorkspaceManager', 'WebHome'))\n#set ($isWorkspaceManagerAppInstalled = $xwiki.exists($workspaceManagerMainDocumentReference))\n#set ($isWorkspace = $services.workspace.isWorkspace($xcontext.database))\n#set ($isMainWikiUser = ($xcontext.mainWikiName == "$!{xcontext.userReference.wikiReference.name}"))\n##\n## User\n##\n#if (!$xcontext.action.startsWith('login'))\n  #if ($isGuest)\n    #set ($loginurl = $xwiki.getURL('XWiki.XWikiLogin', 'login', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!loginurl $!services.localization.render('login') 'tmLogin' 'fa fa-sign-in')\n  #else\n    #set ($logouturl = $xwiki.getURL('XWiki.XWikiLogout', 'logout', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!logouturl $!services.localization.render('logout') 'tmLogout' 'fa fa-sign-out')\n  #end\n#end\n#if ($isGuest &amp;&amp; $xwiki.hasAccessLevel('register', 'XWiki.XWikiPreferences'))\n  #set ($regurl = $xwiki.getURL('XWiki.Register', 'register'))\n  #xwikitopmenuentry($!regurl $!services.localization.render('core.register') 'tmRegister' 'fa fa-plus-square')\n#end\n##\n##\n#if (!$isGuest)\n#if ($isSuperAdmin)\n  #xwikitopmenuentry('#' $!services.localization.render('superadmin') 'tmUser' 'fa fa-user')\n#else\n  #xwikitopmenuentry("$!xwiki.getURL($xcontext.user)" "$!xwiki.getUserName($xcontext.user, false)" 'tmUser' 'fa fa-user')\n#end\n#end\n&lt;/div&gt;\n&lt;div class="leftmenu"&gt;\n##\n## Administration\n##\n#set ($isAdminAppInstalled = $xwiki.exists('XWiki.AdminSheet'))\n#if ($isAdminAppInstalled &amp;&amp; $hasSpaceAdmin)\n  #set ($adminspaceaction = $!xwiki.getURL("XWiki.XWikiPreferences", 'admin'))\n  #xwikitopmenuentry($adminspaceaction "$services.localization.render('admin')" 'tmAdminSpace' 'fa fa-cogs')\n#end\n&lt;/div&gt;\n&lt;/div&gt;\n{{/html}}{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.header.top:Studies</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.header.top.globalMenu</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Studies.WebHome</name>\n<number>1</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>70e88f2f-ffd6-45a9-97d0-cf2428fe026e</guid>\n<property>\n<content>{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n&lt;div id="phenotips-globalTools" class="layoutsubsection actionmenu"&gt;\n  &lt;div class="rightmenu"&gt;\n    &lt;div class="topmenuentry search"&gt;\n      #if ($displayQuickSearch &amp;&amp; ($xwiki.exists('Main.Search') || $xwiki.exists('Main.WebSearch')))\n        &lt;div class="globalsearch"&gt;&lt;input type="hidden" name="space" value="data"/&gt;\n          &lt;label for="headerglobalsearchinput"&gt;&lt;span class="fa fa-search"&gt; &lt;/span&gt;&lt;/label&gt;&lt;input class="globalsearchinput" id="headerglobalsearchinput" type="text" name="text" placeholder="$services.localization.render('phenotips.globalHeader.search.placeholder')" size="20"/&gt;\n        &lt;/div&gt;\n      #end\n    &lt;/div&gt;\n    &lt;div class="topmenuentry all"&gt;&lt;label for="browse-all-patients"&gt;&lt;span class="fa fa-folder-open"&gt; &lt;/span&gt;&lt;a id="browse-all-patients" href="$xwiki.getURL('data.AllData')"&gt;$services.localization.render('phenotips.globalHeader.allData')&lt;/a&gt;&lt;/label&gt;&lt;/div&gt;\n    #if ($hasCreatePage)\n      &lt;div class="topmenuentry add"&gt;\n{{/html}}\n\n{{include reference="PhenoTips.CreatePatientRecordForm" /}}\n\n{{html clean=false}}&lt;/div&gt;\n    #end\n  &lt;/div&gt;\n  &lt;div class="breadcrumbs leftmenu"&gt;\n    &lt;a href="$!xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))" title="Home" rel="home"&gt;&lt;span class="fa fa-home fa-lg"&gt;&lt;/span&gt;&lt;/a&gt; &amp;raquo;\n    &lt;a href="$!xwiki.getURL("${doc.space}.WebHome")" &gt;$!{doc.space}&lt;/a&gt;\n    #if ($doc.name != 'WebHome')\n      &amp;raquo; &lt;a href="$doc.getURL()"&gt;$doc.displayTitle&lt;/a&gt;\n    #end\n  &lt;/div&gt;\n&lt;/div&gt;\n{{/html}}{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.header.bottom:Studies</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.header.bottom.globalTools</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Studies.WebHome</name>\n<number>2</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>e2fb8f2c-f7b6-4195-898d-ed4b706e71d2</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.main.top:Studies</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.main.top.empty</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Studies.WebHome</name>\n<number>3</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>5d5411cc-6862-4bf5-95e6-e5bda1e44c82</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.content.top:Studies</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.content.top.empty</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content>{{phenotips-studies fullinfo="true" tools="true" orderby="name"/}}</content></xwikidoc>\n
-4253578903835224465	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:users-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Groups</web>\n<name>WebPreferences</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Groups.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822187000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:users-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.XWikiGlobalRights</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<allow>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>allow</displayType>\n<name>allow</name>\n<number>4</number>\n<prettyName>Allow/Deny</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</allow>\n<groups>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>groups</name>\n<number>1</number>\n<picker>1</picker>\n<prettyName>Groups</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.GroupsClass</classType>\n</groups>\n<levels>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>1</multiSelect>\n<name>levels</name>\n<number>2</number>\n<prettyName>Levels</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>3</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.LevelsClass</classType>\n</levels>\n<users>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>users</name>\n<number>3</number>\n<picker>1</picker>\n<prettyName>Users</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<size>5</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.UsersClass</classType>\n</users>\n</class>\n<name>Groups.WebPreferences</name>\n<number>0</number>\n<className>XWiki.XWikiGlobalRights</className>\n<guid>dbabd108-fe44-4f4e-abca-006e532f06cd</guid>\n<property>\n<allow>1</allow>\n</property>\n<property>\n<groups>XWiki.XWikiAdminGroup</groups>\n</property>\n<property>\n<levels>edit</levels>\n</property>\n</object>\n<content></content></xwikidoc>\n
4931782492601429431	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:users-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>Groups</web>\n<name>WebHome</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822187000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title>Groups Directory</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:users-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>false</hidden>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Groups.WebHome</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>ecd0e834-50c7-4685-a5b0-89a31d55bb9d</guid>\n<property>\n<content>{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n&lt;div id="phenotips-mainmenu" class="layoutsubsection actionmenu"&gt;\n&lt;strong id="xwikimenutitle" class="hidden"&gt;$services.localization.render('core.menu.main.title')&lt;/strong&gt;\n&lt;div class="rightmenu"&gt;\n#set ($workspaceManagerMainDocumentReference = $services.model.createDocumentReference($xcontext.mainWikiName, 'WorkspaceManager', 'WebHome'))\n#set ($isWorkspaceManagerAppInstalled = $xwiki.exists($workspaceManagerMainDocumentReference))\n#set ($isWorkspace = $services.workspace.isWorkspace($xcontext.database))\n#set ($isMainWikiUser = ($xcontext.mainWikiName == "$!{xcontext.userReference.wikiReference.name}"))\n##\n## User\n##\n#if (!$xcontext.action.startsWith('login'))\n  #if ($isGuest)\n    #set ($loginurl = $xwiki.getURL('XWiki.XWikiLogin', 'login', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!loginurl $!services.localization.render('login') 'tmLogin' 'fa fa-sign-in')\n  #else\n    #set ($logouturl = $xwiki.getURL('XWiki.XWikiLogout', 'logout', "xredirect=$escapetool.url($xwiki.relativeRequestURL)"))\n    #xwikitopmenuentry($!logouturl $!services.localization.render('logout') 'tmLogout' 'fa fa-sign-out')\n  #end\n#end\n#if ($isGuest &amp;&amp; $xwiki.hasAccessLevel('register', 'XWiki.XWikiPreferences'))\n  #set ($regurl = $xwiki.getURL('XWiki.Register', 'register'))\n  #xwikitopmenuentry($!regurl $!services.localization.render('core.register') 'tmRegister' 'fa fa-plus-square')\n#end\n##\n##\n#if (!$isGuest)\n#if ($isSuperAdmin)\n  #xwikitopmenuentry('#' $!services.localization.render('superadmin') 'tmUser' 'fa fa-user')\n#else\n  #xwikitopmenuentry("$!xwiki.getURL($xcontext.user)" "$!xwiki.getUserName($xcontext.user, false)" 'tmUser' 'fa fa-user')\n#end\n#end\n&lt;/div&gt;\n&lt;div class="leftmenu"&gt;\n##\n## Administration\n##\n#set ($isAdminAppInstalled = $xwiki.exists('XWiki.AdminSheet'))\n#if ($isAdminAppInstalled &amp;&amp; $hasSpaceAdmin)\n  #set ($adminspaceaction = $!xwiki.getURL("XWiki.XWikiPreferences", 'admin'))\n  #xwikitopmenuentry($adminspaceaction "$services.localization.render('admin')" 'tmAdminSpace' 'fa fa-cogs')\n#end\n&lt;/div&gt;\n&lt;/div&gt;\n{{/html}}{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.header.top:Groups</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.header.top.globalMenu</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Groups.WebHome</name>\n<number>1</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>7962386d-9d9d-47b9-813a-1c9a7aa3535a</guid>\n<property>\n<content>{{velocity}}{{html clean=false}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n&lt;div id="phenotips-globalTools" class="layoutsubsection actionmenu"&gt;\n  &lt;div class="rightmenu"&gt;\n    &lt;div class="topmenuentry search"&gt;\n      #if ($displayQuickSearch &amp;&amp; ($xwiki.exists('Main.Search') || $xwiki.exists('Main.WebSearch')))\n        &lt;div class="globalsearch"&gt;&lt;input type="hidden" name="space" value="data"/&gt;\n          &lt;label for="headerglobalsearchinput"&gt;&lt;span class="fa fa-search"&gt; &lt;/span&gt;&lt;/label&gt;&lt;input class="globalsearchinput" id="headerglobalsearchinput" type="text" name="text" placeholder="$services.localization.render('phenotips.globalHeader.search.placeholder')" size="20"/&gt;\n        &lt;/div&gt;\n      #end\n    &lt;/div&gt;\n    &lt;div class="topmenuentry all"&gt;&lt;label for="browse-all-patients"&gt;&lt;span class="fa fa-folder-open"&gt; &lt;/span&gt;&lt;a id="browse-all-patients" href="$xwiki.getURL('data.AllData')"&gt;$services.localization.render('phenotips.globalHeader.allData')&lt;/a&gt;&lt;/label&gt;&lt;/div&gt;\n    #if ($hasCreatePage)\n      &lt;div class="topmenuentry add"&gt;\n{{/html}}\n\n{{include reference="PhenoTips.CreatePatientRecordForm" /}}\n\n{{html clean=false}}&lt;/div&gt;\n    #end\n  &lt;/div&gt;\n  &lt;div class="breadcrumbs leftmenu"&gt;\n    &lt;a href="$!xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))" title="Home" rel="home"&gt;&lt;span class="fa fa-home fa-lg"&gt;&lt;/span&gt;&lt;/a&gt; &amp;raquo;\n    &lt;a href="$!xwiki.getURL("${doc.space}.WebHome")" &gt;$!{doc.space}&lt;/a&gt;\n    #if ($doc.name != 'WebHome')\n      &amp;raquo; &lt;a href="$doc.getURL()"&gt;$doc.displayTitle&lt;/a&gt;\n    #end\n  &lt;/div&gt;\n&lt;/div&gt;\n{{/html}}{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.header.bottom:Groups</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.header.bottom.globalTools</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Groups.WebHome</name>\n<number>2</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>60908192-9f4c-4f8a-9241-b079c67b330d</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.main.top:Groups</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.main.top.empty</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>Groups.WebHome</name>\n<number>3</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>0d6f9fc6-29c8-400a-afd1-3b564396a43e</guid>\n<property>\n<content></content>\n</property>\n<property>\n<extensionPointId>org.phenotips.content.top:Groups</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.content.top.empty</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content>{{phenotips-groups fullinfo="true" tools="true" orderby="name"/}}</content></xwikidoc>\n
-655175824852894192	1	1	2017-05-12 15:43:36	Install extension [org.phenotips:users-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PhenoTipsGroupClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822128000</creationDate>\n<date>1494618216000</date>\n<contentUpdateDate>1494618216000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:users-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<contact>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>contact</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Contact</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp>/^(([^@\\s]+)@((?:[-a-zA-Z0-9]+\\.)+[a-zA-Z]{2,}))?$/</validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.EmailClass</classType>\n</contact>\n<description>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>description</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Group description</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage>Some information about this group for other users visiting this page</validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<image>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}\n(% class="clearfloats" %)((()))</customDisplay>\n<disabled>0</disabled>\n<name>image</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Image</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</image>\n<public_sections>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>public_sections</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>public_sections</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>members=Show member list to non-members|cases=Show list of public cases to non-members</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</public_sections>\n<studies>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>studies</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>studies</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select doc.fullName, doc.name from XWikiDocument doc, BaseObject obj where doc.fullName &lt;&gt; 'PhenoTips.StudyTemplate' and obj.name = doc.fullName and obj.className = 'PhenoTips.StudyClass'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</studies>\n</class>\n<object>\n<class>\n<name>XWiki.ClassSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<number>0</number>\n<className>XWiki.ClassSheetBinding</className>\n<guid>1212ded4-4f1c-4b74-8977-ef38b76e95e5</guid>\n<property>\n<sheet>PhenoTipsGroupSheet</sheet>\n</property>\n</object>\n<object>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>0740edd5-ed6c-41db-a916-706121771de5</guid>\n<property>\n<advancedOnly></advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute>#set ($errorMessage = '')\n#if ($request.doCreate == '1' &amp;&amp; $services.csrf.isTokenValid($request.form_token))\n  #if ("$!{request.name.trim()}" == '')\n    #set ($errorMessage = $services.localization.render('phenotips.groups.create.noName'))\n  #else\n    #set ($targetDocument = $services.model.createDocumentReference($xcontext.database, $request.space, $request.name.trim()))\n    #if ($xwiki.exists($targetDocument))\n      #set ($errorMessage = " $services.localization.render('phenotips.groups.create.nameExists', [${request.name}])")\n    #else\n      $response.sendRedirect($xwiki.getURL($targetDocument, 'edit', "editor=inline&amp;template=$escapetool.url($!{request.classTemplate})&amp;title=$!escapetool.url($request.name)&amp;parent=$!escapetool.url($request.parent)"))\n      #break\n    #end\n  #end\n#end\n#if ($errorMessage != '')\n{{error}}$errorMessage{{/error}}\n\n#end\n#set ($groupClassName = 'PhenoTips.PhenoTipsGroupClass')\n#set ($groupTemplateName = 'PhenoTips.PhenoTipsGroupTemplate')\n#set ($groupsHome = 'Groups.WebHome')\n\n{{html}}\n&lt;form id="group-creation-form" class="xformInline" action="$doc.getURL($xcontext.action, $request.queryString)" method="post"&gt;&lt;div&gt;\n  &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n  &lt;input type="hidden" name="doCreate" value="1" /&gt;\n  &lt;input type="hidden" name="classTemplate" value="$groupTemplateName" /&gt;\n  &lt;input type="hidden" name="space" value="$xwiki.getDocument(${groupsHome}).space" /&gt;\n  &lt;input type="hidden" name="parent" value="${groupsHome}" /&gt;\n  &lt;label&gt;&lt;span class="fa fa-plus-circle"&gt; &lt;/span&gt; $services.localization.render('phenotips.groups.create.newGroupInput')&lt;input type="text" name="name" placeholder=" $services.localization.render('phenotips.groups.create.newGroupInputPlaceholder')" value="" size="30"/&gt;&lt;/label&gt; &lt;input type="submit" class="button" value="$services.localization.render('phenotips.groups.create.submit')"/&gt;\n&lt;/div&gt;&lt;/form&gt;\n{{/html}}\n\n{{include reference="Groups.WebHome" /}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>workgroups</displayInSection>\n</property>\n<property>\n<heading>$services.localization.render('phenotips.groups.adminTitle')</heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionPriority>400</sectionPriority>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>554a74fa-cfea-4b34-aed6-04a5a54311c2</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  var groupsTable = $('groups-directory');\n  if (!groupsTable) {\n    return false;\n  }\n  groupsTable.select('tr .tools a.tool.delete').invoke('observe', 'click', function(clickEvent) {\n    clickEvent.stop();\n    var item = clickEvent.findElement('a');\n    item.blur();\n    if (item.disabled) {\n      // Do nothing if the button was already clicked and it's waiting for a response from the server.\n      return;\n    } else {\n      var url = item.href + "?confirm=1&amp;form_token=" + $$('meta[name=form_token]')[0].content + (Prototype.Browser.Opera ? "" : "&amp;ajax=1");\n      new XWiki.widgets.ConfirmedAjaxRequest(\n        /* Ajax request URL */\n        url,\n        /* Ajax request parameters */\n        {\n          onCreate : function() {\n            // Disable the button, to avoid a cascade of clicks from impatient users\n            item.disabled = true;\n          },\n          onSuccess : function() {\n            // Go to space WebHome\n            // window.location = new XWiki.Document('WebHome', XWiki.Document.currentSpace).getURL('view');\n            item.up('tr').remove();\n          },\n          onFailure : function() {\n            // Better luck next time!\n            item.disabled = false;\n          }\n        },\n        /* Interaction parameters */\n        {\n          confirmationText: " $services.localization.render('phenotips.groups.deleteConfirmation')"\n        }\n      );\n    }\n  });\n\n  var creationForm = $('group-creation-form');\n  if (creationForm) {\n    creationForm.observe('submit', function(event) {\n      var iName = creationForm.down('input[name="name"]');\n      if (iName.value.strip() == '') {\n        event.stop();\n        iName.focus();\n      }\n    });\n  }\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>0f1cfed1-fd4f-49a8-941a-9fe90c159c11</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n\n#groups-directory td {\n  border: 0 none;\n  border-bottom: 2px solid $theme.borderColor;\n  padding: 1em;\n  vertical-align: top;\n}\n#groups-directory tr:last-child td {\n  border-bottom: 0 none;\n}\n\n#groups-directory .members, #groups-directory .patients {\n  font-size: .8em;\n  font-style: italic;\n  opacity: .5;\n}\n\n#groups-directory td.desc &gt; div {\n  background-color: $theme.backgroundSecondaryColor;\n  border-radius: 0 4px 4px;\n  padding: 0.5em 1em;\n  position: relative;\n}\n#groups-directory td.desc &gt; div:before {\n  content: "";\n  border-top: 0 none;\n  border-right: 16px solid $theme.backgroundSecondaryColor;\n  border-bottom: 16px solid transparent;\n  border-left: 0 none;\n  position: absolute;\n  top: 0;\n  left: -16px;\n}\n\n#group-creation-form input {\n  width: auto;\n}\n#groups-tools {\n  text-align: right;\n}\n#groups-tools .read-more {\n  font-size: .9;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>9</number>\n<prettyName>Macro code</prettyName>\n<rows>20</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentDescription>\n<disabled>0</disabled>\n<name>contentDescription</name>\n<number>8</number>\n<prettyName>Content description (Not applicable for "No content" type)</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</contentDescription>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>7</number>\n<prettyName>Macro content type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Optional|Mandatory|No content</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<defaultCategory>\n<disabled>0</disabled>\n<name>defaultCategory</name>\n<number>4</number>\n<prettyName>Default category</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultCategory>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>3</number>\n<prettyName>Macro description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<id>\n<disabled>0</disabled>\n<name>id</name>\n<number>1</number>\n<prettyName>Macro id</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</id>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Macro name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<supportsInlineMode>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>supportsInlineMode</name>\n<number>5</number>\n<prettyName>Supports inline mode</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</supportsInlineMode>\n<visibility>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>visibility</name>\n<number>6</number>\n<prettyName>Macro visibility</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator>|</separator>\n<separators>|</separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>Current User|Current Wiki|Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</visibility>\n</class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<number>0</number>\n<className>XWiki.WikiMacroClass</className>\n<guid>dbcd4ec8-4a94-4634-80c7-839729f02690</guid>\n<property>\n<code>{{velocity output="false"}}\n#set ($groupClassName = 'PhenoTips.PhenoTipsGroupClass')\n#set ($groupTemplateName = 'PhenoTips.PhenoTipsGroupTemplate')\n#set ($groupsHome = 'Groups.WebHome')\n#set ($orders = {\n  'name' : 'asc',\n  'members' : 'desc',\n  'cases' : 'desc'\n})\n#set ($defaultOrder = 'name')\n#set ($order = "$!xcontext.macro.params.orderby")\n#if (!$orders.get($order))\n  #set($order = $defaultOrder)\n#end\n\n#set ($query = $services.query.xwql("from doc.object(${groupClassName}) as grp where doc.fullName &lt;&gt; :template").bindValue('template', $groupTemplateName))\n#set ($groupDocs = $xwiki.wrapDocs($query.execute()))\n\n#set ($groupData = [])\n#set ($defaultLogo = "$!{xwiki.getDocument($groupTemplateName).getObject($groupClassName).getProperty('image').value}")\n#if ($defaultLogo  != '' &amp;&amp; $defaultLogo.indexOf('@') &lt; 0)\n  #set ($defaultLogo = "$groupTemplateName@$!{defaultLogo}")\n#end\n\n#foreach ($groupDoc in $groupDocs)\n  #set ($groupObj = $groupDoc.getObject($groupClassName))\n  #set ($filterby = "$!{xcontext.macro.params.filterby}")\n  #set ($filterbyprop = $groupObj.getProperty($filterby))\n  #set ($filterval = "$!{xcontext.macro.params.filterval}")\n  #set ($isFilterActive = ($filterby != '' &amp;&amp; ("$!filterbyprop" != '' || $filterby == 'member')))\n  #if ($filterby == '' || "$!filterbyprop" != '' &amp;&amp; ($filterbyprop.value == $filterval || $filterbyprop.value.contains($filterval)) || $filterby == 'member' &amp;&amp; $groupDoc.getObjects('XWiki.XWikiGroups', 'member', $filterval))\n    #set ($memberObjs = $groupDoc.getObjects('XWiki.XWikiGroups'))\n    #set ($phantomMemberObjs = $groupDoc.getObjects('XWiki.XWikiGroups', 'member', ''))\n    #set ($logo = "$!groupObj.getProperty('image').value")\n    #if ("$!logo" != '')\n      #set ($logo = "${groupDoc.fullName}@${logo}")\n    #else\n      #set ($logo = $defaultLogo)\n    #end\n    #set ($discard = $groupData.add({\n      'doc' : $groupDoc,\n      'obj' : $groupObj,\n      'doc.fullName' : $groupDoc.fullName,\n      'name' : $groupDoc.title,\n      'logo' : $logo,\n      'members' : $mathtool.sub($memberObjs.size(), $phantomMemberObjs.size()),\n      'cases' : $services.query.xwql('from doc.object(PhenoTips.PatientClass) as p, doc.object(PhenoTips.OwnerClass) as o where o.owner = :grp').bindValue('grp', $groupDoc.documentReference.toString()).count()\n    }))\n  #end\n#end\n#set ($groupSortedData = $sorttool.sort($groupData, ["${order}:${orders.get($order)}"]))\n\n#set ($max = $mathtool.toInteger($xcontext.macro.params.max))\n#if (!($max &amp;&amp; $max &gt; 0 &amp;&amp; $max &lt; $groupSortedData.size()))\n  #set ($max = $groupSortedData.size())\n#end\n\n$xwiki.ssx.use($groupClassName, {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})\n$xwiki.jsx.use($groupClassName)\n{{/velocity}}\n\n{{velocity}}\n(% id="groups-directory" %)\n#if ($groupSortedData.size() == 0)\n#if ($isFilterActive)\n\n{{info}}$services.localization.render('phenotips.homepage.groups.noMatches'){{/info}}\n\n#else\n\n{{info}}$services.localization.render('phenotips.homepage.groups.noGroupsMessage')#if($hasAdmin &amp;&amp; $doc.documentReference.name != 'XWikiPreferences') [[$services.localization.render('phenotips.homepage.groups.manageGroups')&gt;&gt;path:${xwiki.getDocument('XWiki.XWikiPreferences').getURL('admin', 'editor=globaladmin&amp;section=workgroups')}]]#end{{/info}}\n\n#end\n#else\n#foreach ($groupDatum in $groupSortedData)#if ($foreach.index &lt; $max)\n|(% class="logo" %) #if ("$!{groupDatum.get('logo')}" != '')[[[[image:${services.rendering.escape($groupDatum.get('logo'), $doc.syntax)}||width="80px"]]&gt;&gt;${services.rendering.escape($groupDatum.get('doc.fullName'), $doc.syntax)}]]#end##\n|(% class="name" %) [[${services.rendering.escape($groupDatum.get('name'), $doc.syntax)}&gt;&gt;${services.rendering.escape($groupDatum.get('doc.fullName'), $doc.syntax)}]] \\\\(% class="members"%)$services.localization.render('phenotips.group.info.members', [$groupDatum.get('members')])(%%) \\\\(% class="patients"%)$services.localization.render('phenotips.group.info.cases', [$groupDatum.get('cases')])(%%)##\n#if ($xcontext.macro.params.fullinfo == 'true')|#if ("$!{groupDatum.get('obj').getProperty('description').value.trim()}" != '')(% class="desc" %) ((($groupDatum.get('doc').display('description'))))#end#end\n#if ($xcontext.macro.params.tools == 'true' &amp;&amp; $hasAdmin)|(% class="tools" %) (((##\n  [[{{icon name="pencil" title="$services.localization.render('phenotips.groups.edit')"/}}&gt;&gt;path:$xwiki.getURL($groupDatum.get('doc.fullName'), 'edit')||class="tool edit"]]##\n  [[{{icon name="times" title="$services.localization.render('phenotips.groups.delete')"/}}&gt;&gt;path:$xwiki.getURL($groupDatum.get('doc.fullName'), 'delete')||class="tool delete"]]##\n)))#end\\\\\n#end#end\n#end\n{{/velocity}}</code>\n</property>\n<property>\n<contentDescription></contentDescription>\n</property>\n<property>\n<contentType>No content</contentType>\n</property>\n<property>\n<defaultCategory></defaultCategory>\n</property>\n<property>\n<description>Lists PhenoTips groups</description>\n</property>\n<property>\n<id>phenotips-groups</id>\n</property>\n<property>\n<name>PhenoTips groups list</name>\n</property>\n<property>\n<supportsInlineMode>0</supportsInlineMode>\n</property>\n<property>\n<visibility>Current Wiki</visibility>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<number>0</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>ab1c9598-a891-483f-b9e6-c9f040626944</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Whether to display the group description (true|false; defaults to false)</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>fullinfo</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<number>1</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>580415f3-fe52-483d-9638-b9b60882b526</guid>\n<property>\n<defaultValue>false</defaultValue>\n</property>\n<property>\n<description>Whether to display the group management tools (edit, delete, create) for administrators (true|false; defaults to false)</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>tools</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<number>2</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>316f42fd-f7b0-4157-970c-cbd0507d2fc6</guid>\n<property>\n<defaultValue>name</defaultValue>\n</property>\n<property>\n<description>How to sort the groups. Supported values: name, members. Default: name.</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>orderby</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<number>3</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>02c37cc2-92d8-4c15-8d6d-c66f7b0e39a4</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description>How many entries to display for a list not displayed in full. Values that are not between 1 and the size of the list are interpreted as "display the entire list".</description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>max</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<number>4</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>80597b3a-ed61-4421-9f27-2bb7358ee023</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description></description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>filterby</name>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.WikiMacroParameterClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<defaultValue>\n<disabled>0</disabled>\n<name>defaultValue</name>\n<number>4</number>\n<prettyName>Parameter default value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</defaultValue>\n<description>\n<disabled>0</disabled>\n<name>description</name>\n<number>2</number>\n<prettyName>Parameter description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<mandatory>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>mandatory</name>\n<number>3</number>\n<prettyName>Parameter mandatory</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</mandatory>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Parameter name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n</class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<number>5</number>\n<className>XWiki.WikiMacroParameterClass</className>\n<guid>4e897e5e-0179-4c74-9241-d01b8b020573</guid>\n<property>\n<defaultValue></defaultValue>\n</property>\n<property>\n<description></description>\n</property>\n<property>\n<mandatory>0</mandatory>\n</property>\n<property>\n<name>filterval</name>\n</property>\n</object>\n<content></content></xwikidoc>\n
8707828919889042076	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:users-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>GroupSharedCases</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PhenoTipsGroupSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1425962027000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:users-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="PhenoTips.DatabaseFilters" /}}\n\n{{velocity}}\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($configuredColumns = $config.getProperty('livetableColumns').value)\n#if (!$configuredColumns &amp;&amp; !($configuredColumns.length &gt; 0))\n  #set ($configuredColumns = 'doc.name')\n#end\n#set ($columns = [])\n#set ($discard = $columns.addAll($configuredColumns))\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column.toLowerCase().indexOf('date') &lt; 0) &amp;&amp; ($column != 'doc.creator') &amp;&amp; ($column != 'doc.author'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true }))\n#end\n##  toggle-filters\n#set ($topFilters = $doc.getRenderedContent("(% class='xform' %)((( {{html clean='false'}}&lt;span class='buttonwrapper'&gt;&lt;a class='button toggle-filters' href='#'&gt;$services.localization.render('phenotips.groups.dataFilterButton')&lt;/a&gt;&lt;/span&gt;{{/html}}\n{{velocity}}#__filters_display('xform'){{/velocity}})))", "xwiki/2.1"))\n#set ($discard = $columns.add('_actions'))\n##\n#set ($filterFrom = ", BaseObject collaboratorObj, StringProperty collaborator")\n#set ($filterWhere = "and collaboratorObj.name = doc.fullName and collaboratorObj.className = 'PhenoTips.CollaboratorClass' and collaborator.id.id = collaboratorObj.id and collaborator.value = '${escapetool.sql($doc.documentReference)}'")\n#if (!$isMyGroup)\n  #set ($filterFrom = "${filterFrom}, BaseObject accessObj, StringProperty access")\n  #set ($filterWhere = "${filterWhere} and accessObj.name = doc.fullName and accessObj.className = 'PhenoTips.VisibilityClass' and access.id.id = accessObj.id and access.value = 'public'")\n#end\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'topFilters'        : $topFilters,\n  'resultPage'        : 'PhenoTips.LiveTableResults',\n  'extraParams'       : "&amp;filterFrom=${escapetool.url($filterFrom)}&amp;filterWhere=${escapetool.url($filterWhere)}"\n})\n#if ("$!config.getProperty('livetableRows').value" != '' &amp;&amp; $config.getProperty('livetableRows').value &gt; 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('patients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}**Configuration missing.**{{/warning}}\n#end\n{{/velocity}}</content></xwikidoc>\n
-3940016828251439610	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:users-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>GroupCases</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PhenoTipsGroupSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822214000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:users-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{include reference="PhenoTips.DatabaseFilters" /}}\n\n{{velocity}}\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)##\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)##\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)##\n$xwiki.ssx.use('PhenoTips.DatabaseFilters')##\n$xwiki.ssx.use('PhenoTips.Skin', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.DBWebHomeSheet')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n#set ($config = $xwiki.getDocument('data.WebHome').getObject('PhenoTips.DBConfigurationClass'))\n#set ($patientClassName = 'PhenoTips.PatientClass')\n#if ($config)\n#set ($configuredColumns = $config.getProperty('livetableColumns').value)\n#if (!$configuredColumns &amp;&amp; !($configuredColumns.length &gt; 0))\n  #set ($configuredColumns = 'doc.name')\n#end\n#set ($columns = [])\n#set ($discard = $columns.addAll($configuredColumns))\n#set ($columnsProperties = {\n  '_actions' : {'actions': ['edit', 'delete']}\n})\n#foreach ($column in $columns)\n  #set ($isFilterable = ($column.toLowerCase().indexOf('date') &lt; 0) &amp;&amp; ($column != 'doc.creator') &amp;&amp; ($column != 'doc.author'))\n  #set ($discard = $columnsProperties.put($column, { 'type' : 'text', 'link' : 'view', 'size' : 7, 'filterable' : $isFilterable, 'sortable': true }))\n#end\n##  toggle-filters\n#set ($topFilters = $doc.getRenderedContent("(% class='xform' %)((( {{html clean='false'}}&lt;span class='buttonwrapper'&gt;&lt;a class='button toggle-filters' href='#'&gt;$services.localization.render('phenotips.groups.dataFilterButton')&lt;/a&gt;&lt;/span&gt;{{/html}}\n{{velocity}}#__filters_display('xform'){{/velocity}})))", "xwiki/2.1"))\n#set ($discard = $columns.add('_actions'))\n##\n#set ($filterFrom = ", BaseObject ownerObj, StringProperty owner")\n#set ($filterWhere = "and ownerObj.name = doc.fullName and ownerObj.className = 'PhenoTips.OwnerClass' and owner.id.id = ownerObj.id and owner.value = '${escapetool.sql($doc.documentReference)}'")\n#if (!$isMyGroup)\n  #set ($visibilityThreshold = $services.permissions.resolveVisibility('public').permissiveness)\n  #set ($publicVisibilities = [])\n  #foreach($visibility in $services.permissions.listVisibilityOptions())\n    #if ($visibility.permissiveness &gt;= $visibilityThreshold)\n      #set ($discard = $publicVisibilities.add($visibility.name))\n    #end\n  #end\n  #set ($publicVisibilities = $stringtool.join($publicVisibilities, "','"))\n  #set ($publicVisibilities = "'${publicVisibilities}'")\n  #set ($filterFrom = "${filterFrom}, BaseObject accessObj, StringProperty access")\n  #set ($filterWhere = "${filterWhere} and accessObj.name = doc.fullName and accessObj.className = 'PhenoTips.VisibilityClass' and access.id.id = accessObj.id and access.value in (${publicVisibilities})")\n#end\n#set ($options = {\n  'className'         : $patientClassName,\n  'translationPrefix' : 'patient.livetable.',\n  'rowCount'          : 25,\n  'maxPages'          : 10,\n  'selectedColumn'    : $config.getProperty('livetableSortColumn').value,\n  'defaultOrder'      : 'asc',\n  'topFilters'        : $topFilters,\n  'resultPage'        : 'PhenoTips.LiveTableResults',\n  'extraParams'       : "&amp;filterFrom=${escapetool.url($filterFrom)}&amp;filterWhere=${escapetool.url($filterWhere)}"\n})\n#if ("$!config.getProperty('livetableRows').value" != '' &amp;&amp; $config.getProperty('livetableRows').value &gt; 0)\n  #set ($options.rowCount = $config.getProperty('livetableRows').value)\n#end\n#livetable('patients' $columns $columnsProperties $options)\n$xwiki.ssfx.use('js/xwiki/table/livetable.css', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')", 'forceSkinAction' : true})##\n#else\n{{warning}}**Configuration missing.**{{/warning}}\n#end\n{{/velocity}}</content></xwikidoc>\n
3059779074258070780	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:users-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PhenoTipsGroupTemplate</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822208000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title>New group name</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:users-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>group.png</filename>\n<filesize>10000</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618217000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>PhenoTips.PhenoTipsGroupClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<contact>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>contact</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Contact</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp>/^(([^@\\s]+)@((?:[-a-zA-Z0-9]+\\.)+[a-zA-Z]{2,}))?$/</validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.EmailClass</classType>\n</contact>\n<description>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>description</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Group description</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage>Some information about this group for other users visiting this page</validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<image>\n<customDisplay>{{include reference="PhenoTips.ImageDisplayer" /}}\n(% class="clearfloats" %)((()))</customDisplay>\n<disabled>0</disabled>\n<name>image</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Image</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</image>\n<public_sections>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<multiSelect>1</multiSelect>\n<name>public_sections</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>public_sections</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>members=Show member list to non-members|cases=Show list of public cases to non-members</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</public_sections>\n<studies>\n<cache>0</cache>\n<classname></classname>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>checkbox</displayType>\n<idField></idField>\n<multiSelect>1</multiSelect>\n<name>studies</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>studies</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators></separators>\n<size>1</size>\n<sort>none</sort>\n<sql>select doc.fullName, doc.name from XWikiDocument doc, BaseObject obj where doc.fullName &lt;&gt; 'PhenoTips.StudyTemplate' and obj.name = doc.fullName and obj.className = 'PhenoTips.StudyClass'</sql>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<valueField></valueField>\n<classType>com.xpn.xwiki.objects.classes.DBListClass</classType>\n</studies>\n</class>\n<name>PhenoTips.PhenoTipsGroupTemplate</name>\n<number>0</number>\n<className>PhenoTips.PhenoTipsGroupClass</className>\n<guid>204ad0ff-ee94-4c6e-a20e-c4beaf67bf00</guid>\n<property>\n<description></description>\n</property>\n<property>\n<image>group.png</image>\n</property>\n<property>\n<public_sections/>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.XWikiGroups</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<member>\n<disabled>0</disabled>\n<name>member</name>\n<number>1</number>\n<prettyName>Member</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</member>\n</class>\n<name>PhenoTips.PhenoTipsGroupTemplate</name>\n<number>0</number>\n<className>XWiki.XWikiGroups</className>\n<guid>4659888d-c8f8-431c-9c74-7d33daf98e90</guid>\n<property>\n<member></member>\n</property>\n</object>\n<content></content></xwikidoc>\n
-2370344842343736627	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:users-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PhenoTipsGroupSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822205000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:users-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PhenoTipsGroupSheet</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>db1b9a1d-8b26-4111-8e08-6c7928b3d7ab</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>$("manage-administrators") &amp;&amp; $("manage-administrators").observe("click", function(e) {\n  var link = this.href;\n  document.observe("xwiki:document:saved", function() {\n    window.location.href = link;\n    // If this function, at some point in time, stops redirecting the browser, don't forget to unhook this listener, just in case.\n  });\n  document.fire("xwiki:actions:save", {originalEvent: e, form: e.findElement('form'), "continue": true});\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse></parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PhenoTipsGroupSheet</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>9ecdf0df-db3b-45cb-8ce2-cdfe888fd7b3</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n\n.doc-tools {\n  float: right;\n  font-size: 1.5em;\n}\n\n.doc-tools a.doc-tool.edit {\n  margin: -1.2em -0.3em 0 0 !important;\n  padding: 0.1em 0 0 0.3em !important;\n}\n.group-logo {\n  float: left;\n  margin: 0 10px 10px 0;\n  max-width: 30%;\n}\n.vertical-menu a {\n  color: $theme.textColor !important;\n  padding-left: .5em;\n  text-transform: uppercase;\n}\n.vertical-menu i {\n  font-size: 1.2em;\n}\n.menu-section {\n  margin-left: 16em;\n}\n.menu-section h2 {\n  margin-top: 0;\n}\n.menu-section input[name="action_save"] {\n  background-image: none !important;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.PhenoTipsGroupSheet</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>f501f9c0-0ee3-4ec1-8a7e-cb81db0ab52b</guid>\n<property>\n<content>{{velocity}}\n$xwiki.ssx.use('PhenoTips.PhenoTipsGroupSheet')##\n#if ($xcontext.action == 'view' &amp;&amp; $hasEdit &amp;&amp; ($doc.getObject('PhenoTips.PhenoTipsGroupClass') || $doc.getObject('XWiki.XWikiGroups') &amp;&amp; $doc.space == 'Groups'))(% class="doc-tools buttonwrapper" %)((([[ {{icon name="pencil"/}}&gt;&gt;path:$doc.getURL('edit') || title="$services.localization.render('phenotips.groups.edit')" class="doc-tool edit button"]])))#end{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.xwiki.platform.content.top</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.groupSheet.tools</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content>{{velocity}}\n$xwiki.ssx.use('PhenoTips.PhenoTipsGroupSheet')##\n$xwiki.jsx.use('PhenoTips.PhenoTipsGroupSheet')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.jsx.use('PhenoTips.ImageDisplayer')##\n$xwiki.ssx.use('PhenoTips.ImageDisplayer')##\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n#if ($xcontext.action == 'edit')\n(% class="xform" %)(((\n; {{html}}&lt;label&gt;$services.localization.render('phenotips.groups.name')&lt;/label&gt;{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.nameHint')\n: {{html}}&lt;input type="text" name="title" value="$!doc.title"/&gt;{{/html}}\n; {{html}}&lt;label&gt;$services.localization.render('phenotips.groups.image')&lt;/label&gt;{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.imageHint')\n: $doc.display('image')\n; {{html}}&lt;label&gt;$services.localization.render('phenotips.groups.description')&lt;/label&gt;{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.descriptionHint')\n: $doc.display('description')\n; {{html}}&lt;label&gt;$services.localization.render('phenotips.groups.contact')&lt;/label&gt;{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.contactHint')\n: $doc.display('contact')\n; {{html}}&lt;label&gt;$services.localization.render('phenotips.groups.publicInfo')&lt;/label&gt;{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.publicInfoHint')\n: $doc.display('public_sections')\n#if ($xwiki.exists('PhenoTips.StudyClass'))\n; {{html}}&lt;label&gt;$services.localization.render('phenotips.groups.studies')&lt;/label&gt;{{/html}}\n: (% class="xHint" %)$services.localization.render('phenotips.groups.studiesHint')\n: $doc.display('studies')\n#end\n\n)))\n(% class="xform" %)(((\n== $services.localization.render('phenotips.groups.manageMembers') ==\n\n(% class="buttonwrapper" %)[[{{icon name="wrench" /}} $services.localization.render('phenotips.groups.manageAdmins')&gt;&gt;path:$xwiki.getURL("${doc.fullName} Administrators", 'edit')||rel="__blank" class="button" style="float: right" id="manage-administrators"]]\n\n{{include reference='XWiki.XWikiGroupSheet'/}}\n\n)))\n#else\n(% class="group-logo" %)(((#if ("$!{doc.getObject('PhenoTips.PhenoTipsGroupClass').getProperty('image').value}" != '')$doc.display('image')#{else}$xwiki.getDocument('PhenoTips.PhenoTipsGroupTemplate').display('image')#{end})))$doc.display('description')\n\n#set ($isMyGroup = $xwiki.user.isUserInGroup($doc.fullName) || $xwiki.user.isUserInGroup("${doc.fullName} Administrators"))\n#if ($isMyGroup){{info}}{{translation key="phenotips.groups.selfMembership"/}}{{/info}}#end\n(% class="clearfloats" %)((()))\n#end\n\n#if ($xcontext.action == 'view')\n#set ($obj = $doc.getObject('PhenoTips.PhenoTipsGroupClass'))\n#set ($sections = [\n  {'id' : 'members', 'name' : "$services.localization.render('phenotips.groups.menu.groupMembers')", 'icon' : 'users',       'content' : '{{include reference="XWiki.XWikiGroupSheet"/}}'},\n  {'id' : 'cases',   'name' : "$services.localization.render('phenotips.groups.menu.cases')",  'icon' : 'folder-open', 'content' : '{{include reference="PhenoTips.GroupCases"/}}'}\n])\n#if ($xwiki.exists('PhenoTips.CollaboratorClass'))\n  #set ($discard = $sections.add({'id' : 'sharedCases', 'name' : "$services.localization.render('phenotips.groups.menu.sharedCases')", 'icon' : 'share-square', 'content' : '{{include reference="PhenoTips.GroupSharedCases"/}}'}))\n#end\n#if ($xwiki.exists('PhenoTips.StudyClass'))\n  #set ($discard = $sections.add({'id' : 'studies' ,   'name' : "$services.localization.render('phenotips.groups.menu.studies')",  'icon' : 'copy',        'content' : "((({{phenotips-studies filterby='group' filterval='${services.rendering.escape($doc.fullName, $doc.syntax)}' /}})))"}))\n#end\n#set ($menu = [])\n#set ($contents = {})\n#foreach ($s in $sections)\n  #if ($isMyGroup || $hasAdmin || $obj.getProperty('public_sections').value.contains($s.id))\n    #set ($discard = $menu.add({\n      'id' : $s.id,\n      'name' : "&lt;i class='fa fa-$s.icon'&gt;&lt;/i&gt; $s.name",\n      'url' : "?s=${s.id}#content-${s.id}"\n    }))\n    #set ($discard = $contents.put($s.id, $s.content))\n  #end\n#end\n##\n#set ($crtContent = '')\n##\n#if ($menu.size() &gt; 0)\n  #set ($crtItem = "$!request.s")\n  #if ("$!contents.get($crtItem)" == '')\n    #set ($crtItem = "$!menu.get(0).id")\n  #end\n  #set ($crtContent = "$!contents.get($crtItem)")\n#end\n#if ($menu.size() &gt; 1)\n(% class="vertical-menu $!{options.cssClass}" %)(((\n#foreach ($i in $menu)\n* {{html clean=false wiki=false}}&lt;a href="$i.url" id="group-section-$i.id" #if ($i.id == $crtItem) class="current" #end&gt;$i.name&lt;/a&gt;{{/html}}\n#end\n)))\n(% class="menu-section" id="content-${crtItem}" %)#end((($crtContent)))\n#end\n{{/velocity}}\n</content></xwikidoc>
625106655743598530	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:patient-access-rules-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PatientAccessRightsManagement</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822202000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-access-rules-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>PhenoTips.PatientAccessRightsManagement</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>7df2fc72-5cd6-4c35-a73c-de2bbf5f2fde</guid>\n<property>\n<advancedOnly>0</advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute>#set ($targetDocName = 'PhenoTips.PatientTemplate')\n#set ($targetDoc = $xwiki.getDocument($targetDocName))\n#set ($className = 'PhenoTips.VisibilityClass')\n#set ($visibilityObject = $targetDoc.getObject($className))\n#set ($currentValue = '')\n#if ($visibilityObject)\n  #set ($currentValue = "$!visibilityObject.getProperty('visibility').value")\n#else\n  #set ($visibilityObject = $targetDoc.newObject($className))\n  $!visibilityObject.set('visibility', 'private')##\n#end\n#set ($prefix = "${className}_${visibilityObject.number}_")\n#if ($currentValue == '')\n  #set ($currentValue = 'private')\n#end\n#set ($fullPrefix = "${targetDocName}_${prefix}")\n\n{{html clean=false}}\n&lt;form id="welcome_${targetDocName}" method="post" action="${targetDoc.getURL('save')}" class="xform half"&gt;\n&lt;fieldset&gt;&lt;dl&gt;\n&lt;dt&gt;&lt;label for="${fullPrefix}private"&gt;$services.localization.render("phenotips.patientAccessRightsManagement.defaultVisibilityOption")&lt;/label&gt;\n&lt;span class="xHint"&gt;$services.localization.render("phenotips.patientAccessRightsManagement.defaultVisibilityHint")&lt;/span&gt;&lt;/dt&gt;\n#foreach ($visibility in $services.permissions.listVisibilityOptions())\n  &lt;dd&gt;\n    &lt;label for="${fullPrefix}${visibility.name}"&gt;\n      &lt;input id="${fullPrefix}${visibility.name}" name="${prefix}visibility" type="radio" value="$!escapetool.xml($visibility.name)"#if ($currentValue == $visibility.name) checked="checked"#end /&gt; $visibility.label&lt;/label&gt;\n    &lt;span class="xHint"&gt;${visibility.description}&lt;/span&gt;\n  &lt;/dd&gt;\n#end\n&lt;/dl&gt;\n&lt;input type="hidden" id="${targetDocName}_redirect" name="xredirect" value="$escapetool.xml($doc.getURL($xcontext.action, $request.queryString))" /&gt;\n&lt;input type="hidden" name="form_token" value="$!{escapetool.xml($services.csrf.token)}" /&gt;\n&lt;input type="hidden" name="objectPolicy" value="updateOrCreate"/&gt;\n&lt;/fieldset&gt;\n&lt;div class="bottombuttons"&gt;&lt;p class="admin-buttons"&gt;\n&lt;span class="buttonwrapper"&gt;&lt;input class="button" type="submit" name="action_saveandcontinue" value="$services.localization.render('phenotips.patientAccessRightsManagement.defaultVisibilitySave')" /&gt;&lt;/span&gt;\n&lt;/p&gt;&lt;/div&gt;\n&lt;/form&gt;\n{{/html}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>access</displayInSection>\n</property>\n<property>\n<heading>Default patient visibility</heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionPriority>200</sectionPriority>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientAccessRightsManagement</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>ab66e72f-1d22-4a38-ad9b-f55d74a0473f</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.AccessRightsManager = Class.create({\n    initialize : function (patientId) {\n      this.patientId = patientId;\n      // ---------------------------------------------------------------------\n      // Search for access levels manager elements. Exist if missing.\n      // ---------------------------------------------------------------------\n      this._element = $('access-rights-summary');\n      if (!this._element) { return; }\n      this._editorLauncher = this._element.down('.tool.edit a');\n      if (!this._editorLauncher) { return; }\n      this._serviceURL = this._element.down('input[name="serviceURL"]');\n      if (this._serviceURL) {\n        this._serviceURL = this._serviceURL.value;\n      } else {\n        return;\n      }\n      // ---------------------------------------------------------------------\n      // Initialize the manager UI\n      // ---------------------------------------------------------------------\n      this._initAccessLevels();\n      this._initManagerUI();\n      // ---------------------------------------------------------------------\n      // Attach manager launcher behavior:\n      // ---------------------------------------------------------------------\n      var _this = this;\n      this._editorLauncher.observe('click', function(event) {\n        event.stop();\n        event.findElement().blur();\n        _this._launchEditor();\n      });\n      // ---------------------------------------------------------------------\n      // Initialization done\n      // ---------------------------------------------------------------------\n    },\n    _initAccessLevels : function() {\n      var levels = {'access-level' : [], 'visibility' : []};\n      this._element.select('input[name="access-level"], input[name="visibility"]').each(function (item) {\n        levels[item.name].push({id : item.value, name : item.alt, title : item.title, icon: item.next('span.fa') || ''});\n      });\n      this.ACCESS_LEVELS = levels['access-level'];\n      this.VISIBILITY = levels['visibility'];\n    },\n    _initManagerUI : function() {\n      this._container = new Element('form', {'id' : 'access-levels-manager', 'class' : 'xform', 'method' : 'post', 'action' : this._serviceURL});\n      //this._element.insert({'after' : this._container});\n      this._container.insert(this._generateSection('manage-ownership', "$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipHeader')", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipBody')"))\n                     .insert(this._generateSection('manage-visibility', "$services.localization.render('phenotips.patientAccessRightsManagement.modifyVisibilityHeader')", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyVisibilityBody')"))\n                     .insert(this._generateSection('manage-collaborators', "$services.localization.render('phenotips.patientAccessRightsManagement.modifyCollaboratorsHeader')", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyCollaboratorsBody')"))\n                     .insert(new Element('div', {id : 'manager-messages'}));\n      this._ownershipManager = this._container.down('#manage-ownership .section-contents');\n      this._visibilityManager = this._container.down('#manage-visibility .section-contents');\n      this._collaboratorsManager = this._container.down('#manage-collaborators .section-contents');\n      this._messages = this._container.down('#manager-messages');\n      this._initOwnershipManager();\n      this._initVisibilityManager();\n      this._initCollaboratorsManager();\n      this._initManagerActions();\n      this._dialog = new PhenoTips.widgets.ModalPopup(this._container, false, {'title': "$services.localization.render('phenotips.patientAccessRightsManagement.heading')".replace("__patientID__", this.patientId), 'verticalPosition': 'top', 'removeOnClose': false});\n      //document.fire('xwiki:dom:updated', {'elements' : [this._container]});\n    },\n    _generateSection : function(id, title, intro) {\n      return new Element('fieldset', {'id': id, 'class' : 'section'})\n                 .insert(title &amp;&amp; new Element('h2').update(title) || '')\n                 .insert(intro &amp;&amp; new Element('p', {'class' : 'intro xHint'}).update(intro) || '')\n                 .insert(new Element ('div', {'class' : 'section-contents'}));\n    },\n    _updateOwnershipManager : function(owner) {\n      this._ownerInfo.update("$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipInfo')".replace("__owner__", owner));\n      if (this._canTransferOwnership) {\n        this._ownerInfo.insert(" "+"$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipOptions')");\n        this._checkKeepOwnershipOption();\n      }\n    },\n    _initOwnershipManager : function() {\n      this._ownerInfo = new Element('div', {id : 'owner', 'class' : 'intro xHint'});\n      this._ownershipManager.update(this._ownerInfo);\n\n      // HACK: 'new-owner-input' control had to be put into the document from the start\n      //       to make suggest picker attach to it correctly; it now has to be moved into\n      //       the `owner` section of this "access rights" dialog/popup\n      var newOwnerInput       = $('new-owner-input') || '';\n      var newOwnerGroupSelect = $('new-owner-group-select') || '';\n\n      this._defaultOwnerOption   = undefined;\n      this._removeSelectedUser   = undefined;\n      this._canTransferOwnership = newOwnerInput || newOwnerGroupSelect;\n\n      if (this._canTransferOwnership) {\n        var transfer = new Element('table', {id : 'transfer'});\n        this._removeSelectedUser = function() {  // removes previously selected user displayed by the suggest user picker\n            transfer.select('.delete-tool').each(function (item) {\n               item.click();\n            });\n        }\n        var _this = this;\n        var _getTransferOption = function (type, text, controlledElement) {\n           var optionWrapper = new Element('tr');\n           var input = new Element('input', {"type" : "radio", name : "transfer-to"});\n           var label = new Element('label').insert(input).insert(text);\n           input.observe('change', function() {\n             transfer.select('.controlled-element input, .controlled-element select').each(function (item) {\n                item.disable();\n             });\n             _this._removeSelectedUser();\n             if (input.checked &amp;&amp; controlledElement) {\n               input.up('tr').select('.controlled-element input, .controlled-element select').each(function (item) {\n                  item.enable();\n               });\n             }\n           });\n           optionWrapper.insert(new Element('span', {'class' : 'fa fa-' + type}).wrap('td'))\n                        .insert(label.wrap('td'))\n                        .insert(controlledElement &amp;&amp; controlledElement.wrap('td', {'class' : 'controlled-element'}) || '');\n           return optionWrapper;\n        }\n        this._defaultOwnerOption = _getTransferOption("check", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipKeepOwnership')", "");\n        transfer.insert(this._defaultOwnerOption);\n        //this._checkKeepOwnershipOption();\n        if (newOwnerGroupSelect) {\n          transfer.insert(_getTransferOption("group", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipTransferGroup')", newOwnerGroupSelect));\n        }\n        if (newOwnerInput) {\n          transfer.insert(_getTransferOption("user", "$services.localization.render('phenotips.patientAccessRightsManagement.modifyOwnershipTransferUser')", newOwnerInput));\n        }\n        transfer.select('.controlled-element input, .controlled-element select').each(function (item) {\n          item.disable();\n        });\n        this._ownershipManager.insert(transfer);\n      }\n    },\n    _checkKeepOwnershipOption : function() {\n      if (this._defaultOwnerOption) {\n        this._defaultOwnerOption.down('input').click();   // check the "keep current owner" radio (which also triggers all\n                                                          // corresponding actions such as disable/enable controlled elements)\n      }\n    },\n    _initVisibilityManager : function() {\n      var table = new Element('table', {id : 'collaborators'});\n      this._visibilityManager.insert(table);\n      this.VISIBILITY.each(function (item) {\n         var input = new Element ('input', {'type' : 'radio', 'name' : 'visibility', 'value' : item.id});\n         var label = new Element('label', {'class' : 'visibility', title : item.title}).insert(input).insert(item.name);\n         var info  = new Element('p', {'class' : 'xHint'}).update(item.title);\n         var row = new Element('tr')\n                .insert(new Element('td').insert(item.icon))\n                .insert(new Element('td').insert(label))\n                .insert(new Element('td').insert(info));\n         table.insert(row);\n      });\n    },\n    _initCollaboratorsManager : function () {\n      var _this = this;\n      var table = new Element('table', {id : 'collaborators'});\n      // Body: collaborators\n      this._collaboratorsList = new Element('tbody');\n      // Foot: input for adding a new collaborator\n      var newCollaborator = new Element('tfoot');\n      var newCollaboratorInput = $('new-collaborator-input') || '';\n      var newGroupInput = $('new-group-input') || '';\n      newCollaborator.insert(new Element('td', {'colspan' : 4}).insert(newCollaboratorInput).insert('&lt;br/&gt;').insert(newGroupInput));\n      // Add the two sections\n      this._collaboratorsManager.insert(table.insert(newCollaborator).insert(this._collaboratorsList));\n      // Capture selection events\n      newCollaborator.select('input').invoke('observe', "xwiki:suggest:selected", function(event) {\n         if (event.memo) {\n           var id = event.memo.value;\n           var existingCollaborator = _this._collaboratorsList.down('tr input[value="' + id.replace('"', '\\\\"') + '"]');\n           if (existingCollaborator) {\n             existingCollaborator.up('tr').addClassName('highlight');\n             // remove highlight after a while\n             new PeriodicalExecuter(function(pe) {\n                existingCollaborator.up('tr').removeClassName('highlight');\n                pe.stop();\n             }, 5);\n           } else {\n             var name = event.memo.info;\n             var type = event.findElement('input').name;\n             var newCollaborator = {'id' : id , 'name' : name , 'type' : type};\n             _this._addCollaborator(newCollaborator, true);\n             event.findElement().value = '';\n           }\n         }\n      });\n    },\n    _initManagerActions : function() {\n      var _this = this;\n      var buttons = new Element('div', {'class' : 'buttons'});\n      buttons.insert(new Element('input', {type: 'hidden', name : 'xaction', 'value': 'update'}));\n      buttons.insert(new Element('input', {type: 'hidden', name : 'patient', 'value': this.patientId}));\n      buttons.insert(new Element('input', {type: 'submit', name : 'submit',  'value': "$services.localization.render('phenotips.patientAccessRightsManagement.modifySubmitButton')", 'class' : 'button'}).wrap('span', {'class' : 'buttonwrapper'}));\n      buttons.insert(new Element('input', {type: 'button', name : 'close',   'value': "$services.localization.render('phenotips.patientAccessRightsManagement.modifyCancelButton')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'}));\n      this._container.insert(buttons);\n\n      buttons.down('input[name="close"]').observe('click', function(event) {\n        _this._dialog.closeDialog();\n      })\n\n      this._container.observe('submit', function(event) {\n        event.stop();\n        var trigger = event.findElement();\n        if (trigger._disbaled) {return; }\n        var formData = _this._container.serialize(true)\n        new Ajax.Request(_this._container.action, {\n          method: _this._container.method,\n          parameters : formData,\n          onCreate : function() {\n            trigger._disabled = true;\n            trigger.addClassName('loading');\n            _this._messages.update(new Element('div', {'class' : 'xHint'}).update("$services.localization.render('phenotips.patientAccessRightsManagement.modifyRequestSent')"));\n          },\n          onSuccess : function(response) {\n            var ownershipTransfer = $('transfer');\n            var owner = _this._element.down('.owner');\n            if (owner &amp;&amp; ownershipTransfer) {\n              var newOwner = '';\n              var newOwnerGroup = ownershipTransfer.down('select');\n              var newOwnerURL = '';\n              if (newOwnerGroup &amp;&amp; !newOwnerGroup.disabled &amp;&amp; newOwnerGroup.selectedIndex &gt; 0) {\n                newOwner = newOwnerGroup.options[newOwnerGroup.selectedIndex].text;\n                newOwnerURL = new XWiki.Document(newOwner, 'Groups').getURL();\n              } else {\n                var newOwnerUser = ownershipTransfer.down('input[type="text"]');\n                if (newOwnerUser) {\n                  var userName = ownershipTransfer.down('.accepted-suggestions li .user-name');\n                  if (!newOwnerUser.disabled &amp;&amp; userName) {\n                    newOwner = userName.firstChild.nodeValue;\n                    newOwnerURL = new XWiki.Document(ownershipTransfer.down('.accepted-suggestions li .user-alias').innerHTML, 'XWiki').getURL();;\n                  }\n                }\n              }\n              if (newOwner) {\n                owner.replaceChild(document.createTextNode(newOwner), owner.lastChild);\n                owner.href = newOwnerURL;\n              }\n            }\n            var visibility = _this._element.down('.visibility');\n            if (visibility) {\n              _this.VISIBILITY.each(function (item) {\n                 if (item.id == formData.visibility) {\n                   visibility.update('');\n                   visibility.insert(item.icon.clone(true)).insert(item.name);\n                   visibility.title = item.title;\n                 }\n              });\n            }\n            var collaborators = _this._element.down('.collaborators');\n            var collaboratorsCount = formData.collaborator ? (formData.collaborator.size &amp;&amp; formData.collaborator.size() || 1) : 0;\n            if (collaborators) {\n              collaborators.replaceChild(document.createTextNode(collaboratorsCount + ' collaborator' + (collaboratorsCount != 1 ? 's' : '')), collaborators.lastChild);\n            }\n            _this._dialog.closeDialog();\n          },\n          onFailure : function(response) {\n            var failureReason = response.responseText || response.statusText;\n            if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n               failureReason = "$services.localization.render('phenotips.patientAccessRightsManagement.modifyNoServerResponse')";\n            }\n            _this._messages.update(new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.patientAccessRightsManagement.modifyUpdateFailure')" + failureReason));\n          },\n          on0 : function (response) {\n            response.request.options.onFailure(response);\n          },\n          onComplete : function() {\n            trigger._disabled = false;\n            trigger.removeClassName('loading');\n          }\n        });\n      })\n    },\n\n    _launchEditor : function () {\n      var _this = this;\n      if (this._editorLauncher._disabled) { return; }\n      new Ajax.Request(this._container.action, {\n        parameters : {'xaction': 'get', 'patient' : this.patientId},\n        onCreate : function() {\n          _this._editorLauncher._disabled = true;\n          _this._messages.update('');\n          _this._dialog.showDialog();\n          _this._container.up('.msdialog-modal-container').style.zIndex = 3001;\n          _this._collaboratorsList.update('&lt;tr&gt;&lt;td colspan="3"&gt;&lt;img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')"/&gt;&lt;/td&gt;&lt;/tr&gt;');\n        },\n        onSuccess : function(response) {\n           var data = response.responseJSON;\n           _this._updateOwnershipManager(_this._element.down(".owner").innerHTML);   // get current owner from document HTML\n           _this._updateVisibility(data.visibility);\n           _this._updateCollaborators(data.collaborators);\n        },\n        onComplete : function() {\n          _this._editorLauncher._disabled = false;\n        }\n      });\n    },\n\n    _updateVisibility : function (value) {\n      var elt = this._visibilityManager.down('input[type="radio"][value="' + value + '"]');\n      if (elt) {\n        elt.checked = true;\n      }\n    },\n\n    _updateCollaborators : function (collaborators) {\n      this._collaboratorsList.update('');\n      collaborators.each(this._addCollaborator.bind(this));\n    },\n\n    /* Expected format for the collaborator object c : {id : 'string', 'type' : 'string', name : 'string', 'accessLevel' : 'string' } */\n    _addCollaborator : function (c, highlight) {\n      var row = new Element('tr', {'class' : (highlight === true ? 'new' : '')});\n      row.insert(new Element('td').insert(new Element('span', {'class' : 'fa fa-' + c.type}).update(' ')));\n      row.insert(new Element('td')\n              .insert(c.name)\n              .insert(new Element('input', {'type': 'hidden', 'name' : 'collaborator', 'value' : c.id}))\n      );\n      var rights = this._generateCollaborationOptions('accessLevel', c.accessLevel)\n      row.insert(rights.wrap('td'));\n      var deleteTool = new Element('span', {'class' : 'tool delete fa fa-times', title : "$services.localization.render('phenotips.patientAccessRightsManagement.modifyRemoveCollaborator')"});\n      row.insert(deleteTool.wrap('td'));\n      deleteTool.observe('click', function(event) {\n        event.findElement('tr').remove();\n      });\n      this._collaboratorsList .insert(row);\n    },\n\n    _generateCollaborationOptions : function (name, value) {\n      var selected = value || this.ACCESS_LEVELS[0].id;\n      var result = new Element('select', {name : name});\n      this.ACCESS_LEVELS.each(function (l) {\n            var o = new Element('option', {value : l.id}).update(l.name);\n            result.insert(o);\n      });\n      for (var i = 0; i &lt; result.options.length; i++ ) {\n        if (result.options[i].value == value) {\n          result.options[i].selected = true;\n          break;\n        }\n      }\n      return result;\n    }\n  });\n  return PhenoTips;\n}(PhenoTips || {}));\n\ndocument.observe("xwiki:dom:loaded", function() {\n  new PhenoTips.widgets.AccessRightsManager(document.documentElement.down('meta[name="page"]').content);\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PatientAccessRightsManagement</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>3f13b7c9-93f5-4e94-b01e-b180d2a383de</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n\n#access-rights-summary {\n  float: right;\n}\n.access-rights-info a {\n  color: inherit;\n}\n#access-rights-summary .access-rights-info {\n  border: 1px solid #fff;\n  box-shadow: inset 1px 1px 1px $theme.borderColor, 1px 1px 1px $theme.borderColor;\n  border-radius: 3px;\n  display: inline-block;\n  font-weight: bold;\n  margin: 0 5px 0 0;\n  padding: 2px 3px;\n}\n\n#access-levels-manager h2 {\n  margin-top: 0;\n}\n\n#manage-visibility label {\n  margin-right: 1em;\n  white-space: nowrap;\n}\n\n#access-levels-manager td {\n  border: 0 none;\n  padding: .3em;\n  text-align: left;\n  vertical-align: top;\n}\n#access-levels-manager .accepted-suggestions {\n  margin: 0 !important;\n}\n#access-levels-manager .accepted-suggestions li .delete-tool {\n  background: transparent;\n}\n#collaborators tbody td {\n  border-bottom: 1px solid $theme.borderColor;\n}\n#collaborators tfoot td {\n  border-top: 3px solid $theme.borderColor;\n}\n#collaborators .tool.delete {\n  color: $theme.notificationErrorColor;\n  cursor: pointer;\n}\n#collaborators .highlight {\n  background-color: $theme.highlightColor !important;\n  color: $theme.notificationErrorColor;\n}\n\n#collaborators .new {\n  background-color: $theme.highlightColor;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.PatientAccessRightsManagement</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>3d24805b-d647-4e9b-a7ca-00f55fb5a7f3</guid>\n<property>\n<content>{{velocity output="false"}}\n#set ($serviceDocName = 'PhenoTips.PatientAccessRightsManagement')\n#set ($serviceDoc = $xwiki.getDocument($serviceDocName))\n$xwiki.ssfx.use('uicomponents/suggest/suggestPicker.css', true)\n$xwiki.jsfx.use('uicomponents/suggest/suggestPicker.js', true)\n$xwiki.ssfx.use('uicomponents/widgets/userpicker/userPicker.css', true)\n$xwiki.jsfx.use('uicomponents/widgets/userpicker/userPicker.js', true)\n$xwiki.jsx.use($serviceDocName)\n$xwiki.ssx.use($serviceDocName)\n{{/velocity}}\n\n{{velocity}}\n#if ($xcontext.action != 'export')\n#set ($patient = $services.patients.getPatientById($doc.documentReference))\n#if ($patient)\n  #set ($_service = $services.permissions)\n  #set ($patientAccess = $_service.getPatientAccess($patient))\n  ## ===========================================================\n  ## Display access summary for this patient and enable changing\n  ## -----------------------------------------------------------\n  #set ($visibility =  $patientAccess.visibility)\n  #set ($collaborators = $patientAccess.collaborators)\n  #set ($collaboratorsCount = $collaborators.size())\n  #set ($owner = $patientAccess.getOwner())\n  #set ($ownerReference = $owner.user)\n  #if (!$ownerReference)\n    #set ($ownerName = $services.localization.render("phenotips.patientAccessRightsManagement.noOwner"))\n  #elseif ($ownerReference.equals($xcontext.userReference))\n    #set ($ownerName = $services.localization.render("phenotips.patientAccessRightsManagement.selfOwner"))\n  #else\n    #if ($owner.isUser())\n      #set ($ownerName = $xwiki.getUserName("$ownerReference", false))\n    #else\n      #set ($ownerName = $xwiki.getDocument($ownerReference).plainTitle)\n    #end\n  #end\n  #set ($canTransfer = $patientAccess.hasAccessLevel('owner'))\n  #if ($owner.isGroup())\n    #set ($adminGroup = $xcontext.getDatabase() + ":Groups." + $owner.getUsername() + " Administrators")\n    #if (!$xwiki.getUser().isUserInGroup($adminGroup))\n      #set ($canTransfer = false)\n    #end\n  #end\n  #if ($hasAdmin)\n    #set ($canTransfer = true)\n  #end\n  #set ($canManage = $patientAccess.hasAccessLevel('manage'))\n  #if ("$!{ownerReference}" != '')\n    #set ($ownerElement = "{{html wiki='true' clean='false'}}&lt;a class='owner' href=""${xwiki.getURL($ownerReference)}""&gt;{{icon name='user'/}}$services.rendering.escape($ownerName, $doc.syntax)&lt;/a&gt;{{/html}}")\n  #else\n    #set ($ownerElement = "{{html wiki='true' clean='false'}}&lt;span class='owner'&gt;{{icon name='user'/}}$ownerName&lt;/span&gt;{{/html}}")\n  #end\n  (% id="access-rights-summary" %)(((\n    $services.localization.render("phenotips.patientAccessRightsManagement.caseOwnerandVisibility",["(% class='access-rights-info' %)$ownerElement(%%)","(% class='access-rights-info visibility' title='$!{visibility.description}' %){{icon name='$visibility'/}}${visibility.label}(%%)"])##\n    ##if ($canManage),#else and#end it is (% class="access-rights-info visibility" title="$!{visibility.description}" %){{icon name="$visibility"/}}${visibility.label}(%%)##\n    #if ($canManage) ##\n      $services.localization.render("phenotips.patientAccessRightsManagement.collaboratorsSummary",["(% class='access-rights-info' %){{html wiki='true' clean='false'}}{{icon name='group'/}}&lt;span class='collaborators'&gt;",$collaboratorsCount, "&lt;/span&gt;{{/html}}(%%)"])##\n      (% class="buttonwrapper tool edit" %)[[ {{icon name="wrench" title="$services.localization.render('phenotips.patientAccessRightsManagement.modifyButtonTitle')" /}} $services.localization.render("phenotips.patientAccessRightsManagement.modifyButton")&gt;&gt;path:#||class="button"]]##\n      (% class="hidden" %)((({{html wiki="true" clean="false"}}\n        &lt;input type="hidden" name="serviceURL" value="$serviceDoc.getURL('get', 'outputSyntax=plain')"/&gt;\n        #foreach ($l in $_service.listAccessLevels())\n          &lt;input type="hidden" name="access-level" value="${l.name}" alt="$!{l.description}" /&gt;\n        #end\n        #foreach ($l in $_service.listVisibilityOptions())\n          &lt;input type="hidden" name="visibility" value="${l.name}" alt="$!{l.label}" title="$!{l.description}" /&gt;{{icon name="${l.name}" /}}\n        #end\n        #if ($canManage)\n          &lt;input type="text" name="user" class="suggestUsers" value="" placeholder="$services.localization.render('phenotips.patientAccessRightsManagement.newCollaborator')" id="new-collaborator-input" /&gt;\n          &lt;input type="text" name="group" class="suggestWorkgroups" value="" placeholder="$services.localization.render('phenotips.patientAccessRightsManagement.newGroupCollaborator')" id="new-group-input" /&gt;\n        #end\n        #if ($canTransfer)\n          &lt;div id="new-owner-input"&gt;&lt;input type="text" name="owner" id="new-owner-user-select" class="suggestUsers" value="" placeholder="$services.localization.render('phenotips.patientAccessRightsManagement.newOwner')" /&gt;&lt;/div&gt;\n          #set ($toProcess = $collectionstool.queue)\n          #set ($discard = $toProcess.add($xcontext.userReference.toString()))\n          #set ($groups = $collectionstool.sortedMap)\n          #if ($hasAdmin)\n            #set ($groupClassName = 'PhenoTips.PhenoTipsGroupClass')\n            #set ($groupTemplateName = 'PhenoTips.PhenoTipsGroupTemplate')\n            #set ($query = $services.query.xwql("from doc.object(${groupClassName}) as grp where doc.fullName &lt;&gt; :template").bindValue('template', $groupTemplateName))\n            #set ($groupDocs = $xwiki.wrapDocs($query.execute()))\n            #foreach ($groupDoc in $groupDocs)\n              #set ($discard = $groups.put($groupDoc.documentReference, $groupDoc.plainTitle))\n            #end\n          #else\n            #foreach ($iteration in [0..1000])\n              #if ($toProcess.empty)\n                #break\n              #end\n              #set ($item = $toProcess.poll())\n              #foreach ($group in $xwiki.wrapDocs($xwiki.rightsmanager.getAllGroupsNamesForMember($item)))\n                #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n                #if (!$groupObj &amp;&amp; $group.documentReference.name.endsWith(' Administrators'))\n                  #set ($group = $xwiki.getDocument($services.model.resolveDocument($stringtool.removeEnd($group.documentReference.name, ' Administrators'), $group.documentReference.parent)))\n                  #set ($groupObj = $group.getObject('PhenoTips.PhenoTipsGroupClass'))\n                #end\n                #if ($groupObj &amp;&amp; !$groups.containsKey($group.documentReference))\n                  #set ($discard = $toProcess.add($group.documentReference.toString()))\n                  #if ("$group.plainTitle" != '')\n                    #set ($discard = $groups.put($group.documentReference, $group.plainTitle))\n                  #else\n                    #set ($discard = $groups.put($group.documentReference, $group.documentReference.name))\n                  #end\n                #end\n              #end\n            #end\n          #end\n          #if (!$groups.isEmpty())\n          &lt;select name="owner" id="new-owner-group-select"&gt;\n            &lt;option value="" selected="selected" class="hidden"&gt;$services.localization.render('phenotips.patientAccessRightsManagement.newOwnerGroup')&lt;/option&gt;\n            &lt;optgroup label="$services.localization.render('phenotips.patientAccessRightsManagement.newOwnerGroup')"&gt;\n            #foreach ($g in $groups.entrySet())\n              &lt;option value="${services.rendering.escape($services.model.serialize($g.key), $doc.syntax)}"#if ("$!{ownerReference}" == "$g.key") selected="selected"#end&gt;${services.rendering.escape($g.value, $doc.syntax)}&lt;/option&gt;\n            #end\n            &lt;/optgroup&gt;\n          &lt;/select&gt;\n          #end\n        #end\n      {{/html}})))\n    #end\n  )))\n#end## Patient exists\n#end## xcontext.action\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.before</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.accessLevels</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content>{{velocity}}\n#set ($_service = $services.permissions)\n#set ($patient = $services.patients.getPatientById("$!{request.patient}"))\n#if ("$!{request.xaction}" == 'meta')\n  ## ===========================================================\n  ## Get meta information about available accessLevels\n  ## -----------------------------------------------------------\n  #set ($discard = $response.setContentType('application/json'))\n  #set ($accessLevelsMeta = {})\n  #set ($discard = $accessLevelsMeta.put('reqNo', "$!{request.reqNo}"))\n  #set ($discard = $accessLevelsMeta.put('visibilityOptions', $_service.listVisibilityOptions()))\n  #set ($discard = $accessLevelsMeta.put('userAccessLevels', $_service.listAccessLevels()))\n  $jsontool.serialize($accessLevelsMeta)\n#elseif ("$!{request.xaction}" == 'get')\n  #if (!$patient)\n    #set ($discard = $response.setStatus(400))## no patient, bad request\n  #else\n    ## ===========================================================\n    ## Get information about access levels and collaborators\n    ## -----------------------------------------------------------\n    #set ($patientAccess = $_service.getPatientAccess($patient))\n    #set ($discard = $response.setContentType('application/json'))\n    #set ($collaborators = $patientAccess.getCollaborators())\n    #set ($visibility =  $patientAccess.getVisibility())\n    #set ($data = {})\n    #set ($discard = $data.put('reqNo', "$!{request.reqNo}"))\n    #set ($discard = $data.put('query', "$!{request.patient}"))\n    #set ($discard = $data.put('visibility', "$!{visibility.name}"))\n    #set ($discard = $data.put('collaboratorsCount', $collaborators.size()))\n    #set ($collaboratorsData = [])\n    #foreach ($c in $collaborators)\n      #set ($collaborator = {})\n      #set ($discard = $collaborator.put('id', $c.user.toString()))\n      #set ($discard = $collaborator.put('type', $c.type))\n      #if ($c.type == 'user')\n        #set ($discard = $collaborator.put('name', $xwiki.getUserName("${c.user}", false)))\n      #else\n        #set ($discard = $collaborator.put('name', "$!{xwiki.getDocument($c.user).plainTitle}"))\n      #end\n      #set ($discard = $collaborator.put('accessLevel', $c.accessLevel.name))\n      #set ($discard = $collaboratorsData.add($collaborator))\n    #end\n    #set ($discard = $data.put('collaborators', $collaboratorsData))\n    $jsontool.serialize($data)\n  #end## Patient exists\n#elseif ("$!{request.xaction}" == 'update')\n  ## ===========================================================\n  ## Send update about access levels and collaborators\n  ## -----------------------------------------------------------\n  #set ($visibility = $_service.resolveVisibility("$!{request.visibility}"))\n  #set ($data = {})\n  #set ($result = true)\n  #set ($collaborators = $request.getParameterValues('collaborator'))\n  #set ($accessLevels = $request.getParameterValues('accessLevel'))\n  #set ($owner = "$!{request.get('owner')}")\n  #if ("$!{owner}" != '')\n    ## Check the validity of the new owner\n    #set ($invalidOwner = false)\n    #set ($validGroup = false)\n    #set ($validUser = false)\n    #set ($cannotTransfer = false)\n    #set ($ownerDocRef = $services.model.resolveDocument($owner))\n    #if ($xwiki.getDocument($ownerDocRef).getObject('PhenoTips.PhenoTipsGroupClass'))\n      #set ($validGroup = true)\n      ## Non-admin users can only transfer ownership to their own groups\n      ## Check to see if user has permission to transfer ownership\n      #set ($adminGroup = $owner + ' Administrators')\n      #if (!$xwiki.getUser().isUserInGroup($owner) &amp;&amp; !$xwiki.getUser().isUserInGroup($adminGroup) &amp;&amp; !$hasAdmin)\n        #set ($cannotTransfer = true)\n      #end\n    #elseif ($services.query.xwql("from doc.object(XWiki.XWikiUsers) as user where user.name = :ownerName").bindValue("ownerName", "$owner").count() &gt; 0)\n      #set ($validUser = true)\n    #end\n    #if (!($validUser || $validGroup))\n      #set ($invalidOwner = true)\n    #end\n  #end\n  #if (!$patient)\n    #set ($discard = $response.setStatus(400))## no patient : bad request\n    $services.localization.render("phenotips.patientAccessRightsManagement.noPatientError",[$!{request.patient}])\n  #elseif($collaborators.size() != $accessLevels.size())\n    #set ($discard = $response.setStatus(400))## mismatched user/level parameters, bad request\n    $services.localization.render('phenotips.patientAccessRightsManagement.malformedRequest')\n  #elseif ($invalidOwner)\n    #set ($discard = $response.setStatus(400))## No user found to transfer ownership to\n    $services.localization.render('phenotips.patientAccessRightsManagement.invalidNewOwner', ["$!owner"])\n  #elseif ($cannotTransfer)\n    #set ($discard = $response.setStatus(400))## The user cannot make the specified transfer\n    $services.localization.render('phenotips.patientAccessRightsManagement.noPermissionError')\n  #else\n    #set ($patientAccess = $_service.getPatientAccess($patient))\n    #foreach ($collaborator in $collaborators)\n      #set ($discard = $data.put($services.model.resolveDocument($collaborator), $_service.resolveAccessLevel($accessLevels.get($foreach.index))))\n    #end\n    #set ($result = $result &amp;&amp; $patientAccess.updateCollaborators($data))\n    #if ($visibility)\n      #set ($result = $result &amp;&amp; $patientAccess.setVisibility($visibility))\n    #end\n    #if ($owner != '')\n      #set ($result = $result &amp;&amp; $patientAccess.setOwner($services.model.resolveDocument($owner)))\n    #end\n    #if ($result)\n      #set ($discard = $response.setStatus(204))## success, no content\n    #else\n      #set ($discard = $response.setStatus(400))## unable to do the update\n      $services.localization.render('phenotips.patientAccessRightsManagement.updateError')\n    #end\n  #end## Patient exists and user/level parameters match\n#end\n{{/velocity}}</content></xwikidoc>\n
-3339746429314160282	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:specificity-meter-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>SpecificityMetricWidgetService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.SpecificityMetricWidget</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822208000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:specificity-meter-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action == 'get')\n$response.setContentType('application/json')\n$jsontool.serialize({'score' : ${services.specificity.getScore($request.getParameterValues('symptom'), $request.getParameterValues('not_symptom'))}})\n#end\n{{/velocity}}</content></xwikidoc>\n
7185395083535528762	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:patient-access-rules-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>CollaboratorClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822128000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-access-rules-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.CollaboratorClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<access>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>access</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Access level</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</access>\n<collaborator>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>collaborator</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Collaborator</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</collaborator>\n</class>\n<content></content></xwikidoc>\n
7150924036941053467	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:patient-access-rules-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>VisibilityClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822127000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-access-rules-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.VisibilityClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<visibility>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>visibility</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Visibility</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</visibility>\n</class>\n<content></content></xwikidoc>\n
3460685585092067712	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:patient-access-rules-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>OwnerClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822130000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-access-rules-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.OwnerClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<owner>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>owner</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Owner</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</owner>\n</class>\n<content></content></xwikidoc>\n
5991644227448505380	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:vocabularies-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>IndexOntology</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822213000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:vocabularies-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>PhenoTips.IndexOntology</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>0b66703e-b724-40f2-a0cd-3c9427a05851</guid>\n<property>\n<advancedOnly>0</advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute>{{include reference="PhenoTips.IndexOntology" /}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>Ontology</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionPriority>600</sectionPriority>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.IndexOntology</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>092d7722-c25e-46ae-9989-2ceb28d16c56</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function (){\n   $$('form.solr-admin').invoke('observe', 'submit', function(event) {\n      event.stop();\n      var form = event.element();\n      var mandatoryElt = form.down('.mandatory input');\n      if (!mandatoryElt || mandatoryElt.value != "") {\n        var formData = new Hash(form.serialize(true));\n        formData.set('outputSyntax', 'plain');\n        formData.set('ajax', '1');\n        // Create a notification message to display to the user when the submit is being sent\n        form._x_notification = new XWiki.widgets.Notification("$services.localization.render('phenotips.IndexOntology.inProgress')", "inprogress");\n        form.disable();\n        // FIXME Use the XWiki.Document JS API after upgrading to XWiki 6.0\n        new Ajax.Request("$xwiki.getURL('PhenoTips.IndexOntology', 'get')", {\n            method : 'post',\n            parameters : formData,\n            onSuccess : function (response) {\n              form._x_notification.replace(new XWiki.widgets.Notification(response.responseText, "done"));\n            }.bind(this),\n            onFailure : function (response) {\n              var failureReason = response.statusText;\n              if (response.statusText == '' /* No response */ || response.status == 12031 /* In IE */) {\n                failureReason = "$services.localization.render('phenotips.IndexOntology.noResponse')";\n              }\n              form._x_notification.replace(new XWiki.widgets.Notification("Failed: " + failureReason, "error"));\n            }.bind(this),\n            on0 : function (response) {\n              response.request.options.onFailure(response);\n            },\n            onComplete : function (response) {\n              form.enable();\n            }\n        });\n      }\n   });\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{velocity}}\n#if ("$!{request.url}" != '' &amp;&amp; "$!{request.ontology}" != '' &amp;&amp; $request.form_token &amp;&amp; $services.csrf.isTokenValid("$!{request.form_token}"))\n  #set($result = '')\n  #set($result = $services.vocabularies.get($request.ontology).reindex("$!{request.url}"))\n\n  #if ("$!{request.ajax}" == '1')\n    #if ($result == 0)\n      $services.localization.render('phenotips.IndexOntology.success')\n    #else\n      $response.setStatus(500)##\n      $services.localization.render('phenotips.IndexOntology.failure')\n    #end\n\n  #else\n    #if ($result == 0)\n      #set ($indexMessage = "{{info}}$services.localization.render('phenotips.IndexOntology.successMessage', [$!{request.url}]){{/info}}")\n    #else\n      #set ($indexMessage = "{{error}}$services.localization.render('phenotips.IndexOntology.failureMessage', [$!{request.url}]){{/error}}")\n    #end\n  #end\n#end\n#if ("$!{request.ajax}" != '1')\n$xwiki.jsx.use('PhenoTips.IndexOntology')##\n== $services.localization.render('phenotips.indexOntology.heading') ==\n(% class="half" %)(((\n{{html wiki=false clean=false}}\n#foreach ($ontology in ['hpo', 'chebi', 'hgnc'])\n&lt;form class="xform solr-admin" action='' method="post"&gt;\n&lt;dl&gt;\n&lt;dt&gt;\n&lt;label for="ontology-${ontology}-url"&gt;$services.localization.render("phenotips.IndexOntology.${ontology}")&lt;/label&gt;\n#set ($version = $services.vocabularies.get($ontology).Version)\n#if (!$version)\n  &lt;span class="xHint"&gt;$services.localization.render('phenotips.IndexOntology.noVersion')&lt;/span&gt;\n#else\n  &lt;span class="xHint"&gt;$services.localization.render('phenotips.IndexOntology.version',[$version])&lt;/span&gt;\n#end\n&lt;span class="xHint"&gt;$services.localization.render('phenotips.IndexOntology.URLhint')&lt;/span&gt;\n&lt;/dt&gt;\n&lt;dd class="mandatory"&gt;&lt;input type="text" name="url" id="ontology-${ontology}-url" value="$services.vocabularies.get($ontology).DefaultSourceLocation"/&gt;&lt;/dd&gt;\n&lt;/dl&gt;\n&lt;div&gt;\n&lt;input type="hidden" name="ontology" value="${ontology}"/&gt;\n&lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}"/&gt;\n&lt;span class="buttonwrapper"&gt;&lt;input class="button" type="submit" name="actionindex" value="$services.localization.render('phenotips.IndexOntology.startReindex')"/&gt;&lt;/span&gt;\n&lt;/div&gt;\n&lt;/form&gt;\n#end\n{{/html}}\n\n{{warning}}$services.localization.render('phenotips.IndexOntology.longWaitWarning'){{/warning}}\n\n)))\n#end\n{{/velocity}}</content></xwikidoc>\n
-6835187109811913293	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PushPatientService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822217000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title>PushPatientService</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity wiki="false"}}\n#set ($service = $services.pushPatient)\n\n#if ($xcontext.action == 'get')\n  $response.setContentType('application/json')\n#end\n\n#if ($request.do == 'getremotes')\n  ## test: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&amp;do=getremotes&amp;patientId=P0000001\n  ## test: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&amp;do=getremotes&amp;patientId=P00XXXXX (should work, but returns no history)\n  #set ($configuredServers = $service.getPushTargetsWithHistory($request.patientId))\n  #set ($output = [])\n  #foreach ($mapEntry in $configuredServers.entrySet())\n    #set ($data = {})\n    #set ($success = $data.put("serverinfo", $mapEntry.key))\n    #set ($success = $data.put("pushinfo",   $mapEntry.value))\n    #set ($success = $output.add($data))\n  #end\n  $jsontool.serialize($output)   ## no error checking - local call\n#elseif ($request.do == 'getpatientjson')\n  ##test1: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&amp;do=getpatientjson&amp;patientid=P0000001\n  ##test2: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&amp;do=getpatientjson&amp;patientid=P0000001&amp;fields=[%22gender%22,%22omim_id%22]\n  ##test3: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&amp;do=getpatientjson&amp;patientid=P00XXXXX  (returns null)\n  #set ($patientJSON = $service.getLocalPatientJSON($request.patientid, $request.fields))\n  $jsontool.serialize($patientJSON)   ## no error checking - local call\n#elseif ($request.do == 'getuser')\n  ## test1: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&amp;do=getuser&amp;serverid=PUSH1\n  ## test2: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&amp;do=getuser&amp;serverid=NONEEXISTENT\n  #set ($lastUsedUsername = $service.getRemoteUsername($request.serverid))\n  #if (!$lastUsedUsername)\n    #set ($lastUsedUsername = "")\n  #end\n  #set ($data = { "remoteUserName":$lastUsedUsername })\n  $jsontool.serialize($data)  ## no error checking - local call\n#elseif ($request.do == 'removetokens')\n  ## test: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&amp;do=removetokens&amp;serverid=PUSH1  (login with savetoken=true, passwordless login, remove, passwordless now fails)\n  #set ($serverid = $request.serverid)\n  #set ($response = $service.removeStoredLoginTokens($serverid))\n  {}\n#elseif ($request.do == 'getremoteconfig')\n  ## test1: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&amp;do=getremoteconfig&amp;serverid=PUSH1&amp;usr=Zzz2&amp;pwd=zzz123&amp;savetoken=true\n  ## test2: http://localhost:8080/bin/get/PhenoTips/PushPatientService?outputSyntax=plain&amp;do=getremoteconfig&amp;serverid=PUSH1  (after test1, supposedly works using stored username/token)\n  #set ($serverId  = $request.serverid)\n  #set ($username  = $request.usr)\n  #set ($password  = $request.pwd)\n  #set ($savetoken = $request.savetoken)\n\n  #if (!$username)\n    #set ($response = $service.getRemoteConfiguration($serverId))  ## passwordless login using stored token\n  #else\n    #set ($response = $service.getRemoteConfiguration($serverId, $username, $password, $savetoken))\n  #end\n\n  ## There are many possible sources of error. Assume error until you actually get success :)\n  ##\n  #set ($data = {'status':'error'})\n  #if (!$response || $response.isIncorrectProtocolVersion())\n    #set ($data.serverconnectproblem = 'true')\n    #set ($data.cantconnect = 'true')\n  #elseif ($response.isSuccessful())\n    ## yay!\n    #set ($data = {'status':'success', 'groups':$response.getRemoteUserGroups(), 'serverfields': $response.getRemoteAcceptedPatientFields(), 'updatesEnabled': $response.remoteUpdatesEnabled()})\n  #elseif ($response.isLoginFailed_UnauthorizedServer())\n    #set ($data.serverconnectproblem = 'true')\n    #set ($data.unauthorizedserver = 'true')\n  #elseif ($response.isLoginFailed())\n    #set ($data.loginfailed = 'true')    ## one form or another of incorrect username, password or stored token\n  #end\n  $jsontool.serialize($data)\n#elseif ($request.do == 'push')\n  #set ($serverId  = $request.serverid)\n  #set ($username  = $request.usr)\n  #set ($password  = $request.pwd)\n  #set ($groupname = $request.groupname)\n  #set ($patientid = $request.patientid)\n  #set ($guid      = $request.guid)\n  #set ($fields    = $request.fields)\n\n  #if ($guid == 'auto')\n     #set ($guid = $service.getPatientPushHistory($patientid, $serverId).getRemotePatientGUID())\n  #end\n\n  #if (!$username)\n    #set ($response = $service.sendPatient($patientid, $fields, $groupname, $guid, $serverId))  ## passwordless login using stored token\n  #else\n    #set ($response = $service.sendPatient($patientid, $fields, $groupname, $guid, $serverId, $username, $password))\n  #end\n\n  ##$jsontool.serialize($response)\n\n  #set ($data = {'status':'error'})\n  #if (!$response || $response.isIncorrectProtocolVersion())\n    #set ($data.serverconnectproblem = 'true')\n    #set ($data.cantconnect = 'true')\n  #elseif ($response.isSuccessful())\n    ## DONE!\n    #set ($data = {'status':'success', 'patientid':$response.getRemotePatientID(), 'patientguid':$response.getRemotePatientGUID(), 'patienturl':$response.getRemotePatientURL()})        ## TODO\n  #elseif ($response.isLoginFailed_UnauthorizedServer())\n    #set ($data.serverconnectproblem = 'true')\n    #set ($data.unauthorizedserver = 'true')\n  #elseif ($response.isLoginFailed())\n    #set ($data.loginfailed = 'true')    ## one form or another of incorrect username, password or stored token\n  #else\n    #set ($data.pushfailed = 'true')     ## push failed: either incorrect user data, or incorrect gid or server error (TODO: differentiate more)\n    #if ($response.isActionFailed_UpdatesDisabled())\n       #set ($data.updatesdisabled = 'true')\n    #end\n    #if ($response.isActionFailed_IncorrectGUID())\n       #set ($data.invalidguid = 'true')\n    #end\n    #if ($response.isActionFailed_GUIDAccessDenied())\n       #set ($data.accessdeniedguid = 'true')\n    #end\n  #end\n  $jsontool.serialize($data)\n#end\n{{/velocity}}</content></xwikidoc>\n
7357814823934784508	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PushPatientConfiguration</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822201000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>PhenoTips.PushPatientConfiguration</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>057df842-3c9e-484d-85d0-99ff8eb31c63</guid>\n<property>\n<advancedOnly>1</advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute>{{include reference="PhenoTips.PushPatientConfiguration" /}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>pushpatientconfig</displayInSection>\n</property>\n<property>\n<heading>$services.localization.render('phenotips.pushPatientConfiguration.heading')</heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionPriority>1000</sectionPriority>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PushPatientConfiguration</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>c29d02ea-a59c-4286-9ec9-ef1b2e43acc1</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n.list-actions + .buttons {\n  float: right;\n  margin-top: -1.8em;\n}\n.action.delete {\n  background: transparent !important;\n  background-image: none !important;\n  border: 0 none !important;\n  box-shadow: none !important;\n  display: inline-block !important;\n  height: auto !important;\n  text-indent: 0 !important;\n  width: auto !important;\n}\ntd input[type="text"], td input[type="password"] {\n  border-color: $theme.pageContentBackgroundColor;\n  border-radius: 4px 4px 4px 4px;\n  box-shadow: 0 1px 2px rgba(0, 0, 0, .4) inset;\n  width: 100%;\n}\ntd input[type="text"]:focus, td input[type="password"]:focus {\n  border-color: $theme.linkColor;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<content>{{include reference="PhenoTips.TabelarDataMacros"/}}\n\n{{velocity output="false"}}\n#set ($displayDocumentName = 'PhenoTips.PushPatientConfiguration')\n#set ($displayDocument = $xwiki.getDocument($displayDocumentName))\n#set ($serverConfigurationClassname = 'PhenoTips.PushPatientServer')\n#set ($existingServers = $preferencesDoc.getObjects($serverConfigurationClassname))\n\n$xwiki.ssx.use($displayDocumentName)##\n{{/velocity}}\n\n{{velocity}}\n#if ("$!{request.xaction}" == 'lastentry')\n #set ($entryClassName = $request.dataClassName)\n  #set ($options = {})\n  #set ($discard = $options.put('propertyName', "$!{request.propertyName}"))\n  #set ($discard = $options.put('propertyValue', "$!{request.propertyValue}"))\n  #set ($discard = $options.put('labels', "$!{request.withLabel}"))\n  #set ($discard = $options.put('mode', 'edit'))\n  #__extradata_displayLastEntry($request.dataClassName $options)\n#else\n{{html clean="false"}}\n&lt;form action="${preferencesDoc.getURL('save')}" method="post"&gt;\n&lt;div class="hidden"&gt;\n    &lt;input type="hidden" name="form_token" value="${escapetool.xml($services.csrf.token)}" /&gt;\n    &lt;input type="hidden" name="classname" value="${serverConfigurationClassname}" /&gt;\n    &lt;input type="hidden" name="xredirect" value="${doc.getURL($xcontext.action, $request.queryString)}" /&gt;\n  &lt;/div&gt;\n{{/html}}\n  #__extradata_displayTable($serverConfigurationClassname, {'counter' : false, 'labels' : false, 'mode' : 'edit', 'addedDisplaySheet' : $displayDocumentName})\n{{html clean="false"}}\n  &lt;div class="buttons"&gt;\n    &lt;input class="button" type="submit" value="$services.localization.render('phenotips.PushPatientConfiguration.save')" /&gt;\n  &lt;/div&gt;\n&lt;/form&gt;\n{{/html}}\n#end\n{{/velocity}}</content></xwikidoc>\n
-174610153333464335	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PushPatientServer</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822127000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.PushPatientServer</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<description>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>description</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Description</prettyName>\n<rows>2</rows>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<name>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Server name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<url>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>url</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Server URL</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</url>\n</class>\n<content></content></xwikidoc>\n
-2151136051672498111	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PushPatient</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822203000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:patient-data-sharing-push-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PushPatient</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>767e254e-4d44-413d-8243-c88835562b5e</guid>\n<property>\n<cache>forbid</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.PushPatientWidget = Class.create({\n    initialize : function() {\n      // ---------------------------------------------------------------------\n      // Search for the push patient elements. Exist if missing.\n      // ---------------------------------------------------------------------\n      this._pushManyPatients = false;\n\n      var pushTargets = $$("div[id^=push-patient]");\n      if (pushTargets.length == 0) {\n          pushTargets = $$("a[id^=pushall-server]");\n          if (pushTargets.length == 0) {\n              return;\n          }\n          this._pushManyPatients = true;\n      }\n\n      // this version of push supports pushing (and displaying preview of) only some fields\n      this._supportedFields = ["external_id", "gender", "omim_id",  "negative_phenotype", "phenotype"];\n\n      this._serviceURL = new XWiki.Document('PushPatientService', 'PhenoTips').getURL('get', 'outputSyntax=plain');\n      this._patientId  = XWiki.currentDocument.page;\n      //if (!this._pushManyPatients)\n      //    console.log("PUSH UI: Patient: " + this._patientId + ", serviceURL: " + this._serviceURL);\n      //else\n      //    console.log("PUSH UI: multipush, serviceURL: " + this._serviceURL);\n\n      // ---------------------------------------------------------------------\n      // Initialize the UI\n      // ---------------------------------------------------------------------\n      this._initUI();\n\n      // ---------------------------------------------------------------------\n      // Attach launcher behavior:\n      // ---------------------------------------------------------------------\n      var _this = this;\n\n      this._observeSave = function() {\n          _this._launchUI();\n      }\n\n      for (var server = 0; server &lt; pushTargets.length; server++) {\n          var nextServer = pushTargets[server];\n          var pushLauncher = this._pushManyPatients ? nextServer : nextServer.down('a');\n          if (!pushLauncher) continue;\n\n          var serverName = nextServer.readAttribute("name");\n\n          var createLauncher = function(serverID) {\n            return function(event) {\n\t            event.stop();\n\t            event.findElement().blur();\n\n\t            _this._selectedServer = serverID;\n\t            //console.log("Initializing push to " + serverID);\n\n\t            if (event.findElement('.editbody')) {\n\t              // we're in edit mode; ask user if they want to save before exporting the data\n\t              new XWiki.widgets.ConfirmationBox(\n\t                {\n\t                  onYes : function() {\n\t                    document.fire('xwiki:actions:save', {'continue' : true, 'form' : event.findElement('form')});\n\t                    document.observe('xwiki:document:saved', _this._observeSave);\n\t                  },\n\t                  onNo : function() {\n\t                    _this._launchUI();\n\t                  }\n\t                },\n\t                /* Interaction parameters */\n\t                { confirmationText: "$services.localization.render('phenotips.PushPatient.confirmationText')", showCancelButton: true }\n\t              );\n\t            } else {\n\t              _this._launchUI();\n\t            }\n\t          }\n          }\n\t      pushLauncher.observe('click', createLauncher(serverName));\n\t  }\n      // ---------------------------------------------------------------------\n      // Initialization done\n      // ---------------------------------------------------------------------\n    },\n\n    _initUI: function() {\n      var generateSection = function(id, title, intro) {\n         return new Element('div', {'id': id, 'class' : 'section'})\n                    .insert(title &amp;&amp; new Element('h2').update(title) || '')\n                    .insert(intro &amp;&amp; new Element('p', {'class' : 'intro xHint'}).update(intro) || '')\n                    .insert(new Element ('div', {'class' : 'section-contents'}));\n      };\n\n      var serverTitle = this._pushManyPatients ? "$services.localization.render('phenotips.patientSharing.push.dialog.serverSelection.label.multiplePatients')":\n                                                "$services.localization.render('phenotips.patientSharing.push.dialog.serverSelection.label.singlePatient')";\n      var serverDesc  = this._pushManyPatients ? "$services.localization.render('phenotips.patientSharing.push.dialog.serverSelection.hint.multiplePatients')":\n                                                 "$services.localization.render('phenotips.patientSharing.push.dialog.serverSelection.hint.singlePatient')";\n      this._container = new Element('form', {'id' : 'push-patients-ui', 'class' : 'xform', 'method' : 'post', 'action' : this._serviceURL});\n      this._container.insert(generateSection('server-selection', serverTitle, serverDesc))\n                     .insert(generateSection('user-selection', "$services.localization.render('phenotips.patientSharing.push.dialog.authentication.label')","$services.localization.render('phenotips.patientSharing.push.dialog.authentication.hint')"))\n                     .insert(generateSection('group-selection',"$services.localization.render('phenotips.patientSharing.push.dialog.remoteGroup.label')","$services.localization.render('phenotips.patientSharing.push.dialog.remoteGroup.hint')"));\n      if (!this._pushManyPatients) {\n          this._container.insert(generateSection('fields-selection',"$services.localization.render('phenotips.patientSharing.push.dialog.preview.label')","$services.localization.render('phenotips.patientSharing.push.dialog.preview.hint')"));\n      }\n\n      this._checkBoxApprove = new Element('input',{type:'checkbox', 'id':'approve-checkbox', 'value':'approve'});\n      var labelApprove = new Element('label', {'id':'approve-label'});\n      var approveMessage = this._pushManyPatients ? "$services.localization.render('phenotips.patientSharing.push.dialog.confirmation.label.multiplePatients')":\n                                                    "$services.localization.render('phenotips.patientSharing.push.dialog.confirmation.label.singlePatient')";\n      labelApprove.insert(this._checkBoxApprove).insert(approveMessage);\n      this._approveElement = new Element('div', {'class' : 'confirm-push plainmessage'});\n      this._approveElement.insert(labelApprove);\n      if (this._pushManyPatients) {\n          this._container.insert("&lt;br/&gt;");\n      }\n      this._container.insert(this._approveElement);\n\n      this._serverManager = this._container.down('#server-selection .section-contents');\n      this._userManager   = this._container.down('#user-selection .section-contents');\n      this._groupManager  = this._container.down('#group-selection .section-contents');\n      this._fieldsManager = this._pushManyPatients ? null : this._container.down('#fields-selection .section-contents');\n\n      this._initServerSelector();\n      this._initMainFormActions();\n\n      var title = this._pushManyPatients ? "$services.localization.render('phenotips.patientSharing.push.dialog.title.multiplePatients')" : "$services.localization.render('phenotips.patientSharing.push.dialog.title.singlePatient')".replace("__patientID__", this._patientId);\n      this._dialog = new PhenoTips.widgets.ModalPopup(this._container, false, {'title': title, 'verticalPosition': 'top', 'removeOnClose': false});\n    },\n\n    _generateServerFirstMessage: function() {\n      return new Element('div', {'class' : 'warningmessage'}).update("$services.localization.render('phenotips.PushPatient.serverFirstMessage')");\n    },\n\n    _generateServerAndUserFirstMessage: function() {\n      return new Element('div', {'class' : 'warningmessage'}).update("$services.localization.render('phenotips.PushPatient.serverAndUserFirstMessage')");\n    },\n\n    _generateNoPatientJSONMessage: function(fieldList) {\n      var retryButton = new Element('input', {type: 'button', name : 'retry', 'value': "$services.localization.render('phenotips.PushPatient.retry')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n      var _this = this;\n      retryButton.observe('click', function(event) {\n        _this._generateDataPreview(fieldList);\n      });\n      return new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.PushPatient.noPatientMessage')").insert(retryButton);\n    },\n\n    _generateNoServerListMessage: function() {\n      var retryButton = new Element('input', {type: 'button', name : 'retry', 'value': "$services.localization.render('phenotips.PushPatient.retry')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n      var _this = this;\n      retryButton.observe('click', function(event) {\n        _this._launchUI();\n      });\n      return new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.PushPatient.noServerListMessage')").insert(retryButton);\n    },\n\n    _generateCantConnectToServerMessage: function(failMessage, username, password) {\n      var retryButton = new Element('input', {type: 'button', name : 'retry', 'value': "$services.localization.render('phenotips.PushPatient.retry')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n      var _this = this;\n      retryButton.observe('click', function(event) {\n        _this._loginAndGetConfig(username, password);\n      });\n      return new Element('div', {'class' : 'errormessage'}).update(failMessage + " ").insert(retryButton);\n    },\n\n    _generateNoPushServerConfiguredMessage: function() {\n          return new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.PushPatient.noPushServerConfiguredMessage')");\n    },\n\n    _generateIncorrectCredentialsMessage: function() {\n          return new Element('div', {'class' : 'errormessage'}).update("$services.localization.render('phenotips.PushPatient.noPushServerConfiguredMessage')");\n    },\n\n    _generateFailedToPushPatient: function(errorMessage, retryButton, retryAsNew) {\n      var result = new Element('div', {'class' : 'errormessage'}).update(errorMessage);\n\n      if (retryButton)\n      {\n        var retryButton = new Element('input', {type: 'button', name : 'retry', 'value': "$services.localization.render('phenotips.PushPatient.retry')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n        var _this = this;\n        retryButton.observe('click', function(event) {\n          _this._pushPatient();\n        });\n        result.insert(retryButton);\n      }\n      if (retryAsNew)\n      {\n        var retryAsNewButton = new Element('input', {type: 'button', name : 'retry', 'value': "$services.localization.render('phenotips.PushPatient.retryAsNew')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n        var _this = this;\n        retryAsNewButton.observe('click', function(event) {\n          _this._selectPushNewPatient();\n          _this._pushPatient();\n        });\n        result.insert(retryAsNewButton);\n      }\n      return result;\n    },\n\n    _onUnapprovedUser: function() {\n      this._patientData = undefined;\n\n      this._groupManager.update(this._generateServerAndUserFirstMessage());\n      !this._pushManyPatients &amp;&amp; this._fieldsManager.update(this._generateServerAndUserFirstMessage());\n\n      this._pushButton.disable();   // disabled until the server is selected and fields are confirmed\n      this._approveElement.hide();\n\n      this._pushResultSection.update("");\n\n      this._patientFieldList = undefined;\n      this._userGroupsList   = undefined;\n    },\n\n    _onNoServerSelected: function() {\n      this._lastApprovedUser  = undefined;\n      this._lastSelectedGroup = undefined;\n      this._userLoginError    = undefined;\n\n      this._serverInfo.hide();\n      this._userManager.update(this._generateServerFirstMessage());\n\n      this._onUnapprovedUser();\n    },\n\n    _disableControl: function(control) {\n        // disables the control and makes sure that even if all controls are now disabled\n        // and will get re-enabled later this one wont get re-enabled\n        control.disable();\n        control.__wasDisabledState = true;  // see _disableInputs()\n    },\n\n    _disableInputs: function(disableCancelAsWell) {\n       // disable all UI elements while waiting for AJAX rerquest to complete\n       this._container.addClassName('loading');\n       var allInputs = this._container.getElementsByTagName('input');\n       for (var i = 0; i &lt; allInputs.length; i++) {\n          if (allInputs[i].disabled) {\n            allInputs[i].__wasDisabledState = true;\n          } else {\n            allInputs[i].disable();\n          }\n       }\n       // disable server-selector: it is an option not an input\n       this._serverSelector.down('select').disable();\n       // but enable the cancel button\n       if (!disableCancelAsWell) {\n          this._cancelButton.enable();\n       }\n    },\n\n    _restoreInputs: function() {\n       this._container.removeClassName('loading');\n       // but do not enable what was disbaled before\n       var allInputs = this._container.getElementsByTagName('input');\n       for (var i = 0; i &lt; allInputs.length; i++) {\n          if  (allInputs[i].__wasDisabledState) {\n             delete(allInputs[i].__wasDisabledState);\n          } else {\n             allInputs[i].enable();\n          }\n       }\n       // enable server-selector: it is an option not an input\n       this._serverSelector.down('select').enable();\n    },\n\n    _launchUI : function() {\n      var _this = this;\n      document.stopObserving('xwiki:document:saved', _this._observeSave);\n\n      if (this.__launchUIAjaxInProgress) { return; }\n\n      // reset data about available push servers\n      this._remoteServers       = {};\n      this._numAvailableServers = 0;\n\n      this._onNoServerSelected();\n\n      this._serverLoadMessages.update(new Element('div', {'class' : 'infomessage'}).update("$services.localization.render('phenotips.PushPatient.retrievingListMessage')"));\n      this._serverLoadMessages.show();\n      this._serverSelector.hide();\n      this._container.addClassName('loading');\n\n      //AJAX 1: Get available remote servers\n      new Ajax.Request(this._serviceURL, {\n        method: _this._container.method,\n        parameters : {'do':'getremotes', 'patientId': _this._patientId},\n        onCreate : function() {\n          _this.__launchUIAjaxInProgress = true;\n          _this._dialog.showDialog();\n          _this._container.up('.msdialog-modal-container').style.zIndex = 3001;\n        },\n        onSuccess : function (response) {\n          console.log("PUSH: Got response for the getremotes request");\n          var data = response.responseJSON;\n\n          if (!data || data.length == 0) {\n            //console.log("PUSH: no remotes defined");\n            // if there are no configured servers, display warning message\n            _this._serverLoadMessages.update(_this._generateNoPushServerConfiguredMessage());\n          } else {\n            //console.log("PUSH: Found " + data.length + " remotes: " + stringifyObject(data));\n            // otherwise show the list of servers to pick from\n            _this._serverLoadMessages.hide();\n            _this._populateServerList(data);\n          }\n        },\n        onFailure : function(response) {\n          _this._serverLoadMessages.update(_this._generateNoServerListMessage());\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          _this.__launchUIAjaxInProgress = false;\n          _this._container.removeClassName('loading');\n          console.log("PUSH: getting remotes - complete");\n        }\n      });\n    },\n\n    _queryStoredUserName: function() {\n      var _this = this;\n      this._userManager.update("");\n      //AJAX 2: Get the user name last used for this server\n      new Ajax.Request(this._serviceURL, {\n        method: _this._container.method,\n        parameters : {'do':'getuser', 'serverid': this._selectedServer },\n        onCreate : function() {\n          console.log("PUSH: get username - start");\n          _this._disableInputs();\n        },\n        onSuccess : function (response) {\n          //console.log("PUSH: Got user last used for the server (JSON: " + stringifyObject(response.responseJSON) + ")");\n          if (response.responseJSON.remoteUserName) {\n            _this._lastApprovedUser = response.responseJSON.remoteUserName;\n          }\n        },\n        onFailure : function(response) {\n          console.log("PUSH: couldn't not get the user last used for this server");\n          // just ignore the failure and let user manualy enter username/password\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          _this._restoreInputs();\n          console.log("PUSH: getting username - complete");\n          if (_this._lastApprovedUser) {\n              _this._loginAndGetConfig(_this._lastApprovedUser, null);  // attempt a password-less login using stored token\n          }\n          else {\n              _this._updateUserList();\n          }\n        }\n      });\n    },\n\n    _loginAndGetConfig: function(username, password) {\n      console.log("loginAndGetConfig: probing " + username);\n\n      var _this = this;\n      // TODO: suport workflow when tokens are not enabled e.g. on the server side (have to remember username/password in JS)\n      var params = {'do':'getremoteconfig', 'serverid': this._selectedServer, 'savetoken':true };\n      if (password) {\n        params['usr'] = username;\n        params['pwd'] = password;\n      }     // else atempt a passwordless login using the stored username\n\n      //AJAX 3: attempt to authorize on the remote server + get remote config\n      new Ajax.Request(this._serviceURL, {\n        method: _this._container.method,\n        parameters : params,\n        onCreate : function() {\n          console.log("PUSH: get remote config - start");\n          _this._disableInputs();\n        },\n        onSuccess : function (response) {\n          if (response.hasOwnProperty("responseJSON") &amp;&amp; response.responseJSON) {\n            console.log("PUSH: Got response from server: " + stringifyObject(response.responseJSON));\n            _this._lastLoginResponse = response.responseJSON;    // TODO: store per user+server locally, so that there is no need to AJAX again for the same user if selected again?\n          } else {\n            console.log("PUSH: No response from local service");\n            _this._lastLoginResponse =  {"status":"error", "nolocalresponse":true};\n          }\n        },\n        onFailure : function(response) {\n          console.log("PUSH: unable to get a response from remote server");\n          _this._lastLoginResponse = {"status":"error", "serverconnectproblem":true};  // simulate "unable to connect" response from script service\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          this._restoreInputs();\n          console.log("PUSH: get remote config - complete");\n\n          if (this._lastLoginResponse.status == "success") {\n            console.log("--&gt; login successful!");\n            this._lastApprovedUser = username;\n            this._updateUserList();  // update current user list with an indication that this user has successfully logged in\n\n            var fieldListToUse = this._lastLoginResponse.serverfields.filter(function(field) {\n                      return this._supportedFields.indexOf(field) != -1;\n            }.bind(this));\n            this._populateGroupsAndData(this._lastLoginResponse.groups, fieldListToUse, this._lastLoginResponse.updatesEnabled);\n          }\n          else {\n            console.log("--&gt; login failed!");\n            if (this._lastApprovedUser == username) {\n              this._lastApprovedUser = undefined;   // this user is no longer approved\n            }\n            this._updateUserList(username, this._lastLoginResponse, username, password);\n          }\n        }.bind(this)\n      });\n    },\n\n    _logoutUser: function() {\n      var _this = this;\n      var params = {'do':'removetokens', 'serverid': this._selectedServer };\n\n      new Ajax.Request(this._serviceURL, {\n        method: _this._container.method,\n        parameters : params,\n        onCreate : function() {\n          console.log("PUSH: logout user");\n          try{\n          _this._disableInputs();\n          } catch (e) {console.log("ERROR: " + e); }\n        },\n        onSuccess : function (response) {\n          _this._lastLoginResponse = undefined;\n          _this._lastApprovedUser  = undefined;\n          _this._updateUserList();\n        },\n        onFailure : function(response) {\n          alert("Failed to log out");\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          this._restoreInputs();\n          console.log("PUSH: logout - complete");\n        }.bind(this)\n      });\n    },\n\n    _updateUserList: function(selectedUserName, lastLoginResponse, user_when_failed, password_when_failed) {\n      if (lastLoginResponse) {\n        if (this._lastLoginResponse.nolocalresponse) {\n          this._userManager.update(this._generateCantConnectToServerMessage("$services.localization.render('phenotips.PushPatient.noLocalResponse')", user_when_failed, password_when_failed));\n          return;\n        }\n        if (this._lastLoginResponse.unauthorizedserver) {\n          this._userManager.update(this._generateCantConnectToServerMessage("$services.localization.render('phenotips.PushPatient.unauthorizedServer')", user_when_failed, password_when_failed));\n          return;\n        }\n        if (this._lastLoginResponse.serverconnectproblem) {\n          this._userManager.update(this._generateCantConnectToServerMessage("$services.localization.render('phenotips.PushPatient.serverConnectProblem')", user_when_failed, password_when_failed));\n          return;\n        }\n      }\n\n      console.log("updateUserList: " + selectedUserName + ", last approved: " + this._lastApprovedUser);\n      var _this = this;\n\n      var userList = new Element('table', {id : 'user-list'});\n\n      // either show only the username/password inputs + "authorize" button or\n      // a radiobox [last approved user] and [the inputs + button above]\n      // =&gt; re-login at every change\n\n      // 1) if `lastApprovedUser` and `selectedUserName` are not set: only username/password inputs (selected)\n      // 1) if `lastApprovedUser` is not set and `selectedUserName` is set: only username/password inputs (selected and prefilled)\n      // 1) if `lastApprovedUser` is set and `selectedUserName` is not or equal to `lastApproved`: select lastApproved, plus an option to enter username/password\n      // 2) if `lastApprovedUser` is set and `selectedUserName` is also set and different: show username/password (selected &amp; prefilled) + an option to switch to `lastApproved`\n\n      var _addUserOption = function (checked, iconType, labelText, handlerWhenSelected, controlledElements) {\n        var optionWrapper = new Element('tr');\n        var input = new Element('input', {"type" : "radio", "value": labelText, "name": "select-user"});\n        if (checked) {\n          input.checked = true;\n        }\n        var label = new Element('label').insert(input).insert(labelText);\n        optionWrapper.insert(new Element('span', {'class' : 'fa fa-' + iconType}).wrap('td')).insert(label.wrap('td'));\n\n        if (controlledElements) {\n          optionWrapper.insert(controlledElements.wrap('td', {'class' : 'controlled-element'}));\n        }\n\n        input.observe('change', function(event) {\n             var trigger = event.findElement('input');\n\n             // disable inputs for all other user options\n             var inputs  = trigger.up('table').getElementsByTagName('input');\n             for (var i = 0; i &lt; inputs.length; i++) {\n                if (inputs[i].getAttribute("name") != "select-user")\n                    inputs[i].disable();\n             }\n             // enable inputs for this option\n             var inputs  = trigger.up('tr').getElementsByTagName('input');\n             for (var i = 0; i &lt; inputs.length; i++) {\n                 inputs[i].enable();\n             }\n\n             handlerWhenSelected();\n        });\n        return optionWrapper;\n      };\n\n      var preApprovedChecked = false;\n      if (this._lastApprovedUser) {\n        preApprovedChecked = !selectedUserName || (this._lastApprovedUser == selectedUserName);\n        var forgetmeBox = new Element('input', {type: 'button', name : 'logout', 'value': "$services.localization.render('phenotips.PushPatient.logOut')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'});\n        forgetmeBox.observe('click', function(event) {\n           this._onUnapprovedUser();\n           this._logoutUser();\n        }.bind(this));\n        var preApprovedOption = _addUserOption(preApprovedChecked, "check", "$services.localization.render('phenotips.PushPatient.currentlyAuthenticatedMessage')".replace("__lastApprovedUser__", "&lt;strong&gt;"+this._lastApprovedUser+"&lt;/strong&gt; &amp;nbsp;"),\n                                               function(){\n                                                 this._userLoginError.hide();\n                                                 this._onUnapprovedUser();\n                                                 this._loginAndGetConfig(this._lastApprovedUser);\n                                               }.bind(this), forgetmeBox);\n        userList.insert(preApprovedOption);\n      }\n\n      // add an option to enter username &amp; password manually\n      var userPasswrodBox = new Element("span", {'class' : 'user-password-box'});\n      var userNameBox = new Element("input", {type: 'text', "id": "newusername", "value": "", "placeholder": "$services.localization.render('phenotips.PushPatient.userName')", size: 12});\n      if (selectedUserName) {\n        userNameBox.value = selectedUserName;\n      }\n      var passwordBox = new Element("input", {type:'password', "id": "password", "value": "", "placeholder": "$services.localization.render('phenotips.PushPatient.password')", size: 12});\n      var authorizeButton = new Element('input', {type: 'button', id:"authorizenewuser", 'name':'authorize', 'value':"$services.localization.render('phenotips.PushPatient.logIn')", 'class':'button secondary'});\n      authorizeButton.observe('click', function(event) {\n         if (passwordBox.value != "") {\n             this._userLoginError.hide();\n             this._loginAndGetConfig(userNameBox.value, passwordBox.value);\n         } else {\n             this._userLoginError.update("$services.localization.render('phenotips.PushPatient.noPassword')");\n             this._userLoginError.show();\n         }\n      }.bind(this));\n\n      if (preApprovedChecked) {\n         userNameBox.disable();\n         passwordBox.disable();\n         authorizeButton.disable();\n      }\n      userPasswrodBox.insert(userNameBox.wrap('label', {'class' : 'fa fa-user'}))\n                     .insert(" ")\n                     .insert(passwordBox.wrap('label', {'class' : 'fa fa-key'}))\n                     .insert(" ")\n                     .insert(authorizeButton.wrap('span', {'class' : 'buttonwrapper'}));\n\n      if (this._lastApprovedUser) {\n          userList.insert(_addUserOption(!preApprovedChecked, "user", "$services.localization.render('phenotips.PushPatient.addAnotherUser')", this._onUnapprovedUser.bind(this), userPasswrodBox));\n      } else {\n          userList.insert(userPasswrodBox.wrap('td', {'class' : 'controlled-element'}).wrap('tr'));\n      }\n\n      this._userLoginError = new Element('div', {'class' : 'errormessage'});\n      this._userLoginError.hide();\n      this._userManager.update(userList).insert(this._userLoginError);\n\n      if (lastLoginResponse) {\n        if (this._lastLoginResponse.loginfailed &amp;&amp; password_when_failed != "") {   // ignore unseccessful passwrodless logins - maybe token has expired, it is OK\n          this._userLoginError.update("$services.localization.render('phenotips.PushPatient.cantAuthorizeUser')");\n          this._userLoginError.show();\n        }\n      }\n    },\n\n    // ---------------------------------------------------------------------\n    // Display group picker and data preview - once server/user are known\n    // ---------------------------------------------------------------------\n    _populateGroupsAndData: function(groupList, fieldList, serverUpdatesEnabled) {\n      //console.log("Fields: " + stringifyObject(fieldList));\n      if (!serverUpdatesEnabled) {\n          this._remoteServers[this._selectedServer]["noUpdates"] = true;\n      }\n      this._displayGroupPicker(groupList);\n      if (this._pushManyPatients) {\n        this._showApproveCheckbox();\n      } else {\n        this._generateDataPreview(fieldList);\n      }\n    },\n\n    _displayGroupPicker: function(groupList) {\n      if (!groupList) {\n        groupList = this._userGroupsList;\n        if (!this._userGroupsList) return;\n      }\n      else {\n        this._userGroupsList = groupList;\n      }\n      console.log("Groups: " + stringifyObject(groupList));\n\n      var groupListElement = new Element('table', {id : 'user-list'});\n\n      var _addGroupOption = function (checked, iconType, labelText, value) {\n        var optionWrapper = new Element('tr');\n        var input = new Element('input', {"type" : "radio", "value": value, "name": "select-group"});\n        if (checked) {\n          input.checked = true;\n        }\n        var label = new Element('label').insert(input).insert(labelText);\n        optionWrapper.insert(new Element('span', {'class' : 'fa fa-' + iconType}).wrap('td')).insert(label.wrap('td'));\n        return optionWrapper;\n      };\n\n      if (!this._updatingExistingPatient())  {\n          var noGroupMessage = "&lt;span class ='hint'&gt;$services.localization.render('phenotips.PushPatient.noGroupMessage')&lt;/span&gt;";\n          if (groupList.length == 0) {\n            noGroupMessage += " $services.localization.render('phenotips.PushPatient.noGroupMessageHint')".replace("__lastApprovedUser__", this._lastApprovedUser);\n          }\n          groupListElement.insert(_addGroupOption(true, "user", noGroupMessage, "__self"));\n\n          groupList.each(function (group) {\n                groupListElement.insert(_addGroupOption(false, "group", group, group));\n            });\n      } else {\n          var msg = "$services.localization.render('phenotips.PushPatient.keepGroupMessage')";\n          msg += " &lt;span class ='hint'&gt;$services.localization.render('phenotips.PushPatient.keepGroupMessageHint')&lt;/span&gt;"\n          groupListElement.insert(_addGroupOption(true, "check", msg, "__self"));\n      }\n\n      this._groupManager.update(groupListElement);\n\n      if (this._remoteServers[this._selectedServer]["noUpdates"]) {\n          this._disableUpdateOption();\n      }\n    },\n\n    _generateDataPreview: function(fieldList) {\n      this._patientFieldList = fieldList;\n      var _this = this;\n      //AJAX 4: local AJAX request to get patient JSON to let the user see the actual data being pushed\n      new Ajax.Request(this._serviceURL, {\n        method: _this._container.method,\n        parameters : { "do":"getpatientjson", "patientid":_this._patientId, "fields":Object.toJSON(this._patientFieldList) },\n        onCreate : function() {\n          console.log("PUSH: get patient JSON - start");\n          _this._disableInputs();\n        },\n        onSuccess : function (response) {\n          console.log("PUSH: Got response from server: " + stringifyObject(response.responseJSON));\n          _this._displayPatientData(response.responseJSON);\n        },\n        onFailure : function(response) {\n          console.log("PUSH: unable to get patient JSON");\n          _this._fieldsManager.update(_this._generateNoPatientJSONMessage(fieldList));\n        },\n        on0 : function (response) {\n          response.request.options.onFailure(response);\n        },\n        onComplete : function() {\n          _this._restoreInputs();\n          console.log("PUSH: get patient JSON - complete");\n        }\n      });\n    },\n\n    _displayPatientData: function(patientData) {\n      this._showApproveCheckbox();\n      this._patientData = patientData;\n      //console.log("Data: " + stringifyObject(patientData));\n      this._fieldsManager.update(this._generatePatientDataPreview(patientData));\n    },\n\n    _showApproveCheckbox: function() {\n      this._checkBoxApprove.checked = false;\n      this._checkBoxApprove.enable();\n      this._approveElement.show();\n    },\n\n    _generatePatientDataPreview: function(patientJSON) {\n        var dataCategories = [\n           {\n              'name'     : 'external_id',\n              'title'    : "$services.localization.render('phenotips.PushPatient.dataPreviewIdentifier')",\n              'callback' : '__displayId'\n           },\n           {\n              'name'     : 'sex',\n              'title'    : "$services.localization.render('phenotips.PushPatient.dataPreviewSex')",\n              'callback' : '__displaySex'\n           },\n           {\n              'name'     : 'features',\n              'title'    : "$services.localization.render('phenotips.PushPatient.dataPreviewFeatures')",\n              'callback' : '__displayFeatures'\n           },\n           {\n              'name'     : 'disorders',\n              'title'    : "$services.localization.render('phenotips.PushPatient.dataPreviewDisorders')",\n              'callback' : '__displayFeatures'\n           },\n        ];\n        var result = new Element('dl');\n        var _this = this;\n        dataCategories.each(function(c) {\n           patientJSON[c.name] &amp;&amp; _this[c.callback] &amp;&amp; result.insert(new Element('dt').update(c.title || c.name)).insert(_this[c.callback](patientJSON[c.name]).addClassName('data-preview-section'));\n        });\n        return result;\n    },\n\n    __displayId : function(id) {\n        return new Element('dd').insert(id);\n    },\n    __displaySex : function(sex) {\n        return new Element('dd').insert(\n           (sex == "F") ? "$services.localization.render('phenotips.PushPatient.female')" :\n           (sex == "M") ? "$services.localization.render('phenotips.PushPatient.male')" :\n           (sex == "O") ? "$services.localization.render('phenotips.PushPatient.other')" :\n           "$services.localization.render('phenotips.PushPatient.unknown')");\n    },\n\n    __displayFeatures : function(features) {\n        var result = new Element('dd');\n        features.each(function (f) {\n          result.insert(new Element('div', {'class' : (f.observed == "no" ? "negative" : "")}).update((f.observed == "no" ? "$services.localization.render('phenotips.PushPatient.negative')" : "") + f.label).insert(f.id &amp;&amp; new Element('span', {'class' : 'hint'}).update(' (' + f.id + ')')  || '') );\n        });\n        return result;\n    },\n\n    // ---------------------------------------------------------------------\n    // Generate server selection UI\n    // ---------------------------------------------------------------------\n    _populateServerList: function(pushServerList) {\n      //console.log("Server list input: " + stringifyObject(pushServerList));\n\n      this._remoteServers = {};\n      var servers = [];\n\n      this._numAvailableServers = pushServerList.length;\n      for(var i = 0; i &lt; pushServerList.length; i++) {\n          var serverInfo = pushServerList[i].serverinfo;\n          var pushInfo   = pushServerList[i].pushinfo;\n          var name       = serverInfo.serverID;\n          servers.push(name);\n\n          serverInfo.serverURL = this._addHTTP(serverInfo.serverURL);\n\n          var pushAge    = pushInfo ? pushInfo.lastPushAgeInHours : -1;\n          var remoteID   = pushInfo ? pushInfo.remotePatientID : "";\n          var remoteGUID = pushInfo ? pushInfo.remotePatientGUID : "";\n          var remoteURL  = pushInfo ? (serverInfo.serverURL + pushInfo.remotePatientURL) : "";\n          this._remoteServers[name] = {"url": serverInfo.serverURL,\n                                       "desc": serverInfo.serverDescription,\n                                       "pushAgeHours": pushAge,\n                                       "remoteID": remoteID,\n                                       "remoteGUID": remoteGUID,\n                                       "remoteURL": remoteURL};\n      }\n      servers.sort();\n      var _this = this;\n\n      //console.log("Remote servers as cached: " + stringifyObject(this._remoteServers))\n\n      this._selectServer(this._selectedServer);\n    },\n\n    _selectServer: function(serverName, keepUserAndGroup) {\n        this._selectedServer = serverName;\n        var serverData = this._remoteServers[serverName];\n        var serverLink = new Element('a', {'href' : serverData.url, 'target' : '_blank', 'class' : 'remote-server-name'}).update(this._selectedServer);\n\n        if (this._numAvailableServers == 1) {\n            this._serverInfo.update("$services.localization.render('phenotips.PushPatient.oneServerMessage')");\n        }\n\n        var existingPatientDataInfo = '';\n\n        if (serverData.pushAgeHours !== undefined &amp;&amp; serverData.pushAgeHours &gt;=0) {\n           existingPatientDataInfo = new Element('dd');\n\n           var description = new Element('p', {'id': 'server-description'});\n           var lastUpdated = serverData.pushAgeHours;\n           description.insert("$services.localization.render('phenotips.PushPatient.patientUploadedMessage')");\n           if (lastUpdated &lt; 1) {\n              description.insert(" $services.localization.render('phenotips.PushPatient.patientUploadedLessThanHour')");\n           } else {\n              if (lastUpdated &gt;= 48) {\n                  description.insert(" " + Math.floor(lastUpdated/24) + " $services.localization.render('phenotips.PushPatient.patientUploadedDays')");\n              } else {\n                  description.insert(" " + lastUpdated + " $services.localization.render('phenotips.PushPatient.patientUploadedHours')");\n              }\n           }\n\n           description.insert(" $services.localization.render('phenotips.PushPatient.patientUploadedAsID') ").insert(new Element('a', {'href' : serverData.remoteURL, 'target' : '_blank'}).update(serverData.remoteID)).insert('.');\n           description.insert("&lt;br/&gt;$services.localization.render('phenotips.PushPatient.patientUploadedUpdate')")\n           existingPatientDataInfo.insert(description);\n\n           var _this = this;\n           var selectPushType = new Element('p');\n           var radio1 = new Element('input', {"type" : "radio", "value": "update", "id":"choice-update-patient", "name": "new-or-update"});\n           radio1.checked = true;\n           radio1.observe('change', function() { _this._displayGroupPicker() });\n           var label1 = new Element('label', {"hidden": true}).insert(new Element('span', {'class' : 'fa fa-refresh'}).update(' ')).insert(radio1).insert("$services.localization.render('phenotips.PushPatient.updateRemotePatient')");\n           var radio2 = new Element('input', {"type" : "radio", "value": "new", "id":"choice-new-patient", "name": "new-or-update"});\n           radio2.observe('change', function() { _this._displayGroupPicker() } );\n           var label2 = new Element('label', {"hidden": true}).insert(new Element('span', {'class' : 'fa fa-plus-square'}).update(' ')).insert(radio2).insert("$services.localization.render('phenotips.PushPatient.createRemotePatient')");\n           existingPatientDataInfo.insert(label1).insert(label2);\n        }\n\n        this._serverInfo.update(new Element('dl')\n                           .insert(serverLink.clone(true).wrap('dt'))\n                           .insert(serverData.desc &amp;&amp; new Element('dd', {'class' : 'hint'}).update(serverData.desc) || '')\n                           .insert(existingPatientDataInfo || '')\n        );\n\n        if (!keepUserAndGroup) {\n            this._serverInfo.show();\n            this._queryStoredUserName();\n        }\n    },\n\n    _onServerOptionChange: function() {\n      var serverSelectInput = this._serverSelector.down('select');\n      var selectedServer = serverSelectInput.options[serverSelectInput.selectedIndex].value;\n      this._onNoServerSelected();\n      if (selectedServer != 'none') {\n        this._selectServer(selectedServer);\n      }\n    },\n\n    _initServerSelector: function() {\n      this._serverLoadMessages = new Element('div', {id: 'server-load-messages'});\n      this._serverLoadMessages.hide();\n\n      var options = new Element('select', {id: 'server-selector'});\n      options.insert(new Element('option', {value: "none"}).update("$services.localization.render('phenotips.PushPatient.loadingServers')"));\n      options.observe('change', this._onServerOptionChange.bind(this));   // on server selection: enable &amp; repopulate user/group lists\n\n      this._serverSelector = new Element('div', {id: 'server-selector-div'});\n      this._serverSelector.hide();\n      this._serverSelector.update(options);\n\n      this._serverInfo = new Element('div', {id: 'server-info'});\n\n      this._serverManager.update(this._serverLoadMessages).insert(this._serverSelector ).insert(this._serverInfo);\n    },\n\n    // ---------------------------------------------------------------------\n    // Generate and handle main "Cancel" and "Push" buttons\n    // ---------------------------------------------------------------------\n    _initMainFormActions : function() {\n      var _this = this;\n      var buttons = new Element('div', {'class' : 'buttons'});\n      buttons.insert(new Element('input', {type: 'hidden', name : 'xaction', 'value': 'push'}));\n      buttons.insert(new Element('input', {type: 'hidden', name : 'patient', 'value': this._patientId}));\n      var pushButtonTitle = this._pushManyPatients ? "$services.localization.render('phenotips.PushPatient.button.manyPatients.submit')" : "$services.localization.render('phenotips.PushPatient.button.push')";\n      buttons.insert(new Element('input', {type: 'submit', name : 'submit',  'value': pushButtonTitle, 'class' : 'button', 'id': 'push_patient_button'}).wrap('span', {'class' : 'buttonwrapper'}));\n      buttons.insert(new Element('input', {type: 'button', name : 'close',   'value': "$services.localization.render('phenotips.PushPatient.button.cancel')", 'class' : 'button secondary'}).wrap('span', {'class' : 'buttonwrapper'}));\n      this._container.insert(buttons);\n\n      this._pushResultSection = new Element ('div', {'class' : 'section-contents'});\n      this._container.insert(this._pushResultSection);\n\n      this._cancelButton = buttons.down('input[name="close"]');\n      this._cancelButton.observe('click', function(event) {\n        _this._dialog.closeDialog();\n      })\n\n      this._pushButton = buttons.down('input[name="submit"]');\n      this._checkBoxApprove.observe("click", function(event) {\n        if (_this._checkBoxApprove.checked) {\n          _this._pushResultSection.update("");\n          _this._pushButton.enable();\n        }\n        else\n          _this._pushButton.disable();\n          _this._pushResultSection.update("");\n      });\n\n      this._container.observe('submit', function(event) {\n        event.stop();\n        if (_this._pushManyPatients) {\n            _this._pushMultiplePatients();\n        } else {\n            _this._pushPatient();\n        }\n      })  // observe('submit')\n    },\n\n    _updatingExistingPatient: function() {\n        var pushUpdate = false;\n        var radioSelectUpdate = document.getElementById('choice-update-patient');\n        if (radioSelectUpdate) {\n            pushUpdate = radioSelectUpdate.checked;\n        }\n        return pushUpdate;\n    },\n\n    _selectPushNewPatient: function() {\n        var radioSelectUpdate = document.getElementById('choice-update-patient');\n        var radioSelectNew    = document.getElementById('choice-new-patient');\n\tif (radioSelectUpdate &amp;&amp; radioSelectNew) {\n            radioSelectUpdate.checked = false;\n            radioSelectNew.checked    = true;\n        }\n    },\n\n    _disableUpdateOption: function() {\n        var radioSelectNew = document.getElementById('choice-new-patient');\n        if (radioSelectNew) {\n            radioSelectNew.checked = true;\n        }\n        var radioSelectUpdate = document.getElementById('choice-update-patient-label');\n        if (radioSelectUpdate) {\n            var serverDesc = document.getElementById('server-description');\n            serverDesc.insert("&lt;p&gt;$services.localization.render('phenotips.PushPatient.serverDesc')&lt;/p&gt;");\n            radioSelectUpdate.hide()\n        }\n    },\n\n    _pushPatient: function(patientID, callBack, columnList) {\n        var _this = this;\n        if (_this._pushManyPatients &amp;&amp; (!patientID || !callBack)) {\n            return;\n        }\n        if (!_this._pushManyPatients) {\n            _this._pushResultSection.update("");\n        }\n\n        var patientID = patientID ? patientID : this._patientId;\n\n        var params = {"do":"push", 'serverid': this._selectedServer, 'patientid': patientID};\n\n        params["fields"] = columnList ? Object.toJSON(columnList) : Object.toJSON(this._patientFieldList);\n\n        if (_this._pushManyPatients){\n            params["guid"] = "auto";\n        } else if (this._updatingExistingPatient()) {\n            params["guid"] = _this._remoteServers[_this._selectedServer].remoteGUID;\n        }\n\n        var radioSelectValue = $$('input:checked[type=radio][name="select-group"]')[0].value;\n        if (radioSelectValue != "__self") {\n            params["groupname"] = radioSelectValue;\n        }\n\n        console.log("PUSH request params: " + stringifyObject(params));\n\n        new Ajax.Request(this._serviceURL, {\n          method: _this._container.method,\n          parameters : params,\n          onCreate : function() {\n            _this._disableInputs(true /* disable cancel button as well */);\n          },\n          onSuccess : function(response) {\n            try {\n                console.log("Got response: " + stringifyObject(response.responseJSON));\n                var res = response.responseJSON;\n                if (_this._pushManyPatients) {\n                    callBack(res, patientID);\n                    return;\n                }\n                if (res.status == "success") {\n                    _this._checkBoxApprove.checked = false;\n\n                    // update cached value for how this patient is represented on this remote server\n                    var newURL = _this._remoteServers[_this._selectedServer].url + res.patienturl;\n                    _this._remoteServers[_this._selectedServer]["pushAgeHours"] = 0;\n                    _this._remoteServers[_this._selectedServer]["remoteID"]     = res.patientid;\n                    _this._remoteServers[_this._selectedServer]["remoteGUID"]   = res.patientguid;\n                    _this._remoteServers[_this._selectedServer]["remoteURL"]    = newURL;\n\n                    if (_this._updatingExistingPatient()) {\n                        var linkToOld = "(&lt;a href='" + newURL + "' target='_blank'&gt;click here to open remote patient&lt;/a&gt;)";\n                        _this._pushResultSection.update(new Element('div', {'class' : 'infomessage'}).update("$services.localization.render('phenotips.PushPatient.successfulUpdate') " + linkToOld));\n                    } else {\n                        var linkToNew = "&lt;a href='" + newURL + "' target='_blank'&gt;" + res.patientid + "&lt;/a&gt;";\n                        _this._pushResultSection.update(new Element('div', {'class' : 'infomessage'})\n                                                .update("$services.localization.render('phenotips.PushPatient.successfulPush') " + linkToNew));\n                    }\n\n                    // update UI to reflect that we have already pushed this patient: default option\n                    // is now "update" and the group choice should now be correspondingly removed\n                    _this._selectServer(_this._selectedServer, true);\n                    _this._displayGroupPicker();\n                } else {\n                    if (res.updatesdisabled) {\n                        _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedUpdatesDisabled')"));\n                    } else\n                    if (res.invalidguid) {\n                        _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedInvalidGuid')&amp;nbsp;", false, true));\n                    } else\n                    if (res.accessdeniedguid) {\n                        _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedAccessDeniedGuid')"));\n                    } else\n                    if (res.accessdeniedguid) {\n                        _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedAccessDenied')"));\n                    } else\n                    if (res.cantconnect) {\n                      _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedCantConnect')", true));\n                    } else {\n                      _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailed')", true));\n                    }\n                }\n                //_this._dialog.closeDialog();\n              } catch (e) {\n                console.log("EXCEPTION: " + e);\n                _this._pushResultSection.update(_this._generateFailedToPushPatient("$services.localization.render('phenotips.PushPatient.pushFailedException')".replace("__e__", e), true));\n              }\n          },\n          onFailure : function(response) {\n            if (_this._pushManyPatients) {\n                callBack({"status": "error"}, patientID);\n                return;\n            }\n            var provideRetry  = false;\n            var failureReason = response.statusText;\n            if (response.statusText == '' || response.status == 12031 ) {   // no response + IE special case\n               failureReason = 'Server not responding';\n               provideRetry  = true;\n            }\n            _this._pushResultSection.update(_this._generateFailedToPushPatient(failureReason, provideRetry));\n          },\n          on0 : function (response) {\n            if (_this._pushManyPatients) {\n                callBack({"status": "error"}, patientID);\n                return;\n            }\n            response.request.options.onFailure(response);\n          },\n          onComplete : function() {\n            _this._restoreInputs();\n            if (!_this._checkBoxApprove.checked) {\n              _this._pushButton.disable();\n            }\n          }\n        });\n    },\n\n    _addHTTP: function(url) {\n        if (!/^(f|ht)tps?:\\/\\//i.test(url)) {\n          url = "http://" + url;\n        }\n        return url;\n    },\n\n    _pushMultiplePatients: function() {\n        var _this = this;\n\n        var doMultiPush = function(patients, columns) {\n            //console.log("Push with params: " + patients + " -&gt; " + columns + " -&gt; " + _this._selectedServer);\n            _this._checkBoxApprove.checked = false;\n            var pushResult = new Element("div", {"class": "multi-push-results infomessage"});\n            _this._pushResultSection.update(pushResult);\n\n            var next = 0;\n            var pushSingleFunc = function(previousPushResult, prevPatientID) {\n               // display previous push status\n               if (previousPushResult &amp;&amp; prevPatientID) {\n                   if (previousPushResult.status != "success") {\n                       pushResult.className = "multi-push-results errormessage";\n                       if (previousPushResult.cantconnect) {\n                           pushResult.insert(" $services.localization.render('phenotips.PushPatient.pushFailedCantConnect')");\n                           return;\n                       }\n                       var reason = "failed.";\n                       if (previousPushResult.invalidguid) {\n                           reason = "$services.localization.render('phenotips.PushPatient.incorrectGuid')";\n                       } else if (previousPushResult.accessdeniedguid) {\n                           reason = "$services.localization.render('phenotips.PushPatient.accessDenied')";\n                       }\n                       pushResult.insert(' ' + reason + "&lt;br/&gt;");\n                   } else {\n                       pushResult.innerHTML = pushResult.innerHTML.replace(/Pushing (\\w+?)\\.\\.\\.$/, "");\n                       var newURL       = _this._remoteServers[_this._selectedServer].url + previousPushResult.patienturl;\n                       var linkToRemote = "&lt;a href='" + newURL + "' target='_blank'&gt;" + previousPushResult.patientid + "&lt;/a&gt;";\n                       pushResult.insert("&lt;div class='pushed-ok-message'&gt;" + "$services.localization.render('phenotips.PushPatient.successfulPushWithId')".replace("__prevPatientID__", prevPatientID).replace("__linkToRemote__", linkToRemote) + "&lt;/div&gt;");\n                   }\n               }\n               // push next\n               if (next &lt; patients.length) {\n                   var nextPatientID = patients[next++];\n                   pushResult.insert("$services.localization.render('phenotips.PushPatient.pushing')".replace("__nextPatientID__", nextPatientID));\n                   _this._pushPatient(nextPatientID, pushSingleFunc, columns);\n               }\n            }\n\n            pushSingleFunc();\n        }\n        var pushCallBack = function(patients, columns) {\n            if (patients.length == 0) {\n                return;\n            }\n            var confirmMessage = "$services.localization.render('phenotips.PushPatient.confirmMessage')".replace("__numPatients__", patients.length).replace("__selectServer__",  _this._selectedServer)+ "&lt;br/&gt;&lt;div class='plainmessage multi-push-patient-list'&gt;&lt;ol&gt;";\n            patients.each(function(item) {\n                confirmMessage += "&lt;li&gt;" + item + "&lt;/li&gt;";\n            });\n            confirmMessage += "&lt;/ol&gt;&lt;/div&gt;"\n\n            new XWiki.widgets.ConfirmationBox(\n              { onYes : function() { doMultiPush(patients, columns); }, },\n              { confirmationText: confirmMessage, showCancelButton: false }\n            );\n        }\n        var pushPreferencesFail = function() {\n            alert("Failed to get the list of patients to be pushed");\n        }\n        var exportTool = $('phenotips_export');\n        if (!exportTool) return;\n        var dialog = new PhenoTips.widgets.ModalPopup('&lt;img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')"/&gt;', false, {'title': "$services.localization.render('phenotips.pushPatient.exportTitle')", 'verticalPosition': 'top', 'removeOnClose': true, 'extraClassName': 'export-dialog'});\n        dialog.showDialog();\n        // =================================================================================\n        // Generate the dialog content\n        new Ajax.Request(new XWiki.Document('ExportPreferences', 'PhenoTips').getURL('get', 'space=' + /space=([^&amp;]+)/.exec(exportTool.href)[1] + '&amp;multipatient=true&amp;remoteserver='+this._selectedServer), {\n          onSuccess: function(transport) {\n            var content = dialog.dialogBox._x_contentPlug;\n            content.update(transport.responseText);\n            content.__dialog = dialog;\n            document.fire('xwiki:dom:updated', {'elements': [content],\n                                                'multiPushPreferences': content,\n                                                'callbackOK': pushCallBack,\n                                                'callbackFail': pushPreferencesFail});\n          }\n        });\n    }\n\n  });\n  return PhenoTips;\n}(PhenoTips || {}));\n//  ========================================================================\n// End PhenoTips augmentation.\n\n\n// overwrite thebehaviour of the "export/push to" button on the export preferences page:\n// get the selected patients and fields and push using this javascript\n['xwiki:dom:updated'].each(function(eventName) {\n    document.observe(eventName, function(event) {\n        if (!event.memo || !event.memo.multiPushPreferences || !event.memo.callbackOK) {\n            return;\n        }\n        var dialog       = event.memo.multiPushPreferences.__dialog;\n        var callbackOK   = event.memo.callbackOK;\n        var callbackFail = event.memo.callbackFail;\n        var pushButton = $('push-multiple-patients');\n        pushButton &amp;&amp; pushButton.observe('click', function(event) {\n            event.stop();\n            var liveMatchCounter = $('filter-match-count');\n            var form = liveMatchCounter &amp;&amp; liveMatchCounter.up('form');\n            if (form) {\n                // 1) get the list of selected data columns from the form\n                var selectedFields = [];\n                var fields = form.down('ul.field-list');\n                var checkboxes = fields.select('input[name="columns"]');\n                checkboxes.each(function(item) {\n                    if (item.checked) {\n                        selectedFields.push(item.identify().replace("columns_",""));\n                    }\n                });\n\n                // 2) get the list of filtered patients from the ExportFilter page\n                var url = "$xwiki.getURL('PhenoTips.ExportFilter', 'get')?list=true&amp;" + form.serialize();\n                var ajx = new Ajax.Request(url, {\n                    method: 'get',\n                    onSuccess: function(response) {\n                        var patients = [];\n                        response.responseJSON.each(function(item) {\n                            patients.push(item.replace("data.",""));\n                        });\n                        callbackOK(patients, selectedFields);\n                    },\n                    onFailure: function (response) {\n                        callbackFail &amp;&amp; callbackFail();\n                    }\n                });\n            };\n            dialog.closeDialog();\n        });\n    });\n});\n\n\ndocument.observe("xwiki:dom:loaded", function() {\n  new PhenoTips.widgets.PushPatientWidget();\n});\n\n\n//--- debug:\n\nfunction stringifyObject(obj) {\n    return _printObjectInternal(obj, 1);\n}\n\nfunction _printObjectInternal(o, level) {\n    if (level &gt; 10) return "...[too deep, possibly a recursive object]...";\n    var output = '';\n    if (typeof o == 'object')\n    {\n        if (Object.prototype.toString.call(o) === '[object Array]')\n        {\n            output = '[';\n            for (var i = 0; i &lt; o.length; i++) {\n                if (i &gt; 0) output += ', ';\n                output += _printObjectInternal(o[i], level+1);\n            }\n            output += ']';\n        }\n        else\n        {\n            output = '{';\n            var idx = 0;\n            if (level == 0) output += '\\n';\n            for (property in o) {\n                if (!o.hasOwnProperty(property)) continue;\n\n                if (level != 0 &amp;&amp; idx != 0 )\n                    output += ', ';\n                output += property + ': ' + _printObjectInternal(o[property], level+1);\n\n                if (level == 0)\n                    output += '\\n';\n                idx++;\n            }\n            output += '}';\n        }\n    }\n    else if (typeof o == 'string') {\n        output = "'" + o + "'";\n    }\n    else\n        output = ''+o;\n    return output;\n}\n</code></property><property><name></name></property><property><parse>1</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PushPatient</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>039b7857-377d-4086-8a44-e16fce031439</guid>\n<property>\n<cache>forbid</cache>\n</property>\n<property>\n<code>#template("colorThemeInit.vm")\n\n#push-patients-ui td {\n  border: 0 none;\n  padding: .3em;\n  text-align: left;\n  vertical-align: top;\n}\n\n#push-patient {\n  display: inline;\n}\n\n#user-selection input[type="text"],\n#user-selection input[type="password"]{\n  width: 30%;\n  box-shadow: 0px 1px 2px rgb(170, 170, 170) inset;\n}\n\n#user-selection input[type="text"]:focus, input[type="password"]:focus, textarea:focus {\n    border-color: $theme.linkColor;\n}\n\n#user-selection input.button:disabled {\n    background-image: none;\n}\n\n#user-selection #rememberme-checkbox {\n  margin-top: 0.5em;\n}\n\n#user-selection label {\n  white-space:nowrap;\n}\n\n#server-info, #fields-selection dl {\n  background: none repeat scroll 0 0 #FFFFFF;\n  box-shadow: 0 0 3px #AAAAAA;\n  margin: 15px 0 0;\n  padding: 0.5em;\n  position: relative;\n}\n\n#server-info:before, #server-info:after,\n#fields-selection dl:before, #fields-selection dl:after {\n  content: "";\n  display: block;\n  position: absolute;\n  border: 10px solid transparent;\n  border-top: 0 none;\n  border-bottom-color: #FFF;\n  top: -9px;\n}\n\n#server-info:before,\n#fields-selection dl:before {\n  border-bottom-color: #AAA;\n  top: -10px;\n}\n#server-info dt,\n#fields-selection dt:first-child {\n  margin-top: 0;\n}\n#server-info .fa {\n  display: inline-block;\n  margin: 0 .3em;\n  width: 1.2em;\n}\n#server-info input[type="radio"] {\n  vertical-align: middle;\n}\n\n#user-selection #newusername, #user-selection #password {\n  color: $theme.textColor;\n}\n\n.user-password-box label {\n  color: $theme.textPrimaryColor;\n}\n.user-password-box label:before {\n  border-radius: 4px 0 0 4px;\n  display: inline-block;\n  margin-right: -3px;\n  padding: 0.3em;\n}\n#user-selection .buttonwrapper {\n  margin: 3px;\n}\n\n#fields-selection dl {\n  background: none repeat scroll 0 0 #FFFFFF;\n  box-shadow: 0 0 3px #AAAAAA;\n  padding: 0.5em;\n}\n#fields-selection dd {\n  margin-left: 3em;\n}\n#fields-selection .negative {\n  color: $theme.notificationErrorColor;;\n}\n.confirm-push {\n  padding: .5em;\n  margin: .5em 0;\n  font-weight: bold;\n}\n.multi-push-results {\n  overflow-y: auto;\n  max-height: 150px;\n}\n.multi-push-results .pushed-ok-message {\n  color: #336699;\n}\n.multi-push-patient-list {\n  overflow-y: auto;\n  max-height: 150px;\n  width: 250px;\n  padding: 0.5em;\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.PushPatient</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>87b251c1-821f-4c7b-8258-787134bd0cd9</guid>\n<property>\n<content>{{velocity}}\n$xwiki.jsx.use('PhenoTips.PushPatient')##\n$xwiki.ssx.use('PhenoTips.PushPatient')##\n#set ($service = $services.pushPatient)\n#set ($configuredServers = $service.getPushTargetsWithHistory(""))\n#foreach ($mapEntry in $configuredServers.entrySet())\n  ## make sure PhenomeCentral is enabled/configured, and if it is list it as the first push target\n  #if ($mapEntry.key.getServerID() == "PhenomeCentral")\n    (% id="push-patient-pc" name="PhenomeCentral" %)((([[$services.localization.render('phenotips.PushPatient.pushPhenomeCentral')&gt;&gt;path:#]])))\n  #end\n#end\n#set ($counter = 0)\n#foreach ($mapEntry in $configuredServers.entrySet())\n  #set ($serverName = $mapEntry.key.getServerID())\n  #if ($serverName != "PhenomeCentral")\n    (% id="push-patient-$counter" name="$serverName" %)((([[$services.localization.render('phenotips.PushPatient.pushToAnotherServer', [$serverName])&gt;&gt;path:#]])))\n    #set( $counter = $counter + 1 )\n  #end\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientRecordMenu.moreActions</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.widget.pushpatient</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-3394119080549784423	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:specificity-meter-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>SpecificityMetricWidgetTranslations</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.SpecificityMetricWidget</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822215000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:specificity-meter-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.TranslationDocumentClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>1</number>\n<prettyName>Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>GLOBAL|WIKI|USER|ON_DEMAND</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.SpecificityMetricWidgetTranslations</name>\n<number>0</number>\n<className>XWiki.TranslationDocumentClass</className>\n<guid>57c7d51f-0857-42ca-99aa-1e37fc9be119</guid>\n<property>\n<scope>WIKI</scope>\n</property>\n</object>\n<content>phenotips.specificityMeter.label=How informative is your phenotypic description:\nphenotips.specificityMeter.level.0=None\nphenotips.specificityMeter.level.1=Poor\nphenotips.specificityMeter.level.2=Fair\nphenotips.specificityMeter.level.3=Good\nphenotips.specificityMeter.level.4=Very good\nphenotips.specificityMeter.level.5=Excellent\nphenotips.specificityMeter.info.label=What's this?\nphenotips.specificityMeter.info.title=About the Monarch phenotype specificity meter\nphenotips.specificityMeter.info=This meter assesses the breadth and depth of your phenotype annotation profile for a given patient in the context of all curated human and model organism phenotypes integrated within Monarch. The goal is to make your annotation profile specific enough to exclude similar diseases and to identify model organisms with similar phenotypes that may have mutations in relevant genes or pathways. The patient annotation profile is also used to aid exome prioritization using the same technology.</content></xwikidoc>\n
265750917640709545	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:specificity-meter-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>SpecificityMetricWidget</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822213000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title>SpecificityMetricWidget</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:specificity-meter-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>5star-c.png</filename>\n<filesize>833</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618217000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>5star-g.png</filename>\n<filesize>461</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618217000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>monarch-logo.png</filename>\n<filesize>21741</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618217000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>XWiki.DocumentSheetBinding</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<sheet>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sheet</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Sheet</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</sheet>\n</class>\n<name>PhenoTips.SpecificityMetricWidget</name>\n<number>0</number>\n<className>XWiki.DocumentSheetBinding</className>\n<guid>9f0c7fe2-0b50-4b9a-b3fb-cbdea4372e62</guid>\n<property>\n<sheet>PhenoTips.UIXSheet</sheet>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.SpecificityMetricWidget</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>a63b1624-c668-4ffb-917d-774fe9559841</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>var PhenoTips = (function (PhenoTips) {\n  var widgets = PhenoTips.widgets = PhenoTips.widgets || {};\n  widgets.SpecificityMetricWidget = Class.create({\n    levels : {\n      #foreach ($i in [0..5])\n        '$i' : "${escapetool.javascript($services.localization.render("phenotips.specificityMeter.level.${i}"))}"#if ($foreach.hasNext),#end\n\n      #end\n    },\n    initialize: function() {\n      this.container = $('specificity-metric-widget');\n      this.meterInsertionPoint = $('current-phenotype-selection');\n      if (!this.container || this.container.__specificityMetricWidget) {\n        return;\n      }\n      if (!this.meterInsertionPoint) {\n        this.container.remove();\n        return;\n      }\n      this.initContainer();\n\n      this.service =  new XWiki.Document('SpecificityMetricWidgetService', 'PhenoTips').getURL('get');\n      this._reqMeta = {};\n\n      this.initDataCache();\n      this.watchChanges();\n    },\n\n    initContainer : function () {\n      this.container.removeClassName('hidden');\n      this.meterInsertionPoint.insert({before: this.container});\n      var label = new Element('span', {"class": ""}).update("${escapetool.javascript($services.localization.render('phenotips.specificityMeter.label'))}");\n      this.meterDisplay = new Element('span', {'id' : 'specificity-meter'});\n      var hintLabel = new Element('a', {"class": "info", 'href' : '#specificity-meter', 'title' : "${escapetool.javascript($services.localization.render('phenotips.specificityMeter.info.title'))}"}).update("${escapetool.javascript($services.localization.render('phenotips.specificityMeter.info.label'))}");\n      this.container.update(label).insert(this.meterDisplay).insert(hintLabel);\n\n      hintLabel.observe('click', function(event) {\n        event.stop();\n        var content = new Element('div').insert(\n                                         new Element('div', {'style' : 'text-align: center'}).insert(\n                                             new Element('a', {href : 'http://monarchinitiative.org/'}).insert(\n                                                 new Element('img', {src : "$doc.getAttachmentURL('monarch-logo.png')", title: 'Monarch Initiative'})\n                                             )\n                                         )\n                                       ).insert("${escapetool.javascript($services.localization.render('phenotips.specificityMeter.info'))}");\n        new XWiki.widgets.ModalPopup(content, {}, {'title' : "${escapetool.javascript($services.localization.render('phenotips.specificityMeter.info.title'))}"}).showDialog();\n      });\n\n      this.showValue(0);\n      this.container.__specificityMetricWidget = this;\n    },\n\n    showValue : function(v) {\n      var oldValue = this._crtValue;\n      this._crtValue = Math.min(1, Math.max(0, isNaN(v) ? 0 : v));\n      var value = this._crtValue * 5;\n      this.meterDisplay.title = this.levels[Math.round(value)] + " (" + value.toPrecision(3) + "/5)";\n      this.meterDisplay.update(new Element('div', {'id' : "specificity-meter-value", "style" : "width: " + Math.round(v * 100) + "%;"}));\n      if (oldValue != this._crtValue) {\n        var eventData = {"value": this._crtValue, "level": this.levels[Math.round(value)]};\n        document.fire("phenotips:specificity-meter:change", eventData);\n      }\n    },\n\n    loadingValue : function() {\n      this.meterDisplay.update(new Element('div', {'id' : "specificity-meter-value-loading"}).update(new Element('span', {'class' : "fa fa-lg fa-spinner fa-spin"})));\n    },\n    unknownValue : function() {\n      this.meterDisplay.update(new Element('div', {'id' : "specificity-meter-value-error"}).update(new Element('span', {'class' : "fa fa-lg fa-exclamation-triangle"})));\n    },\n    initDataCache : function() {\n      this.cache = {};\n      $$(".yes-no-picker").each(function(element) {\n        var yesInput = element.down('.yes input');\n        var noInput = element.down('.no input');\n        if (yesInput.name === noInput.name) {\n          // Not a phenotype\n          return;\n        }\n        var key = yesInput.value;\n        var text = yesInput.title || key;\n        var obj = this.cache[key];\n        var enable = !element.down('.na input').checked;\n        if (enable) {\n          if (!obj) {\n            obj = {'key' : key, 'text' : text};\n            this.cache[key] = obj;\n          } else {\n            obj.disabled = false;\n          }\n          obj.type = (noInput.checked ? 'not_symptom' : (key.startsWith('HP:') ? 'symptom' : 'free_symptom'));\n        } else {\n          if (obj) {\n            obj.disabled = true;\n          }\n        }\n        this.launchEval();\n      }.bind(this));\n    },\n\n    watchChanges : function() {\n      document.observe('phenotype:selected', function(event) {\n        if (!event.memo || !event.memo.key || !event.memo.element) {return;}\n        var key = event.memo.key;\n        var text = event.memo.text || event.memo.key;\n        var obj = this.cache[key];\n        // The event is sent for NA, Yes and No checkboxes, in this order, with partial results along the way.\n        // If we want to check the final state of the value, we only take the No checkbox into account.\n        if (event.memo.type == 'no') {\n          var yesSelected = event.memo.element.up('.yes-no-picker').down('.yes input').checked;\n          var noSelected = event.memo.enable;\n          if (yesSelected || noSelected) {\n            if (!obj) {\n              obj = {'key' : key, 'text' : text};\n              this.cache[key] = obj;\n            } else {\n              obj.disabled = false;\n            }\n            obj.type = noSelected ? 'not_symptom' : (key.startsWith('HP:') ? 'symptom' : 'free_symptom');\n          } else {\n            if (obj) {\n              obj.disabled = true;\n            }\n          }\n        }\n        this.launchEval();\n      }.bindAsEventListener(this));\n    },\n\n    launchEval : function() {\n      if (this._reqMeta.pendingRequest !== undefined) {\n        window.clearTimeout(this._reqMeta.pendingRequest);\n        this._reqMeta.pendingRequest = undefined;\n      }\n      if (!this._reqMeta.expectedReqNo) {\n        this._reqMeta.expectedReqNo = 0;\n      }\n      var parameters = { reqNo : ++this._reqMeta.expectedReqNo, outputSyntax : 'plain'};\n      for (var k in this.cache) {\n        var obj = this.cache [k];\n        if (obj &amp;&amp; !obj.disabled) {\n          var list = parameters[obj.type];\n          if (!list) {\n            parameters[obj.type] = list = [];\n          }\n          list.push(obj.key);\n        }\n      }\n\n      this._reqMeta.pendingRequest = function() {\n        this._reqMeta.pendingRequest = undefined;\n        new Ajax.Request(this.service, {\n          parameters: parameters,\n          onCreate : function () {\n            // Loading...\n            this.loadingValue();\n          }.bind(this),\n          onSuccess : function (response) {\n            var json = response.responseJSON;\n            var score = -1;\n            if (json &amp;&amp; typeof json.score != 'undefined') {\n              score = json.score;\n            }\n            if (score &gt;= 0) {\n              this.showValue(score);\n            } else {\n              this.unknownValue();\n            }\n          }.bind(this),\n          onFailure : function () {\n            this.showValue(this._crtValue);\n          }.bind(this)\n        });\n      }.bind(this).delay(0.5);\n    }\n  });\n  \n  //  ========================================================================\n\n  var init = function(event) {\n    new PhenoTips.widgets.SpecificityMetricWidget();\n  };\n\n  (XWiki &amp;&amp; XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);\n\n  // End PhenoTips augmentation.\n  return PhenoTips;\n}(PhenoTips || {}));</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.SpecificityMetricWidget</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>fb644879-47e3-41e5-b26f-89dc7a347689</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n#specificity-metric-widget {\n  padding: 1em;\n  border-bottom: 1px dotted $theme.borderColor;\n  background-color: $theme.highlightColor;\n}\n\n#specificity-metric-widget .fa {\n  display: inline-block;\n  margin: 0 .05em;\n  vertical-align: baseline;\n  width: 1em;\n}\n#specificity-metric-widget .icon {\n  margin: 0 0.5em 0 0;\n}\n#specificity-metric-widget a {\n  float: right;\n  font-size: .8em;\n  font-style: italic;\n}\n\n#specificity-meter {\n  color: #c82;\n  cursor: default;\n  display: inline-block;\n  margin: 0 1em 0 .5em;\n}\n#specificity-meter {\n  width: 110px;\n  height: 22px;\n  background: transparent url("${doc.getAttachmentURL('5star-g.png')}") left top no-repeat;\n  text-align: left;\n  vertical-align: bottom;\n}\n#specificity-meter-value {\n  width: 0px;\n  height: 22px;\n  background: transparent url("${doc.getAttachmentURL('5star-c.png')}") left top no-repeat;\n}\n#specificity-meter-value-loading, #specificity-meter-value-error {\n  width: 110px;\n  height: 22px;\n  text-align: center;\n  background: transparent;\n}\n#specificity-meter-value-loading .fa {\n  vertical-align: bottom;\n  color: $theme.linkColor;\n}</code>\n</property>\n<property>\n<contentType>CSS</contentType>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.SpecificityMetricWidget</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>d6a5842b-329a-4ee8-ac02-353f3ce65b22</guid>\n<property>\n<content>{{velocity}}\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')\n$xwiki.ssx.use('PhenoTips.SpecificityMetricWidget', {'colorTheme' : "$xwiki.getSpacePreference('colorTheme')"})##\n$xwiki.jsx.use('PhenoTips.SpecificityMetricWidget')##\n#if ($xcontext.action == 'edit')\n(% id="specificity-metric-widget" class="hidden" %)((()))\n#end\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.after</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.widget.monarch.specificitymeter</name>\n</property>\n<property>\n<parameters></parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content>(% style="text-align: center" %)((([[[[image:monarch-logo.png||alt="Monarch Initiative"]]&gt;&gt;http://monarchinitiative.org/]])))\n\n{{translation key='phenotips.specificityMeter.info'/}}</content></xwikidoc>\n
8732875579441340606	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:diagnosis-suggestion-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>DiseasePredictService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822196000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:diagnosis-suggestion-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity filter="indent"}}\n#if ($xcontext.action == 'get')\n  $response.setHeader("X-ReqNo", "$!request.reqNo")##\n  #if ("$!request.q" != '')##\n    #set ($limit = $mathtool.toInteger("$!{request.limit}"))\n    #if (!$limit || $limit &lt; 0)\n      #set ($limit = 20)\n    #end\n    #set ($symptoms = [])\n    #set ($freeSymptoms = [])\n    #foreach ($piece in $!request.getParameterValues('symptom'))\n      #set($discard = $symptoms.add($piece))\n    #end\n    #foreach ($piece in $!request.getParameterValues('free_symptom'))\n      #set($discard = $freeSymptoms.add($piece))\n    #end\n#if ("$!{request.format}" == 'html')\n#set ($results = $services.diagnosis.get($symptoms, $freeSymptoms, $limit))\n#if ($results.size() &gt; 0)\n{{html clean="false"  wiki="false"}}##\n&lt;ul&gt;\n#foreach($term in $results)\n  #set($name = $term.getName())\n  #set ($indexOfSeparator = $name.indexOf(';'))\n  #if ($indexOfSeparator &gt; 0)\n    #set($shortName = $name.substring(0, $indexOfSeparator))\n    #set($fullName = $name.replaceAll(';;', ';'))\n  #else\n    #set($shortName = $name)\n    #set($fullName = $name)\n  #end\n  #set($id = $term.getId())\n  &lt;li class="disorder"&gt;\n    &lt;span class="id" title="${id}"&gt;&lt;a href="http://www.omim.org/entry/${id}" target="_blank" title="Read about this disorder on OMIM"&gt;[MIM:${id}]&lt;/a&gt;&lt;/span&gt;\n    &lt;span class="title" title="${fullName}"&gt;${shortName}&lt;/span&gt;\n  &lt;/li&gt;\n#end ## foreach item\n&lt;/ul&gt;\n{{/html}}\n   #set ($hasOutput = true)\n#else\n   #set ($hasOutput = false)\n#end## results.size() &gt; 0\n    #end## html format\n  #else\n    #set ($hasOutput = false)\n  #end## non-empty query\n#end## get action\n##\n#if (!$hasOutput)\n(% class="hint" %)No matches found\n#end\n{{/velocity}}</content></xwikidoc>\n
8646295617699996648	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PedigreeGlobalSettings</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1407862284000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.PedigreeGlobalSettings</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<dateDisplayFormat>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>dateDisplayFormat</name>\n<number>5</number>\n<picker>0</picker>\n<prettyName>Date display format</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>MDY=mmm dd, yyyy|DMY=dd-mm-yyyy|MY=mm-yyyy|Y=yyyy|MMY=mmm yyyy</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</dateDisplayFormat>\n<dateInputFormat>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>dateInputFormat</name>\n<number>4</number>\n<picker>0</picker>\n<prettyName>Date input format</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>1</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values>YMD=yyyy-mm-dd|DMY=dd-mm-yyyy|MY=mm-yyyy|Y=yyyy</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</dateInputFormat>\n<nonStandardAdoptedOutGraphic>\n<customDisplay></customDisplay>\n<defaultValue>0</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>nonStandardAdoptedOutGraphic</name>\n<number>1</number>\n<prettyName>Use brackets-out symbol for adopted-out nodes</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</nonStandardAdoptedOutGraphic>\n<probandIsSyncedWithPatient>\n<customDisplay></customDisplay>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>probandIsSyncedWithPatient</name>\n<number>6</number>\n<prettyName>Synchronize proband with patient record</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</probandIsSyncedWithPatient>\n<propagateFatherLastName>\n<customDisplay></customDisplay>\n<defaultValue>1</defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>propagateFatherLastName</name>\n<number>2</number>\n<prettyName>Propagate father's last name to descendants</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</propagateFatherLastName>\n</class>\n<content></content></xwikidoc>\n
-641512993711611657	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PedigreeInterface</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1426733142000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title>PedigreeInterface</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>false</hidden>\n<content>{{velocity wwiki="false"}}\n#macro(__convertToBooleanString $value)\n  #if ($value == "1")\n    true##\n  #else\n    false##\n  #end\n#end\n#macro(__getDisabledFields)\n  #set ($recordConfiguration = $services.recordConfiguration.getActiveConfiguration())\n  #set ($disabled = ["first_name","last_name","last_name_birth"])\n  #foreach ($section in $recordConfiguration.enabledSections)\n    #foreach ($element in $section.enabledElements)\n      #if ($element == "Patient name")\n        #set ($disabled = [])\n        #break\n      #end\n    #end\n  #end\n  $jsontool.serialize($disabled)##\n#end\n$response.setContentType('application/json')##\n{{html wiki="false" clean="false"}}\n##\n#if ("$!request.action" == '')\n  Action was not specified\n  #break\n#end\n##\n#if ("$!request.action" == "getPreferences")\n  #set($user = $!{xwiki.getDocument($xcontext.getUser()).getObject('XWiki.XWikiUsers')})##\n  #set($config = $!{xwiki.getDocument('XWiki.XWikiPreferences').getObject('PhenoTips.PedigreeGlobalSettings')})##\n  { "user": {\n        "firstName" : "$!{user.getProperty('first_name').value}",\n        "lastName" : "$!{user.getProperty('last_name').value}",\n        "hideDraggingHint": false\n    },\n    "global": {\n            "disabledFields"               : #__getDisabledFields()\n        #if ($config)\n            ,\n            "dateDisplayFormat"            : "$!{config.getProperty('dateDisplayFormat').value}",\n            "dateEditFormat"               : "$!{config.getProperty('dateInputFormat').value}",\n            "nonStandardAdoptedOutGraphic" : #__convertToBooleanString("$!{config.getProperty('nonStandardAdoptedOutGraphic').value}"),\n            "propagateFatherLastName"      : #__convertToBooleanString("$!{config.getProperty('propagateFatherLastName').value}"),\n            "probandIsSyncedWithPatient"   : #__convertToBooleanString("$!{config.getProperty('probandIsSyncedWithPatient').value}")\n        #end\n    }\n  }\n#else\n  Unknown action\n#end{{/velocity}}</content></xwikidoc>\n
-9175628096756292097	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PedigreeMacros</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822196000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n#**\n * Macro which produces HTML for pedigree legend\n *#\n#macro(pedigreeLegend $pedigreeData $header)\n  #set ($pedigreeDataJSON = $jsontool.parse($pedigreeData))\n  #set ($disorderColors = $pedigreeDataJSON.settings.colors.disorders)\n  #set ($geneColors = $pedigreeDataJSON.settings.colors.genes)\n  #set ($cancerColors = $pedigreeDataJSON.settings.colors.cancers)\n\n  #if (($disorderColors &amp;&amp; $disorderColors.size() &gt; 0) || ($geneColors &amp;&amp; $geneColors.size() &gt; 0) || ($cancerColors &amp;&amp; $cancerColors.size() &gt; 0))\n    #if ($xcontext.action == 'export')\n      #set ($circle = '⬤')\n      #set ($listyle = 'margin: 0 .5em 0 0; font-family: FreeSerif, serif;')\n    #else\n      #set ($circle = '&lt;span class="fa fa-circle fa-lg"&gt;&lt;/span&gt;')\n      #set ($listyle = 'margin: 0 .25em 0 0;')\n    #end\n\n    #set ($divstyle="")\n    #if ($header)\n      &lt;strong&gt;$header&lt;/strong&gt;\n      #set ($divstyle="margin-top: 1em; margin-left: 2em;")\n    #end\n    &lt;div class="pedigree-legend" style="$divstyle"&gt;\n    #set ($disorderNames = $pedigreeDataJSON.settings.names.disorders)\n    #if ($disorderColors &amp;&amp; $disorderNames &amp;&amp; $disorderColors.size() &gt; 0)\n      Disorders:\n      &lt;ul class="pedigree-legend-list" style="margin-top: .4em; margin-bottom: .5em;"&gt;\n      #foreach ($color in $disorderColors.entrySet())\n        &lt;li class="pedigree-disorder-item" style="list-style-type: none;"&gt;\n          &lt;span class="pedigree-disorder-color" style="color: $color.value; $listyle"&gt;$circle&lt;/span&gt;\n          &lt;span class="pedigree-disorder-name"&gt;$escapetool.xml($disorderNames[$color.key])&lt;/span&gt;\n        &lt;/li&gt;\n      #end\n      &lt;/ul&gt;\n    #end\n    #if ($geneColors &amp;&amp; $geneColors.size() &gt; 0)\n      Candidate Genes:\n      &lt;ul class="pedigree-legend-list" style="margin-top: .4em"&gt;\n      #foreach ($color in $geneColors.entrySet())\n        &lt;li class="pedigree-disorder-item" style="list-style-type: none;"&gt;\n          &lt;span class="pedigree-disorder-color" style="color: $color.value; $listyle"&gt;$circle&lt;/span&gt;\n          &lt;span class="pedigree-disorder-name"&gt;$color.key&lt;/span&gt;\n        &lt;/li&gt;\n      #end\n      &lt;/ul&gt;\n    #end\n    #if ($cancerColors &amp;&amp; $cancerColors.size() &gt; 0)\n      Cancers:\n      &lt;ul class="pedigree-legend-list" style="margin-top: .4em"&gt;\n      #foreach ($color in $cancerColors.entrySet())\n        &lt;li class="pedigree-disorder-item" style="list-style-type: none;"&gt;\n          &lt;span class="pedigree-disorder-color" style="color: $color.value; $listyle"&gt;$circle&lt;/span&gt;\n          &lt;span class="pedigree-disorder-name"&gt;$color.key&lt;/span&gt;\n        &lt;/li&gt;\n      #end\n      &lt;/ul&gt;\n    #end\n\n\n    &lt;/div&gt;\n  #end\n#end\n{{/velocity}}</content></xwikidoc>\n
-2886903071405140315	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX_Field__pedigree</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822201000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('phenotips.patientRecord.pedigree.extensionTitle')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.UIX_Field__pedigree</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>b8283fe3-5a0a-49f4-aea3-b08dc86ba892</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>(function() {\n  var init = function() {\n    // Save before opening the pedigree\n    var pedigreeTrigger = $("pedigree-trigger");\n    if (pedigreeTrigger &amp;&amp; XWiki.contextaction == "edit") {\n      pedigreeTrigger.observe("click", function(event) {\n        event.stop();\n        document.observe("xwiki:document:saved", function () {\n          window.self.location = pedigreeTrigger.href;\n        });\n        document.fire("xwiki:actions:save", {"continue" : true, "form" : pedigreeTrigger.up("form")});\n      });\n    }\n\n    // Resize the pedigree image to fit in the viewport\n    var pedigreeElt = document.documentElement.down('.pedigree-wrapper svg');\n    if (pedigreeElt) {\n      var __fixPedigreeSize = function() {\n        if (!pedigreeElt._originalWidth) {\n          pedigreeElt._originalWidth = pedigreeElt.getAttribute('width');\n          pedigreeElt._originalHeight = pedigreeElt.getAttribute('height');\n        }\n        var newWidth = Element.up(pedigreeElt, '.pedigree-wrapper').up().getWidth();\n        if (newWidth &lt; pedigreeElt._originalWidth) {\n          var newHeight = pedigreeElt._originalHeight * newWidth / pedigreeElt._originalWidth;\n          pedigreeElt.setAttribute('width', newWidth);\n          pedigreeElt.setAttribute('height', newHeight);\n        } else {\n          pedigreeElt.setAttribute('width', pedigreeElt._originalWidth);\n          pedigreeElt.setAttribute('height', pedigreeElt._originalHeight);\n        }\n      };\n      __fixPedigreeSize();\n      Event.observe(window, 'resize', __fixPedigreeSize);\n    }\n  };\n  (XWiki.domIsLoaded &amp;&amp; init()) || document.observe("xwiki:dom:loaded", init);\n})();</code>\n</property>\n<property>\n<name>Save the patient record before loading the Pedigree Editor</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.UIExtensionClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<content>\n<disabled>0</disabled>\n<name>content</name>\n<number>3</number>\n<prettyName>Extension Content</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</content>\n<extensionPointId>\n<disabled>0</disabled>\n<name>extensionPointId</name>\n<number>1</number>\n<prettyName>Extension Point ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</extensionPointId>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>2</number>\n<prettyName>Extension ID</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parameters>\n<disabled>0</disabled>\n<name>parameters</name>\n<number>4</number>\n<prettyName>Extension Parameters</prettyName>\n<rows>10</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</parameters>\n<scope>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>scope</name>\n<number>5</number>\n<prettyName>Extension Scope</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>wiki=Current Wiki|user=Current User|global=Global</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</scope>\n</class>\n<name>PhenoTips.UIX_Field__pedigree</name>\n<number>0</number>\n<className>XWiki.UIExtensionClass</className>\n<guid>3afe3456-6a7f-4aae-89e7-ef041fde6707</guid>\n<property>\n<content>{{include reference="PhenoTips.PatientSheetMacros" /}}\n\n{{include reference="PhenoTips.PedigreeMacros" /}}\n\n{{velocity}}\n#set ($pedigreeObj = $doc.getObject('PhenoTips.PedigreeClass'))\n#if ($pedigreeObj)\n  #set ($data = $!pedigreeObj.getProperty('data').value)\n  #set ($image = $pedigreeObj.getProperty('image').value)\n#end## pedigree obj exists\n#if ($xcontext.action == 'edit' || "$!data" != '')\n  $xwiki.jsx.use('PhenoTips.UIX_Field__pedigree')##\n\n  === $services.localization.render('phenotips.patientRecord.pedigree.title') ===\n\n  #if ($xcontext.action == 'edit')\n    #if ("$!data" != '')\n      #set ($pAction = "$services.localization.render('phenotips.patientRecord.pedigree.edit')")\n    #else\n      #set ($pAction = "$services.localization.render('phenotips.patientRecord.pedigree.draw')")\n    #end## pedigree data exists\n    (% class="buttonwrapper" %)[[$!{pAction}&gt;&gt;||queryString="sheet=PhenoTips.PedigreeEditor" class="button" id="pedigree-trigger"]](%%)\n  #elseif ($xcontext.action == 'view')\n    #if ("$!data" != '')\n      #set ($pAction = "$services.localization.render('phenotips.patientRecord.pedigree.edit')")\n      (% class="buttonwrapper" %)[[$!{pAction}&gt;&gt;||queryString="sheet=PhenoTips.PedigreeEditor" class="button" id="pedigree-trigger"]](%%)\n    #end\n  #end\n  #if ("$!image" != '')\n    (% class="pedigree-wrapper" %)((({{html clean="false"}}$!image{{/html}})))\n    (% class="pedigree-wrapper" %)((({{html clean="false"}}#pedigreeLegend($data, "Legend:"){{/html}})))\n  #end\n#end## action == edit || data\n{{/velocity}}</content>\n</property>\n<property>\n<extensionPointId>org.phenotips.patientSheet.section.family-info</extensionPointId>\n</property>\n<property>\n<name>org.phenotips.patientSheet.field.pedigree</name>\n</property>\n<property>\n<parameters>title=$services.localization.render('phenotips.patientRecord.pedigree.extensionTitle')\nenabled=true\nrequired=\norder=14\nfields=\ncontains_PII=true\nprivacy_level=3</parameters>\n</property>\n<property>\n<scope>wiki</scope>\n</property>\n</object>\n<content></content></xwikidoc>\n
-2705209195239241054	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PedigreeConfiguration</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1396049767000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>PhenoTips.PedigreeConfiguration</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>048d1842-3c9e-424d-85d0-22ff8eb22c63</guid>\n<property>\n<advancedOnly>1</advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute>{{include reference="PhenoTips.PedigreeConfiguration" /}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>pedigreeconfig</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionPriority>1000</sectionPriority>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.PedigreeConfiguration</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>c22d02da-a22c-4116-9ec9-ef2b2e48acc1</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n      </code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<content>{{velocity output="false"}}\n#set ($displayDocumentName = 'PhenoTips.PedigreeConfiguration')\n#set ($displayDocument = $xwiki.getDocument($displayDocumentName))\n#set ($mainConfigurationClassname = 'PhenoTips.PedigreeGlobalSettings')\n#set ($existingConfigs = $preferencesDoc.getObjects($mainConfigurationClassname))\n\n#set ($targetObj = $doc.getObject($mainConfigurationClassname))\n#if (!$targetObj)\n  #set ($targetObj = $doc.newObject($mainConfigurationClassname))\n  $doc.save('Added receive patient configuration', true)##\n#end\n\n$xwiki.ssx.use($displayDocumentName)##\n{{/velocity}}\n\n==Pedigree configuration==\n\n{{velocity}}\n{{html clean="false"}}\n&lt;form action="${preferencesDoc.getURL('save')}" method="post" class="xform"&gt;\n  &lt;div class="hidden"&gt;\n    &lt;input type="hidden" name="form_token" value="${escapetool.xml($services.csrf.token)}" /&gt;\n    &lt;input type="hidden" name="classname" value="${mainConfigurationClassname}" /&gt;\n    &lt;input type="hidden" name="xredirect" value="${escapetool.xml($doc.getURL($xcontext.action, $request.queryString))}" /&gt;\n  &lt;/div&gt;\n  &lt;fieldset&gt;\n    &lt;legend&gt;Graphics&lt;/legend&gt;\n    &lt;dl&gt;\n      &lt;dt&gt;&lt;label for="${targetObj.getxWikiClass().name}_${targetObj.number}_nonStandardAdoptedOutGraphic"&gt;${doc.display("nonStandardAdoptedOutGraphic", "edit", $targetObj).replaceAll('\\{\\{/?html.*?}}', '')} ${targetObj.getxWikiClass().get('nonStandardAdoptedOutGraphic').translatedPrettyName}&lt;/label&gt;&lt;/dt&gt;\n    &lt;/dl&gt;\n  &lt;/fieldset&gt;\n\n  &lt;fieldset&gt;\n    &lt;legend&gt;Behavior&lt;/legend&gt;\n    &lt;dl&gt;\n      &lt;dt&gt;&lt;label for="${targetObj.getxWikiClass().name}_${targetObj.number}_propagateFatherLastName"&gt;${doc.display("propagateFatherLastName", "edit", $targetObj).replaceAll('\\{\\{/?html.*?}}', '')} ${targetObj.getxWikiClass().get('propagateFatherLastName').translatedPrettyName}&lt;/label&gt;&lt;/dt&gt;\n      &lt;dt&gt;&lt;label for="${targetObj.getxWikiClass().name}_${targetObj.number}_probandIsSyncedWithPatient"&gt;${doc.display("probandIsSyncedWithPatient", "edit", $targetObj).replaceAll('\\{\\{/?html.*?}}', '')} ${targetObj.getxWikiClass().get('probandIsSyncedWithPatient').translatedPrettyName}&lt;/label&gt;&lt;/dt&gt;\n    &lt;/dl&gt;\n  &lt;/fieldset&gt;\n\n  &lt;fieldset&gt;\n    &lt;legend&gt;Date format&lt;/legend&gt;\n    &lt;dl&gt;\n      &lt;dt&gt;&lt;label for="${targetObj.getxWikiClass().name}_${targetObj.number}_dateInputFormat"&gt;${targetObj.getxWikiClass().get('dateInputFormat').translatedPrettyName}&lt;/label&gt;&lt;/dt&gt;\n      &lt;dd&gt;${doc.display("dateInputFormat", "edit", $targetObj).replaceAll('\\{\\{/?html.*?}}', '')}&lt;/dd&gt;\n      &lt;dt&gt;&lt;label for="${targetObj.getxWikiClass().name}_${targetObj.number}_dateDisplayFormat"&gt;${targetObj.getxWikiClass().get('dateDisplayFormat').translatedPrettyName}&lt;/label&gt;&lt;/dt&gt;\n      &lt;dd&gt;${doc.display("dateDisplayFormat", "edit", $targetObj).replaceAll('\\{\\{/?html.*?}}', '')}&lt;/dd&gt;\n    &lt;/dl&gt;\n  &lt;/fieldset&gt;\n  &lt;div class="buttons"&gt;\n    &lt;input class="button" type="submit" value="Save" /&gt;\n  &lt;/div&gt;\n&lt;/form&gt;\n{{/html}}\n{{/velocity}}</content></xwikidoc>\n
4742394087926763548	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PedigreeEditor</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822196000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title>Pedigree editor#if ($request.id): $request.id#end</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output=false}}\n$xwiki.jsfx.use('js/scriptaculous/slider.js')##\n$xwiki.jsfx.use('js/scriptaculous/dragdrop.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/raphael.js')##\n$xwiki.jsx.use('XWiki.DateTimePicker')##\n$xwiki.ssx.use('XWiki.DateTimePicker')##\n$xwiki.jsx.use('PhenoTips.Widgets')##\n$xwiki.ssx.use('PhenoTips.Widgets')##\n$xwiki.ssfx.use('uicomponents/pedigree/editor.css', true)##\n$xwiki.jsfx.use('uicomponents/pedigree/model/helpers.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/queues.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/xcoordclass.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/ordering.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/baseGraph.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/import.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/export.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/edgeOptimization.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/positionedGraph.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/model/dynamicGraph.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/filesaver/Blob.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/filesaver/FileSaver.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/datepicker.js')\n$xwiki.jsfx.use('uicomponents/pedigree/view/nodeMenu.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/nodetypeSelectionBubble.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/ageCalc.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/graphicHelpers.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/legend.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/disorderLegend.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/cancersLegend.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/hpoLegend.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/geneLegend.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/saveLoadIndicator.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/templateSelector.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/okCancelDialogue.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/importSelector.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/exportSelector.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/abstractHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/readonlyHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/partnershipHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/abstractNode.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/abstractNodeVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/abstractPerson.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/abstractPersonVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/partnership.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/partnershipVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/person.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personGroup.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personGroupVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personGroupHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personPlaceholder.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personPlaceholderVisuals.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/personPlaceholderHoverbox.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/lineSet.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/workspace.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/saveLoadIndicator.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/svgWrapper.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/printEngine.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view/printDialog.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/preferencesManager.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/pedigreeDate.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/disorder.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/hpoTerm.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/versionUpdater.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/saveLoadEngine.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/controller.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/view.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/undoRedo.js')##\n$xwiki.jsfx.use('uicomponents/pedigree/pedigree.js')##\n$xwiki.ssfx.use('icons/font-awesome/css/font-awesome.min.css')##\n$xwiki.ssx.use('PhenoTips.FontAwesomeIcons')##\n{{/velocity}}\n\n{{html}}\n{{/html}}\n</content></xwikidoc>
-4996766835164301935	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PedigreeClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822127000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-pedigree-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>PhenoTips.PedigreeClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<data>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>data</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>data</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</data>\n<description>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>description</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>Description</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</description>\n<image>\n<contenttype>PureText</contenttype>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>PureText</editor>\n<name>image</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Image</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</image>\n</class>\n<content></content></xwikidoc>\n
3922145072777011887	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:phenotips-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>TouchscreenEvents</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822215000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>PhenoTips.TouchscreenEvents</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>073bec93-3da3-4c18-a52f-bc96fa7cbb83</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>// webkitdragdrop.js v1.0, Mon May 15 2010\n//\n// Copyright (c) 2010 Tommaso Buvoli (http://www.tommasobuvoli.com)\n// No Extra Libraries are required, simply download this file, add it to your pages!\n//\n// To See this library in action, grab an ipad and head over to http://www.gotproject.com\n// webkitdragdrop is freely distributable under the terms of an MIT-style license.\n\n\n//Description\n// Because this library was designed to run without requiring any other libraries, several basic helper functions were implemented\n// 6 helper functons in this webkit_tools class have been taked directly from Prototype 1.6.1 (http://prototypejs.org/) (c) 2005-2009 Sam Stephenson\n\nvar webkit_tools =\n{\n  //$ function - simply a more robust getElementById\n\n  $:function(e)\n  {\n    if(typeof(e) == 'string')\n    {\n      return document.getElementById(e);\n    }\n    return e;\n  },\n\n  //extend function - copies the values of b into a (Shallow copy)\n\n  extend:function(a,b)\n  {\n    for (var key in b)\n    {\n      a[key] = b[key];\n    }\n    return a;\n  },\n\n  //empty function - used as defaut for events\n\n  empty:function()\n  {\n\n  },\n\n  //remove null values from an array\n\n  compact:function(a)\n  {\n    var b = []\n    var l = a.length;\n    for(var i = 0; i &lt; l; i ++)\n    {\n      if(a[i] !== null)\n      {\n        b.push(a[i]);\n      }\n    }\n    return b;\n  },\n\n  //DESCRIPTION\n  //  This function was taken from the internet (http://robertnyman.com/2006/04/24/get-the-rendered-style-of-an-element/) and returns\n  //  the computed style of an element independantly from the browser\n  //INPUT\n  //  oELM (DOM ELEMENT) element whose style should be extracted\n  //  strCssRule element\n\n  getCalculatedStyle:function(oElm, strCssRule)\n  {\n    var strValue = "";\n    if(document.defaultView &amp;&amp; document.defaultView.getComputedStyle){\n      strValue = document.defaultView.getComputedStyle(oElm, "").getPropertyValue(strCssRule);\n    }\n    else if(oElm.currentStyle){\n      strCssRule = strCssRule.replace(/\\-(\\w)/g, function (strMatch, p1){\n        return p1.toUpperCase();\n      });\n      strValue = oElm.currentStyle[strCssRule];\n    }\n    return strValue;\n  },\n\n  //bindAsEventListener function - used to bind events\n\n  bindAsEventListener:function(f,object)\n  {\n        var __method = f;\n        return function(event) {\n            __method.call(object, event || window.event);\n        };\n    },\n\n    //cumulative offset - courtesy of Prototype (http://www.prototypejs.org)\n\n    cumulativeOffset:function(element)\n    {\n      var valueT = 0, valueL = 0;\n      do {\n        valueT += element.offsetTop  || 0;\n        valueL += element.offsetLeft || 0;\n        if (element.offsetParent == document.body)\n          if (element.style.position == 'absolute') break;\n\n        element = element.offsetParent;\n      } while (element);\n\n      return {left : valueL, top : valueT};\n    },\n\n    //getDimensions - courtesy of Prototype (http://www.prototypejs.org)\n\n  getDimensions: function(element)\n  {\n      var display = element.style.display;\n      if (display != 'none' &amp;&amp; display != null) // Safari bug\n        return {width: element.offsetWidth, height: element.offsetHeight};\n\n      var els = element.style;\n      var originalVisibility = els.visibility;\n      var originalPosition = els.position;\n      var originalDisplay = els.display;\n      els.visibility = 'hidden';\n      if (originalPosition != 'fixed') // Switching fixed to absolute causes issues in Safari\n        els.position = 'absolute';\n      els.display = 'block';\n      var originalWidth = element.clientWidth;\n      var originalHeight = element.clientHeight;\n      els.display = originalDisplay;\n      els.position = originalPosition;\n      els.visibility = originalVisibility;\n      return {width: originalWidth, height: originalHeight};\n  },\n\n  //hasClassName - courtesy of Prototype (http://www.prototypejs.org)\n\n  hasClassName: function(element, className)\n  {\n    var elementClassName = element.className;\n    return (elementClassName.length &gt; 0 &amp;&amp; (elementClassName == className ||\n    new RegExp("(^|\\\\s)" + className + "(\\\\s|$)").test(elementClassName)));\n    },\n\n  //addClassName - courtesy of Prototype (http://www.prototypejs.org)\n\n  addClassName: function(element, className)\n  {\n    if (!this.hasClassName(element, className))\n      element.className += (element.className ? ' ' : '') + className;\n    return element;\n  },\n\n  //removeClassName - courtesy of Prototype (http://www.prototypejs.org)\n\n  removeClassName: function(element, className)\n  {\n    element.className = this.strip(element.className.replace(new RegExp("(^|\\\\s+)" + className + "(\\\\s+|$)"), ' '));\n    return element;\n  },\n\n  //strip - courtesy of Prototype (http://www.prototypejs.org)\n\n  strip:function(s)\n  {\n      return s.replace(/^\\s+/, '').replace(/\\s+$/, '');\n    }\n\n}\n\n//Description\n// Droppable fire events when a draggable is dropped on them\n\nvar webkit_droppables = function()\n{\n  this.initialize = function()\n  {\n    this.droppables = [];\n    this.droppableRegions = [];\n  }\n\n  this.add = function(root, instance_props)\n  {\n    root = webkit_tools.$(root);\n    var default_props = {accept : [], hoverClass : null, onDrop : webkit_tools.empty, onOver : webkit_tools.empty, onOut : webkit_tools.empty};\n    default_props = webkit_tools.extend(default_props, instance_props || {});\n    this.droppables.push({r : root, p : default_props});\n  }\n\n  this.remove = function(root)\n  {\n    root = webkit_tools.$(root);\n    var d = this.droppables;\n    var i = d.length;\n    while(i--)\n    {\n      if(d[i].r == root)\n      {\n        d[i] = null;\n        this.droppables = webkit_tools.compact(d);\n        return true;\n      }\n    }\n    return false;\n  }\n\n  //calculate position and size of all droppables\n\n  this.prepare = function()\n  {\n    var d = this.droppables;\n    var i = d.length;\n    var dR = [];\n    var r = null;\n\n    while(i--)\n    {\n      r = d[i].r;\n      if(r.style.display != 'none')\n      {\n        dR.push({i : i, size : webkit_tools.getDimensions(r), offset : webkit_tools.cumulativeOffset(r)})\n      }\n    }\n\n    this.droppableRegions = dR;\n  }\n\n  this.finalize = function(x,y,r,e)\n  {\n    var indices = this.isOver(x,y);\n    var index = this.maxZIndex(indices);\n    var over = this.process(index,r);\n    if(over)\n    {\n      this.drop(index, r,e);\n    }\n    this.process(-1,r);\n    return over;\n  }\n\n  this.check = function(x,y,r)\n  {\n    var indices = this.isOver(x,y);\n    var index = this.maxZIndex(indices);\n    return this.process(index,r);\n  }\n\n  this.isOver = function(x, y)\n  {\n    var dR = this.droppableRegions;\n    var i = dR.length;\n    var active = [];\n    var r = 0;\n    var maxX = 0;\n    var minX = 0;\n    var maxY = 0;\n    var minY = 0;\n\n    while(i--)\n    {\n      r = dR[i];\n\n      minY = r.offset.top;\n      maxY = minY + r.size.height;\n\n      if((y &gt; minY) &amp;&amp; (y &lt; maxY))\n      {\n        minX = r.offset.left;\n        maxX = minX + r.size.width;\n\n        if((x &gt; minX) &amp;&amp; (x &lt; maxX))\n        {\n          active.push(r.i);\n        }\n      }\n    }\n\n    return active;\n  }\n\n  this.maxZIndex = function(indices)\n  {\n    var d = this.droppables;\n    var l = indices.length;\n    var index = -1;\n\n    var maxZ = -100000000;\n    var curZ = 0;\n\n    while(l--)\n    {\n      curZ = parseInt(d[indices[l]].r.style.zIndex || 0);\n      if(curZ &gt; maxZ)\n      {\n        maxZ = curZ;\n        index = indices[l];\n      }\n    }\n\n    return index;\n  }\n\n  this.process = function(index, draggableRoot)\n  {\n    //only perform update if a change has occured\n    if(this.lastIndex != index)\n    {\n      //remove previous\n      if(this.lastIndex != null)\n      {\n        var d = this.droppables[this.lastIndex]\n        var p = d.p;\n        var r = d.r;\n\n        if(p.hoverClass)\n        {\n          webkit_tools.removeClassName(r,p.hoverClass);\n        }\n        p.onOut();\n        this.lastIndex = null;\n        this.lastOutput = false;\n      }\n\n      //add new\n      if(index != -1)\n      {\n        var d = this.droppables[index]\n        var p = d.p;\n        var r = d.r;\n\n        if(this.hasClassNames(draggableRoot, p.accept))\n        {\n          if(p.hoverClass)\n          {\n            webkit_tools.addClassName(r,p.hoverClass);\n          }\n          p.onOver();\n          this.lastIndex = index;\n          this.lastOutput = true;\n        }\n      }\n    }\n    return this.lastOutput;\n  }\n\n  this.drop = function(index, r, e)\n  {\n    if(index != -1)\n    {\n      this.droppables[index].p.onDrop(r,e);\n    }\n  }\n\n  this.hasClassNames = function(r, names)\n  {\n    var l = names.length;\n    if(l == 0){return true}\n    while(l--)\n    {\n      if(webkit_tools.hasClassName(r,names[l]))\n      {\n        return true;\n      }\n    }\n    return false;\n  }\n\n  this.initialize();\n}\n\nwebkit_drop = new webkit_droppables();\n\n//Description\n//webkit draggable - allows users to drag elements with their hands\n\nvar webkit_draggable = function(r, ip)\n{\n  this.initialize = function(root, instance_props)\n  {\n    this.root = webkit_tools.$(root);\n    var default_props = {scroll : false, revert : false, handle : this.root, zIndex : 1000, onStart : webkit_tools.empty, onEnd : webkit_tools.empty};\n\n    this.p = webkit_tools.extend(default_props, instance_props || {});\n    default_props.handle = webkit_tools.$(default_props.handle);\n    this.prepare();\n    this.bindEvents();\n  }\n\n  this.prepare = function()\n  {\n    var rs = this.root.style;\n\n    //set position\n    if(webkit_tools.getCalculatedStyle(this.root,'position') != 'absolute')\n    {\n      rs.position = 'relative';\n    }\n\n    //set top, right, bottom, left\n    rs.top = rs.top || '0px';\n    rs.left = rs.left || '0px';\n    rs.right = "";\n    rs.bottom = "";\n\n    //set zindex;\n    rs.zIndex = rs.zIndex || '0';\n  }\n\n  this.bindEvents = function()\n  {\n    var handle = this.p.handle;\n\n    this.ts = webkit_tools.bindAsEventListener(this.touchStart, this);\n    this.tm = webkit_tools.bindAsEventListener(this.touchMove, this);\n    this.te = webkit_tools.bindAsEventListener(this.touchEnd, this);\n\n    handle.addEventListener("touchstart", this.ts, false);\n    handle.addEventListener("touchmove", this.tm, false);\n    handle.addEventListener("touchend", this.te, false);\n  }\n\n  this.destroy = function()\n  {\n    var handle = this.p.handle;\n\n    handle.removeEventListener("touchstart", this.ts);\n    handle.removeEventListener("touchmove", this.tm);\n    handle.removeEventListener("touchend", this.te);\n  }\n\n  this.set = function(key, value)\n  {\n    this.p[key] = value;\n  }\n\n  this.touchStart = function(event)\n  {\n    //prepare needed variables\n    var p = this.p;\n    var r = this.root;\n    var rs = r.style;\n    var t = event.targetTouches[0];\n\n    //get position of touch\n    touchX = t.pageX;\n    touchY = t.pageY;\n\n    //set base values for position of root\n    rs.top = this.root.style.top || '0px';\n    rs.left = this.root.style.left || '0px';\n    rs.bottom = null;\n    rs.right = null;\n\n    var rootP = webkit_tools.cumulativeOffset(r);\n    var cp = this.getPosition();\n\n    //save event properties\n    p.rx = cp.x;\n    p.ry = cp.y;\n    p.tx = touchX;\n    p.ty = touchY;\n    p.z = parseInt(this.root.style.zIndex);\n\n    //boost zIndex\n    rs.zIndex = p.zIndex;\n    webkit_drop.prepare();\n    p.onStart();\n  }\n\n  this.touchMove = function(event)\n  {\n    event.preventDefault();\n    event.stopPropagation();\n\n    //prepare needed variables\n    var p = this.p;\n    var r = this.root;\n    var rs = r.style;\n    var t = event.targetTouches[0];\n    if(t == null){return}\n\n    var curX = t.pageX;\n    var curY = t.pageY;\n\n    var delX = curX - p.tx;\n    var delY = curY - p.ty;\n\n    rs.left = p.rx + delX + 'px';\n    rs.top  = p.ry + delY + 'px';\n\n    //scroll window\n    if(p.scroll)\n    {\n      s = this.getScroll(curX, curY);\n      if((s[0] != 0) || (s[1] != 0))\n      {\n        window.scrollTo(window.scrollX + s[0], window.scrollY + s[1]);\n      }\n    }\n\n    //check droppables\n    webkit_drop.check(curX, curY, r);\n\n    //save position for touchEnd\n    this.lastCurX = curX;\n    this.lastCurY = curY;\n  }\n\n  this.touchEnd = function(event)\n  {\n    var r = this.root;\n    var p = this.p;\n    var dropped = webkit_drop.finalize(this.lastCurX, this.lastCurY, r, event);\n\n    if(((p.revert) &amp;&amp; (!dropped)) || (p.revert === 'always'))\n    {\n      //revert root\n      var rs = r.style;\n      rs.top = (p.ry + 'px');\n      rs.left = (p.rx + 'px');\n    }\n\n    r.style.zIndex = this.p.z;\n    this.p.onEnd();\n  }\n\n  this.getPosition = function()\n  {\n    var rs = this.root.style;\n    return {x : parseInt(rs.left || 0), y : parseInt(rs.top  || 0)}\n  }\n\n  this.getScroll = function(pX, pY)\n  {\n    //read window variables\n    var sX = window.scrollX;\n    var sY = window.scrollY;\n\n    var wX = window.innerWidth;\n    var wY = window.innerHeight;\n\n    //set contants\n    var scroll_amount = 10; //how many pixels to scroll\n    var scroll_sensitivity = 100; //how many pixels from border to start scrolling from.\n\n    var delX = 0;\n    var delY = 0;\n\n    //process vertical y scroll\n    if(pY - sY &lt; scroll_sensitivity)\n    {\n      delY = -scroll_amount;\n    }\n    else\n    if((sY + wY) - pY &lt; scroll_sensitivity)\n    {\n      delY = scroll_amount;\n    }\n\n    //process horizontal x scroll\n    if(pX - sX &lt; scroll_sensitivity)\n    {\n      delX = -scroll_amount;\n    }\n    else\n    if((sX + wX) - pX &lt; scroll_sensitivity)\n    {\n      delX = scroll_amount;\n    }\n\n    return [delX, delY]\n  }\n\n  //contructor\n  this.initialize(r, ip);\n}\n\n//Description\n//webkit_click class. manages click events for draggables\n\nvar webkit_click = function(r, ip)\n{\n  this.initialize = function(root, instance_props)\n  {\n    var default_props = {onClick : webkit_tools.empty};\n\n    this.root = webkit_tools.$(root);\n    this.p = webkit_tools.extend(default_props, instance_props || {});\n    this.bindEvents();\n  }\n\n  this.bindEvents = function()\n  {\n    var root = this.root;\n\n    //bind events to local scope\n    this.ts = webkit_tools.bindAsEventListener(this.touchStart,this);\n    this.tm = webkit_tools.bindAsEventListener(this.touchMove,this);\n    this.te = webkit_tools.bindAsEventListener(this.touchEnd,this);\n\n    //add Listeners\n    root.addEventListener("touchstart", this.ts, false);\n    root.addEventListener("touchmove", this.tm, false);\n    root.addEventListener("touchend", this.te, false);\n\n    this.bound = true;\n  }\n\n  this.touchStart = function()\n  {\n    this.moved = false;\n    if(this.bound == false)\n    {\n      this.root.addEventListener("touchmove", this.tm, false);\n      this.bound = true;\n    }\n  }\n\n  this.touchMove = function()\n  {\n    this.moved = true;\n    this.root.removeEventListener("touchmove", this.tm);\n    this.bound = false;\n  }\n\n  this.touchEnd = function()\n  {\n    if(this.moved == false)\n    {\n      this.p.onClick();\n    }\n  }\n\n  this.setEvent = function(f)\n  {\n    if(typeof(f) == 'function')\n    {\n      this.p.onClick = f;\n    }\n  }\n\n  this.unbind = function()\n  {\n    var root = this.root;\n    root.removeEventListener("touchstart", this.ts);\n    root.removeEventListener("touchmove", this.tm);\n    root.removeEventListener("touchend", this.te);\n  }\n\n  //call constructor\n  this.initialize(r, ip);\n}</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content></content></xwikidoc>\n
7319943252803770311	1	1	2017-05-12 15:43:37	Install extension [org.phenotips:phenotips-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>UIX Directory</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822201000</creationDate>\n<date>1494618217000</date>\n<contentUpdateDate>1494618217000</contentUpdateDate>\n<version>1.1</version>\n<title>UIX Directory</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<object>\n<name>PhenoTips.UIX Directory</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>a191b070-8840-43bb-b61f-3fb1ad8719c3</guid>\n<property>\n<advancedOnly>1</advancedOnly>\n</property>\n<property>\n<categoryPriority>0</categoryPriority>\n</property>\n<property>\n<codeToExecute>{{include reference="PhenoTips.UIX Directory" /}}</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>1</configureGlobally>\n</property>\n<property>\n<displayInCategory>phenotips</displayInCategory>\n</property>\n<property>\n<displayInSection>UIX</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment></iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n<property>\n<sectionPriority>1000</sectionPriority>\n</property>\n</object>\n<content>{{velocity output="false"}}\n#set ($orders = {\n  'doc.name' : 'document name',\n  'doc.fullName' : 'document space',\n  'extensionId' : 'extension id',\n  'extensionPointId' : 'extension point id'\n})\n#set ($defaultOrder = 'doc.fullName')\n#set ($order = "$!{request.order}")\n#if (!$orders.get($order))\n  #set($order = $defaultOrder)\n#end\n\n#set ($uixClassName = 'XWiki.UIExtensionClass')\n#set ($uixTemplate = 'PhenoTips.UIXTemplate')\n\n#set ($uixDocs = $xwiki.wrapDocs($xwiki.searchDocuments(", BaseObject obj where doc.fullName &lt;&gt; ? and doc.fullName = obj.name and obj.className= ? order by doc.fullName asc", [$uixTemplate, $uixClassName])))\n\n#set($uixData = [])\n\n#foreach ($uixDoc in $uixDocs)\n  #set ($uixObjs = $uixDoc.getObjects($uixClassName))\n  #foreach ($uixObj in $uixObjs)\n    #set ($discard = $uixData.add({\n      'doc' : $uixDoc,\n      'obj' : $uixObj,\n      'doc.name' : $uixDoc.name,\n      'doc.fullName' : $uixDoc.fullName,\n      'doc.space' : $uixDoc.space,\n      'extensionId' : $uixObj.getProperty('name').value,\n      'extensionPointId' : $uixObj.getProperty('extensionPointId').value\n    }))\n  #end\n#end\n#set ($uixSortedData = $sorttool.sort($uixData, [$order]))\n\nSort UI extensions alphabetically by: ##\n#foreach ($o in $orders.keySet())\n  #if ($o == $order)\n   **$orders.get($o)**##\n  #else\n    [[$orders.get($o)&gt;&gt;$doc.fullName||queryString="$!{request.queryString.replaceAll('[&amp;]?order=[^&amp;]*', '')}&amp;order=${o}"]]##\n  #{end}#if ($foreach.hasNext()) | #end\n#end\n{{/velocity}}\n\n{{velocity}}\n#if ($hasAdmin)\n#set ($errorMessage = '')\n#if ($request.doCreate == '1' &amp;&amp; $services.csrf.isTokenValid($request.form_token))\n  #if ("$!{request.name.trim()}" == '')\n    #set ($errorMessage = "$services.localization.render('phenotips.UIXDirectory.noNameError')")\n  #else\n    #set ($targetDocument = $services.model.createDocumentReference($xcontext.database, $request.space, $request.name.trim()))\n    #if ($xwiki.exists($targetDocument))\n      #set ($errorMessage = "$services.localization.render('phenotips.UIXDirectory.nameExistsError', [${request.name}])")\n    #else\n      #set ($uixPoint = 'org.phenotips.patientSheet.section.none')\n      #set ($uixName = "org.phenotips.widget.$!{request.name.trim().toLowerCase().replaceAll(' +', '-')}")\n      #set ($uixFieldPrefix = "${uixClassName}_0_")\n      $response.sendRedirect($xwiki.getURL($targetDocument, 'edit', "editor=inline&amp;template=$escapetool.url($!{request.classTemplate})&amp;title=$!escapetool.url($request.name)&amp;parent=$!escapetool.url($request.parent)&amp;${uixFieldPrefix}name=$!escapetool.url(${uixName})&amp;${uixFieldPrefix}extensionPointId=${uixPoint}"))\n      #break\n    #end\n  #end\n#end\n\n\n#if ("$!errorMessage" != '')\n{{error}}$errorMessage{{/error}}\n\n#end\n{{html clean=false}}\n&lt;form class="xformInline" action="$doc.getURL($xcontext.action, $request.queryString)" method="post"&gt;&lt;div&gt;\n  &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n  &lt;input type="hidden" name="doCreate" value="1" /&gt;\n  &lt;input type="hidden" name="classTemplate" value="$uixTemplate" /&gt;\n  &lt;input type="hidden" name="space" value="$xwiki.getDocument(${uixTemplate}).space" /&gt;\n  &lt;input type="hidden" name="parent" value="${xwiki.getDocument($uixTemplate).space}.WebHome" /&gt;\n  &lt;label for="extension-name"&gt;$services.localization.render('phenotips.UIXDirectory.newExtension.label')&lt;/label&gt;&lt;input type="text" name="name" id="extension-name" placeholder="$services.localization.render('phenotips.UIXDirectory.newExtension.placeholder')"/&gt;&lt;input class="button" type="submit" value="$services.localization.render('phenotips.UIXDirectory.newExtension.create')"/&gt;\n&lt;/div&gt;&lt;/form&gt;\n{{/html}}\n\n#foreach ($o in $orders.keySet())\n  #if ($o == $order)\n|= $services.localization.render('phenotips.UIXDirectory.sortedBy', ["**$orders.get($o)**"])  ##\n  #else\n|= $services.localization.render('phenotips.UIXDirectory.sortBy', ["[[$orders.get($o)&gt;&gt;$doc.fullName||queryString='$!{request.queryString.replaceAll('[&amp;]?order=[^&amp;]*', '')}&amp;order=${o}']]"]) ##\n  #{end}#if (!$foreach.hasNext())\n|=\n#end\n#end\n#foreach ($uixDatum in $uixSortedData)\n| [[$uixDatum.get('doc.fullName')]] | $uixDatum.get('doc.space') | $uixDatum.extensionId | $uixDatum.extensionPointId | (% class="tools" %)(((##\n  [[{{icon name="pencil" title="$services.localization.render('phenotips.UIXDirectory.options.edit')"/}}&gt;&gt;path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('edit', "editor=object&amp;object=${uixDatum.obj.number}&amp;classname=${uixClassName}")]] ##\n  [[{{icon name="history" title="$services.localization.render('phenotips.UIXDirectory.options.history')"/}}&gt;&gt;path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('view', "viewer=history")]] ##\n  [[{{icon name="copy" title="$services.localization.render('phenotips.UIXDirectory.options.copy')"/}}&gt;&gt;path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('view', "xpage=copy")]] ##\n  [[{{icon name="file" title="$services.localization.render('phenotips.UIXDirectory.options.rename')"/}}&gt;&gt;path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('view', "xpage=rename")]] ##\n  [[{{icon name="download" title="$services.localization.render('phenotips.UIXDirectory.options.download')"/}}&gt;&gt;path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('export', "format=xar&amp;pages=${uixDatum.get('doc.fullName')}&amp;name=${uixDatum.get('doc.fullName')}")]] ##\n  [[{{icon name="times" title="$services.localization.render('phenotips.UIXDirectory.options.delete')"/}}&gt;&gt;path:$xwiki.getDocument($uixDatum.get('doc.fullName')).getURL('delete')]] ##\n)))\\\\\n#end\n#end## Has Admin\n{{/velocity}}\n</content></xwikidoc>
816723195616788224	1	1	2017-05-12 15:43:38	Install extension [org.phenotips:phenotips-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>PatientPhenotypeExportService</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822206000</creationDate>\n<date>1494618218000</date>\n<contentUpdateDate>1494618218000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action != 'get')\n  #break\n#end\n$!response.setContentType('application/json')##\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{content syntax="plain/1.0"}}\n#else\n  {{html wiki="false" clean="false"}}\n#end\n#set ($rows = [])\n#set ($result = {'rows': $rows, 'returnedrows': 0})\n#if ("$!request.id" != '')\n  #set ($patient = $services.patients.getPatientById($request.id))\n  #set ($result.source = $patient.id)\n#elseif ("$!request.eid" != '')\n  #set ($patient = $services.patients.getPatientByExternalId($request.eid))\n  #set ($result.source = $patient.externalId)\n#end\n#if (!$patient)\n  #set ($discard = $result.put('error', "$services.localization.render('phenotips.PatientPhenotyoeExportService.cantFindPatientError')"))\n  $jsontool.serialize($result)\n  #break\n#end\n#set ($result.source_url = $xwiki.getDocument($patient.document).externalURL)\n#set ($onset = $patient.getData('global-qualifiers').global_age_of_onset)\n#if ($onset)\n  #set ($result.global_age_of_onset = {'id' : $onset.id, 'label' : $onset.name})\n#end\n#set ($patientJSON = $patient.toJSON())\n#set ($discard = $result.put('hpo_version', $patient.getData('versions').hpo_version))\n#set ($discard = $result.put('specificity', $patientJSON.specificity))\n#foreach ($feature in $patientJSON.features)\n  #set ($item = {})\n  #set ($item.type = $feature.type)\n  #set ($item.phenotype_HP_id = $feature.id)\n  #set ($item.phenotype_name = $feature.label)\n  #set ($item.is_present = $feature.observed)\n  #foreach ($qualifier in $feature.qualifiers)\n    #set ($discard = $item.put($stringtool.substringAfterLast($qualifier.type, '_').concat('_HP_id'), $qualifier.id))\n    #set ($discard = $item.put($stringtool.substringAfterLast($qualifier.type, '_').concat('_name'), $qualifier.label))\n  #end\n  #if ("$!feature.notes" != '')\n    #set ($item.comments = $feature.notes)\n  #end\n  #set ($discard = $rows.add($item))\n#end\n#set ($result.returnedrows = $patient.features.size())\n$jsontool.serialize($result)\n#if ("$!{request.outputSyntax}" == 'plain')\n  {{/content}}\n#else\n  {{/html}}\n#end\n{{/velocity}}\n</content></xwikidoc>
1893759273606009473	1	1	2017-05-12 15:43:38	Install extension [org.phenotips:phenotips-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>Translations</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822201000</creationDate>\n<date>1494618218000</date>\n<contentUpdateDate>1494618218000</contentUpdateDate>\n<version>1.1</version>\n<title>Translations</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>admin.ontology=Ontology index\nadmin.workgroups=Work groups\nadmin.studies=Studies\n\nsaveandview=Save and view summary\nsaveandcontinue=Quick save\ncancel=Cancel changes since last save\n\nphenotips.profile.preferences=PhenoTips preferences\nphenotips.profile.preferences.mapping=Preferred mapping\n\nXWiki.XWikiUsers_company=Affiliation\nXWiki.XWikiUsers_comment=About\n\ncore.widgets.confirmationBox.button.cancel=Cancel\n\nphenotips.globalHeader.allData=Browse All Data\nphenotips.globalHeader.search.placeholder=Search for a patient record...\n\nphenotips.OmimPredictService.linkToDisorder=Read about this disorder on OMIM\nphenotips.OmimPredictService.noMatches=No matches found\nphenotips.PatientPhenotyoeExportService.cantFindPatientError=Identifier not found.\nphenotips.SuggestPatientService.serviceInfo=This service allows to retrieve search results for the suggest UI component. Example: {0}\nphenotips.UIXDirectory.noNameError=Please enter an extension name\nphenotips.UIXDirectory.nameExistsError=An extension named "{0}" already exists. Please choose a different name\nphenotips.UIXDirectory.newExtension.label=New extension name:\nphenotips.UIXDirectory.newExtension.placeholder=E.g. My widget\nphenotips.UIXDirectory.options.edit=Edit this extension\nphenotips.UIXDirectory.options.history=View change history\nphenotips.UIXDirectory.options.copy=Copy\nphenotips.UIXDirectory.options.rename=Rename\nphenotips.UIXDirectory.options.download=Export this extension as xar\nphenotips.UIXDirectory.options.delete=Delete this extension\nphenotips.UIXDirectory.newExtension.create=Create\nphenotips.UIXDirectory.sortedBy= Sorted by {0}\nphenotips.UIXDirectory.sortBy= Sort by {0}</content></xwikidoc>\n
-7321084362793911833	1	1	2017-05-12 15:43:38	Install extension [org.phenotips:phenotips-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>EthnicitySearch</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>PhenoTips.PatientClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822202000</creationDate>\n<date>1494618218000</date>\n<contentUpdateDate>1494618218000</contentUpdateDate>\n<version>1.1</version>\n<title>EthnicitySearch</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity}}\n#if ($xcontext.action == 'get')\n  #set ($input = $request.getParameter("input").toLowerCase())\n  #set ($finalResults = [])\n  #set ($lowercaseResults = [])\n\n  ##Get existing ethnicities\n  ##------------------------\n\n  #foreach($res in $services.vocabularies.ethnicity.getMatchingEthnicities($input))\n    #set ($discard = $finalResults.add($res.name))\n    #set ($discard = $lowercaseResults.add($res.name.toLowerCase()))\n  #end\n  #foreach($res in $services.query.hql('select distinct list from BaseObject as obj, DBStringListProperty as prop join prop.list list where obj.name &lt;&gt; ? and obj.className = ? and prop.id.id = obj.id and (prop.id.name = ? or prop.id.name = ?) and lower(list) like ?').bindValues(['PhenoTips.PatientTemplate', 'PhenoTips.PatientClass', 'maternal_ethnicity', 'paternal_ethnicity', "%${input}%"]).setLimit(10).execute())\n    #if (!$lowercaseResults.contains($res.toLowerCase()))\n      #set ($discard = $finalResults.add($res))\n    #end\n  #end\n\n  ##Display\n  ##-------\n\n  #if (!$request.getParameter("json"))\n    $response.setContentType("text/xml")\n    &lt;?xml version="1.0" encoding="UTF-8"?&gt;\n    &lt;results type="3"&gt;\n    #foreach($result in $finalResults)\n      &lt;rs id="$foreach.count" info=""&gt;$escapetool.xml($result)&lt;/rs&gt;\n    #end\n    &lt;/results&gt;\n  #else\n    $response.setContentType("application/json")\n    {\n      "returnedrows": $finalResults.size(),\n      "rows": [\n      #foreach($result in $finalResults)\n        #if ($foreach.count &gt; 1)\n          ,\n        #end\n        { "index": "$foreach.count", "ethnicity": "$escapetool.json($result)" }\n      #end\n      ]\n    }\n  #end\n#end\n{{/velocity}}\n</content></xwikidoc>
7372552029050495646	1	1	2017-05-12 15:43:38	Install extension [org.phenotips:phenotips-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>PhenoTips</web>\n<name>WebHome</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>Main.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822218000</creationDate>\n<date>1494618218000</date>\n<contentUpdateDate>1494618218000</contentUpdateDate>\n<version>1.1</version>\n<title>PhenoTips Code</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>clinicaldata.png</filename>\n<filesize>8871</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<name>PhenoTips.WebHome</name>\n<number>0</number>\n<className>XWiki.ConfigurableClass</className>\n<guid>470bd0ca-b8f7-462b-9338-af9043248a88</guid>\n<property>\n<codeToExecute>$response.sendRedirect($xwiki.getDocument('PhenoTips.WebHome').getURL())</codeToExecute>\n</property>\n<property>\n<configurationClass></configurationClass>\n</property>\n<property>\n<configureGlobally>0</configureGlobally>\n</property>\n<property>\n<displayInSection>PhenoTips</displayInSection>\n</property>\n<property>\n<heading></heading>\n</property>\n<property>\n<iconAttachment>clinicaldata.png</iconAttachment>\n</property>\n<property>\n<linkPrefix></linkPrefix>\n</property>\n<property>\n<propertiesToShow/>\n</property>\n</object>\n<content>{{include reference="Main.SpaceIndex" /}}</content></xwikidoc>\n
-2891722586435813814	1	1	2017-05-12 15:43:38	Install extension [org.phenotips:phenotips-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ConfigurationClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiClasses</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822120000</creationDate>\n<date>1494618218000</date>\n<contentUpdateDate>1494618218000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<class>\n<name>XWiki.ConfigurationClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<property>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>property</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>Property</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</property>\n<value>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>value</name>\n<number>2</number>\n<picker>0</picker>\n<prettyName>Value</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</value>\n</class>\n<content></content></xwikidoc>\n
-8951969440055178742	1	1	2017-05-12 15:43:38	Install extension [org.phenotips:phenotips-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminPresentationSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.AdminSheet</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822134000</creationDate>\n<date>1494618218000</date>\n<contentUpdateDate>1494618218000</contentUpdateDate>\n<version>1.1</version>\n<title>AdminPresentationSheet</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.AdminPresentationSheet</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>ec76f278-2bc9-4751-9716-f353c1ea39ad</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  $$('label.skin a, label.colorTheme a').each(function(button) {\n    button.__action = button.up('label').hasClassName('skin') ? 'view' : 'edit';\n    var input = button.up('dt').next('dd').down('input,select');\n    input.observe('change', function() {\n      var dotPosition = input.value.indexOf('.');\n      if (dotPosition &gt; 0) {\n        button.removeClassName('hidden');\n        button.href = new XWiki.Document(input.value.substring(dotPosition + 1), input.value.substring(0, dotPosition)).getURL(button.__action);\n      } else {\n        button.href = '#';\n        button.addClassName('hidden');\n      }\n    });\n  });\n});</code>\n</property>\n<property>\n<name>Correct the Customize button target</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>currentPage</use>\n</property>\n</object>\n<content>{{velocity output="false"}}\n$xwiki.jsx.use('XWiki.AdminPresentationSheet')\n### Change the skin and color theme, at global or space level\n#set ($params = {\n  'skin': ['skin'],\n  'colortheme': ['colorTheme']\n})\n{{/velocity}}\n\n{{include reference="XWiki.AdminFieldsDisplaySheet" /}}</content></xwikidoc>\n
7377573769106562403	1	1	2017-05-12 15:43:38	Install extension [org.phenotips:phenotips-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ConfigurableClassMacros</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.ConfigurableClass</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822152000</creationDate>\n<date>1494618218000</date>\n<contentUpdateDate>1494618218000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.admin.configurable.macros.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden>\n<content>{{velocity output="false"}}\n## Constants:\n#set($redirectParameter = 'xredirect')\n#set($nameOfThisDocument = 'XWiki.ConfigurableClass')\n\n\n#*\n * Try to determine whether a document was edited by a user who has edit right on this page. This is tricky because\n * documents are imported with the name XWiki.XWikiGuest who has no access to anything after import.\n *\n * @param theDoc - Document who's editor should be checked for edit access on this document.\n *###\n#macro(checkDocumentSavedByAuthorizedUser, $docToCheck, $currentDoc, $hasAccess)\n  ## The system is started and the only user is XWikiGuest who has admin right but gives it up when he imports the default\n  ## documents, we are checking to see if this looks like the guest imported the document with the first import.\n  #if($docToCheck.getWiki() == $xcontext.getMainWikiName()\n      &amp;&amp; $docToCheck.getVersion() == '1.1'\n      &amp;&amp; $docToCheck.getCreator() != $docToCheck.getContentAuthor()\n      &amp;&amp; $docToCheck.getContentAuthor() == 'XWiki.XWikiGuest')\n  ##\n    #set($userToCheck = $docToCheck.getCreator())\n  #else\n    #set($userToCheck = $docToCheck.getAuthor())\n  #end\n  #set ($hasAccess = $NULL)\n  #setVariable ("$hasAccess" $xwiki.hasAccessLevel('edit', $userToCheck, $currentDoc))\n#end\n\n\n#*\n * Find names of documents which contain objects of the class 'XWiki.ConfigurableClass'\n *\n * @param $section - String - Look for apps which specify that they should be configured in this section,\n *                            if null or "" then returns them for all sections.\n *\n * @param $globaladmin - boolean - If true then we will look for applications which should be configured globally.\n *\n * @param $space - String - If not looking for apps which are configured globally, then this is the space where we\n *                          will look for apps in. If null or "" or if $globaladmin is true, then all spaces will be\n *                          searched.\n *\n * @param $outputList - List - The returns from this macro will be put in this list, passing the list as a parameter\n *                             a safety measure because macros can't return values.\n *###\n#macro(findNamesOfAppsToConfigure, $section, $globaladmin, $space, $outputList)\n  ## Use a parameterized sql query to prevent injection.\n  #set($params = [])\n  #if($section &amp;&amp; $section != '')\n    #set($discard = $params.add("$section"))\n    #set($sqlA = ' StringProperty as section,')\n    #set($sqlB = " and section.id=obj.id and section.name='displayInSection' and section.value=?")\n  #else\n    ## Make sure they are "" in case they were set prior to calling the macro.\n    #set($sqlA = '')\n    #set($sqlB = '')\n  #end\n  ## Set up query based on value of $globaladmin\n  #if($globaladmin == true)\n    #set($sqlC = '1')\n  #else\n    #if($space &amp;&amp; $space != '')\n      #set($sqlC = '0 and doc.space = ?')\n      #set($discard = $params.add($space))\n    #else\n      #set($sqlC = '0')\n    #end\n  #end\n  #set($sql = ", BaseObject as obj,$sqlA IntegerProperty as global where "\n              + "doc.fullName=obj.name and obj.className='" + $nameOfThisDocument + "'$sqlB "\n              + "and global.id=obj.id and global.name='configureGlobally' and global.value=$sqlC "\n              + "order by doc.creationDate")\n  ##\n  ## Run the search\n  #set($discard = $outputList.addAll($services.query.hql($sql).bindValues($params).addFilter('unique').execute()))\n  ##\n#end\n\n\n#macro(findCustomSectionsToConfigure $adminMenu)\n  #set ($outputList = [])\n  #set ($global = ($editor == 'globaladmin'))\n  #findNamesOfAppsToConfigure('', $global, $currentSpace, $outputList)\n  #set ($sectionsByName = {})\n  #set ($categoriesByName = {})\n  #foreach ($category in $adminMenu)\n    #set ($discard = $categoriesByName.put($category.id, $category))\n    #foreach ($section in $category.children)\n      #set ($discard = $sectionsByName.put($section.id, $section))\n    #end\n  #end\n  ##\n  #set ($query = "editor=$escapetool.url(${editor})")\n  #if ($editor != 'globaladmin')\n    #set ($query = $query + "&amp;amp;space=$escapetool.url(${currentSpace})")\n  #end\n  #foreach ($appName in $outputList)\n    ##\n    ## Get the configurable application\n    #set ($app = $xwiki.getDocument($appName))\n    ##\n    ## If getDocument returns null, then warn the user that they don't have view access to that application.\n    #if (!$app)\n      #set ($discard = $appsUserCannotView.add($appName))\n    #end\n    ##\n    #foreach ($configurableObject in $app.getObjects($nameOfThisDocument))\n      #set ($displayInCategory = $app.getValue('displayInCategory', $configurableObject))\n      ## If there is no category specified in the object, use the default\n      #if ("$!{displayInCategory}" == '')\n        #set ($displayInCategory = 'applications')\n      #elseif ("$!{categoriesByName.get($displayInCategory)}" == '')\n        #set ($priority = $mathtool.toInteger("$!app.getValue('categoryPriority', $configurableObject)"))\n        #if ("$!priority" == '')\n          #set ($priority = 10000)\n        #end\n        #set ($newCategory = {\n          'id' : $displayInCategory,\n          'priority' : $priority,\n          'children': []\n        })\n        #set ($discard = $adminMenu.add($newCategory))\n        #set ($discard = $categoriesByName.put($newCategory.id, $newCategory))\n      #end\n      ##\n      #set ($displayInSection = $app.getValue('displayInSection', $configurableObject))\n      ## If there is no section specified in the object, just skip it\n      #if ("$!{displayInSection}" == '')\n        ## Skip, bad object\n      ## If there is no section for this configurable or if the section cannot be edited, then check if the\n      ## application can be edited by the current user, if so then we display the icon from the current app and\n      ## don't display any message to tell the user they can't edit that section.\n      #elseif ($sectionsByName.containsKey($displayInSection))\n        #set ($appSection = $sectionsByName.get($displayInSection))\n        #set ($appSection.configurable = true)\n        #set ($newSection = false)\n      #else\n        ##\n        ## If there is no section for this configurable, then we will have to add one.\n        #set($key = "admin.${displayInSection.toLowerCase()}")\n        #if($services.localization.get($key)) #set($name = $services.localization.render($key)) #else #set($name = $displayInSection) #end\n        #set ($appSection = {'id' : $displayInSection, 'name' : $name, 'url': $xwiki.getURL($currentDoc, $adminAction, "${query}&amp;amp;section=$escapetool.url(${displayInSection})"), 'configurable' : true})\n        #if ($app.getValue('configureGlobally', $configurableObject) != 1)\n          #set ($appSection.perSpace = true)\n        #end\n        #if ($app.getValue('advancedOnly', $configurableObject) == 1)\n          #set ($appSection.advanced = true)\n        #end\n        #set ($sectionPriority = $mathtool.toInteger("$!app.getValue('sectionPriority', $configurableObject)"))\n        #if ("$!sectionPriority" != '')\n          #set ($appSection.priority = $sectionPriority)\n        #end\n        #set ($key = "admin.${displayInSection.toLowerCase()}.description")\n        #if ($services.localization.get($key))\n          #set ($appSection.description = $services.localization.render($key))\n        #end\n        #set ($discard = $sectionsByName.put($displayInSection, $appSection))\n        #set ($discard = $categoriesByName.get($displayInCategory).children.add($appSection))\n        #set ($newSection = true)\n      #end\n      ##\n      ## If an attachment by the filename iconAttachment exists and is an image\n      #set ($attachment = $app.getAttachment("$!app.getValue('iconAttachment', $configurableObject)"))\n      #if ($attachment &amp;&amp; $attachment.isImage())\n        ## Set the icon for this section as the attachment URL.\n        #set ($appSection.iconReference = "${appName}@${attachment.getFilename()}")\n      #elseif(!$appSection.iconReference)\n        #set ($appSection.iconReference = 'XWiki.ConfigurableClass@DefaultAdminSectionIcon.png')\n      #end\n      ##\n      ## If the user doesn't have edit access to the application, we want to show a message on the icon\n      #if (!$xcontext.hasAccessLevel('edit', $app.getFullName()) &amp;&amp; $newSection)\n        #set ($appSection.readOnly = true)\n      #elseif ($xcontext.hasAccessLevel('edit', $app.getFullName()) &amp;&amp; $appSection.readOnly)\n        #set ($appSection.readOnly = false)\n      #end\n    #end## Foreach configurable object in this app.\n  #end## Foreach application which is configurable.\n  ##\n  ## Sort the adminMenu by category and section priority\n  ##\n  #set ($adminMenu = $sorttool.sort($adminMenu, 'priority'))\n  #foreach ($category in $adminMenu)\n    #foreach ($section in $category.children)\n      #if ("$!section.priority" == '')\n        #set ($discard = $section.put('priority', $mathtool.mul($foreach.count, 100)))\n      #end\n    #end\n      #set ($discard = $category.put('children', $sorttool.sort($category.children, 'priority')))\n  #end\n#end\n\n\n#*\n * Show the heading for configuration for a given application.\n *\n * $appName (String) Name of the application to show configuration heading for.\n *\n * $headingAlreadyShowing (boolean) If true then we don't make another heading. Otherwise it is set to true.\n *###\n#macro(showHeading, $appName, $headingAlreadyShowing)\n  #if(!$headingAlreadyShowing)\n    #set($headingAlreadyShowing = true)\n\n    = {{translation key="admin.customize"/}} __[[$appName&gt;&gt;$appName]]__: =\n  #end\n#end\n\n#define($formHtml)\n  #if ($objClass.getPropertyNames().size() &gt; 0)\n    &lt;dl&gt;\n    #foreach($propName in $objClass.getPropertyNames())\n      #if($propertiesToShow.size() &gt; 0 &amp;&amp; !$propertiesToShow.contains($propName))\n        ## Silently skip over this property.\n      #else\n        #set($prettyName = "#evaluate($app.displayPrettyName($propName, $obj))")\n        ##\n        ## Further processing of the field display HTML is needed.\n        ## Step 1: Strip &lt;pre&gt; tags which $obj.display inserts, this won't affect content because it's escaped.\n        #set($out = $obj.display($propName, 'edit').replaceAll('&lt;[/]?+pre&gt;', ''))\n        ## Step 2: Select only content between first &lt; and last &gt; because $obj.display inserts html macros.\n        ##         Careful not to remove html macros from the content because they are not escaped!\n        #set ($out = $out.substring($out.indexOf('&lt;'), $mathtool.add(1, $out.lastIndexOf('&gt;'))))\n        ## Step 3: Prepend app name to all ID and FOR attributes to prevent id collision with multiple apps on one page.\n        #set ($out = $out.replaceAll(\n            " id='$objClass.getName()_$obj.getNumber()_$propName", " id='${escapedAppName}_$objClass.getName()_$obj.getNumber()_$propName").replaceAll(\n            " for='$objClass.getName()_$obj.getNumber()_$propName", " for='${escapedAppName}_$objClass.getName()_$obj.getNumber()_$propName"))\n        ## App Name is prepended to for= to make label work with id which is modified to prevent collisions.\n        &lt;dt&gt;&lt;label for="${escapedAppName}_$objClass.getName()_$obj.getNumber()_$propName"&gt;\n        #if ($out.indexOf('type=''checkbox''') != -1 &amp;&amp; $out.indexOf('class="xwiki-form-listclass"') == -1)\n          $out\n          #set ($out = '')\n        #end\n        $escapetool.xml($prettyName)\n        &lt;/label&gt;\n        #if($linkPrefix != '')\n          #set($linkScript = "$linkPrefix$propName")\n          &lt;a href="$escapetool.xml("#evaluate($linkScript)")" class="xHelp" title="$services.localization.render('admin.documentation')"&gt;$services.localization.render('admin.documentation')&lt;/a&gt;\n        #end\n        &lt;/dt&gt;\n        #if ($out != '')\n          &lt;dd&gt;$out&lt;/dd&gt;\n        #end\n      #end## If property is in propertiesToShow\n    #end## Foreach property in this class\n    &lt;/dl&gt;\n  #end\n#end## define $formHtml\n{{/velocity}}</content></xwikidoc>\n
4170140448937233253	1	1	2017-05-12 15:43:38	Install extension [org.phenotips:phenotips-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>AdminSheet</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.XWikiPreferences</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822142000</creationDate>\n<date>1494618218000</date>\n<contentUpdateDate>1494618218000</contentUpdateDate>\n<version>1.1</version>\n<title></title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.1</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>applications.png</filename>\n<filesize>7358</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>configuration.png</filename>\n<filesize>9805</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>content.png</filename>\n<filesize>8456</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>editing.png</filename>\n<filesize>14726</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>elements.png</filename>\n<filesize>5339</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>email.png</filename>\n<filesize>8309</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>export.png</filename>\n<filesize>7585</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>extensionmanager.png</filename>\n<filesize>8283</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>groups.png</filename>\n<filesize>10977</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>import.png</filename>\n<filesize>8456</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>lf.png</filename>\n<filesize>4901</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>localization.png</filename>\n<filesize>10655</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>presentation.png</filename>\n<filesize>9312</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>registration.png</filename>\n<filesize>7935</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>rights.png</filename>\n<filesize>10836</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>templates.png</filename>\n<filesize>5760</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>users.png</filename>\n<filesize>12054</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment><attachment>\n<filename>usersgroups.png</filename>\n<filesize>10977</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.AdminSheet</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>4e754542-66c4-41c6-816a-96ed94c54205</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>/* Administration application custom JavaScript */\n\ndocument.observe('xwiki:dom:loaded', function() {\n  if($('goto-select')) {\n    Event.observe($('goto-select'), 'change', function (event) {\n      var select = event.element();\n      var i = select.selectedIndex;\n      if (window.location != select.options[i].value) {\n        window.location = select.options[i].value;\n      }\n    });\n    $('goto-select').next().hide();\n  }\n});\n</code></property><property><name>Administration application javascript</name>\n</property>\n<property>\n<parse>0</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<object>\n<class>\n<name>XWiki.StyleSheetExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<contentType>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>contentType</name>\n<number>6</number>\n<prettyName>Content Type</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>CSS|LESS</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</contentType>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.AdminSheet</name>\n<number>0</number>\n<className>XWiki.StyleSheetExtension</className>\n<guid>672fe873-2dc7-4ae0-9826-fb75e67eb350</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>#template('colorThemeInit.vm')\n\n#document-title {\n  margin-bottom: 1em;\n}\n#change-context {\n  float: right;\n  padding-top: 15px;\n}\n/* IE6 is very sick... */\n#change-context div {\n  display: inline;\n}\n#goto-select optgroup {\n  margin: 6px;\n}\n\n/*******************************************************/\n\n#admin-page-content {\n  margin-left: 15em;\n}\n\n.admin-category {\n  list-style: none outside none;\n  margin: 0 !important;\n  float: left;\n}\n\n.admin-category li {\n  clear: left;\n  color: $theme.textSecondaryColor;\n  margin: 0 1.5em 2em 0;\n  max-width: 400px;\n  overflow: hidden;\n}\n\n.admin-category strong {\n  font-size: 1.44em;\n  line-height: 2em;\n}\n\n.admin-category img {\n  float: left;\n  margin: 0 1em 0 0;\n}\n\n.admin-category .description {\n  font-size: .9em;\n  display: block;\n}\n\n.admin-menu .group, .admin-menu .group:hover  {\n  background-position: 7px 50%, top center;\n}\n\n#set ($phenotipsIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/xwiki/favicon16.png')${escapetool.S})")\n.admin-menu .group.phenotipsIcon {\n  background-image: ${phenotipsIcon};\n  #css3_backgroundIconAndLinearGradient($phenotipsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.phenotipsIcon:hover , .admin-menu .current.phenotipsIcon {\n  #css3_backgroundIconAndLinearGradient($phenotipsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($configurationIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/wrench.png')${escapetool.S})")\n.admin-menu .group.configurationIcon {\n  background-image: $configurationIcon;\n  #css3_backgroundIconAndLinearGradient($configurationIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.configurationIcon:hover , .admin-menu .current.configurationIcon {\n  #css3_backgroundIconAndLinearGradient($configurationIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($lfIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/layout_content.png')${escapetool.S})")\n.admin-menu .group.lfIcon {\n  background-image: $lfIcon;\n  #css3_backgroundIconAndLinearGradient($lfIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.lfIcon:hover , .admin-menu .current.lfIcon {\n  #css3_backgroundIconAndLinearGradient($lfIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($usersgroupsIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/group.png')${escapetool.S})")\n.admin-menu .group.usersgroupsIcon {\n  background-image: $usersgroupsIcon;\n  #css3_backgroundIconAndLinearGradient($usersgroupsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.usersgroupsIcon:hover , .admin-menu .current.usersgroupsIcon {\n  #css3_backgroundIconAndLinearGradient($usersgroupsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($contentIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/folder_page.png')${escapetool.S})")\n.admin-menu .group.contentIcon {\n  background-image: $contentIcon;\n  #css3_backgroundIconAndLinearGradient($contentIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.contentIcon:hover , .admin-menu .current.contentIcon {\n  #css3_backgroundIconAndLinearGradient($contentIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($extensionmanagerIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/xwiki/plugin_wrench.png')${escapetool.S})")\n.admin-menu .group.extensionmanagerIcon {\n  background-image: $extensionmanagerIcon;\n  #css3_backgroundIconAndLinearGradient($extensionmanagerIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.extensionmanagerIcon:hover , .admin-menu .current.extensionmanagerIcon {\n  #css3_backgroundIconAndLinearGradient($extensionmanagerIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($applicationsIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/plugin.png')${escapetool.S})")\n.admin-menu .group.applicationsIcon {\n  background-image: $applicationsIcon;\n  #css3_backgroundIconAndLinearGradient($applicationsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.applicationsIcon:hover , .admin-menu .current.applicationsIcon {\n  #css3_backgroundIconAndLinearGradient($applicationsIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n\n#set ($readOnlyIcon = "url(${escapetool.S}$xwiki.getSkinFile('icons/silk/error.png')${escapetool.S})")\n.admin-menu .group.readOnly {\n  background-image: $readOnlyIcon;\n  #css3_backgroundIconAndLinearGradient($readOnlyIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuContentGradientColor, 'position': '0%'},\n      {'color': $theme.menuContentBackgroundColor, 'position': '100%'}\n    ]\n  })\n}\n.admin-menu .group.readOnly:hover , .admin-menu .current.readOnly {\n  #css3_backgroundIconAndLinearGradient($readOnlyIcon, {\n     'to': 'bottom',\n     'colors': [\n      {'color': $theme.menuGradientColor, 'position': '0%'},\n      {'color': $theme.menuBackgroundColor, 'position': '50%'}\n    ]\n  })\n}\n.admin-menu .group.readOnly, .admin-menu .group.readOnly:hover , .admin-menu .current.readOnly  {\n  background-position: 5px 50%, top center;\n}\n\n/* Override general table styles. */\n/* TODO: Move to livetable.css */\n\n#userstable td, #groupstable td, #usersandgroupstable td, #alldocstable td {\n  border-color: transparent;\n}\n\n#userstable, #groupstable, #usersandgroupstable, #alldocstable {\n  border-color: transparent;\n}\n\n#usersandgroupstable-filters #name {\n    width: 65%;\n}\n\n.rights-settings dt {\n  /* The labels for the general rights settings are long and thus look bad when displayed with bold text. */\n  font-weight: normal;\n}</code>\n</property>\n<property>\n<name>Administration application stylesheet</name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{include reference="XWiki.ConfigurableClassMacros" /}}\n\n{{velocity output="false"}}\n#if ($request.xaction == 'switchContext')\n  $response.sendRedirect($request.target)\n  #stop\n#end\n\n#set ($adminAction = 'admin')\n#set ($crtCategoryId = "$!{request.category}")\n#if ($crtCategoryId != '')\n  #set ($crtCategoryId = $mathtool.toInteger($crtCategoryId))\n#end\n#set ($crtSectionId = "$!{request.section}")\n\n##\n## Admin menu map\n##\n#set($adminMenu = [\n  {\n    'id' : 'configuration',\n    'priority' : 100,\n    'children': [\n       {'id' : 'Editing', 'advanced' : true, 'order': 100},\n       {'id' : 'Localization', 'advanced' : true, 'order': 200},\n       {'id' : 'XWiki.OfficeImporterAdmin', 'advanced' : true, 'order': 300}\n    ]\n  },\n  {\n    'id' : 'lf',\n    'priority' : 200,\n    'children': [\n       {'id' : 'Presentation', 'perSpace' : true, 'order': 100},\n       {'id' : 'Elements', 'perSpace' : true, 'advanced' : true, 'order': 200},\n       {'id' : 'Panels.PanelWizard', 'perSpace' : true, 'advanced' : true, 'order': 300}\n    ]\n  },\n  {\n    'id' : 'usersgroups',\n    'priority' : 300,\n    'children': [\n       {'id' : 'Users', 'order': 100},\n       {'id' : 'Groups', 'order': 200},\n       {'id' : 'Rights', 'perSpace' : true, 'advanced' : true, 'order': 300},\n       {'id' : 'Registration', 'advanced' : true, 'order': 400},\n       {'id' : 'UserProfile', 'advanced' : true, 'order': 500}\n    ]\n  },\n  {\n    'id' : 'content',\n    'priority' : 400,\n    'advanced' : true,\n    'children': [\n       {'id' : 'Import', 'action' : 'import', 'order': 100},\n       {'id' : 'Export', 'action' : 'export', 'order': 200},\n       {'id' : 'Templates', 'order': 300}\n    ]\n  },\n  {\n    'id' : 'extensionmanager',\n    'priority' : 500,\n    'children': [\n       {'id' : 'XWiki.AddExtensions', 'order': 100},\n       {'id' : 'XWiki.InstalledExtensions', 'order': 200},\n       {'id' : 'XWiki.CoreExtensions', 'advanced' : true, 'order': 300},\n       {'id' : 'XWiki.ExtensionUpdater', 'order': 400},\n       {'id' : 'XWiki.ExtensionHistory', 'advanced' : true, 'order': 500}\n    ]\n  },\n  {\n    'id' : 'applications',\n    'priority' : 1000,\n    'advanced' : true,\n    'children' : []\n  }\n])\n\n#**\n * Returns whether or not the requested section exists\n *\n * Example of use:\n * #if("#admin_hasSection('sectionId')" != '')\n *   OK\n * #end\n *#\n#macro (admin_hasSection $sectionId)\n  #foreach($category in $adminMenu)\n    #foreach($section in $category.children)\n      #if($section.id == $sectionId)\n        OK\n      #end\n    #end\n  #end\n#end\n\n##\n## Fill in the list of custom applications to configure\n##\n#findCustomSectionsToConfigure($adminMenu)\n\n##\n## Filter only the sections that are valid in a space, when administering a space\n##\n#if ($editor == 'spaceadmin')\n  #set ($categoriesToRemove = [])\n  #foreach ($category in $adminMenu)\n    #set ($sectionsToRemove = [])\n    #foreach ($section in $category.children)\n      #if (!$section.perSpace)\n        #set ($discard = $sectionsToRemove.add($section))\n      #end\n    #end\n    #set ($discard = $category.children.removeAll($sectionsToRemove))\n    #if ($category.children.size() == 0)\n      #set ($discard = $categoriesToRemove.add($category))\n    #end\n  #end\n  #set ($discard = $adminMenu.removeAll($categoriesToRemove))\n#end\n##\n## For simple users, filter only the sections that are not marked as 'advanced' confoguration\n##\n#if (!$isAdvancedUser)\n  #set ($categoriesToRemove = [])\n  #foreach ($category in $adminMenu)\n    #set ($sectionsToRemove = [])\n    #foreach ($section in $category.children)\n      #if ($section.advanced)\n        #set ($discard = $sectionsToRemove.add($section))\n      #end\n    #end\n    #set ($discard = $category.children.removeAll($sectionsToRemove))\n    #if ($category.children.size() == 0 || $category.advanced)\n      #set ($discard = $categoriesToRemove.add($category))\n    #end\n  #end\n  #set ($discard = $adminMenu.removeAll($categoriesToRemove))\n#end\n#if ("$!crtCategoryId" != '' &amp;&amp; $crtCategoryId &gt;= $adminMenu.size())\n  #set ($crtCategoryId = '')\n#end\n\n#if ("$!crtSectionId" != '')\n  #if("#admin_hasSection($crtSectionId)" != '')\n    #set ($crtItemId = $crtSectionId)\n  #else\n    #set($crtSectionId = $NULL)\n  #end\n#elseif ("$!crtCategoryId" != '')\n  #set ($crtItemId = $adminMenu.get($crtCategoryId).id)\n#end\n#set ($crtSection = $NULL)\n#set ($crtCategory = $NULL)\n\n\n##\n## Prepare the Admin menu map for processing\n##\n#set ($filteredAdminMenu = [])\n#foreach ($category in $adminMenu)\n  ## "Standard" URLs and icons for categories\n  #set ($category.url = $xwiki.getURL($currentDoc, $adminAction, "category=${mathtool.sub($velocityCount, 1)}"))\n  #if ($xwiki.getDocument('XWiki.AdminSheet').getAttachment("${category.id}.png"))\n    #set ($category.iconReference = "XWiki.AdminSheet@${category.id}.png")\n  #else\n    #set ($category.iconReference = "XWiki.ConfigurableClass@DefaultAdminSectionIcon.png")\n  #end\n  #set ($category.description = $services.localization.render("admin.${category.id}.description").trim())\n  #set ($category.cssClass = "${category.id}Icon")\n  #set ($category.name = $services.localization.render("admin.${category.id}").trim())\n  #if ("$!{crtCategoryId}" != '' &amp;&amp; $velocityCount == $mathtool.add($crtCategoryId, 1))\n    #set ($crtCategory = $category)\n  #end\n  ##\n  ## Process each admin section\n  #set ($filteredCategoryChildren = [])\n  #foreach ($section in $category.children)\n    #if ($xwiki.exists($section.id) || $xwiki.exists("XWiki.Admin${section.id}Sheet"))\n      #if ($crtSectionId == $section.id)\n        #set ($crtSection = $section)\n        #set ($crtCategory = $category)\n      #end\n      #set ($section.iconReference = '')\n      #if ($section.id.indexOf('.') &gt; 0)\n        #set ($sectionDoc = $xwiki.getDocument($section.id))\n        #set ($section.name = $sectionDoc.getDisplayTitle())\n        #if ($sectionDoc.getAttachment('icon.png'))\n          #set ($section.iconReference = "${sectionDoc}@icon.png")\n        #else\n          #set ($section.iconReference = 'XWiki.ConfigurableClass@DefaultAdminSectionIcon.png')\n        #end\n      #else\n        #set ($sectionDoc = $xwiki.getDocument('XWiki.AdminSheet'))\n        #set ($section.name = $services.localization.render("admin.${section.id.toLowerCase()}"))\n        #set ($iconName = "${section.id.toLowerCase()}.png")\n        #if ($sectionDoc.getAttachment($iconName))\n          #set ($section.iconReference = "${sectionDoc}@${iconName}")\n        #else\n          #set ($section.iconReference = 'XWiki.ConfigurableClass@DefaultAdminSectionIcon.png')\n        #end\n      #end\n      #set ($query = "editor=$escapetool.url(${editor})&amp;amp;section=$escapetool.url(${section.id})")\n      #if ($editor != 'globaladmin')\n        #set ($query = $query + "&amp;amp;space=$escapetool.url(${currentSpace})")\n      #end\n      #set ($action = "$!{section.action}")\n      #if ($action == '')\n        #set ($action = $adminAction)\n      #end\n      #set ($section.url = $xwiki.getURL($currentDoc, $action, $query))\n      #set ($key = "admin.${section.id.toLowerCase()}.description")\n      #if ($services.localization.get($key))\n        #set ($section.description = $services.localization.render($key))\n      #end\n      #set ($discard = $filteredCategoryChildren.add($section))\n    #elseif ($section.configurable)\n      #if ($section.readOnly)\n        #set ($section.cssClass = 'readOnly')\n      #end\n      #if ($crtSectionId == $section.id)\n        #set ($crtSection = $section)\n        #set ($crtCategory = $category)\n      #end\n      #set ($discard = $filteredCategoryChildren.add($section))\n    #end\n  #end\n  #set ($category.children = $filteredCategoryChildren)\n  #if ($filteredCategoryChildren.size() &gt; 0)\n    #set ($discard = $filteredAdminMenu.add($category))\n  #end\n#end\n#set ($adminMenu = $filteredAdminMenu)\n\n#**\n * Displays the sections from an administration category\n *\n * Expected format:\n * sections = vector of items\n * item = map with the following fields:\n *        'id'       : mandatory\n *        'name'     : the text displayed for the corresponding menu item;\n *                     optional, defaults to\n *                     $services.localization.render("$!{translationPrefix}${item.id}")\n *        'description' : the description displayed for the corresponding section;\n *                     optional\n *        'link'     : the "action" of the menu item; mandatory\n *        'cssClass' : a specific css class for the menu item for custom\n *                     styling; optional, defaults to ''\n *\n * @param $sections the sections list, in the format described above\n * @param $translationPrefix the translation prefix added to the id of each\n *        item, in order to generate the name and description; ignored when\n *        name or description are specified\n *#\n#macro(admin_displayCategory $sections $translationPrefix)\n(% class="admin-category" %)\n  #set ($sortedSections = [])\n  #sortCollectionOfMapsByField($sections, 'order', 9999, 'asc', $sortedSections)\n  #foreach ($section in $sortedSections)\n    * {{html wiki="true"}}&lt;a href="$section.url"&gt;[[image:${section.iconReference}]] **${section.name}**&lt;/a&gt;{{/html}} (% class="description" %)$!{section.description}\n  #end\n#end\n\n\n#**\n * Displays the administration categories\n *\n * Expected format:\n * sections = vector of items\n * item = map with the following fields:\n *        'id'       : mandatory\n *        'name'     : the text displayed for the corresponding menu item;\n *                     optional, defaults to\n *                     $services.localization.render("$!{translationPrefix}${item.id}")\n *        'description' : the description displayed for the corresponding section;\n *                     optional\n *        'link'     : the "action" of the menu item; mandatory\n *        'cssClass' : a specific css class for the menu item for custom\n *                     styling; optional, defaults to ''\n *\n * @param $sections the sections list, in the format described above\n * @param $translationPrefix the translation prefix added to the id of each\n *        item, in order to generate the name and description; ignored when\n *        name or description are specified\n *#\n#macro(admin_displayCategories $adminMenu $translationPrefix)\n(% class="admin-category" %)\n  #foreach ($category in $adminMenu)\n    * [[[[image:${category.iconReference}]] **${category.name}**&gt;&gt;path:${category.url}]] (% class="description" %)$!{category.description}\n  #end\n#end\n\n#**\n * Displays the drop down allowing to choose a different space to administer.\n *#\n#macro (admin_spaceSwitch)\n{{html clean="false"}}\n  &lt;form id="change-context" class="xformInline" action="$!doc.getURL($xcontext.action)"&gt;\n    &lt;div&gt;\n      &lt;input type="hidden" name="xaction" value="switchContext" /&gt;\n      &lt;select id="goto-select" name="target"&gt;\n        #if ($xwiki.hasAccessLevel('admin', $xcontext.user, 'XWiki.XWikiPreferences'))\n          &lt;optgroup label="$services.localization.render('admin.gotoglobaladministration')"&gt;\n            &lt;option value="$xwiki.getURL('XWiki.XWikiPreferences', 'admin', "section=$escapetool.url($crtSectionId)")" #if("$!{editor}"=="globaladmin")selected="selected"#end&gt;$services.localization.render('admin.globaladministration')&lt;/option&gt;\n          &lt;/optgroup&gt;\n        #end\n        &lt;optgroup label="$services.localization.render('admin.gotospaceadministration')"&gt;\n        #foreach($spaceitem in $xwiki.spaces)\n          #set ($spacePreferencesDocument = $services.model.createDocumentReference('', $spaceitem, 'WebPreferences'))\n          #if ($xwiki.hasAccessLevel('admin', $xcontext.user, $services.model.serialize($spacePreferencesDocument, 'default')))\n            &lt;option value="$xwiki.getURL($spacePreferencesDocument, 'admin', "section=$escapetool.url($crtSectionId)")" #if("$!{currentSpace}" == ${spaceitem} &amp;&amp; "$!{editor}" != 'globaladmin')selected="selected"#end&gt;$escapetool.xml($spaceitem)&lt;/option&gt;\n          #end\n        #end\n        &lt;/optgroup&gt;\n      &lt;/select&gt;\n      &lt;span class="buttonwrapper"&gt;&lt;input type="submit" value="$escapetool.xml($services.localization.render('admin.switchContext'))" class="button" /&gt;&lt;/span&gt;\n    &lt;/div&gt;\n  &lt;/form&gt;\n{{/html}}\n#end\n{{/velocity}}\n\n{{velocity}}\n##**************************************************************************************************\n## Administration Sheet, used to display a common UI for some wiki features (presentation, users,\n## groups, rights etc.) at global / space level and also for several applications.\n##**************************************************************************************************\n#if($xcontext.action == 'view')\n  $response.sendRedirect($xwiki.getURL($doc.getFullName(), 'admin', $request.getQueryString()))##\n#else\n  $xwiki.jsx.use('XWiki.AdminSheet')##\n  ## Construct the SSX parameter map:\n  ## - One parameter for the color theme\n  ## - Each custom ConfigurableClass can provide a custom icon to display in categories headings and\n  ##   thus we need to pass them to the SSX of the AdminSheet.\n  #set ($parameterMap = {})\n  #if ($themeDoc)\n    #set ($discard = $parameterMap.put('colorTheme', $themeDocFullName))\n  #end\n  #foreach ($adminMenuCategory in $adminMenu)\n    #set ($customIcon = $adminMenuCategory.categoryIcon)\n    #if ("$!customIcon" != '')\n      #set ($discard = $parameterMap.put("${adminMenuCategory.id}Icon", $customIcon))\n    #end\n  #end\n  $xwiki.ssx.use('XWiki.AdminSheet', $parameterMap)##\n  #if ("$!crtSectionId" != '' &amp;&amp; $crtSectionId.indexOf('.') &gt; 0 &amp;&amp; $xwiki.exists($crtSectionId))\n    #set ($sectionName = $xwiki.getDocument($crtSectionId).getDisplayTitle())\n  #elseif ($crtSectionId != '' &amp;&amp; $services.localization.get("admin.${crtSectionId.toLowerCase()}"))\n    #set ($sectionName = $services.localization.render("admin.${crtSectionId.toLowerCase()}"))\n  #elseif ("$!crtSectionId" != '')\n    #set ($sectionName = $crtSectionId)\n  #elseif ($crtCategoryId != '')\n    #set ($sectionName = $services.localization.render("admin.${crtItemId}"))\n  #elseif ($editor == 'globaladmin')\n    #set ($sectionName = $services.localization.render('xe.admin.global'))\n  #else\n    #set ($sectionName = $currentSpace)\n  #end\n#admin_spaceSwitch()\n(% id="hierarchy" %)\n(((\n\n{{html}}\n#breadcrumb_start()\n  #if ($crtCategory)\n    #breadcrumb_line($xwiki.getURL($currentDoc, $adminAction), $services.localization.render('admin.main.title'))\n    ##&lt;li&gt;&lt;a href="${xwiki.getURL($currentDoc, $adminAction)}"&gt;$services.localization.render('admin.main.title')&lt;/a&gt;&lt;/li&gt;\n  #else\n    #breadcrumb_current_line($services.localization.render('admin.main.title'))\n    ##&lt;li class="active"&gt;$services.localization.render('admin.main.title')&lt;/li&gt;\n  #end\n  #if ($crtCategory)\n    #if ($crtSection)\n      #breadcrumb_line($crtCategory.url, $crtCategory.name)\n      ##&lt;li&gt;&lt;a href="$crtCategory.url"&gt;$crtCategory.name&lt;/a&gt;&lt;/li&gt;\n    #else\n      #breadcrumb_current_line($crtCategory.name)\n      ##&lt;li class="active"&gt;$crtCategory.name&lt;/li&gt;\n    #end\n    #if ($crtSection)\n      #breadcrumb_current_line($crtSection.name)\n      ##&lt;li class="active"&gt;$crtSection.name&lt;/li&gt;\n    #end\n  #end\n#breadcrumb_end()\n{{/html}}\n\n)))\n(% id="document-title" %)(((\n  = $services.localization.render('admin.section.title', [$sectionName]) =\n)))\n\n  #verticalNavigation($adminMenu {'translationPrefix' : 'admin.', 'crtItemId' : "$!crtItemId", 'cssClass' : 'admin-menu'})\n  ##-----------------------------------------\n  ## admin-page display\n  ##-----------------------------------------\n    #if(!$crtSection &amp;&amp; !$crtCategory)\n      #admin_displayCategories($adminMenu 'admin.')\n    #elseif (!$crtSection)\n      #admin_displayCategory($crtCategory.children 'admin.')\n    #else\n      (% id="admin-page-content" %)(((\n        ##------------------------------------------------------------------------------------------------------------\n        ## The Administration allows editing other pages from different applications inside the admin context (UI)\n        ##------------------------------------------------------------------------------------------------------------\n        #if("$!{request.editmode}" == 'inline' &amp;&amp; $xwiki.exists($section))\n          $xcontext.setDisplayMode('edit')##\n\n          {{html clean="false"}}{{include reference="XWiki.AdminInlineSheet" /}}{{/html}}\n        #else\n          #if($xwiki.exists("XWiki.Admin${section}Sheet"))\n            ## Custom XE administration section\n\n            {{include reference="XWiki.Admin${section}Sheet" /}}\n\n          #elseif($xwiki.exists($section))\n            {{html clean="false"}}#includeForm($section){{/html}}\n          #end\n        #end\n        #if ($crtSection.configurable)\n          {{include reference="XWiki.ConfigurableClass" /}}\n        #end\n      ))) ## admin-page-content\n    #end\n#end\n{{/velocity}}</content></xwikidoc>\n
483170161964232996	1	1	2017-05-12 15:43:38	Install extension [org.phenotips:phenotips-ui-1.2.6]	XWiki.Admin	f	<?xml version="1.0" encoding="UTF-8"?>\n<xwikidoc>\n<web>XWiki</web>\n<name>ConfigurableClass</name>\n<language></language>\n<defaultLanguage></defaultLanguage>\n<translation>0</translation>\n<parent>XWiki.WebHome</parent>\n<creator>XWiki.Admin</creator>\n<author>XWiki.Admin</author>\n<customClass></customClass>\n<contentAuthor>XWiki.Admin</contentAuthor>\n<creationDate>1401822120000</creationDate>\n<date>1494618218000</date>\n<contentUpdateDate>1494618218000</contentUpdateDate>\n<version>1.1</version>\n<title>$services.localization.render('xe.admin.configurable.title')</title>\n<defaultTemplate></defaultTemplate>\n<validationScript></validationScript>\n<comment>Install extension [org.phenotips:phenotips-ui-1.2.6]</comment>\n<minorEdit>false</minorEdit>\n<syntaxId>xwiki/2.0</syntaxId>\n<hidden>true</hidden><attachment>\n<filename>DefaultAdminSectionIcon.png</filename>\n<filesize>4198</filesize>\n<author>xwiki:XWiki.Admin</author>\n<date>1494618218000</date>\n<version>1.1</version>\n<comment></comment></attachment>\n<class>\n<name>XWiki.ConfigurableClass</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<advancedOnly>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType></displayType>\n<name>advancedOnly</name>\n<number>5</number>\n<prettyName>advancedOnly</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</advancedOnly>\n<categoryPriority>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>categoryPriority</name>\n<number>2</number>\n<numberType>integer</numberType>\n<prettyName>categoryPriority</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</categoryPriority>\n<codeToExecute>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<editor>---</editor>\n<name>codeToExecute</name>\n<number>11</number>\n<picker>0</picker>\n<prettyName>codeToExecute</prettyName>\n<rows>5</rows>\n<size>40</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</codeToExecute>\n<configurationClass>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>configurationClass</name>\n<number>7</number>\n<picker>0</picker>\n<prettyName>configurationClass</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</configurationClass>\n<configureGlobally>\n<customDisplay></customDisplay>\n<defaultValue></defaultValue>\n<disabled>0</disabled>\n<displayFormType>checkbox</displayFormType>\n<displayType></displayType>\n<name>configureGlobally</name>\n<number>8</number>\n<prettyName>configureGlobally</prettyName>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</configureGlobally>\n<displayInCategory>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>displayInCategory</name>\n<number>1</number>\n<picker>0</picker>\n<prettyName>displayInCategory</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</displayInCategory>\n<displayInSection>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>displayInSection</name>\n<number>3</number>\n<picker>0</picker>\n<prettyName>displayInSection</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</displayInSection>\n<heading>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>heading</name>\n<number>6</number>\n<picker>0</picker>\n<prettyName>heading</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</heading>\n<iconAttachment>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>iconAttachment</name>\n<number>12</number>\n<picker>0</picker>\n<prettyName>iconAttachment</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</iconAttachment>\n<linkPrefix>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>linkPrefix</name>\n<number>9</number>\n<picker>0</picker>\n<prettyName>linkPrefix</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</linkPrefix>\n<propertiesToShow>\n<cache>0</cache>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<displayType>input</displayType>\n<multiSelect>1</multiSelect>\n<name>propertiesToShow</name>\n<number>10</number>\n<picker>0</picker>\n<prettyName>propertiesToShow</prettyName>\n<relationalStorage>1</relationalStorage>\n<separator> </separator>\n<separators> ,|</separators>\n<size>20</size>\n<sort>none</sort>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<values></values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</propertiesToShow>\n<sectionPriority>\n<customDisplay></customDisplay>\n<disabled>0</disabled>\n<name>sectionPriority</name>\n<number>4</number>\n<numberType>integer</numberType>\n<prettyName>sectionPriority</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<validationMessage></validationMessage>\n<validationRegExp></validationRegExp>\n<classType>com.xpn.xwiki.objects.classes.NumberClass</classType>\n</sectionPriority>\n</class>\n<object>\n<class>\n<name>XWiki.JavaScriptExtension</name>\n<customClass></customClass>\n<customMapping></customMapping>\n<defaultViewSheet></defaultViewSheet>\n<defaultEditSheet></defaultEditSheet>\n<defaultWeb></defaultWeb>\n<nameField></nameField>\n<validationScript></validationScript>\n<cache>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>cache</name>\n<number>5</number>\n<prettyName>Caching policy</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>long|short|default|forbid</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</cache>\n<code>\n<disabled>0</disabled>\n<name>code</name>\n<number>2</number>\n<prettyName>Code</prettyName>\n<rows>20</rows>\n<size>50</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.TextAreaClass</classType>\n</code>\n<name>\n<disabled>0</disabled>\n<name>name</name>\n<number>1</number>\n<prettyName>Name</prettyName>\n<size>30</size>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.StringClass</classType>\n</name>\n<parse>\n<disabled>0</disabled>\n<displayFormType>select</displayFormType>\n<displayType>yesno</displayType>\n<name>parse</name>\n<number>4</number>\n<prettyName>Parse content</prettyName>\n<unmodifiable>0</unmodifiable>\n<classType>com.xpn.xwiki.objects.classes.BooleanClass</classType>\n</parse>\n<use>\n<cache>0</cache>\n<disabled>0</disabled>\n<displayType>select</displayType>\n<multiSelect>0</multiSelect>\n<name>use</name>\n<number>3</number>\n<prettyName>Use this extension</prettyName>\n<relationalStorage>0</relationalStorage>\n<separator> </separator>\n<separators>|, </separators>\n<size>1</size>\n<unmodifiable>0</unmodifiable>\n<values>currentPage|onDemand|always</values>\n<classType>com.xpn.xwiki.objects.classes.StaticListClass</classType>\n</use>\n</class>\n<name>XWiki.ConfigurableClass</name>\n<number>0</number>\n<className>XWiki.JavaScriptExtension</className>\n<guid>71fc6ffa-92cb-48f1-9d80-a845d1807b10</guid>\n<property>\n<cache>long</cache>\n</property>\n<property>\n<code>document.observe('xwiki:dom:loaded', function() {\n  // Hide headers unless they have error messages under them.\n  var elementsInPage = $('admin-page-content').childNodes;\n  var errorShown = false;\n  for (var i = elementsInPage.length - 1; i &gt; -1; i--) {\n    var e = elementsInPage[i];\n    if (e.tagName != undefined &amp;&amp; e.tagName.toLowerCase() == 'div' &amp;&amp; e.getAttribute('class') != undefined &amp;&amp; e.getAttribute('class').indexOf('errormessage') != -1)\n    {\n      errorShown = true;\n    } else if (!errorShown\n               &amp;&amp; e.tagName != undefined\n               &amp;&amp; e.tagName.toLowerCase() == 'h1'\n               &amp;&amp; e.getAttribute('id') != undefined\n               &amp;&amp; e.getAttribute('id').toLowerCase().indexOf('hcustomize') == 0)\n    {\n      e.parentNode.removeChild(e);\n      errorShown = false;\n    }\n  }\n\n  // Hide individual submit buttons.\n  var forms = $('admin-page-content').select('form');\n  var inputs = $('admin-page-content').select('input');\n  for (var i = 0; i &lt; inputs.length; i++) {\n    if (inputs[i].getAttribute('type') != undefined &amp;&amp; inputs[i].getAttribute('type').toLowerCase() == 'submit') {\n      var bottombuttons = inputs[i].up('.bottombuttons');\n      bottombuttons &amp;&amp; bottombuttons.remove();\n    }\n  }\n\n  // Add a submit button for saving all sections at once.\n  var button = new Element('input', {'type':'submit', 'class':'button', 'value':'$services.localization.render("admin.save")', 'name':'formactionsac'});\n  var wrapper = new Element('span', {'class':'buttonwrapper'});\n  var adminButtons = new Element('p', {'class':'admin-buttons'});\n  var bottomButtons = new Element('div', {'class':'bottombuttons'});\n  $('admin-page-content').appendChild(bottomButtons);\n  bottomButtons.appendChild(adminButtons);\n  adminButtons.appendChild(wrapper);\n  wrapper.appendChild(button);\n\n  Event.observe(button, 'click', function() {\n    var forms = $('admin-page-content').getElementsByTagName('form');\n    for (var i = 0; i &lt; forms.length; i++) {\n      Event.fire(document, 'xwiki:actions:save', {'form':forms[i].id, 'continue':true});\n    }\n  });\n});</code>\n</property>\n<property>\n<name></name>\n</property>\n<property>\n<parse>1</parse>\n</property>\n<property>\n<use>onDemand</use>\n</property>\n</object>\n<content>{{include reference="XWiki.ConfigurableClassMacros" /}}\n\n{{velocity}}\n#*\n * This part takes the configuration from any documents containing XWiki.ConfigurableClass objects and creates a form\n * for each. To includeForm this document, you may specify:\n *\n * $section - String - The section which we are administrating eg: "Registration", "Users", or "Import".\n *                     If none is specified then it checks for a request parameter called "section" and uses that,\n *                     if no parameter, then this code assumes that it is part of the admin icons sheet and adds icons\n *                     for any section which is not in $sections, in that event, this code assumes it is being run\n *                     inside of a &lt;ul&gt; block.\n *\n * $sections - List&lt;String&gt; - If section is not specified, any sections on this list will not have icons made for them,\n *                            the assumption being that the icons are already there. If section is specified then this\n *                            is not taken into account and may safely be undefined.\n *\n * $currentDoc - String (document.fullName) - The administration document, users who don't have permission to edit\n *                                            it will not be able to include applications (possibly injecting\n *                                            arbitrary code.) if none specified then $doc.getFullName() is used.\n *\n * $globaladmin - boolean - If set true then we will assume we are administrationg the entire wiki.\n *                          If not set then we look for a request parameter called "editor" if that exists and equals\n *                          "globaladmin" then $globaladmin is true, if it doesn't exist then we check to see if\n *                          $currentDoc.getFullName() equals "XWiki.XWikiPreferences".\n *###\n##\n## Form submission depends on this.\n$xwiki.jsfx.use('js/xwiki/actionbuttons/actionButtons.js', true)\n##\n#if(!$section)\n  #set($section = $request.getParameter('section'))\n#end\n#if(!$currentDoc)\n  #set($currentDoc = $doc.getFullName())\n#end\n## Get value of $globaladmin if not specified.\n#if("$!globaladmin" == '')\n  #if($editor != 'globaladmin'\n      &amp;&amp; $request.getParameter('editor') != 'globaladmin'\n      &amp;&amp; $currentDoc != 'XWiki.XWikiPreferences')\n  ##\n    #set($globaladmin = false)\n  #else\n    #set($globaladmin = true)\n  #end\n#end\n#set($currentSpace = $xwiki.getDocument($currentDoc).getSpace())\n##\n## This application should not run with programming rights because it evaluates code which may not be trustworthy.\n## Removing the next line will open a security hole.\n$doc.dropPermissions()##\n##\n##------------------------------------------------------------------------------------------------------------\n## If $section exists then we are viewing the admin page for a particular section.\n## eg: 'Registration', 'Presentation', 'Import' etc.\n##------------------------------------------------------------------------------------------------------------\n##\n#if($section &amp;&amp; $section != '')\n  ##\n  ## This is for keeping track of whether we have shown the heading yet or not.\n  ## If the heading doesn't need to be shown, but an error occurs in processing, then we show the heading\n  ## so that the user knows what the error relates to.\n  #set($headingShowing = false)\n  ##\n  ## Searches the database for names of apps to be configured\n  #set($outputList = [])\n  #findNamesOfAppsToConfigure($section, $globaladmin, $xwiki.getDocument($currentDoc).getSpace(), $outputList)\n  ##\n  #foreach($appName in $outputList)\n    ##\n    ## Make sure the current user has permission to edit the configurable application.\n    #set($userHasAccessToDocument = $xcontext.hasAccessLevel('edit', $appName))\n    ##\n    ## If the document was not last saved by a user with edit privilege on this page\n    ## then we can't safely display the page but we should warn the viewer.\n    #if($userHasAccessToDocument)\n      ## Get the configurable application\n      #set($app = $xwiki.getDocument($appName))\n      ##\n      #set($documentSavedByAuthorizedUser = false)\n      #checkDocumentSavedByAuthorizedUser($app, $currentDoc, $documentSavedByAuthorizedUser)\n    #end\n    ##\n    ## There is no need to display a heading unless:\n    ## 1. There was already a section before this document.\n    ## 2. This is not the first document in this section.\n    ##\n    ## If we are displaying the heading and there is an error to be shown Javascript will not strip the heading.\n    #if(!$appName.equals($outputList.get(0)) || $sections.contains($section))\n      ## Create a document heading.\n      #showHeading($appName, $headingShowing)\n    #end\n    ##\n    #if(!$userHasAccessToDocument)\n      #showHeading($appName, $headingShowing)\n\n      {{error}}{{translation key="xe.admin.configurable.noPermissionThisApplication"/}}{{/error}}\n\n    #elseif(!$documentSavedByAuthorizedUser)\n      #showHeading($appName, $headingShowing)\n\n      {{error}}{{translation key="xe.admin.configurable.applicationAuthorNoAdmin" parameters="$app.Author"/}}{{/error}}\n\n    ##\n    ##------------------------------------------------------------------------------------------------------------\n    ## If the document is locked and not by the current user and forceEdit is not set true,\n    #elseif($app.getLocked() &amp;&amp; $app.getLockingUser() != $xcontext.getUser() &amp;&amp; !$request.getParameter('forceEdit'))\n      #set($requestURL = "$request.getRequestURL()")\n      #if($requestURL.indexOf('?') == -1)\n        #set($requestURL = "${requestURL}?")\n      #end\n      #showHeading($appName, $headingShowing)\n\n      {{error}}{{translation key="doclockedby"/}} $app.getLockingUser() [[{{translation key="forcelock"/}}&gt;&gt;${requestURL}&amp;forceEdit=1]]{{/error}}\n\n    #else\n      ## If the document is not already locked, attempt to acquire the lock.\n      #if(!$app.getLocked())\n\n        {{html wiki=true}}\n          &lt;noscript&gt;\n\n            {{warning}}{{translation key="xe.admin.configurable.cannotLockNoJavascript"/}}{{/warning}}\n\n          &lt;/noscript&gt;\n          &lt;script type="text/javascript"&gt;\n            document.observe("xwiki:dom:loaded", function() {\n              XWiki.DocumentLock &amp;&amp; new XWiki.DocumentLock('$escapetool.javascript($app.fullName)').lock();\n            });\n          &lt;/script&gt;\n        {{/html}}\n      #end\n      ##------------------------------------------------------------------------------------------------------------\n      ## Done Locking.\n      ##\n      ## Get all objects of the "ConfigurableClass" from this document.\n      #set($allConfigurableObjs = $app.getObjects($nameOfThisDocument))\n      ## Separate out the objects which are for this section.\n      #set($configurableObjs = [])\n      #foreach($configurableObj in $allConfigurableObjs)\n        #if($app.getValue('displayInSection', $configurableObj) == $section)\n          ## If this is space admin, then don't display global, if global don't display space.\n          #if($globaladmin == ($app.getValue('configureGlobally', $configurableObj) == 1))\n            #set($discard = $configurableObjs.add($configurableObj))\n          #end\n        #end\n      #end\n      #if($configurableObjs.size() == 0)\n        ## Internal error, not translated.\n        #showHeading($appName, $headingShowing)\n\n        {{error}}Internal error: All objects were filtered out for application: $appName.{{/error}}\n\n      #else\n        #set($formAction = $xwiki.getURL($app.getFullName(), 'save'))\n        #set($formId = "${section.toLowerCase()}_${app.getFullName()}")\n        #set($escapedAppName = $escapetool.xml($app.getFullName()))\n        #foreach($configurableObj in $configurableObjs)\n          ## Display the header if one exists.\n          #set($heading = $app.getValue('heading', $configurableObj))\n          #if($heading &amp;&amp; $heading != '')\n            == #evaluate($heading) ==\n          #end\n          ##\n          #set($codeToExecute = "$!app.getValue('codeToExecute', $configurableObj)")\n          #if($codeToExecute != '')\n            (%class="codeToExecute"%)(((##\n              #evaluate($codeToExecute)##\n            )))\n          #end\n          ##\n          ## If propertiesToShow is set, then we will only show the properties contained therein.\n          #set($propertiesToShow = $app.getValue('propertiesToShow', $configurableObj))\n          #if(!$propertiesToShow || $propertiesToShow.getClass().getName().indexOf('List') == -1)\n            #set($propertiesToShow = [])\n          #end\n          ##\n          ## If linkPrefix is set, then we will make each property label a link which starts with that prefix.\n          #set($linkPrefix = "$!app.getValue('linkPrefix', $configurableObj)")\n          ##\n          ## If the Configurable object specifies a configuration class, use it,\n          ## otherwise assume custom forms are used instead.\n          #set($configClassName = "$!app.getValue('configurationClass', $configurableObj)")\n          #if($configClassName != '')\n            #set($objClass = $xwiki.getDocument($configClassName).getxWikiClass())\n            #if(!$objClass || $objClass.getClass().getName().indexOf('.Class') == -1)\n              #showHeading($appName, $headingShowing)\n\n              {{error}}{{translation key="xe.admin.configurable.configurationClassNonexistant"/}}{{/error}}\n\n            #else\n              ## Use the first object from the document which is of the configuration class.\n              #set($obj = $app.getObject($objClass.getName()))\n              ##\n              #if(!$obj || $obj.getClass().getName().indexOf('.Object') == -1)\n                #showHeading($appName, $headingShowing)\n\n                {{error}}\n                  {{translation key="xe.admin.configurable.noObjectOfConfigurationClassFound" parameters="$objClass.getName(), $app.getFullName()"/}}\n                {{/error}}\n\n              #else\n                ##\n                ## Merge save buttons, remove headings from subsections, and make information links into popups.\n                ## This is not done if there is only a custom defined form.\n                $xwiki.jsx.use($nameOfThisDocument)##\n                ##\n                ## We don't begin the form until we have content for it so that a configurable can specify a\n                ## custom form in codeToExecute and if that configurable object is the first of it's kind in that\n                ## document, the custom form will not be put inside of our form.\n                #if(!$insideForm)\n                  ## We are opening a form and fieldset without closing it, thus we cannot clean this html.\n\n                  {{html clean=false}}\n                    &lt;form id="$formId" method="post" action="$formAction" class="xform half"&gt;\n                      &lt;fieldset&gt;\n                  {{/html}}\n                  #set($insideForm = true)\n                #end\n\n                {{html}}\n                  $formHtml.toString()\n                {{/html}}\n              #end## If object exists\n            #end## If class exists\n          #end## If class name is specified.\n        #end## Foreach configurable object found in this document\n        ## If a form was started then we end it.\n        #if($insideForm)\n\n          ## This is closing an open form which was opened above, we cannot clean this html.\n          {{html clean=false}}\n          ## We add in a redirect field to prevent the user from being carried away when they save\n          ## if they don't have javascript.\n          #set($thisURL = $request.getRequestURL())\n          #if($request.getQueryString() &amp;&amp; $request.getQueryString().length() &gt; 0)\n            #set($thisURL = "${thisURL}?$request.getQueryString()")\n          #end\n          &lt;input type="hidden" id="${escapedAppName}_redirect" name="$redirectParameter" value="$escapetool.xml($thisURL)" /&gt;\n          &lt;input type="hidden" name="form_token" value="$!{services.csrf.getToken()}" /&gt;\n          &lt;/fieldset&gt;\n          &lt;div class="bottombuttons"&gt;\n            &lt;p class="admin-buttons"&gt;\n              &lt;span class="buttonwrapper"&gt;\n                ## Text to display on the button. If there is a heading then this button should be labeled\n                ## that it is for saving this section. Otherwise it should be a generic "save" button.\n                #if($headingShowing)\n                  #set($buttonText = "$services.localization.render('admin.save') $escapedAppName")\n                #else\n                  #set($buttonText = "$services.localization.render('admin.save')")\n                #end\n                &lt;input class="button" type="submit" name="action_saveandcontinue" value="$buttonText" /&gt;\n              &lt;/span&gt;\n            &lt;/p&gt;\n          &lt;/div&gt; ## bottombuttons\n          &lt;/form&gt;\n          #set($insideForm = false)\n          {{/html}}\n        #end\n      #end## If there are configurable objects\n    #end## If document is not locked or forceEdit is enabled\n  #end## Foreach document name in names to configure\n\n  {{html}}\n  &lt;script type="text/javascript"&gt;\n  /* &lt;![CDATA[ */\n  ## Alt+Shift+S presses the first saveAndContinue button it finds, not what we want so we will disable edit shortcuts.\n  document.observe('xwiki:dom:loaded', function() {\n    XWiki.actionButtons.EditActions = Object.extend(XWiki.actionButtons.EditActions, {addShortcuts : function() { }});\n  });\n  //]]&gt;\n  &lt;/script&gt;\n  {{/html}}##\n  ##\n#else\n  ##\n  ##------------------------------------------------------------------------------------------------------------\n  ## If section is not set then we are viewing the main administration page.\n  ##------------------------------------------------------------------------------------------------------------\n  ##\n  ## If there is no list called sections then we set sections to an empty list.\n  #if(!$sections || $sections.getClass().getName().indexOf('List') == -1)\n    #set($sections = [])\n  #end\n  ##\n  ## We have to create a list of documents which the current user doesn't have permission to view.\n  ## So we can add an error message to the bottom of the page if there are any.\n  #set($appsUserCannotView = [])\n  ##\n  ## A list of sections (to be added) which the user is not allowed to edit, icons will be displayed with a message\n  #set($sectionsUserCannotEdit = [])\n  ## List of sections to be added, in order by creationDate of oldest contained application.\n  #set($sectionsToAdd = [])\n  ## Map of URL of icon to use by the name of the section to use that icon on.\n  #set($iconBySection = {})\n  ##\n  #set($outputList = [])\n  #findNamesOfAppsToConfigure("", $globaladmin, $currentSpace, $outputList)\n  ##\n  #foreach($appName in $outputList)\n    ##\n    ## Get the configurable application\n    #set($app = $xwiki.getDocument($appName))\n    ##\n    ## If getDocument returns null, then warn the user that they don't have view access to that application.\n    #if(!$app)\n      #set($discard = $appsUserCannotView.add($appName))\n    #end\n    ##\n    #set($configurableObjects = $app.getObjects($nameOfThisDocument))\n    #foreach($configurableObject in $configurableObjects)\n      #set($displayInSection = $app.getValue('displayInSection', $configurableObject))\n      ##\n      ## If there is no section for this configurable or if the section cannot be edited, then check if the\n      ## application can be edited by the current user, if so then we display the icon from the current app and\n      ## don't display any message to tell the user they can't edit that section.\n      #if(!$sections.contains($displayInSection) || $sectionsUserCannotEdit.contains($displayInSection))\n        ##\n        ## If there is no section for this configurable, then we will have to add one.\n        #if(!$sections.contains($displayInSection) &amp;&amp; !$sectionsToAdd.contains($displayInSection))\n          #set($discard = $sectionsToAdd.add($displayInSection))\n        #end\n        ##\n        ## If an attachment by the filename iconAttachment exists and is an image\n        #set($attachment = $app.getAttachment("$app.getValue('iconAttachment', $configurableObject)"))\n        #if($attachment &amp;&amp; $attachment.isImage())\n          ## Set the icon for this section as the attachment URL.\n          #set($discard = $iconBySection.put($displayInSection, $app.getAttachmentURL($attachment.getFilename())))\n        #end\n        ##\n        ## If the user doesn't have edit access to the application, we want to show a message on the icon\n        #if(!$xcontext.hasAccessLevel("edit", $app.getFullName()))\n          #if(!$sectionsUserCannotEdit.contains($displayInSection))\n            #set($discard = $sectionsUserCannotEdit.add($displayInSection))\n          #end\n        #elseif($sectionsUserCannotEdit.contains($displayInSection))\n          ## If the user didn't have access to the section before but does have access to _this_ app which is\n          ## configured in the section, then the section becomes accessible.\n          #set($discard = $sectionsUserCannotEdit.remove($displayInSection))\n        #end\n      #end## If section doesn't exist or user doesn't have access.\n    #end## Foreach configurable object in this app.\n  #end## Foreach application which is configurable.\n  ##\n  ## Now we go through sectionsToAdd and generate icons for them\n  #set($defaultIcon = $xwiki.getAttachmentURL($nameOfThisDocument, 'DefaultAdminSectionIcon.png'))\n  #if($globaladmin)\n    #set($queryString = "editor=globaladmin&amp;amp;section=")\n  #else\n    #set($queryString = "space=${currentSpace}&amp;amp;section=")\n    #if($request.getParameter('editor'))\n      #set($queryString = "editor=$escapetool.url($request.getParameter('editor'))&amp;amp;$queryString")\n    #end\n  #end\n\n  ## This is an html fragment and thus cannot be cleaned\n  {{html clean=false}}\n  #foreach($sectionToAdd in $sectionsToAdd)\n    #set($icon = $iconBySection.get($sectionToAdd))\n    #if(!$icon)\n      #set($icon = $defaultIcon)\n    #end\n    &lt;li class="$escapetool.xml($sectionToAdd).replaceAll(' ', '_')"&gt;\n      #set($hasAccess = !$sectionsUserCannotEdit.contains($sectionToAdd))\n      #if($hasAccess)\n        &lt;a href="$xwiki.getURL($currentDoc, $xcontext.getAction(), "$queryString$escapetool.url($sectionToAdd)")"&gt;\n      #else\n        &lt;a title="$services.localization.render('xe.admin.configurable.sectionIconNoAccessTooltip')"&gt;\n      #end\n      &lt;span&gt;\n      &lt;img src="$icon" alt="$escapetool.xml($sectionToAdd) icon"/&gt;\n      ## Try to translate the names of the sections, build the key by adding an "admin." in front. \n      ## Not the best way to translate, but very inline with the way the translations are done in XWiki.AdminSheet for individual administration page titles.\n      ## If there is no translation (translated message is equals to key), don't display the message key, but the section name instead.\n      #if($services.localization.get("admin.${sectionToAdd.toLowerCase()}")) \n        #set($sectionDisplayName = $services.localization.render("admin.${sectionToAdd.toLowerCase()}")) \n      #else\n        #set($sectionDisplayName = $sectionToAdd)\n      #end\n      $escapetool.xml($sectionDisplayName)\n      &lt;/span&gt;\n      #if(!$hasAccess)\n        &lt;br/&gt;&lt;span class="errormessage"&gt;$services.localization.render('xe.admin.configurable.sectionIconNoAccess')&lt;/span&gt;\n      #end\n      &lt;/a&gt;\n    &lt;/li&gt;\n  #end\n  {{/html}}\n\n  ## Finally we display an error message if there are any applications which we were unable to view.\n  #if($appsUserCannotView.size() &gt; 0)\n\n    {{error}}$services.localization.render('xe.admin.configurable.noViewAccessSomeApplications', [$appsUserCannotView]){{/error}}\n\n  #end\n#end## If we should be looking at the main administration page.\n{{/velocity}}</content></xwikidoc>\n
\.


--
-- Data for Name: xwikirecyclebin; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikirecyclebin (xdd_id, xdd_fullname, xdd_language, xdd_date, xdd_deleter, xdd_xml) FROM stdin;
\.


--
-- Data for Name: xwikistatsdoc; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikistatsdoc (xws_id, xws_number, xws_name, xws_classname, xws_action, xws_page_views, xws_unique_visitors, xws_period, xws_visits) FROM stdin;
\.


--
-- Data for Name: xwikistatsreferer; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikistatsreferer (xwr_id, xwr_number, xwr_name, xwr_classname, xwr_referer, xwr_page_views, xwr_period) FROM stdin;
\.


--
-- Data for Name: xwikistatsvisit; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikistatsvisit (xwv_id, xwv_number, xwv_name, xwv_classname, xwv_ip, xwv_user_agent, xwv_cookie, xwv_unique_id, xwv_page_views, xwv_page_saves, xwv_downloads, xwv_start_date, xwv_end_date) FROM stdin;
\.


--
-- Data for Name: xwikistrings; Type: TABLE DATA; Schema: public; Owner: xwiki
--

COPY xwikistrings (xws_id, xws_name, xws_value) FROM stdin;
-1617187407626086555	sheet	ClassSheet
7881900247409136532	sheet	XWiki.ClassSheet
831015092972174006	sheet	ClassSheet
-1733853835381121621	sheet	XWikiUserSheet
-5517193569607516277	sheet	ClassSheet
-3564378766720368614	sheet	ClassSheet
5447776371839284534	sheet	ClassSheet
-5786389287062121772	sheet	XWikiServerClassSheet
-2388994299612258772	sheet	ClassSheet
6266537310378504560	sheet	ClassSheet
3034798793108713312	sheet	XWiki.ClassSheet
4202681147634526362	sheet	XWikiGroupSheet
2372455742911787429	sheet	ClassSheet
4058343852716999446	sheet	ClassSheet
9137977913299348745	sheet	ClassSheet
-7237077857427713047	sheet	ClassSheet
2186376547412776710	sheet	ClassSheet
4320863290685665255	sheet	ClassSheet
5938493475160890162	sheet	XWiki.ClassSheet
-6789877988517076094	sheet	ClassSheet
-7694654572393925158	member	XWiki.Admin
8367169273474910624	member	
7325100845279448823	levels	edit
8865678159989408145	member	
1581152086624707169	member	XWiki.Admin
7185139814747409311	levels	view
1494846150873449108	levels	edit,comment
-3909688450103167701	levels	edit,delete,comment
4529000290858574313	dateDisplayFormat	MDY
4529000290858574313	dateInputFormat	YMD
3027141951835947159	name	PhenomeCentral
3027141951835947159	url	https://phenomecentral.org/
-5988059480303893268	levels	admin,comment,edit,undelete,delete,programming
1314300318641197968	levels	view
1345706622762835137	levels	register
-614498398768250718	colorTheme	ColorThemes.Blue
-614498398768250718	core.defaultDocumentSyntax	xwiki/2.1
-614498398768250718	dateformat	
-614498398768250718	iconTheme	IconThemes.FontAwesome
-614498398768250718	plugins	
-614498398768250718	smtp_port	
-614498398768250718	smtp_server_password	
-614498398768250718	smtp_server_username	
-799861410355943150	sheet	AdminSheet
7749220057021372568	property	phenotips_mapping
7749220057021372568	value	
5307946438575506046	automaticwatch	NONE
5307946438575506046	interval	
-2210607549116249230	levels	edit
8241190800513916467	avatar	
8241190800513916467	blog	
8241190800513916467	blogfeed	
8241190800513916467	company	http://phenotips.org/
8241190800513916467	default_language	
8241190800513916467	editor	---
8241190800513916467	email	support@phenotips.org
8241190800513916467	first_name	Administrator
8241190800513916467	imaccount	
8241190800513916467	imtype	---
8241190800513916467	last_name	
8241190800513916467	password	hash:SHA-512:c7ad44cbad762a5da0a452f9e854fdc1e0e7a52a38015f23f3eab1d80b931dd472634dfac71cd34ebc35d16ab7fb8a90c81f975113d6c7538dc69dd8de9077ec
8241190800513916467	phone	
8241190800513916467	skin	
8241190800513916467	timezone	
8241190800513916467	usertype	Advanced
5553794025562714273	levels	view
-7655122662871052554	cache	long
-7655122662871052554	name	Code
-7655122662871052554	use	onDemand
9050882663741321687	sheet	XWiki.ClassSheet
3506649722196057787	levels	edit
3980527104837870639	levels	edit
-22827029092784258	levels	edit
-6245483878953798583	language	en
-6245483878953798583	subject	Password reset request for $xwiki.getUserName($userName, false)
7910393087932949456	levels	edit
7241056948254626025	levels	edit
4652057205514493530	levels	edit
-8914936393023623739	levels	view
4397280938199749522	levels	view
7869835225464154104	levels	edit
1419839714728922190	levels	edit
-835024709258431825	levels	view
-461083453256162515	member	
-7687805282421262670	configurationClass	
-7687805282421262670	displayInSection	analytics
-7687805282421262670	heading	
-7687805282421262670	iconAttachment	analytics.png
-7687805282421262670	linkPrefix	
-4305838678640337551	cache	long
-4305838678640337551	name	googleanalytics
-4305838678640337551	use	onDemand
-6078261122503370161	levels	edit
2279776107228674949	levels	edit
5837094281802416777	levels	view
722116165808455315	configurationClass	XWiki.Registration
722116165808455315	displayInSection	Registration
722116165808455315	heading	
722116165808455315	iconAttachment	
722116165808455315	linkPrefix	$xwiki.getURL('XWiki.RegistrationHelp')#
6371868270824238049	defaultRedirect	$xwiki.getURL($services.model.resolveDocument('', 'default', $doc.documentReference.extractReference('WIKI')))
6371868270824238049	heading	$services.localization.render('core.register.title')
6371868270824238049	liveValidation_defaultFieldOkMessage	$services.localization.render('core.validation.valid.message')
5098451329487711004	cache	long
5098451329487711004	name	No Bullets
5098451329487711004	use	currentPage
6134097965481032111	levels	edit
-2209213944681530944	levels	edit
7638148953297804405	levels	view
-2252936800655847756	cache	long
-2252936800655847756	name	JS
-2252936800655847756	use	currentPage
8378817854146866053	cache	long
8378817854146866053	contentType	CSS
8378817854146866053	name	CSS
8378817854146866053	use	onDemand
6149939700458878169	scope	ON_DEMAND
3331888260922603525	baseskin	
3331888260922603525	logo	
3331888260922603525	name	
-5741591223390771615	sheet	SkinsCode.XWikiSkinsSheet
-2873432077881411750	sheet	XWiki.ClassSheet
5158283262279666196	baseskin	flamingo
5158283262279666196	logo	logo.png
5158283262279666196	name	Default XWiki Skin
-4265285397647036364	cache	long
-4265285397647036364	name	Initialization Code
-4265285397647036364	use	onDemand
-5386731612909452646	contentType	Optional
-5386731612909452646	defaultCategory	Navigation
-5386731612909452646	id	tree
-5386731612909452646	name	Tree
-5386731612909452646	visibility	Current Wiki
-3293952573735824191	defaultValue	
-3293952573735824191	name	reference
8869408063345511226	defaultValue	
8869408063345511226	name	root
7336684778027459162	defaultValue	false
7336684778027459162	name	dragAndDrop
-7662876146999244429	defaultValue	false
-7662876146999244429	name	contextMenu
-1424629336355106982	defaultValue	
-1424629336355106982	name	class
-7183858144813920928	defaultValue	true
-7183858144813920928	name	icons
-237241165128514183	defaultValue	true
-237241165128514183	name	edges
-6354117405756303102	defaultValue	false
-6354117405756303102	name	links
-1738067548726089409	defaultValue	false
-1738067548726089409	name	checkboxes
5982650279254161969	defaultValue	
5982650279254161969	name	openTo
5344757774904131858	defaultValue	false
5344757774904131858	name	finder
6654031085085146067	scope	WIKI
2243531206888544574	name	Silk
-2643419207793810969	cache	long
-2643419207793810969	name	JS
-2643419207793810969	use	currentPage
8350928796547166764	cache	long
8350928796547166764	name	CSS
8350928796547166764	use	onDemand
-3086993241112120817	defaultEditMode	wiki
1265889115715036925	contentType	No content
1265889115715036925	defaultCategory	Development
1265889115715036925	id	iconPicker
1265889115715036925	name	Icon Picker
1265889115715036925	visibility	Current Wiki
-742676475097111767	defaultValue	
-742676475097111767	name	id
3878003441219951497	defaultValue	
3878003441219951497	name	class
-1529307941194505756	defaultValue	
-1529307941194505756	name	prefix
7074471604397334605	scope	WIKI
-7799117968694533313	sheet	IconThemeSheet
-6814311451243547857	sheet	XWiki.ClassSheet
4856537117236058161	name	Font Awesome
771094098479979128	cache	long
771094098479979128	name	IE8 fix
771094098479979128	use	onDemand
7951221076831937111	cache	long
7951221076831937111	name	Font-Awesome CSS
7951221076831937111	use	onDemand
-8789460963672918823	contentType	No content
-8789460963672918823	defaultCategory	Navigation
-8789460963672918823	id	spaceindex
-8789460963672918823	name	Space Index
-8789460963672918823	visibility	Current Wiki
-7543057703784922832	defaultValue	100
-7543057703784922832	name	count
9027176932998785565	defaultValue	
9027176932998785565	name	space
-2114507803626208157	defaultValue	creationDate
-2114507803626208157	name	sort
-7180417732519721614	level	edit
4434993791194682611	cache	long
4434993791194682611	name	Spaces list CSS
4434993791194682611	use	onDemand
8009908531353325490	contentType	No content
8009908531353325490	defaultCategory	Navigation
8009908531353325490	id	spaces
8009908531353325490	name	Spaces
8009908531353325490	visibility	Current Wiki
-5387129547118323819	level	programming
-8340683372497157102	cache	long
-8340683372497157102	name	
-8340683372497157102	use	onDemand
6208375829523118058	level	programming
2565425069674253556	cache	long
2565425069674253556	name	
2565425069674253556	use	onDemand
173995775158485649	levels	view,edit
-4403847138508135963	level	programming
3782650588077848436	levels	view,edit
-4270047942215544118	contentType	No content
-4270047942215544118	defaultCategory	Navigation
-4270047942215544118	id	documentTree
-4270047942215544118	name	Document Tree
-4270047942215544118	visibility	Current Wiki
-4292617225184969157	defaultValue	true
-4292617225184969157	name	readOnly
2706750404654345339	defaultValue	false
2706750404654345339	name	showWikis
8033261753603887338	defaultValue	true
8033261753603887338	name	showWikiPrettyName
-290433136403775361	defaultValue	false
-290433136403775361	name	showSpaces
5507133455870632400	defaultValue	true
5507133455870632400	name	showDocumentTitle
7115468815733580006	defaultValue	true
7115468815733580006	name	showTranslations
6398268715832411259	defaultValue	true
6398268715832411259	name	showAttachments
-961982407856130685	defaultValue	false
-961982407856130685	name	showObjects
-20449174920798045	defaultValue	false
-20449174920798045	name	showClassProperties
4625876372974772728	defaultValue	true
4625876372974772728	name	showChildDocuments
5907546419309148588	defaultValue	
5907546419309148588	name	root
-1110678681262197463	defaultValue	false
-1110678681262197463	name	compact
2340271235697290149	defaultValue	true
2340271235697290149	name	links
-7750451393889908950	defaultValue	false
-7750451393889908950	name	checkboxes
2606437970141537991	defaultValue	
2606437970141537991	name	openTo
1863209619509869037	defaultValue	true
1863209619509869037	name	showOnlyViewable
2832372176651909060	defaultValue	
2832372176651909060	name	filterByClass
3071263456201148754	defaultValue	false
3071263456201148754	name	finder
-4212519746212985691	cache	long
-4212519746212985691	name	
-4212519746212985691	use	onDemand
7507813351467560633	scope	WIKI
-8502917170642906784	cache	long
-8502917170642906784	name	
-8502917170642906784	use	onDemand
-3017221804114572299	level	programming
-7524852497054340135	cache	long
-7524852497054340135	name	
-7524852497054340135	use	onDemand
-528946118605285988	levels	view,edit
6437174684837264717	contentType	No content
6437174684837264717	defaultCategory	Content
6437174684837264717	id	documents
6437174684837264717	name	Documents
6437174684837264717	visibility	Current Wiki
-3143182623433737187	defaultValue	15
-3143182623433737187	name	count
-3887666743881049937	defaultValue	true
-3887666743881049937	name	actions
2065499440476739869	defaultValue	
2065499440476739869	name	space
4237577464992284344	defaultValue	
4237577464992284344	name	id
6230530917979272079	defaultValue	
6230530917979272079	name	parent
8090097450957698493	defaultValue	
8090097450957698493	name	columns
-8397893186669845850	scope	WIKI
121216638294196643	extensionPointId	org.xwiki.platform.panels.Applications.more
121216638294196643	name	platform.panels.addApplications
121216638294196643	scope	wiki
-5290135868479975735	levels	edit
-7752288896100011522	backgroundSecondaryColor	#F3F3F3
-7752288896100011522	borderColor	#E8E8E8
-7752288896100011522	buttonPrimaryBackgroundColor	#4D9244
-7752288896100011522	buttonPrimaryGradientColor	#276400
-7752288896100011522	buttonPrimaryTextColor	#F3F3F3
-7752288896100011522	buttonSecondaryBackgroundColor	#E1E1E1
-7752288896100011522	buttonSecondaryGradientColor	#FFFFFF
-7752288896100011522	buttonSecondaryTextColor	#4D5860
-7752288896100011522	headerBackgroundImage	header.png
-7752288896100011522	headerBackgroundPosition	
-7752288896100011522	highlightColor	#F6FFD0
-7752288896100011522	linkColor	#276400
-7752288896100011522	logoImage	logo.png
-7752288896100011522	menuAddEntryBackgroundColor	#4D9244
-7752288896100011522	menuAddEntryLinkColor	#F3F3F3
-7752288896100011522	menuBackgroundColor	#276400
-7752288896100011522	menuContentBackgroundColor	#E1E1E1
-7752288896100011522	menuContentGradientColor	#FFFFFF
-7752288896100011522	menuContentLinkColor	#4D5860
-7752288896100011522	menuGradientColor	#427D3B
-7752288896100011522	menuLinkColor	#F3F3F3
-7752288896100011522	menuSelectedEntryBackgroundColor	#EFEFEF
-7752288896100011522	menuSelectedEntryLinkColor	#16620F
-7752288896100011522	pageBackgroundColor	#F5F5F5
-7752288896100011522	pageBackgroundImage	
-7752288896100011522	pageBackgroundPosition	
-7752288896100011522	pageContentBackgroundColor	#FFFFFF
-7752288896100011522	pageHeaderBackgroundColor	#4D9244
-7752288896100011522	panelBackgroundColor	#FFFFFF
-7752288896100011522	panelCollapsedBackgroundColor	#E1E1E1
-7752288896100011522	panelCollapsedGradientColor	#FFFFFF
-7752288896100011522	panelCollapsedTextColor	#16620F
-7752288896100011522	panelHeaderBackgroundColor	#E1E1E1
-7752288896100011522	panelHeaderGradientColor	#FFFFFF
-7752288896100011522	panelHeaderTextColor	#4D5860
-7752288896100011522	panelTextColor	#636B75
-7752288896100011522	submenuContentBackgroundColor	#F5F5F5
-7752288896100011522	textColor	#636B75
-7752288896100011522	textPrimaryColor	#888888
-7752288896100011522	textSecondaryColor	#656565
-7752288896100011522	titleColor	#414141
5686550930694130422	backgroundSecondaryColor	#F3F3F3
5686550930694130422	borderColor	#E8E8E8
5686550930694130422	buttonPrimaryBackgroundColor	#2173AF
5686550930694130422	buttonPrimaryGradientColor	#0089DC
5686550930694130422	buttonPrimaryTextColor	#FFFFFF
5686550930694130422	buttonSecondaryBackgroundColor	#E1E1E1
5686550930694130422	buttonSecondaryGradientColor	#FFFFFF
5686550930694130422	buttonSecondaryTextColor	#4D5860
5686550930694130422	fieldGradientColor	#F5F5F5
5686550930694130422	headerBackgroundImage	header.png
5686550930694130422	headerBackgroundPosition	
5686550930694130422	highlightColor	#FFFFCC
5686550930694130422	linkColor	#0089DC
5686550930694130422	logoImage	logo.png
5686550930694130422	menuAddEntryBackgroundColor	#4D9244
5686550930694130422	menuAddEntryLinkColor	#FFFFFF
5686550930694130422	menuBackgroundColor	#0272A6
5686550930694130422	menuContentBackgroundColor	#E1E1E1
5686550930694130422	menuContentGradientColor	#FFFFFF
5686550930694130422	menuContentLinkColor	#4D5860
5686550930694130422	menuGradientColor	#3A8ABC
5686550930694130422	menuLinkColor	#F3F3F3
5686550930694130422	menuSelectedEntryBackgroundColor	#EFEFEF
5686550930694130422	menuSelectedEntryLinkColor	#2173AF
5686550930694130422	notificationErrorColor	#CC3333
5686550930694130422	notificationInfoColor	#336699
5686550930694130422	notificationSuccessColor	#008000
5686550930694130422	notificationWarningColor	#D09000
5686550930694130422	pageBackgroundColor	#F5F5F5
5686550930694130422	pageBackgroundImage	
5686550930694130422	pageBackgroundPosition	
5686550930694130422	pageContentBackgroundColor	#FFFFFF
5686550930694130422	pageHeaderBackgroundColor	#FFFFFF
5686550930694130422	panelBackgroundColor	#FFFFFF
5686550930694130422	panelCollapsedBackgroundColor	#E1E1E1
5686550930694130422	panelCollapsedGradientColor	#FFFFFF
5686550930694130422	panelCollapsedTextColor	#4D5860
5686550930694130422	panelHeaderBackgroundColor	#E1E1E1
5686550930694130422	panelHeaderGradientColor	#FFFFFF
5686550930694130422	panelHeaderTextColor	#4D5860
5686550930694130422	panelTextColor	#636B75
5686550930694130422	submenuContentBackgroundColor	#F5F5F5
5686550930694130422	textColor	#636B75
5686550930694130422	textPrimaryColor	#9F9F9F
5686550930694130422	textSecondaryColor	#9F9F9F
5686550930694130422	titleColor	#2173AF
6341655122287435360	backgroundSecondaryColor	#F3F3F3
6341655122287435360	borderColor	#E8E8E8
6341655122287435360	buttonPrimaryBackgroundColor	#528BA1
6341655122287435360	buttonPrimaryGradientColor	#528BA1
6341655122287435360	buttonPrimaryTextColor	#FFFFFF
6341655122287435360	buttonSecondaryBackgroundColor	#ECECEC
6341655122287435360	buttonSecondaryGradientColor	#FFFFFF
6341655122287435360	buttonSecondaryTextColor	#4D5860
6341655122287435360	fieldGradientColor	#F5F5F5
6341655122287435360	headerBackgroundImage	
6341655122287435360	headerBackgroundPosition	
6341655122287435360	highlightColor	#FFFFDD
6341655122287435360	linkColor	#528BA1
6341655122287435360	logoImage	
6341655122287435360	menuAddEntryBackgroundColor	#4D9244
6341655122287435360	menuAddEntryLinkColor	#FFFFFF
6341655122287435360	menuBackgroundColor	#ECECEC
6341655122287435360	menuContentBackgroundColor	#ECECEC
6341655122287435360	menuContentGradientColor	#FFFFFF
6341655122287435360	menuContentLinkColor	#4D5860
6341655122287435360	menuGradientColor	#FFFFFF
6341655122287435360	menuLinkColor	#4D5860
-7384449520393366346	use	onDemand
6341655122287435360	menuSelectedEntryBackgroundColor	#FFFFFF
6341655122287435360	menuSelectedEntryLinkColor	#4D5860
6341655122287435360	notificationErrorColor	#CC3333
6341655122287435360	notificationInfoColor	#336699
6341655122287435360	notificationSuccessColor	#008000
6341655122287435360	notificationWarningColor	#D09000
6341655122287435360	pageBackgroundColor	#ECECEC
6341655122287435360	pageBackgroundImage	
6341655122287435360	pageBackgroundPosition	
6341655122287435360	pageContentBackgroundColor	#FFFFFF
6341655122287435360	pageHeaderBackgroundColor	#FFFFFF
6341655122287435360	panelBackgroundColor	#FFFFFF
6341655122287435360	panelCollapsedBackgroundColor	#ECECEC
6341655122287435360	panelCollapsedGradientColor	#FFFFFF
6341655122287435360	panelCollapsedTextColor	#4D5860
6341655122287435360	panelHeaderBackgroundColor	#ECECEC
6341655122287435360	panelHeaderGradientColor	#FFFFFF
6341655122287435360	panelHeaderTextColor	#4D5860
6341655122287435360	panelTextColor	#4D4D4D
6341655122287435360	submenuContentBackgroundColor	#ECECEC
6341655122287435360	textColor	#4D4D4D
6341655122287435360	textPrimaryColor	#656565
6341655122287435360	textSecondaryColor	#656565
6341655122287435360	titleColor	#4D5860
-3856115598293330090	backgroundSecondaryColor	#EFEFEF
-3856115598293330090	borderColor	#E8E8E8
-3856115598293330090	buttonPrimaryBackgroundColor	#EA972D
-3856115598293330090	buttonPrimaryGradientColor	#D47500
-3856115598293330090	buttonPrimaryTextColor	#FFFFFF
-3856115598293330090	buttonSecondaryBackgroundColor	#E1E1E1
-3856115598293330090	buttonSecondaryGradientColor	#FFFFFF
-3856115598293330090	buttonSecondaryTextColor	#4D4D4D
-3856115598293330090	headerBackgroundImage	header.png
-3856115598293330090	headerBackgroundPosition	
-3856115598293330090	highlightColor	#FFFFDD
-3856115598293330090	linkColor	#D47500
-3856115598293330090	logoImage	logo.png
-3856115598293330090	menuAddEntryBackgroundColor	#4D9244
-3856115598293330090	menuAddEntryLinkColor	#FFFFFF
-3856115598293330090	menuBackgroundColor	#414242
-3856115598293330090	menuContentBackgroundColor	#E1E1E1
-3856115598293330090	menuContentGradientColor	#FFFFFF
-3856115598293330090	menuContentLinkColor	#4D4D4D
-3856115598293330090	menuGradientColor	#707070
-3856115598293330090	menuLinkColor	#FFFFFF
-3856115598293330090	menuSelectedEntryBackgroundColor	#FFFFFF
-3856115598293330090	menuSelectedEntryLinkColor	#414242
-3856115598293330090	pageBackgroundColor	#ECECEC
-3856115598293330090	pageBackgroundImage	
-3856115598293330090	pageBackgroundPosition	
-3856115598293330090	pageContentBackgroundColor	#FFFFFF
-3856115598293330090	pageHeaderBackgroundColor	#707070
-3856115598293330090	panelBackgroundColor	#FFFFFF
-3856115598293330090	panelCollapsedBackgroundColor	#FFFFFF
-3856115598293330090	panelCollapsedGradientColor	#FFFFFF
-3856115598293330090	panelCollapsedTextColor	#414242
-3856115598293330090	panelHeaderBackgroundColor	#E1E1E1
-3856115598293330090	panelHeaderGradientColor	#FFFFFF
-3856115598293330090	panelHeaderTextColor	#4D4D4D
-3856115598293330090	panelTextColor	#4D4D4D
-3856115598293330090	submenuContentBackgroundColor	#F5F5F5
-3856115598293330090	textColor	#4D4D4D
-3856115598293330090	textPrimaryColor	#656565
-3856115598293330090	textSecondaryColor	#656565
-3856115598293330090	titleColor	#4D4D4D
6996066238311580111	sheet	ColorThemes.ColorThemeSheet
8077918042006448738	cache	long
8077918042006448738	name	Live preview in the color theme editor
8077918042006448738	use	onDemand
-6953773984597868539	cache	long
-6953773984597868539	name	Color theme wizard display style
-6953773984597868539	use	onDemand
-2418905723979244200	cache	forbid
-2418905723979244200	name	Theme list styling
-2418905723979244200	use	onDemand
-9108728894848501578	categoryIcon	email
-9108728894848501578	configurationClass	
-9108728894848501578	displayBeforeCategory	lf
-9108728894848501578	displayInCategory	email
-9108728894848501578	displayInSection	emailGeneral
-9108728894848501578	heading	
-9108728894848501578	iconAttachment	email.png
-9108728894848501578	linkPrefix	
-4039664564421777869	categoryIcon	
-4039664564421777869	configurationClass	
-4039664564421777869	displayBeforeCategory	lf
-4039664564421777869	displayInCategory	email
-4039664564421777869	displayInSection	emailSend
-4039664564421777869	heading	
-4039664564421777869	iconAttachment	email.png
-4039664564421777869	linkPrefix	
3193224639151033195	categoryIcon	
3193224639151033195	configurationClass	
3193224639151033195	displayBeforeCategory	if
3193224639151033195	displayInCategory	email
3193224639151033195	displayInSection	emailStatus
3193224639151033195	heading	
3193224639151033195	iconAttachment	email.png
3193224639151033195	linkPrefix	
-6375373219653648772	scope	WIKI
4364801158857815768	action	view
4666093086123869888	sheet	XWiki.ClassSheet
-7284074232723012561	cache	long
-7284074232723012561	name	
-7284074232723012561	use	onDemand
-3844444139597722093	cache	long
-3844444139597722093	name	
-3844444139597722093	use	onDemand
-5142933733793134952	cache	long
-5142933733793134952	contentType	CSS
-5142933733793134952	name	FontAwesome text font override
-5142933733793134952	use	onDemand
-6348726566838501671	contentType	Optional
-6348726566838501671	defaultCategory	Icons
-6348726566838501671	id	icon
-6348726566838501671	name	Font Awesome icon
-6348726566838501671	visibility	Current Wiki
-4107477607535558306	defaultValue	
-4107477607535558306	name	name
-7379524742626007554	defaultValue	
-7379524742626007554	name	size
7122393996290033201	defaultValue	
7122393996290033201	name	title
6851332950790330843	defaultValue	
6851332950790330843	name	cssClass
2044642619173841514	levels	view
-7384449520393366346	cache	long
-7384449520393366346	name	
-2077216384467554192	cache	long
-2077216384467554192	name	
-2077216384467554192	use	onDemand
7213829870165562513	cache	long
7213829870165562513	name	Ajax photo management
7213829870165562513	use	onDemand
8779342943261649448	cache	long
8779342943261649448	name	HTML5 file upload
8779342943261649448	use	onDemand
-4102688510095098950	cache	long
-4102688510095098950	name	Image selector ui
-4102688510095098950	use	onDemand
-1718765091772660229	cache	long
-1718765091772660229	name	HTML5 file upload UI
-1718765091772660229	use	onDemand
-381624292609406307	cache	long
-381624292609406307	name	Modified suggest widget
-381624292609406307	use	onDemand
762845568679840330	cache	long
762845568679840330	name	Multi-suggest
762845568679840330	use	onDemand
-2136398356499945459	cache	long
-2136398356499945459	name	Modified modal popup
-2136398356499945459	use	onDemand
-4634018571476814268	cache	long
-4634018571476814268	name	Solr Query Processor
-4634018571476814268	use	onDemand
-7933826172608503154	cache	long
-7933826172608503154	name	Ontology browser
-7933826172608503154	use	onDemand
-2667627816585793507	cache	long
-2667627816585793507	name	Dropdown ontology browser
-2667627816585793507	use	onDemand
-8869825635248512149	cache	long
-8869825635248512149	name	Sticky Box
-8869825635248512149	use	onDemand
8840777577127400957	cache	long
8840777577127400957	name	Free Multiselect
8840777577127400957	use	onDemand
8767386282170405520	cache	long
8767386282170405520	name	Controlled visibility groups
8767386282170405520	use	onDemand
3324831887511834412	cache	long
3324831887511834412	name	Switcher between metric and imperial units for measurements
3324831887511834412	use	onDemand
-7165983680303077190	cache	long
-7165983680303077190	name	Help buttons
-7165983680303077190	use	onDemand
7817692244712022440	cache	long
7817692244712022440	name	Fuzzy datepicker
7817692244712022440	use	currentPage
1684448288439082877	cache	long
1684448288439082877	name	Suggest workgroups
1684448288439082877	use	onDemand
-1088741600705946960	cache	long
-1088741600705946960	name	Segmented Bar
-1088741600705946960	use	onDemand
2400439552524166882	cache	long
2400439552524166882	name	Modified Modal popup
2400439552524166882	use	onDemand
-115560545996216550	cache	long
-115560545996216550	name	Modified suggest
-115560545996216550	use	onDemand
6382729201458523557	cache	long
6382729201458523557	name	Multi suggest
6382729201458523557	use	onDemand
1528580236109238144	cache	long
1528580236109238144	name	Ontology browser
1528580236109238144	use	onDemand
-8046821127321631759	cache	long
-8046821127321631759	name	Dropdown style
-8046821127321631759	use	onDemand
-5413005090135459356	cache	long
-5413005090135459356	name	Free Multiselect
-5413005090135459356	use	onDemand
6194885668303409605	cache	long
6194885668303409605	name	Unit system selector
6194885668303409605	use	onDemand
-8997540330715102653	cache	long
-8997540330715102653	name	Help buttons
-8997540330715102653	use	onDemand
8464333267336014519	cache	long
8464333267336014519	name	Suggest workgroups
8464333267336014519	use	onDemand
1029149978393615900	cache	long
1029149978393615900	name	Segmented Bar
1029149978393615900	use	onDemand
-692458536091278653	cache	long
-692458536091278653	name	User status update
-692458536091278653	use	onDemand
3691429869719656184	cache	long
3691429869719656184	name	Message stream form styling
3691429869719656184	use	onDemand
-1970536447999040586	contentType	No content
-1970536447999040586	defaultCategory	Social
-1970536447999040586	id	messageSender
-1970536447999040586	name	Message Sender
-1970536447999040586	visibility	Current Wiki
-8752557532974133411	defaultValue	
-8752557532974133411	name	visibility
-7272254375090897470	defaultValue	
-7272254375090897470	name	visibilityParameter
-6498630665715157959	defaultValue	
-6498630665715157959	name	visibilityOptions
-8869167275737516035	cache	long
-8869167275737516035	name	Datejs - Localization
-8869167275737516035	use	onDemand
7083120765274645503	cache	long
7083120765274645503	name	Datejs - code
7083120765274645503	use	onDemand
2509285284474509343	cache	long
2509285284474509343	name	Calendar Date Select
2509285284474509343	use	onDemand
-1666382753955370540	cache	long
-1666382753955370540	name	Calendar activation
-1666382753955370540	use	onDemand
1564148237268091575	cache	long
1564148237268091575	name	SimpleDateFormat
1564148237268091575	use	onDemand
2647651902204394801	cache	long
2647651902204394801	name	Calendar styling
2647651902204394801	use	onDemand
1509292906043566451	levels	view
-8465264687240425439	cache	long
-8465264687240425439	name	Loads the image picker in a modal dialog
-8465264687240425439	use	currentPage
-7029750735844180463	cache	long
-7029750735844180463	name	Patch for modalPopup.js, allowing to display several widgets on the same screen and removing position:fixed in IE
-7029750735844180463	use	currentPage
-2772019619561421597	cache	long
-2772019619561421597	name	Attachment galery styling
-2772019619561421597	use	onDemand
8619938190454890474	contentType	No content
8619938190454890474	defaultCategory	
8619938190454890474	id	attachmentSelector
8619938190454890474	name	Attachment Selector
8619938190454890474	visibility	Current Wiki
-1766016663854888874	defaultValue	
-1766016663854888874	name	classname
-891003554874154134	defaultValue	
-891003554874154134	name	property
5609995998568979095	defaultValue	
5609995998568979095	name	object
-4040532020646090681	defaultValue	
-4040532020646090681	name	cssClass
-8170685701810359526	defaultValue	form
-8170685701810359526	name	savemode
9099341308356375630	defaultValue	
9099341308356375630	name	buttontext
-7637459130189909810	defaultValue	
-7637459130189909810	name	defaultValue
-6274205128352087333	defaultValue	
-6274205128352087333	name	filter
3727900940027351315	defaultValue	false
3727900940027351315	name	displayImage
3817777789228802913	defaultValue	
3817777789228802913	name	width
-7149058994813736232	defaultValue	
-7149058994813736232	name	height
2954648587304094412	defaultValue	
2954648587304094412	name	alternateText
-3065312122997211821	defaultValue	false
-3065312122997211821	name	link
-8222245676634688845	defaultValue	
-8222245676634688845	name	targetdocname
-8418460622719868029	extensionPointId	org.xwiki.platform.header.top
-8418460622719868029	name	org.phenotips.header.top
-8418460622719868029	scope	wiki
-3302589865837533320	extensionPointId	org.xwiki.platform.header.bottom
-3302589865837533320	name	org.phenotips.header.bottom
-3302589865837533320	scope	wiki
-1116793825665508075	extensionPointId	org.xwiki.platform.main.top
-1116793825665508075	name	org.phenotips.main.top
-1116793825665508075	scope	wiki
835703195384632547	extensionPointId	org.xwiki.platform.content.top
835703195384632547	name	org.phenotips.content.top
835703195384632547	scope	wiki
1221012321705694459	levels	view
-2399305200795184451	cache	long
-2399305200795184451	name	Fix ToC
-2399305200795184451	use	onDemand
823381528089157115	cache	long
823381528089157115	name	Confirmed AJAX deletion
823381528089157115	use	onDemand
-7409454071592697738	cache	long
-7409454071592697738	name	Fix uncancellable object changes
-7409454071592697738	use	onDemand
-5454183358517115625	cache	long
-5454183358517115625	name	Make the menu in the doc header sticky
-5454183358517115625	use	onDemand
-7916399137393189490	cache	long
-7916399137393189490	name	Prompt to save before exporting in edit mode
-7916399137393189490	use	currentPage
7601018475583364651	cache	long
7601018475583364651	name	
7601018475583364651	use	currentPage
2707485211712707399	cache	long
2707485211712707399	name	Menu styles
2707485211712707399	use	onDemand
-2657345898464548869	extensionPointId	org.phenotips.content.top:data
-2657345898464548869	name	org.phenotips.patientSheet.menu
-2657345898464548869	scope	wiki
-2171628826804657284	sheet	PhenoTips.UIXSheet
4549311866376089804	cache	long
4549311866376089804	name	
4549311866376089804	use	onDemand
-8338727530422061680	cache	long
-8338727530422061680	name	
-8338727530422061680	use	onDemand
-6481094477948054101	extensionPointId	
-6481094477948054101	name	
-6481094477948054101	scope	wiki
-5343433619853380891	cache	long
-5343433619853380891	name	Incompatibe browser warning
-5343433619853380891	use	always
-5911728936807024833	cache	long
-5911728936807024833	contentType	CSS
-5911728936807024833	name	PhenoTips skin
-5911728936807024833	use	always
-7303074617795149086	levels	view
-6385201033440160936	baseskin	phenotips
-6385201033440160936	logo	
-6385201033440160936	name	
-6385201033440160936	outputSyntax	html/5.0
-5093485818302672279	levels	view
4573373488719209179	baseskin	PhenoTips.Skin
4573373488719209179	logo	
4573373488719209179	name	
-6950051007663280108	cache	long
-6950051007663280108	name	
-6950051007663280108	use	onDemand
-4070038678022651157	levels	view
5467926099341538842	levels	edit,comment
-7460178172420719285	backgroundSecondaryColor	#F3F3F3
-7460178172420719285	borderColor	#E8E8E8
-7460178172420719285	buttonPrimaryBackgroundColor	#222222
-7460178172420719285	buttonPrimaryGradientColor	#555555
-7460178172420719285	buttonPrimaryTextColor	#F3F3F3
-7460178172420719285	buttonSecondaryBackgroundColor	#E1E1E1
-7460178172420719285	buttonSecondaryGradientColor	#FFFFFF
-7460178172420719285	buttonSecondaryTextColor	#4D5860
-7460178172420719285	headerBackgroundImage	header.png
-7460178172420719285	headerBackgroundPosition	
-7460178172420719285	highlightColor	#F6FFD0
-7460178172420719285	linkColor	#276400
-7460178172420719285	logoImage	
-7460178172420719285	menuAddEntryBackgroundColor	#4D9244
-7460178172420719285	menuAddEntryLinkColor	#F3F3F3
-7460178172420719285	menuBackgroundColor	#276400
-7460178172420719285	menuContentBackgroundColor	#E1E1E1
-7460178172420719285	menuContentGradientColor	#FFFFFF
-7460178172420719285	menuContentLinkColor	#4D5860
-7460178172420719285	menuGradientColor	#427D3B
-7460178172420719285	menuLinkColor	#F3F3F3
-7460178172420719285	menuSelectedEntryBackgroundColor	#EFEFEF
-7460178172420719285	menuSelectedEntryLinkColor	#16620F
-7460178172420719285	notificationErrorColor	#CC0000
-7460178172420719285	notificationInfoColor	
-7460178172420719285	notificationSuccessColor	
-7460178172420719285	notificationWarningColor	
-7460178172420719285	pageBackgroundColor	#F5F5F5
-7460178172420719285	pageBackgroundImage	
-7460178172420719285	pageBackgroundPosition	
-7460178172420719285	pageContentBackgroundColor	#FFFFFF
-7460178172420719285	pageHeaderBackgroundColor	#6CB100
-7460178172420719285	panelBackgroundColor	#FFFFFF
-7460178172420719285	panelCollapsedBackgroundColor	#E1E1E1
-7460178172420719285	panelCollapsedGradientColor	#FFFFFF
-7460178172420719285	panelCollapsedTextColor	#16620F
-7460178172420719285	panelHeaderBackgroundColor	#E1E1E1
-7460178172420719285	panelHeaderGradientColor	#FFFFFF
-7460178172420719285	panelHeaderTextColor	#4D5860
-7460178172420719285	panelTextColor	#636B75
-7460178172420719285	submenuContentBackgroundColor	#F5F5F5
-7460178172420719285	textColor	#636B75
-7460178172420719285	textPrimaryColor	#888888
-7460178172420719285	textSecondaryColor	#656565
-7460178172420719285	titleColor	#414141
-4470827524973375705	levels	view
7087551410755395893	backgroundSecondaryColor	#EFEFEF
7087551410755395893	borderColor	#E8E8E8
7087551410755395893	buttonPrimaryBackgroundColor	#EA972D
7087551410755395893	buttonPrimaryGradientColor	#D47500
7087551410755395893	buttonPrimaryTextColor	#FFFFFF
7087551410755395893	buttonSecondaryBackgroundColor	#E1E1E1
7087551410755395893	buttonSecondaryGradientColor	#FFFFFF
7087551410755395893	buttonSecondaryTextColor	#4D4D4D
7087551410755395893	headerBackgroundImage	header.png
7087551410755395893	headerBackgroundPosition	
7087551410755395893	highlightColor	#FFFFDD
7087551410755395893	linkColor	#D47500
7087551410755395893	logoImage	
7087551410755395893	menuAddEntryBackgroundColor	#4D9244
7087551410755395893	menuAddEntryLinkColor	#FFFFFF
7087551410755395893	menuBackgroundColor	#414242
7087551410755395893	menuContentBackgroundColor	#E1E1E1
7087551410755395893	menuContentGradientColor	#FFFFFF
7087551410755395893	menuContentLinkColor	#4D4D4D
7087551410755395893	menuGradientColor	#707070
7087551410755395893	menuLinkColor	#FFFFFF
7087551410755395893	menuSelectedEntryBackgroundColor	#FFFFFF
7087551410755395893	menuSelectedEntryLinkColor	#414242
7087551410755395893	pageBackgroundColor	#ECECEC
7087551410755395893	pageBackgroundImage	
7087551410755395893	pageBackgroundPosition	
7087551410755395893	pageContentBackgroundColor	#FFFFFF
7087551410755395893	pageHeaderBackgroundColor	#EA972D
7087551410755395893	panelBackgroundColor	#FFFFFF
7087551410755395893	panelCollapsedBackgroundColor	#FFFFFF
7087551410755395893	panelCollapsedGradientColor	#FFFFFF
7087551410755395893	panelCollapsedTextColor	#414242
7087551410755395893	panelHeaderBackgroundColor	#E1E1E1
7087551410755395893	panelHeaderGradientColor	#FFFFFF
7087551410755395893	panelHeaderTextColor	#4D4D4D
7087551410755395893	panelTextColor	#4D4D4D
7087551410755395893	submenuContentBackgroundColor	#F5F5F5
7087551410755395893	textColor	#4D4D4D
7087551410755395893	textPrimaryColor	#656565
7087551410755395893	textSecondaryColor	#656565
7087551410755395893	titleColor	#4D4D4D
-4919157053708043757	levels	view
-7481069179918326163	backgroundSecondaryColor	#F7F7F7
-7481069179918326163	borderColor	#F0F0F0
-7481069179918326163	buttonPrimaryBackgroundColor	#222222
-7481069179918326163	buttonPrimaryGradientColor	#555555
-7481069179918326163	buttonPrimaryTextColor	#FFFFFF
-7481069179918326163	buttonSecondaryBackgroundColor	#E1E1E1
-7481069179918326163	buttonSecondaryGradientColor	#FFFFFF
-7481069179918326163	buttonSecondaryTextColor	#404040
-7481069179918326163	fieldGradientColor	
-7481069179918326163	headerBackgroundImage	header.png
-7481069179918326163	headerBackgroundPosition	left center no-repeat
-7481069179918326163	highlightColor	#FFFFCC
-7481069179918326163	linkColor	#0089DC
-7481069179918326163	logoImage	logo-b.png
-7481069179918326163	menuAddEntryBackgroundColor	#4D9244
-7481069179918326163	menuAddEntryLinkColor	#FFFFFF
-7481069179918326163	menuBackgroundColor	#E1E1E1
-7481069179918326163	menuContentBackgroundColor	#E1E1E1
-7481069179918326163	menuContentGradientColor	#FFFFFF
-7481069179918326163	menuContentLinkColor	#404040
-7481069179918326163	menuGradientColor	#FFFFFF
-7481069179918326163	menuLinkColor	#404040
-7481069179918326163	menuSelectedEntryBackgroundColor	#F3D4D2
-7481069179918326163	menuSelectedEntryLinkColor	#404040
-7481069179918326163	notificationErrorColor	
-7481069179918326163	notificationInfoColor	
-7481069179918326163	notificationSuccessColor	
-7481069179918326163	notificationWarningColor	
-7481069179918326163	pageBackgroundColor	#FFFFFF
-7481069179918326163	pageBackgroundImage	
-7481069179918326163	pageBackgroundPosition	
-7481069179918326163	pageContentBackgroundColor	#FFFFFF
-7481069179918326163	pageHeaderBackgroundColor	#CFCFCF
-7481069179918326163	panelBackgroundColor	#FFFFFF
-7481069179918326163	panelCollapsedBackgroundColor	#E1E1E1
-7481069179918326163	panelCollapsedGradientColor	#FFFFFF
-7481069179918326163	panelCollapsedTextColor	#404040
-7481069179918326163	panelHeaderBackgroundColor	#E1E1E1
-7481069179918326163	panelHeaderGradientColor	#FFFFFF
-7481069179918326163	panelHeaderTextColor	#404040
-7481069179918326163	panelTextColor	#404040
-7481069179918326163	submenuContentBackgroundColor	#FFFFFF
-7481069179918326163	textColor	#404040
-7481069179918326163	textPrimaryColor	#636B75
-7481069179918326163	textSecondaryColor	#888888
-7481069179918326163	titleColor	#404040
8347436934581074556	cache	long
8347436934581074556	name	
8347436934581074556	use	onDemand
1699721016323068707	levels	view
-8983782906522536529	backgroundSecondaryColor	#F7F7F7
-8983782906522536529	borderColor	#F0F0F0
-8983782906522536529	buttonPrimaryBackgroundColor	#222222
-8983782906522536529	buttonPrimaryGradientColor	#555555
-8983782906522536529	buttonPrimaryTextColor	#FFFFFF
-8983782906522536529	buttonSecondaryBackgroundColor	#E1E1E1
-8983782906522536529	buttonSecondaryGradientColor	#FFFFFF
-8983782906522536529	buttonSecondaryTextColor	#404040
-8983782906522536529	fieldGradientColor	
-8983782906522536529	headerBackgroundImage	header.png
-8983782906522536529	headerBackgroundPosition	left center no-repeat
-8983782906522536529	highlightColor	#FFFFCC
-8983782906522536529	linkColor	#0089DC
-8983782906522536529	logoImage	logo-b.png
-8983782906522536529	menuAddEntryBackgroundColor	#4D9244
-8983782906522536529	menuAddEntryLinkColor	#FFFFFF
-8983782906522536529	menuBackgroundColor	#E1E1E1
-8983782906522536529	menuContentBackgroundColor	#E1E1E1
-8983782906522536529	menuContentGradientColor	#FFFFFF
-8983782906522536529	menuContentLinkColor	#404040
-8983782906522536529	menuGradientColor	#FFFFFF
-8983782906522536529	menuLinkColor	#404040
-8983782906522536529	menuSelectedEntryBackgroundColor	#F3D4D2
-8983782906522536529	menuSelectedEntryLinkColor	#404040
-8983782906522536529	notificationErrorColor	
-8983782906522536529	notificationInfoColor	
-8983782906522536529	notificationSuccessColor	
-8983782906522536529	notificationWarningColor	
-8983782906522536529	pageBackgroundColor	#FFFFFF
-8983782906522536529	pageBackgroundImage	
-8983782906522536529	pageBackgroundPosition	
-8983782906522536529	pageContentBackgroundColor	#FFFFFF
-8983782906522536529	pageHeaderBackgroundColor	#AD1616
-8983782906522536529	panelBackgroundColor	#FFFFFF
-8983782906522536529	panelCollapsedBackgroundColor	#E1E1E1
-8983782906522536529	panelCollapsedGradientColor	#FFFFFF
-8983782906522536529	panelCollapsedTextColor	#404040
-8983782906522536529	panelHeaderBackgroundColor	#E1E1E1
-8983782906522536529	panelHeaderGradientColor	#FFFFFF
-8983782906522536529	panelHeaderTextColor	#404040
-8983782906522536529	panelTextColor	#404040
-8983782906522536529	submenuContentBackgroundColor	#FFFFFF
-8983782906522536529	textColor	#404040
-8983782906522536529	textPrimaryColor	#636B75
-8983782906522536529	textSecondaryColor	#888888
-8983782906522536529	titleColor	#404040
-8612909099128072630	cache	long
-8612909099128072630	name	
-8612909099128072630	use	onDemand
-3152014185615537482	levels	view
4560887933952432789	backgroundSecondaryColor	#F3F3F3
4560887933952432789	borderColor	#E8E8E8
4560887933952432789	buttonPrimaryBackgroundColor	#2173AF
4560887933952432789	buttonPrimaryGradientColor	#0089DC
4560887933952432789	buttonPrimaryTextColor	#FFFFFF
4560887933952432789	buttonSecondaryBackgroundColor	#E1E1E1
4560887933952432789	buttonSecondaryGradientColor	#FFFFFF
4560887933952432789	buttonSecondaryTextColor	#4D5860
4560887933952432789	fieldGradientColor	#F5F5F5
4560887933952432789	headerBackgroundImage	header.png
4560887933952432789	headerBackgroundPosition	
4560887933952432789	highlightColor	#FFFFCC
4560887933952432789	linkColor	#0089DC
4560887933952432789	logoImage	
4560887933952432789	menuAddEntryBackgroundColor	#4D9244
4560887933952432789	menuAddEntryLinkColor	#FFFFFF
4560887933952432789	menuBackgroundColor	#0272A6
4560887933952432789	menuContentBackgroundColor	#E1E1E1
4560887933952432789	menuContentGradientColor	#FFFFFF
4560887933952432789	menuContentLinkColor	#4D5860
4560887933952432789	menuGradientColor	#3A8ABC
4560887933952432789	menuLinkColor	#F3F3F3
4560887933952432789	menuSelectedEntryBackgroundColor	#EFEFEF
4560887933952432789	menuSelectedEntryLinkColor	#2173AF
4560887933952432789	notificationErrorColor	#CC3333
4560887933952432789	notificationInfoColor	#336699
4560887933952432789	notificationSuccessColor	#008000
4560887933952432789	notificationWarningColor	#D09000
4560887933952432789	pageBackgroundColor	#F5F5F5
4560887933952432789	pageBackgroundImage	
4560887933952432789	pageBackgroundPosition	
4560887933952432789	pageContentBackgroundColor	#FFFFFF
4560887933952432789	pageHeaderBackgroundColor	#3A8ABC
4560887933952432789	panelBackgroundColor	#FFFFFF
4560887933952432789	panelCollapsedBackgroundColor	#E1E1E1
4560887933952432789	panelCollapsedGradientColor	#FFFFFF
4560887933952432789	panelCollapsedTextColor	#4D5860
4560887933952432789	panelHeaderBackgroundColor	#E1E1E1
4560887933952432789	panelHeaderGradientColor	#FFFFFF
4560887933952432789	panelHeaderTextColor	#4D5860
4560887933952432789	panelTextColor	#636B75
4560887933952432789	submenuContentBackgroundColor	#F5F5F5
4560887933952432789	textColor	#636B75
4560887933952432789	textPrimaryColor	#9F9F9F
4560887933952432789	textSecondaryColor	#9F9F9F
4560887933952432789	titleColor	#2173AF
-5347471842214447649	levels	view
-1595455752697383687	backgroundSecondaryColor	#F7F7F7
-1595455752697383687	borderColor	#F0F0F0
-1595455752697383687	buttonPrimaryBackgroundColor	#222222
-1595455752697383687	buttonPrimaryGradientColor	#555555
-1595455752697383687	buttonPrimaryTextColor	#FFFFFF
-1595455752697383687	buttonSecondaryBackgroundColor	#E1E1E1
-1595455752697383687	buttonSecondaryGradientColor	#FFFFFF
-1595455752697383687	buttonSecondaryTextColor	#881212
-1595455752697383687	headerBackgroundImage	header.png
-1595455752697383687	headerBackgroundPosition	
-1595455752697383687	highlightColor	#FFFFCC
-1595455752697383687	linkColor	#C61A1A
-1595455752697383687	logoImage	
-1595455752697383687	menuAddEntryBackgroundColor	#4D9244
-1595455752697383687	menuAddEntryLinkColor	#FFFFFF
-1595455752697383687	menuBackgroundColor	#881212
-1595455752697383687	menuContentBackgroundColor	#E1E1E1
-1595455752697383687	menuContentGradientColor	#FFFFFF
-1595455752697383687	menuContentLinkColor	#881212
-1595455752697383687	menuGradientColor	#AD1616
-1595455752697383687	menuLinkColor	#FFFFFF
-1595455752697383687	menuSelectedEntryBackgroundColor	#F3D4D2
-1595455752697383687	menuSelectedEntryLinkColor	#404040
-1595455752697383687	pageBackgroundColor	#FFFFFF
-1595455752697383687	pageBackgroundImage	
-1595455752697383687	pageBackgroundPosition	
-1595455752697383687	pageContentBackgroundColor	#FFFFFF
-1595455752697383687	pageHeaderBackgroundColor	#AD1616
-1595455752697383687	panelBackgroundColor	#FFFFFF
-1595455752697383687	panelCollapsedBackgroundColor	#E1E1E1
-1595455752697383687	panelCollapsedGradientColor	#FFFFFF
-1595455752697383687	panelCollapsedTextColor	#881212
-1595455752697383687	panelHeaderBackgroundColor	#E1E1E1
-1595455752697383687	panelHeaderGradientColor	#FFFFFF
-1595455752697383687	panelHeaderTextColor	#881212
-1595455752697383687	panelTextColor	#404040
-1595455752697383687	submenuContentBackgroundColor	#FFFFFF
-1595455752697383687	textColor	#404040
-1595455752697383687	textPrimaryColor	#636B75
-1595455752697383687	textSecondaryColor	#888888
-1595455752697383687	titleColor	#404040
-6403795007650089389	levels	view
1722615445707298589	extensionPointId	org.phenotips.header.top:XWiki
1722615445707298589	name	org.phenotips.header.top.globalMenu
1722615445707298589	scope	wiki
2057799063539361021	extensionPointId	org.phenotips.header.bottom:XWiki
2057799063539361021	name	org.phenotips.header.bottom.globalTools
2057799063539361021	scope	wiki
2181430748800771902	extensionPointId	org.phenotips.main.top:XWiki
2181430748800771902	name	org.phenotips.main.top.empty
2181430748800771902	scope	wiki
1722652126108119459	extensionPointId	org.phenotips.content.top:XWiki
1722652126108119459	name	org.phenotips.content.top.empty
1722652126108119459	scope	wiki
923624607272235607	sheet	PhenoTips.PhenotypeMappingSheet
-2872393592263754776	sheet	XWiki.ClassSheet
2739420286846870014	cache	long
2739420286846870014	name	
2739420286846870014	use	onDemand
-4066849639251503145	cache	long
-4066849639251503145	name	
-4066849639251503145	use	onDemand
-7079714043964720575	cache	long
-7079714043964720575	name	
-7079714043964720575	use	onDemand
6295424548260315080	cache	long
6295424548260315080	name	
6295424548260315080	use	onDemand
6529430516254183794	cache	long
6529430516254183794	name	
6529430516254183794	use	onDemand
-3085580127925242763	cache	long
-3085580127925242763	name	
-3085580127925242763	use	onDemand
-156395709663949507	extensionPointId	org.phenotips.patientSheet.section.patient-info
-156395709663949507	name	org.phenotips.patientSheet.field.gender
-156395709663949507	scope	wiki
3944040389392955071	sheet	PatientSheet
4391400638661747159	extensionPointId	org.phenotips.patientSheet.section.medical-history
4391400638661747159	name	org.phenotips.patientSheet.field.global_age_of_onset
4391400638661747159	scope	wiki
-1098646284755533130	extensionPointId	org.phenotips.patientSheet.section.medical-history
-1098646284755533130	name	org.phenotips.patientSheet.field.allergies
-1098646284755533130	scope	wiki
-4180717956669538269	extensionPointId	org.phenotips.patientSheet.content
-4180717956669538269	name	org.phenotips.patientSheet.section.diagnosis-info
-4180717956669538269	scope	wiki
-8913398776091479712	extensionPointId	org.phenotips.patientSheet.section.prenatal-info
-8913398776091479712	name	org.phenotips.patientSheet.field.multipleGestation
-8913398776091479712	scope	wiki
-1036706414952163240	extensionPointId	org.phenotips.patientSheet.section.variant-info
-1036706414952163240	name	org.phenotips.patientSheet.field.variants
-1036706414952163240	scope	wiki
1745400825667077915	cache	long
1745400825667077915	name	
1745400825667077915	use	onDemand
-5413791625578606682	extensionPointId	org.phenotips.patientSheet.before
-5413791625578606682	name	org.phenotips.patientSheet.consent
-5413791625578606682	scope	wiki
-2676025870266436945	cache	long
-2676025870266436945	name	
-2676025870266436945	use	onDemand
1589205948959054510	cache	long
1589205948959054510	name	
1589205948959054510	use	onDemand
-292098650624942187	cache	long
-292098650624942187	name	
-292098650624942187	use	onDemand
-1548304891250386851	extensionPointId	org.phenotips.patientSheet.section.genotype
-1548304891250386851	name	org.phenotips.patientSheet.field.genes
-1548304891250386851	scope	wiki
-507856605642471160	extensionPointId	org.phenotips.patientSheet.section.family-info
-507856605642471160	name	org.phenotips.patientSheet.field.global_mode_of_inheritance
-507856605642471160	scope	wiki
110755453634907383	extensionPointId	org.phenotips.patientSheet.section.diagnosis-info
110755453634907383	name	org.phenotips.patientSheet.field.omim_suggestions
110755453634907383	scope	wiki
-5096871906417101995	extensionPointId	org.phenotips.patientSheet.section.prenatal-info
-5096871906417101995	name	org.phenotips.patientSheet.field.gestation
-5096871906417101995	scope	wiki
-4472210235605638364	cache	long
-4472210235605638364	name	
-4472210235605638364	use	onDemand
140270767052048382	cache	long
140270767052048382	name	
140270767052048382	use	onDemand
5438551172213685513	extensionPointId	org.phenotips.patientSheet.section.phenotype-info
5438551172213685513	name	org.phenotips.patientSheet.field.phenotype
5438551172213685513	scope	wiki
1240644555127670220	extensionPointId	org.phenotips.patientSheet.content
1240644555127670220	name	org.phenotips.patientSheet.section.phenotype-info
1240644555127670220	scope	wiki
-3478887088785183937	extensionPointId	org.phenotips.patientSheet.section.prenatal-info
-3478887088785183937	name	org.phenotips.patientSheet.field.prenatal_development
-3478887088785183937	scope	wiki
-976918384487463105	extensionPointId	org.phenotips.patientSheet.after
-976918384487463105	name	org.phenotips.patientSheet.field.charts-exported
-976918384487463105	scope	wiki
-6371114286152634390	cache	long
-6371114286152634390	name	Form behavior
-6371114286152634390	use	onDemand
2637663411216547790	cache	long
2637663411216547790	name	Form validation
2637663411216547790	use	onDemand
1060398250106611517	cache	long
1060398250106611517	name	Term suggest
1060398250106611517	use	onDemand
-294279599611314197	cache	long
-294279599611314197	name	Automatic computation of growth parameters
-294279599611314197	use	onDemand
-9052874784795951139	cache	long
-9052874784795951139	name	Expand/collapse sections
-9052874784795951139	use	onDemand
-1510750888240503256	cache	long
-1510750888240503256	name	Instant searches in the Diagnosis zone
-1510750888240503256	use	onDemand
3318223183939778041	cache	long
3318223183939778041	name	Date Pickers
3318223183939778041	use	onDemand
-2977641234833990010	cache	long
-2977641234833990010	name	Touchscreen drag and drop
-2977641234833990010	use	onDemand
-1317365487173417600	cache	long
-1317365487173417600	name	Other y/n/na pickers
-1317365487173417600	use	onDemand
8764761973697635701	cache	long
8764761973697635701	name	Autosave
8764761973697635701	use	onDemand
3838320918857368184	cache	long
3838320918857368184	name	ID uniqueness validation
3838320918857368184	use	onDemand
-2788095431523390073	cache	long
-2788095431523390073	name	Disable keyboard shortcuts
-2788095431523390073	use	onDemand
-6481727310521510162	cache	long
-6481727310521510162	name	Patient sheet UI
-6481727310521510162	use	onDemand
-7388137781914369781	cache	long
-7388137781914369781	name	Extra data table ui
-7388137781914369781	use	onDemand
-2870840246959512782	cache	long
-2870840246959512782	contentType	CSS
-2870840246959512782	name	Instant search style
-2870840246959512782	use	onDemand
-9075091576080308657	cache	long
-9075091576080308657	name	Phenotype details
-9075091576080308657	use	onDemand
8941872134116103063	cache	long
8941872134116103063	name	Form Validation
8941872134116103063	use	onDemand
203962400083476626	extensionPointId	org.phenotips.patientSheet.content
203962400083476626	name	org.phenotips.patientSheet.section.additional-files
203962400083476626	scope	wiki
8554973203633654227	extensionPointId	org.phenotips.patientSheet.section.measurement-info
8554973203633654227	name	org.phenotips.patientSheet.field.charts
8554973203633654227	scope	wiki
-1660613253161046934	extensionPointId	org.phenotips.patientSheet.section.case-resolution
-1660613253161046934	name	org.phenotips.patientSheet.field.solved
-1660613253161046934	scope	wiki
5609576143747348822	apgar1	unknown
5609576143747348822	apgar5	unknown
5609576143747348822	date_of_birth_entered	
5609576143747348822	date_of_death_entered	
5609576143747348822	external_id	
5609576143747348822	family_of	
5609576143747348822	first_name	
5609576143747348822	gender	
5609576143747348822	global_age_of_onset	
5609576143747348822	health_card	
5609576143747348822	last_name	
5609576143747348822	pedigree	
5609576143747348822	solved__gene_id	
5609576143747348822	solved__pubmed_id	
-1688306265438928416	visibility	private
3923990827706018899	extensionPointId	org.phenotips.patientSheet.content
3923990827706018899	name	org.phenotips.patientSheet.section.case-resolution
3923990827706018899	scope	wiki
8434677893931049112	extensionPointId	org.phenotips.patientSheet.section.additional-files
8434677893931049112	name	org.phenotips.patientSheet.field.additional-images
8434677893931049112	scope	wiki
7828773430998734372	extensionPointId	org.phenotips.patientSheet.section.patient-info
7828773430998734372	name	org.phenotips.patientSheet.field.indication_for_referral
7828773430998734372	scope	wiki
3976041187894402198	extensionPointId	org.phenotips.patientSheet.content
3976041187894402198	name	org.phenotips.patientSheet.section.patient-info
3976041187894402198	scope	wiki
-226647626601705576	extensionPointId	org.phenotips.patientSheet.content
-226647626601705576	name	org.phenotips.patientSheet.section.measurement-info
-226647626601705576	scope	wiki
-5003776548285228195	extensionPointId	org.phenotips.patientSheet.section.family-info
-5003776548285228195	name	org.phenotips.patientSheet.field.consanguinity
-5003776548285228195	scope	wiki
-8772225941158543190	extensionPointId	org.phenotips.patientSheet.section.prenatal-info
-8772225941158543190	name	org.phenotips.patientSheet.assistedReproduction
-8772225941158543190	scope	wiki
1185118687322623748	extensionPointId	org.phenotips.patientSheet.section.measurement-info
1185118687322623748	name	org.phenotips.patientSheet.field.required-measurements
1185118687322623748	scope	wiki
1364237315358742195	extensionPointId	org.phenotips.patientSheet.content
1364237315358742195	name	org.phenotips.patientSheet.section.prenatal-info
1364237315358742195	scope	wiki
3727276020073422038	extensionPointId	org.phenotips.patientSheet.section.measurement-info
3727276020073422038	name	org.phenotips.patientSheet.field.measurements
3727276020073422038	scope	wiki
5967691431549296708	extensionPointId	org.phenotips.patientSheet.section.family-info
5967691431549296708	name	org.phenotips.patientSheet.field.family_study
5967691431549296708	scope	wiki
9018479057853265151	extensionPointId	org.phenotips.patientSheet.section.patient-info
9018479057853265151	name	org.phenotips.patientSheet.field.date_of_death
9018479057853265151	scope	wiki
-6609433245919938890	extensionPointId	org.phenotips.patientSheet.section.prenatal-info
-6609433245919938890	name	org.phenotips.patientSheet.field.apgar
-6609433245919938890	scope	wiki
-7336163050248758201	extensionPointId	org.phenotips.patientSheet.section.family-info
-7336163050248758201	name	org.phenotips.patientSheet.field.proband_info
-7336163050248758201	scope	wiki
2611774919915831742	extensionPointId	org.phenotips.patientSheet.section.family-info
2611774919915831742	name	org.phenotips.patientSheet.field.pedigree-file
2611774919915831742	scope	wiki
-764790084925510049	extensionPointId	org.phenotips.patientSheet.section.diagnosis-info
-764790084925510049	name	org.phenotips.patientSheet.field.diagnosis_notes
-764790084925510049	scope	wiki
991841268510404417	extensionPointId	org.phenotips.patientSheet.section.medical-history
991841268510404417	name	org.phenotips.patientSheet.field.reports_history
991841268510404417	scope	wiki
-307009263461415052	extensionPointId	org.phenotips.patientSheet.section.family-info
-307009263461415052	name	org.phenotips.patientSheet.field.miscarriages
-307009263461415052	scope	wiki
-8476100274704283223	extensionPointId	org.phenotips.patientSheet.section.medical-history
-8476100274704283223	name	org.phenotips.patientSheet.field.medical_history
-8476100274704283223	scope	wiki
5271128316904831087	extensionPointId	org.phenotips.patientSheet.content
5271128316904831087	name	org.phenotips.patientSheet.section.variant-info
5271128316904831087	scope	wiki
-8569186381944649084	extensionPointId	org.phenotips.patientSheet.section.patient-info
-8569186381944649084	name	org.phenotips.patientSheet.field.patient_name
-8569186381944649084	scope	wiki
2408108398840016633	extensionPointId	org.phenotips.patientSheet.section.patient-info
2408108398840016633	name	org.phenotips.patientSheet.field.external_id
2408108398840016633	scope	wiki
-530863808007637964	extensionPointId	org.phenotips.patientSheet.section.family-info
-530863808007637964	name	org.phenotips.patientSheet.field.ethnicity
-530863808007637964	scope	wiki
-7733359520204819767	extensionPointId	org.phenotips.patientSheet.section.patient-info
-7733359520204819767	name	org.phenotips.patientSheet.field.date_of_birth
-7733359520204819767	scope	wiki
3370712823292206081	sheet	PhenoTips.UIXSheet
5168516724145124850	extensionPointId	org.phenotips.patientSheet.section.genotype
5168516724145124850	name	org.phenotips.patientSheet.field.vcf
5168516724145124850	scope	wiki
7975350629303934440	extensionPointId	org.phenotips.patientSheet.section.family-info
7975350629303934440	name	org.phenotips.patientSheet.field.family_history
7975350629303934440	scope	wiki
-2130164487751517287	extensionPointId	org.phenotips.patientSheet.after
-2130164487751517287	name	org.phenotips.patientSheet.field.additiona-images-exported
-2130164487751517287	scope	wiki
4857991400143507865	extensionPointId	org.phenotips.patientSheet.section.patient-info
4857991400143507865	name	org.phenotips.patientSheet.field.exam_date
4857991400143507865	scope	wiki
-5634258157532034655	extensionPointId	org.phenotips.patientSheet.section.patient-info
-5634258157532034655	name	org.phenotips.patientSheet.field.health_card
-5634258157532034655	scope	wiki
-1255206162679304456	extensionPointId	org.phenotips.patientSheet.section.patient-info
-1255206162679304456	name	org.phenotips.patientSheet.field.identifier
-1255206162679304456	scope	wiki
2439067458154922506	extensionPointId	org.phenotips.patientSheet.section.prenatal-info
2439067458154922506	name	org.phenotips.patientSheet.parentalAge
2439067458154922506	scope	wiki
1866621421289733079	extensionPointId	org.phenotips.patientSheet.section.prenatal-info
1866621421289733079	name	org.phenotips.patientSheet.field.prenatal_phenotype
1866621421289733079	scope	wiki
7385052798141217275	extensionPointId	org.phenotips.patientSheet.content
7385052798141217275	name	org.phenotips.patientSheet.section.genotype
7385052798141217275	scope	wiki
-2602910287359672869	extensionPointId	org.phenotips.patientSheet.content
-2602910287359672869	name	org.phenotips.patientSheet.section.family-info
-2602910287359672869	scope	wiki
7371445097842592406	extensionPointId	org.phenotips.patientSheet.section.family-info
7371445097842592406	name	org.phenotips.patientSheet.field.affectedRelatives
7371445097842592406	scope	wiki
-1988242395712856245	extensionPointId	org.phenotips.patientSheet.content
-1988242395712856245	name	org.phenotips.patientSheet.section.medical-history
-1988242395712856245	scope	wiki
19015968192784928	extensionPointId	org.phenotips.patientSheet.section.additional-files
19015968192784928	name	org.phenotips.patientSheet.field.additional-documents
19015968192784928	scope	wiki
-6854874606737019295	sheet	PhenoTips.UIXSheet
4902389464977109051	cache	long
4902389464977109051	name	
4902389464977109051	use	onDemand
-7642655803473087326	extensionPointId	org.phenotips.patientSheet.section.genotype
-7642655803473087326	name	org.phenotips.patientSheet.field.rejected_genes
-7642655803473087326	scope	wiki
-2198110047830767495	extensionPointId	org.phenotips.patientSheet.section.diagnosis-info
-2198110047830767495	name	org.phenotips.patientSheet.field.omim_id
-2198110047830767495	scope	wiki
-5107571275666992228	extensionPointId	org.phenotips.patientSheet.section.prenatal-info
-5107571275666992228	name	org.phenotips.patientSheet.obstetricHistory
-5107571275666992228	scope	wiki
1776151800626855264	cache	long
1776151800626855264	name	
1776151800626855264	use	onDemand
-4886940583401620716	extensionPointId	org.xwiki.platform.search
-4886940583401620716	name	database
-4886940583401620716	scope	wiki
-2636269436385194420	configurationClass	
-2636269436385194420	displayInSection	Search
-2636269436385194420	heading	
-2636269436385194420	iconAttachment	icon.png
-2636269436385194420	linkPrefix	
8245055029403230725	sheet	ClassSheet
-8298489110277145029	sheet	XWiki.ClassSheet
4452184872458081486	cache	long
4452184872458081486	name	
4452184872458081486	use	onDemand
4987120541439898953	cache	long
4987120541439898953	name	
4987120541439898953	use	onDemand
6580011987323805505	category	Tools
6580011987323805505	name	Search
6580011987323805505	type	view
-2219776247285052883	cache	long
-2219776247285052883	name	Confirmed AJAX deletion
-2219776247285052883	use	onDemand
8526841154133154525	cache	long
8526841154133154525	name	Export preferences
8526841154133154525	use	onDemand
-2957198822781106626	cache	long
-2957198822781106626	name	Hide Filters button behavior
-2957198822781106626	use	onDemand
6080907093480830533	cache	long
6080907093480830533	name	Minor layout fix
6080907093480830533	use	onDemand
-2829345281053977864	cache	long
-2829345281053977864	name	Export UI
-2829345281053977864	use	onDemand
-8983360167584442179	levels	edit,comment
-5313288560143497352	dateOfBirthFormat	yyyy-MM-dd
-5313288560143497352	livetableSortColumn	doc.name
-5313288560143497352	measurementUnitSystem	metric
-5313288560143497352	phenotypeMapping	PhenoTips.Generic phenotype configuration
5770265429325257425	configurationClass	PhenoTips.DBConfigurationClass
5770265429325257425	displayInCategory	phenotips
5770265429325257425	displayInSection	tablesconfig
5770265429325257425	heading	$services.localization.render('phenotips.navigation.webHome.dataTables.heading')
5770265429325257425	iconAttachment	clinicaldata.png
5770265429325257425	linkPrefix	
8433417381059088093	configurationClass	
8433417381059088093	displayInCategory	phenotips
8433417381059088093	displayInSection	FormConfig
8433417381059088093	heading	$services.localization.render('phenotips.navigation.webHome.formConfig.heading')
8433417381059088093	iconAttachment	
8433417381059088093	linkPrefix	
-2910348294274572180	configurationClass	
-2910348294274572180	displayInCategory	phenotips
-2910348294274572180	displayInSection	welcome
-2910348294274572180	heading	
-2910348294274572180	iconAttachment	
-2910348294274572180	linkPrefix	
-3560279228912068454	configurationClass	PhenoTips.DBConfigurationClass
-3560279228912068454	displayInCategory	phenotips
-3560279228912068454	displayInSection	mapping
-3560279228912068454	heading	$services.localization.render('phenotips.navigation.webHome.defaultPhenotypes.heading')
-3560279228912068454	iconAttachment	
-3560279228912068454	linkPrefix	
705178565365604649	configurationClass	PhenoTips.DBConfigurationClass
705178565365604649	displayInCategory	phenotips
705178565365604649	displayInSection	dataformats
705178565365604649	heading	$services.localization.render('phenotips.navigation.webHome.dataFormats.heading')
705178565365604649	iconAttachment	
705178565365604649	linkPrefix	
-27458081436434210	position	1,1
-27458081436434210	title	{{translation key="phenotips.homepage.welcome.title" /}}
409878110249750461	position	1,2
409878110249750461	title	$services.localization.render('phenotips.homepage.groups.title') (% style="float: right;" %)[[$services.localization.render('phenotips.homepage.groups.moreGroups')>>Groups.WebHome]]
6183827161773043371	position	2,1
6183827161773043371	title	{{translation key="phenotips.homepage.myData.title"/}}#if($hasCreatePage) {{html clean=false}}<label for="create-patient-record"><span class="fa fa-plus-circle"> </span>$services.localization.render('phenotips.homepage.myData.createPatient')</label>#end
4384502243639797541	position	2,2
4384502243639797541	title	$services.localization.render('phenotips.homepage.sharedData.title') (% style="float: right;" %)[[$services.localization.render('phenotips.homepage.sharedData.allData')>>data.AllData]]
3232495135464493548	extensionPointId	org.phenotips.header.top:data
3232495135464493548	name	org.phenotips.header.top.globalMenu
3232495135464493548	scope	wiki
2514130779551080996	extensionPointId	org.phenotips.header.bottom:data
2514130779551080996	name	org.phenotips.header.bottom.globalTools
2514130779551080996	scope	wiki
8913594883756574192	extensionPointId	org.phenotips.main.top:data
8913594883756574192	name	org.phenotips.main.top.empty
8913594883756574192	scope	wiki
-8415318328982618260	extensionPointId	org.phenotips.content.top:data
-8415318328982618260	name	org.phenotips.content.top.empty
-8415318328982618260	scope	wiki
8673821287332809284	levels	edit,comment,delete
-1302609460190462315	sheet	XWiki.SearchSuggestConfigSheet
-5517713055023142395	configurationClass	
-5517713055023142395	displayInSection	searchSuggest
-5517713055023142395	heading	
-5517713055023142395	iconAttachment	search-suggest.png
-5517713055023142395	linkPrefix	
-7986073282154439006	engine	lucene
-7986073282154439006	icon	icon:user
-7986073282154439006	name	Matching patients
-7986073282154439006	resultsNumber	5
-7986073282154439006	url	$xwiki.getURL('PhenoTips.SuggestPatientsService', 'get', 'outputSyntax=plain&permission=view')
2022573344469648541	engine	solr
2022573344469648541	icon	icon:user
2022573344469648541	name	Matching patients
2022573344469648541	resultsNumber	5
2022573344469648541	url	$xwiki.getURL('PhenoTips.SuggestPatientsService', 'get', 'outputSyntax=plain&permission=view')
-1548827347686522172	engine	database
-1548827347686522172	icon	icon:user
-1548827347686522172	name	Matching patients
-1548827347686522172	resultsNumber	5
-1548827347686522172	url	$xwiki.getURL('PhenoTips.SuggestPatientsService', 'get', 'outputSyntax=plain&permission=view')
7171853016016441993	engine	database
-6678053217488718310	sheet	ClassSheet
-6024107242670355211	cache	long
-6024107242670355211	name	userprofile
-6024107242670355211	use	onDemand
-892880999687888266	cache	long
-892880999687888266	name	userprofile
-892880999687888266	use	onDemand
5900196777912041392	sheet	ClassSheet
9021566092119813787	cache	long
9021566092119813787	name	'Follow' css
9021566092119813787	use	currentPage
7811058895938084934	sheet	
-3042698958279645626	cache	long
-3042698958279645626	name	
-3042698958279645626	use	onDemand
-7655721308476192203	id	personal
-7655721308476192203	name	$services.localization.render('platform.core.profile.section.personal')
9088924276358756200	id	contact
9088924276358756200	name	$services.localization.render('platform.core.profile.section.contact')
-3368177157800536719	cache	long
-3368177157800536719	name	Save study before opening configuration file
-3368177157800536719	use	onDemand
8761304744831463011	cache	long
8761304744831463011	name	
8761304744831463011	use	onDemand
-2463437426451842842	cache	long
-2463437426451842842	name	
-2463437426451842842	use	onDemand
8770311400200566798	cache	long
8770311400200566798	name	
8770311400200566798	use	onDemand
4778230998437866984	cache	long
4778230998437866984	name	
4778230998437866984	use	onDemand
-5114398573335484231	extensionPointId	org.phenotips.patientSheet.before
-5114398573335484231	name	org.phenotips.patientSheet.study
-5114398573335484231	scope	wiki
8666367720504281104	sheet	StudySheet
-2450571279076522953	configurationClass	
-2450571279076522953	displayInCategory	phenotips
-2450571279076522953	displayInSection	studies
-2450571279076522953	heading	
-2450571279076522953	iconAttachment	
-2450571279076522953	linkPrefix	
1638124222887867495	configurationClass	
1638124222887867495	displayInCategory	phenotips
1638124222887867495	displayInSection	studies
1638124222887867495	heading	
1638124222887867495	iconAttachment	
1638124222887867495	linkPrefix	
847606304787817944	cache	long
847606304787817944	name	
847606304787817944	use	onDemand
-3564872831236639289	cache	long
-3564872831236639289	name	
-3564872831236639289	use	onDemand
-8576709785714399408	contentType	Optional
-8576709785714399408	defaultCategory	
-8576709785714399408	id	phenotips-studies
-8576709785714399408	name	PhenoTips study list
-8576709785714399408	visibility	Current Wiki
-895078038262117406	defaultValue	false
-895078038262117406	name	fullinfo
-7527448072712228779	defaultValue	false
-7527448072712228779	name	tools
5344695841514206043	defaultValue	name
5344695841514206043	name	orderby
-2240667059755516459	defaultValue	
-2240667059755516459	name	max
6469893864138995544	defaultValue	
6469893864138995544	name	filterby
3116682217299422574	defaultValue	
3116682217299422574	name	filterval
-5700687243988839035	levels	edit
4147277654376925842	extensionPointId	org.phenotips.header.top:Studies
4147277654376925842	name	org.phenotips.header.top.globalMenu
4147277654376925842	scope	wiki
-59026427093726044	extensionPointId	org.phenotips.header.bottom:Studies
-59026427093726044	name	org.phenotips.header.bottom.globalTools
-59026427093726044	scope	wiki
5080734207733223018	extensionPointId	org.phenotips.main.top:Studies
5080734207733223018	name	org.phenotips.main.top.empty
5080734207733223018	scope	wiki
-2682039314733007197	extensionPointId	org.phenotips.content.top:Studies
-2682039314733007197	name	org.phenotips.content.top.empty
-2682039314733007197	scope	wiki
-1509591837336391582	levels	edit
-3400690524879772823	extensionPointId	org.phenotips.header.top:Groups
-3400690524879772823	name	org.phenotips.header.top.globalMenu
-3400690524879772823	scope	wiki
-5528378045460294812	extensionPointId	org.phenotips.header.bottom:Groups
-5528378045460294812	name	org.phenotips.header.bottom.globalTools
-5528378045460294812	scope	wiki
913415081380430284	extensionPointId	org.phenotips.main.top:Groups
913415081380430284	name	org.phenotips.main.top.empty
913415081380430284	scope	wiki
-9138958964511871671	extensionPointId	org.phenotips.content.top:Groups
-9138958964511871671	name	org.phenotips.content.top.empty
-9138958964511871671	scope	wiki
9041572729335721752	sheet	PhenoTipsGroupSheet
2073568392999882834	configurationClass	
2073568392999882834	displayInCategory	phenotips
2073568392999882834	displayInSection	workgroups
2073568392999882834	heading	$services.localization.render('phenotips.groups.adminTitle')
2073568392999882834	iconAttachment	
2073568392999882834	linkPrefix	
7180121727829606960	cache	long
7180121727829606960	name	
7180121727829606960	use	onDemand
7727320115181082077	cache	long
7727320115181082077	name	
7727320115181082077	use	onDemand
5798038344610232394	contentType	No content
5798038344610232394	defaultCategory	
5798038344610232394	id	phenotips-groups
5798038344610232394	name	PhenoTips groups list
5798038344610232394	visibility	Current Wiki
-2512908139053535367	defaultValue	false
-2512908139053535367	name	fullinfo
4944596992863623867	defaultValue	false
4944596992863623867	name	tools
-4623279692502789151	defaultValue	name
-4623279692502789151	name	orderby
-6024370860095195332	defaultValue	
-6024370860095195332	name	max
6096029637276629987	defaultValue	
6096029637276629987	name	filterby
-4031983853031171190	defaultValue	
-4031983853031171190	name	filterval
-255472277895193837	image	group.png
1787258712821863556	member	
6064440767811824306	cache	long
6064440767811824306	name	
6064440767811824306	use	onDemand
-5421123356691248741	cache	long
-5421123356691248741	name	
-5421123356691248741	use	onDemand
-3828478898898167538	extensionPointId	org.xwiki.platform.content.top
-3828478898898167538	name	org.phenotips.groupSheet.tools
-3828478898898167538	scope	wiki
-2877438213821797606	configurationClass	
-2877438213821797606	displayInCategory	phenotips
-2877438213821797606	displayInSection	access
-2877438213821797606	heading	Default patient visibility
-2877438213821797606	iconAttachment	
-2877438213821797606	linkPrefix	
551609650500912368	cache	long
551609650500912368	name	
551609650500912368	use	onDemand
-8232487170375787291	cache	long
-8232487170375787291	name	
-8232487170375787291	use	onDemand
9106279970647499253	extensionPointId	org.phenotips.patientSheet.before
9106279970647499253	name	org.phenotips.patientSheet.accessLevels
9106279970647499253	scope	wiki
7403094704171418880	configurationClass	
7403094704171418880	displayInCategory	phenotips
7403094704171418880	displayInSection	Ontology
7403094704171418880	heading	
7403094704171418880	iconAttachment	
7403094704171418880	linkPrefix	
6459658409747391089	cache	long
6459658409747391089	name	
6459658409747391089	use	onDemand
-2505372602338148651	configurationClass	
-2505372602338148651	displayInCategory	phenotips
-2505372602338148651	displayInSection	pushpatientconfig
-2505372602338148651	heading	$services.localization.render('phenotips.pushPatientConfiguration.heading')
-2505372602338148651	iconAttachment	
-2505372602338148651	linkPrefix	
5021590344407417420	cache	long
5021590344407417420	name	
5021590344407417420	use	currentPage
-6751674827209837311	cache	forbid
-6751674827209837311	name	
-6751674827209837311	use	currentPage
-3681911963317287387	cache	forbid
-3681911963317287387	name	
-3681911963317287387	use	onDemand
7468603442780643665	extensionPointId	org.phenotips.patientRecordMenu.moreActions
7468603442780643665	name	org.phenotips.widget.pushpatient
7468603442780643665	scope	wiki
2534802451056194929	scope	WIKI
-8575996731423830758	sheet	PhenoTips.UIXSheet
5463904592636036565	cache	long
5463904592636036565	name	
5463904592636036565	use	onDemand
3495009035156146571	cache	long
3495009035156146571	contentType	CSS
3495009035156146571	name	
3495009035156146571	use	onDemand
-119577056256676794	extensionPointId	org.phenotips.patientSheet.after
-119577056256676794	name	org.phenotips.widget.monarch.specificitymeter
-119577056256676794	scope	wiki
6029009841361615301	cache	long
6029009841361615301	name	Save the patient record before loading the Pedigree Editor
6029009841361615301	use	onDemand
-8261175631496715595	extensionPointId	org.phenotips.patientSheet.section.family-info
-8261175631496715595	name	org.phenotips.patientSheet.field.pedigree
-8261175631496715595	scope	wiki
6893542420748668742	configurationClass	
6893542420748668742	displayInCategory	phenotips
6893542420748668742	displayInSection	pedigreeconfig
6893542420748668742	heading	
6893542420748668742	iconAttachment	
6893542420748668742	linkPrefix	
-8424300188759589403	cache	long
-8424300188759589403	name	
-8424300188759589403	use	currentPage
-5833210098757145561	cache	long
-5833210098757145561	name	
-5833210098757145561	use	onDemand
7618142183311729225	configurationClass	
7618142183311729225	displayInCategory	phenotips
7618142183311729225	displayInSection	UIX
7618142183311729225	heading	
7618142183311729225	iconAttachment	
7618142183311729225	linkPrefix	
5034495970584502524	configurationClass	
5034495970584502524	displayInSection	PhenoTips
5034495970584502524	heading	
5034495970584502524	iconAttachment	clinicaldata.png
5034495970584502524	linkPrefix	
8166411702173902761	cache	long
8166411702173902761	name	Correct the Customize button target
8166411702173902761	use	currentPage
6352250265993074411	cache	long
6352250265993074411	name	Administration application javascript
6352250265993074411	use	onDemand
-8802998659962860204	cache	long
-8802998659962860204	name	Administration application stylesheet
-8802998659962860204	use	onDemand
7883403272225626124	cache	long
7883403272225626124	name	
7883403272225626124	use	onDemand
\.


--
-- Name: feeds_aggregatorgroup feeds_aggregatorgroup_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY feeds_aggregatorgroup
    ADD CONSTRAINT feeds_aggregatorgroup_pkey PRIMARY KEY (agg_id);


--
-- Name: feeds_aggregatorurl feeds_aggregatorurl_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY feeds_aggregatorurl
    ADD CONSTRAINT feeds_aggregatorurl_pkey PRIMARY KEY (agg_id);


--
-- Name: feeds_aggregatorurlgroups feeds_aggregatorurlgroups_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY feeds_aggregatorurlgroups
    ADD CONSTRAINT feeds_aggregatorurlgroups_pkey PRIMARY KEY (agl_id, agl_number);


--
-- Name: feeds_feedentry feeds_feedentry_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY feeds_feedentry
    ADD CONSTRAINT feeds_feedentry_pkey PRIMARY KEY (fee_id);


--
-- Name: feeds_feedentrytags feeds_feedentrytags_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY feeds_feedentrytags
    ADD CONSTRAINT feeds_feedentrytags_pkey PRIMARY KEY (fet_id, fet_number);


--
-- Name: feeds_keyword feeds_keyword_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY feeds_keyword
    ADD CONSTRAINT feeds_keyword_pkey PRIMARY KEY (key_id);


--
-- Name: locallogintoken locallogintoken_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY locallogintoken
    ADD CONSTRAINT locallogintoken_pkey PRIMARY KEY (id);


--
-- Name: mailsender_events mailsender_events_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY mailsender_events
    ADD CONSTRAINT mailsender_events_pkey PRIMARY KEY (mail_id);


--
-- Name: patientpushedtoinfo patientpushedtoinfo_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY patientpushedtoinfo
    ADD CONSTRAINT patientpushedtoinfo_pkey PRIMARY KEY (id);


--
-- Name: patientsourceserverinfo patientsourceserverinfo_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY patientsourceserverinfo
    ADD CONSTRAINT patientsourceserverinfo_pkey PRIMARY KEY (id);


--
-- Name: remotelogindata remotelogindata_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY remotelogindata
    ADD CONSTRAINT remotelogindata_pkey PRIMARY KEY (id);


--
-- Name: xwikiattachment_archive xwikiattachment_archive_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikiattachment_archive
    ADD CONSTRAINT xwikiattachment_archive_pkey PRIMARY KEY (xwa_id);


--
-- Name: xwikiattachment_content xwikiattachment_content_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikiattachment_content
    ADD CONSTRAINT xwikiattachment_content_pkey PRIMARY KEY (xwa_id);


--
-- Name: xwikiattachment xwikiattachment_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikiattachment
    ADD CONSTRAINT xwikiattachment_pkey PRIMARY KEY (xwa_id);


--
-- Name: xwikiattrecyclebin xwikiattrecyclebin_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikiattrecyclebin
    ADD CONSTRAINT xwikiattrecyclebin_pkey PRIMARY KEY (xda_id);


--
-- Name: xwikiattrecyclebin xwikiattrecyclebin_xda_docid_xda_filename_xda_date_key; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikiattrecyclebin
    ADD CONSTRAINT xwikiattrecyclebin_xda_docid_xda_filename_xda_date_key UNIQUE (xda_docid, xda_filename, xda_date);


--
-- Name: xwikicomments xwikicomments_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikicomments
    ADD CONSTRAINT xwikicomments_pkey PRIMARY KEY (xwc_id);


--
-- Name: xwikidates xwikidates_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikidates
    ADD CONSTRAINT xwikidates_pkey PRIMARY KEY (xws_id, xws_name);


--
-- Name: xwikidbversion xwikidbversion_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikidbversion
    ADD CONSTRAINT xwikidbversion_pkey PRIMARY KEY (xwv_version);


--
-- Name: xwikidoc xwikidoc_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikidoc
    ADD CONSTRAINT xwikidoc_pkey PRIMARY KEY (xwd_id);


--
-- Name: xwikidoubles xwikidoubles_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikidoubles
    ADD CONSTRAINT xwikidoubles_pkey PRIMARY KEY (xwd_id, xwd_name);


--
-- Name: xwikifloats xwikifloats_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikifloats
    ADD CONSTRAINT xwikifloats_pkey PRIMARY KEY (xwf_id, xwf_name);


--
-- Name: xwikiintegers xwikiintegers_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikiintegers
    ADD CONSTRAINT xwikiintegers_pkey PRIMARY KEY (xwi_id, xwi_name);


--
-- Name: xwikilargestrings xwikilargestrings_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikilargestrings
    ADD CONSTRAINT xwikilargestrings_pkey PRIMARY KEY (xwl_id, xwl_name);


--
-- Name: xwikilinks xwikilinks_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikilinks
    ADD CONSTRAINT xwikilinks_pkey PRIMARY KEY (xwl_doc_id, xwl_link);


--
-- Name: xwikilistitems xwikilistitems_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikilistitems
    ADD CONSTRAINT xwikilistitems_pkey PRIMARY KEY (xwl_id, xwl_name, xwl_number);


--
-- Name: xwikilists xwikilists_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikilists
    ADD CONSTRAINT xwikilists_pkey PRIMARY KEY (xwl_id, xwl_name);


--
-- Name: xwikilock xwikilock_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikilock
    ADD CONSTRAINT xwikilock_pkey PRIMARY KEY (xwl_doc_id);


--
-- Name: xwikilongs xwikilongs_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikilongs
    ADD CONSTRAINT xwikilongs_pkey PRIMARY KEY (xwl_id, xwl_name);


--
-- Name: xwikiobjects xwikiobjects_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikiobjects
    ADD CONSTRAINT xwikiobjects_pkey PRIMARY KEY (xwo_id);


--
-- Name: xwikipreferences xwikipreferences_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikipreferences
    ADD CONSTRAINT xwikipreferences_pkey PRIMARY KEY (xwp_id);


--
-- Name: xwikiproperties xwikiproperties_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikiproperties
    ADD CONSTRAINT xwikiproperties_pkey PRIMARY KEY (xwp_id, xwp_name);


--
-- Name: xwikircs xwikircs_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikircs
    ADD CONSTRAINT xwikircs_pkey PRIMARY KEY (xwr_docid, xwr_version1, xwr_version2);


--
-- Name: xwikirecyclebin xwikirecyclebin_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikirecyclebin
    ADD CONSTRAINT xwikirecyclebin_pkey PRIMARY KEY (xdd_id);


--
-- Name: xwikirecyclebin xwikirecyclebin_xdd_fullname_xdd_language_xdd_date_key; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikirecyclebin
    ADD CONSTRAINT xwikirecyclebin_xdd_fullname_xdd_language_xdd_date_key UNIQUE (xdd_fullname, xdd_language, xdd_date);


--
-- Name: xwikistatsdoc xwikistatsdoc_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikistatsdoc
    ADD CONSTRAINT xwikistatsdoc_pkey PRIMARY KEY (xws_id);


--
-- Name: xwikistatsreferer xwikistatsreferer_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikistatsreferer
    ADD CONSTRAINT xwikistatsreferer_pkey PRIMARY KEY (xwr_id);


--
-- Name: xwikistatsvisit xwikistatsvisit_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikistatsvisit
    ADD CONSTRAINT xwikistatsvisit_pkey PRIMARY KEY (xwv_id);


--
-- Name: xwikistrings xwikistrings_pkey; Type: CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikistrings
    ADD CONSTRAINT xwikistrings_pkey PRIMARY KEY (xws_id, xws_name);


--
-- Name: att_author; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX att_author ON xwikiattachment USING btree (xwa_author);


--
-- Name: att_date; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX att_date ON xwikiattachment USING btree (xwa_date);


--
-- Name: att_doc_id; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX att_doc_id ON xwikiattachment USING btree (xwa_doc_id);


--
-- Name: comment_author; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX comment_author ON xwikicomments USING btree (xwc_author);


--
-- Name: comment_date; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX comment_date ON xwikicomments USING btree (xwp_date);


--
-- Name: comment_replyto; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX comment_replyto ON xwikicomments USING btree (xwp_replyto);


--
-- Name: doc_author; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_author ON xwikidoc USING btree (xwd_author);


--
-- Name: doc_content_author; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_content_author ON xwikidoc USING btree (xwd_content_author);


--
-- Name: doc_content_update_date; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_content_update_date ON xwikidoc USING btree (xwd_content_update_date);


--
-- Name: doc_creation_date; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_creation_date ON xwikidoc USING btree (xwd_creation_date);


--
-- Name: doc_creator; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_creator ON xwikidoc USING btree (xwd_creator);


--
-- Name: doc_date; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_date ON xwikidoc USING btree (xwd_date);


--
-- Name: doc_default_language; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_default_language ON xwikidoc USING btree (xwd_default_language);


--
-- Name: doc_fullname; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_fullname ON xwikidoc USING btree (xwd_fullname);


--
-- Name: doc_hidden; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_hidden ON xwikidoc USING btree (xwd_hidden);


--
-- Name: doc_language; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_language ON xwikidoc USING btree (xwd_language);


--
-- Name: doc_minoredit; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_minoredit ON xwikidoc USING btree (xwd_minoredit);


--
-- Name: doc_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_name ON xwikidoc USING btree (xwd_name);


--
-- Name: doc_space; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_space ON xwikidoc USING btree (xwd_web);


--
-- Name: doc_title; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX doc_title ON xwikidoc USING btree (xwd_title);


--
-- Name: mail_batch_id; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX mail_batch_id ON mailsender_events USING btree (mail_batchid);


--
-- Name: mail_date; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX mail_date ON mailsender_events USING btree (mail_date);


--
-- Name: mail_state; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX mail_state ON mailsender_events USING btree (mail_state);


--
-- Name: mail_type; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX mail_type ON mailsender_events USING btree (mail_type);


--
-- Name: mail_wiki; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX mail_wiki ON mailsender_events USING btree (mail_wiki);


--
-- Name: obj_classname; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX obj_classname ON xwikiobjects USING btree (xwo_classname);


--
-- Name: obj_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX obj_name ON xwikiobjects USING btree (xwo_name);


--
-- Name: obj_number; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX obj_number ON xwikiobjects USING btree (xwo_number);


--
-- Name: prop_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX prop_name ON xwikiproperties USING btree (xwp_name);


--
-- Name: rev_author; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX rev_author ON xwikircs USING btree (xwr_author);


--
-- Name: rev_date; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX rev_date ON xwikircs USING btree (xwr_date);


--
-- Name: rev_isdiff; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX rev_isdiff ON xwikircs USING btree (xwr_isdiff);


--
-- Name: xda_date; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xda_date ON xwikiattrecyclebin USING btree (xda_date);


--
-- Name: xda_deleter; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xda_deleter ON xwikiattrecyclebin USING btree (xda_deleter);


--
-- Name: xda_doc_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xda_doc_name ON xwikiattrecyclebin USING btree (xda_doc_name);


--
-- Name: xda_filename; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xda_filename ON xwikiattrecyclebin USING btree (xda_filename);


--
-- Name: xdd_date; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xdd_date ON xwikirecyclebin USING btree (xdd_date);


--
-- Name: xdd_deleter; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xdd_deleter ON xwikirecyclebin USING btree (xdd_deleter);


--
-- Name: xdd_language; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xdd_language ON xwikirecyclebin USING btree (xdd_language);


--
-- Name: xwdate_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwdate_name ON xwikidates USING btree (xws_name);


--
-- Name: xwdate_value; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwdate_value ON xwikidates USING btree (xws_value);


--
-- Name: xwdouble_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwdouble_name ON xwikidoubles USING btree (xwd_name);


--
-- Name: xwdouble_value; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwdouble_value ON xwikidoubles USING btree (xwd_value);


--
-- Name: xwds_action; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwds_action ON xwikistatsdoc USING btree (xws_action);


--
-- Name: xwds_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwds_name ON xwikistatsdoc USING btree (xws_name);


--
-- Name: xwds_page_views; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwds_page_views ON xwikistatsdoc USING btree (xws_page_views);


--
-- Name: xwds_period; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwds_period ON xwikistatsdoc USING btree (xws_period);


--
-- Name: xwds_unique_visitors; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwds_unique_visitors ON xwikistatsdoc USING btree (xws_unique_visitors);


--
-- Name: xwds_visits; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwds_visits ON xwikistatsdoc USING btree (xws_visits);


--
-- Name: xwfloat_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwfloat_name ON xwikifloats USING btree (xwf_name);


--
-- Name: xwfloat_value; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwfloat_value ON xwikifloats USING btree (xwf_value);


--
-- Name: xwint_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwint_name ON xwikiintegers USING btree (xwi_name);


--
-- Name: xwint_value; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwint_value ON xwikiintegers USING btree (xwi_value);


--
-- Name: xwli_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwli_name ON xwikilistitems USING btree (xwl_name);


--
-- Name: xwli_value; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwli_value ON xwikilistitems USING btree (xwl_value);


--
-- Name: xwlist_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwlist_name ON xwikilists USING btree (xwl_name);


--
-- Name: xwlnk_link; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwlnk_link ON xwikilinks USING btree (xwl_link);


--
-- Name: xwlong_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwlong_name ON xwikilongs USING btree (xwl_name);


--
-- Name: xwlong_value; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwlong_value ON xwikilongs USING btree (xwl_value);


--
-- Name: xwls_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwls_name ON xwikilargestrings USING btree (xwl_name);


--
-- Name: xwrs_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwrs_name ON xwikistatsreferer USING btree (xwr_name);


--
-- Name: xwrs_page_views; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwrs_page_views ON xwikistatsreferer USING btree (xwr_page_views);


--
-- Name: xwrs_period; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwrs_period ON xwikistatsreferer USING btree (xwr_period);


--
-- Name: xwstr_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwstr_name ON xwikistrings USING btree (xws_name);


--
-- Name: xwstr_value; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwstr_value ON xwikistrings USING btree (xws_value);


--
-- Name: xwvs_downloads; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwvs_downloads ON xwikistatsvisit USING btree (xwv_downloads);


--
-- Name: xwvs_end_date; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwvs_end_date ON xwikistatsvisit USING btree (xwv_end_date);


--
-- Name: xwvs_ip; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwvs_ip ON xwikistatsvisit USING btree (xwv_ip);


--
-- Name: xwvs_name; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwvs_name ON xwikistatsvisit USING btree (xwv_name);


--
-- Name: xwvs_page_saves; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwvs_page_saves ON xwikistatsvisit USING btree (xwv_page_saves);


--
-- Name: xwvs_page_views; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwvs_page_views ON xwikistatsvisit USING btree (xwv_page_views);


--
-- Name: xwvs_start_date; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwvs_start_date ON xwikistatsvisit USING btree (xwv_start_date);


--
-- Name: xwvs_unique_id; Type: INDEX; Schema: public; Owner: xwiki
--

CREATE INDEX xwvs_unique_id ON xwikistatsvisit USING btree (xwv_unique_id);


--
-- Name: xwikistrings fk2780715a3433fd87; Type: FK CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikistrings
    ADD CONSTRAINT fk2780715a3433fd87 FOREIGN KEY (xws_id, xws_name) REFERENCES xwikiproperties(xwp_id, xwp_name);


--
-- Name: xwikidoubles fk5a1cd9a1a947aa5; Type: FK CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikidoubles
    ADD CONSTRAINT fk5a1cd9a1a947aa5 FOREIGN KEY (xwd_id, xwd_name) REFERENCES xwikiproperties(xwp_id, xwp_name);


--
-- Name: xwikilargestrings fk6661970f283ee295; Type: FK CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikilargestrings
    ADD CONSTRAINT fk6661970f283ee295 FOREIGN KEY (xwl_id, xwl_name) REFERENCES xwikiproperties(xwp_id, xwp_name);


--
-- Name: feeds_aggregatorurlgroups fk7b845b068e772cc; Type: FK CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY feeds_aggregatorurlgroups
    ADD CONSTRAINT fk7b845b068e772cc FOREIGN KEY (agl_id) REFERENCES feeds_aggregatorurl(agg_id);


--
-- Name: xwikiintegers fk7f8ab31d231efb9b; Type: FK CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikiintegers
    ADD CONSTRAINT fk7f8ab31d231efb9b FOREIGN KEY (xwi_id, xwi_name) REFERENCES xwikiproperties(xwp_id, xwp_name);


--
-- Name: feeds_feedentrytags fkbe0037834855150f; Type: FK CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY feeds_feedentrytags
    ADD CONSTRAINT fkbe0037834855150f FOREIGN KEY (fet_id) REFERENCES feeds_feedentry(fee_id);


--
-- Name: xwikilistitems fkc0862ba3fb72a11; Type: FK CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikilistitems
    ADD CONSTRAINT fkc0862ba3fb72a11 FOREIGN KEY (xwl_id, xwl_name) REFERENCES xwikilists(xwl_id, xwl_name);


--
-- Name: xwikidates fkdeaeab5d3433fd87; Type: FK CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikidates
    ADD CONSTRAINT fkdeaeab5d3433fd87 FOREIGN KEY (xws_id, xws_name) REFERENCES xwikiproperties(xwp_id, xwp_name);


--
-- Name: xwikilists fkdf23086d283ee295; Type: FK CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikilists
    ADD CONSTRAINT fkdf23086d283ee295 FOREIGN KEY (xwl_id, xwl_name) REFERENCES xwikiproperties(xwp_id, xwp_name);


--
-- Name: xwikilongs fkdf25ae4f283ee295; Type: FK CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikilongs
    ADD CONSTRAINT fkdf25ae4f283ee295 FOREIGN KEY (xwl_id, xwl_name) REFERENCES xwikiproperties(xwp_id, xwp_name);


--
-- Name: xwikifloats fkfb291fbf1dff14a1; Type: FK CONSTRAINT; Schema: public; Owner: xwiki
--

ALTER TABLE ONLY xwikifloats
    ADD CONSTRAINT fkfb291fbf1dff14a1 FOREIGN KEY (xwf_id, xwf_name) REFERENCES xwikiproperties(xwp_id, xwp_name);


--
-- PostgreSQL database dump complete
--

